var nacl_factory = {
  instantiate: function (on_ready, optionsOpt) {
    var options = optionsOpt || {};
    var requested_total_memory = options.requested_total_memory || 33554432;
    var undefined_reference_value = (function (v) { return v; })();

    if (typeof on_ready !== 'function') {
      throw new Error("nacl_factory: Expects on_ready callback as first argument. New in v1.1.0.");
    }

    return (function (window, document) {
      var on_ready_call_needed = false;
      var Module = {
        TOTAL_MEMORY: requested_total_memory,
        onRuntimeInitialized: function () {
          if (nacl) {
            on_ready(nacl);
          } else {
            on_ready_call_needed = true;
          }
        }
      };
      if (options.memoryInitializerPrefixURL) {
        Module.memoryInitializerPrefixURL = options.memoryInitializerPrefixURL;
      }
      var nacl_raw = Module;
var Module;if(!Module)Module=(typeof Module!=="undefined"?Module:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);if(!ret&&filename!=nodePath["resolve"](filename)){filename=path.join(__dirname,"..","src",filename);ret=nodeFS["readFileSync"](filename)}if(ret&&!binary)ret=ret.toString();return ret};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function read(){throw"no read() available (jsc?)"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){abort("NO_DYNAMIC_EXECUTION=1 was set, cannot eval")}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){if(!args.splice)args=Array.prototype.slice.call(args);args.splice(0,0,ptr);return Module["dynCall_"+sig].apply(null,args)}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[null,null,null,null,null,null,null,null],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,arguments)}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=DYNAMICTOP;DYNAMICTOP=DYNAMICTOP+size|0;DYNAMICTOP=DYNAMICTOP+15&-16;if(DYNAMICTOP>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){DYNAMICTOP=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=false;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){abort("NO_DYNAMIC_EXECUTION=1 was set, cannot eval")}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){ret=Runtime.stackAlloc((str.length<<2)+1);writeStringToMemory(str,ret)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};cwrap=function cwrap(ident,returnType,argTypes){return(function(){return ccall(ident,returnType,argTypes,arguments)})}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(typeof _sbrk!=="undefined"&&!_sbrk.called||!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;function UTF8ArrayToString(u8Array,idx){var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;function demangle(func){var hasLibcxxabi=!!Module["___cxa_demangle"];if(hasLibcxxabi){try{var buf=_malloc(func.length);writeStringToMemory(func.substr(1),buf);var status=_malloc(4);var ret=Module["___cxa_demangle"](buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){return func}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){return text.replace(/__Z[\w\d_]+/g,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){return demangleAll(jsStackTrace())}Module["stackTrace"]=stackTrace;var PAGE_SIZE=4096;function alignMemoryPage(x){if(x%4096>0){x+=4096-x%4096}return x}var HEAP;var buffer;var HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE=0,STATICTOP=0,staticSealed=false;var STACK_BASE=0,STACKTOP=0,STACK_MAX=0;var DYNAMIC_BASE=0,DYNAMICTOP=0;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which adjusts the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}function enlargeMemory(){abortOnCannotGrowMemory()}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||5e7;var totalMemory=64*1024;while(totalMemory<TOTAL_MEMORY||totalMemory<2*TOTAL_STACK){if(totalMemory<16*1024*1024){totalMemory*=2}else{totalMemory+=16*1024*1024}}if(totalMemory!==TOTAL_MEMORY){TOTAL_MEMORY=totalMemory}if(Module["buffer"]){buffer=Module["buffer"]}else{buffer=new ArrayBuffer(TOTAL_MEMORY)}updateGlobalBufferViews();HEAP32[0]=255;if(HEAPU8[0]!==255||HEAPU8[3]!==0)throw"Typed arrays 2 must be run on a little-endian system";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Runtime.dynCall("v",func)}else{Runtime.dynCall("vi",func,[callback.arg])}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){var array=intArrayFromString(string,dontAddNull);var i=0;while(i<array.length){var chr=array[i];HEAP8[buffer+i>>0]=chr;i=i+1}}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){for(var i=0;i<array.length;i++){HEAP8[buffer++>>0]=array[i]}}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_min=Math.min;var Math_clz32=Math.clz32;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[(function(){{return Module.getRandomValue()}}),(function(){{if(Module.getRandomValue===undefined){try{var window_="object"===typeof window?window:self,crypto_=typeof window_.crypto!=="undefined"?window_.crypto:window_.msCrypto,randomValuesStandard=(function(){var buf=new Uint32Array(1);crypto_.getRandomValues(buf);return buf[0]>>>0});randomValuesStandard();Module.getRandomValue=randomValuesStandard}catch(e){try{var crypto=require("crypto"),randomValueNodeJS=(function(){var buf=crypto.randomBytes(4);return(buf[0]<<24|buf[1]<<16|buf[2]<<8|buf[3])>>>0});randomValueNodeJS();Module.getRandomValue=randomValueNodeJS}catch(e){throw"No secure random number generator found"}}}}})];function _emscripten_asm_const_i(code){return ASM_CONSTS[code]()}function _emscripten_asm_const_v(code){return ASM_CONSTS[code]()}STATIC_BASE=8;STATICTOP=STATIC_BASE+35728;__ATINIT__.push();allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,232,149,143,194,178,39,176,69,195,244,137,242,239,152,240,213,223,172,5,211,198,51,57,177,56,2,136,109,83,252,5,199,23,106,112,61,77,216,79,186,60,11,118,13,16,103,15,42,32,83,250,44,57,204,198,78,199,253,119,146,172,3,122,19,232,149,143,194,178,39,176,69,195,244,137,242,239,152,240,213,223,172,5,211,198,51,57,177,56,2,136,109,83,252,133,180,23,106,112,61,77,216,79,186,60,11,118,13,16,103,15,42,32,83,250,44,57,204,198,78,199,253,119,146,172,3,250,236,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,237,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,238,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,217,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,219,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,201,188,243,103,230,9,106,59,167,202,132,133,174,103,187,43,248,148,254,114,243,110,60,241,54,29,95,58,245,79,165,209,130,230,173,127,82,14,81,31,108,62,43,140,104,5,155,107,189,65,251,171,217,131,31,121,33,126,19,25,205,224,91,182,120,89,255,133,114,211,0,189,110,21,255,15,10,106,0,41,192,1,0,152,232,121,255,188,60,160,255,153,113,206,255,0,183,226,254,180,13,72,255,176,160,14,254,211,201,134,255,158,24,143,0,127,105,53,0,96,12,189,0,167,215,251,255,159,76,128,254,106,101,225,255,30,252,4,0,146,12,174,0,89,241,178,254,10,229,166,255,123,221,42,254,30,20,212,0,82,128,3,0,48,209,243,0,119,121,64,255,50,227,156,255,0,110,197,1,103,27,144,0,133,59,140,1,189,241,36,255,248,37,195,1,96,220,55,0,183,76,62,255,195,66,61,0,50,76,164,1,225,164,76,255,76,61,163,255,117,62,31,0,81,145,64,255,118,65,14,0,162,115,214,255,6,138,46,0,124,230,244,255,10,138,143,0,52,26,194,0,184,244,76,0,129,143,41,1,190,244,19,255,123,170,122,255,98,129,68,0,121,213,147,0,86,101,30,255,161,103,155,0,140,89,67,255,239,229,190,1,67,11,181,0,198,240,137,254,238,69,188,255,67,151,238,0,19,42,108,255,229,85,113,1,50,68,135,255,17,106,9,0,50,103,1,255,80,1,168,1,35,152,30,255,16,168,185,1,56,89,232,255,101,210,252,0,41,250,71,0,204,170,79,255,14,46,239,255,80,77,239,0,189,214,75,255,17,141,249,0,38,80,76,255,190,85,117,0,86,228,170,0,156,216,208,1,195,207,164,255,150,66,76,255,175,225,16,255,141,80,98,1,76,219,242,0,198,162,114,0,46,218,152,0,155,43,241,254,155,160,104,255,51,187,165,0,2,17,175,0,66,84,160,1,247,58,30,0,35,65,53,254,69,236,191,0,45,134,245,1,163,123,221,0,32,110,20,255,52,23,165,0,186,214,71,0,233,176,96,0,242,239,54,1,57,89,138,0,83,0,84,255,136,160,100,0,92,142,120,254,104,124,190,0,181,177,62,255,250,41,85,0,152,130,42,1,96,252,246,0,151,151,63,254,239,133,62,0,32,56,156,0,45,167,189,255,142,133,179,1,131,86,211,0,187,179,150,254,250,170,14,255,210,163,78,0,37,52,151,0,99,77,26,0,238,156,213,255,213,192,209,1,73,46,84,0,20,65,41,1,54,206,79,0,201,131,146,254,170,111,24,255,177,33,50,254,171,38,203,255,78,247,116,0,209,221,153,0,133,128,178,1,58,44,25,0,201,39,59,1,189,19,252,0,49,229,210,1,117,187,117,0,181,179,184,1,0,114,219,0,48,94,147,0,245,41,56,0,125,13,204,254,244,173,119,0,44,221,32,254,84,234,20,0,249,160,198,1,236,126,234,255,47,99,168,254,170,226,153,255,102,179,216,0,226,141,122,255,122,66,153,254,182,245,134,0,227,228,25,1,214,57,235,255,216,173,56,255,181,231,210,0,119,128,157,255,129,95,136,255,110,126,51,0,2,169,183,255,7,130,98,254,69,176,94,255,116,4,227,1,217,242,145,255,202,173,31,1,105,1,39,255,46,175,69,0,228,47,58,255,215,224,69,254,207,56,69,255,16,254,139,255,23,207,212,255,202,20,126,255,95,213,96,255,9,176,33,0,200,5,207,255,241,42,128,254,35,33,192,255,248,229,196,1,129,17,120,0,251,103,151,255,7,52,112,255,140,56,66,255,40,226,245,255,217,70,37,254,172,214,9,255,72,67,134,1,146,192,214,255,44,38,112,0,68,184,75,255,206,90,251,0,149,235,141,0,181,170,58,0,116,244,239,0,92,157,2,0,102,173,98,0,233,137,96,1,127,49,203,0,5,155,148,0,23,148,9,255,211,122,12,0,34,134,26,255,219,204,136,0,134,8,41,255,224,83,43,254,85,25,247,0,109,127,0,254,169,136,48,0,238,119,219,255,231,173,213,0,206,18,254,254,8,186,7,255,126,9,7,1,111,42,72,0,111,52,236,254,96,63,141,0,147,191,127,254,205,78,192,255,14,106,237,1,187,219,76,0,175,243,187,254,105,89,173,0,85,25,89,1,162,243,148,0,2,118,209,254,33,158,9,0,139,163,46,255,93,70,40,0,108,42,142,254,111,252,142,255,155,223,144,0,51,229,167,255,73,252,155,255,94,116,12,255,152,160,218,255,156,238,37,255,179,234,207,255,197,0,179,255,154,164,141,0,225,196,104,0,10,35,25,254,209,212,242,255,97,253,222,254,184,101,229,0,222,18,127,1,164,136,135,255,30,207,140,254,146,97,243,0,129,192,26,254,201,84,33,255,111,10,78,255,147,81,178,255,4,4,24,0,161,238,215,255,6,141,33,0,53,215,14,255,41,181,208,255,231,139,157,0,179,203,221,255,255,185,113,0,189,226,172,255,113,66,214,255,202,62,45,255,102,64,8,255,78,174,16,254,133,117,68,255,133,59,140,1,189,241,36,255,248,37,195,1,96,220,55,0,183,76,62,255,195,66,61,0,50,76,164,1,225,164,76,255,76,61,163,255,117,62,31,0,81,145,64,255,118,65,14,0,162,115,214,255,6,138,46,0,124,230,244,255,10,138,143,0,52,26,194,0,184,244,76,0,129,143,41,1,190,244,19,255,123,170,122,255,98,129,68,0,121,213,147,0,86,101,30,255,161,103,155,0,140,89,67,255,239,229,190,1,67,11,181,0,198,240,137,254,238,69,188,255,234,113,60,255,37,255,57,255,69,178,182,254,128,208,179,0,118,26,125,254,3,7,214,255,241,50,77,255,85,203,197,255,211,135,250,255,25,48,100,255,187,213,180,254,17,88,105,0,83,209,158,1,5,115,98,0,4,174,60,254,171,55,110,255,217,181,17,255,20,188,170,0,146,156,102,254,87,214,174,255,114,122,155,1,233,44,170,0,127,8,239,1,214,236,234,0,175,5,219,0,49,106,61,255,6,66,208,255,2,106,110,255,81,234,19,255,215,107,192,255,67,151,238,0,19,42,108,255,229,85,113,1,50,68,135,255,17,106,9,0,50,103,1,255,80,1,168,1,35,152,30,255,16,168,185,1,56,89,232,255,101,210,252,0,41,250,71,0,204,170,79,255,14,46,239,255,80,77,239,0,189,214,75,255,17,141,249,0,38,80,76,255,190,85,117,0,86,228,170,0,156,216,208,1,195,207,164,255,150,66,76,255,175,225,16,255,141,80,98,1,76,219,242,0,198,162,114,0,46,218,152,0,155,43,241,254,155,160,104,255,178,9,252,254,100,110,212,0,14,5,167,0,233,239,163,255,28,151,157,1,101,146,10,255,254,158,70,254,71,249,228,0,88,30,50,0,68,58,160,255,191,24,104,1,129,66,129,255,192,50,85,255,8,179,138,255,38,250,201,0,115,80,160,0,131,230,113,0,125,88,147,0,90,68,199,0,253,76,158,0,28,255,118,0,113,250,254,0,66,75,46,0,230,218,43,0,229,120,186,1,148,68,43,0,136,124,238,1,187,107,197,255,84,53,246,255,51,116,254,255,51,187,165,0,2,17,175,0,66,84,160,1,247,58,30,0,35,65,53,254,69,236,191,0,45,134,245,1,163,123,221,0,32,110,20,255,52,23,165,0,186,214,71,0,233,176,96,0,242,239,54,1,57,89,138,0,83,0,84,255,136,160,100,0,92,142,120,254,104,124,190,0,181,177,62,255,250,41,85,0,152,130,42,1,96,252,246,0,151,151,63,254,239,133,62,0,32,56,156,0,45,167,189,255,142,133,179,1,131,86,211,0,187,179,150,254,250,170,14,255,68,113,21,255,222,186,59,255,66,7,241,1,69,6,72,0,86,156,108,254,55,167,89,0,109,52,219,254,13,176,23,255,196,44,106,255,239,149,71,255,164,140,125,255,159,173,1,0,51,41,231,0,145,62,33,0,138,111,93,1,185,83,69,0,144,115,46,0,97,151,16,255,24,228,26,0,49,217,226,0,113,75,234,254,193,153,12,255,182,48,96,255,14,13,26,0,128,195,249,254,69,193,59,0,132,37,81,254,125,106,60,0,214,240,169,1,164,227,66,0,210,163,78,0,37,52,151,0,99,77,26,0,238,156,213,255,213,192,209,1,73,46,84,0,20,65,41,1,54,206,79,0,201,131,146,254,170,111,24,255,177,33,50,254,171,38,203,255,78,247,116,0,209,221,153,0,133,128,178,1,58,44,25,0,201,39,59,1,189,19,252,0,49,229,210,1,117,187,117,0,181,179,184,1,0,114,219,0,48,94,147,0,245,41,56,0,125,13,204,254,244,173,119,0,44,221,32,254,84,234,20,0,249,160,198,1,236,126,234,255,143,62,221,0,129,89,214,255,55,139,5,254,68,20,191,255,14,204,178,1,35,195,217,0,47,51,206,1,38,246,165,0,206,27,6,254,158,87,36,0,217,52,146,255,125,123,215,255,85,60,31,255,171,13,7,0,218,245,88,254,252,35,60,0,55,214,160,255,133,101,56,0,224,32,19,254,147,64,234,0,26,145,162,1,114,118,125,0,248,252,250,0,101,94,196,255,198,141,226,254,51,42,182,0,135,12,9,254,109,172,210,255,197,236,194,1,241,65,154,0,48,156,47,255,153,67,55,255,218,165,34,254,74,180,179,0,218,66,71,1,88,122,99,0,212,181,219,255,92,42,231,255,239,0,154,0,245,77,183,255,94,81,170,1,18,213,216,0,171,93,71,0,52,94,248,0,18,151,161,254,197,209,66,255,174,244,15,254,162,48,183,0,49,61,240,254,182,93,195,0,199,228,6,1,200,5,17,255,137,45,237,255,108,148,4,0,90,79,237,255,39,63,77,255,53,82,207,1,142,22,118,255,101,232,18,1,92,26,67,0,5,200,88,255,33,168,138,255,149,225,72,0,2,209,27,255,44,245,168,1,220,237,17,255,30,211,105,254,141,238,221,0,128,80,245,254,111,254,14,0,222,95,190,1,223,9,241,0,146,76,212,255,108,205,104,255,63,117,153,0,144,69,48,0,35,228,111,0,192,33,193,255,112,214,190,254,115,152,151,0,23,102,88,0,51,74,248,0,226,199,143,254,204,162,101,255,208,97,189,1,245,104,18,0,230,246,30,255,23,148,69,0,110,88,52,254,226,181,89,255,208,47,90,254,114,161,80,255,33,116,248,0,179,152,87,255,69,144,177,1,88,238,26,255,58,32,113,1,1,77,69,0,59,121,52,255,152,238,83,0,52,8,193,0,231,39,233,255,199,34,138,0,222,68,173,0,91,57,242,254,220,210,127,255,192,7,246,254,151,35,187,0,195,236,165,0,111,93,206,0,212,247,133,1,154,133,209,255,155,231,10,0,64,78,38,0,122,249,100,1,30,19,97,255,62,91,249,1,248,133,77,0,197,63,168,254,116,10,82,0,184,236,113,254,212,203,194,255,61,100,252,254,36,5,202,255,119,91,153,255,129,79,29,0,103,103,171,254,237,215,111,255,216,53,69,0,239,240,23,0,194,149,221,255,38,225,222,0,232,255,180,254,118,82,133,255,57,209,177,1,139,232,133,0,158,176,46,254,194,115,46,0,88,247,229,1,28,103,191,0,221,222,175,254,149,235,44,0,151,228,25,254,218,105,103,0,142,85,210,0,149,129,190,255,213,65,94,254,117,134,224,255,82,198,117,0,157,221,220,0,163,101,36,0,197,114,37,0,104,172,166,254,11,182,0,0,81,72,188,255,97,188,16,255,69,6,10,0,199,147,145,255,8,9,115,1,65,214,175,255,217,173,209,0,80,127,166,0,247,229,4,254,167,183,124,255,90,28,204,254,175,59,240,255,11,41,248,1,108,40,51,255,144,177,195,254,150,250,126,0,138,91,65,1,120,60,222,255,245,193,239,0,29,214,189,255,128,2,25,0,80,154,162,0,77,220,107,1,234,205,74,255,54,166,103,255,116,72,9,0,228,94,47,255,30,200,25,255,35,214,89,255,61,176,140,255,83,226,163,255,75,130,172,0,128,38,17,0,95,137,152,255,215,124,159,1,79,93,0,0,148,82,157,254,195,130,251,255,40,202,76,255,251,126,224,0,157,99,62,254,207,7,225,255,96,68,195,0,140,186,157,255,131,19,231,255,42,128,254,0,52,219,61,254,102,203,72,0,141,7,11,255,186,164,213,0,31,122,119,0,133,242,145,0,208,252,232,255,91,213,182,255,143,4,250,254,249,215,74,0,165,30,111,1,171,9,223,0,229,123,34,1,92,130,26,255,77,155,45,1,195,139,28,255,59,224,78,0,136,17,247,0,108,121,32,0,79,250,189,255,96,227,252,254,38,241,62,0,62,174,125,255,155,111,93,255,10,230,206,1,97,197,40,255,0,49,57,254,65,250,13,0,18,251,150,255,220,109,210,255,5,174,166,254,44,129,189,0,235,35,147,255,37,247,141,255,72,141,4,255,103,107,255,0,247,90,4,0,53,44,42,0,2,30,240,0,4,59,63,0,88,78,36,0,113,167,180,0,190,71,193,255,199,158,164,255,58,8,172,0,77,33,12,0,65,63,3,0,153,77,33,255,172,254,102,1,228,221,4,255,87,30,254,1,146,41,86,255,138,204,239,254,108,141,17,255,187,242,135,0,210,208,127,0,68,45,14,254,73,96,62,0,81,60,24,255,170,6,36,255,3,249,26,0,35,213,109,0,22,129,54,255,21,35,225,255,234,61,56,255,58,217,6,0,143,124,88,0,236,126,66,0,209,38,183,255,34,238,6,255,174,145,102,0,95,22,211,0,196,15,153,254,46,84,232,255,117,34,146,1,231,250,74,255,27,134,100,1,92,187,195,255,170,198,112,0,120,28,42,0,209,70,67,0,29,81,31,0,29,168,100,1,169,173,160,0,107,35,117,0,62,96,59,255,81,12,69,1,135,239,190,255,220,252,18,0,163,220,58,255,137,137,188,255,83,102,109,0,96,6,76,0,234,222,210,255,185,174,205,1,60,158,213,255,13,241,214,0,172,129,140,0,93,104,242,0,192,156,251,0,43,117,30,0,225,81,158,0,127,232,218,0,226,28,203,0,233,27,151,255,117,43,5,255,242,14,47,255,33,20,6,0,137,251,44,254,27,31,245,255,183,214,125,254,40,121,149,0,186,158,213,255,89,8,227,0,69,88,0,254,203,135,225,0,201,174,203,0,147,71,184,0,18,121,41,254,94,5,78,0,224,214,240,254,36,5,180,0,251,135,231,1,163,138,212,0,210,249,116,254,88,129,187,0,19,8,49,254,62,14,144,255,159,76,211,0,214,51,82,0,109,117,228,254,103,223,203,255,75,252,15,1,154,71,220,255,23,13,91,1,141,168,96,255,181,182,133,0,250,51,55,0,234,234,212,254,175,63,158,0,39,240,52,1,158,189,36,255,213,40,85,1,32,180,247,255,19,102,26,1,84,24,97,255,69,21,222,0,148,139,122,255,220,213,235,1,232,203,255,0,121,57,147,0,227,7,154,0,53,22,147,1,72,1,225,0,82,134,48,254,83,60,157,255,145,72,169,0,34,103,239,0,198,233,47,0,116,19,4,255,184,106,9,255,183,129,83,0,36,176,230,1,34,103,72,0,219,162,134,0,245,42,158,0,32,149,96,254,165,44,144,0,202,239,72,254,215,150,5,0,42,66,36,1,132,215,175,0,86,174,86,255,26,197,156,255,49,232,135,254,103,182,82,0,253,128,176,1,153,178,122,0,245,250,10,0,236,24,178,0,137,106,132,0,40,29,41,0,50,30,152,255,124,105,38,0,230,191,75,0,143,43,170,0,44,131,20,255,44,13,23,255,237,255,155,1,159,109,100,255,112,181,24,255,104,220,108,0,55,211,131,0,99,12,213,255,152,151,145,255,238,5,159,0,97,155,8,0,33,108,81,0,1,3,103,0,62,109,34,255,250,155,180,0,32,71,195,255,38,70,145,1,159,95,245,0,69,229,101,1,136,28,240,0,79,224,25,0,78,110,121,255,248,168,124,0,187,128,247,0,2,147,235,254,79,11,132,0,70,58,12,1,181,8,163,255,79,137,133,255,37,170,11,255,141,243,85,255,176,231,215,255,204,150,164,255,239,215,39,255,46,87,156,254,8,163,88,255,172,34,232,0,66,44,102,255,27,54,41,254,236,99,87,255,41,123,169,1,52,114,43,0,117,134,40,0,155,134,26,0,231,207,91,254,35,132,38,255,19,102,125,254,36,227,133,255,118,3,113,255,29,13,124,0,152,96,74,1,88,146,206,255,167,191,220,254,162,18,88,255,182,100,23,0,31,117,52,0,81,46,106,1,12,2,7,0,69,80,201,1,209,246,172,0,12,48,141,1,224,211,88,0,116,226,159,0,122,98,130,0,65,236,234,1,225,226,9,255,207,226,123,1,89,214,59,0,112,135,88,1,90,244,203,255,49,11,38,1,129,108,186,0,89,112,15,1,101,46,204,255,127,204,45,254,79,255,221,255,51,73,18,255,127,42,101,255,241,21,202,0,160,227,7,0,105,50,236,0,79,52,197,255,104,202,208,1,180,15,16,0,101,197,78,255,98,77,203,0,41,185,241,1,35,193,124,0,35,155,23,255,207,53,192,0,11,125,163,1,249,158,185,255,4,131,48,0,21,93,111,255,61,121,231,1,69,200,36,255,185,48,185,255,111,238,21,255,39,50,25,255,99,215,163,255,87,212,30,255,164,147,5,255,128,6,35,1,108,223,110,255,194,76,178,0,74,101,180,0,243,47,48,0,174,25,43,255,82,173,253,1,54,114,192,255,40,55,91,0,215,108,176,255,11,56,7,0,224,233,76,0,209,98,202,254,242,25,125,0,44,193,93,254,203,8,177,0,135,176,19,0,112,71,213,255,206,59,176,1,4,67,26,0,14,143,213,254,42,55,208,255,60,67,120,0,193,21,163,0,99,164,115,0,10,20,118,0,156,212,222,254,160,7,217,255,114,245,76,1,117,59,123,0,176,194,86,254,213,15,176,0,78,206,207,254,213,129,59,0,233,251,22,1,96,55,152,255,236,255,15,255,197,89,84,255,93,149,133,0,174,160,113,0,234,99,169,255,152,116,88,0,144,164,83,255,95,29,198,255,34,47,15,255,99,120,134,255,5,236,193,0,249,247,126,255,147,187,30,0,50,230,117,255,108,217,219,255,163,81,166,255,72,25,169,254,155,121,79,255,28,155,89,254,7,126,17,0,147,65,33,1,47,234,253,0,26,51,18,0,105,83,199,255,163,196,230,0,113,248,164,0,226,254,218,0,189,209,203,255,164,247,222,254,255,35,165,0,4,188,243,1,127,179,71,0,37,237,254,255,100,186,240,0,5,57,71,254,103,72,73,255,244,18,81,254,229,210,132,255,238,6,180,255,11,229,174,255,227,221,192,1,17,49,28,0,163,215,196,254,9,118,4,255,51,240,71,0,113,129,109,255,76,240,231,0,188,177,127,0,125,71,44,1,26,175,243,0,94,169,25,254,27,230,29,0,15,139,119,1,168,170,186,255,172,197,76,255,252,75,188,0,137,124,196,0,72,22,96,255,45,151,249,1,220,145,100,0,64,192,159,255,120,239,226,0,129,178,146,0,0,192,125,0,235,138,234,0,183,157,146,0,83,199,192,255,184,172,72,255,73,225,128,0,77,6,250,255,186,65,67,0,104,246,207,0,188,32,138,255,218,24,242,0,67,138,81,254,237,129,121,255,20,207,150,1,41,199,16,255,6,20,128,0,159,118,5,0,181,16,143,255,220,38,15,0,23,64,147,254,73,26,13,0,87,228,57,1,204,124,128,0,43,24,223,0,219,99,199,0,22,75,20,255,19,27,126,0,157,62,215,0,110,29,230,0,179,167,255,1,54,252,190,0,221,204,182,254,179,158,65,255,81,157,3,0,194,218,159,0,170,223,0,0,224,11,32,255,38,197,98,0,168,164,37,0,23,88,7,1,164,186,110,0,96,36,134,0,234,242,229,0,250,121,19,0,242,254,112,255,3,47,94,1,9,239,6,255,81,134,153,254,214,253,168,255,67,124,224,0,245,95,74,0,28,30,44,254,1,109,220,255,178,89,89,0,252,36,76,0,24,198,46,255,76,77,111,0,134,234,136,255,39,94,29,0,185,72,234,255,70,68,135,255,231,102,7,254,77,231,140,0,167,47,58,1,148,97,118,255,16,27,225,1,166,206,143,255,110,178,214,255,180,131,162,0,143,141,225,1,13,218,78,255,114,153,33,1,98,104,204,0,175,114,117,1,167,206,75,0,202,196,83,1,58,64,67,0,138,47,111,1,196,247,128,255,137,224,224,254,158,112,207,0,154,100,255,1,134,37,107,0,198,128,79,255,127,209,155,255,163,254,185,254,60,14,243,0,31,219,112,254,29,217,65,0,200,13,116,254,123,60,196,255,224,59,184,254,242,89,196,0,123,16,75,254,149,16,206,0,69,254,48,1,231,116,223,255,209,160,65,1,200,80,98,0,37,194,184,254,148,63,34,0,139,240,65,255,217,144,132,255,56,38,45,254,199,120,210,0,108,177,166,255,160,222,4,0,220,126,119,254,165,107,160,255,82,220,248,1,241,175,136,0,144,141,23,255,169,138,84,0,160,137,78,255,226,118,80,255,52,27,132,255,63,96,139,255,152,250,39,0,188,155,15,0,232,51,150,254,40,15,232,255,240,229,9,255,137,175,27,255,75,73,97,1,218,212,11,0,135,5,162,1,107,185,213,0,2,249,107,255,40,242,70,0,219,200,25,0,25,157,13,0,67,82,80,255,196,249,23,255,145,20,149,0,50,72,146,0,94,76,148,1,24,251,65,0,31,192,23,0,184,212,201,255,123,233,162,1,247,173,72,0,162,87,219,254,126,134,89,0,159,11,12,254,166,105,29,0,73,27,228,1,113,120,183,255,66,163,109,1,212,143,11,255,159,231,168,1,255,128,90,0,57,14,58,254,89,52,10,255,253,8,163,1,0,145,210,255,10,129,85,1,46,181,27,0,103,136,160,254,126,188,209,255,34,35,111,0,215,219,24,255,212,11,214,254,101,5,118,0,232,197,133,255,223,167,109,255,237,80,86,255,70,139,94,0,158,193,191,1,155,15,51,255,15,190,115,0,78,135,207,255,249,10,27,1,181,125,233,0,95,172,13,254,170,213,161,255,39,236,138,255,95,93,87,255,190,128,95,0,125,15,206,0,166,150,159,0,227,15,158,255,206,158,120,255,42,141,128,0,101,178,120,1,156,109,131,0,218,14,44,254,247,168,206,255,212,112,28,0,112,17,228,255,90,16,37,1,197,222,108,0,254,207,83,255,9,90,243,255,243,244,172,0,26,88,115,255,205,116,122,0,191,230,193,0,180,100,11,1,217,37,96,255,154,78,156,0,235,234,31,255,206,178,178,255,149,192,251,0,182,250,135,0,246,22,105,0,124,193,109,255,2,210,149,255,169,17,170,0,0,96,110,255,117,9,8,1,50,123,40,255,193,189,99,0,34,227,160,0,48,80,70,254,211,51,236,0,45,122,245,254,44,174,8,0,173,37,233,255,158,65,171,0,122,69,215,255,90,80,2,255,131,106,96,254,227,114,135,0,205,49,119,254,176,62,64,255,82,51,17,255,241,20,243,255,130,13,8,254,128,217,243,255,162,27,1,254,90,118,241,0,246,198,246,255,55,16,118,255,200,159,157,0,163,17,1,0,140,107,121,0,85,161,118,255,38,0,149,0,156,47,238,0,9,166,166,1,75,98,181,255,50,74,25,0,66,15,47,0,139,225,159,0,76,3,142,255,14,238,184,0,11,207,53,255,183,192,186,1,171,32,174,255,191,76,221,1,247,170,219,0,25,172,50,254,217,9,233,0,203,126,68,255,183,92,48,0,127,167,183,1,65,49,254,0,16,63,127,1,254,21,170,255,59,224,127,254,22,48,63,255,27,78,130,254,40,195,29,0,250,132,112,254,35,203,144,0,104,169,168,0,207,253,30,255,104,40,38,254,94,228,88,0,206,16,128,255,212,55,122,255,223,22,234,0,223,197,127,0,253,181,181,1,145,102,118,0,236,153,36,255,212,217,72,255,20,38,24,254,138,62,62,0,152,140,4,0,230,220,99,255,1,21,212,255,148,201,231,0,244,123,9,254,0,171,210,0,51,58,37,255,1,255,14,255,244,183,145,254,0,242,166,0,22,74,132,0,121,216,41,0,95,195,114,254,133,24,151,255,156,226,231,255,247,5,77,255,246,148,115,254,225,92,81,255,222,80,246,254,170,123,89,255,74,199,141,0,29,20,8,255,138,136,70,255,93,75,92,0,221,147,49,254,52,126,226,0,229,124,23,0,46,9,181,0,205,64,52,1,131,254,28,0,151,158,212,0,131,64,78,0,206,25,171,0,0,230,139,0,191,253,110,254,103,247,167,0,64,40,40,1,42,165,241,255,59,75,228,254,124,243,189,255,196,92,178,255,130,140,86,255,141,89,56,1,147,198,5,255,203,248,158,254,144,162,141,0,11,172,226,0,130,42,21,255,1,167,143,255,144,36,36,255,48,88,164,254,168,170,220,0,98,71,214,0,91,208,79,0,159,76,201,1,166,42,214,255,69,255,0,255,6,128,125,255,190,1,140,0,146,83,218,255,215,238,72,1,122,127,53,0,189,116,165,255,84,8,66,255,214,3,208,255,213,110,133,0,195,168,44,1,158,231,69,0,162,64,200,254,91,58,104,0,182,58,187,254,249,228,136,0,203,134,76,254,99,221,233,0,75,254,214,254,80,69,154,0,64,152,248,254,236,136,202,255,157,105,153,254,149,175,20,0,22,35,19,255,124,121,233,0,186,250,198,254,132,229,139,0,137,80,174,255,165,125,68,0,144,202,148,254,235,239,248,0,135,184,118,0,101,94,17,255,122,72,70,254,69,130,146,0,127,222,248,1,69,127,118,255,30,82,215,254,188,74,19,255,229,167,194,254,117,25,66,255,65,234,56,254,213,22,156,0,151,59,93,254,45,28,27,255,186,126,164,255,32,6,239,0,127,114,99,1,219,52,2,255,99,96,166,254,62,190,126,255,108,222,168,1,75,226,174,0,230,226,199,0,60,117,218,255,252,248,20,1,214,188,204,0,31,194,134,254,123,69,192,255,169,173,36,254,55,98,91,0,223,42,102,254,137,1,102,0,157,90,25,0,239,122,64,255,252,6,233,0,7,54,20,255,82,116,174,0,135,37,54,255,15,186,125,0,227,112,175,255,100,180,225,255,42,237,244,255,244,173,226,254,248,18,33,0,171,99,150,255,74,235,50,255,117,82,32,254,106,168,237,0,207,109,208,1,228,9,186,0,135,60,169,254,179,92,143,0,244,170,104,255,235,45,124,255,70,99,186,0,117,137,183,0,224,31,215,0,40,9,100,0,26,16,95,1,68,217,87,0,8,151,20,255,26,100,58,255,176,165,203,1,52,118,70,0,7,32,254,254,244,254,245,255,167,144,194,255,125,113,23,255,176,121,181,0,136,84,209,0,138,6,30,255,89,48,28,0,33,155,14,255,25,240,154,0,141,205,109,1,70,115,62,255,20,40,107,254,138,154,199,255,94,223,226,255,157,171,38,0,163,177,25,254,45,118,3,255,14,222,23,1,209,190,81,255,118,123,232,1,13,213,101,255,123,55,123,254,27,246,165,0,50,99,76,255,140,214,32,255,97,65,67,255,24,12,28,0,174,86,78,1,64,247,96,0,160,135,67,0,66,55,243,255,147,204,96,255,26,6,33,255,98,51,83,1,153,213,208,255,2,184,54,255,25,218,11,0,49,67,246,254,18,149,72,255,13,25,72,0,42,79,214,0,42,4,38,1,27,139,144,255,149,187,23,0,18,164,132,0,245,84,184,254,120,198,104,255,126,218,96,0,56,117,234,255,13,29,214,254,68,47,10,255,167,154,132,254,152,38,198,0,66,178,89,255,200,46,171,255,13,99,83,255,210,187,253,255,170,45,42,1,138,209,124,0,214,162,141,0,12,230,156,0,102,36,112,254,3,147,67,0,52,215,123,255,233,171,54,255,98,137,62,0,247,218,39,255,231,218,236,0,247,191,127,0,195,146,84,0,165,176,92,255,19,212,94,255,17,74,227,0,88,40,153,1,198,147,1,255,206,67,245,254,240,3,218,255,61,141,213,255,97,183,106,0,195,232,235,254,95,86,154,0,209,48,205,254,118,209,241,255,240,120,223,1,213,29,159,0,163,127,147,255,13,218,93,0,85,24,68,254,70,20,80,255,189,5,140,1,82,97,254,255,99,99,191,255,132,84,133,255,107,218,116,255,112,122,46,0,105,17,32,0,194,160,63,255,68,222,39,1,216,253,92,0,177,105,205,255,149,201,195,0,42,225,11,255,40,162,115,0,9,7,81,0,165,218,219,0,180,22,0,254,29,146,252,255,146,207,225,1,180,135,96,0,31,163,112,0,177,11,219,255,133,12,193,254,43,78,50,0,65,113,121,1,59,217,6,255,110,94,24,1,112,172,111,0,7,15,96,0,36,85,123,0,71,150,21,255,208,73,188,0,192,11,167,1,213,245,34,0,9,230,92,0,162,142,39,255,215,90,27,0,98,97,89,0,94,79,211,0,90,157,240,0,95,220,126,1,102,176,226,0,36,30,224,254,35,31,127,0,231,232,115,1,85,83,130,0,210,73,245,255,47,143,114,255,68,65,197,0,59,72,62,255,183,133,173,254,93,121,118,255,59,177,81,255,234,69,173,255,205,128,177,0,220,244,51,0,26,244,209,1,73,222,77,255,163,8,96,254,150,149,211,0,158,254,203,1,54,127,139,0,161,224,59,0,4,109,22,255,222,42,45,255,208,146,102,255,236,142,187,0,50,205,245,255,10,74,89,254,48,79,142,0,222,76,130,255,30,166,63,0,236,12,13,255,49,184,244,0,187,113,102,0,218,101,253,0,153,57,182,254,32,150,42,0,25,198,146,1,237,241,56,0,140,68,5,0,91,164,172,255,78,145,186,254,67,52,205,0,219,207,129,1,109,115,17,0,54,143,58,1,21,248,120,255,179,255,30,0,193,236,66,255,1,255,7,255,253,192,48,255,19,69,217,1,3,214,0,255,64,101,146,1,223,125,35,255,235,73,179,255,249,167,226,0,225,175,10,1,97,162,58,0,106,112,171,1,84,172,5,255,133,140,178,255,134,245,142,0,97,90,125,255,186,203,185,255,223,77,23,255,192,92,106,0,15,198,115,255,217,152,248,0,171,178,120,255,228,134,53,0,176,54,193,1,250,251,53,0,213,10,100,1,34,199,106,0,151,31,244,254,172,224,87,255,14,237,23,255,253,85,26,255,127,39,116,255,172,104,100,0,251,14,70,255,212,208,138,255,253,211,250,0,176,49,165,0,15,76,123,255,37,218,160,255,92,135,16,1,10,126,114,255,70,5,224,255,247,249,141,0,68,20,60,1,241,210,189,255,195,217,187,1,151,3,113,0,151,92,174,0,231,62,178,255,219,183,225,0,23,23,33,255,205,181,80,0,57,184,248,255,67,180,1,255,90,123,93,255,39,0,162,255,96,248,52,255,84,66,140,0,34,127,228,255,194,138,7,1,166,110,188,0,21,17,155,1,154,190,198,255,214,80,59,255,18,7,143,0,72,29,226,1,199,217,249,0,232,161,71,1,149,190,201,0,217,175,95,254,113,147,67,255,138,143,199,255,127,204,1,0,29,182,83,1,206,230,155,255,186,204,60,0,10,125,85,255,232,96,25,255,255,89,247,255,213,254,175,1,232,193,81,0,28,43,156,254,12,69,8,0,147,24,248,0,18,198,49,0,134,60,35,0,118,246,18,255,49,88,254,254,228,21,186,255,182,65,112,1,219,22,1,255,22,126,52,255,189,53,49,255,112,25,143,0,38,127,55,255,226,101,163,254,208,133,61,255,137,69,174,1,190,118,145,255,60,98,219,255,217,13,245,255,250,136,10,0,84,254,226,0,201,31,125,1,240,51,251,255,31,131,130,255,2,138,50,255,215,215,177,1,223,12,238,255,252,149,56,255,124,91,68,255,72,126,170,254,119,255,100,0,130,135,232,255,14,79,178,0,250,131,197,0,138,198,208,0,121,216,139,254,119,18,36,255,29,193,122,0,16,42,45,255,213,240,235,1,230,190,169,255,198,35,228,254,110,173,72,0,214,221,241,255,56,148,135,0,192,117,78,254,141,93,207,255,143,65,149,0,21,18,98,255,95,44,244,1,106,191,77,0,254,85,8,254,214,110,176,255,73,173,19,254,160,196,199,255,237,90,144,0,193,172,113,255,200,155,136,254,228,90,221,0,137,49,74,1,164,221,215,255,209,189,5,255,105,236,55,255,42,31,129,1,193,255,236,0,46,217,60,0,138,88,187,255,226,82,236,255,81,69,151,255,142,190,16,1,13,134,8,0,127,122,48,255,81,64,156,0,171,243,139,0,237,35,246,0,122,143,193,254,212,122,146,0,95,41,255,1,87,132,77,0,4,212,31,0,17,31,78,0,39,45,173,254,24,142,217,255,95,9,6,255,227,83,6,0,98,59,130,254,62,30,33,0,8,115,211,1,162,97,128,255,7,184,23,254,116,28,168,255,248,138,151,255,98,244,240,0,186,118,130,0,114,248,235,255,105,173,200,1,160,124,71,255,94,36,164,1,175,65,146,255,238,241,170,254,202,198,197,0,228,71,138,254,45,246,109,255,194,52,158,0,133,187,176,0,83,252,154,254,89,189,221,255,170,73,252,0,148,58,125,0,36,68,51,254,42,69,177,255,168,76,86,255,38,100,204,255,38,53,35,0,175,19,97,0,225,238,253,255,81,81,135,0,210,27,255,254,235,73,107,0,8,207,115,0,82,127,136,0,84,99,21,254,207,19,136,0,100,164,101,0,80,208,77,255,132,207,237,255,15,3,15,255,33,166,110,0,156,95,85,255,37,185,111,1,150,106,35,255,166,151,76,0,114,87,135,255,159,194,64,0,12,122,31,255,232,7,101,254,173,119,98,0,154,71,220,254,191,57,53,255,168,232,160,255,224,32,99,255,218,156,165,0,151,153,163,0,217,13,148,1,197,113,89,0,149,28,161,254,207,23,30,0,105,132,227,255,54,230,94,255,133,173,204,255,92,183,157,255,88,144,252,254,102,33,90,0,159,97,3,0,181,218,155,255,240,114,119,0,106,214,53,255,165,190,115,1,152,91,225,255,88,106,44,255,208,61,113,0,151,52,124,0,191,27,156,255,110,54,236,1,14,30,166,255,39,127,207,1,229,199,28,0,188,228,188,254,100,157,235,0,246,218,183,1,107,22,193,255,206,160,95,0,76,239,147,0,207,161,117,0,51,166,2,255,52,117,10,254,73,56,227,255,152,193,225,0,132,94,136,255,101,191,209,0,32,107,229,255,198,43,180,1,100,210,118,0,114,67,153,255,23,88,26,255,89,154,92,1,220,120,140,255,144,114,207,255,252,115,250,255,34,206,72,0,138,133,127,255,8,178,124,1,87,75,97,0,15,229,92,254,240,67,131,255,118,123,227,254,146,120,104,255,145,213,255,1,129,187,70,255,219,119,54,0,1,19,173,0,45,150,148,1,248,83,72,0,203,233,169,1,142,107,56,0,247,249,38,1,45,242,80,255,30,233,103,0,96,82,70,0,23,201,111,0,81,39,30,255,161,183,78,255,194,234,33,255,68,227,140,254,216,206,116,0,70,27,235,255,104,144,79,0,164,230,93,254,214,135,156,0,154,187,242,254,188,20,131,255,36,109,174,0,159,112,241,0,5,110,149,1,36,165,218,0,166,29,19,1,178,46,73,0,93,43,32,254,248,189,237,0,102,155,141,0,201,93,195,255,241,139,253,255,15,111,98,255,108,65,163,254,155,79,190,255,73,174,193,254,246,40,48,255,107,88,11,254,202,97,85,255,253,204,18,255,113,242,66,0,110,160,194,254,208,18,186,0,81,21,60,0,188,104,167,255,124,166,97,254,210,133,142,0,56,242,137,254,41,111,130,0,111,151,58,1,111,213,141,255,183,172,241,255,38,6,196,255,185,7,123,255,46,11,246,0,245,105,119,1,15,2,161,255,8,206,45,255,18,202,74,255,83,124,115,1,212,141,157,0,83,8,209,254,139,15,232,255,172,54,173,254,50,247,132,0,214,189,213,0,144,184,105,0,223,254,248,0,255,147,240,255,23,188,72,0,7,51,54,0,188,25,180,254,220,180,0,255,83,160,20,0,163,189,243,255,58,209,194,255,87,73,60,0,106,24,49,0,245,249,220,0,22,173,167,0,118,11,195,255,19,126,237,0,110,159,37,255,59,82,47,0,180,187,86,0,188,148,208,1,100,37,133,255,7,112,193,0,129,188,156,255,84,106,129,255,133,225,202,0,14,236,111,255,40,20,101,0,172,172,49,254,51,54,74,255,251,185,184,255,93,155,224,255,180,249,224,1,230,178,146,0,72,57,54,254,178,62,184,0,119,205,72,0,185,239,253,255,61,15,218,0,196,67,56,255,234,32,171,1,46,219,228,0,208,108,234,255,20,63,232,255,165,53,199,1,133,228,5,255,52,205,107,0,74,238,140,255,150,156,219,254,239,172,178,255,251,189,223,254,32,142,211,255,218,15,138,1,241,196,80,0,28,36,98,254,22,234,199,0,61,237,220,255,246,57,37,0,142,17,142,255,157,62,26,0,43,238,95,254,3,217,6,255,213,25,240,1,39,220,174,255,154,205,48,254,19,13,192,255,244,34,54,254,140,16,155,0,240,181,5,254,155,193,60,0,166,128,4,255,36,145,56,255,150,240,219,0,120,51,145,0,82,153,42,1,140,236,146,0,107,92,248,1,189,10,3,0,63,136,242,0,211,39,24,0,19,202,161,1,173,27,186,255,210,204,239,254,41,209,162,255,182,254,159,255,172,116,52,0,195,103,222,254,205,69,59,0,53,22,41,1,218,48,194,0,80,210,242,0,210,188,207,0,187,161,161,254,216,17,1,0,136,225,113,0,250,184,63,0,223,30,98,254,77,168,162,0,59,53,175,0,19,201,10,255,139,224,194,0,147,193,154,255,212,189,12,254,1,200,174,255,50,133,113,1,94,179,90,0,173,182,135,0,94,177,113,0,43,89,215,255,136,252,106,255,123,134,83,254,5,245,66,255,82,49,39,1,220,2,224,0,97,129,177,0,77,59,89,0,61,29,155,1,203,171,220,255,92,78,139,0,145,33,181,255,169,24,141,1,55,150,179,0,139,60,80,255,218,39,97,0,2,147,107,255,60,248,72,0,173,230,47,1,6,83,182,255,16,105,162,254,137,212,81,255,180,184,134,1,39,222,164,255,221,105,251,1,239,112,125,0,63,7,97,0,63,104,227,255,148,58,12,0,90,60,224,255,84,212,252,0,79,215,168,0,248,221,199,1,115,121,1,0,36,172,120,0,32,162,187,255,57,107,49,255,147,42,21,0,106,198,43,1,57,74,87,0,126,203,81,255,129,135,195,0,140,31,177,0,221,139,194,0,3,222,215,0,131,68,231,0,177,86,178,254,124,151,180,0,184,124,38,1,70,163,17,0,249,251,181,1,42,55,227,0,226,161,44,0,23,236,110,0,51,149,142,1,93,5,236,0,218,183,106,254,67,24,77,0,40,245,209,255,222,121,153,0,165,57,30,0,83,125,60,0,70,38,82,1,229,6,188,0,109,222,157,255,55,118,63,255,205,151,186,0,227,33,149,255,254,176,246,1,227,177,227,0,34,106,163,254,176,43,79,0,106,95,78,1,185,241,122,255,185,14,61,0,36,1,202,0,13,178,162,255,247,11,132,0,161,230,92,1,65,1,185,255,212,50,165,1,141,146,64,255,158,242,218,0,21,164,125,0,213,139,122,1,67,71,87,0,203,158,178,1,151,92,43,0,152,111,5,255,39,3,239,255,217,255,250,255,176,63,71,255,74,245,77,1,250,174,18,255,34,49,227,255,246,46,251,255,154,35,48,1,125,157,61,255,106,36,78,255,97,236,153,0,136,187,120,255,113,134,171,255,19,213,217,254,216,94,209,255,252,5,61,0,94,3,202,0,3,26,183,255,64,191,43,255,30,23,21,0,129,141,77,255,102,120,7,1,194,76,140,0,188,175,52,255,17,81,148,0,232,86,55,1,225,48,172,0,134,42,42,255,238,50,47,0,169,18,254,0,20,147,87,255,14,195,239,255,69,247,23,0,238,229,128,255,177,49,112,0,168,98,251,255,121,71,248,0,243,8,145,254,246,227,153,255,219,169,177,254,251,139,165,255,12,163,185,255,164,40,171,255,153,159,27,254,243,109,91,255,222,24,112,1,18,214,231,0,107,157,181,254,195,147,0,255,194,99,104,255,89,140,190,255,177,66,126,254,106,185,66,0,49,218,31,0,252,174,158,0,188,79,230,1,238,41,224,0,212,234,8,1,136,11,181,0,166,117,83,255,68,195,94,0,46,132,201,0,240,152,88,0,164,57,69,254,160,224,42,255,59,215,67,255,119,195,141,255,36,180,121,254,207,47,8,255,174,210,223,0,101,197,68,255,255,82,141,1,250,137,233,0,97,86,133,1,16,80,69,0,132,131,159,0,116,93,100,0,45,141,139,0,152,172,157,255,90,43,91,0,71,153,46,0,39,16,112,255,217,136,97,255,220,198,25,254,177,53,49,0,222,88,134,255,128,15,60,0,207,192,169,255,192,116,209,255,106,78,211,1,200,213,183,255,7,12,122,254,222,203,60,255,33,110,199,254,251,106,117,0,228,225,4,1,120,58,7,255,221,193,84,254,112,133,27,0,189,200,201,255,139,135,150,0,234,55,176,255,61,50,65,0,152,108,169,255,220,85,1,255,112,135,227,0,162,26,186,0,207,96,185,254,244,136,107,0,93,153,50,1,198,97,151,0,110,11,86,255,143,117,174,255,115,212,200,0,5,202,183,0,237,164,10,254,185,239,62,0,236,120,18,254,98,123,99,255,168,201,194,254,46,234,214,0,191,133,49,255,99,169,119,0,190,187,35,1,115,21,45,255,249,131,72,0,112,6,123,255,214,49,181,254,166,233,34,0,92,197,102,254,253,228,205,255,3,59,201,1,42,98,46,0,219,37,35,255,169,195,38,0,94,124,193,1,156,43,223,0,95,72,133,254,120,206,191,0,122,197,239,255,177,187,79,255,254,46,2,1,250,167,190,0,84,129,19,0,203,113,166,255,249,31,189,254,72,157,202,255,208,71,73,255,207,24,72,0,10,16,18,1,210,81,76,255,88,208,192,255,126,243,107,255,238,141,120,255,199,121,234,255,137,12,59,255,36,220,123,255,148,179,60,254,240,12,29,0,66,0,97,1,36,30,38,255,115,1,93,255,96,103,231,255,197,158,59,1,192,164,240,0,202,202,57,255,24,174,48,0,89,77,155,1,42,76,215,0,244,151,233,0,23,48,81,0,239,127,52,254,227,130,37,255,248,116,93,1,124,132,118,0,173,254,192,1,6,235,83,255,110,175,231,1,251,28,182,0,129,249,93,254,84,184,128,0,76,181,62,0,175,128,186,0,100,53,136,254,109,29,226,0,221,233,58,1,20,99,74,0,0,22,160,0,134,13,21,0,9,52,55,255,17,89,140,0,175,34,59,0,84,165,119,255,224,226,234,255,7,72,166,255,123,115,255,1,18,214,246,0,250,7,71,1,217,220,185,0,212,35,76,255,38,125,175,0,189,97,210,0,114,238,44,255,41,188,169,254,45,186,154,0,81,92,22,0,132,160,193,0,121,208,98,255,13,81,44,255,203,156,82,0,71,58,21,255,208,114,191,254,50,38,147,0,154,216,195,0,101,25,18,0,60,250,215,255,233,132,235,255,103,175,142,1,16,14,92,0,141,31,110,254,238,241,45,255,153,217,239,1,97,168,47,255,249,85,16,1,28,175,62,255],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([57,254,54,0,222,231,126,0,166,45,117,254,18,189,96,255,228,76,50,0,200,244,94,0,198,152,120,1,68,34,69,255,12,65,160,254,101,19,90,0,167,197,120,255,68,54,185,255,41,218,188,0,113,168,48,0,88,105,189,1,26,82,32,255,185,93,164,1,228,240,237,255,66,182,53,0,171,197,92,255,107,9,233,1,199,120,144,255,78,49,10,255,109,170,105,255,90,4,31,255,28,244,113,255,74,58,11,0,62,220,246,255,121,154,200,254,144,210,178,255,126,57,129,1,43,250,14,255,101,111,28,1,47,86,241,255,61,70,150,255,53,73,5,255,30,26,158,0,209,26,86,0,138,237,74,0,164,95,188,0,142,60,29,254,162,116,248,255,187,175,160,0,151,18,16,0,209,111,65,254,203,134,39,255,88,108,49,255,131,26,71,255,221,27,215,254,104,105,93,255,31,236,31,254,135,0,211,255,143,127,110,1,212,73,229,0,233,67,167,254,195,1,208,255,132,17,221,255,51,217,90,0,67,235,50,255,223,210,143,0,179,53,130,1,233,106,198,0,217,173,220,255,112,229,24,255,175,154,93,254,71,203,246,255,48,66,133,255,3,136,230,255,23,221,113,254,235,111,213,0,170,120,95,254,251,221,2,0,45,130,158,254,105,94,217,255,242,52,180,254,213,68,45,255,104,38,28,0,244,158,76,0,161,200,96,255,207,53,13,255,187,67,148,0,170,54,248,0,119,162,178,255,83,20,11,0,42,42,192,1,146,159,163,255,183,232,111,0,77,229,21,255,71,53,143,0,27,76,34,0,246,136,47,255,219,39,182,255,92,224,201,1,19,142,14,255,69,182,241,255,163,118,245,0,9,109,106,1,170,181,247,255,78,47,238,255,84,210,176,255,213,107,139,0,39,38,11,0,72,21,150,0,72,130,69,0,205,77,155,254,142,133,21,0,71,111,172,254,226,42,59,255,179,0,215,1,33,128,241,0,234,252,13,1,184,79,8,0,110,30,73,255,246,141,189,0,170,207,218,1,74,154,69,255,138,246,49,255,155,32,100,0,125,74,105,255,90,85,61,255,35,229,177,255,62,125,193,255,153,86,188,1,73,120,212,0,209,123,246,254,135,209,38,255,151,58,44,1,92,69,214,255,14,12,88,255,252,153,166,255,253,207,112,255,60,78,83,255,227,124,110,0,180,96,252,255,53,117,33,254,164,220,82,255,41,1,27,255,38,164,166,255,164,99,169,254,61,144,70,255,192,166,18,0,107,250,66,0,197,65,50,0,1,179,18,255,255,104,1,255,43,153,35,255,80,111,168,0,110,175,168,0,41,105,45,255,219,14,205,255,164,233,140,254,43,1,118,0,233,67,195,0,178,82,159,255,138,87,122,255,212,238,90,255,144,35,124,254,25,140,164,0,251,215,44,254,133,70,107,255,101,227,80,254,92,169,55,0,215,42,49,0,114,180,85,255,33,232,27,1,172,213,25,0,62,176,123,254,32,133,24,255,225,191,62,0,93,70,153,0,181,42,104,1,22,191,224,255,200,200,140,255,249,234,37,0,149,57,141,0,195,56,208,255,254,130,70,255,32,173,240,255,29,220,199,0,110,100,115,255,132,229,249,0,228,233,223,255,37,216,209,254,178,177,209,255,183,45,165,254,224,97,114,0,137,97,168,255,225,222,172,0,165,13,49,1,210,235,204,255,252,4,28,254,70,160,151,0,232,190,52,254,83,248,93,255,62,215,77,1,175,175,179,255,160,50,66,0,121,48,208,0,63,169,209,255,0,210,200,0,224,187,44,1,73,162,82,0,9,176,143,255,19,76,193,255,29,59,167,1,24,43,154,0,28,190,190,0,141,188,129,0,232,235,203,255,234,0,109,255,54,65,159,0,60,88,232,255,121,253,150,254,252,233,131,255,198,110,41,1,83,77,71,255,200,22,59,254,106,253,242,255,21,12,207,255,237,66,189,0,90,198,202,1,225,172,127,0,53,22,202,0,56,230,132,0,1,86,183,0,109,190,42,0,243,68,174,1,109,228,154,0,200,177,122,1,35,160,183,255,177,48,85,255,90,218,169,255,248,152,78,0,202,254,110,0,6,52,43,0,142,98,65,255,63,145,22,0,70,106,93,0,232,138,107,1,110,179,61,255,211,129,218,1,242,209,92,0,35,90,217,1,182,143,106,255,116,101,217,255,114,250,221,255,173,204,6,0,60,150,163,0,73,172,44,255,239,110,80,255,237,76,153,254,161,140,249,0,149,232,229,0,133,31,40,255,174,164,119,0,113,51,214,0,129,228,2,254,64,34,243,0,107,227,244,255,174,106,200,255,84,153,70,1,50,35,16,0,250,74,216,254,236,189,66,255,153,249,13,0,230,178,4,255,221,41,238,0,118,227,121,255,94,87,140,254,254,119,92,0,73,239,246,254,117,87,128,0,19,211,145,255,177,46,252,0,229,91,246,1,69,128,247,255,202,77,54,1,8,11,9,255,153,96,166,0,217,214,173,255,134,192,2,1,0,207,0,0,189,174,107,1,140,134,100,0,158,193,243,1,182,102,171,0,235,154,51,0,142,5,123,255,60,168,89,1,217,14,92,255,19,214,5,1,211,167,254,0,44,6,202,254,120,18,236,255,15,113,184,255,184,223,139,0,40,177,119,254,182,123,90,255,176,165,176,0,247,77,194,0,27,234,120,0,231,0,214,255,59,39,30,0,125,99,145,255,150,68,68,1,141,222,248,0,153,123,210,255,110,127,152,255,229,33,214,1,135,221,197,0,137,97,2,0,12,143,204,255,81,41,188,0,115,79,130,255,94,3,132,0,152,175,187,255,124,141,10,255,126,192,179,255,11,103,198,0,149,6,45,0,219,85,187,1,230,18,178,255,72,182,152,0,3,198,184,255,128,112,224,1,97,161,230,0,254,99,38,255,58,159,197,0,151,66,219,0,59,69,143,255,185,112,249,0,119,136,47,255,123,130,132,0,168,71,95,255,113,176,40,1,232,185,173,0,207,93,117,1,68,157,108,255,102,5,147,254,49,97,33,0,89,65,111,254,247,30,163,255,124,217,221,1,102,250,216,0,198,174,75,254,57,55,18,0,227,5,236,1,229,213,173,0,201,109,218,1,49,233,239,0,30,55,158,1,25,178,106,0,155,111,188,1,94,126,140,0,215,31,238,1,77,240,16,0,213,242,25,1,38,71,168,0,205,186,93,254,49,211,140,255,219,0,180,255,134,118,165,0,160,147,134,255,110,186,35,255,198,243,42,0,243,146,119,0,134,235,163,1,4,241,135,255,193,46,193,254,103,180,79,255,225,4,184,254,242,118,130,0,146,135,176,1,234,111,30,0,69,66,213,254,41,96,123,0,121,94,42,255,178,191,195,255,46,130,42,0,117,84,8,255,233,49,214,254,238,122,109,0,6,71,89,1,236,211,123,0,244,13,48,254,119,148,14,0,114,28,86,255,75,237,25,255,145,229,16,254,129,100,53,255,134,150,120,254,168,157,50,0,23,72,104,255,224,49,14,0,255,123,22,255,151,185,151,255,170,80,184,1,134,182,20,0,41,100,101,1,153,33,16,0,76,154,111,1,86,206,234,255,192,160,164,254,165,123,93,255,1,216,164,254,67,17,175,255,169,11,59,255,158,41,61,255,73,188,14,255,195,6,137,255,22,147,29,255,20,103,3,255,246,130,227,255,122,40,128,0,226,47,24,254,35,36,32,0,152,186,183,255,69,202,20,0,195,133,195,0,222,51,247,0,169,171,94,1,183,0,160,255,64,205,18,1,156,83,15,255,197,58,249,254,251,89,110,255,50,10,88,254,51,43,216,0,98,242,198,1,245,151,113,0,171,236,194,1,197,31,199,255,229,81,38,1,41,59,20,0,253,104,230,0,152,93,14,255,246,242,146,254,214,169,240,255,240,102,108,254,160,167,236,0,154,218,188,0,150,233,202,255,27,19,250,1,2,71,133,255,175,12,63,1,145,183,198,0,104,120,115,255,130,251,247,0,17,212,167,255,62,123,132,255,247,100,189,0,155,223,152,0,143,197,33,0,155,59,44,255,150,93,240,1,127,3,87,255,95,71,207,1,167,85,1,255,188,152,116,255,10,23,23,0,137,195,93,1,54,98,97,0,240,0,168,255,148,188,127,0,134,107,151,0,76,253,171,0,90,132,192,0,146,22,54,0,224,66,54,254,230,186,229,255,39,182,196,0,148,251,130,255,65,131,108,254,128,1,160,0,169,49,167,254,199,254,148,255,251,6,131,0,187,254,129,255,85,82,62,0,178,23,58,255,254,132,5,0,164,213,39,0,134,252,146,254,37,53,81,255,155,134,82,0,205,167,238,255,94,45,180,255,132,40,161,0,254,111,112,1,54,75,217,0,179,230,221,1,235,94,191,255,23,243,48,1,202,145,203,255,39,118,42,255,117,141,253,0,254,0,222,0,43,251,50,0,54,169,234,1,80,68,208,0,148,203,243,254,145,7,135,0,6,254,0,0,252,185,127,0,98,8,129,255,38,35,72,255,211,36,220,1,40,26,89,0,168,64,197,254,3,222,239,255,2,83,215,254,180,159,105,0,58,115,194,0,186,116,106,255,229,247,219,255,129,118,193,0,202,174,183,1,166,161,72,0,201,107,147,254,237,136,74,0,233,230,106,1,105,111,168,0,64,224,30,1,1,229,3,0,102,151,175,255,194,238,228,255,254,250,212,0,187,237,121,0,67,251,96,1,197,30,11,0,183,95,204,0,205,89,138,0,64,221,37,1,255,223,30,255,178,48,211,255,241,200,90,255,167,209,96,255,57,130,221,0,46,114,200,255,61,184,66,0,55,182,24,254,110,182,33,0,171,190,232,255,114,94,31,0,18,221,8,0,47,231,254,0,255,112,83,0,118,15,215,255,173,25,40,254,192,193,31,255,238,21,146,255,171,193,118,255,101,234,53,254,131,212,112,0,89,192,107,1,8,208,27,0,181,217,15,255,231,149,232,0,140,236,126,0,144,9,199,255,12,79,181,254,147,182,202,255,19,109,182,255,49,212,225,0,74,163,203,0,175,233,148,0,26,112,51,0,193,193,9,255,15,135,249,0,150,227,130,0,204,0,219,1,24,242,205,0,238,208,117,255,22,244,112,0,26,229,34,0,37,80,188,255,38,45,206,254,240,90,225,255,29,3,47,255,42,224,76,0,186,243,167,0,32,132,15,255,5,51,125,0,139,135,24,0,6,241,219,0,172,229,133,255,246,214,50,0,231,11,207,255,191,126,83,1,180,163,170,255,245,56,24,1,178,164,211,255,3,16,202,1,98,57,118,255,141,131,89,254,33,51,24,0,243,149,91,255,253,52,14,0,35,169,67,254,49,30,88,255,179,27,36,255,165,140,183,0,58,189,151,0,88,31,0,0,75,169,66,0,66,101,199,255,24,216,199,1,121,196,26,255,14,79,203,254,240,226,81,255,94,28,10,255,83,193,240,255,204,193,131,255,94,15,86,0,218,40,157,0,51,193,209,0,0,242,177,0,102,185,247,0,158,109,116,0,38,135,91,0,223,175,149,0,220,66,1,255,86,60,232,0,25,96,37,255,225,122,162,1,215,187,168,255,158,157,46,0,56,171,162,0,232,240,101,1,122,22,9,0,51,9,21,255,53,25,238,255,217,30,232,254,125,169,148,0,13,232,102,0,148,9,37,0,165,97,141,1,228,131,41,0,222,15,243,255,254,18,17,0,6,60,237,1,106,3,113,0,59,132,189,0,92,112,30,0,105,208,213,0,48,84,179,255,187,121,231,254,27,216,109,255,162,221,107,254,73,239,195,255,250,31,57,255,149,135,89,255,185,23,115,1,3,163,157,255,18,112,250,0,25,57,187,255,161,96,164,0,47,16,243,0,12,141,251,254,67,234,184,255,41,18,161,0,175,6,96,255,160,172,52,254,24,176,183,255,198,193,85,1,124,121,137,255,151,50,114,255,220,203,60,255,207,239,5,1,0,38,107,255,55,238,94,254,70,152,94,0,213,220,77,1,120,17,69,255,85,164,190,255,203,234,81,0,38,49,37,254,61,144,124,0,137,78,49,254,168,247,48,0,95,164,252,0,105,169,135,0,253,228,134,0,64,166,75,0,81,73,20,255,207,210,10,0,234,106,150,255,94,34,90,255,254,159,57,254,220,133,99,0,139,147,180,254,24,23,185,0,41,57,30,255,189,97,76,0,65,187,223,255,224,172,37,255,34,62,95,1,231,144,240,0,77,106,126,254,64,152,91,0,29,98,155,0,226,251,53,255,234,211,5,255,144,203,222,255,164,176,221,254,5,231,24,0,179,122,205,0,36,1,134,255,125,70,151,254,97,228,252,0,172,129,23,254,48,90,209,255,150,224,82,1,84,134,30,0,241,196,46,0,103,113,234,255,46,101,121,254,40,124,250,255,135,45,242,254,9,249,168,255,140,108,131,255,143,163,171,0,50,173,199,255,88,222,142,255,200,95,158,0,142,192,163,255,7,117,135,0,111,124,22,0,236,12,65,254,68,38,65,255,227,174,254,0,244,245,38,0,240,50,208,255,161,63,250,0,60,209,239,0,122,35,19,0,14,33,230,254,2,159,113,0,106,20,127,255,228,205,96,0,137,210,174,254,180,212,144,255,89,98,154,1,34,88,139,0,167,162,112,1,65,110,197,0,241,37,169,0,66,56,131,255,10,201,83,254,133,253,187,255,177,112,45,254,196,251,0,0,196,250,151,255,238,232,214,255,150,209,205,0,28,240,118,0,71,76,83,1,236,99,91,0,42,250,131,1,96,18,64,255,118,222,35,0,113,214,203,255,122,119,184,255,66,19,36,0,204,64,249,0,146,89,139,0,134,62,135,1,104,233,101,0,188,84,26,0,49,249,129,0,208,214,75,255,207,130,77,255,115,175,235,0,171,2,137,255,175,145,186,1,55,245,135,255,154,86,181,1,100,58,246,255,109,199,60,255,82,204,134,255,215,49,230,1,140,229,192,255,222,193,251,255,81,136,15,255,179,149,162,255,23,39,29,255,7,95,75,254,191,81,222,0,241,81,90,255,107,49,201,255,244,211,157,0,222,140,149,255,65,219,56,254,189,246,90,255,178,59,157,1,48,219,52,0,98,34,215,0,28,17,187,255,175,169,24,0,92,79,161,255,236,200,194,1,147,143,234,0,229,225,7,1,197,168,14,0,235,51,53,1,253,120,174,0,197,6,168,255,202,117,171,0,163,21,206,0,114,85,90,255,15,41,10,255,194,19,99,0,65,55,216,254,162,146,116,0,50,206,212,255,64,146,29,255,158,158,131,1,100,165,130,255,172,23,129,255,125,53,9,255,15,193,18,1,26,49,11,255,181,174,201,1,135,201,14,255,100,19,149,0,219,98,79,0,42,99,143,254,96,0,48,255,197,249,83,254,104,149,79,255,235,110,136,254,82,128,44,255,65,41,36,254,88,211,10,0,187,121,187,0,98,134,199,0,171,188,179,254,210,11,238,255,66,123,130,254,52,234,61,0,48,113,23,254,6,86,120,255,119,178,245,0,87,129,201,0,242,141,209,0,202,114,85,0,148,22,161,0,103,195,48,0,25,49,171,255,138,67,130,0,182,73,122,254,148,24,130,0,211,229,154,0,32,155,158,0,84,105,61,0,177,194,9,255,166,89,86,1,54,83,187,0,249,40,117,255,109,3,215,255,53,146,44,1,63,47,179,0,194,216,3,254,14,84,136,0,136,177,13,255,72,243,186,255,117,17,125,255,211,58,211,255,93,79,223,0,90,88,245,255,139,209,111,255,70,222,47,0,10,246,79,255,198,217,178,0,227,225,11,1,78,126,179,255,62,43,126,0,103,148,35,0,129,8,165,254,245,240,148,0,61,51,142,0,81,208,134,0,15,137,115,255,211,119,236,255,159,245,248,255,2,134,136,255,230,139,58,1,160,164,254,0,114,85,141,255,49,166,182,255,144,70,84,1,85,182,7,0,46,53,93,0,9,166,161,255,55,162,178,255,45,184,188,0,146,28,44,254,169,90,49,0,120,178,241,1,14,123,127,255,7,241,199,1,189,66,50,255,198,143,101,254,189,243,135,255,141,24,24,254,75,97,87,0,118,251,154,1,237,54,156,0,171,146,207,255,131,196,246,255,136,64,113,1,151,232,57,0,240,218,115,0,49,61,27,255,64,129,73,1,252,169,27,255,40,132,10,1,90,201,193,255,252,121,240,1,186,206,41,0,43,198,97,0,145,100,183,0,204,216,80,254,172,150,65,0,249,229,196,254,104,123,73,255,77,104,96,254,130,180,8,0,104,123,57,0,220,202,229,255,102,249,211,0,86,14,232,255,182,78,209,0,239,225,164,0,106,13,32,255,120,73,17,255,134,67,233,0,83,254,181,0,183,236,112,1,48,64,131,255,241,216,243,255,65,193,226,0,206,241,100,254,100,134,166,255,237,202,197,0,55,13,81,0,32,124,102,255,40,228,177,0,118,181,31,1,231,160,134,255,119,187,202,0,0,142,60,255,128,38,189,255,166,201,150,0,207,120,26,1,54,184,172,0,12,242,204,254,133,66,230,0,34,38,31,1,184,112,80,0,32,51,165,254,191,243,55,0,58,73,146,254,155,167,205,255,100,104,152,255,197,254,207,255,173,19,247,0,238,10,202,0,239,151,242,0,94,59,39,255,240,29,102,255,10,92,154,255,229,84,219,255,161,129,80,0,208,90,204,1,240,219,174,255,158,102,145,1,53,178,76,255,52,108,168,1,83,222,107,0,211,36,109,0,118,58,56,0,8,29,22,0,237,160,199,0,170,209,157,0,137,71,47,0,143,86,32,0,198,242,2,0,212,48,136,1,92,172,186,0,230,151,105,1,96,191,229,0,138,80,191,254,240,216,130,255,98,43,6,254,168,196,49,0,253,18,91,1,144,73,121,0,61,146,39,1,63,104,24,255,184,165,112,254,126,235,98,0,80,213,98,255,123,60,87,255,82,140,245,1,223,120,173,255,15,198,134,1,206,60,239,0,231,234,92,255,33,238,19,255,165,113,142,1,176,119,38,0,160,43,166,254,239,91,105,0,107,61,194,1,25,4,68,0,15,139,51,0,164,132,106,255,34,116,46,254,168,95,197,0,137,212,23,0,72,156,58,0,137,112,69,254,150,105,154,255,236,201,157,0,23,212,154,255,136,82,227,254,226,59,221,255,95,149,192,0,81,118,52,255,33,43,215,1,14,147,75,255,89,156,121,254,14,18,79,0,147,208,139,1,151,218,62,255,156,88,8,1,210,184,98,255,20,175,123,255,102,83,229,0,220,65,116,1,150,250,4,255,92,142,220,255,34,247,66,255,204,225,179,254,151,81,151,0,71,40,236,255,138,63,62,0,6,79,240,255,183,185,181,0,118,50,27,0,63,227,192,0,123,99,58,1,50,224,155,255,17,225,223,254,220,224,77,255,14,44,123,1,141,128,175,0,248,212,200,0,150,59,183,255,147,97,29,0,150,204,181,0,253,37,71,0,145,85,119,0,154,200,186,0,2,128,249,255,83,24,124,0,14,87,143,0,168,51,245,1,124,151,231,255,208,240,197,1,124,190,185,0,48,58,246,0,20,233,232,0,125,18,98,255,13,254,31,255,245,177,130,255,108,142,35,0,171,125,242,254,140,12,34,255,165,161,162,0,206,205,101,0,247,25,34,1,100,145,57,0,39,70,57,0,118,204,203,255,242,0,162,0,165,244,30,0,198,116,226,0,128,111,153,255,140,54,182,1,60,122,15,255,155,58,57,1,54,50,198,0,171,211,29,255,107,138,167,255,173,107,199,255,109,161,193,0,89,72,242,255,206,115,89,255,250,254,142,254,177,202,94,255,81,89,50,0,7,105,66,255,25,254,255,254,203,64,23,255,79,222,108,255,39,249,75,0,241,124,50,0,239,152,133,0,221,241,105,0,147,151,98,0,213,161,121,254,242,49,137,0,233,37,249,254,42,183,27,0,184,119,230,255,217,32,163,255,208,251,228,1,137,62,131,255,79,64,9,254,94,48,113,0,17,138,50,254,193,255,22,0,247,18,197,1,67,55,104,0,16,205,95,255,48,37,66,0,55,156,63,1,64,82,74,255,200,53,71,254,239,67,125,0,26,224,222,0,223,137,93,255,30,224,202,255,9,220,132,0,198,38,235,1,102,141,86,0,60,43,81,1,136,28,26,0,233,36,8,254,207,242,148,0,164,162,63,0,51,46,224,255,114,48,79,255,9,175,226,0,222,3,193,255,47,160,232,255,255,93,105,254,14,42,230,0,26,138,82,1,208,43,244,0,27,39,38,255,98,208,127,255,64,149,182,255,5,250,209,0,187,60,28,254,49,25,218,255,169,116,205,255,119,18,120,0,156,116,147,255,132,53,109,255,13,10,202,0,110,83,167,0,157,219,137,255,6,3,130,255,50,167,30,255,60,159,47,255,129,128,157,254,94,3,189,0,3,166,68,0,83,223,215,0,150,90,194,1,15,168,65,0,227,83,51,255,205,171,66,255,54,187,60,1,152,102,45,255,119,154,225,0,240,247,136,0,100,197,178,255,139,71,223,255,204,82,16,1,41,206,42,255,156,192,221,255,216,123,244,255,218,218,185,255,187,186,239,255,252,172,160,255,195,52,22,0,144,174,181,254,187,100,115,255,211,78,176,255,27,7,193,0,147,213,104,255,90,201,10,255,80,123,66,1,22,33,186,0,1,7,99,254,30,206,10,0,229,234,5,0,53,30,210,0,138,8,220,254,71,55,167,0,72,225,86,1,118,190,188,0,254,193,101,1,171,249,172,255,94,158,183,254,93,2,108,255,176,93,76,255,73,99,79,255,74,64,129,254,246,46,65,0,99,241,127,254,246,151,102,255,44,53,208,254,59,102,234,0,154,175,164,255,88,242,32,0,111,38,1,0,255,182,190,255,115,176,15,254,169,60,129,0,122,237,241,0,90,76,63,0,62,74,120,255,122,195,110,0,119,4,178,0,222,242,210,0,130,33,46,254,156,40,41,0,167,146,112,1,49,163,111,255,121,176,235,0,76,207,14,255,3,25,198,1,41,235,213,0,85,36,214,1,49,92,109,255,200,24,30,254,168,236,195,0,145,39,124,1,236,195,149,0,90,36,184,255,67,85,170,255,38,35,26,254,131,124,68,255,239,155,35,255,54,201,164,0,196,22,117,255,49,15,205,0,24,224,29,1,126,113,144,0,117,21,182,0,203,159,141,0,223,135,77,0,176,230,176,255,190,229,215,255,99,37,181,255,51,21,138,255,25,189,89,255,49,48,165,254,152,45,247,0,170,108,222,0,80,202,5,0,27,69,103,254,204,22,129,255,180,252,62,254,210,1,91,255,146,110,254,255,219,162,28,0,223,252,213,1,59,8,33,0,206,16,244,0,129,211,48,0,107,160,208,0,112,59,209,0,109,77,216,254,34,21,185,255,246,99,56,255,179,139,19,255,185,29,50,255,84,89,19,0,74,250,98,255,225,42,200,255,192,217,205,255,210,16,167,0,99,132,95,1,43,230,57,0,254,11,203,255,99,188,63,255,119,193,251,254,80,105,54,0,232,181,189,1,183,69,112,255,208,171,165,255,47,109,180,255,123,83,165,0,146,162,52,255,154,11,4,255,151,227,90,255,146,137,97,254,61,233,41,255,94,42,55,255,108,164,236,0,152,68,254,0,10,140,131,255,10,106,79,254,243,158,137,0,67,178,66,254,177,123,198,255,15,62,34,0,197,88,42,255,149,95,177,255,152,0,198,255,149,254,113,255,225,90,163,255,125,217,247,0,18,17,224,0,128,66,120,254,192,25,9,255,50,221,205,0,49,212,70,0,233,255,164,0,2,209,9,0,221,52,219,254,172,224,244,255,94,56,206,1,242,179,2,255,31,91,164,1,230,46,138,255,189,230,220,0,57,47,61,255,111,11,157,0,177,91,152,0,28,230,98,0,97,87,126,0,198,89,145,255,167,79,107,0,249,77,160,1,29,233,230,255,150,21,86,254,60,11,193,0,151,37,36,254,185,150,243,255,228,212,83,1,172,151,180,0,201,169,155,0,244,60,234,0,142,235,4,1,67,218,60,0,192,113,75,1,116,243,207,255,65,172,155,0,81,30,156,255,80,72,33,254,18,231,109,255,142,107,21,254,125,26,132,255,176,16,59,255,150,201,58,0,206,169,201,0,208,121,226,0,40,172,14,255,150,61,94,255,56,57,156,255,141,60,145,255,45,108,149,255,238,145,155,255,209,85,31,254,192,12,210,0,99,98,93,254,152,16,151,0,225,185,220,0,141,235,44,255,160,172,21,254,71,26,31,255,13,64,93,254,28,56,198,0,177,62,248,1,182,8,241,0,166,101,148,255,78,81,133,255,129,222,215,1,188,169,129,255,232,7,97,0,49,112,60,255,217,229,251,0,119,108,138,0,39,19,123,254,131,49,235,0,132,84,145,0,130,230,148,255,25,74,187,0,5,245,54,255,185,219,241,1,18,194,228,255,241,202,102,0,105,113,202,0,155,235,79,0,21,9,178,255,156,1,239,0,200,148,61,0,115,247,210,255,49,221,135,0,58,189,8,1,35,46,9,0,81,65,5,255,52,158,185,255,125,116,46,255,74,140,13,255,210,92,172,254,147,23,71,0,217,224,253,254,115,108,180,255,145,58,48,254,219,177,24,255,156,255,60,1,154,147,242,0,253,134,87,0,53,75,229,0,48,195,222,255,31,175,50,255,156,210,120,255,208,35,222,255,18,248,179,1,2,10,101,255,157,194,248,255,158,204,101,255,104,254,197,255,79,62,4,0,178,172,101,1,96,146,251,255,65,10,156,0,2,137,165,255,116,4,231,0,242,215,1,0,19,35,29,255,43,161,79,0,59,149,246,1,251,66,176,0,200,33,3,255,80,110,142,255,195,161,17,1,228,56,66,255,123,47,145,254,132,4,164,0,67,174,172,0,25,253,114,0,87,97,87,1,250,220,84,0,96,91,200,255,37,125,59,0,19,65,118,0,161,52,241,255,237,172,6,255,176,191,255,255,1,65,130,254,223,190,230,0,101,253,231,255,146,35,109,0,250,29,77,1,49,0,19,0,123,90,155,1,22,86,32,255,218,213,65,0,111,93,127,0,60,93,169,255,8,127,182,0,17,186,14,254,253,137,246,255,213,25,48,254,76,238,0,255,248,92,70,255,99,224,139,0,184,9,255,1,7,164,208,0,205,131,198,1,87,214,199,0,130,214,95,0,221,149,222,0,23,38,171,254,197,110,213,0,43,115,140,254,215,177,118,0,96,52,66,1,117,158,237,0,14,64,182,255,46,63,174,255,158,95,190,255,225,205,177,255,43,5,142,255,172,99,212,255,244,187,147,0,29,51,153,255,228,116,24,254,30,101,207,0,19,246,150,255,134,231,5,0,125,134,226,1,77,65,98,0,236,130,33,255,5,110,62,0,69,108,127,255,7,113,22,0,145,20,83,254,194,161,231,255,131,181,60,0,217,209,177,255,229,148,212,254,3,131,184,0,117,177,187,1,28,14,31,255,176,102,80,0,50,84,151,255,125,31,54,255,21,157,133,255,19,179,139,1,224,232,26,0,34,117,170,255,167,252,171,255,73,141,206,254,129,250,35,0,72,79,236,1,220,229,20,255,41,202,173,255,99,76,238,255,198,22,224,255,108,198,195,255,36,141,96,1,236,158,59,255,106,100,87,0,110,226,2,0,227,234,222,0,154,93,119,255,74,112,164,255,67,91,2,255,21,145,33,255,102,214,137,255,175,230,103,254,163,246,166,0,93,247,116,254,167,224,28,255,220,2,57,1,171,206,84,0,123,228,17,255,27,120,119,0,119,11,147,1,180,47,225,255,104,200,185,254,165,2,114,0,77,78,212,0,45,154,177,255,24,196,121,254,82,157,182,0,90,16,190,1,12,147,197,0,95,239,152,255,11,235,71,0,86,146,119,255,172,134,214,0,60,131,196,0,161,225,129,0,31,130,120,254,95,200,51,0,105,231,210,255,58,9,148,255,43,168,221,255,124,237,142,0,198,211,50,254,46,245,103,0,164,248,84,0,152,70,208,255,180,117,177,0,70,79,185,0,243,74,32,0,149,156,207,0,197,196,161,1,245,53,239,0,15,93,246,254,139,240,49,255,196,88,36,255,162,38,123,0,128,200,157,1,174,76,103,255,173,169,34,254,216,1,171,255,114,51,17,0,136,228,194,0,110,150,56,254,106,246,159,0,19,184,79,255,150,77,240,255,155,80,162,0,0,53,169,255,29,151,86,0,68,94,16,0,92,7,110,254,98,117,149,255,249,77,230,255,253,10,140,0,214,124,92,254,35,118,235,0,89,48,57,1,22,53,166,0,184,144,61,255,179,255,194,0,214,248,61,254,59,110,246,0,121,21,81,254,166,3,228,0,106,64,26,255,69,232,134,255,242,220,53,254,46,220,85,0,113,149,247,255,97,179,103,255,190,127,11,0,135,209,182,0,95,52,129,1,170,144,206,255,122,200,204,255,168,100,146,0,60,144,149,254,70,60,40,0,122,52,177,255,246,211,101,255,174,237,8,0,7,51,120,0,19,31,173,0,126,239,156,255,143,189,203,0,196,128,88,255,233,133,226,255,30,125,173,255,201,108,50,0,123,100,59,255,254,163,3,1,221,148,181,255,214,136,57,254,222,180,137,255,207,88,54,255,28,33,251,255,67,214,52,1,210,208,100,0,81,170,94,0,145,40,53,0,224,111,231,254,35,28,244,255,226,199,195,254,238,17,230,0,217,217,164,254,169,157,221,0,218,46,162,1,199,207,163,255,108,115,162,1,14,96,187,255,118,60,76,0,184,159,152,0,209,231,71,254,42,164,186,255,186,153,51,254,221,171,182,255,162,142,173,0,235,47,193,0,7,139,16,1,95,164,64,255,16,221,166,0,219,197,16,0,132,29,44,255,100,69,117,255,60,235,88,254,40,81,173,0,71,190,61,255,187,88,157,0,231,11,23,0,237,117,164,0,225,168,223,255,154,114,116,255,163,152,242,1,24,32,170,0,125,98,113,254,168,19,76,0,17,157,220,254,155,52,5,0,19,111,161,255,71,90,252,255,173,110,240,0,10,198,121,255,253,255,240,255,66,123,210,0,221,194,215,254,121,163,17,255,225,7,99,0,190,49,182,0,115,9,133,1,232,26,138,255,213,68,132,0,44,119,122,255,179,98,51,0,149,90,106,0,71,50,230,255,10,153,118,255,177,70,25,0,165,87,205,0,55,138,234,0,238,30,97,0,113,155,207,0,98,153,127,0,34,107,219,254,117,114,172,255,76,180,255,254,242,57,179,255,221,34,172,254,56,162,49,255,83,3,255,255,113,221,189,255,188,25,228,254,16,88,89,255,71,28,198,254,22,17,149,255,243,121,254,255,107,202,99,255,9,206,14,1,220,47,153,0,107,137,39,1,97,49,194,255,149,51,197,254,186,58,11,255,107,43,232,1,200,6,14,255,181,133,65,254,221,228,171,255,123,62,231,1,227,234,179,255,34,189,212,254,244,187,249,0,190,13,80,1,130,89,1,0,223,133,173,0,9,222,198,255,66,127,74,0,167,216,93,255,155,168,198,1,66,145,0,0,68,102,46,1,172,90,154,0,216,128,75,255,160,40,51,0,158,17,27,1,124,240,49,0,236,202,176,255,151,124,192,255,38,193,190,0,95,182,61,0,163,147,124,255,255,165,51,255,28,40,17,254,215,96,78,0,86,145,218,254,31,36,202,255,86,9,5,0,111,41,200,255,237,108,97,0,57,62,44,0,117,184,15,1,45,241,116,0,152,1,220,255,157,165,188,0,250,15,131,1,60,44,125,255,65,220,251,255,75,50,184,0,53,90,128,255,231,80,194,255,136,129,127,1,21,18,187,255,45,58,161,255,71,147,34,0,174,249,11,254,35,141,29,0,239,68,177,255,115,110,58,0,238,190,177,1,87,245,166,255,190,49,247,255,146,83,184,255,173,14,39,255,146,215,104,0,142,223,120,0,149,200,155,255,212,207,145,1,16,181,217,0,173,32,87,255,255,35,181,0,119,223,161,1,200,223,94,255,70,6,186,255,192,67,85,255,50,169,152,0,144,26,123,255,56,243,179,254,20,68,136,0,39,140,188,254,253,208,5,255,200,115,135,1,43,172,229,255,156,104,187,0,151,251,167,0,52,135,23,0,151,153,72,0,147,197,107,254,148,158,5,255,238,143,206,0,126,153,137,255,88,152,197,254,7,68,167,0,252,159,165,255,239,78,54,255,24,63,55,255,38,222,94,0,237,183,12,255,206,204,210,0,19,39,246,254,30,74,231,0,135,108,29,1,179,115,0,0,117,118,116,1,132,6,252,255,145,129,161,1,105,67,141,0,82,37,226,255,238,226,228,255,204,214,129,254,162,123,100,255,185,121,234,0,45,108,231,0,66,8,56,255,132,136,128,0,172,224,66,254,175,157,188,0,230,223,226,254,242,219,69,0,184,14,119,1,82,162,56,0,114,123,20,0,162,103,85,255,49,239,99,254,156,135,215,0,111,255,167,254,39,196,214,0,144,38,79,1,249,168,125,0,155,97,156,255,23,52,219,255,150,22,144,0,44,149,165,255,40,127,183,0,196,77,233,255,118,129,210,255,170,135,230,255,214,119,198,0,233,240,35,0,253,52,7,255,117,102,48,255,21,204,154,255,179,136,177,255,23,2,3,1,149,130,89,255,252,17,159,1,70,60,26,0,144,107,17,0,180,190,60,255,56,182,59,255,110,71,54,255,198,18,129,255,149,224,87,255,223,21,152,255,138,22,182,255,250,156,205,0,236,45,208,255,79,148,242,1,101,70,209,0,103,78,174,0,101,144,172,255,152,136,237,1,191,194,136,0,113,80,125,1,152,4,141,0,155,150,53,255,196,116,245,0,239,114,73,254,19,82,17,255,124,125,234,255,40,52,191,0,42,210,158,255,155,132,165,0,178,5,42,1,64,92,40,255,36,85,77,255,178,228,118,0,137,66,96,254,115,226,66,0,110,240,69,254,151,111,80,0,167,174,236,255,227,108,107,255,188,242,65,255,183,81,255,0,57,206,181,255,47,34,181,255,213,240,158,1,71,75,95,0,156,40,24,255,102,210,81,0,171,199,228,255,154,34,41,0,227,175,75,0,21,239,195,0,138,229,95,1,76,192,49,0,117,123,87,1,227,225,130,0,125,62,63,255,2,198,171,0,254,36,13,254,145,186,206,0,148,255,244,255,35,0,166,0,30,150,219,1,92,228,212,0,92,198,60,254,62,133,200,255,201,41,59,0,125,238,109,255,180,163,238,1,140,122,82,0,9,22,88,255,197,157,47,255,153,94,57,0,88,30,182,0,84,161,85,0,178,146,124,0,166,166,7,255,21,208,223,0,156,182,242,0,155,121,185,0,83,156,174,254,154,16,118,255,186,83,232,1,223,58,121,255,29,23,88,0,35,125,127,255,170,5,149,254,164,12,130,255,155,196,29,0,161,96,136,0,7,35,29,1,162,37,251,0,3,46,242,255,0,217,188,0,57,174,226,1,206,233,2,0,57,187,136,254,123,189,9,255,201,117,127,255,186,36,204,0,231,25,216,0,80,78,105,0,19,134,129,255,148,203,68,0,141,81,125,254,248,165,200,255,214,144,135,0,151,55,166,255,38,235,91,0,21,46,154,0,223,254,150,255,35,153,180,255,125,176,29,1,43,98,30,255,216,122,230,255,233,160,12,0,57,185,12,254,240,113,7,255,5,9,16,254,26,91,108,0,109,198,203,0,8,147,40,0,129,134,228,255,124,186,40,255,114,98,132,254,166,132,23,0,99,69,44,0,9,242,238,255,184,53,59,0,132,129,102,255,52,32,243,254,147,223,200,255,123,83,179,254,135,144,201,255,141,37,56,1,151,60,227,255,90,73,156,1,203,172,187,0,80,151,47,255,94,137,231,255,36,191,59,255,225,209,181,255,74,215,213,254,6,118,179,255,153,54,193,1,50,0,231,0,104,157,72,1,140,227,154,255,182,226,16,254,96,225,92,255,115,20,170,254,6,250,78,0,248,75,173,255,53,89,6,255,0,180,118,0,72,173,1,0,64,8,206,1,174,133,223,0,185,62,133,255,214,11,98,0,197,31,208,0,171,167,244,255,22,231,181,1,150,218,185,0,247,169,97,1,165,139,247,255,47,120,149,1,103,248,51,0,60,69,28,254,25,179,196,0,124,7,218,254,58,107,81,0,184,233,156,255,252,74,36,0,118,188,67,0,141,95,53,255,222,94,165,254,46,61,53,0,206,59,115,255,47,236,250,255,74,5,32,1,129,154,238,255,106,32,226,0,121,187,61,255,3,166,241,254,67,170,172,255,29,216,178,255,23,201,252,0,253,110,243,0,200,125,57,0,109,192,96,255,52,115,238,0,38,121,243,255,201,56,33,0,194,118,130,0,75,96,25,255,170,30,230,254,39,63,253,0,36,45,250,255,251,1,239,0,160,212,92,1,45,209,237,0,243,33,87,254,237,84,201,255,212,18,157,254,212,99,127,255,217,98,16,254,139,172,239,0,168,201,130,255,143,193,169,255,238,151,193,1,215,104,41,0,239,61,165,254,2,3,242,0,22,203,177,254,177,204,22,0,149,129,213,254,31,11,41,255,0,159,121,254,160,25,114,255,162,80,200,0,157,151,11,0,154,134,78,1,216,54,252,0,48,103,133,0,105,220,197,0,253,168,77,254,53,179,23,0,24,121,240,1,255,46,96,255,107,60,135,254,98,205,249,255,63,249,119,255,120,59,211,255,114,180,55,254,91,85,237,0,149,212,77,1,56,73,49,0,86,198,150,0,93,209,160,0,69,205,182,255,244,90,43,0,20,36,176,0,122,116,221,0,51,167,39,1,231,1,63,255,13,197,134,0,3,209,34,255,135,59,202,0,167,100,78,0,47,223,76,0,185,60,62,0,178,166,123,1,132,12,161,255,61,174,43,0,195,69,144,0,127,47,191,1,34,44,78,0,57,234,52,1,255,22,40,255,246,94,146,0,83,228,128,0,60,78,224,255,0,96,210,255,153,175,236,0,159,21,73,0,180,115,196,254,131,225,106,0,255,167,134,0,159,8,112,255,120,68,194,255,176,196,198,255,118,48,168,255,93,169,1,0,112,200,102,1,74,24,254,0,19,141,4,254,142,62,63,0,131,179,187,255,77,156,155,255,119,86,164,0,170,208,146,255,208,133,154,255,148,155,58,255,162,120,232,254,252,213,155,0,241,13,42,0,94,50,131,0,179,170,112,0,140,83,151,255,55,119,84,1,140,35,239,255,153,45,67,1,236,175,39,0,54,151,103,255,158,42,65,255,196,239,135,254,86,53,203,0,149,97,47,254,216,35,17,255,70,3,70,1,103,36,90,255,40,26,173,0,184,48,13,0,163,219,217,255,81,6,1,255,221,170,108,254,233,208,93,0,100,201,249,254,86,36,35,255,209,154,30,1,227,201,251,255,2,189,167,254,100,57,3,0,13,128,41,0,197,100,75,0,150,204,235,255,145,174,59,0,120,248,149,255,85,55,225,0,114,210,53,254,199,204,119,0,14,247,74,1,63,251,129,0,67,104,151,1,135,130,80,0,79,89,55,255,117,230,157,255,25,96,143,0,213,145,5,0,69,241,120,1,149,243,95,255,114,42,20,0,131,72,2,0,154,53,20,255,73,62,109,0,196,102,152,0,41,12,204,255,122,38,11,1,250,10,145,0,207,125,148,0,246,244,222,255,41,32,85,1,112,213,126,0,162,249,86,1,71,198,127,255,81,9,21,1,98,39,4,255,204,71,45,1,75,111,137,0,234,59,231,0,32,48,95,255,204,31,114,1,29,196,181,255,51,241,167,254,93,109,142,0,104,144,45,0,235,12,181,255,52,112,164,0,76,254,202,255,174,14,162,0,61,235,147,255,43,64,185,254,233,125,217,0,243,88,167,254,74,49,8,0,156,204,66,0,124,214,123,0,38,221,118,1,146,112,236,0,114,98,177,0,151,89,199,0,87,197,112,0,185,149,161,0,44,96,165,0,248,179,20,255,188,219,216,254,40,62,13,0,243,142,141,0,229,227,206,255,172,202,35,255,117,176,225,255,82,110,38,1,42,245,14,255,20,83,97,0,49,171,10,0,242,119,120,0,25,232,61,0,212,240,147,255,4,115,56,255,145,17,239,254,202,17,251,255,249,18,245,255,99,117,239,0,184,4,179,255,246,237,51,255,37,239,137,255,166,112,166,255,81,188,33,255,185,250,142,255,54,187,173,0,208,112,201,0,246,43,228,1,104,184,88,255,212,52,196,255,51,117,108,255,254,117,155,0,46,91,15,255,87,14,144,255,87,227,204,0,83,26,83,1,159,76,227,0,159,27,213,1,24,151,108,0,117,144,179,254,137,209,82,0,38,159,10,0,115,133,201,0,223,182,156,1,110,196,93,255,57,60,233,0,5,167,105,255,154,197,164,0,96,34,186,255,147,133,37,1,220,99,190,0,1,167,84,255,20,145,171,0,194,197,251,254,95,78,133,255,252,248,243,255,225,93,131,255,187,134,196,255,216,153,170,0,20,118,158,254,140,1,118,0,86,158,15,1,45,211,41,255,147,1,100,254,113,116,76,255,211,127,108,1,103,15,48,0,193,16,102,1,69,51,95,255,107,128,157,0,137,171,233,0,90,124,144,1,106,161,182,0,175,76,236,1,200,141,172,255,163,58,104,0,233,180,52,255,240,253,14,255,162,113,254,255,38,239,138,254,52,46,166,0,241,101,33,254,131,186,156,0,111,208,62,255,124,94,160,255,31,172,254,0,112,174,56,255,188,99,27,255,67,138,251,0,125,58,128,1,156,152,174,255,178,12,247,255,252,84,158,0,82,197,14,254,172,200,83,255,37,39,46,1,106,207,167,0,24,189,34,0,131,178,144,0,206,213,4,0,161,226,210,0,72,51,105,255,97,45,187,255,78,184,223,255,176,29,251,0,79,160,86,255,116,37,178,0,82,77,213,1,82,84,141,255,226,101,212,1,175,88,199,255,245,94,247,1,172,118,109,255,166,185,190,0,131,181,120,0,87,254,93,255,134,240,73,255,32,245,143,255,139,162,103,255,179,98,18,254,217,204,112,0,147,223,120,255,53,10,243,0,166,140,150,0,125,80,200,255,14,109,219,255,91,218,1,255,252,252,47,254,109,156,116,255,115,49,127,1,204,87,211,255,148,202,217,255,26,85,249,255,14,245,134,1,76,89,169,255,242,45,230,0,59,98,172,255,114,73,132,254,78,155,49,255,158,126,84,0,49,175,43,255,16,182,84,255,157,103,35,0,104,193,109,255,67,221,154,0,201,172,1,254,8,162,88,0,165,1,29,255,125,155,229,255,30,154,220,1,103,239,92,0,220,1,109,255,202,198,1,0,94,2,142,1,36,54,44,0,235,226,158,255,170,251,214,255,185,77,9,0,97,74,242,0,219,163,149,255,240,35,118,255,223,114,88,254,192,199,3,0,106,37,24,255,201,161,118,255,97,89,99,1,224,58,103,255,101,199,147,254,222,60,99,0,234,25,59,1,52,135,27,0,102,3,91,254,168,216,235,0,229,232,136,0,104,60,129,0,46,168,238,0,39,191,67,0,75,163,47,0,143,97,98,255,56,216,168,1,168,233,252,255,35,111,22,255,92,84,43,0,26,200,87,1,91,253,152,0,202,56,70,0,142,8,77,0,80,10,175,1,252,199,76,0,22,110,82,255,129,1,194,0,11,128,61,1,87,14,145,255,253,222,190,1,15,72,174,0,85,163,86,254,58,99,44,255,45,24,188,254,26,205,15,0,19,229,210,254,248,67,195,0,99,71,184,0,154,199,37,255,151,243,121,255,38,51,75,255,201,85,130,254,44,65,250,0,57,147,243,254,146,43,59,255,89,28,53,0,33,84,24,255,179,51,18,254,189,70,83,0,11,156,179,1,98,134,119,0,158,111,111,0,119,154,73,255,200,63,140,254,45,13,13,255,154,192,2,254,81,72,42,0,46,160,185,254,44,112,6,0,146,215,149,1,26,176,104,0,68,28,87,1,236,50,153,255,179,128,250,254,206,193,191,255,166,92,137,254,53,40,239,0,210,1,204,254,168,173,35,0,141,243,45,1,36,50,109,255,15,242,194,255,227,159,122,255,176,175,202,254,70,57,72,0,40,223,56,0,208,162,58,255,183,98,93,0,15,111,12,0,30,8,76,255,132,127,246,255,45,242,103,0,69,181,15,255,10,209,30,0,3,179,121,0,241,232,218,1,123,199,88,255,2,210,202,1,188,130,81,255,94,101,208,1,103,36,45,0,76,193,24,1,95,26,241,255,165,162,187,0,36,114,140,0,202,66,5,255,37,56,147,0,152,11,243,1,127,85,232,255,250,135,212,1,185,177,113,0,90,220,75,255,69,248,146,0,50,111,50,0,92,22,80,0,244,36,115,254,163,100,82,255,25,193,6,1,127,61,36,0,253,67,30,254,65,236,170,255,161,17,215,254,63,175,140,0,55,127,4,0,79,112,233,0,109,160,40,0,143,83,7,255,65,26,238,255,217,169,140,255,78,94,189,255,0,147,190,255,147,71,186,254,106,77,127,255,233,157,233,1,135,87,237,255,208,13,236,1,155,109,36,255,180,100,218,0,180,163,18,0,190,110,9,1,17,63,123,255,179,136,180,255,165,123,123,255,144,188,81,254,71,240,108,255,25,112,11,255,227,218,51,255,167,50,234,255,114,79,108,255,31,19,115,255,183,240,99,0,227,87,143,255,72,217,248,255,102,169,95,1,129,149,149,0,238,133,12,1,227,204,35,0,208,115,26,1,102,8,234,0,112,88,143,1,144,249,14,0,240,158,172,254,100,112,119],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([194,141,153,254,40,56,83,255,121,176,46,0,42,53,76,255,158,191,154,0,91,209,92,0,173,13,16,1,5,72,226,255,204,254,149,0,80,184,207,0,100,9,122,254,118,101,171,255,252,203,0,254,160,207,54,0,56,72,249,1,56,140,13,255,10,64,107,254,91,101,52,255,225,181,248,1,139,255,132,0,230,145,17,0,233,56,23,0,119,1,241,255,213,169,151,255,99,99,9,254,185,15,191,255,173,103,109,1,174,13,251,255,178,88,7,254,27,59,68,255,10,33,2,255,248,97,59,0,26,30,146,1,176,147,10,0,95,121,207,1,188,88,24,0,185,94,254,254,115,55,201,0,24,50,70,0,120,53,6,0,142,66,146,0,228,226,249,255,104,192,222,1,173,68,219,0,162,184,36,255,143,102,137,255,157,11,23,0,125,45,98,0,235,93,225,254,56,112,160,255,70,116,243,1,153,249,55,255,129,39,17,1,241,80,244,0,87,69,21,1,94,228,73,255,78,66,65,255,194,227,231,0,61,146,87,255,173,155,23,255,112,116,219,254,216,38,11,255,131,186,133,0,94,212,187,0,100,47,91,0,204,254,175,255,222,18,215,254,173,68,108,255,227,228,79,255,38,221,213,0,163,227,150,254,31,190,18,0,160,179,11,1,10,90,94,255,220,174,88,0,163,211,229,255,199,136,52,0,130,95,221,255,140,188,231,254,139,113,128,255,117,171,236,254,49,220,20,255,59,20,171,255,228,109,188,0,20,225,32,254,195,16,174,0,227,254,136,1,135,39,105,0,150,77,206,255,210,238,226,0,55,212,132,254,239,57,124,0,170,194,93,255,249,16,247,255,24,151,62,255,10,151,10,0,79,139,178,255,120,242,202,0,26,219,213,0,62,125,35,255,144,2,108,255,230,33,83,255,81,45,216,1,224,62,17,0,214,217,125,0,98,153,153,255,179,176,106,254,131,93,138,255,109,62,36,255,178,121,32,255,120,252,70,0,220,248,37,0,204,88,103,1,128,220,251,255,236,227,7,1,106,49,198,255,60,56,107,0,99,114,238,0,220,204,94,1,73,187,1,0,89,154,34,0,78,217,165,255,14,195,249,255,9,230,253,255,205,135,245,0,26,252,7,255,84,205,27,1,134,2,112,0,37,158,32,0,231,91,237,255,191,170,204,255,152,7,222,0,109,192,49,0,193,166,146,255,232,19,181,255,105,142,52,255,103,16,27,1,253,200,165,0,195,217,4,255,52,189,144,255,123,155,160,254,87,130,54,255,78,120,61,255,14,56,41,0,25,41,125,255,87,168,245,0,214,165,70,0,212,169,6,255,219,211,194,254,72,93,164,255,197,33,103,255,43,142,141,0,131,225,172,0,244,105,28,0,68,68,225,0,136,84,13,255,130,57,40,254,139,77,56,0,84,150,53,0,54,95,157,0,144,13,177,254,95,115,186,0,117,23,118,255,244,166,241,255,11,186,135,0,178,106,203,255,97,218,93,0,43,253,45,0,164,152,4,0,139,118,239,0,96,1,24,254,235,153,211,255,168,110,20,255,50,239,176,0,114,41,232,0,193,250,53,0,254,160,111,254,136,122,41,255,97,108,67,0,215,152,23,255,140,209,212,0,42,189,163,0,202,42,50,255,106,106,189,255,190,68,217,255,233,58,117,0,229,220,243,1,197,3,4,0,37,120,54,254,4,156,134,255,36,61,171,254,165,136,100,255,212,232,14,0,90,174,10,0,216,198,65,255,12,3,64,0,116,113,115,255,248,103,8,0,231,125,18,255,160,28,197,0,30,184,35,1,223,73,249,255,123,20,46,254,135,56,37,255,173,13,229,1,119,161,34,255,245,61,73,0,205,125,112,0,137,104,134,0,217,246,30,255,237,142,143,0,65,159,102,255,108,164,190,0,219,117,173,255,34,37,120,254,200,69,80,0,31,124,218,254,74,27,160,255,186,154,199,255,71,199,252,0,104,81,159,1,17,200,39,0,211,61,192,1,26,238,91,0,148,217,12,0,59,91,213,255,11,81,183,255,129,230,122,255,114,203,145,1,119,180,66,255,72,138,180,0,224,149,106,0,119,82,104,255,208,140,43,0,98,9,182,255,205,101,134,255,18,101,38,0,95,197,166,255,203,241,147,0,62,208,145,255,133,246,251,0,2,169,14,0,13,247,184,0,142,7,254,0,36,200,23,255,88,205,223,0,91,129,52,255,21,186,30,0,143,228,210,1,247,234,248,255,230,69,31,254,176,186,135,255,238,205,52,1,139,79,43,0,17,176,217,254,32,243,67,0,242,111,233,0,44,35,9,255,227,114,81,1,4,71,12,255,38,105,191,0,7,117,50,255,81,79,16,0,63,68,65,255,157,36,110,255,77,241,3,255,226,45,251,1,142,25,206,0,120,123,209,1,28,254,238,255,5,128,126,255,91,222,215,255,162,15,191,0,86,240,73,0,135,185,81,254,44,241,163,0,212,219,210,255,112,162,155,0,207,101,118,0,168,72,56,255,196,5,52,0,72,172,242,255,126,22,157,255,146,96,59,255,162,121,152,254,140,16,95,0,195,254,200,254,82,150,162,0,119,43,145,254,204,172,78,255,166,224,159,0,104,19,237,255,245,126,208,255,226,59,213,0,117,217,197,0,152,72,237,0,220,31,23,254,14,90,231,255,188,212,64,1,60,101,246,255,85,24,86,0,1,177,109,0,146,83,32,1,75,182,192,0,119,241,224,0,185,237,27,255,184,101,82,1,235,37,77,255,253,134,19,0,232,246,122,0,60,106,179,0,195,11,12,0,109,66,235,1,125,113,59,0,61,40,164,0,175,104,240,0,2,47,187,255,50,12,141,0,194,139,181,255,135,250,104,0,97,92,222,255,217,149,201,255,203,241,118,255,79,151,67,0,122,142,218,255,149,245,239,0,138,42,200,254,80,37,97,255,124,112,167,255,36,138,87,255,130,29,147,255,241,87,78,255,204,97,19,1,177,209,22,255,247,227,127,254,99,119,83,255,212,25,198,1,16,179,179,0,145,77,172,254,89,153,14,255,218,189,167,0,107,233,59,255,35,33,243,254,44,112,112,255,161,127,79,1,204,175,10,0,40,21,138,254,104,116,228,0,199,95,137,255,133,190,168,255,146,165,234,1,183,99,39,0,183,220,54,254,255,222,133,0,162,219,121,254,63,239,6,0,225,102,54,255,251,18,246,0,4,34,129,1,135,36,131,0,206,50,59,1,15,97,183,0,171,216,135,255,101,152,43,255,150,251,91,0,38,145,95,0,34,204,38,254,178,140,83,255,25,129,243,255,76,144,37,0,106,36,26,254,118,144,172,255,68,186,229,255,107,161,213,255,46,163,68,255,149,170,253,0,187,17,15,0,218,160,165,255,171,35,246,1,96,13,19,0,165,203,117,0,214,107,192,255,244,123,177,1,100,3,104,0,178,242,97,255,251,76,130,255,211,77,42,1,250,79,70,255,63,244,80,1,105,101,246,0,61,136,58,1,238,91,213,0,14,59,98,255,167,84,77,0,17,132,46,254,57,175,197,255,185,62,184,0,76,64,207,0,172,175,208,254,175,74,37,0,138,27,211,254,148,125,194,0,10,89,81,0,168,203,101,255,43,213,209,1,235,245,54,0,30,35,226,255,9,126,70,0,226,125,94,254,156,117,20,255,57,248,112,1,230,48,64,255,164,92,166,1,224,214,230,255,36,120,143,0,55,8,43,255,251,1,245,1,106,98,165,0,74,107,106,254,53,4,54,255,90,178,150,1,3,120,123,255,244,5,89,1,114,250,61,255,254,153,82,1,77,15,17,0,57,238,90,1,95,223,230,0,236,52,47,254,103,148,164,255,121,207,36,1,18,16,185,255,75,20,74,0,187,11,101,0,46,48,129,255,22,239,210,255,77,236,129,255,111,77,204,255,61,72,97,255,199,217,251,255,42,215,204,0,133,145,201,255,57,230,146,1,235,100,198,0,146,73,35,254,108,198,20,255,182,79,210,255,82,103,136,0,246,108,176,0,34,17,60,255,19,74,114,254,168,170,78,255,157,239,20,255,149,41,168,0,58,121,28,0,79,179,134,255,231,121,135,255,174,209,98,255,243,122,190,0,171,166,205,0,212,116,48,0,29,108,66,255,162,222,182,1,14,119,21,0,213,39,249,255,254,223,228,255,183,165,198,0,133,190,48,0,124,208,109,255,119,175,85,255,9,209,121,1,48,171,189,255,195,71,134,1,136,219,51,255,182,91,141,254,49,159,72,0,35,118,245,255,112,186,227,255,59,137,31,0,137,44,163,0,114,103,60,254,8,213,150,0,162,10,113,255,194,104,72,0,220,131,116,255,178,79,92,0,203,250,213,254,93,193,189,255,130,255,34,254,212,188,151,0,136,17,20,255,20,101,83,255,212,206,166,0,229,238,73,255,151,74,3,255,168,87,215,0,155,188,133,255,166,129,73,0,240,79,133,255,178,211,81,255,203,72,163,254,193,168,165,0,14,164,199,254,30,255,204,0,65,72,91,1,166,74,102,255,200,42,0,255,194,113,227,255,66,23,208,0,229,216,100,255,24,239,26,0,10,233,62,255,123,10,178,1,26,36,174,255,119,219,199,1,45,163,190,0,16,168,42,0,166,57,198,255,28,26,26,0,126,165,231,0,251,108,100,255,61,229,121,255,58,118,138,0,76,207,17,0,13,34,112,254,89,16,168,0,37,208,105,255,35,201,215,255,40,106,101,254,6,239,114,0,40,103,226,254,246,127,110,255,63,167,58,0,132,240,142,0,5,158,88,255,129,73,158,255,94,89,146,0,230,54,146,0,8,45,173,0,79,169,1,0,115,186,247,0,84,64,131,0,67,224,253,255,207,189,64,0,154,28,81,1,45,184,54,255,87,212,224,255,0,96,73,255,129,33,235,1,52,66,80,255,251,174,155,255,4,179,37,0,234,164,93,254,93,175,253,0,198,69,87,255,224,106,46,0,99,29,210,0,62,188,114,255,44,234,8,0,169,175,247,255,23,109,137,255,229,182,39,0,192,165,94,254,245,101,217,0,191,88,96,0,196,94,99,255,106,238,11,254,53,126,243,0,94,1,101,255,46,147,2,0,201,124,124,255,141,12,218,0,13,166,157,1,48,251,237,255,155,250,124,255,106,148,146,255,182,13,202,0,28,61,167,0,217,152,8,254,220,130,45,255,200,230,255,1,55,65,87,255,93,191,97,254,114,251,14,0,32,105,92,1,26,207,141,0,24,207,13,254,21,50,48,255,186,148,116,255,211,43,225,0,37,34,162,254,164,210,42,255,68,23,96,255,182,214,8,255,245,117,137,255,66,195,50,0,75,12,83,254,80,140,164,0,9,165,36,1,228,110,227,0,241,17,90,1,25,52,212,0,6,223,12,255,139,243,57,0,12,113,75,1,246,183,191,255,213,191,69,255,230,15,142,0,1,195,196,255,138,171,47,255,64,63,106,1,16,169,214,255,207,174,56,1,88,73,133,255,182,133,140,0,177,14,25,255,147,184,53,255,10,227,161,255,120,216,244,255,73,77,233,0,157,238,139,1,59,65,233,0,70,251,216,1,41,184,153,255,32,203,112,0,146,147,253,0,87,101,109,1,44,82,133,255,244,150,53,255,94,152,232,255,59,93,39,255,88,147,220,255,78,81,13,1,32,47,252,255,160,19,114,255,93,107,39,255,118,16,211,1,185,119,209,255,227,219,127,254,88,105,236,255,162,110,23,255,36,166,110,255,91,236,221,255,66,234,116,0,111,19,244,254,10,233,26,0,32,183,6,254,2,191,242,0,218,156,53,254,41,60,70,255,168,236,111,0,121,185,126,255,238,142,207,255,55,126,52,0,220,129,208,254,80,204,164,255,67,23,144,254,218,40,108,255,127,202,164,0,203,33,3,255,2,158,0,0,37,96,188,255,192,49,74,0,109,4,0,0,111,167,10,254,91,218,135,255,203,66,173,255,150,194,226,0,201,253,6,255,174,102,121,0,205,191,110,0,53,194,4,0,81,40,45,254,35,102,143,255,12,108,198,255,16,27,232,255,252,71,186,1,176,110,114,0,142,3,117,1,113,77,142,0,19,156,197,1,92,47,252,0,53,232,22,1,54,18,235,0,46,35,189,255,236,212,129,0,2,96,208,254,200,238,199,255,59,175,164,255,146,43,231,0,194,217,52,255,3,223,12,0,138,54,178,254,85,235,207,0,232,207,34,0,49,52,50,255,166,113,89,255,10,45,216,255,62,173,28,0,111,165,246,0,118,115,91,255,128,84,60,0,167,144,203,0,87,13,243,0,22,30,228,1,177,113,146,255,129,170,230,254,252,153,129,255,145,225,43,0,70,231,5,255,122,105,126,254,86,246,148,255,110,37,154,254,209,3,91,0,68,145,62,0,228,16,165,255,55,221,249,254,178,210,91,0,83,146,226,254,69,146,186,0,93,210,104,254,16,25,173,0,231,186,38,0,189,122,140,255,251,13,112,255,105,110,93,0,251,72,170,0,192,23,223,255,24,3,202,1,225,93,228,0,153,147,199,254,109,170,22,0,248,101,246,255,178,124,12,255,178,254,102,254,55,4,65,0,125,214,180,0,183,96,147,0,45,117,23,254,132,191,249,0,143,176,203,254,136,183,54,255,146,234,177,0,146,101,86,255,44,123,143,1,33,209,152,0,192,90,41,254,83,15,125,255,213,172,82,0,215,169,144,0,16,13,34,0,32,209,100,255,84,18,249,1,197,17,236,255,217,186,230,0,49,160,176,255,111,118,97,255,237,104,235,0,79,59,92,254,69,249,11,255,35,172,74,1,19,118,68,0,222,124,165,255,180,66,35,255,86,174,246,0,43,74,111,255,126,144,86,255,228,234,91,0,242,213,24,254,69,44,235,255,220,180,35,0,8,248,7,255,102,47,92,255,240,205,102,255,113,230,171,1,31,185,201,255,194,246,70,255,122,17,187,0,134,70,199,255,149,3,150,255,117,63,103,0,65,104,123,255,212,54,19,1,6,141,88,0,83,134,243,255,136,53,103,0,169,27,180,0,177,49,24,0,111,54,167,0,195,61,215,255,31,1,108,1,60,42,70,0,185,3,162,255,194,149,40,255,246,127,38,254,190,119,38,255,61,119,8,1,96,161,219,255,42,203,221,1,177,242,164,255,245,159,10,0,116,196,0,0,5,93,205,254,128,127,179,0,125,237,246,255,149,162,217,255,87,37,20,254,140,238,192,0,9,9,193,0,97,1,226,0,29,38,10,0,0,136,63,255,229,72,210,254,38,134,92,255,78,218,208,1,104,36,84,255,12,5,193,255,242,175,61,255,191,169,46,1,179,147,147,255,113,190,139,254,125,172,31,0,3,75,252,254,215,36,15,0,193,27,24,1,255,69,149,255,110,129,118,0,203,93,249,0,138,137,64,254,38,70,6,0,153,116,222,0,161,74,123,0,193,99,79,255,118,59,94,255,61,12,43,1,146,177,157,0,46,147,191,0,16,255,38,0,11,51,31,1,60,58,98,255,111,194,77,1,154,91,244,0,140,40,144,1,173,10,251,0,203,209,50,254,108,130,78,0,228,180,90,0,174,7,250,0,31,174,60,0,41,171,30,0,116,99,82,255,118,193,139,255,187,173,198,254,218,111,56,0,185,123,216,0,249,158,52,0,52,180,93,255,201,9,91,255,56,45,166,254,132,155,203,255,58,232,110,0,52,211,89,255,253,0,162,1,9,87,183,0,145,136,44,1,94,122,245,0,85,188,171,1,147,92,198,0,0,8,104,0,30,95,174,0,221,230,52,1,247,247,235,255,137,174,53,255,35,21,204,255,71,227,214,1,232,82,194,0,11,48,227,255,170,73,184,255,198,251,252,254,44,112,34,0,131,101,131,255,72,168,187,0,132,135,125,255,138,104,97,255,238,184,168,255,243,104,84,255,135,216,226,255,139,144,237,0,188,137,150,1,80,56,140,255,86,169,167,255,194,78,25,255,220,17,180,255,17,13,193,0,117,137,212,255,141,224,151,0,49,244,175,0,193,99,175,255,19,99,154,1,255,65,62,255,156,210,55,255,242,244,3,255,250,14,149,0,158,88,217,255,157,207,134,254,251,232,28,0,46,156,251,255,171,56,184,255,239,51,234,0,142,138,131,255,25,254,243,1,10,201,194,0,63,97,75,0,210,239,162,0,192,200,31,1,117,214,243,0,24,71,222,254,54,40,232,255,76,183,111,254,144,14,87,255,214,79,136,255,216,196,212,0,132,27,140,254,131,5,253,0,124,108,19,255,28,215,75,0,76,222,55,254,233,182,63,0,68,171,191,254,52,111,222,255,10,105,77,255,80,170,235,0,143,24,88,255,45,231,121,0,148,129,224,1,61,246,84,0,253,46,219,255,239,76,33,0,49,148,18,254,230,37,69,0,67,134,22,254,142,155,94,0,31,157,211,254,213,42,30,255,4,228,247,254,252,176,13,255,39,0,31,254,241,244,255,255,170,45,10,254,253,222,249,0,222,114,132,0,255,47,6,255,180,163,179,1,84,94,151,255,89,209,82,254,229,52,169,255,213,236,0,1,214,56,228,255,135,119,151,255,112,201,193,0,83,160,53,254,6,151,66,0,18,162,17,0,233,97,91,0,131,5,78,1,181,120,53,255,117,95,63,255,237,117,185,0,191,126,136,255,144,119,233,0,183,57,97,1,47,201,187,255,167,165,119,1,45,100,126,0,21,98,6,254,145,150,95,255,120,54,152,0,209,98,104,0,143,111,30,254,184,148,249,0,235,216,46,0,248,202,148,255,57,95,22,0,242,225,163,0,233,247,232,255,71,171,19,255,103,244,49,255,84,103,93,255,68,121,244,1,82,224,13,0,41,79,43,255,249,206,167,255,215,52,21,254,192,32,22,255,247,111,60,0,101,74,38,255,22,91,84,254,29,28,13,255,198,231,215,254,244,154,200,0,223,137,237,0,211,132,14,0,95,64,206,255,17,62,247,255,233,131,121,1,93,23,77,0,205,204,52,254,81,189,136,0,180,219,138,1,143,18,94,0,204,43,140,254,188,175,219,0,111,98,143,255,151,63,162,255,211,50,71,254,19,146,53,0,146,45,83,254,178,82,238,255,16,133,84,255,226,198,93,255,201,97,20,255,120,118,35,255,114,50,231,255,162,229,156,255,211,26,12,0,114,39,115,255,206,212,134,0,197,217,160,255,116,129,94,254,199,215,219,255,75,223,249,1,253,116,181,255,232,215,104,255,228,130,246,255,185,117,86,0,14,5,8,0,239,29,61,1,237,87,133,255,125,146,137,254,204,168,223,0,46,168,245,0,154,105,22,0,220,212,161,255,107,69,24,255,137,218,181,255,241,84,198,255,130,122,211,255,141,8,153,255,190,177,118,0,96,89,178,0,255,16,48,254,122,96,105,255,117,54,232,255,34,126,105,255,204,67,166,0,232,52,138,255,211,147,12,0,25,54,7,0,44,15,215,254,51,236,45,0,190,68,129,1,106,147,225,0,28,93,45,254,236,141,15,255,17,61,161,0,220,115,192,0,236,145,24,254,111,168,169,0,224,58,63,255,127,164,188,0,82,234,75,1,224,158,134,0,209,68,110,1,217,166,217,0,70,225,166,1,187,193,143,255,16,7,88,255,10,205,140,0,117,192,156,1,17,56,38,0,27,124,108,1,171,215,55,255,95,253,212,0,155,135,168,255,246,178,153,254,154,68,74,0,232,61,96,254,105,132,59,0,33,76,199,1,189,176,130,255,9,104,25,254,75,198,102,255,233,1,112,0,108,220,20,255,114,230,70,0,140,194,133,255,57,158,164,254,146,6,80,255,169,196,97,1,85,183,130,0,70,158,222,1,59,237,234,255,96,25,26,255,232,175,97,255,11,121,248,254,88,35,194,0,219,180,252,254,74,8,227,0,195,227,73,1,184,110,161,255,49,233,164,1,128,53,47,0,82,14,121,255,193,190,58,0,48,174,117,255,132,23,32,0,40,10,134,1,22,51,25,255,240,11,176,255,110,57,146,0,117,143,239,1,157,101,118,255,54,84,76,0,205,184,18,255,47,4,72,255,78,112,85,255,193,50,66,1,93,16,52,255,8,105,134,0,12,109,72,255,58,156,251,0,144,35,204,0,44,160,117,254,50,107,194,0,1,68,165,255,111,110,162,0,158,83,40,254,76,214,234,0,58,216,205,255,171,96,147,255,40,227,114,1,176,227,241,0,70,249,183,1,136,84,139,255,60,122,247,254,143,9,117,255,177,174,137,254,73,247,143,0,236,185,126,255,62,25,247,255,45,64,56,255,161,244,6,0,34,57,56,1,105,202,83,0,128,147,208,0,6,103,10,255,74,138,65,255,97,80,100,255,214,174,33,255,50,134,74,255,110,151,130,254,111,84,172,0,84,199,75,254,248,59,112,255,8,216,178,1,9,183,95,0,238,27,8,254,170,205,220,0,195,229,135,0,98,76,237,255,226,91,26,1,82,219,39,255,225,190,199,1,217,200,121,255,81,179,8,255,140,65,206,0,178,207,87,254,250,252,46,255,104,89,110,1,253,189,158,255,144,214,158,255,160,245,54,255,53,183,92,1,21,200,194,255,146,33,113,1,209,1,255,0,235,106,43,255,167,52,232,0,157,229,221,0,51,30,25,0,250,221,27,1,65,147,87,255,79,123,196,0,65,196,223,255,76,44,17,1,85,241,68,0,202,183,249,255,65,212,212,255,9,33,154,1,71,59,80,0,175,194,59,255,141,72,9,0,100,160,244,0,230,208,56,0,59,25,75,254,80,194,194,0,18,3,200,254,160,159,115,0,132,143,247,1,111,93,57,255,58,237,11,1,134,222,135,255,122,163,108,1,123,43,190,255,251,189,206,254,80,182,72,255,208,246,224,1,17,60,9,0,161,207,38,0,141,109,91,0,216,15,211,255,136,78,110,0,98,163,104,255,21,80,121,255,173,178,183,1,127,143,4,0,104,60,82,254,214,16,13,255,96,238,33,1,158,148,230,255,127,129,62,255,51,255,210,255,62,141,236,254,157,55,224,255,114,39,244,0,192,188,250,255,228,76,53,0,98,84,81,255,173,203,61,254,147,50,55,255,204,235,191,0,52,197,244,0,88,43,211,254,27,191,119,0,188,231,154,0,66,81,161,0,92,193,160,1,250,227,120,0,123,55,226,0,184,17,72,0,133,168,10,254,22,135,156,255,41,25,103,255,48,202,58,0,186,149,81,255,188,134,239,0,235,181,189,254,217,139,188,255,74,48,82,0,46,218,229,0,189,253,251,0,50,229,12,255,211,141,191,1,128,244,25,255,169,231,122,254,86,47,189,255,132,183,23,255,37,178,150,255,51,137,253,0,200,78,31,0,22,105,50,0,130,60,0,0,132,163,91,254,23,231,187,0,192,79,239,0,157,102,164,255,192,82,20,1,24,181,103,255,240,9,234,0,1,123,164,255,133,233,0,255,202,242,242,0,60,186,245,0,241,16,199,255,224,116,158,254,191,125,91,255,224,86,207,0,121,37,231,255,227,9,198,255,15,153,239,255,121,232,217,254,75,112,82,0,95,12,57,254,51,214,105,255,148,220,97,1,199,98,36,0,156,209,12,254,10,212,52,0,217,180,55,254,212,170,232,255,216,20,84,255,157,250,135,0,157,99,127,254,1,206,41,0,149,36,70,1,54,196,201,255,87,116,0,254,235,171,150,0,27,163,234,0,202,135,180,0,208,95,0,254,123,156,93,0,183,62,75,0,137,235,182,0,204,225,255,255,214,139,210,255,2,115,8,255,29,12,111,0,52,156,1,0,253,21,251,255,37,165,31,254,12,130,211,0,106,18,53,254,42,99,154,0,14,217,61,254,216,11,92,255,200,197,112,254,147,38,199,0,36,252,120,254,107,169,77,0,1,123,159,255,207,75,102,0,163,175,196,0,44,1,240,0,120,186,176,254,13,98,76,255,237,124,241,255,232,146,188,255,200,96,224,0,204,31,41,0,208,200,13,0,21,225,96,255,175,156,196,0,247,208,126,0,62,184,244,254,2,171,81,0,85,115,158,0,54,64,45,255,19,138,114,0,135,71,205,0,227,47,147,1,218,231,66,0,253,209,28,0,244,15,173,255,6,15,118,254,16,150,208,255,185,22,50,255,86,112,207,255,75,113,215,1,63,146,43,255,4,225,19,254,227,23,62,255,14,255,214,254,45,8,205,255,87,197,151,254,210,82,215,255,245,248,247,255,128,248,70,0,225,247,87,0,90,120,70,0,213,245,92,0,13,133,226,0,47,181,5,1,92,163,105,255,6,30,133,254,232,178,61,255,230,149,24,255,18,49,158,0,228,100,61,254,116,243,251,255,77,75,92,1,81,219,147,255,76,163,254,254,141,213,246,0,232,37,152,254,97,44,100,0,201,37,50,1,212,244,57,0,174,171,183,255,249,74,112,0,166,156,30,0,222,221,97,255,243,93,73,254,251,101,100,255,216,217,93,255,254,138,187,255,142,190,52,255,59,203,177,255,200,94,52,0,115,114,158,255,165,152,104,1,126,99,226,255,118,157,244,1,107,200,16,0,193,90,229,0,121,6,88,0,156,32,93,254,125,241,211,255,14,237,157,255,165,154,21,255,184,224,22,255,250,24,152,255,113,77,31,0,247,171,23,255,237,177,204,255,52,137,145,255,194,182,114,0,224,234,149,0,10,111,103,1,201,129,4,0,238,142,78,0,52,6,40,255,110,213,165,254,60,207,253,0,62,215,69,0,96,97,0,255,49,45,202,0,120,121,22,255,235,139,48,1,198,45,34,255,182,50,27,1,131,210,91,255,46,54,128,0,175,123,105,255,198,141,78,254,67,244,239,255,245,54,103,254,78,38,242,255,2,92,249,254,251,174,87,255,139,63,144,0,24,108,27,255,34,102,18,1,34,22,152,0,66,229,118,254,50,143,99,0,144,169,149,1,118,30,152,0,178,8,121,1,8,159,18,0,90,101,230,255,129,29,119,0,68,36,11,1,232,183,55,0,23,255,96,255,161,41,193,255,63,139,222,0,15,179,243,0,255,100,15,255,82,53,135,0,137,57,149,1,99,240,170,255,22,230,228,254,49,180,82,255,61,82,43,0,110,245,217,0,199,125,61,0,46,253,52,0,141,197,219,0,211,159,193,0,55,121,105,254,183,20,129,0,169,119,170,255,203,178,139,255,135,40,182,255,172,13,202,255,65,178,148,0,8,207,43,0,122,53,127,1,74,161,48,0,227,214,128,254,86,11,243,255,100,86,7,1,245,68,134,255,61,43,21,1,152,84,94,255,190,60,250,254,239,118,232,255,214,136,37,1,113,76,107,255,93,104,100,1,144,206,23,255,110,150,154,1,228,103,185,0,218,49,50,254,135,77,139,255,185,1,78,0,0,161,148,255,97,29,233,255,207,148,149,255,160,168,0,0,91,128,171,255,6,28,19,254,11,111,247,0,39,187,150,255,138,232,149,0,117,62,68,255,63,216,188,255,235,234,32,254,29,57,160,255,25,12,241,1,169,60,191,0,32,131,141,255,237,159,123,255,94,197,94,254,116,254,3,255,92,179,97,254,121,97,92,255,170,112,14,0,21,149,248,0,248,227,3,0,80,96,109,0,75,192,74,1,12,90,226,255,161,106,68,1,208,114,127,255,114,42,255,254,74,26,74,255,247,179,150,254,121,140,60,0,147,70,200,255,214,40,161,255,161,188,201,255,141,65,135,255,242,115,252,0,62,47,202,0,180,149,255,254,130,55,237,0,165,17,186,255,10,169,194,0,156,109,218,255,112,140,123,255,104,128,223,254,177,142,108,255,121,37,219,255,128,77,18,255,111,108,23,1,91,192,75,0,174,245,22,255,4,236,62,255,43,64,153,1,227,173,254,0,237,122,132,1,127,89,186,255,142,82,128,254,252,84,174,0,90,179,177,1,243,214,87,255,103,60,162,255,208,130,14,255,11,130,139,0,206,129,219,255,94,217,157,255,239,230,230,255,116,115,159,254,164,107,95,0,51,218,2,1,216,125,198,255,140,202,128,254,11,95,68,255,55,9,93,254,174,153,6,255,204,172,96,0,69,160,110,0,213,38,49,254,27,80,213,0,118,125,114,0,70,70,67,255,15,142,73,255,131,122,185,255,243,20,50,254,130,237,40,0,210,159,140,1,197,151,65,255,84,153,66,0,195,126,90,0,16,238,236,1,118,187,102,255,3,24,133,255,187,69,230,0,56,197,92,1,213,69,94,255,80,138,229,1,206,7,230,0,222,111,230,1,91,233,119,255,9,89,7,1,2,98,1,0,148,74,133,255,51,246,180,255,228,177,112,1,58,189,108,255,194,203,237,254,21,209,195,0,147,10,35,1,86,157,226,0,31,163,139,254,56,7,75,255,62,90,116,0,181,60,169,0,138,162,212,254,81,167,31,0,205,90,112,255,33,112,227,0,83,151,117,1,177,224,73,255,174,144,217,255,230,204,79,255,22,77,232,255,114,78,234,0,224,57,126,254,9,49,141,0,242,147,165,1,104,182,140,255,167,132,12,1,123,68,127,0,225,87,39,1,251,108,8,0,198,193,143,1,121,135,207,255,172,22,70,0,50,68,116,255,101,175,40,255,248,105,233,0,166,203,7,0,110,197,218,0,215,254,26,254,168,226,253,0,31,143,96,0,11,103,41,0,183,129,203,254,100,247,74,255,213,126,132,0,210,147,44,0,199,234,27,1,148,47,181,0,155,91,158,1,54,105,175,255,2,78,145,254,102,154,95,0,128,207,127,254,52,124,236,255,130,84,71,0,221,243,211,0,152,170,207,0,222,106,199,0,183,84,94,254,92,200,56,255,138,182,115,1,142,96,146,0,133,136,228,0,97,18,150,0,55,251,66,0,140,102,4,0,202,103,151,0,30,19,248,255,51,184,207,0,202,198,89,0,55,197,225,254,169,95,249,255,66,65,68,255,188,234,126,0,166,223,100,1,112,239,244,0,144,23,194,0,58,39,182,0,244,44,24,254,175,68,179,255,152,118,154,1,176,162,130,0,217,114,204,254,173,126,78,255,33,222,30,255,36,2,91,255,2,143,243,0,9,235,215,0,3,171,151,1,24,215,245,255,168,47,164,254,241,146,207,0,69,129,180,0,68,243,113,0,144,53,72,254,251,45,14,0,23,110,168,0,68,68,79,255,110,70,95,254,174,91,144,255,33,206,95,255,137,41,7,255,19,187,153,254,35,255,112,255,9,145,185,254,50,157,37,0,11,112,49,1,102,8,190,255,234,243,169,1,60,85,23,0,74,39,189,0,116,49,239,0,173,213,210,0,46,161,108,255,159,150,37,0,196,120,185,255,34,98,6,255,153,195,62,255,97,230,71,255,102,61,76,0,26,212,236,255,164,97,16,0,198,59,146,0,163,23,196,0,56,24,61,0,181,98,193,0,251,147,229,255,98,189,24,255,46,54,206,255,234,82,246,0,183,103,38,1,109,62,204,0,10,240,224,0,146,22,117,255,142,154,120,0,69,212,35,0,208,99,118,1,121,255,3,255,72,6,194,0,117,17,197,255,125,15,23,0,154,79,153,0,214,94,197,255,185,55,147,255,62,254,78,254,127,82,153,0,110,102,63,255,108,82,161,255,105,187,212,1,80,138,39,0,60,255,93,255,72,12,186,0,210,251,31,1,190,167,144,255,228,44,19,254,128,67,232,0,214,249,107,254,136,145,86,255,132,46,176,0,189,187,227,255,208,22,140,0,217,211,116,0,50,81,186,254,139,250,31,0,30,64,198,1,135,155,100,0,160,206,23,254,187,162,211,255,16,188,63,0,254,208,49,0,85,84,191,0,241,192,242,255,153,126,145,1,234,162,162,255,230,97,216,1,64,135,126,0,190,148,223,1,52,0,43,255,28,39,189,1,64,136,238,0,175,196,185,0,98,226,213,255,127,159,244,1,226,175,60,0,160,233,142,1,180,243,207,255,69,152,89,1,31,101,21,0,144,25,164,254,139,191,209,0,91,25,121,0,32,147,5,0,39,186,123,255,63,115,230,255,93,167,198,255,143,213,220,255,179,156,19,255,25,66,122,0,214,160,217,255,2,45,62,255,106,79,146,254,51,137,99,255,87,100,231,255,175,145,232,255,101,184,1,255,174,9,125,0,82,37,161,1,36,114,141,255,48,222,142,255,245,186,154,0,5,174,221,254,63,114,155,255,135,55,160,1,80,31,135,0,126,250,179,1,236,218,45,0,20,28,145,1,16,147,73,0,249,189,132,1,17,189,192,255,223,142,198,255,72,20,15,255,250,53,237,254,15,11,18,0,27,211,113,254,213,107,56,255,174,147,146,255,96,126,48,0,23,193,109,1,37,162,94,0,199,157,249,254,24,128,187,255,205,49,178,254,93,164,42,255,43,119,235,1,88,183,237,255,218,210,1,255,107,254,42,0,230,10,99,255,162,0,226,0,219,237,91,0,129,178,203,0,208,50,95,254,206,208,95,255,247,191,89,254,110,234,79,255,165,61,243,0,20,122,112,255,246,246,185,254,103,4,123,0,233,99,230,1,219,91,252,255,199,222,22,255,179,245,233,255,211,241,234,0,111,250,192,255,85,84,136,0,101,58,50,255,131,173,156,254,119,45,51,255,118,233,16,254,242,90,214,0,94,159,219,1,3,3,234,255,98,76,92,254,80,54,230,0,5,228,231,254,53,24,223,255,113,56,118,1,20,132,1,255,171,210,236,0,56,241,158,255,186,115,19,255,8,229,174,0,48,44,0,1,114,114,166,255,6,73,226,255,205,89,244,0,137,227,75,1,248,173,56,0,74,120,246,254,119,3,11,255,81,120,198,255,136,122,98,255,146,241,221,1,109,194,78,255,223,241,70,1,214,200,169,255,97,190,47,255,47,103,174,255,99,92,72,254,118,233,180,255,193,35,233,254,26,229,32,255,222,252,198,0,204,43,71,255,199,84,172,0,134,102,190,0,111,238,97,254,230,40,230,0,227,205,64,254,200,12,225,0,166,25,222,0,113,69,51,255,143,159,24,0,167,184,74,0,29,224,116,254,158,208,233,0,193,116,126,255,212,11,133,255,22,58,140,1,204,36,51,255,232,30,43,0,235,70,181,255,64,56,146,254,169,18,84,255,226,1,13,255,200,50,176,255,52,213,245,254,168,209,97,0,191,71,55,0,34,78,156,0,232,144,58,1,185,74,189,0,186,142,149,254,64,69,127,255,161,203,147,255,176,151,191,0,136,231,203,254,163,182,137,0,161,126,251,254,233,32,66,0,68,207,66,0,30,28,37,0,93,114,96,1,254,92,247,255,44,171,69,0,202,119,11,255,188,118,50,1,255,83,136,255,71,82,26,0,70,227,2,0,32,235,121,1,181,41,154,0,71,134,229,254,202,255,36,0,41,152,5,0,154,63,73,255,34,182,124,0,121,221,150,255,26,204,213,1,41,172,87,0,90,157,146,255,109,130,20,0,71,107,200,255,243,102,189,0,1,195,145,254,46,88,117,0,8,206,227,0,191,110,253,255,109,128,20,254,134,85,51,255,137,177,112,1,216,34,22,255,131,16,208,255,121,149,170,0,114,19,23,1,166,80,31,255,113,240,122,0,232,179,250,0,68,110,180,254,210,170,119,0,223,108,164,255,207,79,233,255,27,229,226,254,209,98,81,255,79,68,7,0,131,185,100,0,170,29,162,255,17,162,107,255,57,21,11,1,100,200,181,255,127,65,166,1,165,134,204,0,104,167,168,0,1,164,79,0,146,135,59,1,70,50,128,255,102,119,13,254,227,6,135,0,162,142,179,255,160,100,222,0,27,224,219,1,158,93,195,255,234,141,137,0,16,24,125,255,238,206,47,255,97,17,98,255,116,110,12,255,96,115,77,0,91,227,232,255,248,254,79,255,92,229,6,254,88,198,139,0,206,75,129,0,250,77,206,255,141,244,123,1,138,69,220,0,32,151,6,1,131,167,22,255,237,68,167,254,199,189,150,0,163,171,138,255,51,188,6,255,95,29,137,254,148,226,179,0,181,107,208,255,134,31,82,255,151,101,45,255,129,202,225,0,224,72,147,0,48,138,151,255,195,64,206,254,237,218,158,0,106,29,137,254,253,189,233,255,103,15,17,255,194,97,255,0,178,45,169,254,198,225,155,0,39,48,117,255,135,106,115,0,97,38,181,0,150,47,65,255,83,130,229,254,246,38,129,0,92,239,154,254,91,99,127,0,161,111,33,255,238,217,242,255,131,185,195,255,213,191,158,255,41,150,218,0,132,169,131,0,89,84,252,1,171,70,128,255,163,248,203,254,1,50,180,255,124,76,85,1,251,111,80,0,99,66,239,255,154,237,182,255,221,126,133,254,74,204,99,255,65,147,119,255,99,56,167,255,79,248,149,255,116,155,228,255,237,43,14,254,69,137,11,255,22,250,241,1,91,122,143,255,205,249,243,0,212,26,60,255,48,182,176,1,48,23,191,255,203,121,152,254,45,74,213,255,62,90,18,254,245,163,230,255,185,106,116,255,83,35,159,0,12,33,2,255,80,34,62,0,16,87,174,255,173,101,85,0,202,36,81,254,160,69,204,255,64,225,187,0,58,206,94,0,86,144,47,0,229,86,245,0,63,145,190,1,37,5,39,0,109,251,26,0,137,147,234,0,162,121,145,255,144,116,206,255,197,232,185,255,183,190,140,255,73,12,254,255,139,20,242,255,170,90,239,255,97,66,187,255,245,181,135,254,222,136,52,0,245,5,51,254,203,47,78,0,152,101,216,0,73,23,125,0,254,96,33,1,235,210,73,255,43,209,88,1,7,129,109,0,122,104,228,254,170,242,203,0,242,204,135,255,202,28,233,255,65,6,127,0,159,144,71,0,100,140,95,0,78,150,13,0,251,107,118,1,182,58,125,255,1,38,108,255,141,189,209,255,8,155,125,1,113,163,91,255,121,79,190,255,134,239,108,255,76,47,248,0,163,228,239,0,17,111,10,0,88,149,75,255,215,235,239,0,167,159,24,255,47,151,108,255,107,209,188,0,233,231,99,254,28,202,148,255,174,35,138,255,110,24,68,255,2,69,181,0,107,102,82,0,102,237,7,0,92,36,237,255,221,162,83,1,55,202,6,255,135,234,135,255,24,250,222,0,65,94,168,254,245,248,210,255,167,108,201,254,255,161,111,0,205,8,254,0,136,13,116,0,100,176,132,255,43,215,126,255,177,133,130,255,158,79,148,0,67,224,37,1,12,206,21,255,62,34,110,1,237,104,175,255,80,132,111,255,142,174,72,0,84,229,180,254,105,179,140,0,64,248,15,255,233,138,16,0,245,67,123,254,218,121,212,255,63,95,218,1,213,133,137,255,143,182,82,255,48,28,11,0,244,114,141,1,209,175,76,255,157,181,150,255,186,229,3,255,164,157,111,1,231,189,139,0,119,202,190,255,218,106,64,255,68,235,63,254,96,26,172,255,187,47,11,1,215,18,251,255,81,84,89,0,68,58,128,0,94,113,5,1,92,129,208,255,97,15,83,254,9,28,188,0,239,9,164,0,60,205,152,0,192,163,98,255,184,18,60,0,217,182,139,0,109,59,120,255,4,192,251,0,169,210,240,255,37,172,92,254,148,211,245,255,179,65,52,0,253,13,115,0,185,174,206,1,114,188,149,255,237,90,173,0,43,199,192,255,88,108,113,0,52,35,76,0,66,25,148,255,221,4,7,255,151,241,114,255,190,209,232,0,98,50,199,0,151,150,213,255,18,74,36,1,53,40,7,0,19,135,65,255,26,172,69,0,174,237,85,0,99,95,41,0,3,56,16,0,39,160,177,255,200,106,218,254,185,68,84,255,91,186,61,254,67,143,141,255,13,244,166,255,99,114,198,0,199,110,163,255,193,18,186,0,124,239,246,1,110,68,22,0,2,235,46,1,212,60,107,0,105,42,105,1,14,230,152,0,7,5,131,0,141,104,154,255,213,3,6,0,131,228,162,255,179,100,28,1,231,123,85,255,206,14,223,1,253,96,230,0,38,152,149,1,98,137,122,0,214,205,3,255,226,152,179,255,6,133,137,0,158,69,140,255,113,162,154,255,180,243,172,255,27,189,115,255,143,46,220,255,213,134,225,255,126,29,69,0,188,43,137,1,242,70,9,0,90,204,255,255,231,170,147,0,23,56,19,254,56,125,157,255,48,179,218,255,79,182,253,255,38,212,191,1,41,235,124,0,96,151,28,0,135,148,190,0,205,249,39,254,52,96,136,255,212,44,136,255,67,209,131,255,252,130,23,255,219,128,20,255,198,129,118,0,108,101,11,0,178,5,146,1,62,7,100,255,181,236,94,254,28,26,164,0,76,22,112,255,120,102,79,0,202,192,229,1,200,176,215,0,41,64,244,255,206,184,78,0,167,45,63,1,160,35,0,255,59,12,142,255,204,9,144,255,219,94,229,1,122,27,112,0,189,105,109,255,64,208,74,255,251,127,55,1,2,226,198,0,44,76,209,0,151,152,77,255,210,23,46,1,201,171,69,255,44,211,231,0,190,37,224,255,245,196,62,255,169,181,222,255,34,211,17,0,119,241,197,255,229,35,152,1,21,69,40,255,178,226,161,0,148,179,193,0,219,194,254,1,40,206,51,255,231,92,250,1,67,153,170,0,21,148,241,0,170,69,82,255,121,18,231,255,92,114,3,0,184,62,230,0,225,201,87,255,146,96,162,255,181,242,220,0,173,187,221,1,226,62,170,255,56,126,217,1,117,13,227,255,179,44,239,0,157,141,155,255,144,221,83,0,235,209,208,0,42,17,165,1,251,81,133,0,124,245,201,254,97,211,24,255,83,214,166,0,154,36,9,255,248,47,127,0,90,219,140,255,161,217,38,254,212,147,63,255,66,84,148,1,207,3,1,0,230,134,89,1,127,78,122,255,224,155,1,255,82,136,74,0,178,156,208,255,186,25,49,255,222,3,210,1,229,150,190,255,85,162,52,255,41,84,141,255,73,123,84,254,93,17,150,0,119,19,28,1,32,22,215,255,28,23,204,255,142,241,52,255,228,52,125,0,29,76,207,0,215,167,250,254,175,164,230,0,55,207,105,1,109,187,245,255,161,44,220,1,41,101,128,255,167,16,94,0,93,214,107,255,118,72,0,254,80,61,234,255,121,175,125,0,139,169,251,0,97,39,147,254,250,196,49,255,165,179,110,254,223,70,187,255,22,142,125,1,154,179,138,255,118,176,42,1,10,174,153,0,156,92,102,0,168,13,161,255,143,16,32,0,250,197,180,255,203,163,44,1,87,32,36,0,161,153,20,255,123,252,15,0,25,227,80,0,60,88,142,0,17,22,201,1,154,205,77,255,39,63,47,0,8,122,141,0,128,23,182,254,204,39,19,255,4,112,29,255,23,36,140,255,210,234,116,254,53,50,63,255,121,171,104,255,160,219,94,0,87,82,14,254,231,42,5,0,165,139,127,254,86,78,38,0,130,60,66,254,203,30,45,255,46,196,122,1,249,53,162,255,136,143,103,254,215,210,114,0,231,7,160,254,169,152,42,255,111,45,246,0,142,131,135,255,131,71,204,255,36,226,11,0,0,28,242,255,225,138,213,255,247,46,216,254,245,3,183,0,108,252,74,1,206,26,48,255,205,54,246,255,211,198,36,255,121,35,50,0,52,216,202,255,38,139,129,254,242,73,148,0,67,231,141,255,42,47,204,0,78,116,25,1,4,225,191,255,6,147,228,0,58,88,177,0,122,165,229,255,252,83,201,255,224,167,96,1,177,184,158,255,242,105,179,1,248,198,240,0,133,66,203,1,254,36,47,0,45,24,115,255,119,62,254,0,196,225,186,254,123,141,172,0,26,85,41,255,226,111,183,0,213,231,151,0,4,59,7,255,238,138,148,0,66,147,33,255,31,246,141,255,209,141,116,255,104,112,31,0,88,161,172,0,83,215,230,254,47,111,151,0,45,38,52,1,132,45,204,0,138,128,109,254,233,117,134,255,243,190,173,254,241,236,240,0,82,127,236,254,40,223,161,255,110,182,225,255,123,174,239,0,135,242,145,1,51,209,154,0,150,3,115,254,217,164,252,255,55,156,69,1,84,94,255,255,232,73,45,1,20,19,212,255,96,197,59,254,96,251,33,0,38,199,73,1,64,172,247,255,117,116,56,255,228,17,18,0,62,138,103,1,246,229,164,255,244,118,201,254,86,32,159,255,109,34,137,1,85,211,186,0,10,193,193,254,122,194,177,0,122,238,102,255,162,218,171,0,108,217,161,1,158,170,34,0,176,47,155,1,181,228,11,255,8,156,0,0,16,75,93,0,206,98,255,1,58,154,35,0,12,243,184,254,67,117,66,255,230,229,123,0,201,42,110,0,134,228,178,254,186,108,118,255,58,19,154,255,82,169,62,255,114,143,115,1,239,196,50,255,173,48,193,255,147,2,84,255,150,134,147,254,95,232,73,0,109,227,52,254,191,137,10,0,40,204,30,254,76,52,97,255,164,235,126,0,254,124,188,0,74,182,21,1,121,29,35,255,241,30,7,254,85,218,214,255,7,84,150,254,81,27,117,255,160,159,152,254,66,24,221,255,227,10,60,1,141,135,102,0,208,189,150,1,117,179,92,0,132,22,136,255,120,199,28,0,21,129,79,254,182,9,65,0,218,163,169,0,246,147,198,255,107,38,144,1,78,175,205,255,214,5,250,254,47,88,29,255,164,47,204,255,43,55,6,255,131,134,207,254,116,100,214,0,96,140,75,1,106,220,144,0,195,32,28,1,172,81,5,255,199,179,52,255,37,84,203,0,170,112,174,0,11,4,91,0,69,244,27,1,117,131,92,0,33,152,175,255,140,153,107,255,251,135,43,254,87,138,4,255,198,234,147,254,121,152,84,255,205,101,155,1,157,9,25,0,72,106,17,254,108,153,0,255],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20480);allocate([189,229,186,0,193,8,176,255,174,149,209,0,238,130,29,0,233,214,126,1,61,226,102,0,57,163,4,1,198,111,51,255,45,79,78,1,115,210,10,255,218,9,25,255,158,139,198,255,211,82,187,254,80,133,83,0,157,129,230,1,243,133,134,255,40,136,16,0,77,107,79,255,183,85,92,1,177,204,202,0,163,71,147,255,152,69,190,0,172,51,188,1,250,210,172,255,211,242,113,1,89,89,26,255,64,66,111,254,116,152,42,0,161,39,27,255,54,80,254,0,106,209,115,1,103,124,97,0,221,230,98,255,31,231,6,0,178,192,120,254,15,217,203,255,124,158,79,0,112,145,247,0,92,250,48,1,163,181,193,255,37,47,142,254,144,189,165,255,46,146,240,0,6,75,128,0,41,157,200,254,87,121,213,0,1,113,236,0,5,45,250,0,144,12,82,0,31,108,231,0,225,239,119,255,167,7,189,255,187,228,132,255,110,189,34,0,94,44,204,1,162,52,197,0,78,188,241,254,57,20,141,0,244,146,47,1,206,100,51,0,125,107,148,254,27,195,77,0,152,253,90,1,7,143,144,255,51,37,31,0,34,119,38,255,7,197,118,0,153,188,211,0,151,20,116,254,245,65,52,255,180,253,110,1,47,177,209,0,161,99,17,255,118,222,202,0,125,179,252,1,123,54,126,255,145,57,191,0,55,186,121,0,10,243,138,0,205,211,229,255,125,156,241,254,148,156,185,255,227,19,188,255,124,41,32,255,31,34,206,254,17,57,83,0,204,22,37,255,42,96,98,0,119,102,184,1,3,190,28,0,110,82,218,255,200,204,192,255,201,145,118,0,117,204,146,0,132,32,98,1,192,194,121,0,106,161,248,1,237,88,124,0,23,212,26,0,205,171,90,255,248,48,216,1,141,37,230,255,124,203,0,254,158,168,30,255,214,248,21,0,112,187,7,255,75,133,239,255,74,227,243,255,250,147,70,0,214,120,162,0,167,9,179,255,22,158,18,0,218,77,209,1,97,109,81,255,244,33,179,255,57,52,57,255,65,172,210,255,249,71,209,255,142,169,238,0,158,189,153,255,174,254,103,254,98,33,14,0,141,76,230,255,113,139,52,255,15,58,212,0,168,215,201,255,248,204,215,1,223,68,160,255,57,154,183,254,47,231,121,0,106,166,137,0,81,136,138,0,165,43,51,0,231,139,61,0,57,95,59,254,118,98,25,255,151,63,236,1,94,190,250,255,169,185,114,1,5,250,58,255,75,105,97,1,215,223,134,0,113,99,163,1,128,62,112,0,99,106,147,0,163,195,10,0,33,205,182,0,214,14,174,255,129,38,231,255,53,182,223,0,98,42,159,255,247,13,40,0,188,210,177,1,6,21,0,255,255,61,148,254,137,45,129,255,89,26,116,254,126,38,114,0,251,50,242,254,121,134,128,255,204,249,167,254,165,235,215,0,202,177,243,0,133,141,62,0,240,130,190,1,110,175,255,0,0,20,146,1,37,210,121,255,7,39,130,0,142,250,84,255,141,200,207,0,9,95,104,255,11,244,174,0,134,232,126,0,167,1,123,254,16,193,149,255,232,233,239,1,213,70,112,255,252,116,160,254,242,222,220,255,205,85,227,0,7,185,58,0,118,247,63,1,116,77,177,255,62,245,200,254,63,18,37,255,107,53,232,254,50,221,211,0,162,219,7,254,2,94,43,0,182,62,182,254,160,78,200,255,135,140,170,0,235,184,228,0,175,53,138,254,80,58,77,255,152,201,2,1,63,196,34,0,5,30,184,0,171,176,154,0,121,59,206,0,38,99,39,0,172,80,77,254,0,134,151,0,186,33,241,254,94,253,223,255,44,114,252,0,108,126,57,255,201,40,13,255,39,229,27,255,39,239,23,1,151,121,51,255,153,150,248,0,10,234,174,255,118,246,4,254,200,245,38,0,69,161,242,1,16,178,150,0,113,56,130,0,171,31,105,0,26,88,108,255,49,42,106,0,251,169,66,0,69,93,149,0,20,57,254,0,164,25,111,0,90,188,90,255,204,4,197,0,40,213,50,1,212,96,132,255,88,138,180,254,228,146,124,255,184,246,247,0,65,117,86,255,253,102,210,254,254,121,36,0,137,115,3,255,60,24,216,0,134,18,29,0,59,226,97,0,176,142,71,0,7,209,161,0,189,84,51,254,155,250,72,0,213,84,235,255,45,222,224,0,238,148,143,255,170,42,53,255,78,167,117,0,186,0,40,255,125,177,103,255,69,225,66,0,227,7,88,1,75,172,6,0,169,45,227,1,16,36,70,255,50,2,9,255,139,193,22,0,143,183,231,254,218,69,50,0,236,56,161,1,213,131,42,0,138,145,44,254,136,229,40,255,49,63,35,255,61,145,245,255,101,192,2,254,232,167,113,0,152,104,38,1,121,185,218,0,121,139,211,254,119,240,35,0,65,189,217,254,187,179,162,255,160,187,230,0,62,248,14,255,60,78,97,0,255,247,163,255,225,59,91,255,107,71,58,255,241,47,33,1,50,117,236,0,219,177,63,254,244,90,179,0,35,194,215,255,189,67,50,255,23,135,129,0,104,189,37,255,185,57,194,0,35,62,231,255,220,248,108,0,12,231,178,0,143,80,91,1,131,93,101,255,144,39,2,1,255,250,178,0,5,17,236,254,139,32,46,0,204,188,38,254,245,115,52,255,191,113,73,254,191,108,69,255,22,69,245,1,23,203,178,0,170,99,170,0,65,248,111,0,37,108,153,255,64,37,69,0,0,88,62,254,89,148,144,255,191,68,224,1,241,39,53,0,41,203,237,255,145,126,194,255,221,42,253,255,25,99,151,0,97,253,223,1,74,115,49,255,6,175,72,255,59,176,203,0,124,183,249,1,228,228,99,0,129,12,207,254,168,192,195,255,204,176,16,254,152,234,171,0,77,37,85,255,33,120,135,255,142,194,227,1,31,214,58,0,213,187,125,255,232,46,60,255,190,116,42,254,151,178,19,255,51,62,237,254,204,236,193,0,194,232,60,0,172,34,157,255,189,16,184,254,103,3,95,255,141,233,36,254,41,25,11,255,21,195,166,0,118,245,45,0,67,213,149,255,159,12,18,255,187,164,227,1,160,25,5,0,12,78,195,1,43,197,225,0,48,142,41,254,196,155,60,255,223,199,18,1,145,136,156,0,252,117,169,254,145,226,238,0,239,23,107,0,109,181,188,255,230,112,49,254,73,170,237,255,231,183,227,255,80,220,20,0,194,107,127,1,127,205,101,0,46,52,197,1,210,171,36,255,88,3,90,255,56,151,141,0,96,187,255,255,42,78,200,0,254,70,70,1,244,125,168,0,204,68,138,1,124,215,70,0,102,66,200,254,17,52,228,0,117,220,143,254,203,248,123,0,56,18,174,255,186,151,164,255,51,232,208,1,160,228,43,255,249,29,25,1,68,190,63,0,103,230,9,106,133,174,103,187,114,243,110,60,58,245,79,165,127,82,14,81,140,104,5,155,171,217,131,31,25,205,224,91,5,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,19,0,0,0,144,135,0,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,126,0,0,99,117,114,118,101,50,53,53,49,57,120,115,97,108,115,97,50,48,112,111,108,121,49,51,48,53,0,98,108,97,107,101,50,98,0,83,45,62,98,117,102,108,101,110,32,60,61,32,66,76,65,75,69,50,66,95,66,76,79,67,75,66,89,84,69,83,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,47,98,108,97,107,101,50,47,114,101,102,47,98,108,97,107,101,50,98,45,114,101,102,46,99,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,95,95,102,105,110,97,108,0,111,117,116,108,101,110,32,60,61,32,85,73,78,84,56,95,77,65,88,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,47,98,108,97,107,101,50,47,114,101,102,47,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,46,99,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,0,107,101,121,108,101,110,32,60,61,32,85,73,78,84,56,95,77,65,88,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,95,115,97,108,116,95,112,101,114,115,111,110,97,108,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,95,105,110,105,116,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,95,105,110,105,116,95,115,97,108,116,95,112,101,114,115,111,110,97,108,0,99,114,121,112,116,111,95,103,101,110,101,114,105,99,104,97,115,104,95,98,108,97,107,101,50,98,95,102,105,110,97,108,0,115,104,97,53,49,50,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,111,108,121,49,51,48,53,0,36,97,114,103,111,110,50,105,0,36,118,61,0,36,109,61,0,44,116,61,0,44,112,61,0,44,100,97,116,97,61,0,36,97,114,103,111,110,50,105,36,118,61,0,36,97,114,103,111,110,50,105,36,0,97,114,103,111,110,50,105,0,46,47,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,0,36,55,36,0,99,117,114,118,101,50,53,53,49,57,0,120,115,97,108,115,97,50,48,112,111,108,121,49,51,48,53,0,115,105,112,104,97,115,104,50,52,0,101,100,50,53,53,49,57,0,237,211,245,92,26,99,18,88,214,156,247,162,222,249,222,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,120,115,97,108,115,97,50,48,0,106,115,0,123,32,114,101,116,117,114,110,32,77,111,100,117,108,101,46,103,101,116,82,97,110,100,111,109,86,97,108,117,101,40,41,59,32,125,0,123,32,105,102,32,40,77,111,100,117,108,101,46,103,101,116,82,97,110,100,111,109,86,97,108,117,101,32,61,61,61,32,117,110,100,101,102,105,110,101,100,41,32,123,32,116,114,121,32,123,32,118,97,114,32,119,105,110,100,111,119,95,32,61,32,34,111,98,106,101,99,116,34,32,61,61,61,32,116,121,112,101,111,102,32,119,105,110,100,111,119,32,63,32,119,105,110,100,111,119,32,58,32,115,101,108,102,44,32,99,114,121,112,116,111,95,32,61,32,116,121,112,101,111,102,32,119,105,110,100,111,119,95,46,99,114,121,112,116,111,32,33,61,61,32,34,117,110,100,101,102,105,110,101,100,34,32,63,32,119,105,110,100,111,119,95,46,99,114,121,112,116,111,32,58,32,119,105,110,100,111,119,95,46,109,115,67,114,121,112,116,111,44,32,114,97,110,100,111,109,86,97,108,117,101,115,83,116,97,110,100,97,114,100,32,61,32,102,117,110,99,116,105,111,110,40,41,32,123,32,118,97,114,32,98,117,102,32,61,32,110,101,119,32,85,105,110,116,51,50,65,114,114,97,121,40,49,41,59,32,99,114,121,112,116,111,95,46,103,101,116,82,97,110,100,111,109,86,97,108,117,101,115,40,98,117,102,41,59,32,114,101,116,117,114,110,32,98,117,102,91,48,93,32,62,62,62,32,48,59,32,125,59,32,114,97,110,100,111,109,86,97,108,117,101,115,83,116,97,110,100,97,114,100,40,41,59,32,77,111,100,117,108,101,46,103,101,116,82,97,110,100,111,109,86,97,108,117,101,32,61,32,114,97,110,100,111,109,86,97,108,117,101,115,83,116,97,110,100,97,114,100,59,32,125,32,99,97,116,99,104,32,40,101,41,32,123,32,116,114,121,32,123,32,118,97,114,32,99,114,121,112,116,111,32,61,32,114,101,113,117,105,114,101,40,39,99,114,121,112,116,111,39,41,44,32,114,97,110,100,111,109,86,97,108,117,101,78,111,100,101,74,83,32,61,32,102,117,110,99,116,105,111,110,40,41,32,123,32,118,97,114,32,98,117,102,32,61,32,99,114,121,112,116,111,46,114,97,110,100,111,109,66,121,116,101,115,40,52,41,59,32,114,101,116,117,114,110,32,40,98,117,102,91,48,93,32,60,60,32,50,52,32,124,32,98,117,102,91,49,93,32,60,60,32,49,54,32,124,32,98,117,102,91,50,93,32,60,60,32,56,32,124,32,98,117,102,91,51,93,41,32,62,62,62,32,48,59,32,125,59,32,114,97,110,100,111,109,86,97,108,117,101,78,111,100,101,74,83,40,41,59,32,77,111,100,117,108,101,46,103,101,116,82,97,110,100,111,109,86,97,108,117,101,32,61,32,114,97,110,100,111,109,86,97,108,117,101,78,111,100,101,74,83,59,32,125,32,99,97,116,99,104,32,40,101,41,32,123,32,116,104,114,111,119,32,39,78,111,32,115,101,99,117,114,101,32,114,97,110,100,111,109,32,110,117,109,98,101,114,32,103,101,110,101,114,97,116,111,114,32,102,111,117,110,100,39,59,32,125,32,125,32,125,32,125,0,98,117,102,95,108,101,110,32,60,61,32,83,73,90,69,95,77,65,88,0,114,97,110,100,111,109,98,121,116,101,115,47,114,97,110,100,111,109,98,121,116,101,115,46,99,0,114,97,110,100,111,109,98,121,116,101,115,0,49,46,48,46,49,48,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30720);var tempDoublePtr=STATICTOP;STATICTOP+=16;function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};function _sysconf(name){switch(name){case 30:return PAGE_SIZE;case 85:return totalMemory/PAGE_SIZE;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:return 200809;case 79:return 0;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:{if(typeof navigator==="object")return navigator["hardwareConcurrency"]||1;return 1}}___setErrNo(ERRNO_CODES.EINVAL);return-1}Module["_i64Subtract"]=_i64Subtract;Module["_i64Add"]=_i64Add;Module["_bitshift64Ashr"]=_bitshift64Ashr;Module["_memset"]=_memset;function _pthread_cleanup_push(routine,arg){__ATEXIT__.push((function(){Runtime.dynCall("vi",routine,[arg])}));_pthread_cleanup_push.level=__ATEXIT__.length}Module["_bitshift64Lshr"]=_bitshift64Lshr;Module["_bitshift64Shl"]=_bitshift64Shl;function _pthread_cleanup_pop(){assert(_pthread_cleanup_push.level==__ATEXIT__.length,"cannot pop if something else added meanwhile!");__ATEXIT__.pop();_pthread_cleanup_push.level=__ATEXIT__.length}function _abort(){Module["abort"]()}function ___lock(){}function ___unlock(){}var SYSCALLS={varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___assert_fail(condition,filename,line,func){ABORT=true;throw"Assertion failed: "+Pointer_stringify(condition)+", at: "+[filename?Pointer_stringify(filename):"unknown filename",line,func?Pointer_stringify(func):"unknown function"]+" at "+stackTrace()}function _sbrk(bytes){var self=_sbrk;if(!self.called){DYNAMICTOP=alignMemoryPage(DYNAMICTOP);self.called=true;assert(Runtime.dynamicAlloc);self.alloc=Runtime.dynamicAlloc;Runtime.dynamicAlloc=(function(){abort("cannot dynamically allocate, sbrk now has control")})}var ret=DYNAMICTOP;if(bytes!=0){var success=self.alloc(bytes);if(!success)return-1>>>0}return ret}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}Module["_memcpy"]=_memcpy;Module["_memmove"]=_memmove;function _time(ptr){var ret=Date.now()/1e3|0;if(ptr){HEAP32[ptr>>2]=ret}return ret}function _pthread_self(){return 0}function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;assert(offset_high===0);FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.get(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();var ret=0;if(!___syscall146.buffer){___syscall146.buffers=[null,[],[]];___syscall146.printChar=(function(stream,curr){var buffer=___syscall146.buffers[stream];assert(buffer);if(curr===0||curr===10){(stream===1?Module["print"]:Module["printErr"])(UTF8ArrayToString(buffer,0));buffer.length=0}else{buffer.push(curr)}})}for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];for(var j=0;j<len;j++){___syscall146.printChar(stream,HEAPU8[ptr+j])}ret+=len}return ret}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}__ATEXIT__.push((function(){var fflush=Module["_fflush"];if(fflush)fflush(0);var printChar=___syscall146.printChar;if(!printChar)return;var buffers=___syscall146.buffers;if(buffers[1].length)printChar(1,10);if(buffers[2].length)printChar(2,10)}));STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);staticSealed=true;STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=DYNAMICTOP=Runtime.alignMemory(STACK_MAX);var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_DYNAMIC);function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function jsCall_ii(index,a1){return Runtime.functionPointers[index](a1)}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function jsCall_iiii(index,a1,a2,a3){return Runtime.functionPointers[index](a1,a2,a3)}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function jsCall_vi(index,a1){Runtime.functionPointers[index](a1)}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity};Module.asmLibraryArg={"abort":abort,"assert":assert,"invoke_ii":invoke_ii,"jsCall_ii":jsCall_ii,"invoke_iiii":invoke_iiii,"jsCall_iiii":jsCall_iiii,"invoke_vi":invoke_vi,"jsCall_vi":jsCall_vi,"_pthread_cleanup_pop":_pthread_cleanup_pop,"_sysconf":_sysconf,"___lock":___lock,"_emscripten_asm_const_i":_emscripten_asm_const_i,"_emscripten_asm_const_v":_emscripten_asm_const_v,"_pthread_self":_pthread_self,"___syscall6":___syscall6,"___setErrNo":___setErrNo,"_abort":_abort,"_sbrk":_sbrk,"_time":_time,"_pthread_cleanup_push":_pthread_cleanup_push,"_emscripten_memcpy_big":_emscripten_memcpy_big,"___syscall54":___syscall54,"___unlock":___unlock,"___syscall140":___syscall140,"___assert_fail":___assert_fail,"___syscall146":___syscall146,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"cttz_i8":cttz_i8};// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=0;var o=0;var p=0;var q=0;var r=global.NaN,s=global.Infinity;var t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0.0;var C=0;var D=0;var E=0;var F=0;var G=0;var H=0;var I=0;var J=0;var K=0;var L=0;var M=global.Math.floor;var N=global.Math.abs;var O=global.Math.sqrt;var P=global.Math.pow;var Q=global.Math.cos;var R=global.Math.sin;var S=global.Math.tan;var T=global.Math.acos;var U=global.Math.asin;var V=global.Math.atan;var W=global.Math.atan2;var X=global.Math.exp;var Y=global.Math.log;var Z=global.Math.ceil;var _=global.Math.imul;var $=global.Math.min;var aa=global.Math.clz32;var ba=env.abort;var ca=env.assert;var da=env.invoke_ii;var ea=env.jsCall_ii;var fa=env.invoke_iiii;var ga=env.jsCall_iiii;var ha=env.invoke_vi;var ia=env.jsCall_vi;var ja=env._pthread_cleanup_pop;var ka=env._sysconf;var la=env.___lock;var ma=env._emscripten_asm_const_i;var na=env._emscripten_asm_const_v;var oa=env._pthread_self;var pa=env.___syscall6;var qa=env.___setErrNo;var ra=env._abort;var sa=env._sbrk;var ta=env._time;var ua=env._pthread_cleanup_push;var va=env._emscripten_memcpy_big;var wa=env.___syscall54;var xa=env.___unlock;var ya=env.___syscall140;var za=env.___assert_fail;var Aa=env.___syscall146;var Ba=0.0;
// EMSCRIPTEN_START_FUNCS
function ee(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;g=i;e=i=i+63&-64;i=i+2048|0;f=e+1024|0;qh(f|0,b|0,1024)|0;b=0;do{k=a+(b<<3)|0;h=f+(b<<3)|0;l=h;j=c[l+4>>2]^c[k+4>>2];c[h>>2]=c[l>>2]^c[k>>2];c[h+4>>2]=j;b=b+1|0}while((b|0)!=128);qh(e|0,f|0,1024)|0;b=0;do{j=d+(b<<3)|0;l=e+(b<<3)|0;h=l;k=c[h+4>>2]^c[j+4>>2];c[l>>2]=c[h>>2]^c[j>>2];c[l+4>>2]=k;b=b+1|0}while((b|0)!=128);b=0;do{t=b<<4;J=f+(t<<3)|0;q=J;s=c[q>>2]|0;q=c[q+4>>2]|0;l=f+((t|4)<<3)|0;D=l;h=c[D>>2]|0;D=c[D+4>>2]|0;A=lh(h|0,D|0,s|0,q|0)|0;w=C;q=ph(s|0,q|0,1)|0;q=wh(q&-2|0,C&1|0,h|0,0)|0;q=lh(A|0,w|0,q|0,C|0)|0;w=C;A=f+((t|12)<<3)|0;s=A;x=q^c[s>>2];s=w^c[s+4>>2];n=f+((t|8)<<3)|0;k=n;G=c[k>>2]|0;k=c[k+4>>2]|0;m=lh(s|0,x|0,G|0,k|0)|0;o=C;k=ph(G|0,k|0,1)|0;k=wh(k&-2|0,C&1|0,s|0,0)|0;k=lh(m|0,o|0,k|0,C|0)|0;o=C;h=k^h;D=o^D;m=oh(h|0,D|0,24)|0;G=C;D=ph(h|0,D|0,40)|0;D=D|m;G=C|G;h=lh(D|0,G|0,q|0,w|0)|0;j=C;w=ph(q|0,w|0,1)|0;w=wh(m|0,0,w&-2|0,C&1|0)|0;w=lh(h|0,j|0,w|0,C|0)|0;j=C;h=J;c[h>>2]=w;c[h+4>>2]=j;s=w^s;x=j^x;j=oh(s|0,x|0,16)|0;w=C;x=ph(s|0,x|0,48)|0;x=x|j;w=C|w;s=A;c[s>>2]=x;c[s+4>>2]=w;w=lh(x|0,w|0,k|0,o|0)|0;x=C;o=ph(k|0,o|0,1)|0;o=wh(j|0,0,o&-2|0,C&1|0)|0;o=lh(w|0,x|0,o|0,C|0)|0;x=C;w=n;c[w>>2]=o;c[w+4>>2]=x;D=o^D;G=x^G;x=oh(D|0,G|0,63)|0;o=C;G=ph(D|0,G|0,1)|0;D=l;c[D>>2]=G|x;c[D+4>>2]=C|o;D=f+((t|1)<<3)|0;o=D;x=c[o>>2]|0;o=c[o+4>>2]|0;G=f+((t|5)<<3)|0;w=G;j=c[w>>2]|0;w=c[w+4>>2]|0;k=lh(j|0,w|0,x|0,o|0)|0;s=C;o=ph(x|0,o|0,1)|0;o=wh(o&-2|0,C&1|0,j|0,0)|0;o=lh(k|0,s|0,o|0,C|0)|0;s=C;k=f+((t|13)<<3)|0;x=k;h=o^c[x>>2];x=s^c[x+4>>2];m=f+((t|9)<<3)|0;q=m;z=c[q>>2]|0;q=c[q+4>>2]|0;y=lh(x|0,h|0,z|0,q|0)|0;u=C;q=ph(z|0,q|0,1)|0;q=wh(q&-2|0,C&1|0,x|0,0)|0;q=lh(y|0,u|0,q|0,C|0)|0;u=C;j=q^j;w=u^w;y=oh(j|0,w|0,24)|0;z=C;w=ph(j|0,w|0,40)|0;w=w|y;z=C|z;j=lh(w|0,z|0,o|0,s|0)|0;H=C;s=ph(o|0,s|0,1)|0;s=wh(y|0,0,s&-2|0,C&1|0)|0;s=lh(j|0,H|0,s|0,C|0)|0;H=C;j=D;c[j>>2]=s;c[j+4>>2]=H;x=s^x;h=H^h;H=oh(x|0,h|0,16)|0;s=C;h=ph(x|0,h|0,48)|0;h=h|H;s=C|s;x=k;c[x>>2]=h;c[x+4>>2]=s;s=lh(h|0,s|0,q|0,u|0)|0;h=C;u=ph(q|0,u|0,1)|0;u=wh(H|0,0,u&-2|0,C&1|0)|0;u=lh(s|0,h|0,u|0,C|0)|0;h=C;s=m;c[s>>2]=u;c[s+4>>2]=h;w=u^w;z=h^z;h=oh(w|0,z|0,63)|0;u=C;z=ph(w|0,z|0,1)|0;w=G;c[w>>2]=z|h;c[w+4>>2]=C|u;w=f+((t|2)<<3)|0;u=w;h=c[u>>2]|0;u=c[u+4>>2]|0;z=f+((t|6)<<3)|0;s=z;H=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(H|0,s|0,h|0,u|0)|0;x=C;u=ph(h|0,u|0,1)|0;u=wh(u&-2|0,C&1|0,H|0,0)|0;u=lh(q|0,x|0,u|0,C|0)|0;x=C;q=f+((t|14)<<3)|0;h=q;j=u^c[h>>2];h=x^c[h+4>>2];y=f+((t|10)<<3)|0;o=y;v=c[o>>2]|0;o=c[o+4>>2]|0;I=lh(h|0,j|0,v|0,o|0)|0;E=C;o=ph(v|0,o|0,1)|0;o=wh(o&-2|0,C&1|0,h|0,0)|0;o=lh(I|0,E|0,o|0,C|0)|0;E=C;H=o^H;s=E^s;I=oh(H|0,s|0,24)|0;v=C;s=ph(H|0,s|0,40)|0;s=s|I;v=C|v;H=lh(s|0,v|0,u|0,x|0)|0;L=C;x=ph(u|0,x|0,1)|0;x=wh(I|0,0,x&-2|0,C&1|0)|0;x=lh(H|0,L|0,x|0,C|0)|0;L=C;H=w;c[H>>2]=x;c[H+4>>2]=L;h=x^h;j=L^j;L=oh(h|0,j|0,16)|0;x=C;j=ph(h|0,j|0,48)|0;j=j|L;x=C|x;h=q;c[h>>2]=j;c[h+4>>2]=x;x=lh(j|0,x|0,o|0,E|0)|0;j=C;E=ph(o|0,E|0,1)|0;E=wh(L|0,0,E&-2|0,C&1|0)|0;E=lh(x|0,j|0,E|0,C|0)|0;j=C;s=E^s;v=j^v;x=oh(s|0,v|0,63)|0;L=C;v=ph(s|0,v|0,1)|0;s=z;c[s>>2]=v|x;c[s+4>>2]=C|L;s=f+((t|3)<<3)|0;L=s;x=c[L>>2]|0;L=c[L+4>>2]|0;v=f+((t|7)<<3)|0;o=v;h=c[o>>2]|0;o=c[o+4>>2]|0;H=lh(h|0,o|0,x|0,L|0)|0;I=C;L=ph(x|0,L|0,1)|0;L=wh(L&-2|0,C&1|0,h|0,0)|0;L=lh(H|0,I|0,L|0,C|0)|0;I=C;H=f+((t|15)<<3)|0;x=H;u=L^c[x>>2];x=I^c[x+4>>2];t=f+((t|11)<<3)|0;B=t;M=c[B>>2]|0;B=c[B+4>>2]|0;K=lh(x|0,u|0,M|0,B|0)|0;p=C;B=ph(M|0,B|0,1)|0;B=wh(B&-2|0,C&1|0,x|0,0)|0;B=lh(K|0,p|0,B|0,C|0)|0;p=C;h=B^h;o=p^o;K=oh(h|0,o|0,24)|0;M=C;o=ph(h|0,o|0,40)|0;o=o|K;M=C|M;h=lh(o|0,M|0,L|0,I|0)|0;r=C;I=ph(L|0,I|0,1)|0;I=wh(K|0,0,I&-2|0,C&1|0)|0;I=lh(h|0,r|0,I|0,C|0)|0;r=C;h=s;c[h>>2]=I;c[h+4>>2]=r;x=I^x;u=r^u;r=oh(x|0,u|0,16)|0;I=C;u=ph(x|0,u|0,48)|0;u=u|r;I=C|I;x=lh(u|0,I|0,B|0,p|0)|0;h=C;p=ph(B|0,p|0,1)|0;p=wh(r|0,0,p&-2|0,C&1|0)|0;p=lh(x|0,h|0,p|0,C|0)|0;h=C;o=p^o;M=h^M;x=oh(o|0,M|0,63)|0;r=C;M=ph(o|0,M|0,1)|0;x=M|x;r=C|r;M=v;c[M>>2]=x;c[M+4>>2]=r;M=J;o=c[M>>2]|0;M=c[M+4>>2]|0;B=G;K=c[B>>2]|0;B=c[B+4>>2]|0;L=lh(K|0,B|0,o|0,M|0)|0;F=C;M=ph(o|0,M|0,1)|0;M=wh(M&-2|0,C&1|0,K|0,0)|0;M=lh(L|0,F|0,M|0,C|0)|0;F=C;u=M^u;I=F^I;L=lh(I|0,u|0,E|0,j|0)|0;o=C;j=ph(E|0,j|0,1)|0;j=wh(j&-2|0,C&1|0,I|0,0)|0;j=lh(L|0,o|0,j|0,C|0)|0;o=C;K=j^K;B=o^B;L=oh(K|0,B|0,24)|0;E=C;B=ph(K|0,B|0,40)|0;B=B|L;E=C|E;K=lh(B|0,E|0,M|0,F|0)|0;a=C;F=ph(M|0,F|0,1)|0;F=wh(L|0,0,F&-2|0,C&1|0)|0;F=lh(K|0,a|0,F|0,C|0)|0;a=C;c[J>>2]=F;c[J+4>>2]=a;I=F^I;u=a^u;a=oh(I|0,u|0,16)|0;F=C;u=ph(I|0,u|0,48)|0;u=u|a;F=C|F;c[H>>2]=u;c[H+4>>2]=F;F=lh(u|0,F|0,j|0,o|0)|0;u=C;o=ph(j|0,o|0,1)|0;o=wh(a|0,0,o&-2|0,C&1|0)|0;o=lh(F|0,u|0,o|0,C|0)|0;u=C;c[y>>2]=o;c[y+4>>2]=u;B=o^B;E=u^E;u=oh(B|0,E|0,63)|0;o=C;E=ph(B|0,E|0,1)|0;c[G>>2]=E|u;c[G+4>>2]=C|o;G=D;o=c[G>>2]|0;G=c[G+4>>2]|0;u=z;E=c[u>>2]|0;u=c[u+4>>2]|0;B=lh(E|0,u|0,o|0,G|0)|0;y=C;G=ph(o|0,G|0,1)|0;G=wh(G&-2|0,C&1|0,E|0,0)|0;G=lh(B|0,y|0,G|0,C|0)|0;y=C;B=A;o=G^c[B>>2];B=y^c[B+4>>2];F=lh(B|0,o|0,p|0,h|0)|0;a=C;h=ph(p|0,h|0,1)|0;h=wh(h&-2|0,C&1|0,B|0,0)|0;h=lh(F|0,a|0,h|0,C|0)|0;a=C;E=h^E;u=a^u;F=oh(E|0,u|0,24)|0;p=C;u=ph(E|0,u|0,40)|0;u=u|F;p=C|p;E=lh(u|0,p|0,G|0,y|0)|0;j=C;y=ph(G|0,y|0,1)|0;y=wh(F|0,0,y&-2|0,C&1|0)|0;y=lh(E|0,j|0,y|0,C|0)|0;j=C;c[D>>2]=y;c[D+4>>2]=j;B=y^B;o=j^o;j=oh(B|0,o|0,16)|0;y=C;o=ph(B|0,o|0,48)|0;o=o|j;y=C|y;c[A>>2]=o;c[A+4>>2]=y;y=lh(o|0,y|0,h|0,a|0)|0;o=C;a=ph(h|0,a|0,1)|0;a=wh(j|0,0,a&-2|0,C&1|0)|0;a=lh(y|0,o|0,a|0,C|0)|0;o=C;c[t>>2]=a;c[t+4>>2]=o;u=a^u;p=o^p;o=oh(u|0,p|0,63)|0;a=C;p=ph(u|0,p|0,1)|0;c[z>>2]=p|o;c[z+4>>2]=C|a;z=w;a=c[z>>2]|0;z=c[z+4>>2]|0;o=lh(x|0,r|0,a|0,z|0)|0;p=C;z=ph(a|0,z|0,1)|0;z=wh(z&-2|0,C&1|0,x|0,0)|0;z=lh(o|0,p|0,z|0,C|0)|0;p=C;o=k;a=z^c[o>>2];o=p^c[o+4>>2];u=n;t=c[u>>2]|0;u=c[u+4>>2]|0;y=lh(o|0,a|0,t|0,u|0)|0;j=C;u=ph(t|0,u|0,1)|0;u=wh(u&-2|0,C&1|0,o|0,0)|0;u=lh(y|0,j|0,u|0,C|0)|0;j=C;x=u^x;r=j^r;y=oh(x|0,r|0,24)|0;t=C;r=ph(x|0,r|0,40)|0;r=r|y;t=C|t;x=lh(r|0,t|0,z|0,p|0)|0;h=C;p=ph(z|0,p|0,1)|0;p=wh(y|0,0,p&-2|0,C&1|0)|0;p=lh(x|0,h|0,p|0,C|0)|0;h=C;c[w>>2]=p;c[w+4>>2]=h;o=p^o;a=h^a;h=oh(o|0,a|0,16)|0;p=C;a=ph(o|0,a|0,48)|0;a=a|h;p=C|p;c[k>>2]=a;c[k+4>>2]=p;p=lh(a|0,p|0,u|0,j|0)|0;a=C;j=ph(u|0,j|0,1)|0;j=wh(h|0,0,j&-2|0,C&1|0)|0;j=lh(p|0,a|0,j|0,C|0)|0;a=C;c[n>>2]=j;c[n+4>>2]=a;r=j^r;t=a^t;a=oh(r|0,t|0,63)|0;j=C;t=ph(r|0,t|0,1)|0;c[v>>2]=t|a;c[v+4>>2]=C|j;v=s;j=c[v>>2]|0;v=c[v+4>>2]|0;a=l;t=c[a>>2]|0;a=c[a+4>>2]|0;r=lh(t|0,a|0,j|0,v|0)|0;n=C;v=ph(j|0,v|0,1)|0;v=wh(v&-2|0,C&1|0,t|0,0)|0;v=lh(r|0,n|0,v|0,C|0)|0;n=C;r=q;j=v^c[r>>2];r=n^c[r+4>>2];p=m;h=c[p>>2]|0;p=c[p+4>>2]|0;u=lh(r|0,j|0,h|0,p|0)|0;k=C;p=ph(h|0,p|0,1)|0;p=wh(p&-2|0,C&1|0,r|0,0)|0;p=lh(u|0,k|0,p|0,C|0)|0;k=C;t=p^t;a=k^a;u=oh(t|0,a|0,24)|0;h=C;a=ph(t|0,a|0,40)|0;a=a|u;h=C|h;t=lh(a|0,h|0,v|0,n|0)|0;o=C;n=ph(v|0,n|0,1)|0;n=wh(u|0,0,n&-2|0,C&1|0)|0;n=lh(t|0,o|0,n|0,C|0)|0;o=C;c[s>>2]=n;c[s+4>>2]=o;r=n^r;j=o^j;o=oh(r|0,j|0,16)|0;n=C;j=ph(r|0,j|0,48)|0;j=j|o;n=C|n;c[q>>2]=j;c[q+4>>2]=n;n=lh(j|0,n|0,p|0,k|0)|0;j=C;k=ph(p|0,k|0,1)|0;k=wh(o|0,0,k&-2|0,C&1|0)|0;k=lh(n|0,j|0,k|0,C|0)|0;j=C;c[m>>2]=k;c[m+4>>2]=j;a=k^a;h=j^h;j=oh(a|0,h|0,63)|0;k=C;h=ph(a|0,h|0,1)|0;c[l>>2]=h|j;c[l+4>>2]=C|k;b=b+1|0}while((b|0)!=8);b=0;do{z=b<<1;k=f+(z<<3)|0;D=k;A=c[D>>2]|0;D=c[D+4>>2]|0;M=f+(z+32<<3)|0;q=M;J=c[q>>2]|0;q=c[q+4>>2]|0;s=lh(J|0,q|0,A|0,D|0)|0;w=C;D=ph(A|0,D|0,1)|0;D=wh(D&-2|0,C&1|0,J|0,0)|0;D=lh(s|0,w|0,D|0,C|0)|0;w=C;s=f+(z+96<<3)|0;A=s;v=D^c[A>>2];A=w^c[A+4>>2];G=f+(z+64<<3)|0;L=G;n=c[L>>2]|0;L=c[L+4>>2]|0;H=lh(A|0,v|0,n|0,L|0)|0;F=C;L=ph(n|0,L|0,1)|0;L=wh(L&-2|0,C&1|0,A|0,0)|0;L=lh(H|0,F|0,L|0,C|0)|0;F=C;J=L^J;q=F^q;H=oh(J|0,q|0,24)|0;n=C;q=ph(J|0,q|0,40)|0;q=q|H;n=C|n;J=lh(q|0,n|0,D|0,w|0)|0;K=C;w=ph(D|0,w|0,1)|0;w=wh(H|0,0,w&-2|0,C&1|0)|0;w=lh(J|0,K|0,w|0,C|0)|0;K=C;J=k;c[J>>2]=w;c[J+4>>2]=K;A=w^A;v=K^v;K=oh(A|0,v|0,16)|0;w=C;v=ph(A|0,v|0,48)|0;v=v|K;w=C|w;A=s;c[A>>2]=v;c[A+4>>2]=w;w=lh(v|0,w|0,L|0,F|0)|0;v=C;F=ph(L|0,F|0,1)|0;F=wh(K|0,0,F&-2|0,C&1|0)|0;F=lh(w|0,v|0,F|0,C|0)|0;v=C;w=G;c[w>>2]=F;c[w+4>>2]=v;q=F^q;n=v^n;v=oh(q|0,n|0,63)|0;F=C;n=ph(q|0,n|0,1)|0;q=M;c[q>>2]=n|v;c[q+4>>2]=C|F;q=f+((z|1)<<3)|0;F=q;v=c[F>>2]|0;F=c[F+4>>2]|0;n=f+(z+33<<3)|0;w=n;K=c[w>>2]|0;w=c[w+4>>2]|0;L=lh(K|0,w|0,v|0,F|0)|0;A=C;F=ph(v|0,F|0,1)|0;F=wh(F&-2|0,C&1|0,K|0,0)|0;F=lh(L|0,A|0,F|0,C|0)|0;A=C;L=f+(z+97<<3)|0;v=L;J=F^c[v>>2];v=A^c[v+4>>2];H=f+(z+65<<3)|0;D=H;t=c[D>>2]|0;D=c[D+4>>2]|0;u=lh(v|0,J|0,t|0,D|0)|0;y=C;D=ph(t|0,D|0,1)|0;D=wh(D&-2|0,C&1|0,v|0,0)|0;D=lh(u|0,y|0,D|0,C|0)|0;y=C;K=D^K;w=y^w;u=oh(K|0,w|0,24)|0;t=C;w=ph(K|0,w|0,40)|0;w=w|u;t=C|t;K=lh(w|0,t|0,F|0,A|0)|0;m=C;A=ph(F|0,A|0,1)|0;A=wh(u|0,0,A&-2|0,C&1|0)|0;A=lh(K|0,m|0,A|0,C|0)|0;m=C;K=q;c[K>>2]=A;c[K+4>>2]=m;v=A^v;J=m^J;m=oh(v|0,J|0,16)|0;A=C;J=ph(v|0,J|0,48)|0;J=J|m;A=C|A;v=L;c[v>>2]=J;c[v+4>>2]=A;A=lh(J|0,A|0,D|0,y|0)|0;J=C;y=ph(D|0,y|0,1)|0;y=wh(m|0,0,y&-2|0,C&1|0)|0;y=lh(A|0,J|0,y|0,C|0)|0;J=C;A=H;c[A>>2]=y;c[A+4>>2]=J;w=y^w;t=J^t;J=oh(w|0,t|0,63)|0;y=C;t=ph(w|0,t|0,1)|0;w=n;c[w>>2]=t|J;c[w+4>>2]=C|y;w=f+(z+16<<3)|0;y=w;J=c[y>>2]|0;y=c[y+4>>2]|0;t=f+(z+48<<3)|0;A=t;m=c[A>>2]|0;A=c[A+4>>2]|0;D=lh(m|0,A|0,J|0,y|0)|0;v=C;y=ph(J|0,y|0,1)|0;y=wh(y&-2|0,C&1|0,m|0,0)|0;y=lh(D|0,v|0,y|0,C|0)|0;v=C;D=f+(z+112<<3)|0;J=D;K=y^c[J>>2];J=v^c[J+4>>2];u=f+(z+80<<3)|0;F=u;x=c[F>>2]|0;F=c[F+4>>2]|0;l=lh(J|0,K|0,x|0,F|0)|0;p=C;F=ph(x|0,F|0,1)|0;F=wh(F&-2|0,C&1|0,J|0,0)|0;F=lh(l|0,p|0,F|0,C|0)|0;p=C;m=F^m;A=p^A;l=oh(m|0,A|0,24)|0;x=C;A=ph(m|0,A|0,40)|0;A=A|l;x=C|x;m=lh(A|0,x|0,y|0,v|0)|0;h=C;v=ph(y|0,v|0,1)|0;v=wh(l|0,0,v&-2|0,C&1|0)|0;v=lh(m|0,h|0,v|0,C|0)|0;h=C;m=w;c[m>>2]=v;c[m+4>>2]=h;J=v^J;K=h^K;h=oh(J|0,K|0,16)|0;v=C;K=ph(J|0,K|0,48)|0;K=K|h;v=C|v;J=D;c[J>>2]=K;c[J+4>>2]=v;v=lh(K|0,v|0,F|0,p|0)|0;K=C;p=ph(F|0,p|0,1)|0;p=wh(h|0,0,p&-2|0,C&1|0)|0;p=lh(v|0,K|0,p|0,C|0)|0;K=C;A=p^A;x=K^x;v=oh(A|0,x|0,63)|0;h=C;x=ph(A|0,x|0,1)|0;A=t;c[A>>2]=x|v;c[A+4>>2]=C|h;A=f+(z+17<<3)|0;h=A;v=c[h>>2]|0;h=c[h+4>>2]|0;x=f+(z+49<<3)|0;F=x;J=c[F>>2]|0;F=c[F+4>>2]|0;m=lh(J|0,F|0,v|0,h|0)|0;l=C;h=ph(v|0,h|0,1)|0;h=wh(h&-2|0,C&1|0,J|0,0)|0;h=lh(m|0,l|0,h|0,C|0)|0;l=C;m=f+(z+113<<3)|0;v=m;y=h^c[v>>2];v=l^c[v+4>>2];z=f+(z+81<<3)|0;r=z;a=c[r>>2]|0;r=c[r+4>>2]|0;j=lh(v|0,y|0,a|0,r|0)|0;E=C;r=ph(a|0,r|0,1)|0;r=wh(r&-2|0,C&1|0,v|0,0)|0;r=lh(j|0,E|0,r|0,C|0)|0;E=C;J=r^J;F=E^F;j=oh(J|0,F|0,24)|0;a=C;F=ph(J|0,F|0,40)|0;F=F|j;a=C|a;J=lh(F|0,a|0,h|0,l|0)|0;B=C;l=ph(h|0,l|0,1)|0;l=wh(j|0,0,l&-2|0,C&1|0)|0;l=lh(J|0,B|0,l|0,C|0)|0;B=C;J=A;c[J>>2]=l;c[J+4>>2]=B;v=l^v;y=B^y;B=oh(v|0,y|0,16)|0;l=C;y=ph(v|0,y|0,48)|0;y=y|B;l=C|l;v=lh(y|0,l|0,r|0,E|0)|0;J=C;E=ph(r|0,E|0,1)|0;E=wh(B|0,0,E&-2|0,C&1|0)|0;E=lh(v|0,J|0,E|0,C|0)|0;J=C;F=E^F;a=J^a;v=oh(F|0,a|0,63)|0;B=C;a=ph(F|0,a|0,1)|0;v=a|v;B=C|B;a=x;c[a>>2]=v;c[a+4>>2]=B;a=k;F=c[a>>2]|0;a=c[a+4>>2]|0;r=n;j=c[r>>2]|0;r=c[r+4>>2]|0;h=lh(j|0,r|0,F|0,a|0)|0;o=C;a=ph(F|0,a|0,1)|0;a=wh(a&-2|0,C&1|0,j|0,0)|0;a=lh(h|0,o|0,a|0,C|0)|0;o=C;y=a^y;l=o^l;h=lh(l|0,y|0,p|0,K|0)|0;F=C;K=ph(p|0,K|0,1)|0;K=wh(K&-2|0,C&1|0,l|0,0)|0;K=lh(h|0,F|0,K|0,C|0)|0;F=C;j=K^j;r=F^r;h=oh(j|0,r|0,24)|0;p=C;r=ph(j|0,r|0,40)|0;r=r|h;p=C|p;j=lh(r|0,p|0,a|0,o|0)|0;I=C;o=ph(a|0,o|0,1)|0;o=wh(h|0,0,o&-2|0,C&1|0)|0;o=lh(j|0,I|0,o|0,C|0)|0;I=C;c[k>>2]=o;c[k+4>>2]=I;l=o^l;y=I^y;I=oh(l|0,y|0,16)|0;o=C;y=ph(l|0,y|0,48)|0;y=y|I;o=C|o;c[m>>2]=y;c[m+4>>2]=o;o=lh(y|0,o|0,K|0,F|0)|0;y=C;F=ph(K|0,F|0,1)|0;F=wh(I|0,0,F&-2|0,C&1|0)|0;F=lh(o|0,y|0,F|0,C|0)|0;y=C;c[u>>2]=F;c[u+4>>2]=y;r=F^r;p=y^p;y=oh(r|0,p|0,63)|0;F=C;p=ph(r|0,p|0,1)|0;c[n>>2]=p|y;c[n+4>>2]=C|F;n=q;F=c[n>>2]|0;n=c[n+4>>2]|0;y=t;p=c[y>>2]|0;y=c[y+4>>2]|0;r=lh(p|0,y|0,F|0,n|0)|0;u=C;n=ph(F|0,n|0,1)|0;n=wh(n&-2|0,C&1|0,p|0,0)|0;n=lh(r|0,u|0,n|0,C|0)|0;u=C;r=s;F=n^c[r>>2];r=u^c[r+4>>2];o=lh(r|0,F|0,E|0,J|0)|0;I=C;J=ph(E|0,J|0,1)|0;J=wh(J&-2|0,C&1|0,r|0,0)|0;J=lh(o|0,I|0,J|0,C|0)|0;I=C;p=J^p;y=I^y;o=oh(p|0,y|0,24)|0;E=C;y=ph(p|0,y|0,40)|0;y=y|o;E=C|E;p=lh(y|0,E|0,n|0,u|0)|0;K=C;u=ph(n|0,u|0,1)|0;u=wh(o|0,0,u&-2|0,C&1|0)|0;u=lh(p|0,K|0,u|0,C|0)|0;K=C;c[q>>2]=u;c[q+4>>2]=K;r=u^r;F=K^F;K=oh(r|0,F|0,16)|0;u=C;F=ph(r|0,F|0,48)|0;F=F|K;u=C|u;c[s>>2]=F;c[s+4>>2]=u;u=lh(F|0,u|0,J|0,I|0)|0;F=C;I=ph(J|0,I|0,1)|0;I=wh(K|0,0,I&-2|0,C&1|0)|0;I=lh(u|0,F|0,I|0,C|0)|0;F=C;c[z>>2]=I;c[z+4>>2]=F;y=I^y;E=F^E;F=oh(y|0,E|0,63)|0;I=C;E=ph(y|0,E|0,1)|0;c[t>>2]=E|F;c[t+4>>2]=C|I;t=w;I=c[t>>2]|0;t=c[t+4>>2]|0;F=lh(v|0,B|0,I|0,t|0)|0;E=C;t=ph(I|0,t|0,1)|0;t=wh(t&-2|0,C&1|0,v|0,0)|0;t=lh(F|0,E|0,t|0,C|0)|0;E=C;F=L;I=t^c[F>>2];F=E^c[F+4>>2];y=G;z=c[y>>2]|0;y=c[y+4>>2]|0;u=lh(F|0,I|0,z|0,y|0)|0;K=C;y=ph(z|0,y|0,1)|0;y=wh(y&-2|0,C&1|0,F|0,0)|0;y=lh(u|0,K|0,y|0,C|0)|0;K=C;v=y^v;B=K^B;u=oh(v|0,B|0,24)|0;z=C;B=ph(v|0,B|0,40)|0;B=B|u;z=C|z;v=lh(B|0,z|0,t|0,E|0)|0;J=C;E=ph(t|0,E|0,1)|0;E=wh(u|0,0,E&-2|0,C&1|0)|0;E=lh(v|0,J|0,E|0,C|0)|0;J=C;c[w>>2]=E;c[w+4>>2]=J;F=E^F;I=J^I;J=oh(F|0,I|0,16)|0;E=C;I=ph(F|0,I|0,48)|0;I=I|J;E=C|E;c[L>>2]=I;c[L+4>>2]=E;E=lh(I|0,E|0,y|0,K|0)|0;I=C;K=ph(y|0,K|0,1)|0;K=wh(J|0,0,K&-2|0,C&1|0)|0;K=lh(E|0,I|0,K|0,C|0)|0;I=C;c[G>>2]=K;c[G+4>>2]=I;B=K^B;z=I^z;I=oh(B|0,z|0,63)|0;K=C;z=ph(B|0,z|0,1)|0;c[x>>2]=z|I;c[x+4>>2]=C|K;x=A;K=c[x>>2]|0;x=c[x+4>>2]|0;I=M;z=c[I>>2]|0;I=c[I+4>>2]|0;B=lh(z|0,I|0,K|0,x|0)|0;G=C;x=ph(K|0,x|0,1)|0;x=wh(x&-2|0,C&1|0,z|0,0)|0;x=lh(B|0,G|0,x|0,C|0)|0;G=C;B=D;K=x^c[B>>2];B=G^c[B+4>>2];E=H;J=c[E>>2]|0;E=c[E+4>>2]|0;y=lh(B|0,K|0,J|0,E|0)|0;L=C;E=ph(J|0,E|0,1)|0;E=wh(E&-2|0,C&1|0,B|0,0)|0;E=lh(y|0,L|0,E|0,C|0)|0;L=C;z=E^z;I=L^I;y=oh(z|0,I|0,24)|0;J=C;I=ph(z|0,I|0,40)|0;I=I|y;J=C|J;z=lh(I|0,J|0,x|0,G|0)|0;F=C;G=ph(x|0,G|0,1)|0;G=wh(y|0,0,G&-2|0,C&1|0)|0;G=lh(z|0,F|0,G|0,C|0)|0;F=C;c[A>>2]=G;c[A+4>>2]=F;B=G^B;K=F^K;F=oh(B|0,K|0,16)|0;G=C;K=ph(B|0,K|0,48)|0;K=K|F;G=C|G;c[D>>2]=K;c[D+4>>2]=G;G=lh(K|0,G|0,E|0,L|0)|0;K=C;L=ph(E|0,L|0,1)|0;L=wh(F|0,0,L&-2|0,C&1|0)|0;L=lh(G|0,K|0,L|0,C|0)|0;K=C;c[H>>2]=L;c[H+4>>2]=K;I=L^I;J=K^J;K=oh(I|0,J|0,63)|0;L=C;J=ph(I|0,J|0,1)|0;c[M>>2]=J|K;c[M+4>>2]=C|L;b=b+1|0}while((b|0)!=8);qh(d|0,e|0,1024)|0;b=0;do{K=f+(b<<3)|0;M=d+(b<<3)|0;J=M;L=c[J+4>>2]^c[K+4>>2];c[M>>2]=c[J>>2]^c[K>>2];c[M+4>>2]=L;b=b+1|0}while((b|0)!=128);i=g;return}function fe(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;e=i;d=i=i+63&-64;i=i+48|0;b=ae(a)|0;if(b|0){d=b;i=e;return d|0}f=c[a+44>>2]|0;b=c[a+48>>2]|0;h=b<<3;g=b<<2;f=((f>>>0<h>>>0?h:f)>>>0)/(g>>>0)|0;g=_(f,g)|0;c[d>>2]=0;c[d+4>>2]=c[a+40>>2];c[d+8>>2]=g;c[d+12>>2]=f;c[d+16>>2]=f<<2;c[d+20>>2]=b;c[d+24>>2]=c[a+52>>2];c[d+28>>2]=1;b=be(d,a)|0;if(b|0){h=b;i=e;return h|0}b=$d(d)|0;if(b|0){h=b;i=e;return h|0}_d(a,d);h=0;i=e;return h|0}function ge(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;z=i;q=i=i+63&-64;i=i+496|0;u=q;g=q+360|0;s=q+432|0;q=q+368|0;c[g>>2]=d;if(d>>>0>=65){nh(u+64|0,0,293)|0;v=u;w=400;x=v+48|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));l=u;c[l>>2]=-222443192;c[l+4>>2]=1779033703;l=u+8|0;c[l>>2]=-2067093701;c[l+4>>2]=-1150833019;l=u+16|0;c[l>>2]=-23791573;c[l+4>>2]=1013904242;l=u+24|0;c[l>>2]=1595750129;c[l+4>>2]=-1521486534;l=u+32|0;c[l>>2]=-1377402159;c[l+4>>2]=1359893119;l=u+40|0;c[l>>2]=725511199;c[l+4>>2]=-1694144372;l=u+48|0;c[l>>2]=-79577749;c[l+4>>2]=528734635;l=u+56|0;c[l>>2]=327033209;c[l+4>>2]=1541459225;l=u+352|0;m=u+96|0;n=u+64|0;o=u+72|0;p=u+224|0;c[u+96>>2]=c[g>>2];g=(c[l>>2]|0)+4|0;c[l>>2]=g;a:do if(f|0){k=0;while(1){j=256-g|0;g=u+96+g|0;if(!(k>>>0>0|(k|0)==0&f>>>0>j>>>0))break;qh(g|0,e|0,j|0)|0;c[l>>2]=(c[l>>2]|0)+j;x=n;v=c[x>>2]|0;x=c[x+4>>2]|0;h=lh(v|0,x|0,128,0)|0;w=n;c[w>>2]=h;c[w+4>>2]=C;w=o;w=lh((x>>>0>4294967295|(x|0)==-1&v>>>0>4294967167)&1|0,0,c[w>>2]|0,c[w+4>>2]|0)|0;v=o;c[v>>2]=w;c[v+4>>2]=C;id(u,m);v=m;w=p;x=v+128|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));g=(c[l>>2]|0)+-128|0;c[l>>2]=g;h=kh(f|0,k|0,j|0,0)|0;if((f|0)==(j|0)&(k|0)==0)break a;else{e=e+j|0;k=C;f=h}}qh(g|0,e|0,f|0)|0;x=lh(c[l>>2]|0,0,f|0,k|0)|0;c[l>>2]=x}while(0);jd(u,s,64);v=b;w=s;x=v+32|0;do{a[v>>0]=a[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));g=d+-32|0;j=b+32|0;h=g>>>0>64;v=q;w=s;x=v+64|0;do{a[v>>0]=a[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));b:do if(h)while(1){if((kd(s,64,q,64,0,0,0)|0)<0)break b;v=j;w=s;x=v+32|0;do{a[v>>0]=a[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));g=g+-32|0;j=j+32|0;h=g>>>0>64;v=q;w=s;x=v+64|0;do{a[v>>0]=a[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));if(!h){r=j;t=g;y=21;break}}else{r=j;t=g;y=21}while(0);if((y|0)==21?(kd(s,t,q,64,0,0,0)|0)>=0:0)qh(r|0,s|0,t|0)|0;i=z;return}if((d+-1|0)>>>0>63){i=z;return}l=d&255;if((l+-1&255)>63)ra();nh(u+64|0,0,293)|0;v=u;w=400;x=v+48|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));m=u;c[m>>2]=d&255^-222443256;c[m+4>>2]=1779033703;m=u+8|0;c[m>>2]=-2067093701;c[m+4>>2]=-1150833019;m=u+16|0;c[m>>2]=-23791573;c[m+4>>2]=1013904242;m=u+24|0;c[m>>2]=1595750129;c[m+4>>2]=-1521486534;m=u+32|0;c[m>>2]=-1377402159;c[m+4>>2]=1359893119;m=u+40|0;c[m>>2]=725511199;c[m+4>>2]=-1694144372;m=u+48|0;c[m>>2]=-79577749;c[m+4>>2]=528734635;m=u+56|0;c[m>>2]=327033209;c[m+4>>2]=1541459225;m=u+352|0;n=u+96|0;o=u+64|0;p=u+72|0;q=u+224|0;c[u+96>>2]=c[g>>2];g=(c[m>>2]|0)+4|0;c[m>>2]=g;if(f|0){k=0;while(1){j=256-g|0;g=u+96+g|0;if(!(k>>>0>0|(k|0)==0&f>>>0>j>>>0)){y=8;break}qh(g|0,e|0,j|0)|0;c[m>>2]=(c[m>>2]|0)+j;x=o;v=c[x>>2]|0;x=c[x+4>>2]|0;t=lh(v|0,x|0,128,0)|0;w=o;c[w>>2]=t;c[w+4>>2]=C;w=p;w=lh((x>>>0>4294967295|(x|0)==-1&v>>>0>4294967167)&1|0,0,c[w>>2]|0,c[w+4>>2]|0)|0;v=p;c[v>>2]=w;c[v+4>>2]=C;id(u,n);v=n;w=q;x=v+128|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));g=(c[m>>2]|0)+-128|0;c[m>>2]=g;h=kh(f|0,k|0,j|0,0)|0;if((f|0)==(j|0)&(k|0)==0)break;else{e=e+j|0;k=C;f=h}}if((y|0)==8){qh(g|0,e|0,f|0)|0;y=lh(c[m>>2]|0,0,f|0,k|0)|0;c[m>>2]=y}if(d>>>0>=256)za(32557,32577,106,32795)}jd(u,b,l);i=z;return}function he(){return 1}function ie(){return 16}function je(){return 128}function ke(){return 33080}function le(){return 4}function me(){return 33554432}function ne(){return 6}function oe(){return 134217728}function pe(){return 8}function qe(){return 536870912}function re(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0;q=i;n=i=i+63&-64;i=i+96|0;o=n+60|0;if((m|0)!=1){p=-1;i=q;return p|0}m=l>>>10;g=g|d|k;if(g>>>0>0|(g|0)==0&(f|b|j)>>>0>4294967295|l>>>0>2147484671){if(!(c[8522]|0))m=34132;else m=c[(oa()|0)+64>>2]|0;c[m>>2]=27;p=-1;i=q;return p|0}if(d>>>0<0|(d|0)==0&b>>>0<16|(k>>>0<0|(k|0)==0&j>>>0<3)|l>>>0<8192){if(!(c[8522]|0))m=34132;else m=c[(oa()|0)+64>>2]|0;c[m>>2]=22;p=-1;i=q;return p|0}d=fh(b)|0;do if(!d)m=-22;else{c[n>>2]=d;c[n+4>>2]=b;c[n+8>>2]=e;c[n+12>>2]=f;c[n+16>>2]=h;c[n+20>>2]=16;k=n+24|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[n+40>>2]=j;c[n+44>>2]=m;c[n+48>>2]=1;c[n+52>>2]=1;c[n+56>>2]=4;if(b>>>0>=16)if((e|0)!=0|(f|0)==0)if(h)if(l>>>0>=8192)if(l>>>0<=2147484671)if(j>>>0>=3){m=l>>>12;c[o>>2]=0;c[o+4>>2]=j;c[o+8>>2]=m<<2;c[o+12>>2]=m;c[o+16>>2]=m<<2;c[o+20>>2]=1;c[o+24>>2]=1;c[o+28>>2]=1;m=be(o,n)|0;if(!m){m=$d(o)|0;if(!m){_d(n,o);if(a|0)qh(a|0,d|0,b|0)|0;gh(d);m=0;break}}}else{m=-12;p=17}else{m=-15;p=17}else{m=-14;p=17}else{m=-19;p=17}else{m=-18;p=17}else{m=-2;p=17}gh(d)}while(0);p=((m|0)!=0)<<31>>31;i=q;return p|0}function se(e,f,g,h,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;m=i=i+63&-64;i=i+112|0;t=m+88|0;u=m+60|0;y=m;m=m+72|0;n=e;q=n+128|0;do{a[n>>0]=0;n=n+1|0}while((n|0)<(q|0));n=l>>>10;A=k|h;if(A>>>0>0|(A|0)==0&(j|g)>>>0>4294967295|l>>>0>2147484671){if(!(c[8522]|0))h=34132;else h=c[(oa()|0)+64>>2]|0;c[h>>2]=27;e=-1;i=B;return e|0}if(k>>>0<0|(k|0)==0&j>>>0<3|l>>>0<8192){if(!(c[8522]|0))h=34132;else h=c[(oa()|0)+64>>2]|0;c[h>>2]=22;e=-1;i=B;return e|0}else h=0;do{a[m+h>>0]=ma(0)|0;h=h+1|0}while((h|0)!=16);A=fh(32)|0;a:do if(!A)h=-1;else{c[y>>2]=A;x=y+4|0;c[x>>2]=32;o=y+8|0;c[o>>2]=f;l=y+12|0;c[l>>2]=g;w=y+16|0;c[w>>2]=m;v=y+20|0;c[v>>2]=16;k=y+24|0;p=y+40|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[p>>2]=j;f=y+44|0;c[f>>2]=n;g=y+48|0;c[g>>2]=1;m=y+52|0;c[m>>2]=1;c[y+56>>2]=4;if(fe(y)|0){gh(A);h=-1;break}b:do if(e|0){n=e;h=33068;q=n+12|0;do{a[n>>0]=a[h>>0]|0;n=n+1|0;h=h+1|0}while((n|0)<(q|0));j=e+11|0;do if(!((c[y>>2]|0)==0|(c[x>>2]|0)>>>0<16)?(c[o>>2]|0)!=0|(c[l>>2]|0)==0:0){l=c[v>>2]|0;if(!(c[w>>2]|0)){if(l|0)break}else if(l>>>0<8)break;if((c[k>>2]|0)==0?c[y+28>>2]|0:0)break;q=c[y+32>>2]|0;if((q|0)==0?c[y+36>>2]|0:0)break;n=c[f>>2]|0;if((((n+-8|0)>>>0<=2097144?(s=c[g>>2]|0,n>>>0>=s<<3>>>0):0)?(r=c[p>>2]|0,!((s+-1|0)>>>0>16777214|r>>>0<3)):0)?((c[m>>2]|0)+-1|0)>>>0<=16777214:0){a[t+9>>0]=57;h=t+8|0;a[h>>0]=49;h=d[h>>0]|d[h+1>>0]<<8;b[u>>1]=h;a[u+2>>0]=0;g=u;c:do if(!(g&2)){h=u;z=32}else{f=u;k=g;h=h&255;while(1){if(!(h<<24>>24)){h=k;break c}h=f+1|0;k=h;if(!(k&3)){z=32;break c}f=h;h=a[h>>0]|0}}while(0);if((z|0)==32){while(1){k=c[h>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))h=h+4|0;else break}if((k&255)<<24>>24)do h=h+1|0;while((a[h>>0]|0)!=0)}h=h-g|0;if(h>>>0>=117)break;qh(j|0,u|0,h+1|0)|0;f=j+h|0;g=117-h|0;if(g>>>0>=4){a[f>>0]=36;a[f+1>>0]=109;a[f+2>>0]=61;a[f+3>>0]=0;h=n;n=10;while(1){k=n+-1|0;m=t+k|0;a[m>>0]=(h>>>0)%10|0|48;if(h>>>0>9&(k|0)!=0){h=(h>>>0)/10|0;n=k}else break}j=f+3|0;g=g+-3|0;f=11-n|0;qh(u|0,m|0,f|0)|0;a[u+f>>0]=0;f=u;d:do if(!(f&3)){h=u;z=45}else{h=u;k=f;while(1){if(!(a[h>>0]|0)){h=k;break d}h=h+1|0;k=h;if(!(k&3)){z=45;break}}}while(0);if((z|0)==45){while(1){k=c[h>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))h=h+4|0;else break}if((k&255)<<24>>24)do h=h+1|0;while((a[h>>0]|0)!=0)}h=h-f|0;if(g>>>0<=h>>>0)break;qh(j|0,u|0,h+1|0)|0;n=j+h|0;f=g-h|0;if(f>>>0<4)break;a[n>>0]=44;a[n+1>>0]=116;a[n+2>>0]=61;a[n+3>>0]=0;h=r;m=10;while(1){k=m+-1|0;g=t+k|0;a[g>>0]=(h>>>0)%10|0|48;if(h>>>0>9&(k|0)!=0){h=(h>>>0)/10|0;m=k}else break}n=n+3|0;j=f+-3|0;f=11-m|0;qh(u|0,g|0,f|0)|0;a[u+f>>0]=0;f=u;e:do if(!(f&3)){h=u;z=58}else{h=u;k=f;while(1){if(!(a[h>>0]|0)){h=k;break e}h=h+1|0;k=h;if(!(k&3)){z=58;break}}}while(0);if((z|0)==58){while(1){k=c[h>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))h=h+4|0;else break}if((k&255)<<24>>24)do h=h+1|0;while((a[h>>0]|0)!=0)}h=h-f|0;if(j>>>0<=h>>>0)break;qh(n|0,u|0,h+1|0)|0;n=n+h|0;f=j-h|0;if(f>>>0<4)break;a[n>>0]=44;a[n+1>>0]=112;a[n+2>>0]=61;a[n+3>>0]=0;h=s;m=10;while(1){k=m+-1|0;g=t+k|0;a[g>>0]=(h>>>0)%10|0|48;if(h>>>0>9&(k|0)!=0){h=(h>>>0)/10|0;m=k}else break}n=n+3|0;j=f+-3|0;f=11-m|0;qh(u|0,g|0,f|0)|0;a[u+f>>0]=0;f=u;f:do if(!(f&3)){h=u;z=71}else{h=u;k=f;while(1){if(!(a[h>>0]|0)){h=k;break f}h=h+1|0;k=h;if(!(k&3)){z=71;break}}}while(0);if((z|0)==71){while(1){k=c[h>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))h=h+4|0;else break}if((k&255)<<24>>24)do h=h+1|0;while((a[h>>0]|0)!=0)}h=h-f|0;if(j>>>0<=h>>>0)break;qh(n|0,u|0,h+1|0)|0;k=n+h|0;h=j-h|0;f=c[y+36>>2]|0;if(f){if(h>>>0<7)break;a[k>>0]=a[33061]|0;a[k+1>>0]=a[33062]|0;a[k+2>>0]=a[33063]|0;a[k+3>>0]=a[33064]|0;a[k+4>>0]=a[33065]|0;a[k+5>>0]=a[33066]|0;a[k+6>>0]=a[33067]|0;j=k+6|0;o=h+-6|0;h=((f>>>0)/3|0)<<2;switch((f>>>0)%3|0|0){case 2:{h=h|1;z=82;break}case 1:{z=82;break}default:n=h}if((z|0)==82)n=h+2|0;if(o>>>0>n>>>0){h=j;m=0;k=0;g=q}else break;do{f=f+-1|0;u=g;g=g+1|0;m=d[u>>0]|m<<8;k=k+8|0;if(k>>>0>5)while(1){k=k+-6|0;t=m>>>k&63;s=(t+65510|0)>>>8;u=(t+65484|0)>>>8;l=h+1|0;a[h>>0]=(0-(t^62)|0)>>>8&43^43|s&t+65|(0-(t^63)|0)>>>8&47^47|u&t+71&(s^255)|(t+65474|0)>>>8&t+252&(u^255);if(k>>>0>5)h=l;else{h=l;break}}}while((f|0)!=0);if(k){t=m<<6-k&63;s=(t+65510|0)>>>8;u=(t+65484|0)>>>8;a[h>>0]=(0-(t^62)|0)>>>8&43^43|s&t+65|(0-(t^63)|0)>>>8&47^47|u&t+71&(s^255)|(t+65474|0)>>>8&t+252&(u^255);h=h+1|0}a[h>>0]=0;h=(n|0)==-1;if(h)break;k=j+n|0;h=o-(h?0:n)|0;l=c[v>>2]|0}if(!l)break b;if(h>>>0<2)break;a[k>>0]=36;a[k+1>>0]=0;o=k+1|0;j=h+-1|0;f=c[w>>2]|0;h=((l>>>0)/3|0)<<2;switch((l>>>0)%3|0|0){case 2:{h=h|1;z=95;break}case 1:{z=95;break}default:n=h}if((z|0)==95)n=h+2|0;if(j>>>0>n>>>0){h=o;g=l;m=0;k=0}else break;do{g=g+-1|0;w=f;f=f+1|0;m=d[w>>0]|m<<8;k=k+8|0;if(k>>>0>5)while(1){k=k+-6|0;v=m>>>k&63;u=(v+65510|0)>>>8;w=(v+65484|0)>>>8;l=h+1|0;a[h>>0]=(0-(v^62)|0)>>>8&43^43|u&v+65|(0-(v^63)|0)>>>8&47^47|w&v+71&(u^255)|(v+65474|0)>>>8&v+252&(w^255);if(k>>>0>5)h=l;else{h=l;break}}}while((g|0)!=0);if(k){v=m<<6-k&63;u=(v+65510|0)>>>8;w=(v+65484|0)>>>8;a[h>>0]=(0-(v^62)|0)>>>8&43^43|u&v+65|(0-(v^63)|0)>>>8&47^47|w&v+71&(u^255)|(v+65474|0)>>>8&v+252&(w^255);h=h+1|0}a[h>>0]=0;w=(n|0)==-1;k=j-(w?0:n)|0;h=w?o:o+n|0;if(w)break;if(!(c[x>>2]|0))break b;if(k>>>0<2)break;a[h>>0]=36;a[h+1>>0]=0;h=h+1|0;f=k+-1|0;g=c[y>>2]|0;l=c[x>>2]|0;k=((l>>>0)/3|0)<<2;switch((l>>>0)%3|0|0){case 2:{k=k|1;z=107;break}case 1:{z=107;break}default:{}}if((z|0)==107)k=k+2|0;if(k>>>0>=f>>>0)break;do if(l){m=l;n=0;l=0;do{m=m+-1|0;z=g;g=g+1|0;n=d[z>>0]|n<<8;l=l+8|0;if(l>>>0>5)while(1){l=l+-6|0;y=n>>>l&63;x=(y+65510|0)>>>8;z=(y+65484|0)>>>8;f=h+1|0;a[h>>0]=(0-(y^62)|0)>>>8&43^43|x&y+65|(0-(y^63)|0)>>>8&47^47|z&y+71&(x^255)|(y+65474|0)>>>8&y+252&(z^255);if(l>>>0>5)h=f;else{h=f;break}}}while((m|0)!=0);if(!l)break;y=n<<6-l&63;x=(y+65510|0)>>>8;z=(y+65484|0)>>>8;a[h>>0]=(0-(y^62)|0)>>>8&43^43|x&y+65|(0-(y^63)|0)>>>8&47^47|z&y+71&(x^255)|(y+65474|0)>>>8&y+252&(z^255);h=h+1|0}while(0);a[h>>0]=0;if((k|0)!=-1)break b}}}while(0);n=A;q=n+32|0;do{a[n>>0]=0;n=n+1|0}while((n|0)<(q|0));n=e;q=n+128|0;do{a[n>>0]=0;n=n+1|0}while((n|0)<(q|0));gh(A);h=-1;break a}while(0);gh(A);h=0}while(0);e=h;i=B;return e|0}function te(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;x=i;v=i=i+63&-64;i=i+64|0;if(f>>>0>0|(f|0)==0&e>>>0>4294967295){if(!(c[8522]|0))f=34132;else f=c[(oa()|0)+64>>2]|0;c[f>>2]=27;w=-1;i=x;return w|0}h=b;a:do if(!(h&3)){f=b;w=8}else{f=b;g=h;while(1){if(!(a[f>>0]|0)){f=g;break a}f=f+1|0;g=f;if(!(g&3)){w=8;break}}}while(0);if((w|0)==8){while(1){g=c[f>>2]|0;if(!((g&-2139062144^-2139062144)&g+-16843009))f=f+4|0;else break}if((g&255)<<24>>24)do f=f+1|0;while((a[f>>0]|0)!=0)}p=f-h|0;r=fh(p)|0;s=fh(p)|0;q=s;t=fh(p)|0;b:do if((t|0)==0|(s|0)==0|(r|0)==0){gh(r);gh(s);gh(t);f=-22}else{u=fh(p)|0;if(!u){gh(r);gh(s);gh(t);f=-22;break}f=a[b>>0]|0;c:do if(!(f<<24>>24)){f=0;g=33036}else{j=8;h=b;g=33036;while(1){j=j+-1|0;o=a[g>>0]|0;if(!(f<<24>>24==o<<24>>24&((j|0)!=0&o<<24>>24!=0)))break c;h=h+1|0;g=g+1|0;f=a[h>>0]|0;if(!(f<<24>>24)){f=0;break}}}while(0);o=f<<24>>24==(a[g>>0]|0);b=o?b+8|0:b;d:do if(o){f=a[b>>0]|0;e:do if(!(f<<24>>24)){f=0;g=33045}else{j=3;h=b;g=33045;while(1){j=j+-1|0;o=a[g>>0]|0;if(!(f<<24>>24==o<<24>>24&((j|0)!=0&o<<24>>24!=0)))break e;h=h+1|0;g=g+1|0;f=a[h>>0]|0;if(!(f<<24>>24)){f=0;break}}}while(0);o=f<<24>>24==(a[g>>0]|0);f=b+3|0;j=o?f:b;if(o?(l=a[j>>0]|0,(l+-48&255)<=9):0){h=l;g=0;while(1){h=(h<<24>>24)+-48|0;if(g>>>0>429496729){f=-32;break d}g=g*10|0;if(h>>>0>~g>>>0){f=-32;break d}g=h+g|0;k=f+1|0;h=a[k>>0]|0;if((h+-48&255)>9)break;else f=k}if((k|0)!=(j|0)?!((f|0)!=(j|0)&l<<24>>24==48|(k|0)==0):0)if((g|0)==19){f:do if(!(h<<24>>24)){h=0;g=33049}else{b=3;j=k;g=33049;while(1){b=b+-1|0;o=a[g>>0]|0;if(!(h<<24>>24==o<<24>>24&((b|0)!=0&o<<24>>24!=0)))break f;j=j+1|0;g=g+1|0;h=a[j>>0]|0;if(!(h<<24>>24)){h=0;break}}}while(0);o=h<<24>>24==(a[g>>0]|0);f=f+4|0;j=o?f:k;if(o?(m=a[j>>0]|0,(m+-48&255)<=9):0){g=m;o=0;while(1){h=(g<<24>>24)+-48|0;if(o>>>0>429496729){f=-32;break d}g=o*10|0;if(h>>>0>~g>>>0){f=-32;break d}o=h+g|0;k=f+1|0;g=a[k>>0]|0;if((g+-48&255)>9)break;else f=k}if((k|0)!=(j|0)?!(m<<24>>24==48&(f|0)!=(j|0)|(k|0)==0):0){g:do if(!(g<<24>>24)){h=0;g=33053}else{b=3;h=g;j=k;g=33053;while(1){b=b+-1|0;n=a[g>>0]|0;if(!(h<<24>>24==n<<24>>24&((b|0)!=0&n<<24>>24!=0)))break g;j=j+1|0;g=g+1|0;h=a[j>>0]|0;if(!(h<<24>>24)){h=0;break}}}while(0);n=h<<24>>24==(a[g>>0]|0);f=f+4|0;j=n?f:k;if(!n){f=-32;break}b=a[j>>0]|0;if((b+-48&255)>9){f=-32;break}else{g=b;n=0}while(1){h=(g<<24>>24)+-48|0;if(n>>>0>429496729){f=-32;break d}g=n*10|0;if(h>>>0>~g>>>0){f=-32;break d}n=h+g|0;k=f+1|0;g=a[k>>0]|0;if((g+-48&255)>9)break;else f=k}if((k|0)==(j|0)){f=-32;break}if(b<<24>>24==48&(f|0)!=(j|0)|(k|0)==0){f=-32;break}h:do if(!(g<<24>>24)){h=0;g=33057}else{b=3;h=g;j=k;g=33057;while(1){b=b+-1|0;m=a[g>>0]|0;if(!(h<<24>>24==m<<24>>24&((b|0)!=0&m<<24>>24!=0)))break h;j=j+1|0;g=g+1|0;h=a[j>>0]|0;if(!(h<<24>>24)){h=0;break}}}while(0);m=h<<24>>24==(a[g>>0]|0);f=f+4|0;h=m?f:k;if(!m){f=-32;break}j=a[h>>0]|0;if((j+-48&255)>9){f=-32;break}else{l=f;f=j;m=0}while(1){g=(f<<24>>24)+-48|0;if(m>>>0>429496729){f=-32;break d}f=m*10|0;if(g>>>0>~f>>>0){f=-32;break d}m=g+f|0;g=l+1|0;f=a[g>>0]|0;if((f+-48&255)>9)break;else l=g}if((g|0)==(h|0)){f=-32;break}if(j<<24>>24==48&(l|0)!=(h|0)|(g|0)==0){f=-32;break}i:do if(!(f<<24>>24)){j=0;h=33061}else{b=6;j=f;k=g;h=33061;while(1){b=b+-1|0;y=a[h>>0]|0;if(!(j<<24>>24==y<<24>>24&((b|0)!=0&y<<24>>24!=0)))break i;k=k+1|0;h=h+1|0;j=a[k>>0]|0;if(!(j<<24>>24)){j=0;break}}}while(0);if(j<<24>>24==(a[h>>0]|0)){c[v>>2]=p;f=ce(r,v,l+7|0)|0;if(!f){f=-32;break}g=f;f=a[f>>0]|0}j:do switch(f<<24>>24){case 0:{h=0;j=0;break}case 36:{c[v>>2]=p;f=ce(s,v,g+1|0)|0;if(!f){f=-32;break d}h=c[v>>2]|0;switch(a[f>>0]|0){case 0:{j=0;break j}case 36:break;default:{f=-32;break d}}c[v>>2]=p;f=ce(t,v,f+1|0)|0;if(!f){f=-32;break d}g=c[v>>2]|0;if(g>>>0<16){f=-2;break d}if(!s){if(h|0){f=-19;break d}}else if(h>>>0<8){f=-6;break d}if(o>>>0<8){f=-14;break d}if(o>>>0>2097152){f=-15;break d}if(o>>>0<m<<3>>>0){f=-14;break d}if(n>>>0<3){f=-12;break d}if(!m){f=-16;break d}if(m>>>0>16777215){f=-17;break d}if(!(a[f>>0]|0))j=g;else{f=-32;break d}break}default:{f=-32;break d}}while(0);f=fh(j)|0;do if(f){c[v>>2]=f;c[v+4>>2]=j;c[v+8>>2]=d;c[v+12>>2]=e;c[v+16>>2]=q;c[v+20>>2]=h;y=v+24|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[v+40>>2]=n;c[v+44>>2]=o;c[v+48>>2]=m;c[v+52>>2]=m;c[v+56>>2]=4;if(fe(v)|0){gh(f);gh(r);gh(s);w=93;break}qh(u|0,f|0,j|0)|0;gh(f);gh(r);gh(s);if(!j)f=0;else{f=0;g=0;do{f=a[t+g>>0]^a[u+g>>0]|f;g=g+1|0}while((g|0)!=(j|0))}if(!((f&255)+511&256))w=93;else f=0}else{gh(r);gh(s);w=93}while(0);if((w|0)==93)f=-35;gh(u);gh(t);break b}else f=-32}else f=-32}else f=-26;else f=-32}else f=-32}else f=-32;while(0);gh(r);gh(s);gh(t);gh(u)}while(0);y=((f|0)!=0)<<31>>31;i=x;return y|0}function ue(){return 1}function ve(){return 1}function we(){return 16}function xe(){return 128}function ye(){return 33080}function ze(){return 4}function Ae(){return 33554432}function Be(){return 6}function Ce(){return 134217728}function De(){return 8}function Ee(){return 536870912}function Fe(a,b,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;if((l|0)==1){h=re(a,b,d,e,f,g,h,i,j,k,1)|0;return h|0}if(!(c[8522]|0))b=34132;else b=c[(oa()|0)+64>>2]|0;c[b>>2]=22;h=-1;return h|0}function Ge(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return se(a,b,c,d,e,f,g)|0}function He(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return te(a,b,c,d)|0}function Ie(){return 33090}function Je(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;t=i=i+63&-64;i=i+48|0;j=t+8|0;u=t+4|0;if((a[g>>0]|0)!=36){h=0;i=w;return h|0}if((a[g+1>>0]|0)!=55){h=0;i=w;return h|0}if((a[g+2>>0]|0)!=36){h=0;i=w;return h|0}o=a[g+3>>0]|0;n=o&255;a:do if(2){l=65;k=33098;do{if((a[k>>0]|0)==o<<24>>24)break a;k=k+1|0;l=l+-1|0;m=(l|0)!=0}while(m&(k&3|0)!=0);if(!m){h=0;i=w;return h|0}}else{l=65;k=33098}while(0);b:do if((a[k>>0]|0)!=o<<24>>24){m=_(n,16843009)|0;c:do if(l>>>0>3)while(1){s=c[k>>2]^m;if((s&-2139062144^-2139062144)&s+-16843009|0)break c;k=k+4|0;l=l+-4|0;if(l>>>0<=3){v=12;break}}else v=12;while(0);if((v|0)==12)if(!l){h=0;i=w;return h|0}while(1){if((a[k>>0]|0)==o<<24>>24)break b;l=l+-1|0;if(!l){j=0;break}else k=k+1|0}i=w;return j|0}while(0);if((k|0)==0|(l|0)==0){h=0;i=w;return h|0}r=ph(1,0,k-33098|0)|0;s=C;k=Ke(u,g+4|0)|0;if(!k){h=0;i=w;return h|0}q=Ke(t,k)|0;if(!q){h=0;i=w;return h|0}o=q;p=o-g|0;n=(o&3|0)==0;d:do if(n){k=q;v=22}else{l=q;k=o;while(1){if(!(a[l>>0]|0))break d;l=l+1|0;k=l;if(!(k&3)){k=l;v=22;break}}}while(0);if((v|0)==22){while(1){l=c[k>>2]|0;if(!((l&-2139062144^-2139062144)&l+-16843009))k=k+4|0;else break}if((l&255)<<24>>24)do k=k+1|0;while((a[k>>0]|0)!=0)}l=k-o+1|0;while(1){k=l+-1|0;if(!l){v=32;break}m=q+k|0;if((a[m>>0]|0)==36){v=30;break}else l=k}if((v|0)==30)if(!m)v=32;else l=l+-1|0;if((v|0)==32){e:do if(n){k=q;v=35}else{k=q;l=o;while(1){if(!(a[k>>0]|0)){k=l;break e}k=k+1|0;l=k;if(!(l&3)){v=35;break}}}while(0);if((v|0)==35){while(1){l=c[k>>2]|0;if(!((l&-2139062144^-2139062144)&l+-16843009))k=k+4|0;else break}if((l&255)<<24>>24)do k=k+1|0;while((a[k>>0]|0)!=0)}l=k-o|0}k=l+p|0;p=k+45|0;if(p>>>0>102|p>>>0<l>>>0){h=0;i=w;return h|0}if(Xe(b,e,f,q,l,r,s,c[u>>2]|0,c[t>>2]|0,j,32)|0){h=0;i=w;return h|0}qh(h|0,g|0,k|0)|0;r=h+k|0;p=r+1|0;a[r>>0]=36;r=p;p=h+102-p|0;k=0;f:while(1){if(k>>>0<32){q=0;l=0}else break;do{g=k;k=k+1|0;l=d[j+g>>0]<<q|l;q=q+8|0}while(k>>>0<32&q>>>0<24);m=p;n=r;o=0;while(1){if(!m){v=49;break f}g=n;n=n+1|0;a[g>>0]=a[33098+(l&63)>>0]|0;o=o+6|0;if(o>>>0>=q>>>0)break;else{l=l>>>6;m=m+-1|0}}g=(n|0)==0;p=(g?0:r-n|0)+p|0;if(g){v=49;break}else r=n}if((v|0)==49){k=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(k|0));h=0;i=w;return h|0}k=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(k|0));if(!((r|0)!=0&r>>>0<(h+102|0)>>>0)){h=0;i=w;return h|0}a[r>>0]=0;i=w;return h|0}function Ke(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;i=a[d>>0]|0;h=i&255;a:do if(2){e=65;f=33098;do{if((a[f>>0]|0)==i<<24>>24)break a;f=f+1|0;e=e+-1|0;g=(e|0)!=0}while(g&(f&3|0)!=0);if(!g){d=0;n=0;c[b>>2]=n;return d|0}}else{e=65;f=33098}while(0);b:do if((a[f>>0]|0)!=i<<24>>24){g=_(h,16843009)|0;c:do if(e>>>0>3)while(1){m=c[f>>2]^g;if((m&-2139062144^-2139062144)&m+-16843009|0)break c;f=f+4|0;e=e+-4|0;if(e>>>0<=3){n=9;break}}else n=9;while(0);if((n|0)==9)if(!e){d=0;n=0;c[b>>2]=n;return d|0}while(1){if((a[f>>0]|0)==i<<24>>24)break b;e=e+-1|0;if(!e){e=0;f=0;break}else f=f+1|0}c[b>>2]=f;return e|0}while(0);if((f|0)==0|(e|0)==0){d=0;n=0;c[b>>2]=n;return d|0}j=a[d+1>>0]|0;i=j&255;d:do if(2){e=65;g=33098;do{if((a[g>>0]|0)==j<<24>>24)break d;g=g+1|0;e=e+-1|0;h=(e|0)!=0}while(h&(g&3|0)!=0);if(!h){d=0;n=0;c[b>>2]=n;return d|0}}else{e=65;g=33098}while(0);e:do if((a[g>>0]|0)!=j<<24>>24){h=_(i,16843009)|0;f:do if(e>>>0>3)while(1){m=c[g>>2]^h;if((m&-2139062144^-2139062144)&m+-16843009|0)break f;g=g+4|0;e=e+-4|0;if(e>>>0<=3){n=22;break}}else n=22;while(0);if((n|0)==22)if(!e){d=0;n=0;c[b>>2]=n;return d|0}while(1){if((a[g>>0]|0)==j<<24>>24)break e;e=e+-1|0;if(!e){e=0;f=0;break}else g=g+1|0}c[b>>2]=f;return e|0}while(0);if((g|0)==0|(e|0)==0){d=0;n=0;c[b>>2]=n;return d|0}k=a[d+2>>0]|0;j=k&255;g:do if(2){e=65;h=33098;do{if((a[h>>0]|0)==k<<24>>24)break g;h=h+1|0;e=e+-1|0;i=(e|0)!=0}while(i&(h&3|0)!=0);if(!i){d=0;n=0;c[b>>2]=n;return d|0}}else{e=65;h=33098}while(0);h:do if((a[h>>0]|0)!=k<<24>>24){i=_(j,16843009)|0;i:do if(e>>>0>3)while(1){m=c[h>>2]^i;if((m&-2139062144^-2139062144)&m+-16843009|0)break i;h=h+4|0;e=e+-4|0;if(e>>>0<=3){n=36;break}}else n=36;while(0);if((n|0)==36)if(!e){d=0;n=0;c[b>>2]=n;return d|0}while(1){if((a[h>>0]|0)==k<<24>>24)break h;e=e+-1|0;if(!e){e=0;f=0;break}else h=h+1|0}c[b>>2]=f;return e|0}while(0);if((h|0)==0|(e|0)==0){d=0;n=0;c[b>>2]=n;return d|0}l=a[d+3>>0]|0;k=l&255;j:do if(2){e=65;i=33098;do{if((a[i>>0]|0)==l<<24>>24)break j;i=i+1|0;e=e+-1|0;j=(e|0)!=0}while(j&(i&3|0)!=0);if(!j){d=0;n=0;c[b>>2]=n;return d|0}}else{e=65;i=33098}while(0);k:do if((a[i>>0]|0)==l<<24>>24)m=i;else{j=_(k,16843009)|0;l:do if(e>>>0>3)while(1){m=c[i>>2]^j;if((m&-2139062144^-2139062144)&m+-16843009|0)break l;i=i+4|0;e=e+-4|0;if(e>>>0<=3){n=49;break}}else n=49;while(0);if((n|0)==49)if(!e){d=0;n=0;c[b>>2]=n;return d|0}while(1){if((a[i>>0]|0)==l<<24>>24){m=i;break k}e=e+-1|0;if(!e){e=0;f=0;break}else i=i+1|0}c[b>>2]=f;return e|0}while(0);if((m|0)==0|(e|0)==0){d=0;n=0;c[b>>2]=n;return d|0}l=a[d+4>>0]|0;k=l&255;m:do if(2){i=65;e=33098;do{if((a[e>>0]|0)==l<<24>>24)break m;e=e+1|0;i=i+-1|0;j=(i|0)!=0}while(j&(e&3|0)!=0);if(!j){d=0;n=0;c[b>>2]=n;return d|0}}else{i=65;e=33098}while(0);n:do if((a[e>>0]|0)!=l<<24>>24){j=_(k,16843009)|0;o:do if(i>>>0>3)while(1){k=c[e>>2]^j;if((k&-2139062144^-2139062144)&k+-16843009|0)break o;e=e+4|0;i=i+-4|0;if(i>>>0<=3){n=62;break}}else n=62;while(0);if((n|0)==62)if(!i){d=0;n=0;c[b>>2]=n;return d|0}while(1){if((a[e>>0]|0)==l<<24>>24)break n;i=i+-1|0;if(!i){e=0;f=0;break}else e=e+1|0}c[b>>2]=f;return e|0}while(0);if((e|0)==0|(i|0)==0){d=0;n=0;c[b>>2]=n;return d|0}d=d+5|0;n=e-33098<<24|(m-33098<<18|(h-33098<<12|(g-33098<<6|f-33098)));c[b>>2]=n;return d|0}function Le(a,b,d,e,f,g,h,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;m=i;n=i=i+63&-64;i=i+16|0;c[n+4>>2]=0;c[n>>2]=0;c[n+8>>2]=0;f=Xe(n,a,b,d,e,f,g,h,j,k,l)|0;g=c[n>>2]|0;if(!g){i=m;return f|0}gh(g);i=m;return f|0}function Me(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=i;q=i=i+63&-64;i=i+464|0;p=q+208|0;r=q;s=q+416|0;q=q+424|0;jb(p,b,d)|0;do if(f|0){d=p+32|0;n=d;m=c[n>>2]|0;n=c[n+4>>2]|0;b=oh(m|0,n|0,3)|0;b=b&63;o=ph(f|0,0,3)|0;o=lh(m|0,n|0,o|0,C|0)|0;c[d>>2]=o;c[d+4>>2]=C;d=64-b|0;b=p+40+b|0;if(d>>>0>f>>>0){qh(b|0,e|0,f|0)|0;break}qh(b|0,e|0,d|0)|0;j=p+40|0;xd(p,j);b=e+d|0;e=kh(f|0,0,d|0,0)|0;d=C;if(d>>>0>0|(d|0)==0&e>>>0>63){do{xd(p,b);b=b+64|0;e=lh(e|0,d|0,-64,-1)|0;d=C}while(d>>>0>0|(d|0)==0&e>>>0>63);d=e}else d=e;qh(j|0,b|0,d|0)|0}while(0);if(!h){i=t;return}f=s+3|0;j=s+2|0;k=s+1|0;l=r+32|0;m=r+40|0;n=0;o=0;do{o=o+1|0;a[f>>0]=o;a[j>>0]=o>>>8;a[k>>0]=o>>>16;a[s>>0]=o>>>24;qh(r|0,p|0,208)|0;e=l;d=c[e>>2]|0;e=c[e+4>>2]|0;b=oh(d|0,e|0,3)|0;b=b&63;e=lh(d|0,e|0,32,0)|0;d=l;c[d>>2]=e;c[d+4>>2]=C;d=64-b|0;b=r+40+b|0;if(d>>>0>4){e=c[s>>2]|0;a[b>>0]=e;a[b+1>>0]=e>>8;a[b+2>>0]=e>>16;a[b+3>>0]=e>>24}else{qh(b|0,s|0,d|0)|0;xd(r,m);b=s+d|0;e=kh(4,0,d|0,0)|0;d=C;if(d>>>0>0|(d|0)==0&e>>>0>63){do{xd(r,b);b=b+64|0;e=lh(e|0,d|0,-64,-1)|0;d=C}while(d>>>0>0|(d|0)==0&e>>>0>63);d=e}else d=e;qh(m|0,b|0,d|0)|0}lb(r,q)|0;e=h-n|0;qh(g+n|0,q|0,(e>>>0>32?32:e)|0)|0;n=o<<5}while(n>>>0<h>>>0);i=t;return}function Ne(){return 32}function Oe(){return 102}function Pe(){return 33163}function Qe(){return 524288}function Re(){return 16777216}function Se(){return 33554432}function Te(){return 1073741824}function Ue(a,b,d,e,f,g,h,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;o=i;n=i=i+63&-64;i=i+16|0;nh(a|0,0,b|0)|0;m=g|d;if(m>>>0>0|(m|0)==0&(f|b)>>>0>4294967295){if(!(c[8522]|0))d=34132;else d=c[(oa()|0)+64>>2]|0;c[d>>2]=27;n=-1;i=o;return n|0}g=k>>>0<0|(k|0)==0&j>>>0<32768;m=g?32768:j;k=g?0:k;a:do if(k>>>0<0|(k|0)==0&m>>>0<l>>>5>>>0){g=oh(m|0,k|0,6)|0;j=C;k=1;while(1){m=ph(1,0,k|0)|0;l=C;d=k+1|0;if(l>>>0>j>>>0|(l|0)==(j|0)&m>>>0>g>>>0){d=k;g=1;break a}if(d>>>0<63)k=d;else{g=1;break}}}else{j=l>>>11;g=1;while(1){l=ph(1,0,g|0)|0;p=C;d=g+1|0;if(p>>>0>0|(p|0)==0&l>>>0>j>>>0){d=g;break}if(d>>>0<63)g=d;else break}g=oh(m|0,k|0,2)|0;g=oh(g|0,C|0,d|0)|0;p=C;m=p>>>0>0|(p|0)==0&g>>>0>1073741823;g=m?1073741823:g;g=g>>>3}while(0);d=ph(1,0,d|0)|0;c[n+4>>2]=0;c[n>>2]=0;c[n+8>>2]=0;g=Xe(n,e,f,h,32,d,C,8,g,a,b)|0;d=c[n>>2]|0;if(d|0)gh(d);p=g;i=o;return p|0}function Ve(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;v=i=i+63&-64;i=i+112|0;t=v+72|0;u=v+12|0;l=b;m=l+102|0;do{a[l>>0]=0;l=l+1|0}while((l|0)<(m|0));if(g>>>0>0|(g|0)==0&f>>>0>4294967295){if(!(c[8522]|0))g=34132;else g=c[(oa()|0)+64>>2]|0;c[g>>2]=27;v=-1;i=w;return v|0}m=j>>>0<0|(j|0)==0&h>>>0<32768;n=m?32768:h;m=m?0:j;a:do if(m>>>0<0|(m|0)==0&n>>>0<k>>>5>>>0){h=oh(n|0,m|0,6)|0;l=C;m=1;while(1){k=ph(1,0,m|0)|0;n=C;g=m+1|0;if(n>>>0>l>>>0|(n|0)==(l|0)&k>>>0>h>>>0){g=m;l=1;break a}if(g>>>0<63)m=g;else{l=1;break}}}else{l=k>>>11;h=1;while(1){k=ph(1,0,h|0)|0;j=C;g=h+1|0;if(j>>>0>0|(j|0)==0&k>>>0>l>>>0){g=h;break}if(g>>>0<63)h=g;else break}l=oh(n|0,m|0,2)|0;l=oh(l|0,C|0,g|0)|0;k=C;n=k>>>0>0|(k|0)==0&l>>>0>1073741823;l=n?1073741823:l;l=l>>>3}while(0);h=0;do{a[t+h>>0]=ma(0)|0;h=h+1|0}while((h|0)!=32);b:do if((((((((g>>>0<=63?(k=ph(l|0,0,3)|0,n=C,!(n>>>0>0|(n|0)==0&k>>>0>1073741823)):0)?(a[u>>0]=36,a[u+1>>0]=55,a[u+2>>0]=36,a[u+3>>0]=a[33098+g>>0]|0,a[u+4>>0]=54,k=u+5|0,o=u+9|0,a[k>>0]=46,a[k+1>>0]=46,a[k+2>>0]=46,a[k+3>>0]=46,o|0):0)?(p=o,r=u+58|0,(r|0)!=(p|0)):0)?(q=r-p|0,a[o>>0]=a[33098+(l&63)>>0]|0,(q|0)!=1):0)?(a[u+10>>0]=a[33098+(l>>>6&63)>>0]|0,(q|0)!=2):0)?(a[u+11>>0]=a[33098+(l>>>12&63)>>0]|0,(q|0)!=3):0)?(a[u+12>>0]=a[33098+(l>>>18&63)>>0]|0,(q|0)!=4):0)?(s=u+14|0,a[u+13>>0]=a[33098+(l>>>24)>>0]|0,s|0):0){o=s;n=r-s|0;g=0;while(1){if(g>>>0<32){k=0;h=0}else break;do{s=g;g=g+1|0;h=(d[t+s>>0]|0)<<k|h;k=k+8|0}while(g>>>0<32&k>>>0<24);l=n;m=o;j=0;while(1){if(!l)break b;s=m;m=m+1|0;a[s>>0]=a[33098+(h&63)>>0]|0;j=j+6|0;if(j>>>0>=k>>>0)break;else{h=h>>>6;l=l+-1|0}}s=(m|0)==0;n=(s?0:o-m|0)+n|0;if(s)break b;else o=m}if(o>>>0<(u+58|0)>>>0){a[o>>0]=0;l=v+4|0;c[l>>2]=0;c[v>>2]=0;m=v+8|0;c[m>>2]=0;g=(Je(v,e,f,u,b)|0)==0;h=c[v>>2]|0;if(h|0)gh(h);c[l>>2]=0;c[v>>2]=0;c[m>>2]=0;if(!g){v=0;i=w;return v|0}if(!(c[8522]|0))g=34132;else g=c[(oa()|0)+64>>2]|0;c[g>>2]=22;v=-1;i=w;return v|0}}while(0);if(!(c[8522]|0))g=34132;else g=c[(oa()|0)+64>>2]|0;c[g>>2]=22;v=-1;i=w;return v|0}function We(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;l=i=i+63&-64;i=i+128|0;m=l+12|0;a:do if(b&3){f=102;g=b;do{if(!(a[g>>0]|0)){j=5;break a}g=g+1|0;f=f+-1|0;h=(f|0)!=0}while(h&(g&3|0)!=0);if(h)j=5;else f=0}else{f=102;g=b;j=5}while(0);b:do if((j|0)==5)if(a[g>>0]|0){c:do if(f>>>0>3)while(1){k=c[g>>2]|0;if((k&-2139062144^-2139062144)&k+-16843009|0)break;g=g+4|0;f=f+-4|0;if(f>>>0<=3){j=10;break c}}else j=10;while(0);if((j|0)==10)if(!f){f=0;break}while(1){if(!(a[g>>0]|0))break b;g=g+1|0;f=f+-1|0;if(!f){f=0;break}}}while(0);if(((f|0?g:0)|0)!=(b+101|0)){m=-1;i=n;return m|0}j=l+4|0;c[j>>2]=0;c[l>>2]=0;k=l+8|0;c[k>>2]=0;g=m;h=g+102|0;do{a[g>>0]=0;g=g+1|0}while((g|0)<(h|0));f=(Je(l,d,e,b,m)|0)==0;g=c[l>>2]|0;if(g|0)gh(g);c[j>>2]=0;c[l>>2]=0;c[k>>2]=0;if(f){m=-1;i=n;return m|0}else{f=0;g=0}do{f=a[b+g>>0]^a[m+g>>0]|f;g=g+1|0}while((g|0)!=102);f=(((f&255)+511|0)>>>8&1)+-1|0;g=m;h=g+102|0;do{a[g>>0]=0;g=g+1|0}while((g|0)<(h|0));m=f;i=n;return m|0}function Xe(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;I=i;u=i=i+63&-64;i=i+16|0;H=wh(m|0,0,l|0,0)|0;G=C;if(G>>>0>0|(G|0)==0&H>>>0>1073741823){if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=27;f=-1;i=I;return f|0}if(k>>>0>0|(k|0)==0&j>>>0>4294967295){if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=27;f=-1;i=I;return f|0}F=lh(j|0,k|0,-1,-1)|0;if(k>>>0<0|(k|0)==0&j>>>0<2|((F&j|0)!=0|(C&k|0)!=0)){if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=22;f=-1;i=I;return f|0}if((l|0)==0|(m|0)==0){if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=22;f=-1;i=I;return f|0}if(!(l>>>0>16777215?1:(33554431/(m>>>0)|0)>>>0<l>>>0)?!(0<k>>>0|(0==(k|0)?(33554431/(l>>>0)|0)>>>0<j>>>0:0)):0){G=l<<7;H=_(G,m)|0;v=wh(G|0,0,j|0,k|0)|0;p=v+H|0;if(p>>>0<v>>>0){if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=12;f=-1;i=I;return f|0}E=l<<8|64;s=p+E|0;if(s>>>0<E>>>0){if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=12;f=-1;i=I;return f|0}t=b+8|0;if((c[t>>2]|0)>>>0<s>>>0){p=c[b>>2]|0;if(p|0)gh(p);r=b+4|0;c[r>>2]=0;c[b>>2]=0;c[t>>2]=0;q=ih(u,s)|0;if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=q;if(!q)p=c[u>>2]|0;else{c[u>>2]=0;p=0}c[b>>2]=p;c[r>>2]=p;c[t>>2]=p|0?s:0;if(!p){f=-1;i=I;return f|0}}else p=c[b+4>>2]|0;E=p+H|0;D=E+v|0;Me(e,f,g,h,p,H);u=l<<5;b=D+(u<<2)|0;v=D+(l<<6<<2)|0;g=(u|0)==0;h=(j|0)==0&(k|0)==0;w=u&1073741792;x=(w|0)==0;z=G+-64|0;y=D+z|0;z=b+z|0;B=0;do{A=p+(_(G,B)|0)|0;if(!g){q=0;do{t=A+(q<<2)|0;c[D+(q<<2)>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;q=q+1|0}while((q|0)!=(u|0))}a:do if(!h){if(x){q=0;r=0;do{Ye(D,b,v,l);Ye(b,D,v,l);q=lh(q|0,r|0,2,0)|0;r=C}while(r>>>0<k>>>0|(r|0)==(k|0)&q>>>0<j>>>0)}else{s=0;t=0;do{q=wh(s|0,t|0,u|0,0)|0;q=E+(q<<2)|0;r=0;do{c[q+(r<<2)>>2]=c[D+(r<<2)>>2];r=r+1|0}while((r|0)!=(w|0));Ye(D,b,v,l);q=wh(s|1|0,t|0,u|0,0)|0;q=E+(q<<2)|0;r=0;do{c[q+(r<<2)>>2]=c[b+(r<<2)>>2];r=r+1|0}while((r|0)!=(w|0));Ye(b,D,v,l);s=lh(s|0,t|0,2,0)|0;t=C}while(t>>>0<k>>>0|(t|0)==(k|0)&s>>>0<j>>>0)}if(x){q=0;r=0;while(1){Ye(D,b,v,l);Ye(b,D,v,l);q=lh(q|0,r|0,2,0)|0;r=C;if(!(r>>>0<k>>>0|(r|0)==(k|0)&q>>>0<j>>>0))break a}}else{s=0;t=0}do{q=wh(c[y>>2]&F|0,0,u|0,0)|0;q=E+(q<<2)|0;r=0;do{J=D+(r<<2)|0;c[J>>2]=c[J>>2]^c[q+(r<<2)>>2];r=r+1|0}while((r|0)!=(w|0));Ye(D,b,v,l);q=wh(c[z>>2]&F|0,0,u|0,0)|0;q=E+(q<<2)|0;r=0;do{J=b+(r<<2)|0;c[J>>2]=c[J>>2]^c[q+(r<<2)>>2];r=r+1|0}while((r|0)!=(w|0));Ye(b,D,v,l);s=lh(s|0,t|0,2,0)|0;t=C}while(t>>>0<k>>>0|(t|0)==(k|0)&s>>>0<j>>>0)}while(0);if(!g){q=0;do{J=A+(q<<2)|0;t=c[D+(q<<2)>>2]|0;a[J>>0]=t;a[J+1>>0]=t>>8;a[J+2>>0]=t>>16;a[J+3>>0]=t>>24;q=q+1|0}while((q|0)!=(u|0))}B=B+1|0}while((B|0)!=(m|0));Me(e,f,p,H,n,o);J=0;i=I;return J|0}if(!(c[8522]|0))p=34132;else p=c[(oa()|0)+64>>2]|0;c[p>>2]=12;J=-1;i=I;return J|0}function Ye(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;w=e<<1;m=a+((e<<5)+-16<<2)|0;o=c[m>>2]|0;c[d>>2]=o;q=c[m+4>>2]|0;L=d+4|0;c[L>>2]=q;t=c[m+8>>2]|0;x=d+8|0;c[x>>2]=t;u=c[m+12>>2]|0;y=d+12|0;c[y>>2]=u;s=c[m+16>>2]|0;z=d+16|0;c[z>>2]=s;r=c[m+20>>2]|0;A=d+20|0;c[A>>2]=r;p=c[m+24>>2]|0;B=d+24|0;c[B>>2]=p;n=c[m+28>>2]|0;C=d+28|0;c[C>>2]=n;l=c[m+32>>2]|0;D=d+32|0;c[D>>2]=l;j=c[m+36>>2]|0;E=d+36|0;c[E>>2]=j;h=c[m+40>>2]|0;F=d+40|0;c[F>>2]=h;f=c[m+44>>2]|0;G=d+44|0;c[G>>2]=f;g=c[m+48>>2]|0;H=d+48|0;c[H>>2]=g;i=c[m+52>>2]|0;I=d+52|0;c[I>>2]=i;k=c[m+56>>2]|0;J=d+56|0;c[J>>2]=k;m=c[m+60>>2]|0;K=d+60|0;c[K>>2]=m;if(!w)return;v=e<<4;e=0;while(1){M=e<<4;N=a+(M<<2)|0;c[d>>2]=o^c[N>>2];c[L>>2]=q^c[N+4>>2];c[x>>2]=t^c[N+8>>2];c[y>>2]=u^c[N+12>>2];c[z>>2]=s^c[N+16>>2];c[A>>2]=r^c[N+20>>2];c[B>>2]=p^c[N+24>>2];c[C>>2]=n^c[N+28>>2];c[D>>2]=l^c[N+32>>2];c[E>>2]=j^c[N+36>>2];c[F>>2]=h^c[N+40>>2];c[G>>2]=f^c[N+44>>2];c[H>>2]=g^c[N+48>>2];c[I>>2]=i^c[N+52>>2];c[J>>2]=k^c[N+56>>2];c[K>>2]=m^c[N+60>>2];Ze(d);u=e<<3;t=b+(u<<2)|0;c[t>>2]=c[d>>2];c[t+4>>2]=c[L>>2];c[t+8>>2]=c[x>>2];c[t+12>>2]=c[y>>2];c[t+16>>2]=c[z>>2];c[t+20>>2]=c[A>>2];c[t+24>>2]=c[B>>2];c[t+28>>2]=c[C>>2];c[t+32>>2]=c[D>>2];c[t+36>>2]=c[E>>2];c[t+40>>2]=c[F>>2];c[t+44>>2]=c[G>>2];c[t+48>>2]=c[H>>2];c[t+52>>2]=c[I>>2];c[t+56>>2]=c[J>>2];c[t+60>>2]=c[K>>2];t=a+((M|16)<<2)|0;c[d>>2]=c[d>>2]^c[t>>2];c[L>>2]=c[L>>2]^c[t+4>>2];c[x>>2]=c[x>>2]^c[t+8>>2];c[y>>2]=c[y>>2]^c[t+12>>2];c[z>>2]=c[z>>2]^c[t+16>>2];c[A>>2]=c[A>>2]^c[t+20>>2];c[B>>2]=c[B>>2]^c[t+24>>2];c[C>>2]=c[C>>2]^c[t+28>>2];c[D>>2]=c[D>>2]^c[t+32>>2];c[E>>2]=c[E>>2]^c[t+36>>2];c[F>>2]=c[F>>2]^c[t+40>>2];c[G>>2]=c[G>>2]^c[t+44>>2];c[H>>2]=c[H>>2]^c[t+48>>2];c[I>>2]=c[I>>2]^c[t+52>>2];c[J>>2]=c[J>>2]^c[t+56>>2];c[K>>2]=c[K>>2]^c[t+60>>2];Ze(d);u=b+(u+v<<2)|0;c[u>>2]=c[d>>2];c[u+4>>2]=c[L>>2];c[u+8>>2]=c[x>>2];c[u+12>>2]=c[y>>2];c[u+16>>2]=c[z>>2];c[u+20>>2]=c[A>>2];c[u+24>>2]=c[B>>2];c[u+28>>2]=c[C>>2];c[u+32>>2]=c[D>>2];c[u+36>>2]=c[E>>2];c[u+40>>2]=c[F>>2];c[u+44>>2]=c[G>>2];c[u+48>>2]=c[H>>2];c[u+52>>2]=c[I>>2];c[u+56>>2]=c[J>>2];c[u+60>>2]=c[K>>2];e=e+2|0;if(e>>>0>=w>>>0)break;f=c[G>>2]|0;g=c[H>>2]|0;i=c[I>>2]|0;k=c[J>>2]|0;m=c[K>>2]|0;o=c[d>>2]|0;q=c[L>>2]|0;t=c[x>>2]|0;u=c[y>>2]|0;s=c[z>>2]|0;r=c[A>>2]|0;p=c[B>>2]|0;n=c[C>>2]|0;l=c[D>>2]|0;j=c[E>>2]|0;h=c[F>>2]|0}return}function Ze(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;b=a+4|0;z=a+8|0;A=a+12|0;B=a+16|0;F=a+20|0;f=a+24|0;k=a+28|0;n=a+32|0;s=a+36|0;t=a+40|0;u=a+44|0;v=a+48|0;w=a+52|0;x=a+56|0;y=a+60|0;d=c[F>>2]|0;e=c[b>>2]|0;g=c[s>>2]|0;h=c[w>>2]|0;i=c[t>>2]|0;j=c[f>>2]|0;l=c[x>>2]|0;m=c[z>>2]|0;o=c[y>>2]|0;p=c[u>>2]|0;q=c[A>>2]|0;r=c[k>>2]|0;C=c[a>>2]|0;D=c[v>>2]|0;E=c[B>>2]|0;G=c[n>>2]|0;H=0;do{R=D+C|0;R=(R<<7|R>>>25)^E;O=R+C|0;O=(O<<9|O>>>23)^G;L=O+R|0;L=(L<<13|L>>>19)^D;U=L+O|0;U=(U<<18|U>>>14)^C;N=e+d|0;N=(N<<7|N>>>25)^g;K=N+d|0;K=(K<<9|K>>>23)^h;X=K+N|0;X=(X<<13|X>>>19)^e;Q=X+K|0;Q=(Q<<18|Q>>>14)^d;J=j+i|0;J=(J<<7|J>>>25)^l;W=J+i|0;W=(W<<9|W>>>23)^m;T=W+J|0;T=(T<<13|T>>>19)^j;M=T+W|0;M=(M<<18|M>>>14)^i;V=p+o|0;V=(V<<7|V>>>25)^q;S=V+o|0;S=(S<<9|S>>>23)^r;P=S+V|0;P=(P<<13|P>>>19)^p;I=P+S|0;I=(I<<18|I>>>14)^o;Y=V+U|0;e=(Y<<7|Y>>>25)^X;X=e+U|0;m=(X<<9|X>>>23)^W;W=m+e|0;q=(W<<13|W>>>19)^V;V=q+m|0;C=(V<<18|V>>>14)^U;U=R+Q|0;j=(U<<7|U>>>25)^T;T=j+Q|0;r=(T<<9|T>>>23)^S;S=r+j|0;E=(S<<13|S>>>19)^R;R=E+r|0;d=(R<<18|R>>>14)^Q;Q=N+M|0;p=(Q<<7|Q>>>25)^P;P=p+M|0;G=(P<<9|P>>>23)^O;O=G+p|0;g=(O<<13|O>>>19)^N;N=g+G|0;i=(N<<18|N>>>14)^M;M=J+I|0;D=(M<<7|M>>>25)^L;L=D+I|0;h=(L<<9|L>>>23)^K;K=h+D|0;l=(K<<13|K>>>19)^J;J=l+h|0;o=(J<<18|J>>>14)^I;H=H+2|0}while(H>>>0<8);c[a>>2]=(c[a>>2]|0)+C;c[b>>2]=(c[b>>2]|0)+e;c[z>>2]=(c[z>>2]|0)+m;c[A>>2]=(c[A>>2]|0)+q;c[B>>2]=(c[B>>2]|0)+E;c[F>>2]=(c[F>>2]|0)+d;c[f>>2]=(c[f>>2]|0)+j;c[k>>2]=(c[k>>2]|0)+r;c[n>>2]=(c[n>>2]|0)+G;c[s>>2]=(c[s>>2]|0)+g;c[t>>2]=(c[t>>2]|0)+i;c[u>>2]=(c[u>>2]|0)+p;c[v>>2]=(c[v>>2]|0)+D;c[w>>2]=(c[w>>2]|0)+h;c[x>>2]=(c[x>>2]|0)+l;c[y>>2]=(c[y>>2]|0)+o;return}function _e(){return 33167}function $e(a,b){a=a|0;b=b|0;return ef(a,b)|0}function af(a,b,c){a=a|0;b=b|0;c=c|0;return df(a,b,c)|0}function bf(){return 32}function cf(){return 32}function df(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0;Ua=i;Oa=i=i+63&-64;i=i+320|0;Ma=Oa+280|0;Pa=Oa+240|0;Qa=Oa+200|0;Sa=Oa+160|0;Ra=Oa+120|0;Ta=Oa+80|0;Na=Oa+40|0;h=Ma;g=h+32|0;do{a[h>>0]=a[e>>0]|0;h=h+1|0;e=e+1|0}while((h|0)<(g|0));a[Ma>>0]=(d[Ma>>0]|0)&248;Ba=Ma+31|0;a[Ba>>0]=(d[Ba>>0]|0)&63|64;sc(Pa,f);c[Qa>>2]=1;Ba=Qa+4|0;h=Ba;g=h+36|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(g|0));h=Sa;g=h+40|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(g|0));s=c[Pa>>2]|0;q=c[Pa+4>>2]|0;o=c[Pa+8>>2]|0;e=c[Pa+12>>2]|0;f=c[Pa+16>>2]|0;j=c[Pa+20>>2]|0;k=c[Pa+24>>2]|0;l=c[Pa+28>>2]|0;m=c[Pa+32>>2]|0;n=c[Pa+36>>2]|0;c[Ra>>2]=s;Ca=Ra+4|0;c[Ca>>2]=q;Da=Ra+8|0;c[Da>>2]=o;Ea=Ra+12|0;c[Ea>>2]=e;Fa=Ra+16|0;c[Fa>>2]=f;Ga=Ra+20|0;c[Ga>>2]=j;Ha=Ra+24|0;c[Ha>>2]=k;Ia=Ra+28|0;c[Ia>>2]=l;Ja=Ra+32|0;c[Ja>>2]=m;Ka=Ra+36|0;c[Ka>>2]=n;c[Ta>>2]=1;La=Ta+4|0;h=La;g=h+36|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(g|0));M=Qa+8|0;N=Qa+12|0;O=Qa+16|0;P=Qa+20|0;Q=Qa+24|0;R=Qa+28|0;S=Qa+32|0;T=Qa+36|0;U=Sa+4|0;V=Sa+8|0;W=Sa+12|0;X=Sa+16|0;Y=Sa+20|0;Z=Sa+24|0;_=Sa+28|0;$=Sa+32|0;aa=Sa+36|0;ba=Ta+8|0;ca=Ta+12|0;da=Ta+16|0;ea=Ta+20|0;fa=Ta+24|0;ga=Ta+28|0;ha=Ta+32|0;ia=Ta+36|0;ja=Oa+4|0;ka=Oa+8|0;la=Oa+12|0;ma=Oa+16|0;na=Oa+20|0;oa=Oa+24|0;pa=Oa+28|0;qa=Oa+32|0;ra=Oa+36|0;sa=Na+4|0;ta=Na+8|0;ua=Na+12|0;va=Na+16|0;wa=Na+20|0;xa=Na+24|0;ya=Na+28|0;za=Na+32|0;Aa=Na+36|0;L=0;K=0;J=0;I=0;H=0;G=0;F=0;u=0;v=0;w=0;x=0;y=0;z=0;A=0;B=0;D=0;E=1;t=0;r=0;h=o;o=254;p=0;while(1){g=(d[Ma+((o|0)/8|0)>>0]|0)>>>(o&7)&1;jb=0-(g^p)|0;Ya=(s^E)&jb;Xa=(q^t)&jb;Wa=(h^r)&jb;Va=(e^L)&jb;hb=(f^K)&jb;ib=(j^J)&jb;p=(k^I)&jb;ab=(l^H)&jb;eb=(m^G)&jb;gb=(n^F)&jb;c[Qa>>2]=Ya^E;c[Ba>>2]=Xa^t;c[M>>2]=Wa^r;c[N>>2]=Va^L;c[O>>2]=hb^K;c[P>>2]=ib^J;c[Q>>2]=p^I;c[R>>2]=ab^H;c[S>>2]=eb^G;c[T>>2]=gb^F;Ya=Ya^s;c[Ra>>2]=Ya;Xa=Xa^q;c[Ca>>2]=Xa;Wa=Wa^h;c[Da>>2]=Wa;Va=Va^e;c[Ea>>2]=Va;I=hb^f;c[Fa>>2]=I;E=ib^j;c[Ga>>2]=E;p=p^k;c[Ha>>2]=p;l=ab^l;c[Ia>>2]=l;j=eb^m;c[Ja>>2]=j;f=gb^n;c[Ka>>2]=f;K=c[aa>>2]|0;t=c[Ta>>2]|0;gb=c[La>>2]|0;eb=c[ba>>2]|0;q=c[ca>>2]|0;r=c[da>>2]|0;ab=c[ea>>2]|0;F=c[fa>>2]|0;H=c[ga>>2]|0;J=c[ha>>2]|0;L=c[ia>>2]|0;ib=(t^u)&jb;hb=(gb^v)&jb;fb=(eb^w)&jb;db=(q^x)&jb;cb=(r^y)&jb;bb=(ab^z)&jb;$a=(F^A)&jb;_a=(H^B)&jb;Za=(J^D)&jb;n=(L^K)&jb;e=ib^u;c[Sa>>2]=e;h=hb^v;c[U>>2]=h;k=fb^w;c[V>>2]=k;m=db^x;c[W>>2]=m;x=cb^y;c[X>>2]=x;s=bb^z;c[Y>>2]=s;w=$a^A;c[Z>>2]=w;A=_a^B;c[_>>2]=A;G=Za^D;c[$>>2]=G;K=n^K;c[aa>>2]=K;t=ib^t;c[Ta>>2]=t;v=hb^gb;c[La>>2]=v;B=fb^eb;c[ba>>2]=B;q=db^q;c[ca>>2]=q;r=cb^r;c[da>>2]=r;D=bb^ab;c[ea>>2]=D;F=$a^F;c[fa>>2]=F;H=_a^H;c[ga>>2]=H;J=Za^J;c[ha>>2]=J;L=n^L;c[ia>>2]=L;c[Na>>2]=Ya-t;c[sa>>2]=Xa-v;c[ta>>2]=Wa-B;c[ua>>2]=Va-q;c[va>>2]=I-r;c[wa>>2]=E-D;c[xa>>2]=p-F;c[ya>>2]=l-H;c[za>>2]=j-J;c[Aa>>2]=f-L;f=c[Qa>>2]|0;j=c[Ba>>2]|0;l=c[M>>2]|0;n=c[N>>2]|0;p=c[O>>2]|0;u=c[P>>2]|0;y=c[Q>>2]|0;E=c[R>>2]|0;I=c[S>>2]|0;z=c[T>>2]|0;c[Oa>>2]=f-e;c[ja>>2]=j-h;c[ka>>2]=l-k;c[la>>2]=n-m;c[ma>>2]=p-x;c[na>>2]=u-s;c[oa>>2]=y-w;c[pa>>2]=E-A;c[qa>>2]=I-G;c[ra>>2]=z-K;c[Qa>>2]=e+f;c[Ba>>2]=h+j;c[M>>2]=k+l;c[N>>2]=m+n;c[O>>2]=x+p;c[P>>2]=s+u;c[Q>>2]=w+y;c[R>>2]=A+E;c[S>>2]=G+I;c[T>>2]=K+z;v=v+(c[Ca>>2]|0)|0;B=B+(c[Da>>2]|0)|0;q=q+(c[Ea>>2]|0)|0;r=r+(c[Fa>>2]|0)|0;D=D+(c[Ga>>2]|0)|0;F=F+(c[Ha>>2]|0)|0;H=H+(c[Ia>>2]|0)|0;J=J+(c[Ja>>2]|0)|0;L=L+(c[Ka>>2]|0)|0;c[Sa>>2]=t+(c[Ra>>2]|0);c[U>>2]=v;c[V>>2]=B;c[W>>2]=q;c[X>>2]=r;c[Y>>2]=D;c[Z>>2]=F;c[_>>2]=H;c[$>>2]=J;c[aa>>2]=L;uc(Ta,Na,Qa);uc(Sa,Sa,Oa);vc(Na,Oa);vc(Oa,Qa);L=c[Ta>>2]|0;J=c[La>>2]|0;H=c[ba>>2]|0;F=c[ca>>2]|0;D=c[da>>2]|0;r=c[ea>>2]|0;q=c[fa>>2]|0;B=c[ga>>2]|0;v=c[ha>>2]|0;t=c[ia>>2]|0;z=c[Sa>>2]|0;K=c[U>>2]|0;I=c[V>>2]|0;G=c[W>>2]|0;E=c[X>>2]|0;A=c[Y>>2]|0;y=c[Z>>2]|0;w=c[_>>2]|0;u=c[$>>2]|0;s=c[aa>>2]|0;c[Ra>>2]=z+L;c[Ca>>2]=K+J;c[Da>>2]=I+H;c[Ea>>2]=G+F;c[Fa>>2]=E+D;c[Ga>>2]=A+r;c[Ha>>2]=y+q;c[Ia>>2]=w+B;c[Ja>>2]=u+v;c[Ka>>2]=s+t;c[Sa>>2]=L-z;c[U>>2]=J-K;c[V>>2]=H-I;c[W>>2]=F-G;c[X>>2]=D-E;c[Y>>2]=r-A;c[Z>>2]=q-y;c[_>>2]=B-w;c[$>>2]=v-u;c[aa>>2]=t-s;uc(Qa,Oa,Na);s=(c[Oa>>2]|0)-(c[Na>>2]|0)|0;t=(c[ja>>2]|0)-(c[sa>>2]|0)|0;u=(c[ka>>2]|0)-(c[ta>>2]|0)|0;v=(c[la>>2]|0)-(c[ua>>2]|0)|0;w=(c[ma>>2]|0)-(c[va>>2]|0)|0;B=(c[na>>2]|0)-(c[wa>>2]|0)|0;y=(c[oa>>2]|0)-(c[xa>>2]|0)|0;q=(c[pa>>2]|0)-(c[ya>>2]|0)|0;A=(c[qa>>2]|0)-(c[za>>2]|0)|0;r=(c[ra>>2]|0)-(c[Aa>>2]|0)|0;c[Oa>>2]=s;c[ja>>2]=t;c[ka>>2]=u;c[la>>2]=v;c[ma>>2]=w;c[na>>2]=B;c[oa>>2]=y;c[pa>>2]=q;c[qa>>2]=A;c[ra>>2]=r;vc(Sa,Sa);s=wh(s|0,((s|0)<0)<<31>>31|0,121666,0)|0;E=C;t=wh(t|0,((t|0)<0)<<31>>31|0,121666,0)|0;D=C;u=wh(u|0,((u|0)<0)<<31>>31|0,121666,0)|0;G=C;v=wh(v|0,((v|0)<0)<<31>>31|0,121666,0)|0;F=C;w=wh(w|0,((w|0)<0)<<31>>31|0,121666,0)|0;I=C;B=wh(B|0,((B|0)<0)<<31>>31|0,121666,0)|0;H=C;y=wh(y|0,((y|0)<0)<<31>>31|0,121666,0)|0;K=C;q=wh(q|0,((q|0)<0)<<31>>31|0,121666,0)|0;J=C;A=wh(A|0,((A|0)<0)<<31>>31|0,121666,0)|0;z=C;r=wh(r|0,((r|0)<0)<<31>>31|0,121666,0)|0;L=C;p=lh(r|0,L|0,16777216,0)|0;p=mh(p|0,C|0,25)|0;x=C;n=wh(p|0,x|0,19,0)|0;E=lh(n|0,C|0,s|0,E|0)|0;s=C;x=ph(p|0,x|0,25)|0;x=kh(r|0,L|0,x|0,C|0)|0;L=C;r=lh(t|0,D|0,16777216,0)|0;r=mh(r|0,C|0,25)|0;p=C;G=lh(r|0,p|0,u|0,G|0)|0;u=C;p=ph(r|0,p|0,25)|0;p=kh(t|0,D|0,p|0,C|0)|0;D=C;t=lh(v|0,F|0,16777216,0)|0;t=mh(t|0,C|0,25)|0;r=C;I=lh(t|0,r|0,w|0,I|0)|0;w=C;r=ph(t|0,r|0,25)|0;r=kh(v|0,F|0,r|0,C|0)|0;F=C;v=lh(B|0,H|0,16777216,0)|0;v=mh(v|0,C|0,25)|0;t=C;K=lh(v|0,t|0,y|0,K|0)|0;y=C;t=ph(v|0,t|0,25)|0;t=kh(B|0,H|0,t|0,C|0)|0;H=C;B=lh(q|0,J|0,16777216,0)|0;B=mh(B|0,C|0,25)|0;v=C;z=lh(B|0,v|0,A|0,z|0)|0;A=C;v=ph(B|0,v|0,25)|0;v=kh(q|0,J|0,v|0,C|0)|0;J=C;q=lh(E|0,s|0,33554432,0)|0;q=mh(q|0,C|0,26)|0;B=C;D=lh(p|0,D|0,q|0,B|0)|0;B=ph(q|0,B|0,26)|0;B=kh(E|0,s|0,B|0,C|0)|0;s=lh(G|0,u|0,33554432,0)|0;s=mh(s|0,C|0,26)|0;E=C;F=lh(r|0,F|0,s|0,E|0)|0;E=ph(s|0,E|0,26)|0;E=kh(G|0,u|0,E|0,C|0)|0;u=lh(I|0,w|0,33554432,0)|0;u=mh(u|0,C|0,26)|0;G=C;H=lh(t|0,H|0,u|0,G|0)|0;G=ph(u|0,G|0,26)|0;G=kh(I|0,w|0,G|0,C|0)|0;w=lh(K|0,y|0,33554432,0)|0;w=mh(w|0,C|0,26)|0;I=C;J=lh(v|0,J|0,w|0,I|0)|0;I=ph(w|0,I|0,26)|0;I=kh(K|0,y|0,I|0,C|0)|0;y=lh(z|0,A|0,33554432,0)|0;y=mh(y|0,C|0,26)|0;K=C;L=lh(x|0,L|0,y|0,K|0)|0;K=ph(y|0,K|0,26)|0;K=kh(z|0,A|0,K|0,C|0)|0;c[Ta>>2]=B;c[La>>2]=D;c[ba>>2]=E;c[ca>>2]=F;c[da>>2]=G;c[ea>>2]=H;c[fa>>2]=I;c[ga>>2]=J;c[ha>>2]=K;c[ia>>2]=L;vc(Ra,Ra);D=D+(c[sa>>2]|0)|0;E=E+(c[ta>>2]|0)|0;F=F+(c[ua>>2]|0)|0;G=G+(c[va>>2]|0)|0;H=H+(c[wa>>2]|0)|0;I=I+(c[xa>>2]|0)|0;J=J+(c[ya>>2]|0)|0;K=K+(c[za>>2]|0)|0;L=L+(c[Aa>>2]|0)|0;c[Na>>2]=B+(c[Na>>2]|0);c[sa>>2]=D;c[ta>>2]=E;c[ua>>2]=F;c[va>>2]=G;c[wa>>2]=H;c[xa>>2]=I;c[ya>>2]=J;c[za>>2]=K;c[Aa>>2]=L;uc(Ta,Pa,Sa);uc(Sa,Oa,Na);if((o|0)<=0)break;L=c[N>>2]|0;e=c[Ea>>2]|0;K=c[O>>2]|0;f=c[Fa>>2]|0;J=c[P>>2]|0;j=c[Ga>>2]|0;I=c[Q>>2]|0;k=c[Ha>>2]|0;H=c[R>>2]|0;l=c[Ia>>2]|0;G=c[S>>2]|0;m=c[Ja>>2]|0;F=c[T>>2]|0;n=c[Ka>>2]|0;u=c[Sa>>2]|0;v=c[U>>2]|0;w=c[V>>2]|0;x=c[W>>2]|0;y=c[X>>2]|0;z=c[Y>>2]|0;A=c[Z>>2]|0;B=c[_>>2]|0;D=c[$>>2]|0;E=c[Qa>>2]|0;s=c[Ra>>2]|0;t=c[Ba>>2]|0;q=c[Ca>>2]|0;r=c[M>>2]|0;h=c[Da>>2]|0;o=o+-1|0;p=g}Na=c[Qa>>2]|0;gb=c[Ba>>2]|0;cb=c[M>>2]|0;_a=c[N>>2]|0;Wa=c[O>>2]|0;hb=c[P>>2]|0;db=c[Q>>2]|0;$a=c[R>>2]|0;Xa=c[S>>2]|0;Pa=c[T>>2]|0;Oa=0-g|0;ib=(c[Ca>>2]^gb)&Oa;eb=(c[Da>>2]^cb)&Oa;ab=(c[Ea>>2]^_a)&Oa;Ya=(c[Fa>>2]^Wa)&Oa;jb=(c[Ga>>2]^hb)&Oa;fb=(c[Ha>>2]^db)&Oa;bb=(c[Ia>>2]^$a)&Oa;Za=(c[Ja>>2]^Xa)&Oa;Va=(c[Ka>>2]^Pa)&Oa;c[Qa>>2]=(c[Ra>>2]^Na)&Oa^Na;c[Ba>>2]=ib^gb;c[M>>2]=eb^cb;c[N>>2]=ab^_a;c[O>>2]=Ya^Wa;c[P>>2]=jb^hb;c[Q>>2]=fb^db;c[R>>2]=bb^$a;c[S>>2]=Za^Xa;c[T>>2]=Va^Pa;Pa=c[Sa>>2]|0;Va=c[U>>2]|0;Xa=c[V>>2]|0;Za=c[W>>2]|0;$a=c[X>>2]|0;bb=c[Y>>2]|0;db=c[Z>>2]|0;fb=c[_>>2]|0;hb=c[$>>2]|0;jb=c[aa>>2]|0;Ra=(c[La>>2]^Va)&Oa;Wa=(c[ba>>2]^Xa)&Oa;Ya=(c[ca>>2]^Za)&Oa;_a=(c[da>>2]^$a)&Oa;ab=(c[ea>>2]^bb)&Oa;cb=(c[fa>>2]^db)&Oa;eb=(c[ga>>2]^fb)&Oa;gb=(c[ha>>2]^hb)&Oa;ib=(c[ia>>2]^jb)&Oa;c[Sa>>2]=(c[Ta>>2]^Pa)&Oa^Pa;c[U>>2]=Ra^Va;c[V>>2]=Wa^Xa;c[W>>2]=Ya^Za;c[X>>2]=_a^$a;c[Y>>2]=ab^bb;c[Z>>2]=cb^db;c[_>>2]=eb^fb;c[$>>2]=gb^hb;c[aa>>2]=ib^jb;wc(Sa,Sa);uc(Qa,Qa,Sa);tc(b,Qa);i=Ua;return 0-((((a[b+31>>0]|(a[b+30>>0]|(a[b+29>>0]|(a[b+28>>0]|(a[b+27>>0]|(a[b+26>>0]|(a[b+25>>0]|(a[b+24>>0]|(a[b+23>>0]|(a[b+22>>0]|(a[b+21>>0]|(a[b+20>>0]|(a[b+19>>0]|(a[b+18>>0]|(a[b+17>>0]|(a[b+16>>0]|(a[b+15>>0]|(a[b+14>>0]|(a[b+13>>0]|(a[b+12>>0]|(a[b+11>>0]|(a[b+10>>0]|(a[b+9>>0]|(a[b+8>>0]|(a[b+7>>0]|(a[b+6>>0]|(a[b+5>>0]|(a[b+4>>0]|(a[b+3>>0]|(a[b+2>>0]|(a[b+1>>0]|a[b>>0])))))))))))))))))))))))))))))))&255)+511|0)>>>8&1)|0}function ef(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;n=i;j=i=i+63&-64;i=i+320|0;k=j+240|0;l=j+200|0;h=j+280|0;g=j+40|0;m=h;f=m+32|0;do{a[m>>0]=a[e>>0]|0;m=m+1|0;e=e+1|0}while((m|0)<(f|0));a[h>>0]=(d[h>>0]|0)&248;D=h+31|0;a[D>>0]=(d[D>>0]|0)&63|64;Cc(g,h);D=c[g+80>>2]|0;B=c[g+84>>2]|0;z=c[g+88>>2]|0;x=c[g+92>>2]|0;v=c[g+96>>2]|0;t=c[g+100>>2]|0;r=c[g+104>>2]|0;p=c[g+108>>2]|0;e=c[g+112>>2]|0;h=c[g+116>>2]|0;C=c[g+40>>2]|0;A=c[g+44>>2]|0;y=c[g+48>>2]|0;w=c[g+52>>2]|0;u=c[g+56>>2]|0;s=c[g+60>>2]|0;q=c[g+64>>2]|0;o=c[g+68>>2]|0;f=c[g+72>>2]|0;m=c[g+76>>2]|0;c[k>>2]=C+D;c[k+4>>2]=A+B;c[k+8>>2]=y+z;c[k+12>>2]=w+x;c[k+16>>2]=u+v;c[k+20>>2]=s+t;c[k+24>>2]=q+r;c[k+28>>2]=o+p;c[k+32>>2]=f+e;c[k+36>>2]=m+h;c[l>>2]=D-C;c[l+4>>2]=B-A;c[l+8>>2]=z-y;c[l+12>>2]=x-w;c[l+16>>2]=v-u;c[l+20>>2]=t-s;c[l+24>>2]=r-q;c[l+28>>2]=p-o;c[l+32>>2]=e-f;c[l+36>>2]=h-m;wc(l,l);uc(j,k,l);tc(b,j);i=n;return 0}function ff(){return 32}function gf(){return 32}function hf(){return 32}function jf(){return 24}function kf(){return 32}function lf(){return 16}function mf(){return 16}function nf(){return 33178}function of(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return zf(a,b,c,d,e,f)|0}function pf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Af(a,b,c,d,e,f)|0}function qf(b,f,g,h,j,k,l){b=b|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;t=i=i+63&-64;i=i+352|0;s=t;r=t+256|0;t=t+320|0;Fc(t,k,l,0)|0;l=b;m=g;if(b>>>0>=g>>>0?0<j>>>0|0==(j|0)&(l-m|0)>>>0<h>>>0:0)n=5;else if(g>>>0>=b>>>0?0<j>>>0|0==(j|0)&(m-l|0)>>>0<h>>>0:0)n=5;if((n|0)==5){rh(b|0,g|0,h|0)|0;g=b};c[r>>2]=0;c[r+4>>2]=0;c[r+8>>2]=0;c[r+12>>2]=0;c[r+16>>2]=0;c[r+20>>2]=0;c[r+24>>2]=0;c[r+28>>2]=0;o=j>>>0>0|(j|0)==0&h>>>0>32;p=o?32:h;q=o?0:j;l=(p|0)==0&(q|0)==0;if(!l){n=j>>>0<0|(j|0)==0&h>>>0<32;n=lh((n?h:32)|0,(n?j:0)|0,-1,0)|0;qh(r+32|0,g|0,n+1|0)|0}m=lh(p|0,q|0,32,0)|0;n=k+16|0;Wg(r,r,m,C,n,0,0,t)|0;c[s>>2]=c[r>>2]&67108863;k=r+3|0;c[s+4>>2]=(d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24)>>>2&67108611;k=r+6|0;c[s+8>>2]=(e[k>>1]|e[k+2>>1]<<16)>>>4&67092735;k=r+9|0;c[s+12>>2]=(d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24)>>>6&66076671;c[s+16>>2]=(c[r+12>>2]|0)>>>8&1048575;k=s+20|0;c[k>>2]=0;c[k+4>>2]=0;c[k+8>>2]=0;c[k+12>>2]=0;c[k+16>>2]=0;c[s+40>>2]=c[r+16>>2];c[s+44>>2]=c[r+20>>2];c[s+48>>2]=c[r+24>>2];c[s+52>>2]=c[r+28>>2];k=s+56|0;c[k>>2]=0;c[k+4>>2]=0;a[s+80>>0]=0;if(!l){k=j>>>0<0|(j|0)==0&h>>>0<32;k=lh((k?h:32)|0,(k?j:0)|0,-1,0)|0;qh(b|0,r+32|0,k+1|0)|0}l=r;m=l+64|0;do{c[l>>2]=0;l=l+4|0}while((l|0)<(m|0));if(!o){Xd(s,b,h,j);Zd(s,f);i=u;return 0}r=kh(h|0,j|0,p|0,q|0)|0;Wg(b+p|0,g+p|0,r,C,n,1,0,t)|0;Xd(s,b,h,j);Zd(s,f);i=u;return 0}function rf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if(d>>>0>0|(d|0)==0&c>>>0>4294967279){e=-1;return e|0}qf(a+16|0,a,b,c,d,e,f)|0;e=0;return e|0}function sf(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=i;s=i=i+63&-64;i=i+208|0;m=s;o=s+144|0;n=s+112|0;r=s+48|0;s=s+16|0;Fc(s,j,k,0)|0;q=j+16|0;k=n;j=s;l=k+32|0;do{a[k>>0]=a[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(l|0));l=q;j=l;l=l+4|0;l=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;k=m;c[k>>2]=d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24;c[k+4>>2]=l;k=m+8|0;c[k>>2]=0;c[k+4>>2]=0;Kc(o,m,n,0)|0;k=0;do{a[r+k>>0]=a[o+k>>0]|0;k=k+1|0}while((k|0)!=32);if(Rd(f,e,g,h,r)|0){k=s;l=k+32|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(l|0));s=-1;i=t;return s|0}k=e;j=b;if(e>>>0>=b>>>0?0<h>>>0|0==(h|0)&(k-j|0)>>>0<g>>>0:0)p=9;else if(b>>>0>=e>>>0?0<h>>>0|0==(h|0)&(j-k|0)>>>0<g>>>0:0)p=9;if((p|0)==9){rh(b|0,e|0,g|0)|0;e=b}k=h>>>0>0|(h|0)==0&g>>>0>32;j=k?32:g;l=k?0:h;if((j|0)==0&(l|0)==0)Wg(r,r,32,0,q,0,0,s)|0;else{f=r+32|0;p=h>>>0<0|(h|0)==0&g>>>0<32;p=lh((p?g:32)|0,(p?h:0)|0,-1,0)|0;p=p+1|0;qh(f|0,e|0,p|0)|0;o=lh(j|0,l|0,32,0)|0;Wg(r,r,o,C,q,0,0,s)|0;qh(b|0,f|0,p|0)|0}if(k){r=kh(g|0,h|0,j|0,l|0)|0;Wg(b+j|0,e+j|0,r,C,q,1,0,s)|0}k=s;l=k+32|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(l|0));s=0;i=t;return s|0}function tf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if(d>>>0<0|(d|0)==0&c>>>0<16){e=-1;return e|0}d=lh(c|0,d|0,-16,-1)|0;e=sf(a,b+16|0,b,d,C,e,f)|0;return e|0}function uf(){return 32}function vf(){return 24}function wf(){return 32}function xf(){return 16}function yf(){return 16}function zf(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;l=i;k=i=i+63&-64;i=i+96|0;if(g>>>0<0|(g|0)==0&f>>>0<32){k=-1;i=l;return k|0}Fc(k,h,j,0)|0;Wg(b,e,f,g,h+16|0,0,0,k)|0;h=b+16|0;f=lh(f|0,g|0,-32,-1)|0;c[k>>2]=(d[b>>0]|d[b+1>>0]<<8|d[b+2>>0]<<16|d[b+3>>0]<<24)&67108863;e=b+3|0;c[k+4>>2]=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)>>>2&67108611;e=b+6|0;c[k+8>>2]=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)>>>4&67092735;e=b+9|0;c[k+12>>2]=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)>>>6&66076671;e=b+12|0;c[k+16>>2]=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)>>>8&1048575;e=k+20|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[k+40>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;e=b+20|0;c[k+44>>2]=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;e=b+24|0;c[k+48>>2]=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;e=b+28|0;c[k+52>>2]=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;e=k+56|0;c[e>>2]=0;c[e+4>>2]=0;a[k+80>>0]=0;Xd(k,b+32|0,f,C);Zd(k,h);f=b+16|0;do{a[b>>0]=0;b=b+1|0}while((b|0)<(f|0));k=0;i=l;return k|0}function Af(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=i;r=i=i+63&-64;i=i+176|0;k=r;q=r+112|0;l=r+80|0;s=r+48|0;r=r+16|0;if(g>>>0<0|(g|0)==0&f>>>0<32){s=-1;i=t;return s|0}Fc(s,h,j,0)|0;p=h+16|0;m=l;n=s;o=m+32|0;do{a[m>>0]=a[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));n=p;m=n;n=n+4|0;n=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;o=k;c[o>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;c[o+4>>2]=n;o=k+8|0;c[o>>2]=0;c[o+4>>2]=0;Kc(q,k,l,0)|0;k=0;do{a[r+k>>0]=a[q+k>>0]|0;k=k+1|0}while((k|0)!=32);q=lh(f|0,g|0,-32,-1)|0;if(Rd(e+16|0,e+32|0,q,C,r)|0){s=-1;i=t;return s|0}Fc(s,h,j,0)|0;Wg(b,e,f,g,p,0,0,s)|0;m=b;o=m+32|0;do{a[m>>0]=0;m=m+1|0}while((m|0)<(o|0));s=0;i=t;return s|0}function Bf(){return 8}function Cf(){return 16}function Df(){return 33195}function Ef(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Hf(a,b,c,d,e)|0;return 0}function Ff(){return 8}function Gf(){return 16}function Hf(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=g;l=n;l=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;n=n+4|0;n=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;k=g+8|0;m=k;m=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;k=k+4|0;k=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;p=e&7;o=c+e+(0-p)|0;e=ph(e|0,f|0,56)|0;g=C;h=m^2037671283;j=k^1952801890;i=l^1852142177;f=n^1819895653;m=m^1852075885;k=k^1685025377;l=l^1886610805;n=n^1936682341;if((o|0)!=(c|0)){do{r=c;s=r;s=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;r=r+4|0;r=d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24;v=s^h;u=r^j;n=lh(l|0,n|0,m|0,k|0)|0;l=C;t=ph(m|0,k|0,13)|0;h=C;m=oh(m|0,k|0,51)|0;m=(t|m)^n;h=(h|C)^l;f=lh(v|0,u|0,i|0,f|0)|0;i=C;t=ph(v|0,u|0,16)|0;j=C;u=oh(v|0,u|0,48)|0;u=(t|u)^f;j=(j|C)^i;n=lh(u|0,j|0,l|0,n|0)|0;l=C;t=ph(u|0,j|0,21)|0;k=C;j=oh(u|0,j|0,43)|0;j=(t|j)^n;k=(k|C)^l;i=lh(f|0,i|0,m|0,h|0)|0;f=C;t=ph(m|0,h|0,17)|0;u=C;h=oh(m|0,h|0,47)|0;h=i^(t|h);u=f^(u|C);l=lh(n|0,l|0,h|0,u|0)|0;n=C;t=ph(h|0,u|0,13)|0;m=C;u=oh(h|0,u|0,51)|0;u=(t|u)^l;m=(m|C)^n;i=lh(j|0,k|0,f|0,i|0)|0;f=C;t=ph(j|0,k|0,16)|0;h=C;k=oh(j|0,k|0,48)|0;k=(t|k)^i;h=(h|C)^f;l=lh(k|0,h|0,n|0,l|0)|0;n=C;t=ph(k|0,h|0,21)|0;j=C;h=oh(k|0,h|0,43)|0;h=(t|h)^l;j=(j|C)^n;f=lh(i|0,f|0,u|0,m|0)|0;i=C;t=ph(u|0,m|0,17)|0;k=C;m=oh(u|0,m|0,47)|0;m=(t|m)^f;k=(k|C)^i;l=l^s;n=n^r;c=c+8|0}while((c|0)!=(o|0));c=o}switch(p|0){case 7:{e=ph(d[c+6>>0]|0|0,0,48)|0|e;g=C|g;q=5;break}case 6:{q=5;break}case 5:{q=6;break}case 4:{q=7;break}case 3:{q=8;break}case 2:{q=9;break}case 1:{q=10;break}default:{}}if((q|0)==5){v=ph(d[c+5>>0]|0|0,0,40)|0;g=C|g;e=v|e;q=6}if((q|0)==6){g=d[c+4>>0]|0|g;q=7}if((q|0)==7){v=ph(d[c+3>>0]|0|0,0,24)|0;e=v|e;g=C|g;q=8}if((q|0)==8){v=ph(d[c+2>>0]|0|0,0,16)|0;e=v|e;g=C|g;q=9}if((q|0)==9){v=ph(d[c+1>>0]|0|0,0,8)|0;e=v|e;g=C|g;q=10}if((q|0)==10)e=d[c>>0]|0|e;u=e^h;o=g^j;p=lh(l|0,n|0,m|0,k|0)|0;n=C;v=ph(m|0,k|0,13)|0;q=C;s=oh(m|0,k|0,51)|0;s=(v|s)^p;q=(q|C)^n;v=lh(u|0,o|0,i|0,f|0)|0;t=C;r=ph(u|0,o|0,16)|0;m=C;o=oh(u|0,o|0,48)|0;o=(r|o)^v;m=(m|C)^t;p=lh(o|0,m|0,n|0,p|0)|0;n=C;r=ph(o|0,m|0,21)|0;u=C;m=oh(o|0,m|0,43)|0;m=(r|m)^p;u=(u|C)^n;t=lh(v|0,t|0,s|0,q|0)|0;v=C;r=ph(s|0,q|0,17)|0;o=C;q=oh(s|0,q|0,47)|0;q=t^(r|q);o=v^(o|C);n=lh(p|0,n|0,q|0,o|0)|0;p=C;r=ph(q|0,o|0,13)|0;s=C;o=oh(q|0,o|0,51)|0;o=(r|o)^n;s=(s|C)^p;t=lh(m|0,u|0,v|0,t|0)|0;v=C;r=ph(m|0,u|0,16)|0;q=C;u=oh(m|0,u|0,48)|0;u=(r|u)^t;q=(q|C)^v;n=lh(u|0,q|0,p|0,n|0)|0;p=C;r=ph(u|0,q|0,21)|0;m=C;q=oh(u|0,q|0,43)|0;q=(r|q)^n;m=(m|C)^p;v=lh(t|0,v|0,o|0,s|0)|0;t=C;r=ph(o|0,s|0,17)|0;u=C;s=oh(o|0,s|0,47)|0;s=(r|s)^v;u=(u|C)^t;p=lh(n^e|0,p^g|0,s|0,u|0)|0;n=C;r=ph(s|0,u|0,13)|0;o=C;u=oh(s|0,u|0,51)|0;u=p^(r|u);o=n^(o|C);v=lh(q|0,m|0,t^255|0,v|0)|0;t=C;r=ph(q|0,m|0,16)|0;s=C;m=oh(q|0,m|0,48)|0;m=(r|m)^v;s=(s|C)^t;p=lh(m|0,s|0,n|0,p|0)|0;n=C;r=ph(m|0,s|0,21)|0;q=C;s=oh(m|0,s|0,43)|0;s=(r|s)^p;q=(q|C)^n;t=lh(v|0,t|0,u|0,o|0)|0;v=C;r=ph(u|0,o|0,17)|0;m=C;o=oh(u|0,o|0,47)|0;o=(r|o)^t;m=(m|C)^v;n=lh(p|0,n|0,o|0,m|0)|0;p=C;r=ph(o|0,m|0,13)|0;u=C;m=oh(o|0,m|0,51)|0;m=(r|m)^n;u=(u|C)^p;t=lh(s|0,q|0,v|0,t|0)|0;v=C;r=ph(s|0,q|0,16)|0;o=C;q=oh(s|0,q|0,48)|0;q=(r|q)^t;o=(o|C)^v;n=lh(q|0,o|0,p|0,n|0)|0;p=C;r=ph(q|0,o|0,21)|0;s=C;o=oh(q|0,o|0,43)|0;o=(r|o)^n;s=(s|C)^p;v=lh(t|0,v|0,m|0,u|0)|0;t=C;r=ph(m|0,u|0,17)|0;q=C;u=oh(m|0,u|0,47)|0;u=(r|u)^v;q=(q|C)^t;p=lh(n|0,p|0,u|0,q|0)|0;n=C;r=ph(u|0,q|0,13)|0;m=C;q=oh(u|0,q|0,51)|0;q=(r|q)^p;m=(m|C)^n;v=lh(o|0,s|0,t|0,v|0)|0;t=C;r=ph(o|0,s|0,16)|0;u=C;s=oh(o|0,s|0,48)|0;s=(r|s)^v;u=(u|C)^t;p=lh(s|0,u|0,n|0,p|0)|0;n=C;r=ph(s|0,u|0,21)|0;o=C;u=oh(s|0,u|0,43)|0;u=(r|u)^p;o=(o|C)^n;t=lh(v|0,t|0,q|0,m|0)|0;v=C;r=ph(q|0,m|0,17)|0;s=C;m=oh(q|0,m|0,47)|0;m=(r|m)^t;s=(s|C)^v;n=lh(p|0,n|0,m|0,s|0)|0;p=C;r=ph(m|0,s|0,13)|0;q=C;s=oh(m|0,s|0,51)|0;n=(r|s)^n;p=(q|C)^p;t=lh(u|0,o|0,v|0,t|0)|0;v=C;q=ph(u|0,o|0,16)|0;s=C;o=oh(u|0,o|0,48)|0;o=(q|o)^t;s=(s|C)^v;q=ph(o|0,s|0,21)|0;u=C;s=oh(o|0,s|0,43)|0;u=u|C;v=lh(t|0,v|0,n|0,p|0)|0;t=C;o=ph(n|0,p|0,17)|0;r=C;p=oh(n|0,p|0,47)|0;s=(o|p)^v^t^(q|s);u=(r|C)^t^v^u;v=b;t=v;a[t>>0]=s;a[t+1>>0]=s>>8;a[t+2>>0]=s>>16;a[t+3>>0]=s>>24;v=v+4|0;a[v>>0]=u;a[v+1>>0]=u>>8;a[v+2>>0]=u>>16;a[v+3>>0]=u>>24;return 0}function If(){return 64}function Jf(){return 32}function Kf(){return 32}function Lf(){return 64}function Mf(){return 33205}function Nf(a,b,c){a=a|0;b=b|0;c=c|0;Zf(a,b,c)|0;return 0}function Of(a,b){a=a|0;b=b|0;_f(a,b)|0;return 0}function Pf(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;h=i;j=i=i+63&-64;i=i+16|0;k=a+64|0;rh(k|0,d|0,e|0)|0;dg(a,j,k,e,f,g)|0;g=j;d=(b|0)!=0;if((c[g>>2]|0)==64&(c[g+4>>2]|0)==0){if(!d){k=0;i=h;return k|0}j=lh(e|0,f|0,64,0)|0;k=b;c[k>>2]=j;c[k+4>>2]=C;k=0;i=h;return k|0}else{if(d){k=b;c[k>>2]=0;c[k+4>>2]=0}k=lh(e|0,f|0,64,0)|0;nh(a|0,0,k|0)|0;k=-1;i=h;return k|0}return 0}function Qf(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;e=lh(e|0,f|0,-64,-1)|0;f=C;do if(!(f>>>0>0|(f|0)==0&e>>>0>4294967231)){h=d+64|0;if(bg(d,h,e,f,g)|0){nh(a|0,0,e|0)|0;break}if(b|0){d=b;c[d>>2]=e;c[d+4>>2]=f}rh(a|0,h|0,e|0)|0;d=0;return d|0}while(0);if(!b){d=-1;return d|0}d=b;c[d>>2]=0;c[d+4>>2]=0;d=-1;return d|0}function Rf(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;dg(a,b,c,d,e,f)|0;return 0}function Sf(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return bg(a,b,c,d,e)|0}function Tf(){return 64}function Uf(){return 32}function Vf(){return 32}function Wf(){return 64}function Xf(a,b){a=a|0;b=b|0;rh(a|0,b|0,32)|0;return 0}function Yf(a,b){a=a|0;b=b|0;rh(a|0,b+32|0,32)|0;return 0}function Zf(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;o=i;h=i=i+63&-64;i=i+496|0;k=h;j=h+448|0;l=h+408|0;m=h+368|0;h=h+208|0;g=k+64|0;n=k;p=400;q=n+64|0;do{c[n>>2]=c[p>>2];n=n+4|0;p=p+4|0}while((n|0)<(q|0));n=k+72|0;c[n>>2]=256;c[n+4>>2]=0;n=g;c[n>>2]=0;c[n+4>>2]=0;n=k+80|0;p=f;q=n+32|0;do{a[n>>0]=a[p>>0]|0;n=n+1|0;p=p+1|0}while((n|0)<(q|0));Fd(k,e)|0;a[e>>0]=(d[e>>0]|0)&248;q=e+31|0;a[q>>0]=(d[q>>0]|0)&63|64;Cc(h,e);wc(j,h+80|0);uc(l,h,j);uc(m,h+40|0,j);tc(b,m);tc(k,l);q=b+31|0;a[q>>0]=(d[q>>0]|0)^(d[k>>0]|0)<<7;rh(e|0,f|0,32)|0;rh(e+32|0,b|0,32)|0;i=o;return 0}function _f(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;n=i=i+63&-64;i=i+528|0;m=n;l=n+448|0;o=n+408|0;p=n+368|0;k=n+208|0;n=n+488|0;f=0;do{a[n+f>>0]=ma(0)|0;f=f+1|0}while((f|0)!=32);f=m+64|0;g=m;h=400;j=g+64|0;do{c[g>>2]=c[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));g=m+72|0;c[g>>2]=256;c[g+4>>2]=0;g=f;c[g>>2]=0;c[g+4>>2]=0;g=m+80|0;h=n;j=g+32|0;do{a[g>>0]=a[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(j|0));Fd(m,e)|0;a[e>>0]=(d[e>>0]|0)&248;g=e+31|0;a[g>>0]=(d[g>>0]|0)&63|64;Cc(k,e);wc(l,k+80|0);uc(o,k,l);uc(p,k+40|0,l);tc(b,p);tc(m,o);g=b+31|0;a[g>>0]=(d[g>>0]|0)^(d[m>>0]|0)<<7;g=e;h=n;j=g+32|0;do{a[g>>0]=a[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(j|0));rh(e+32|0,b|0,32)|0;i=q;return 0}function $f(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;g=i;e=i=i+63&-64;i=i+240|0;d=e+80|0;f=e+40|0;if(yc(d,b)|0){f=-1;i=g;return f|0}y=e+4|0;c[y>>2]=0;c[y+4>>2]=0;c[y+8>>2]=0;c[y+12>>2]=0;c[y+16>>2]=0;c[y+20>>2]=0;c[y+24>>2]=0;c[y+28>>2]=0;q=d+40|0;p=d+44|0;n=d+48|0;m=d+52|0;l=d+56|0;k=d+60|0;j=d+64|0;h=d+68|0;r=d+72|0;b=d+76|0;z=0-(c[p>>2]|0)|0;x=0-(c[n>>2]|0)|0;w=0-(c[m>>2]|0)|0;v=0-(c[l>>2]|0)|0;u=0-(c[k>>2]|0)|0;t=0-(c[j>>2]|0)|0;s=0-(c[h>>2]|0)|0;d=0-(c[r>>2]|0)|0;o=0-(c[b>>2]|0)|0;c[e>>2]=1-(c[q>>2]|0);c[y>>2]=z;c[e+8>>2]=x;c[e+12>>2]=w;c[e+16>>2]=v;c[e+20>>2]=u;c[e+24>>2]=t;c[e+28>>2]=s;c[e+32>>2]=d;c[e+36>>2]=o;wc(e,e);o=f+4|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[o+12>>2]=0;c[o+16>>2]=0;c[o+20>>2]=0;c[o+24>>2]=0;c[o+28>>2]=0;p=c[p>>2]|0;n=c[n>>2]|0;m=c[m>>2]|0;l=c[l>>2]|0;k=c[k>>2]|0;j=c[j>>2]|0;h=c[h>>2]|0;d=c[r>>2]|0;b=c[b>>2]|0;c[f>>2]=(c[q>>2]|0)+1;c[o>>2]=p;c[f+8>>2]=n;c[f+12>>2]=m;c[f+16>>2]=l;c[f+20>>2]=k;c[f+24>>2]=j;c[f+28>>2]=h;c[f+32>>2]=d;c[f+36>>2]=b;uc(f,f,e);tc(a,f);f=0;i=g;return f|0}function ag(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;k=i;g=i=i+63&-64;i=i+272|0;h=g;g=g+208|0;f=h+64|0;j=h;l=400;m=j+64|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));j=h+72|0;c[j>>2]=256;c[j+4>>2]=0;j=f;c[j>>2]=0;c[j+4>>2]=0;j=h+80|0;l=e;m=j+32|0;do{a[j>>0]=a[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(m|0));Fd(h,g)|0;a[g>>0]=(d[g>>0]|0)&248;j=g+31|0;a[j>>0]=(d[j>>0]|0)&63|64;j=b;l=g;m=j+32|0;do{a[j>>0]=a[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(m|0));i=k;return 0}function bg(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0;Ga=i;za=i=i+63&-64;i=i+2976|0;Ca=za+2760|0;Aa=za+2504|0;Ba=za+2248|0;ya=za+968|0;Da=za+808|0;Ea=za+648|0;s=za+488|0;o=za;p=za+2912|0;Fa=za+2880|0;r=za+328|0;za=za+208|0;q=b+32|0;m=0;n=32;j=1;while(1){n=n+-1|0;k=a[q+n>>0]|0;l=a[33213+n>>0]|0;j=j&255;m=((k&255)-(l&255)|0)>>>8&j|m&255;if(!n)break;else j=(((l^k)&255)+65535|0)>>>8&j}if(!m){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[16+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[48+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[80+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[112+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[144+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[176+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[208+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[240+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[272+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[304+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[336+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}else{j=0;k=0}do{j=a[368+k>>0]^a[b+k>>0]|j;k=k+1|0}while((k|0)!=32);if(!(j<<24>>24)){b=-1;i=Ga;return b|0}if(yc(r,h)|0){b=-1;i=Ga;return b|0}if(!((a[h+31>>0]|(a[h+30>>0]|(a[h+29>>0]|(a[h+28>>0]|(a[h+27>>0]|(a[h+26>>0]|(a[h+25>>0]|(a[h+24>>0]|(a[h+23>>0]|(a[h+22>>0]|(a[h+21>>0]|(a[h+20>>0]|(a[h+19>>0]|(a[h+18>>0]|(a[h+17>>0]|(a[h+16>>0]|(a[h+15>>0]|(a[h+14>>0]|(a[h+13>>0]|(a[h+12>>0]|(a[h+11>>0]|(a[h+10>>0]|(a[h+9>>0]|(a[h+8>>0]|(a[h+7>>0]|(a[h+6>>0]|(a[h+5>>0]|(a[h+4>>0]|(a[h+3>>0]|(a[h+2>>0]|(a[h+1>>0]|a[h>>0])))))))))))))))))))))))))))))))<<24>>24)){b=-1;i=Ga;return b|0}j=o+64|0;m=j;c[m>>2]=0;c[m+4>>2]=0;m=o;l=400;n=m+64|0;do{c[m>>2]=c[l>>2];m=m+4|0;l=l+4|0}while((m|0)<(n|0));k=o+72|0;m=k;c[m>>2]=256;c[m+4>>2]=0;m=j;c[m>>2]=0;c[m+4>>2]=0;m=o+80|0;l=b;n=m+32|0;do{a[m>>0]=a[l>>0]|0;m=m+1|0;l=l+1|0}while((m|0)<(n|0));m=k;c[m>>2]=512;c[m+4>>2]=0;m=j;c[m>>2]=0;c[m+4>>2]=0;m=o+112|0;l=h;n=m+32|0;do{a[m>>0]=a[l>>0]|0;m=m+1|0;l=l+1|0}while((m|0)<(n|0));Dd(o,e,f,g)|0;Fd(o,p)|0;Ec(p);j=0;do{a[Aa+j>>0]=(d[p+(j>>3)>>0]|0)>>>(j&7)&1;j=j+1|0}while((j|0)!=256);o=0;while(1){f=Aa+o|0;a:do if(a[f>>0]|0){g=1;do{j=g+o|0;if((j|0)>=256)break a;n=Aa+j|0;k=a[n>>0]|0;b:do if(k<<24>>24){m=a[f>>0]|0;k=k<<24>>24<<g;l=m+k|0;if((l|0)<16){a[f>>0]=l;a[n>>0]=0;break}k=m-k|0;if((k|0)<=-16)break a;a[f>>0]=k;k=n;do{a[k>>0]=0;j=j+1|0;if((j|0)>=256)break b;k=Aa+j|0}while((a[k>>0]|0)!=0);a[k>>0]=1}while(0);g=g+1|0}while((g|0)<7)}while(0);o=o+1|0;if((o|0)==256){j=0;break}}do{a[Ba+j>>0]=(d[q+(j>>3)>>0]|0)>>>(j&7)&1;j=j+1|0}while((j|0)!=256);o=0;do{f=Ba+o|0;c:do if(a[f>>0]|0){g=1;do{j=g+o|0;if((j|0)>=256)break c;n=Ba+j|0;k=a[n>>0]|0;d:do if(k<<24>>24){m=a[f>>0]|0;k=k<<24>>24<<g;l=m+k|0;if((l|0)<16){a[f>>0]=l;a[n>>0]=0;break}k=m-k|0;if((k|0)<=-16)break c;a[f>>0]=k;k=n;do{a[k>>0]=0;j=j+1|0;if((j|0)>=256)break d;k=Ba+j|0}while((a[k>>0]|0)!=0);a[k>>0]=1}while(0);g=g+1|0}while((g|0)<7)}while(0);o=o+1|0}while((o|0)!=256);Bc(ya,r);ra=c[r+4>>2]|0;n=c[r+8>>2]|0;m=c[r+12>>2]|0;xa=c[r+16>>2]|0;wa=c[r+20>>2]|0;va=c[r+24>>2]|0;ua=c[r+28>>2]|0;ta=c[r+32>>2]|0;sa=c[r+36>>2]|0;c[Ca>>2]=c[r>>2];c[Ca+4>>2]=ra;c[Ca+8>>2]=n;c[Ca+12>>2]=m;c[Ca+16>>2]=xa;c[Ca+20>>2]=wa;c[Ca+24>>2]=va;c[Ca+28>>2]=ua;c[Ca+32>>2]=ta;c[Ca+36>>2]=sa;sa=c[r+44>>2]|0;ta=c[r+48>>2]|0;ua=c[r+52>>2]|0;va=c[r+56>>2]|0;wa=c[r+60>>2]|0;xa=c[r+64>>2]|0;m=c[r+68>>2]|0;n=c[r+72>>2]|0;ra=c[r+76>>2]|0;c[Ca+40>>2]=c[r+40>>2];c[Ca+44>>2]=sa;c[Ca+48>>2]=ta;c[Ca+52>>2]=ua;c[Ca+56>>2]=va;c[Ca+60>>2]=wa;c[Ca+64>>2]=xa;c[Ca+68>>2]=m;c[Ca+72>>2]=n;c[Ca+76>>2]=ra;ra=c[r+84>>2]|0;n=c[r+88>>2]|0;m=c[r+92>>2]|0;xa=c[r+96>>2]|0;wa=c[r+100>>2]|0;va=c[r+104>>2]|0;ua=c[r+108>>2]|0;ta=c[r+112>>2]|0;sa=c[r+116>>2]|0;c[Ca+80>>2]=c[r+80>>2];c[Ca+84>>2]=ra;c[Ca+88>>2]=n;c[Ca+92>>2]=m;c[Ca+96>>2]=xa;c[Ca+100>>2]=wa;c[Ca+104>>2]=va;c[Ca+108>>2]=ua;c[Ca+112>>2]=ta;c[Ca+116>>2]=sa;Ac(Da,Ca);sa=Da+120|0;uc(s,Da,sa);ta=Da+40|0;ua=Da+80|0;uc(s+40|0,ta,ua);uc(s+80|0,ua,sa);uc(s+120|0,Da,ta);xc(Da,s,ya);uc(Ea,Da,sa);va=Ea+40|0;uc(va,ta,ua);wa=Ea+80|0;uc(wa,ua,sa);xa=Ea+120|0;uc(xa,Da,ta);m=ya+160|0;Bc(m,Ea);xc(Da,s,m);uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);m=ya+320|0;Bc(m,Ea);xc(Da,s,m);uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);m=ya+480|0;Bc(m,Ea);xc(Da,s,m);uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);m=ya+640|0;Bc(m,Ea);xc(Da,s,m);uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);m=ya+800|0;Bc(m,Ea);xc(Da,s,m);uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);m=ya+960|0;Bc(m,Ea);xc(Da,s,m);uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);Bc(ya+1120|0,Ea);m=za;n=m+40|0;do{c[m>>2]=0;m=m+4|0}while((m|0)<(n|0));qa=za+40|0;c[qa>>2]=1;m=za+44|0;n=m+36|0;do{c[m>>2]=0;m=m+4|0}while((m|0)<(n|0));ra=za+80|0;c[ra>>2]=1;m=za+84|0;n=m+36|0;do{c[m>>2]=0;m=m+4|0}while((m|0)<(n|0));k=255;while(1){if(a[Aa+k>>0]|0){j=k;break}if(a[Ba+k>>0]|0){j=k;break}j=k+-1|0;if((k|0)>0)k=j;else break}if((j|0)>-1){l=Ea+44|0;m=Ea+48|0;n=Ea+52|0;f=Ea+56|0;g=Ea+60|0;o=Ea+64|0;e=Ea+68|0;h=Ea+72|0;p=Ea+76|0;q=Ea+4|0;r=Ea+8|0;s=Ea+12|0;t=Ea+16|0;u=Ea+20|0;v=Ea+24|0;w=Ea+28|0;x=Ea+32|0;y=Ea+36|0;z=Da+4|0;A=Da+8|0;B=Da+12|0;C=Da+16|0;D=Da+20|0;E=Da+24|0;F=Da+28|0;G=Da+32|0;H=Da+36|0;I=Da+44|0;J=Da+48|0;K=Da+52|0;L=Da+56|0;M=Da+60|0;N=Da+64|0;O=Da+68|0;P=Da+72|0;Q=Da+76|0;R=Ea+84|0;S=Ea+88|0;T=Ea+92|0;U=Ea+96|0;V=Ea+100|0;W=Ea+104|0;X=Ea+108|0;Y=Ea+112|0;Z=Ea+116|0;_=Da+84|0;$=Da+88|0;aa=Da+92|0;ba=Da+96|0;ca=Da+100|0;da=Da+104|0;ea=Da+108|0;fa=Da+112|0;ga=Da+116|0;ha=Da+124|0;ia=Da+128|0;ja=Da+132|0;ka=Da+136|0;la=Da+140|0;ma=Da+144|0;na=Da+148|0;oa=Da+152|0;pa=Da+156|0;while(1){Ac(Da,za);k=a[Aa+j>>0]|0;do if(k<<24>>24>0){uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);xc(Da,Ea,ya+(((k<<24>>24|0)/2|0)*160|0)|0)}else{if(k<<24>>24>=0)break;uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);Ya=(k<<24>>24|0)/-2|0;hb=c[va>>2]|0;Va=c[l>>2]|0;Na=c[m>>2]|0;_a=c[n>>2]|0;cb=c[f>>2]|0;gb=c[g>>2]|0;Ia=c[o>>2]|0;Ma=c[e>>2]|0;Qa=c[h>>2]|0;Ua=c[p>>2]|0;Za=c[Ea>>2]|0;Ra=c[q>>2]|0;Ja=c[r>>2]|0;ab=c[s>>2]|0;eb=c[t>>2]|0;k=c[u>>2]|0;Ka=c[v>>2]|0;Oa=c[w>>2]|0;Sa=c[x>>2]|0;Wa=c[y>>2]|0;c[Da>>2]=Za+hb;c[z>>2]=Ra+Va;c[A>>2]=Ja+Na;c[B>>2]=ab+_a;c[C>>2]=eb+cb;c[D>>2]=k+gb;c[E>>2]=Ka+Ia;c[F>>2]=Oa+Ma;c[G>>2]=Sa+Qa;c[H>>2]=Wa+Ua;c[ta>>2]=hb-Za;c[I>>2]=Va-Ra;c[J>>2]=Na-Ja;c[K>>2]=_a-ab;c[L>>2]=cb-eb;c[M>>2]=gb-k;c[N>>2]=Ia-Ka;c[O>>2]=Ma-Oa;c[P>>2]=Qa-Sa;c[Q>>2]=Ua-Wa;uc(ua,Da,ya+(Ya*160|0)+40|0);uc(ta,ta,ya+(Ya*160|0)|0);uc(sa,ya+(Ya*160|0)+120|0,xa);uc(Da,wa,ya+(Ya*160|0)+80|0);Ya=c[Da>>2]<<1;Wa=c[z>>2]<<1;Ua=c[A>>2]<<1;Sa=c[B>>2]<<1;Qa=c[C>>2]<<1;Oa=c[D>>2]<<1;Ma=c[E>>2]<<1;Ka=c[F>>2]<<1;Ia=c[G>>2]<<1;k=c[H>>2]<<1;gb=c[ua>>2]|0;eb=c[_>>2]|0;cb=c[$>>2]|0;ab=c[aa>>2]|0;_a=c[ba>>2]|0;Ja=c[ca>>2]|0;Na=c[da>>2]|0;Ra=c[ea>>2]|0;Va=c[fa>>2]|0;Za=c[ga>>2]|0;hb=c[ta>>2]|0;fb=c[I>>2]|0;db=c[J>>2]|0;bb=c[K>>2]|0;$a=c[L>>2]|0;Ha=c[M>>2]|0;La=c[N>>2]|0;Pa=c[O>>2]|0;Ta=c[P>>2]|0;Xa=c[Q>>2]|0;c[Da>>2]=gb-hb;c[z>>2]=eb-fb;c[A>>2]=cb-db;c[B>>2]=ab-bb;c[C>>2]=_a-$a;c[D>>2]=Ja-Ha;c[E>>2]=Na-La;c[F>>2]=Ra-Pa;c[G>>2]=Va-Ta;c[H>>2]=Za-Xa;c[ta>>2]=hb+gb;c[I>>2]=fb+eb;c[J>>2]=db+cb;c[K>>2]=bb+ab;c[L>>2]=$a+_a;c[M>>2]=Ha+Ja;c[N>>2]=La+Na;c[O>>2]=Pa+Ra;c[P>>2]=Ta+Va;c[Q>>2]=Xa+Za;Za=c[sa>>2]|0;Xa=c[ha>>2]|0;Va=c[ia>>2]|0;Ta=c[ja>>2]|0;Ra=c[ka>>2]|0;Pa=c[la>>2]|0;Na=c[ma>>2]|0;La=c[na>>2]|0;Ja=c[oa>>2]|0;Ha=c[pa>>2]|0;c[ua>>2]=Ya-Za;c[_>>2]=Wa-Xa;c[$>>2]=Ua-Va;c[aa>>2]=Sa-Ta;c[ba>>2]=Qa-Ra;c[ca>>2]=Oa-Pa;c[da>>2]=Ma-Na;c[ea>>2]=Ka-La;c[fa>>2]=Ia-Ja;c[ga>>2]=k-Ha;c[sa>>2]=Za+Ya;c[ha>>2]=Xa+Wa;c[ia>>2]=Va+Ua;c[ja>>2]=Ta+Sa;c[ka>>2]=Ra+Qa;c[la>>2]=Pa+Oa;c[ma>>2]=Na+Ma;c[na>>2]=La+Ka;c[oa>>2]=Ja+Ia;c[pa>>2]=Ha+k}while(0);k=a[Ba+j>>0]|0;do if(k<<24>>24>0){uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);zc(Da,Ea,584+(((k<<24>>24|0)/2|0)*120|0)|0)}else{if(k<<24>>24>=0)break;uc(Ea,Da,sa);uc(va,ta,ua);uc(wa,ua,sa);uc(xa,Da,ta);Ra=(k<<24>>24|0)/-2|0;k=c[va>>2]|0;Ua=c[l>>2]|0;ab=c[m>>2]|0;Pa=c[n>>2]|0;La=c[f>>2]|0;Ha=c[g>>2]|0;fb=c[o>>2]|0;bb=c[e>>2]|0;Za=c[h>>2]|0;Va=c[p>>2]|0;Qa=c[Ea>>2]|0;Ya=c[q>>2]|0;eb=c[r>>2]|0;Na=c[s>>2]|0;Ja=c[t>>2]|0;hb=c[u>>2]|0;db=c[v>>2]|0;$a=c[w>>2]|0;Xa=c[x>>2]|0;Ta=c[y>>2]|0;c[Da>>2]=Qa+k;c[z>>2]=Ya+Ua;c[A>>2]=eb+ab;c[B>>2]=Na+Pa;c[C>>2]=Ja+La;c[D>>2]=hb+Ha;c[E>>2]=db+fb;c[F>>2]=$a+bb;c[G>>2]=Xa+Za;c[H>>2]=Ta+Va;c[ta>>2]=k-Qa;c[I>>2]=Ua-Ya;c[J>>2]=ab-eb;c[K>>2]=Pa-Na;c[L>>2]=La-Ja;c[M>>2]=Ha-hb;c[N>>2]=fb-db;c[O>>2]=bb-$a;c[P>>2]=Za-Xa;c[Q>>2]=Va-Ta;uc(ua,Da,584+(Ra*120|0)+40|0);uc(ta,ta,584+(Ra*120|0)|0);uc(sa,584+(Ra*120|0)+80|0,xa);Ra=c[wa>>2]<<1;Ta=c[R>>2]<<1;Va=c[S>>2]<<1;Xa=c[T>>2]<<1;Za=c[U>>2]<<1;$a=c[V>>2]<<1;bb=c[W>>2]<<1;db=c[X>>2]<<1;fb=c[Y>>2]<<1;hb=c[Z>>2]<<1;Ha=c[ua>>2]|0;Ja=c[_>>2]|0;La=c[$>>2]|0;Na=c[aa>>2]|0;Pa=c[ba>>2]|0;eb=c[ca>>2]|0;ab=c[da>>2]|0;Ya=c[ea>>2]|0;Ua=c[fa>>2]|0;Qa=c[ga>>2]|0;k=c[ta>>2]|0;Ia=c[I>>2]|0;Ka=c[J>>2]|0;Ma=c[K>>2]|0;Oa=c[L>>2]|0;gb=c[M>>2]|0;cb=c[N>>2]|0;_a=c[O>>2]|0;Wa=c[P>>2]|0;Sa=c[Q>>2]|0;c[Da>>2]=Ha-k;c[z>>2]=Ja-Ia;c[A>>2]=La-Ka;c[B>>2]=Na-Ma;c[C>>2]=Pa-Oa;c[D>>2]=eb-gb;c[E>>2]=ab-cb;c[F>>2]=Ya-_a;c[G>>2]=Ua-Wa;c[H>>2]=Qa-Sa;c[ta>>2]=k+Ha;c[I>>2]=Ia+Ja;c[J>>2]=Ka+La;c[K>>2]=Ma+Na;c[L>>2]=Oa+Pa;c[M>>2]=gb+eb;c[N>>2]=cb+ab;c[O>>2]=_a+Ya;c[P>>2]=Wa+Ua;c[Q>>2]=Sa+Qa;Qa=c[sa>>2]|0;Sa=c[ha>>2]|0;Ua=c[ia>>2]|0;Wa=c[ja>>2]|0;Ya=c[ka>>2]|0;_a=c[la>>2]|0;ab=c[ma>>2]|0;cb=c[na>>2]|0;eb=c[oa>>2]|0;gb=c[pa>>2]|0;c[ua>>2]=Ra-Qa;c[_>>2]=Ta-Sa;c[$>>2]=Va-Ua;c[aa>>2]=Xa-Wa;c[ba>>2]=Za-Ya;c[ca>>2]=$a-_a;c[da>>2]=bb-ab;c[ea>>2]=db-cb;c[fa>>2]=fb-eb;c[ga>>2]=hb-gb;c[sa>>2]=Qa+Ra;c[ha>>2]=Sa+Ta;c[ia>>2]=Ua+Va;c[ja>>2]=Wa+Xa;c[ka>>2]=Ya+Za;c[la>>2]=_a+$a;c[ma>>2]=ab+bb;c[na>>2]=cb+db;c[oa>>2]=eb+fb;c[pa>>2]=gb+hb}while(0);uc(za,Da,sa);uc(qa,ta,ua);uc(ra,ua,sa);if((j|0)>0)j=j+-1|0;else break}}wc(Aa,ra);uc(Ba,za,Aa);uc(ya,qa,Aa);tc(Fa,ya);tc(Ca,Ba);j=Fa+31|0;a[j>>0]=d[j>>0]^d[Ca>>0]<<7;j=0;k=0;do{j=(a[b+k>>0]^a[Fa+k>>0])&255|j;k=k+1|0}while((k|0)!=32);j=(j+511|0)>>>8&1;k=(Fa|0)==(b|0);l=0;m=0;do{l=a[Fa+m>>0]^a[b+m>>0]|l;m=m+1|0}while((m|0)!=32);hb=(k?-1:j+-1|0)|(((l&255)+511|0)>>>8&1)+-1;i=Ga;return hb|0}function cg(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;e=lh(e|0,f|0,-64,-1)|0;f=C;do if(!(f>>>0>0|(f|0)==0&e>>>0>4294967231)){h=d+64|0;if(bg(d,h,e,f,g)|0){nh(a|0,0,e|0)|0;break}if(b|0){d=b;c[d>>2]=e;c[d+4>>2]=f}rh(a|0,h|0,e|0)|0;d=0;return d|0}while(0);if(!b){d=-1;return d|0}d=b;c[d>>2]=0;c[d+4>>2]=0;d=-1;return d|0}function dg(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,vc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Dc=0,Fc=0,Gc=0;z=i;p=i=i+63&-64;i=i+896|0;v=p+208|0;u=p+656|0;w=p+616|0;x=p+576|0;s=p;q=p+824|0;t=p+760|0;r=p+696|0;p=p+416|0;k=v+64|0;y=v;A=400;B=y+64|0;do{c[y>>2]=c[A>>2];y=y+4|0;A=A+4|0}while((y|0)<(B|0));y=v+72|0;c[y>>2]=256;c[y+4>>2]=0;y=k;c[y>>2]=0;c[y+4>>2]=0;y=v+80|0;A=j;B=y+32|0;do{a[y>>0]=a[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(B|0));Fd(v,q)|0;a[q>>0]=(d[q>>0]|0)&248;k=q+31|0;a[k>>0]=(d[k>>0]|0)&63|64;l=s+64|0;y=l;c[y>>2]=0;c[y+4>>2]=0;y=s;A=400;B=y+64|0;do{c[y>>2]=c[A>>2];y=y+4|0;A=A+4|0}while((y|0)<(B|0));m=s+72|0;n=m;c[n>>2]=256;c[n+4>>2]=0;n=l;c[n>>2]=0;c[n+4>>2]=0;n=s+80|0;y=n;A=q+32|0;B=y+32|0;do{a[y>>0]=a[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(B|0));Dd(s,f,g,h)|0;Fd(s,t)|0;o=b+32|0;rh(o|0,j+32|0,32)|0;Ec(t);Cc(p,t);wc(u,p+80|0);uc(w,p,u);uc(x,p+40|0,u);tc(b,x);tc(v,w);y=b+31|0;a[y>>0]=(d[y>>0]|0)^(d[v>>0]|0)<<7;y=l;c[y>>2]=0;c[y+4>>2]=0;y=s;A=400;B=y+64|0;do{c[y>>2]=c[A>>2];y=y+4|0;A=A+4|0}while((y|0)<(B|0));y=m;c[y>>2]=512;c[y+4>>2]=0;y=l;c[y>>2]=0;c[y+4>>2]=0;y=n;A=b;B=y+64|0;do{a[y>>0]=a[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(B|0));Dd(s,f,g,h)|0;Fd(s,r)|0;Ec(r);I=a[r+2>>0]|0;Sa=d[r>>0]|0;wb=ph(d[r+1>>0]|0|0,0,8)|0;pb=C;I=I&255;jb=ph(I|0,0,16)|0;jb=wb|Sa|jb&2031616;Sa=ph(d[r+3>>0]|0|0,0,8)|0;wb=C;E=ph(d[r+4>>0]|0|0,0,16)|0;wb=wb|C;tb=d[r+5>>0]|0;cb=ph(tb|0,0,24)|0;wb=oh(Sa|I|E|cb|0,wb|C|0,5)|0;wb=wb&2097151;cb=a[r+7>>0]|0;E=ph(d[r+6>>0]|0|0,0,8)|0;I=C;cb=cb&255;Sa=ph(cb|0,0,16)|0;I=oh(E|tb|Sa|0,I|C|0,2)|0;I=I&2097151;Sa=ph(d[r+8>>0]|0|0,0,8)|0;tb=C;E=ph(d[r+9>>0]|0|0,0,16)|0;tb=tb|C;v=d[r+10>>0]|0;Ra=ph(v|0,0,24)|0;tb=oh(Sa|cb|E|Ra|0,tb|C|0,7)|0;tb=tb&2097151;Ra=ph(d[r+11>>0]|0|0,0,8)|0;E=C;cb=ph(d[r+12>>0]|0|0,0,16)|0;E=E|C;Sa=d[r+13>>0]|0;y=ph(Sa|0,0,24)|0;E=oh(Ra|v|cb|y|0,E|C|0,4)|0;E=E&2097151;y=a[r+15>>0]|0;cb=ph(d[r+14>>0]|0|0,0,8)|0;v=C;y=y&255;Ra=ph(y|0,0,16)|0;v=oh(cb|Sa|Ra|0,v|C|0,1)|0;v=v&2097151;Ra=ph(d[r+16>>0]|0|0,0,8)|0;Sa=C;cb=ph(d[r+17>>0]|0|0,0,16)|0;Sa=Sa|C;Bc=d[r+18>>0]|0;ia=ph(Bc|0,0,24)|0;Sa=oh(Ra|y|cb|ia|0,Sa|C|0,6)|0;Sa=Sa&2097151;ia=a[r+20>>0]|0;cb=ph(d[r+19>>0]|0|0,0,8)|0;y=C;ia=ph(ia&255|0,0,16)|0;y=oh(cb|Bc|ia|0,y|C|0,3)|0;ia=C;Bc=a[r+23>>0]|0;cb=d[r+21>>0]|0;Ra=ph(d[r+22>>0]|0|0,0,8)|0;rb=C;Bc=Bc&255;Pa=ph(Bc|0,0,16)|0;Pa=Ra|cb|Pa&2031616;cb=ph(d[r+24>>0]|0|0,0,8)|0;Ra=C;h=ph(d[r+25>>0]|0|0,0,16)|0;Ra=Ra|C;Ja=d[r+26>>0]|0;f=ph(Ja|0,0,24)|0;Ra=oh(cb|Bc|h|f|0,Ra|C|0,5)|0;Ra=Ra&2097151;f=a[r+28>>0]|0;h=ph(d[r+27>>0]|0|0,0,8)|0;Bc=C;f=f&255;cb=ph(f|0,0,16)|0;Bc=oh(h|Ja|cb|0,Bc|C|0,2)|0;Bc=Bc&2097151;cb=ph(d[r+29>>0]|0|0,0,8)|0;Ja=C;h=ph(d[r+30>>0]|0|0,0,16)|0;Ja=Ja|C;r=ph(d[r+31>>0]|0|0,0,24)|0;r=oh(cb|f|h|r|0,Ja|C|0,7)|0;Ja=C;h=a[q+2>>0]|0;f=d[q>>0]|0;cb=ph(d[q+1>>0]|0|0,0,8)|0;ha=C;h=h&255;ga=ph(h|0,0,16)|0;ga=cb|f|ga&2031616;f=ph(d[q+3>>0]|0|0,0,8)|0;cb=C;ka=ph(d[q+4>>0]|0|0,0,16)|0;cb=cb|C;p=d[q+5>>0]|0;yc=ph(p|0,0,24)|0;cb=oh(f|h|ka|yc|0,cb|C|0,5)|0;cb=cb&2097151;yc=a[q+7>>0]|0;ka=ph(d[q+6>>0]|0|0,0,8)|0;h=C;yc=yc&255;f=ph(yc|0,0,16)|0;h=oh(ka|p|f|0,h|C|0,2)|0;h=h&2097151;f=ph(d[q+8>>0]|0|0,0,8)|0;p=C;ka=ph(d[q+9>>0]|0|0,0,16)|0;p=p|C;Za=d[q+10>>0]|0;Oa=ph(Za|0,0,24)|0;p=oh(f|yc|ka|Oa|0,p|C|0,7)|0;p=p&2097151;Oa=ph(d[q+11>>0]|0|0,0,8)|0;ka=C;yc=ph(d[q+12>>0]|0|0,0,16)|0;ka=ka|C;f=d[q+13>>0]|0;Gc=ph(f|0,0,24)|0;ka=oh(Oa|Za|yc|Gc|0,ka|C|0,4)|0;ka=ka&2097151;Gc=a[q+15>>0]|0;yc=ph(d[q+14>>0]|0|0,0,8)|0;Za=C;Gc=Gc&255;Oa=ph(Gc|0,0,16)|0;Za=oh(yc|f|Oa|0,Za|C|0,1)|0;Za=Za&2097151;Oa=ph(d[q+16>>0]|0|0,0,8)|0;f=C;yc=ph(d[q+17>>0]|0|0,0,16)|0;f=f|C;Q=d[q+18>>0]|0;Ab=ph(Q|0,0,24)|0;f=oh(Oa|Gc|yc|Ab|0,f|C|0,6)|0;f=f&2097151;Ab=a[q+20>>0]|0;yc=ph(d[q+19>>0]|0|0,0,8)|0;Gc=C;Ab=ph(Ab&255|0,0,16)|0;Gc=oh(yc|Q|Ab|0,Gc|C|0,3)|0;Ab=C;Q=a[q+23>>0]|0;yc=d[q+21>>0]|0;Oa=ph(d[q+22>>0]|0|0,0,8)|0;Ca=C;Q=Q&255;ta=ph(Q|0,0,16)|0;ta=Oa|yc|ta&2031616;yc=ph(d[q+24>>0]|0|0,0,8)|0;Oa=C;La=ph(d[q+25>>0]|0|0,0,16)|0;Oa=Oa|C;Ha=d[q+26>>0]|0;zc=ph(Ha|0,0,24)|0;Oa=oh(yc|Q|La|zc|0,Oa|C|0,5)|0;Oa=Oa&2097151;zc=a[q+28>>0]|0;La=ph(d[q+27>>0]|0|0,0,8)|0;Q=C;zc=zc&255;yc=ph(zc|0,0,16)|0;Q=oh(La|Ha|yc|0,Q|C|0,2)|0;Q=Q&2097151;yc=ph(d[q+29>>0]|0|0,0,8)|0;Ha=C;La=ph(d[q+30>>0]|0|0,0,16)|0;Ha=Ha|C;k=ph(d[k>>0]|0|0,0,24)|0;k=oh(yc|zc|La|k|0,Ha|C|0,7)|0;Ha=C;La=a[t+2>>0]|0;zc=d[t>>0]|0;yc=ph(d[t+1>>0]|0|0,0,8)|0;aa=C;La=La&255;Ac=ph(La|0,0,16)|0;Wa=ph(d[t+3>>0]|0|0,0,8)|0;Da=C;Fa=ph(d[t+4>>0]|0|0,0,16)|0;Da=Da|C;ob=d[t+5>>0]|0;ya=ph(ob|0,0,24)|0;Da=oh(Wa|La|Fa|ya|0,Da|C|0,5)|0;ya=a[t+7>>0]|0;Fa=ph(d[t+6>>0]|0|0,0,8)|0;La=C;ya=ya&255;Wa=ph(ya|0,0,16)|0;La=oh(Fa|ob|Wa|0,La|C|0,2)|0;Wa=ph(d[t+8>>0]|0|0,0,8)|0;ob=C;Fa=ph(d[t+9>>0]|0|0,0,16)|0;ob=ob|C;W=d[t+10>>0]|0;N=ph(W|0,0,24)|0;ob=oh(Wa|ya|Fa|N|0,ob|C|0,7)|0;N=ph(d[t+11>>0]|0|0,0,8)|0;Fa=C;ya=ph(d[t+12>>0]|0|0,0,16)|0;Fa=Fa|C;Wa=d[t+13>>0]|0;G=ph(Wa|0,0,24)|0;Fa=oh(N|W|ya|G|0,Fa|C|0,4)|0;G=a[t+15>>0]|0;ya=ph(d[t+14>>0]|0|0,0,8)|0;W=C;G=G&255;N=ph(G|0,0,16)|0;W=oh(ya|Wa|N|0,W|C|0,1)|0;N=ph(d[t+16>>0]|0|0,0,8)|0;Wa=C;ya=ph(d[t+17>>0]|0|0,0,16)|0;Wa=Wa|C;T=d[t+18>>0]|0;w=ph(T|0,0,24)|0;Wa=oh(N|G|ya|w|0,Wa|C|0,6)|0;w=a[t+20>>0]|0;ya=ph(d[t+19>>0]|0|0,0,8)|0;G=C;w=ph(w&255|0,0,16)|0;G=oh(ya|T|w|0,G|C|0,3)|0;w=C;T=a[t+23>>0]|0;ya=d[t+21>>0]|0;N=ph(d[t+22>>0]|0|0,0,8)|0;ca=C;T=T&255;da=ph(T|0,0,16)|0;Aa=ph(d[t+24>>0]|0|0,0,8)|0;M=C;Ga=ph(d[t+25>>0]|0|0,0,16)|0;M=M|C;A=d[t+26>>0]|0;sa=ph(A|0,0,24)|0;M=oh(Aa|T|Ga|sa|0,M|C|0,5)|0;sa=a[t+28>>0]|0;Ga=ph(d[t+27>>0]|0|0,0,8)|0;T=C;sa=sa&255;Aa=ph(sa|0,0,16)|0;T=oh(Ga|A|Aa|0,T|C|0,2)|0;Aa=ph(d[t+29>>0]|0|0,0,8)|0;A=C;Ga=ph(d[t+30>>0]|0|0,0,16)|0;A=A|C;j=ph(d[t+31>>0]|0|0,0,24)|0;A=oh(Aa|sa|Ga|j|0,A|C|0,7)|0;j=C;Ga=wh(ga|0,ha|0,jb|0,pb|0)|0;Ga=lh(yc|zc|Ac&2031616|0,aa|0,Ga|0,C|0)|0;aa=C;Ac=wh(cb|0,0,jb|0,pb|0)|0;zc=C;yc=wh(ga|0,ha|0,wb|0,0)|0;sa=C;Aa=wh(h|0,0,jb|0,pb|0)|0;Ka=C;Ba=wh(cb|0,0,wb|0,0)|0;qc=C;oa=wh(ga|0,ha|0,I|0,0)|0;oa=lh(Ba|0,qc|0,oa|0,C|0)|0;Ka=lh(oa|0,C|0,Aa|0,Ka|0)|0;La=lh(Ka|0,C|0,La&2097151|0,0)|0;Ka=C;Aa=wh(p|0,0,jb|0,pb|0)|0;oa=C;qc=wh(h|0,0,wb|0,0)|0;Ba=C;xc=wh(cb|0,0,I|0,0)|0;vc=C;sc=wh(ga|0,ha|0,tb|0,0)|0;rc=C;Na=wh(ka|0,0,jb|0,pb|0)|0;Ea=C;hc=wh(p|0,0,wb|0,0)|0;X=C;jc=wh(h|0,0,I|0,0)|0;Ma=C;kc=wh(cb|0,0,tb|0,0)|0;lc=C;ic=wh(ga|0,ha|0,E|0,0)|0;ic=lh(kc|0,lc|0,ic|0,C|0)|0;Ma=lh(ic|0,C|0,jc|0,Ma|0)|0;X=lh(Ma|0,C|0,hc|0,X|0)|0;Ea=lh(X|0,C|0,Na|0,Ea|0)|0;Fa=lh(Ea|0,C|0,Fa&2097151|0,0)|0;Ea=C;Na=wh(Za|0,0,jb|0,pb|0)|0;X=C;hc=wh(ka|0,0,wb|0,0)|0;Ma=C;jc=wh(p|0,0,I|0,0)|0;ic=C;lc=wh(h|0,0,tb|0,0)|0;kc=C;pc=wh(cb|0,0,E|0,0)|0;oc=C;nc=wh(ga|0,ha|0,v|0,0)|0;mc=C;ba=wh(f|0,0,jb|0,pb|0)|0;Xa=C;Wb=wh(Za|0,0,wb|0,0)|0;ja=C;Yb=wh(ka|0,0,I|0,0)|0;Vb=C;_b=wh(p|0,0,tb|0,0)|0;Xb=C;ac=wh(h|0,0,E|0,0)|0;Zb=C;bc=wh(cb|0,0,v|0,0)|0;cc=C;$b=wh(ga|0,ha|0,Sa|0,0)|0;$b=lh(bc|0,cc|0,$b|0,C|0)|0;Zb=lh($b|0,C|0,ac|0,Zb|0)|0;Xb=lh(Zb|0,C|0,_b|0,Xb|0)|0;Vb=lh(Xb|0,C|0,Yb|0,Vb|0)|0;ja=lh(Vb|0,C|0,Wb|0,ja|0)|0;Xa=lh(ja|0,C|0,ba|0,Xa|0)|0;Wa=lh(Xa|0,C|0,Wa&2097151|0,0)|0;Xa=C;ba=wh(Gc|0,Ab|0,jb|0,pb|0)|0;ja=C;Wb=wh(f|0,0,wb|0,0)|0;Vb=C;Yb=wh(Za|0,0,I|0,0)|0;Xb=C;_b=wh(ka|0,0,tb|0,0)|0;Zb=C;ac=wh(p|0,0,E|0,0)|0;$b=C;cc=wh(h|0,0,v|0,0)|0;bc=C;gc=wh(cb|0,0,Sa|0,0)|0;fc=C;ec=wh(ga|0,ha|0,y|0,ia|0)|0;dc=C;za=wh(ta|0,Ca|0,jb|0,pb|0)|0;Eb=C;Fb=wh(Gc|0,Ab|0,wb|0,0)|0;Gb=C;Hb=wh(f|0,0,I|0,0)|0;Ib=C;Jb=wh(Za|0,0,tb|0,0)|0;Kb=C;Lb=wh(ka|0,0,E|0,0)|0;Mb=C;Nb=wh(p|0,0,v|0,0)|0;Ob=C;Pb=wh(h|0,0,Sa|0,0)|0;Qb=C;Sb=wh(cb|0,0,y|0,ia|0)|0;Tb=C;Ub=wh(ga|0,ha|0,Pa|0,rb|0)|0;Ub=lh(Sb|0,Tb|0,Ub|0,C|0)|0;Qb=lh(Ub|0,C|0,Pb|0,Qb|0)|0;Ob=lh(Qb|0,C|0,Nb|0,Ob|0)|0;Mb=lh(Ob|0,C|0,Lb|0,Mb|0)|0;Kb=lh(Mb|0,C|0,Jb|0,Kb|0)|0;Ib=lh(Kb|0,C|0,Hb|0,Ib|0)|0;Gb=lh(Ib|0,C|0,Fb|0,Gb|0)|0;Eb=lh(Gb|0,C|0,za|0,Eb|0)|0;ca=lh(Eb|0,C|0,N|ya|da&2031616|0,ca|0)|0;da=C;ya=wh(Oa|0,0,jb|0,pb|0)|0;N=C;Eb=wh(ta|0,Ca|0,wb|0,0)|0;za=C;Gb=wh(Gc|0,Ab|0,I|0,0)|0;Fb=C;Ib=wh(f|0,0,tb|0,0)|0;Hb=C;Kb=wh(Za|0,0,E|0,0)|0;Jb=C;Mb=wh(ka|0,0,v|0,0)|0;Lb=C;Ob=wh(p|0,0,Sa|0,0)|0;Nb=C;Qb=wh(h|0,0,y|0,ia|0)|0;Pb=C;Ub=wh(cb|0,0,Pa|0,rb|0)|0;Tb=C;Sb=wh(ga|0,ha|0,Ra|0,0)|0;Rb=C;U=wh(Q|0,0,jb|0,pb|0)|0;S=C;gb=wh(Oa|0,0,wb|0,0)|0;V=C;H=wh(ta|0,Ca|0,I|0,0)|0;hb=C;ub=wh(Gc|0,Ab|0,tb|0,0)|0;D=C;P=wh(f|0,0,E|0,0)|0;vb=C;Ua=wh(Za|0,0,v|0,0)|0;J=C;mb=wh(ka|0,0,Sa|0,0)|0;Va=C;_=wh(p|0,0,y|0,ia|0)|0;nb=C;ab=wh(h|0,0,Pa|0,rb|0)|0;$=C;Cb=wh(cb|0,0,Ra|0,0)|0;Db=C;bb=wh(ga|0,ha|0,Bc|0,0)|0;bb=lh(Cb|0,Db|0,bb|0,C|0)|0;$=lh(bb|0,C|0,ab|0,$|0)|0;nb=lh($|0,C|0,_|0,nb|0)|0;Va=lh(nb|0,C|0,mb|0,Va|0)|0;J=lh(Va|0,C|0,Ua|0,J|0)|0;vb=lh(J|0,C|0,P|0,vb|0)|0;D=lh(vb|0,C|0,ub|0,D|0)|0;hb=lh(D|0,C|0,H|0,hb|0)|0;V=lh(hb|0,C|0,gb|0,V|0)|0;S=lh(V|0,C|0,U|0,S|0)|0;T=lh(S|0,C|0,T&2097151|0,0)|0;S=C;pb=wh(k|0,Ha|0,jb|0,pb|0)|0;jb=C;U=wh(Q|0,0,wb|0,0)|0;V=C;gb=wh(Oa|0,0,I|0,0)|0;hb=C;H=wh(ta|0,Ca|0,tb|0,0)|0;D=C;ub=wh(Gc|0,Ab|0,E|0,0)|0;vb=C;P=wh(f|0,0,v|0,0)|0;J=C;Ua=wh(Za|0,0,Sa|0,0)|0;Va=C;mb=wh(ka|0,0,y|0,ia|0)|0;nb=C;_=wh(p|0,0,Pa|0,rb|0)|0;$=C;ab=wh(h|0,0,Ra|0,0)|0;bb=C;Db=wh(cb|0,0,Bc|0,0)|0;Cb=C;ha=wh(ga|0,ha|0,r|0,Ja|0)|0;ga=C;wb=wh(k|0,Ha|0,wb|0,0)|0;xb=C;kb=wh(Q|0,0,I|0,0)|0;F=C;la=wh(Oa|0,0,tb|0,0)|0;lb=C;na=wh(ta|0,Ca|0,E|0,0)|0;fa=C;yb=wh(Gc|0,Ab|0,v|0,0)|0;qb=C;ra=wh(f|0,0,Sa|0,0)|0;zb=C;wa=wh(Za|0,0,y|0,ia|0)|0;qa=C;Ta=wh(ka|0,0,Pa|0,rb|0)|0;va=C;db=wh(p|0,0,Ra|0,0)|0;ma=C;sb=wh(h|0,0,Bc|0,0)|0;m=C;cb=wh(cb|0,0,r|0,Ja|0)|0;cb=lh(sb|0,m|0,cb|0,C|0)|0;ma=lh(cb|0,C|0,db|0,ma|0)|0;va=lh(ma|0,C|0,Ta|0,va|0)|0;qa=lh(va|0,C|0,wa|0,qa|0)|0;zb=lh(qa|0,C|0,ra|0,zb|0)|0;qb=lh(zb|0,C|0,yb|0,qb|0)|0;fa=lh(qb|0,C|0,na|0,fa|0)|0;lb=lh(fa|0,C|0,la|0,lb|0)|0;F=lh(lb|0,C|0,kb|0,F|0)|0;xb=lh(F|0,C|0,wb|0,xb|0)|0;wb=C;I=wh(k|0,Ha|0,I|0,0)|0;F=C;kb=wh(Q|0,0,tb|0,0)|0;lb=C;la=wh(Oa|0,0,E|0,0)|0;fa=C;na=wh(ta|0,Ca|0,v|0,0)|0;qb=C;yb=wh(Gc|0,Ab|0,Sa|0,0)|0;zb=C;ra=wh(f|0,0,y|0,ia|0)|0;qa=C;wa=wh(Za|0,0,Pa|0,rb|0)|0;va=C;Ta=wh(ka|0,0,Ra|0,0)|0;ma=C;db=wh(p|0,0,Bc|0,0)|0;cb=C;h=wh(h|0,0,r|0,Ja|0)|0;m=C;tb=wh(k|0,Ha|0,tb|0,0)|0;sb=C;eb=wh(Q|0,0,E|0,0)|0;g=C;K=wh(Oa|0,0,v|0,0)|0;fb=C;s=wh(ta|0,Ca|0,Sa|0,0)|0;n=C;ea=wh(Gc|0,Ab|0,y|0,ia|0)|0;x=C;pa=wh(f|0,0,Pa|0,rb|0)|0;l=C;ua=wh(Za|0,0,Ra|0,0)|0;L=C;Bb=wh(ka|0,0,Bc|0,0)|0;t=C;p=wh(p|0,0,r|0,Ja|0)|0;p=lh(Bb|0,t|0,p|0,C|0)|0;L=lh(p|0,C|0,ua|0,L|0)|0;l=lh(L|0,C|0,pa|0,l|0)|0;x=lh(l|0,C|0,ea|0,x|0)|0;n=lh(x|0,C|0,s|0,n|0)|0;fb=lh(n|0,C|0,K|0,fb|0)|0;g=lh(fb|0,C|0,eb|0,g|0)|0;sb=lh(g|0,C|0,tb|0,sb|0)|0;tb=C;E=wh(k|0,Ha|0,E|0,0)|0;g=C;eb=wh(Q|0,0,v|0,0)|0;fb=C;K=wh(Oa|0,0,Sa|0,0)|0;n=C;s=wh(ta|0,Ca|0,y|0,ia|0)|0;x=C;ea=wh(Gc|0,Ab|0,Pa|0,rb|0)|0;l=C;pa=wh(f|0,0,Ra|0,0)|0;L=C;ua=wh(Za|0,0,Bc|0,0)|0;p=C;ka=wh(ka|0,0,r|0,Ja|0)|0;t=C;v=wh(k|0,Ha|0,v|0,0)|0;Bb=C;B=wh(Q|0,0,Sa|0,0)|0;R=C;Z=wh(Oa|0,0,y|0,ia|0)|0;Qa=C;$a=wh(ta|0,Ca|0,Pa|0,rb|0)|0;Y=C;Ya=wh(Gc|0,Ab|0,Ra|0,0)|0;_a=C;O=wh(f|0,0,Bc|0,0)|0;u=C;Za=wh(Za|0,0,r|0,Ja|0)|0;Za=lh(O|0,u|0,Za|0,C|0)|0;_a=lh(Za|0,C|0,Ya|0,_a|0)|0;Y=lh(_a|0,C|0,$a|0,Y|0)|0;Qa=lh(Y|0,C|0,Z|0,Qa|0)|0;R=lh(Qa|0,C|0,B|0,R|0)|0;Bb=lh(R|0,C|0,v|0,Bb|0)|0;v=C;Sa=wh(k|0,Ha|0,Sa|0,0)|0;R=C;B=wh(Q|0,0,y|0,ia|0)|0;Qa=C;Z=wh(Oa|0,0,Pa|0,rb|0)|0;Y=C;$a=wh(ta|0,Ca|0,Ra|0,0)|0;_a=C;Ya=wh(Gc|0,Ab|0,Bc|0,0)|0;Za=C;f=wh(f|0,0,r|0,Ja|0)|0;u=C;ia=wh(k|0,Ha|0,y|0,ia|0)|0;y=C;O=wh(Q|0,0,Pa|0,rb|0)|0;Ia=C;xa=wh(Oa|0,0,Ra|0,0)|0;ib=C;Dc=wh(ta|0,Ca|0,Bc|0,0)|0;Fc=C;Ab=wh(Gc|0,Ab|0,r|0,Ja|0)|0;Ab=lh(Dc|0,Fc|0,Ab|0,C|0)|0;ib=lh(Ab|0,C|0,xa|0,ib|0)|0;Ia=lh(ib|0,C|0,O|0,Ia|0)|0;y=lh(Ia|0,C|0,ia|0,y|0)|0;ia=C;rb=wh(k|0,Ha|0,Pa|0,rb|0)|0;Pa=C;Ia=wh(Q|0,0,Ra|0,0)|0;O=C;ib=wh(Oa|0,0,Bc|0,0)|0;xa=C;Ca=wh(ta|0,Ca|0,r|0,Ja|0)|0;ta=C;Ra=wh(k|0,Ha|0,Ra|0,0)|0;Ab=C;Fc=wh(Q|0,0,Bc|0,0)|0;Dc=C;Oa=wh(Oa|0,0,r|0,Ja|0)|0;Oa=lh(Fc|0,Dc|0,Oa|0,C|0)|0;Ab=lh(Oa|0,C|0,Ra|0,Ab|0)|0;Ra=C;Bc=wh(k|0,Ha|0,Bc|0,0)|0;Oa=C;Q=wh(Q|0,0,r|0,Ja|0)|0;Q=lh(Bc|0,Oa|0,Q|0,C|0)|0;Oa=C;Ja=wh(k|0,Ha|0,r|0,Ja|0)|0;r=C;Ha=lh(Ga|0,aa|0,1048576,0)|0;Ha=oh(Ha|0,C|0,21)|0;k=C;sa=lh(Ac|0,zc|0,yc|0,sa|0)|0;sa=lh(sa|0,C|0,Ha|0,k|0)|0;Da=lh(sa|0,C|0,Da&2097151|0,0)|0;sa=C;k=ph(Ha|0,k|0,21)|0;k=kh(Ga|0,aa|0,k|0,C|0)|0;aa=C;Ga=lh(La|0,Ka|0,1048576,0)|0;Ga=oh(Ga|0,C|0,21)|0;Ha=C;rc=lh(xc|0,vc|0,sc|0,rc|0)|0;Ba=lh(rc|0,C|0,qc|0,Ba|0)|0;oa=lh(Ba|0,C|0,Aa|0,oa|0)|0;ob=lh(oa|0,C|0,ob&2097151|0,0)|0;ob=lh(ob|0,C|0,Ga|0,Ha|0)|0;oa=C;Ha=ph(Ga|0,Ha|0,21)|0;Ga=C;Aa=lh(Fa|0,Ea|0,1048576,0)|0;Aa=mh(Aa|0,C|0,21)|0;Ba=C;mc=lh(pc|0,oc|0,nc|0,mc|0)|0;kc=lh(mc|0,C|0,lc|0,kc|0)|0;ic=lh(kc|0,C|0,jc|0,ic|0)|0;Ma=lh(ic|0,C|0,hc|0,Ma|0)|0;X=lh(Ma|0,C|0,Na|0,X|0)|0;W=lh(X|0,C|0,W&2097151|0,0)|0;W=lh(W|0,C|0,Aa|0,Ba|0)|0;X=C;Ba=ph(Aa|0,Ba|0,21)|0;Aa=C;Na=lh(Wa|0,Xa|0,1048576,0)|0;Na=mh(Na|0,C|0,21)|0;Ma=C;dc=lh(gc|0,fc|0,ec|0,dc|0)|0;bc=lh(dc|0,C|0,cc|0,bc|0)|0;$b=lh(bc|0,C|0,ac|0,$b|0)|0;Zb=lh($b|0,C|0,_b|0,Zb|0)|0;Xb=lh(Zb|0,C|0,Yb|0,Xb|0)|0;Vb=lh(Xb|0,C|0,Wb|0,Vb|0)|0;ja=lh(Vb|0,C|0,ba|0,ja|0)|0;w=lh(ja|0,C|0,G|0,w|0)|0;w=lh(w|0,C|0,Na|0,Ma|0)|0;G=C;Ma=ph(Na|0,Ma|0,21)|0;Na=C;ja=lh(ca|0,da|0,1048576,0)|0;ja=mh(ja|0,C|0,21)|0;ba=C;Rb=lh(Ub|0,Tb|0,Sb|0,Rb|0)|0;Pb=lh(Rb|0,C|0,Qb|0,Pb|0)|0;Nb=lh(Pb|0,C|0,Ob|0,Nb|0)|0;Lb=lh(Nb|0,C|0,Mb|0,Lb|0)|0;Jb=lh(Lb|0,C|0,Kb|0,Jb|0)|0;Hb=lh(Jb|0,C|0,Ib|0,Hb|0)|0;Fb=lh(Hb|0,C|0,Gb|0,Fb|0)|0;za=lh(Fb|0,C|0,Eb|0,za|0)|0;N=lh(za|0,C|0,ya|0,N|0)|0;M=lh(N|0,C|0,M&2097151|0,0)|0;M=lh(M|0,C|0,ja|0,ba|0)|0;N=C;ba=ph(ja|0,ba|0,21)|0;ja=C;ya=lh(T|0,S|0,1048576,0)|0;ya=mh(ya|0,C|0,21)|0;za=C;ga=lh(Db|0,Cb|0,ha|0,ga|0)|0;bb=lh(ga|0,C|0,ab|0,bb|0)|0;$=lh(bb|0,C|0,_|0,$|0)|0;nb=lh($|0,C|0,mb|0,nb|0)|0;Va=lh(nb|0,C|0,Ua|0,Va|0)|0;J=lh(Va|0,C|0,P|0,J|0)|0;vb=lh(J|0,C|0,ub|0,vb|0)|0;D=lh(vb|0,C|0,H|0,D|0)|0;hb=lh(D|0,C|0,gb|0,hb|0)|0;V=lh(hb|0,C|0,U|0,V|0)|0;jb=lh(V|0,C|0,pb|0,jb|0)|0;j=lh(jb|0,C|0,A|0,j|0)|0;j=lh(j|0,C|0,ya|0,za|0)|0;A=C;za=ph(ya|0,za|0,21)|0;ya=C;jb=lh(xb|0,wb|0,1048576,0)|0;jb=mh(jb|0,C|0,21)|0;pb=C;m=lh(db|0,cb|0,h|0,m|0)|0;ma=lh(m|0,C|0,Ta|0,ma|0)|0;va=lh(ma|0,C|0,wa|0,va|0)|0;qa=lh(va|0,C|0,ra|0,qa|0)|0;zb=lh(qa|0,C|0,yb|0,zb|0)|0;qb=lh(zb|0,C|0,na|0,qb|0)|0;fa=lh(qb|0,C|0,la|0,fa|0)|0;lb=lh(fa|0,C|0,kb|0,lb|0)|0;F=lh(lb|0,C|0,I|0,F|0)|0;F=lh(F|0,C|0,jb|0,pb|0)|0;I=C;pb=ph(jb|0,pb|0,21)|0;jb=C;lb=lh(sb|0,tb|0,1048576,0)|0;lb=mh(lb|0,C|0,21)|0;kb=C;t=lh(ua|0,p|0,ka|0,t|0)|0;L=lh(t|0,C|0,pa|0,L|0)|0;l=lh(L|0,C|0,ea|0,l|0)|0;x=lh(l|0,C|0,s|0,x|0)|0;n=lh(x|0,C|0,K|0,n|0)|0;fb=lh(n|0,C|0,eb|0,fb|0)|0;g=lh(fb|0,C|0,E|0,g|0)|0;g=lh(g|0,C|0,lb|0,kb|0)|0;E=C;kb=ph(lb|0,kb|0,21)|0;lb=C;fb=lh(Bb|0,v|0,1048576,0)|0;fb=mh(fb|0,C|0,21)|0;eb=C;u=lh(Ya|0,Za|0,f|0,u|0)|0;_a=lh(u|0,C|0,$a|0,_a|0)|0;Y=lh(_a|0,C|0,Z|0,Y|0)|0;Qa=lh(Y|0,C|0,B|0,Qa|0)|0;R=lh(Qa|0,C|0,Sa|0,R|0)|0;R=lh(R|0,C|0,fb|0,eb|0)|0;Sa=C;eb=ph(fb|0,eb|0,21)|0;fb=C;Qa=lh(y|0,ia|0,1048576,0)|0;Qa=mh(Qa|0,C|0,21)|0;B=C;ta=lh(ib|0,xa|0,Ca|0,ta|0)|0;O=lh(ta|0,C|0,Ia|0,O|0)|0;Pa=lh(O|0,C|0,rb|0,Pa|0)|0;Pa=lh(Pa|0,C|0,Qa|0,B|0)|0;rb=C;B=ph(Qa|0,B|0,21)|0;B=kh(y|0,ia|0,B|0,C|0)|0;ia=C;y=lh(Ab|0,Ra|0,1048576,0)|0;y=mh(y|0,C|0,21)|0;Qa=C;Oa=lh(Q|0,Oa|0,y|0,Qa|0)|0;Q=C;Qa=ph(y|0,Qa|0,21)|0;Qa=kh(Ab|0,Ra|0,Qa|0,C|0)|0;Ra=C;Ab=lh(Ja|0,r|0,1048576,0)|0;Ab=mh(Ab|0,C|0,21)|0;y=C;O=ph(Ab|0,y|0,21)|0;O=kh(Ja|0,r|0,O|0,C|0)|0;r=C;Ja=lh(Da|0,sa|0,1048576,0)|0;Ja=oh(Ja|0,C|0,21)|0;Ia=C;ta=ph(Ja|0,Ia|0,21)|0;ta=kh(Da|0,sa|0,ta|0,C|0)|0;sa=C;Da=lh(ob|0,oa|0,1048576,0)|0;Da=mh(Da|0,C|0,21)|0;Ca=C;xa=ph(Da|0,Ca|0,21)|0;xa=kh(ob|0,oa|0,xa|0,C|0)|0;oa=C;ob=lh(W|0,X|0,1048576,0)|0;ob=mh(ob|0,C|0,21)|0;ib=C;Y=ph(ob|0,ib|0,21)|0;Z=C;_a=lh(w|0,G|0,1048576,0)|0;_a=mh(_a|0,C|0,21)|0;$a=C;u=ph(_a|0,$a|0,21)|0;f=C;Za=lh(M|0,N|0,1048576,0)|0;Za=mh(Za|0,C|0,21)|0;Ya=C;n=ph(Za|0,Ya|0,21)|0;K=C;x=lh(j|0,A|0,1048576,0)|0;x=mh(x|0,C|0,21)|0;s=C;l=ph(x|0,s|0,21)|0;ea=C;L=lh(F|0,I|0,1048576,0)|0;L=mh(L|0,C|0,21)|0;pa=C;t=ph(L|0,pa|0,21)|0;ka=C;p=lh(g|0,E|0,1048576,0)|0;p=mh(p|0,C|0,21)|0;ua=C;fa=ph(p|0,ua|0,21)|0;la=C;qb=lh(R|0,Sa|0,1048576,0)|0;qb=mh(qb|0,C|0,21)|0;na=C;ia=lh(qb|0,na|0,B|0,ia|0)|0;B=C;na=ph(qb|0,na|0,21)|0;na=kh(R|0,Sa|0,na|0,C|0)|0;Sa=C;R=lh(Pa|0,rb|0,1048576,0)|0;R=mh(R|0,C|0,21)|0;qb=C;Ra=lh(R|0,qb|0,Qa|0,Ra|0)|0;Qa=C;qb=ph(R|0,qb|0,21)|0;qb=kh(Pa|0,rb|0,qb|0,C|0)|0;rb=C;Pa=lh(Oa|0,Q|0,1048576,0)|0;Pa=mh(Pa|0,C|0,21)|0;R=C;r=lh(Pa|0,R|0,O|0,r|0)|0;O=C;R=ph(Pa|0,R|0,21)|0;R=kh(Oa|0,Q|0,R|0,C|0)|0;Q=C;Oa=wh(Ab|0,y|0,666643,0)|0;Pa=C;zb=wh(Ab|0,y|0,470296,0)|0;yb=C;qa=wh(Ab|0,y|0,654183,0)|0;ra=C;va=wh(Ab|0,y|0,-997805,-1)|0;wa=C;ma=wh(Ab|0,y|0,136657,0)|0;Ta=C;y=wh(Ab|0,y|0,-683901,-1)|0;y=lh(Bb|0,v|0,y|0,C|0)|0;fb=kh(y|0,C|0,eb|0,fb|0)|0;ua=lh(fb|0,C|0,p|0,ua|0)|0;p=C;fb=wh(r|0,O|0,666643,0)|0;eb=C;y=wh(r|0,O|0,470296,0)|0;v=C;Bb=wh(r|0,O|0,654183,0)|0;Ab=C;m=wh(r|0,O|0,-997805,-1)|0;h=C;cb=wh(r|0,O|0,136657,0)|0;db=C;O=wh(r|0,O|0,-683901,-1)|0;r=C;V=wh(R|0,Q|0,666643,0)|0;U=C;hb=wh(R|0,Q|0,470296,0)|0;gb=C;D=wh(R|0,Q|0,654183,0)|0;H=C;vb=wh(R|0,Q|0,-997805,-1)|0;ub=C;J=wh(R|0,Q|0,136657,0)|0;P=C;Q=wh(R|0,Q|0,-683901,-1)|0;R=C;wa=lh(sb|0,tb|0,va|0,wa|0)|0;db=lh(wa|0,C|0,cb|0,db|0)|0;R=lh(db|0,C|0,Q|0,R|0)|0;lb=kh(R|0,C|0,kb|0,lb|0)|0;pa=lh(lb|0,C|0,L|0,pa|0)|0;L=C;lb=wh(Ra|0,Qa|0,666643,0)|0;kb=C;R=wh(Ra|0,Qa|0,470296,0)|0;Q=C;db=wh(Ra|0,Qa|0,654183,0)|0;cb=C;wa=wh(Ra|0,Qa|0,-997805,-1)|0;va=C;tb=wh(Ra|0,Qa|0,136657,0)|0;sb=C;Qa=wh(Ra|0,Qa|0,-683901,-1)|0;Ra=C;Va=wh(qb|0,rb|0,666643,0)|0;Ua=C;nb=wh(qb|0,rb|0,470296,0)|0;mb=C;$=wh(qb|0,rb|0,654183,0)|0;_=C;bb=wh(qb|0,rb|0,-997805,-1)|0;ab=C;ga=wh(qb|0,rb|0,136657,0)|0;ha=C;rb=wh(qb|0,rb|0,-683901,-1)|0;qb=C;yb=lh(Bb|0,Ab|0,zb|0,yb|0)|0;wb=lh(yb|0,C|0,xb|0,wb|0)|0;ub=lh(wb|0,C|0,vb|0,ub|0)|0;sb=lh(ub|0,C|0,tb|0,sb|0)|0;qb=lh(sb|0,C|0,rb|0,qb|0)|0;jb=kh(qb|0,C|0,pb|0,jb|0)|0;s=lh(jb|0,C|0,x|0,s|0)|0;x=C;jb=wh(ia|0,B|0,666643,0)|0;jb=lh(ob|0,ib|0,jb|0,C|0)|0;Xa=lh(jb|0,C|0,Wa|0,Xa|0)|0;Na=kh(Xa|0,C|0,Ma|0,Na|0)|0;Ma=C;Xa=wh(ia|0,B|0,470296,0)|0;Wa=C;jb=wh(ia|0,B|0,654183,0)|0;ib=C;kb=lh(nb|0,mb|0,lb|0,kb|0)|0;ib=lh(kb|0,C|0,jb|0,ib|0)|0;$a=lh(ib|0,C|0,_a|0,$a|0)|0;da=lh($a|0,C|0,ca|0,da|0)|0;ja=kh(da|0,C|0,ba|0,ja|0)|0;ba=C;da=wh(ia|0,B|0,-997805,-1)|0;ca=C;$a=wh(ia|0,B|0,136657,0)|0;_a=C;eb=lh(hb|0,gb|0,fb|0,eb|0)|0;cb=lh(eb|0,C|0,db|0,cb|0)|0;ab=lh(cb|0,C|0,bb|0,ab|0)|0;_a=lh(ab|0,C|0,$a|0,_a|0)|0;Ya=lh(_a|0,C|0,Za|0,Ya|0)|0;S=lh(Ya|0,C|0,T|0,S|0)|0;ya=kh(S|0,C|0,za|0,ya|0)|0;za=C;B=wh(ia|0,B|0,-683901,-1)|0;ia=C;S=lh(Na|0,Ma|0,1048576,0)|0;S=mh(S|0,C|0,21)|0;T=C;Ua=lh(Xa|0,Wa|0,Va|0,Ua|0)|0;G=lh(Ua|0,C|0,w|0,G|0)|0;f=kh(G|0,C|0,u|0,f|0)|0;f=lh(f|0,C|0,S|0,T|0)|0;u=C;T=ph(S|0,T|0,21)|0;S=C;G=lh(ja|0,ba|0,1048576,0)|0;G=mh(G|0,C|0,21)|0;w=C;U=lh(R|0,Q|0,V|0,U|0)|0;_=lh(U|0,C|0,$|0,_|0)|0;ca=lh(_|0,C|0,da|0,ca|0)|0;N=lh(ca|0,C|0,M|0,N|0)|0;K=kh(N|0,C|0,n|0,K|0)|0;K=lh(K|0,C|0,G|0,w|0)|0;n=C;w=ph(G|0,w|0,21)|0;G=C;N=lh(ya|0,za|0,1048576,0)|0;N=mh(N|0,C|0,21)|0;M=C;Pa=lh(y|0,v|0,Oa|0,Pa|0)|0;H=lh(Pa|0,C|0,D|0,H|0)|0;va=lh(H|0,C|0,wa|0,va|0)|0;ha=lh(va|0,C|0,ga|0,ha|0)|0;ia=lh(ha|0,C|0,B|0,ia|0)|0;A=lh(ia|0,C|0,j|0,A|0)|0;ea=kh(A|0,C|0,l|0,ea|0)|0;ea=lh(ea|0,C|0,N|0,M|0)|0;l=C;M=ph(N|0,M|0,21)|0;N=C;A=lh(s|0,x|0,1048576,0)|0;A=mh(A|0,C|0,21)|0;j=C;ra=lh(m|0,h|0,qa|0,ra|0)|0;P=lh(ra|0,C|0,J|0,P|0)|0;Ra=lh(P|0,C|0,Qa|0,Ra|0)|0;I=lh(Ra|0,C|0,F|0,I|0)|0;ka=kh(I|0,C|0,t|0,ka|0)|0;ka=lh(ka|0,C|0,A|0,j|0)|0;t=C;j=ph(A|0,j|0,21)|0;j=kh(s|0,x|0,j|0,C|0)|0;x=C;s=lh(pa|0,L|0,1048576,0)|0;s=mh(s|0,C|0,21)|0;A=C;Ta=lh(O|0,r|0,ma|0,Ta|0)|0;E=lh(Ta|0,C|0,g|0,E|0)|0;la=kh(E|0,C|0,fa|0,la|0)|0;la=lh(la|0,C|0,s|0,A|0)|0;fa=C;A=ph(s|0,A|0,21)|0;A=kh(pa|0,L|0,A|0,C|0)|0;L=C;pa=lh(ua|0,p|0,1048576,0)|0;pa=mh(pa|0,C|0,21)|0;s=C;Sa=lh(pa|0,s|0,na|0,Sa|0)|0;na=C;s=ph(pa|0,s|0,21)|0;s=kh(ua|0,p|0,s|0,C|0)|0;p=C;ua=lh(f|0,u|0,1048576,0)|0;ua=mh(ua|0,C|0,21)|0;pa=C;E=ph(ua|0,pa|0,21)|0;g=C;Ta=lh(K|0,n|0,1048576,0)|0;Ta=mh(Ta|0,C|0,21)|0;ma=C;r=ph(Ta|0,ma|0,21)|0;O=C;I=lh(ea|0,l|0,1048576,0)|0;I=mh(I|0,C|0,21)|0;F=C;x=lh(I|0,F|0,j|0,x|0)|0;j=C;F=ph(I|0,F|0,21)|0;F=kh(ea|0,l|0,F|0,C|0)|0;l=C;ea=lh(ka|0,t|0,1048576,0)|0;ea=mh(ea|0,C|0,21)|0;I=C;L=lh(ea|0,I|0,A|0,L|0)|0;A=C;I=ph(ea|0,I|0,21)|0;I=kh(ka|0,t|0,I|0,C|0)|0;t=C;ka=lh(la|0,fa|0,1048576,0)|0;ka=mh(ka|0,C|0,21)|0;ea=C;p=lh(ka|0,ea|0,s|0,p|0)|0;s=C;ea=ph(ka|0,ea|0,21)|0;ea=kh(la|0,fa|0,ea|0,C|0)|0;fa=C;la=wh(Sa|0,na|0,666643,0)|0;ka=C;Ra=wh(Sa|0,na|0,470296,0)|0;Qa=C;P=wh(Sa|0,na|0,654183,0)|0;J=C;ra=wh(Sa|0,na|0,-997805,-1)|0;qa=C;h=wh(Sa|0,na|0,136657,0)|0;m=C;na=wh(Sa|0,na|0,-683901,-1)|0;na=lh(Ta|0,ma|0,na|0,C|0)|0;za=lh(na|0,C|0,ya|0,za|0)|0;N=kh(za|0,C|0,M|0,N|0)|0;M=C;za=wh(p|0,s|0,666643,0)|0;ya=C;na=wh(p|0,s|0,470296,0)|0;ma=C;Ta=wh(p|0,s|0,654183,0)|0;Sa=C;ia=wh(p|0,s|0,-997805,-1)|0;B=C;ha=wh(p|0,s|0,136657,0)|0;ga=C;s=wh(p|0,s|0,-683901,-1)|0;p=C;va=wh(ea|0,fa|0,666643,0)|0;va=lh(xa|0,oa|0,va|0,C|0)|0;oa=C;xa=wh(ea|0,fa|0,470296,0)|0;wa=C;H=wh(ea|0,fa|0,654183,0)|0;D=C;Pa=wh(ea|0,fa|0,-997805,-1)|0;Oa=C;v=wh(ea|0,fa|0,136657,0)|0;y=C;fa=wh(ea|0,fa|0,-683901,-1)|0;ea=C;qa=lh(ha|0,ga|0,ra|0,qa|0)|0;ea=lh(qa|0,C|0,fa|0,ea|0)|0;pa=lh(ea|0,C|0,ua|0,pa|0)|0;ba=lh(pa|0,C|0,ja|0,ba|0)|0;G=kh(ba|0,C|0,w|0,G|0)|0;w=C;ba=wh(L|0,A|0,666643,0)|0;ja=C;pa=wh(L|0,A|0,470296,0)|0;pa=lh(va|0,oa|0,pa|0,C|0)|0;oa=C;va=wh(L|0,A|0,654183,0)|0;ua=C;ea=wh(L|0,A|0,-997805,-1)|0;fa=C;qa=wh(L|0,A|0,136657,0)|0;ra=C;A=wh(L|0,A|0,-683901,-1)|0;L=C;ga=wh(I|0,t|0,666643,0)|0;ha=C;ca=wh(I|0,t|0,470296,0)|0;da=C;_=wh(I|0,t|0,654183,0)|0;$=C;U=wh(I|0,t|0,-997805,-1)|0;V=C;Q=wh(I|0,t|0,136657,0)|0;R=C;t=wh(I|0,t|0,-683901,-1)|0;I=C;Qa=lh(Ta|0,Sa|0,Ra|0,Qa|0)|0;Oa=lh(Qa|0,C|0,Pa|0,Oa|0)|0;Ma=lh(Oa|0,C|0,Na|0,Ma|0)|0;S=kh(Ma|0,C|0,T|0,S|0)|0;ra=lh(S|0,C|0,qa|0,ra|0)|0;I=lh(ra|0,C|0,t|0,I|0)|0;t=C;ra=wh(x|0,j|0,666643,0)|0;aa=lh(ra|0,C|0,k|0,aa|0)|0;k=C;ra=wh(x|0,j|0,470296,0)|0;qa=C;S=wh(x|0,j|0,654183,0)|0;T=C;Ia=lh(La|0,Ka|0,Ja|0,Ia|0)|0;Ga=kh(Ia|0,C|0,Ha|0,Ga|0)|0;ja=lh(Ga|0,C|0,ba|0,ja|0)|0;T=lh(ja|0,C|0,S|0,T|0)|0;da=lh(T|0,C|0,ca|0,da|0)|0;ca=C;T=wh(x|0,j|0,-997805,-1)|0;S=C;ja=wh(x|0,j|0,136657,0)|0;ba=C;Ca=lh(Fa|0,Ea|0,Da|0,Ca|0)|0;Aa=kh(Ca|0,C|0,Ba|0,Aa|0)|0;ya=lh(Aa|0,C|0,za|0,ya|0)|0;wa=lh(ya|0,C|0,xa|0,wa|0)|0;ua=lh(wa|0,C|0,va|0,ua|0)|0;ba=lh(ua|0,C|0,ja|0,ba|0)|0;V=lh(ba|0,C|0,U|0,V|0)|0;U=C;j=wh(x|0,j|0,-683901,-1)|0;x=C;ba=lh(aa|0,k|0,1048576,0)|0;ba=mh(ba|0,C|0,21)|0;ja=C;qa=lh(ta|0,sa|0,ra|0,qa|0)|0;ha=lh(qa|0,C|0,ga|0,ha|0)|0;ha=lh(ha|0,C|0,ba|0,ja|0)|0;ga=C;ja=ph(ba|0,ja|0,21)|0;ja=kh(aa|0,k|0,ja|0,C|0)|0;k=C;aa=lh(da|0,ca|0,1048576,0)|0;aa=mh(aa|0,C|0,21)|0;ba=C;S=lh(pa|0,oa|0,T|0,S|0)|0;$=lh(S|0,C|0,_|0,$|0)|0;$=lh($|0,C|0,aa|0,ba|0)|0;_=C;ba=ph(aa|0,ba|0,21)|0;aa=C;S=lh(V|0,U|0,1048576,0)|0;S=mh(S|0,C|0,21)|0;T=C;ka=lh(na|0,ma|0,la|0,ka|0)|0;D=lh(ka|0,C|0,H|0,D|0)|0;X=lh(D|0,C|0,W|0,X|0)|0;Z=kh(X|0,C|0,Y|0,Z|0)|0;fa=lh(Z|0,C|0,ea|0,fa|0)|0;x=lh(fa|0,C|0,j|0,x|0)|0;R=lh(x|0,C|0,Q|0,R|0)|0;R=lh(R|0,C|0,S|0,T|0)|0;Q=C;T=ph(S|0,T|0,21)|0;S=C;x=lh(I|0,t|0,1048576,0)|0;x=mh(x|0,C|0,21)|0;j=C;J=lh(ia|0,B|0,P|0,J|0)|0;y=lh(J|0,C|0,v|0,y|0)|0;u=lh(y|0,C|0,f|0,u|0)|0;g=kh(u|0,C|0,E|0,g|0)|0;L=lh(g|0,C|0,A|0,L|0)|0;L=lh(L|0,C|0,x|0,j|0)|0;A=C;j=ph(x|0,j|0,21)|0;j=kh(I|0,t|0,j|0,C|0)|0;t=C;I=lh(G|0,w|0,1048576,0)|0;I=mh(I|0,C|0,21)|0;x=C;m=lh(s|0,p|0,h|0,m|0)|0;n=lh(m|0,C|0,K|0,n|0)|0;n=lh(n|0,C|0,I|0,x|0)|0;O=kh(n|0,C|0,r|0,O|0)|0;r=C;x=ph(I|0,x|0,21)|0;x=kh(G|0,w|0,x|0,C|0)|0;w=C;G=lh(N|0,M|0,1048576,0)|0;G=mh(G|0,C|0,21)|0;I=C;l=lh(F|0,l|0,G|0,I|0)|0;F=C;I=ph(G|0,I|0,21)|0;G=C;n=lh(ha|0,ga|0,1048576,0)|0;n=mh(n|0,C|0,21)|0;K=C;m=ph(n|0,K|0,21)|0;h=C;p=lh($|0,_|0,1048576,0)|0;p=mh(p|0,C|0,21)|0;s=C;g=ph(p|0,s|0,21)|0;E=C;u=lh(R|0,Q|0,1048576,0)|0;u=mh(u|0,C|0,21)|0;f=C;t=lh(j|0,t|0,u|0,f|0)|0;j=C;f=ph(u|0,f|0,21)|0;u=C;y=lh(L|0,A|0,1048576,0)|0;y=mh(y|0,C|0,21)|0;v=C;w=lh(x|0,w|0,y|0,v|0)|0;x=C;v=ph(y|0,v|0,21)|0;v=kh(L|0,A|0,v|0,C|0)|0;A=C;L=lh(O|0,r|0,1048576,0)|0;L=mh(L|0,C|0,21)|0;y=C;J=ph(L|0,y|0,21)|0;J=kh(O|0,r|0,J|0,C|0)|0;r=C;O=lh(l|0,F|0,1048576,0)|0;O=mh(O|0,C|0,21)|0;P=C;B=ph(O|0,P|0,21)|0;B=kh(l|0,F|0,B|0,C|0)|0;F=C;l=wh(O|0,P|0,666643,0)|0;l=lh(ja|0,k|0,l|0,C|0)|0;k=C;ja=wh(O|0,P|0,470296,0)|0;ia=C;fa=wh(O|0,P|0,654183,0)|0;ea=C;Z=wh(O|0,P|0,-997805,-1)|0;Y=C;X=wh(O|0,P|0,136657,0)|0;W=C;P=wh(O|0,P|0,-683901,-1)|0;O=C;D=mh(l|0,k|0,21)|0;H=C;ga=lh(ja|0,ia|0,ha|0,ga|0)|0;h=kh(ga|0,C|0,m|0,h|0)|0;h=lh(h|0,C|0,D|0,H|0)|0;m=C;H=ph(D|0,H|0,21)|0;H=kh(l|0,k|0,H|0,C|0)|0;k=C;l=mh(h|0,m|0,21)|0;D=C;ca=lh(fa|0,ea|0,da|0,ca|0)|0;aa=kh(ca|0,C|0,ba|0,aa|0)|0;K=lh(aa|0,C|0,n|0,K|0)|0;K=lh(K|0,C|0,l|0,D|0)|0;n=C;D=ph(l|0,D|0,21)|0;D=kh(h|0,m|0,D|0,C|0)|0;m=C;h=mh(K|0,n|0,21)|0;l=C;Y=lh($|0,_|0,Z|0,Y|0)|0;E=kh(Y|0,C|0,g|0,E|0)|0;E=lh(E|0,C|0,h|0,l|0)|0;g=C;l=ph(h|0,l|0,21)|0;l=kh(K|0,n|0,l|0,C|0)|0;n=C;K=mh(E|0,g|0,21)|0;h=C;U=lh(X|0,W|0,V|0,U|0)|0;S=kh(U|0,C|0,T|0,S|0)|0;s=lh(S|0,C|0,p|0,s|0)|0;s=lh(s|0,C|0,K|0,h|0)|0;p=C;h=ph(K|0,h|0,21)|0;h=kh(E|0,g|0,h|0,C|0)|0;g=C;E=mh(s|0,p|0,21)|0;K=C;O=lh(R|0,Q|0,P|0,O|0)|0;u=kh(O|0,C|0,f|0,u|0)|0;u=lh(u|0,C|0,E|0,K|0)|0;f=C;K=ph(E|0,K|0,21)|0;K=kh(s|0,p|0,K|0,C|0)|0;p=C;s=mh(u|0,f|0,21)|0;E=C;j=lh(t|0,j|0,s|0,E|0)|0;t=C;E=ph(s|0,E|0,21)|0;E=kh(u|0,f|0,E|0,C|0)|0;f=C;u=mh(j|0,t|0,21)|0;s=C;A=lh(u|0,s|0,v|0,A|0)|0;v=C;s=ph(u|0,s|0,21)|0;s=kh(j|0,t|0,s|0,C|0)|0;t=C;j=mh(A|0,v|0,21)|0;u=C;x=lh(w|0,x|0,j|0,u|0)|0;w=C;u=ph(j|0,u|0,21)|0;u=kh(A|0,v|0,u|0,C|0)|0;v=C;A=mh(x|0,w|0,21)|0;j=C;r=lh(A|0,j|0,J|0,r|0)|0;J=C;j=ph(A|0,j|0,21)|0;j=kh(x|0,w|0,j|0,C|0)|0;w=C;x=mh(r|0,J|0,21)|0;A=C;y=lh(N|0,M|0,L|0,y|0)|0;G=kh(y|0,C|0,I|0,G|0)|0;G=lh(G|0,C|0,x|0,A|0)|0;I=C;A=ph(x|0,A|0,21)|0;A=kh(r|0,J|0,A|0,C|0)|0;J=C;r=mh(G|0,I|0,21)|0;x=C;F=lh(r|0,x|0,B|0,F|0)|0;B=C;x=ph(r|0,x|0,21)|0;x=kh(G|0,I|0,x|0,C|0)|0;I=C;G=mh(F|0,B|0,21)|0;r=C;y=ph(G|0,r|0,21)|0;y=kh(F|0,B|0,y|0,C|0)|0;B=C;F=wh(G|0,r|0,666643,0)|0;k=lh(F|0,C|0,H|0,k|0)|0;H=C;F=wh(G|0,r|0,470296,0)|0;F=lh(D|0,m|0,F|0,C|0)|0;m=C;D=wh(G|0,r|0,654183,0)|0;D=lh(l|0,n|0,D|0,C|0)|0;n=C;l=wh(G|0,r|0,-997805,-1)|0;l=lh(h|0,g|0,l|0,C|0)|0;g=C;h=wh(G|0,r|0,136657,0)|0;h=lh(K|0,p|0,h|0,C|0)|0;p=C;r=wh(G|0,r|0,-683901,-1)|0;r=lh(E|0,f|0,r|0,C|0)|0;f=C;E=mh(k|0,H|0,21)|0;G=C;m=lh(F|0,m|0,E|0,G|0)|0;F=C;G=ph(E|0,G|0,21)|0;G=kh(k|0,H|0,G|0,C|0)|0;H=C;k=mh(m|0,F|0,21)|0;E=C;n=lh(D|0,n|0,k|0,E|0)|0;D=C;E=ph(k|0,E|0,21)|0;E=kh(m|0,F|0,E|0,C|0)|0;F=C;m=mh(n|0,D|0,21)|0;k=C;g=lh(l|0,g|0,m|0,k|0)|0;l=C;k=ph(m|0,k|0,21)|0;k=kh(n|0,D|0,k|0,C|0)|0;D=C;n=mh(g|0,l|0,21)|0;m=C;p=lh(h|0,p|0,n|0,m|0)|0;h=C;m=ph(n|0,m|0,21)|0;m=kh(g|0,l|0,m|0,C|0)|0;l=C;g=mh(p|0,h|0,21)|0;n=C;f=lh(r|0,f|0,g|0,n|0)|0;r=C;n=ph(g|0,n|0,21)|0;n=kh(p|0,h|0,n|0,C|0)|0;h=C;p=mh(f|0,r|0,21)|0;g=C;t=lh(p|0,g|0,s|0,t|0)|0;s=C;g=ph(p|0,g|0,21)|0;g=kh(f|0,r|0,g|0,C|0)|0;r=C;f=mh(t|0,s|0,21)|0;p=C;v=lh(f|0,p|0,u|0,v|0)|0;u=C;p=ph(f|0,p|0,21)|0;p=kh(t|0,s|0,p|0,C|0)|0;s=C;t=mh(v|0,u|0,21)|0;f=C;w=lh(t|0,f|0,j|0,w|0)|0;j=C;f=ph(t|0,f|0,21)|0;f=kh(v|0,u|0,f|0,C|0)|0;u=C;v=mh(w|0,j|0,21)|0;t=C;J=lh(v|0,t|0,A|0,J|0)|0;A=C;t=ph(v|0,t|0,21)|0;t=kh(w|0,j|0,t|0,C|0)|0;j=C;w=mh(J|0,A|0,21)|0;v=C;I=lh(w|0,v|0,x|0,I|0)|0;x=C;v=ph(w|0,v|0,21)|0;v=kh(J|0,A|0,v|0,C|0)|0;A=C;J=mh(I|0,x|0,21)|0;w=C;B=lh(J|0,w|0,y|0,B|0)|0;y=C;w=ph(J|0,w|0,21)|0;w=kh(I|0,x|0,w|0,C|0)|0;x=C;a[o>>0]=G;o=oh(G|0,H|0,8)|0;a[b+33>>0]=o;o=oh(G|0,H|0,16)|0;H=C;G=ph(E|0,F|0,5)|0;a[b+34>>0]=G|o;o=oh(E|0,F|0,3)|0;a[b+35>>0]=o;o=oh(E|0,F|0,11)|0;a[b+36>>0]=o;o=oh(E|0,F|0,19)|0;F=C;E=ph(k|0,D|0,2)|0;a[b+37>>0]=E|o;o=oh(k|0,D|0,6)|0;a[b+38>>0]=o;o=oh(k|0,D|0,14)|0;D=C;k=ph(m|0,l|0,7)|0;a[b+39>>0]=k|o;o=oh(m|0,l|0,1)|0;a[b+40>>0]=o;o=oh(m|0,l|0,9)|0;a[b+41>>0]=o;o=oh(m|0,l|0,17)|0;l=C;m=ph(n|0,h|0,4)|0;a[b+42>>0]=m|o;o=oh(n|0,h|0,4)|0;a[b+43>>0]=o;o=oh(n|0,h|0,12)|0;a[b+44>>0]=o;h=oh(n|0,h|0,20)|0;n=C;o=ph(g|0,r|0,1)|0;a[b+45>>0]=o|h;h=oh(g|0,r|0,7)|0;a[b+46>>0]=h;r=oh(g|0,r|0,15)|0;g=C;h=ph(p|0,s|0,6)|0;a[b+47>>0]=h|r;r=oh(p|0,s|0,2)|0;a[b+48>>0]=r;r=oh(p|0,s|0,10)|0;a[b+49>>0]=r;s=oh(p|0,s|0,18)|0;p=C;r=ph(f|0,u|0,3)|0;a[b+50>>0]=r|s;s=oh(f|0,u|0,5)|0;a[b+51>>0]=s;u=oh(f|0,u|0,13)|0;a[b+52>>0]=u;a[b+53>>0]=t;u=oh(t|0,j|0,8)|0;a[b+54>>0]=u;j=oh(t|0,j|0,16)|0;t=C;u=ph(v|0,A|0,5)|0;a[b+55>>0]=u|j;j=oh(v|0,A|0,3)|0;a[b+56>>0]=j;j=oh(v|0,A|0,11)|0;a[b+57>>0]=j;A=oh(v|0,A|0,19)|0;v=C;j=ph(w|0,x|0,2)|0;a[b+58>>0]=j|A;A=oh(w|0,x|0,6)|0;a[b+59>>0]=A;x=oh(w|0,x|0,14)|0;w=C;A=ph(B|0,y|0,7)|0;a[b+60>>0]=x|A;A=oh(B|0,y|0,1)|0;a[b+61>>0]=A;A=oh(B|0,y|0,9)|0;a[b+62>>0]=A;y=oh(B|0,y|0,17)|0;a[b+63>>0]=y;y=q;B=y+64|0;do{a[y>>0]=0;y=y+1|0}while((y|0)<(B|0));if(!e){i=z;return 0}Gc=e;c[Gc>>2]=64;c[Gc+4>>2]=0;i=z;return 0}function eg(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;h=i;j=i=i+63&-64;i=i+16|0;k=a+64|0;rh(k|0,d|0,e|0)|0;dg(a,j,k,e,f,g)|0;g=j;d=(b|0)!=0;if((c[g>>2]|0)==64&(c[g+4>>2]|0)==0){if(!d){k=0;i=h;return k|0}j=lh(e|0,f|0,64,0)|0;k=b;c[k>>2]=j;c[k+4>>2]=C;k=0;i=h;return k|0}else{if(d){k=b;c[k>>2]=0;c[k+4>>2]=0}k=lh(e|0,f|0,64,0)|0;nh(a|0,0,k|0)|0;k=-1;i=h;return k|0}return 0}function fg(){return 32}function gg(){return 8}function hg(){return 12}function ig(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;j=i;h=i=i+63&-64;i=i+64|0;if((b|0)==0&(e|0)==0){i=j;return 0}c[h>>2]=1634760805;c[h+4>>2]=857760878;c[h+8>>2]=2036477234;c[h+12>>2]=1797285236;c[h+16>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;k=g+4|0;c[h+20>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+8|0;c[h+24>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+12|0;c[h+28>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+16|0;c[h+32>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+20|0;c[h+36>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+24|0;c[h+40>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;g=g+28|0;c[h+44>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;c[h+48>>2]=0;c[h+52>>2]=0;c[h+56>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;f=f+4|0;c[h+60>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;nh(a|0,0,b|0)|0;og(h,a,a,b,e);b=h+64|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(b|0));i=j;return 0}function jg(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;j=i;h=i=i+63&-64;i=i+64|0;if((b|0)==0&(e|0)==0){i=j;return 0}c[h>>2]=1634760805;c[h+4>>2]=857760878;c[h+8>>2]=2036477234;c[h+12>>2]=1797285236;c[h+16>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;k=g+4|0;c[h+20>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+8|0;c[h+24>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+12|0;c[h+28>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+16|0;c[h+32>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+20|0;c[h+36>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;k=g+24|0;c[h+40>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;g=g+28|0;c[h+44>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;c[h+48>>2]=0;c[h+52>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;g=f+4|0;c[h+56>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;f=f+8|0;c[h+60>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;nh(a|0,0,b|0)|0;og(h,a,a,b,e);b=h+64|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(b|0));i=j;return 0}
function Fa(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+15&-16;return b|0}function Ga(){return i|0}function Ha(a){a=a|0;i=a}function Ia(a,b){a=a|0;b=b|0;i=a;j=b}function Ja(a,b){a=a|0;b=b|0;if(!n){n=a;o=b}}function Ka(b){b=b|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0]}function La(b){b=b|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0]}function Ma(a){a=a|0;C=a}function Na(){return C|0}function Oa(b,f,g,h,j,k,l,m,n,o,p,q){b=b|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;D=i;i=i+400|0;z=D+328|0;B=D;y=D+264|0;A=D+256|0;c[z>>2]=1634760805;c[z+4>>2]=857760878;c[z+8>>2]=2036477234;c[z+12>>2]=1797285236;c[z+16>>2]=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;x=q+4|0;c[z+20>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;o=q+8|0;c[z+24>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;r=q+12|0;c[z+28>>2]=d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24;s=q+16|0;c[z+32>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;t=q+20|0;c[z+36>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;u=q+24|0;c[z+40>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;v=q+28|0;c[z+44>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[z+48>>2]=0;c[z+52>>2]=0;c[z+56>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;w=p+4|0;c[z+60>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;C=y;E=C+64|0;do{c[C>>2]=0;C=C+4|0}while((C|0)<(E|0));og(z,y,y,64,0);c[B>>2]=c[y>>2]&67108863;C=y+3|0;c[B+4>>2]=(d[C>>0]|d[C+1>>0]<<8|d[C+2>>0]<<16|d[C+3>>0]<<24)>>>2&67108611;C=y+6|0;c[B+8>>2]=(e[C>>1]|e[C+2>>1]<<16)>>>4&67092735;C=y+9|0;c[B+12>>2]=(d[C>>0]|d[C+1>>0]<<8|d[C+2>>0]<<16|d[C+3>>0]<<24)>>>6&66076671;c[B+16>>2]=(c[y+12>>2]|0)>>>8&1048575;C=B+20|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[B+40>>2]=c[y+16>>2];c[B+44>>2]=c[y+20>>2];c[B+48>>2]=c[y+24>>2];c[B+52>>2]=c[y+28>>2];C=B+56|0;c[C>>2]=0;c[C+4>>2]=0;a[B+80>>0]=0;C=y;E=C+64|0;do{c[C>>2]=0;C=C+4|0}while((C|0)<(E|0));Xd(B,l,m,n);l=A;c[l>>2]=m;c[l+4>>2]=n;Xd(B,A,8,0);if(!((j|0)==0&(k|0)==0)){c[z>>2]=1634760805;c[z+4>>2]=857760878;c[z+8>>2]=2036477234;c[z+12>>2]=1797285236;c[z+16>>2]=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;c[z+20>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;c[z+24>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;c[z+28>>2]=d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24;c[z+32>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;c[z+36>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;c[z+40>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;c[z+44>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[z+48>>2]=1;c[z+52>>2]=0;c[z+56>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;c[z+60>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;og(z,h,b,j,k);C=z;E=C+64|0;do{c[C>>2]=0;C=C+4|0}while((C|0)<(E|0))}Xd(B,b,j,k);p=A;c[p>>2]=j;c[p+4>>2]=k;Xd(B,A,8,0);Zd(B,f);nh(B|0,0,256)|0;if(!g){i=D;return 0}p=g;c[p>>2]=16;c[p+4>>2]=0;i=D;return 0}function Pa(a,b,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;if(f>>>0>4294967295|(f|0)==-1&e>>>0>4294967279)ra();Oa(a,a+e|0,0,d,e,f,g,h,i,0,k,l)|0;if(!b)return 0;k=lh(e|0,f|0,16,0)|0;j=b;c[j>>2]=k;c[j+4>>2]=C;return 0}function Qa(b,f,g,h,j,k,l,m,n,o,p,q){b=b|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=i;i=i+400|0;A=E+328|0;C=E;z=E+264|0;B=E+256|0;c[A>>2]=1634760805;c[A+4>>2]=857760878;c[A+8>>2]=2036477234;c[A+12>>2]=1797285236;c[A+16>>2]=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;y=q+4|0;c[A+20>>2]=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;o=q+8|0;c[A+24>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;r=q+12|0;c[A+28>>2]=d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24;s=q+16|0;c[A+32>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;t=q+20|0;c[A+36>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;u=q+24|0;c[A+40>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;v=q+28|0;c[A+44>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[A+48>>2]=0;c[A+52>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;w=p+4|0;c[A+56>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;x=p+8|0;c[A+60>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;D=z;F=D+64|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(F|0));og(A,z,z,64,0);c[C>>2]=c[z>>2]&67108863;D=z+3|0;c[C+4>>2]=(d[D>>0]|d[D+1>>0]<<8|d[D+2>>0]<<16|d[D+3>>0]<<24)>>>2&67108611;D=z+6|0;c[C+8>>2]=(e[D>>1]|e[D+2>>1]<<16)>>>4&67092735;D=z+9|0;c[C+12>>2]=(d[D>>0]|d[D+1>>0]<<8|d[D+2>>0]<<16|d[D+3>>0]<<24)>>>6&66076671;c[C+16>>2]=(c[z+12>>2]|0)>>>8&1048575;D=C+20|0;c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;c[D+16>>2]=0;c[C+40>>2]=c[z+16>>2];c[C+44>>2]=c[z+20>>2];c[C+48>>2]=c[z+24>>2];c[C+52>>2]=c[z+28>>2];D=C+56|0;c[D>>2]=0;c[D+4>>2]=0;a[C+80>>0]=0;D=z;F=D+64|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(F|0));Xd(C,l,m,n);l=kh(0,0,m|0,n|0)|0;Xd(C,34632,l&15,0);if(!((j|0)==0&(k|0)==0)){c[A>>2]=1634760805;c[A+4>>2]=857760878;c[A+8>>2]=2036477234;c[A+12>>2]=1797285236;c[A+16>>2]=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;c[A+20>>2]=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;c[A+24>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;c[A+28>>2]=d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24;c[A+32>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;c[A+36>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;c[A+40>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;c[A+44>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[A+48>>2]=1;c[A+52>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;c[A+56>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;c[A+60>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;og(A,h,b,j,k);D=A;F=D+64|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(F|0))}Xd(C,b,j,k);p=kh(0,0,j|0,k|0)|0;Xd(C,34632,p&15,0);p=B;c[p>>2]=m;c[p+4>>2]=n;Xd(C,B,8,0);p=B;c[p>>2]=j;c[p+4>>2]=k;Xd(C,B,8,0);Zd(C,f);nh(C|0,0,256)|0;if(!g){i=E;return 0}p=g;c[p>>2]=16;c[p+4>>2]=0;i=E;return 0}function Ra(a,b,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;if(f>>>0>4294967295|(f|0)==-1&e>>>0>4294967279)ra();Qa(a,a+e|0,0,d,e,f,g,h,i,0,k,l)|0;if(!b)return 0;k=lh(e|0,f|0,16,0)|0;j=b;c[j>>2]=k;c[j+4>>2]=C;return 0}function Sa(b,f,g,h,j,k,l,m,n,o,p){b=b|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;D=i;i=i+416|0;B=D+328|0;r=D;f=D+264|0;q=D+256|0;A=D+392|0;c[B>>2]=1634760805;c[B+4>>2]=857760878;c[B+8>>2]=2036477234;c[B+12>>2]=1797285236;c[B+16>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;z=p+4|0;c[B+20>>2]=d[z>>0]|d[z+1>>0]<<8|d[z+2>>0]<<16|d[z+3>>0]<<24;s=p+8|0;c[B+24>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;t=p+12|0;c[B+28>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;u=p+16|0;c[B+32>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;v=p+20|0;c[B+36>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;w=p+24|0;c[B+40>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;x=p+28|0;c[B+44>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;c[B+48>>2]=0;c[B+52>>2]=0;c[B+56>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;y=o+4|0;c[B+60>>2]=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;C=f;E=C+64|0;do{c[C>>2]=0;C=C+4|0}while((C|0)<(E|0));og(B,f,f,64,0);c[r>>2]=c[f>>2]&67108863;C=f+3|0;c[r+4>>2]=(d[C>>0]|d[C+1>>0]<<8|d[C+2>>0]<<16|d[C+3>>0]<<24)>>>2&67108611;C=f+6|0;c[r+8>>2]=(e[C>>1]|e[C+2>>1]<<16)>>>4&67092735;C=f+9|0;c[r+12>>2]=(d[C>>0]|d[C+1>>0]<<8|d[C+2>>0]<<16|d[C+3>>0]<<24)>>>6&66076671;c[r+16>>2]=(c[f+12>>2]|0)>>>8&1048575;C=r+20|0;c[C>>2]=0;c[C+4>>2]=0;c[C+8>>2]=0;c[C+12>>2]=0;c[C+16>>2]=0;c[r+40>>2]=c[f+16>>2];c[r+44>>2]=c[f+20>>2];c[r+48>>2]=c[f+24>>2];c[r+52>>2]=c[f+28>>2];C=r+56|0;c[C>>2]=0;c[C+4>>2]=0;a[r+80>>0]=0;C=f;E=C+64|0;do{c[C>>2]=0;C=C+4|0}while((C|0)<(E|0));Xd(r,l,m,n);f=q;c[f>>2]=m;c[f+4>>2]=n;Xd(r,q,8,0);Xd(r,g,h,j);f=q;c[f>>2]=h;c[f+4>>2]=j;Xd(r,q,8,0);Zd(r,A);nh(r|0,0,256)|0;f=((a[k+15>>0]^a[A+15>>0]|(a[k+14>>0]^a[A+14>>0]|(a[k+13>>0]^a[A+13>>0]|(a[k+12>>0]^a[A+12>>0]|(a[k+11>>0]^a[A+11>>0]|(a[k+10>>0]^a[A+10>>0]|(a[k+9>>0]^a[A+9>>0]|(a[k+8>>0]^a[A+8>>0]|(a[k+7>>0]^a[A+7>>0]|(a[k+6>>0]^a[A+6>>0]|(a[k+5>>0]^a[A+5>>0]|(a[k+4>>0]^a[A+4>>0]|(a[k+3>>0]^a[A+3>>0]|(a[k+2>>0]^a[A+2>>0]|(a[k+1>>0]^a[A+1>>0]|a[k>>0]^a[A>>0])))))))))))))))&255)+511&256;C=A;E=C+16|0;do{a[C>>0]=0;C=C+1|0}while((C|0)<(E|0));if(!f){nh(b|0,0,h|0)|0;o=-1;i=D;return o|0}if(!((h|0)==0&(j|0)==0)){c[B>>2]=1634760805;c[B+4>>2]=857760878;c[B+8>>2]=2036477234;c[B+12>>2]=1797285236;c[B+16>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;c[B+20>>2]=d[z>>0]|d[z+1>>0]<<8|d[z+2>>0]<<16|d[z+3>>0]<<24;c[B+24>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;c[B+28>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;c[B+32>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;c[B+36>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[B+40>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;c[B+44>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;c[B+48>>2]=1;c[B+52>>2]=0;c[B+56>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;c[B+60>>2]=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;og(B,g,b,h,j);C=B;E=C+64|0;do{c[C>>2]=0;C=C+4|0}while((C|0)<(E|0))}o=0;i=D;return o|0}function Ta(a,b,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;if(g>>>0>0|(g|0)==0&f>>>0>15){d=lh(f|0,g|0,-16,-1)|0;i=Sa(a,0,e,d,C,e+f+-16|0,h,i,j,k,l)|0}else i=-1;if(!b)return i|0;d=(i|0)==0;g=lh(f|0,g|0,-16,-1)|0;c[b>>2]=d?g:0;c[b+4>>2]=d?C:0;return i|0}function Ua(b,f,g,h,j,k,l,m,n,o,p){b=b|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=i;i=i+416|0;C=E+328|0;r=E;f=E+264|0;q=E+256|0;B=E+392|0;c[C>>2]=1634760805;c[C+4>>2]=857760878;c[C+8>>2]=2036477234;c[C+12>>2]=1797285236;c[C+16>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;A=p+4|0;c[C+20>>2]=d[A>>0]|d[A+1>>0]<<8|d[A+2>>0]<<16|d[A+3>>0]<<24;s=p+8|0;c[C+24>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;t=p+12|0;c[C+28>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;u=p+16|0;c[C+32>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;v=p+20|0;c[C+36>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;w=p+24|0;c[C+40>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;x=p+28|0;c[C+44>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;c[C+48>>2]=0;c[C+52>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;y=o+4|0;c[C+56>>2]=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;z=o+8|0;c[C+60>>2]=d[z>>0]|d[z+1>>0]<<8|d[z+2>>0]<<16|d[z+3>>0]<<24;D=f;F=D+64|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(F|0));og(C,f,f,64,0);c[r>>2]=c[f>>2]&67108863;D=f+3|0;c[r+4>>2]=(d[D>>0]|d[D+1>>0]<<8|d[D+2>>0]<<16|d[D+3>>0]<<24)>>>2&67108611;D=f+6|0;c[r+8>>2]=(e[D>>1]|e[D+2>>1]<<16)>>>4&67092735;D=f+9|0;c[r+12>>2]=(d[D>>0]|d[D+1>>0]<<8|d[D+2>>0]<<16|d[D+3>>0]<<24)>>>6&66076671;c[r+16>>2]=(c[f+12>>2]|0)>>>8&1048575;D=r+20|0;c[D>>2]=0;c[D+4>>2]=0;c[D+8>>2]=0;c[D+12>>2]=0;c[D+16>>2]=0;c[r+40>>2]=c[f+16>>2];c[r+44>>2]=c[f+20>>2];c[r+48>>2]=c[f+24>>2];c[r+52>>2]=c[f+28>>2];D=r+56|0;c[D>>2]=0;c[D+4>>2]=0;a[r+80>>0]=0;D=f;F=D+64|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(F|0));Xd(r,l,m,n);f=kh(0,0,m|0,n|0)|0;Xd(r,34632,f&15,0);Xd(r,g,h,j);f=kh(0,0,h|0,j|0)|0;Xd(r,34632,f&15,0);f=q;c[f>>2]=m;c[f+4>>2]=n;Xd(r,q,8,0);f=q;c[f>>2]=h;c[f+4>>2]=j;Xd(r,q,8,0);Zd(r,B);nh(r|0,0,256)|0;f=((a[k+15>>0]^a[B+15>>0]|(a[k+14>>0]^a[B+14>>0]|(a[k+13>>0]^a[B+13>>0]|(a[k+12>>0]^a[B+12>>0]|(a[k+11>>0]^a[B+11>>0]|(a[k+10>>0]^a[B+10>>0]|(a[k+9>>0]^a[B+9>>0]|(a[k+8>>0]^a[B+8>>0]|(a[k+7>>0]^a[B+7>>0]|(a[k+6>>0]^a[B+6>>0]|(a[k+5>>0]^a[B+5>>0]|(a[k+4>>0]^a[B+4>>0]|(a[k+3>>0]^a[B+3>>0]|(a[k+2>>0]^a[B+2>>0]|(a[k+1>>0]^a[B+1>>0]|a[k>>0]^a[B>>0])))))))))))))))&255)+511&256;D=B;F=D+16|0;do{a[D>>0]=0;D=D+1|0}while((D|0)<(F|0));if(!f){nh(b|0,0,h|0)|0;o=-1;i=E;return o|0}if(!((h|0)==0&(j|0)==0)){c[C>>2]=1634760805;c[C+4>>2]=857760878;c[C+8>>2]=2036477234;c[C+12>>2]=1797285236;c[C+16>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;c[C+20>>2]=d[A>>0]|d[A+1>>0]<<8|d[A+2>>0]<<16|d[A+3>>0]<<24;c[C+24>>2]=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;c[C+28>>2]=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;c[C+32>>2]=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;c[C+36>>2]=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c[C+40>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;c[C+44>>2]=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;c[C+48>>2]=1;c[C+52>>2]=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;c[C+56>>2]=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;c[C+60>>2]=d[z>>0]|d[z+1>>0]<<8|d[z+2>>0]<<16|d[z+3>>0]<<24;og(C,g,b,h,j);D=C;F=D+64|0;do{c[D>>2]=0;D=D+4|0}while((D|0)<(F|0))}o=0;i=E;return o|0}function Va(a,b,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;if(g>>>0>0|(g|0)==0&f>>>0>15){d=lh(f|0,g|0,-16,-1)|0;i=Ua(a,0,e,d,C,e+f+-16|0,h,i,j,k,l)|0}else i=-1;if(!b)return i|0;d=(i|0)==0;g=lh(f|0,g|0,-16,-1)|0;c[b>>2]=d?g:0;c[b+4>>2]=d?C:0;return i|0}function Wa(){return 32}function Xa(){return 12}function Ya(){return 0}function Za(){return 16}function _a(){return 32}function $a(){return 8}function ab(){return 0}function bb(){return 16}function cb(){return 32}function db(){return 32}function eb(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+480|0;h=g+416|0;j=g;rb(j,f,32)|0;Dd(j,c,d,e)|0;tb(j,h)|0;d=h;e=b+32|0;do{a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0}while((b|0)<(e|0));i=g;return 0}function fb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Db(a,b,c,d,e)|0}function gb(){return 32}function hb(){return 32}function ib(){return 208}function jb(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+96|0;o=p+32|0;h=p;n=b+32|0;if(e>>>0<=64){j=n;c[j>>2]=0;c[j+4>>2]=0;c[b>>2]=c[8066];c[b+4>>2]=c[8067];c[b+8>>2]=c[8068];c[b+12>>2]=c[8069];c[b+16>>2]=c[8070];c[b+20>>2]=c[8071];c[b+24>>2]=c[8072];c[b+28>>2]=c[8073];j=o;k=j+64|0;do{a[j>>0]=54;j=j+1|0}while((j|0)<(k|0));g=(e|0)==0;if(!g){a[o>>0]=a[d>>0]^54;if((e|0)==1)l=d;else{f=e;e=1;m=8}}else l=d}else{j=n;c[j>>2]=0;c[j+4>>2]=0;c[b>>2]=c[8066];c[b+4>>2]=c[8067];c[b+8>>2]=c[8068];c[b+12>>2]=c[8069];c[b+16>>2]=c[8070];c[b+20>>2]=c[8071];c[b+24>>2]=c[8072];c[b+28>>2]=c[8073];j=ph(e|0,0,3)|0;g=n;c[g>>2]=j;c[g+4>>2]=C;g=b+40|0;j=g;f=d;k=j+64|0;do{a[j>>0]=a[f>>0]|0;j=j+1|0;f=f+1|0}while((j|0)<(k|0));xd(b,g);d=d+64|0;f=lh(e|0,0,-64,-1)|0;e=C;if(e>>>0>0|(e|0)==0&f>>>0>63){do{xd(b,d);d=d+64|0;f=lh(f|0,e|0,-64,-1)|0;e=C}while(e>>>0>0|(e|0)==0&f>>>0>63);e=f}else e=f;qh(g|0,d|0,e|0)|0;yd(b,h)|0;j=n;c[j>>2]=0;c[j+4>>2]=0;c[b>>2]=c[8066];c[b+4>>2]=c[8067];c[b+8>>2]=c[8068];c[b+12>>2]=c[8069];c[b+16>>2]=c[8070];c[b+20>>2]=c[8071];c[b+24>>2]=c[8072];c[b+28>>2]=c[8073];j=o;k=j+64|0;do{a[j>>0]=54;j=j+1|0}while((j|0)<(k|0));a[o>>0]=a[h>>0]^54;d=h;f=32;e=1;g=0;m=8}if((m|0)==8)while(1){m=o+e|0;a[m>>0]=a[m>>0]^a[d+e>>0];e=e+1|0;if((e|0)==(f|0)){l=d;e=f;break}else m=8}d=n;c[d>>2]=512;c[d+4>>2]=0;d=b+40|0;j=d;f=o;k=j+64|0;do{a[j>>0]=a[f>>0]|0;j=j+1|0;f=f+1|0}while((j|0)<(k|0));xd(b,d);h=b+104|0;f=b+136|0;j=f;c[j>>2]=0;c[j+4>>2]=0;c[h>>2]=c[8066];c[h+4>>2]=c[8067];c[h+8>>2]=c[8068];c[h+12>>2]=c[8069];c[h+16>>2]=c[8070];c[h+20>>2]=c[8071];c[h+24>>2]=c[8072];c[h+28>>2]=c[8073];j=o;k=j+64|0;do{a[j>>0]=92;j=j+1|0}while((j|0)<(k|0));if(g){d=f;j=d;c[j>>2]=512;d=d+4|0;c[d>>2]=0;d=b+144|0;j=d;f=o;k=j+64|0;do{a[j>>0]=a[f>>0]|0;j=j+1|0;f=f+1|0}while((j|0)<(k|0));xd(h,d);i=p;return 0}a[o>>0]=a[l>>0]^92;if((e|0)==1){d=f;j=d;c[j>>2]=512;d=d+4|0;c[d>>2]=0;d=b+144|0;j=d;f=o;k=j+64|0;do{a[j>>0]=a[f>>0]|0;j=j+1|0;f=f+1|0}while((j|0)<(k|0));xd(h,d);i=p;return 0}else d=1;do{n=o+d|0;a[n>>0]=a[n>>0]^a[l+d>>0];d=d+1|0}while((d|0)!=(e|0));d=f;j=d;c[j>>2]=512;d=d+4|0;c[d>>2]=0;d=b+144|0;j=d;f=o;k=j+64|0;do{a[j>>0]=a[f>>0]|0;j=j+1|0;f=f+1|0}while((j|0)<(k|0));xd(h,d);i=p;return 0}function kb(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)==0&(e|0)==0)return 0;g=a+32|0;i=g;j=c[i>>2]|0;i=c[i+4>>2]|0;f=oh(j|0,i|0,3)|0;f=f&63;h=ph(d|0,e|0,3)|0;h=lh(j|0,i|0,h|0,C|0)|0;c[g>>2]=h;c[g+4>>2]=C;g=64-f|0;f=a+40+f|0;if(0>e>>>0|0==(e|0)&g>>>0>d>>>0){qh(f|0,b|0,d|0)|0;return 0}qh(f|0,b|0,g|0)|0;h=a+40|0;xd(a,h);f=b+g|0;b=kh(d|0,e|0,g|0,0)|0;d=C;if(d>>>0>0|(d|0)==0&b>>>0>63)do{xd(a,f);f=f+64|0;b=lh(b|0,d|0,-64,-1)|0;d=C}while(d>>>0>0|(d|0)==0&b>>>0>63);qh(h|0,f|0,b|0)|0;return 0}function lb(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;k=i;i=i+32|0;e=k;yd(b,e)|0;j=b+104|0;g=b+136|0;h=g;l=c[h>>2]|0;h=c[h+4>>2]|0;f=oh(l|0,h|0,3)|0;f=f&63;h=lh(l|0,h|0,256,0)|0;c[g>>2]=h;c[g+4>>2]=C;g=64-f|0;f=b+144+f|0;if(g>>>0>32){b=f;f=b+32|0;do{a[b>>0]=a[e>>0]|0;b=b+1|0;e=e+1|0}while((b|0)<(f|0));yd(j,d)|0;i=k;return 0}qh(f|0,e|0,g|0)|0;h=b+144|0;xd(j,h);e=e+g|0;b=kh(32,0,g|0,0)|0;f=C;if(f>>>0>0|(f|0)==0&b>>>0>63){do{xd(j,e);e=e+64|0;b=lh(b|0,f|0,-64,-1)|0;f=C}while(f>>>0>0|(f|0)==0&b>>>0>63);f=b}else f=b;qh(h|0,e|0,f|0)|0;yd(j,d)|0;i=k;return 0}function mb(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;m=i;i=i+240|0;h=m+208|0;l=m;jb(l,g,32)|0;do if(!((e|0)==0&(f|0)==0)){j=l+32|0;n=j;o=c[n>>2]|0;n=c[n+4>>2]|0;g=oh(o|0,n|0,3)|0;g=g&63;k=ph(e|0,f|0,3)|0;k=lh(o|0,n|0,k|0,C|0)|0;c[j>>2]=k;c[j+4>>2]=C;j=64-g|0;g=l+40+g|0;if(0>f>>>0|0==(f|0)&j>>>0>e>>>0){qh(g|0,d|0,e|0)|0;break}qh(g|0,d|0,j|0)|0;k=l+40|0;xd(l,k);g=d+j|0;d=kh(e|0,f|0,j|0,0)|0;j=C;if(j>>>0>0|(j|0)==0&d>>>0>63){do{xd(l,g);g=g+64|0;d=lh(d|0,j|0,-64,-1)|0;j=C}while(j>>>0>0|(j|0)==0&d>>>0>63);j=d}else j=d;qh(k|0,g|0,j|0)|0}while(0);yd(l,h)|0;e=l+104|0;j=l+136|0;o=j;n=c[o>>2]|0;o=c[o+4>>2]|0;g=oh(n|0,o|0,3)|0;g=g&63;o=lh(n|0,o|0,256,0)|0;c[j>>2]=o;c[j+4>>2]=C;j=64-g|0;g=l+144+g|0;if(j>>>0>32){j=g;g=j+32|0;do{a[j>>0]=a[h>>0]|0;j=j+1|0;h=h+1|0}while((j|0)<(g|0));yd(e,b)|0;i=m;return 0}qh(g|0,h|0,j|0)|0;d=l+144|0;xd(e,d);h=h+j|0;j=kh(32,0,j|0,0)|0;g=C;if(g>>>0>0|(g|0)==0&j>>>0>63){do{xd(e,h);h=h+64|0;j=lh(j|0,g|0,-64,-1)|0;g=C}while(g>>>0>0|(g|0)==0&j>>>0>63);g=j}else g=j;qh(d|0,h|0,g|0)|0;yd(e,b)|0;i=m;return 0}function nb(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=i;i=i+32|0;g=h;mb(g,c,d,e,f)|0;d=0;e=0;do{d=(a[g+e>>0]^a[b+e>>0])&255|d;e=e+1|0}while((e|0)!=32);d=(d+511|0)>>>8&1;e=(g|0)==(b|0);c=0;f=0;do{c=a[b+f>>0]^a[g+f>>0]|c;f=f+1|0}while((f|0)!=32);i=h;return (e?-1:d+-1|0)|(((c&255)+511|0)>>>8&1)+-1|0}function ob(){return 64}function pb(){return 32}function qb(){return 416}function rb(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+192|0;n=o+64|0;f=o;g=b+64|0;if(e>>>0>128){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;k=b;l=400;m=k+64|0;do{c[k>>2]=c[l>>2];k=k+4|0;l=l+4|0}while((k|0)<(m|0));Dd(b,d,e,0)|0;Fd(b,f)|0;j=64;d=f}else j=e;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;k=b;l=400;m=k+64|0;do{c[k>>2]=c[l>>2];k=k+4|0;l=l+4|0}while((k|0)<(m|0));k=n;m=k+128|0;do{a[k>>0]=54;k=k+1|0}while((k|0)<(m|0));h=(j|0)==0;if(!h?(a[n>>0]=a[d>>0]^54,(j|0)!=1):0){e=1;do{m=n+e|0;a[m>>0]=a[m>>0]^a[d+e>>0];e=e+1|0}while((e|0)!=(j|0))}e=b+72|0;c[e>>2]=1024;c[e+4>>2]=0;e=g;c[e>>2]=0;c[e+4>>2]=0;e=b+80|0;k=e;l=n;m=k+128|0;do{a[k>>0]=a[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));Ed(b,e);g=b+208|0;f=b+272|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;k=g;l=400;m=k+64|0;do{c[k>>2]=c[l>>2];k=k+4|0;l=l+4|0}while((k|0)<(m|0));k=n;m=k+128|0;do{a[k>>0]=92;k=k+1|0}while((k|0)<(m|0));if(!h?(a[n>>0]=a[d>>0]^92,(j|0)!=1):0){e=1;do{m=n+e|0;a[m>>0]=a[m>>0]^a[d+e>>0];e=e+1|0}while((e|0)!=(j|0))}e=b+280|0;c[e>>2]=1024;c[e+4>>2]=0;e=f;c[e>>2]=0;c[e+4>>2]=0;e=b+288|0;k=e;l=n;m=k+128|0;do{a[k>>0]=a[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));Ed(g,e);i=o;return 0}function sb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Dd(a,b,c,d)|0;return 0}function tb(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;l=i;i=i+64|0;e=l;Fd(b,e)|0;k=b+208|0;h=b+280|0;n=h;m=c[n>>2]|0;n=c[n+4>>2]|0;j=oh(m|0,n|0,3)|0;j=j&127;g=lh(m|0,n|0,512,0)|0;c[h>>2]=g;c[h+4>>2]=C;h=b+272|0;g=h;f=c[g>>2]|0;g=c[g+4>>2]|0;if(n>>>0>4294967295|(n|0)==-1&m>>>0>4294966783){f=lh(f|0,g|0,1,0)|0;g=C;n=h;c[n>>2]=f;c[n+4>>2]=g}c[h>>2]=f;c[h+4>>2]=g;f=kh(128,0,j|0,0)|0;h=C;g=b+288+j|0;if(h>>>0>0|(h|0)==0&f>>>0>64){f=g+64|0;do{a[g>>0]=a[e>>0]|0;g=g+1|0;e=e+1|0}while((g|0)<(f|0));Fd(k,d)|0;i=l;return 0}qh(g|0,e|0,f|0)|0;j=b+288|0;Ed(k,j);e=e+f|0;f=kh(64,0,f|0,h|0)|0;g=C;if(g>>>0>0|(g|0)==0&f>>>0>127)do{Ed(k,e);e=e+128|0;f=lh(f|0,g|0,-128,-1)|0;g=C}while(g>>>0>0|(g|0)==0&f>>>0>127);qh(j|0,e|0,f|0)|0;Fd(k,d)|0;i=l;return 0}function ub(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;l=i;i=i+480|0;h=l+416|0;j=l;rb(j,g,32)|0;Dd(j,d,e,f)|0;Fd(j,h)|0;k=j+208|0;d=j+280|0;n=d;m=c[n>>2]|0;n=c[n+4>>2]|0;g=oh(m|0,n|0,3)|0;g=g&127;f=lh(m|0,n|0,512,0)|0;c[d>>2]=f;c[d+4>>2]=C;d=j+272|0;f=d;e=c[f>>2]|0;f=c[f+4>>2]|0;if(n>>>0>4294967295|(n|0)==-1&m>>>0>4294966783){e=lh(e|0,f|0,1,0)|0;f=C;n=d;c[n>>2]=e;c[n+4>>2]=f}c[d>>2]=e;c[d+4>>2]=f;e=kh(128,0,g|0,0)|0;d=C;f=j+288+g|0;if(d>>>0>0|(d|0)==0&e>>>0>64){e=f+64|0;do{a[f>>0]=a[h>>0]|0;f=f+1|0;h=h+1|0}while((f|0)<(e|0));Fd(k,b)|0;i=l;return 0}qh(f|0,h|0,e|0)|0;g=j+288|0;Ed(k,g);h=h+e|0;e=kh(64,0,e|0,d|0)|0;f=C;if(f>>>0>0|(f|0)==0&e>>>0>127)do{Ed(k,h);h=h+128|0;e=lh(e|0,f|0,-128,-1)|0;f=C}while(f>>>0>0|(f|0)==0&e>>>0>127);qh(g|0,h|0,e|0)|0;Fd(k,b)|0;i=l;return 0}function vb(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=i;i=i+64|0;g=h;ub(g,c,d,e,f)|0;d=0;e=0;do{d=(a[g+e>>0]^a[b+e>>0])&255|d;e=e+1|0}while((e|0)!=64);d=(d+511|0)>>>8&1;e=(g|0)==(b|0);c=0;f=0;do{c=a[b+f>>0]^a[g+f>>0]|c;f=f+1|0}while((f|0)!=64);i=h;return (e?-1:d+-1|0)|(((c&255)+511|0)>>>8&1)+-1|0}function wb(){return 32}function xb(){return 32}function yb(){return 416}function zb(a,b,c){a=a|0;b=b|0;c=c|0;rb(a,b,c)|0;return 0}function Ab(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Dd(a,b,c,d)|0;return 0}function Bb(b,c){b=b|0;c=c|0;var d=0,e=0;e=i;i=i+64|0;d=e;tb(b,d)|0;b=d;d=c+32|0;do{a[c>>0]=a[b>>0]|0;c=c+1|0;b=b+1|0}while((c|0)<(d|0));i=e;return 0}function Cb(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+480|0;h=g+416|0;j=g;rb(j,f,32)|0;Dd(j,c,d,e)|0;tb(j,h)|0;d=h;e=b+32|0;do{a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0}while((b|0)<(e|0));i=g;return 0}function Db(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;h=i;i=i+512|0;j=h+448|0;k=h;g=h+416|0;rb(k,f,32)|0;Dd(k,c,d,e)|0;tb(k,j)|0;d=g;e=j;c=d+32|0;do{a[d>>0]=a[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(c|0));d=0;e=0;do{d=(a[g+e>>0]^a[b+e>>0])&255|d;e=e+1|0}while((e|0)!=32);d=(d+511|0)>>>8&1;e=0;c=0;do{e=a[b+c>>0]^a[g+c>>0]|e;c=c+1|0}while((c|0)!=32);i=h;return d+-1|(((e&255)+511|0)>>>8&1)+-1|0}function Eb(){return 32}function Fb(){return 32}function Gb(){return 32}function Hb(){return 32}function Ib(){return 24}function Jb(){return 32}function Kb(){return 16}function Lb(){return 16}function Mb(){return 32412}function Nb(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;k=i;i=i+272|0;h=k;g=k+208|0;f=h+64|0;j=h;l=400;m=j+64|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));j=h+72|0;c[j>>2]=256;c[j+4>>2]=0;j=f;c[j>>2]=0;c[j+4>>2]=0;j=h+80|0;l=e;m=j+32|0;do{a[j>>0]=a[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(m|0));Fd(h,g)|0;j=d;l=g;m=j+32|0;do{a[j>>0]=a[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(m|0));m=ef(b,d)|0;i=k;return m|0}function Ob(b,c){b=b|0;c=c|0;var d=0;d=0;do{a[c+d>>0]=ma(0)|0;d=d+1|0}while((d|0)!=32);return ef(b,c)|0}function Pb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=i;i=i+32|0;d=e;if(!(df(d,c,b)|0)){Fc(a,34648,d,0)|0;a=0}else a=-1;i=e;return a|0}function Qb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return zf(a,b,c,d,e,f)|0}function Rb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Af(a,b,c,d,e,f)|0}function Sb(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;l=i;i=i+64|0;k=l+32|0;j=l;if(!(df(k,h,g)|0)){Fc(j,34648,k,0)|0;e=zf(b,c,d,e,f,j)|0;d=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(d|0));h=e;i=l;return h|0}else{h=-1;i=l;return h|0}return 0}function Tb(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;l=i;i=i+64|0;k=l+32|0;j=l;if(!(df(k,h,g)|0)){Fc(j,34648,k,0)|0;e=Af(b,c,d,e,f,j)|0;d=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(d|0));h=e;i=l;return h|0}else{h=-1;i=l;return h|0}return 0}function Ub(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;qf(a,b,c,d,e,f,g)|0;return 0}function Vb(b,c,d,e,f,g,h,j){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0;m=i;i=i+64|0;l=m+32|0;k=m;if(!(df(l,j,h)|0)){Fc(k,34648,l,0)|0;qf(b,c,d,e,f,g,k)|0;e=k+32|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(e|0));j=0;i=m;return j|0}else{j=-1;i=m;return j|0}return 0}function Wb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if(d>>>0>0|(d|0)==0&c>>>0>4294967279){e=-1;return e|0}qf(a+16|0,a,b,c,d,e,f)|0;e=0;return e|0}function Xb(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;l=i;i=i+64|0;k=l+32|0;j=l;if(e>>>0>0|(e|0)==0&d>>>0>4294967279){h=-1;i=l;return h|0}if(!(df(k,h,g)|0)){Fc(j,34648,k,0)|0;qf(b+16|0,b,c,d,e,f,j)|0;d=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(d|0));j=0}else j=-1;h=j;i=l;return h|0}function Yb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return sf(a,b,c,d,e,f,g)|0}function Zb(b,c,d,e,f,g,h,j){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0;m=i;i=i+64|0;l=m+32|0;k=m;if(!(df(l,j,h)|0)){Fc(k,34648,l,0)|0;f=sf(b,c,d,e,f,g,k)|0;e=k+32|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(e|0));j=f;i=m;return j|0}else{j=-1;i=m;return j|0}return 0}function _b(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if(d>>>0<0|(d|0)==0&c>>>0<16){e=-1;return e|0}d=lh(c|0,d|0,-16,-1)|0;e=sf(a,b+16|0,b,d,C,e,f)|0;return e|0}function $b(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;l=i;i=i+64|0;k=l+32|0;j=l;if(e>>>0<0|(e|0)==0&d>>>0<16){h=-1;i=l;return h|0}if(!(df(k,h,g)|0)){Fc(j,34648,k,0)|0;d=lh(d|0,e|0,-16,-1)|0;d=sf(b,c+16|0,c,d,C,f,j)|0;e=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(e|0))}else d=-1;h=d;i=l;return h|0}function ac(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;A=i;y=i=i+63&-64;i=i+480|0;w=y;v=y+448|0;z=y+424|0;x=y+392|0;y=y+360|0;h=0;do{a[y+h>>0]=ma(0)|0;h=h+1|0}while((h|0)!=32);if(ef(x,y)|0){z=-1;i=A;return z|0}j=b;h=x;k=j+32|0;do{a[j>>0]=a[h>>0]|0;j=j+1|0;h=h+1|0}while((j|0)<(k|0));nh(w+64|0,0,293)|0;j=w;h=400;k=j+48|0;do{c[j>>2]=c[h>>2];j=j+4|0;h=h+4|0}while((j|0)<(k|0));m=w;c[m>>2]=-222443248;c[m+4>>2]=1779033703;m=w+8|0;c[m>>2]=-2067093701;c[m+4>>2]=-1150833019;m=w+16|0;c[m>>2]=-23791573;c[m+4>>2]=1013904242;m=w+24|0;c[m>>2]=1595750129;c[m+4>>2]=-1521486534;m=w+32|0;c[m>>2]=-1377402159;c[m+4>>2]=1359893119;m=w+40|0;c[m>>2]=725511199;c[m+4>>2]=-1694144372;m=w+48|0;c[m>>2]=-79577749;c[m+4>>2]=528734635;m=w+56|0;c[m>>2]=327033209;c[m+4>>2]=1541459225;m=w+352|0;n=w+96|0;o=w+64|0;p=w+72|0;q=w+224|0;j=w+96|0;h=x;k=j+32|0;do{a[j>>0]=a[h>>0]|0;j=j+1|0;h=h+1|0}while((j|0)<(k|0));j=(c[m>>2]|0)+32|0;c[m>>2]=j;l=g;s=0;t=32;while(1){r=256-j|0;h=w+96+j|0;if(!(s>>>0>0|(s|0)==0&t>>>0>r>>>0)){u=6;break}qh(h|0,l|0,r|0)|0;c[m>>2]=(c[m>>2]|0)+r;k=o;j=c[k>>2]|0;k=c[k+4>>2]|0;B=lh(j|0,k|0,128,0)|0;h=o;c[h>>2]=B;c[h+4>>2]=C;h=p;h=lh((k>>>0>4294967295|(k|0)==-1&j>>>0>4294967167)&1|0,0,c[h>>2]|0,c[h+4>>2]|0)|0;j=p;c[j>>2]=h;c[j+4>>2]=C;id(w,n);j=n;h=q;k=j+128|0;do{c[j>>2]=c[h>>2];j=j+4|0;h=h+4|0}while((j|0)<(k|0));j=(c[m>>2]|0)+-128|0;c[m>>2]=j;h=kh(t|0,s|0,r|0,0)|0;if((t|0)==(r|0)&(s|0)==0)break;else{l=l+r|0;s=C;t=h}}if((u|0)==6){qh(h|0,l|0,t|0)|0;B=lh(c[m>>2]|0,0,t|0,s|0)|0;c[m>>2]=B}jd(w,z,24);h=b+32|0;if(f>>>0>0|(f|0)==0&e>>>0>4294967279)h=-1;else if(!(df(w,y,g)|0)){Fc(v,34648,w,0)|0;qf(b+48|0,h,d,e,f,z,v)|0;j=v;k=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(k|0));h=0}else h=-1;j=y;k=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(k|0));j=x;k=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(k|0));j=z;k=j+24|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(k|0));B=h;i=A;return B|0}function bc(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;y=i;u=i=i+63&-64;i=i+416|0;v=u;x=u+384|0;u=u+360|0;if(f>>>0<0|(f|0)==0&e>>>0<48){x=-1;i=y;return x|0}nh(v+64|0,0,293)|0;k=v;j=400;l=k+48|0;do{c[k>>2]=c[j>>2];k=k+4|0;j=j+4|0}while((k|0)<(l|0));p=v;c[p>>2]=-222443248;c[p+4>>2]=1779033703;p=v+8|0;c[p>>2]=-2067093701;c[p+4>>2]=-1150833019;p=v+16|0;c[p>>2]=-23791573;c[p+4>>2]=1013904242;p=v+24|0;c[p>>2]=1595750129;c[p+4>>2]=-1521486534;p=v+32|0;c[p>>2]=-1377402159;c[p+4>>2]=1359893119;p=v+40|0;c[p>>2]=725511199;c[p+4>>2]=-1694144372;p=v+48|0;c[p>>2]=-79577749;c[p+4>>2]=528734635;p=v+56|0;c[p>>2]=327033209;c[p+4>>2]=1541459225;p=v+352|0;q=v+96|0;r=v+64|0;s=v+72|0;t=v+224|0;k=v+96|0;j=d;l=k+32|0;do{a[k>>0]=a[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(l|0));k=(c[p>>2]|0)+32|0;c[p>>2]=k;n=0;o=32;while(1){m=256-k|0;j=v+96+k|0;if(!(n>>>0>0|(n|0)==0&o>>>0>m>>>0)){w=4;break}qh(j|0,g|0,m|0)|0;c[p>>2]=(c[p>>2]|0)+m;l=r;k=c[l>>2]|0;l=c[l+4>>2]|0;z=lh(k|0,l|0,128,0)|0;j=r;c[j>>2]=z;c[j+4>>2]=C;j=s;j=lh((l>>>0>4294967295|(l|0)==-1&k>>>0>4294967167)&1|0,0,c[j>>2]|0,c[j+4>>2]|0)|0;k=s;c[k>>2]=j;c[k+4>>2]=C;id(v,q);k=q;j=t;l=k+128|0;do{c[k>>2]=c[j>>2];k=k+4|0;j=j+4|0}while((k|0)<(l|0));k=(c[p>>2]|0)+-128|0;c[p>>2]=k;j=kh(o|0,n|0,m|0,0)|0;if((o|0)==(m|0)&(n|0)==0)break;else{g=g+m|0;n=C;o=j}}if((w|0)==4){qh(j|0,g|0,o|0)|0;z=lh(c[p>>2]|0,0,o|0,n|0)|0;c[p>>2]=z}jd(v,u,24);if((e&-16|0)==32&(f|0)==0){z=-1;i=y;return z|0}if(!(df(v,h,d)|0)){Fc(x,34648,v,0)|0;g=lh(e|0,f|0,-48,-1)|0;g=sf(b,d+48|0,d+32|0,g,C,u,x)|0;k=x;l=k+32|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(l|0))}else g=-1;z=g;i=y;return z|0}function cc(){return 48}function dc(){return 32}function ec(){return 32}function fc(){return 32}function gc(){return 32}function hc(){return 24}function ic(){return 32}function jc(){return 16}function kc(){return 16}function lc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return zf(a,b,c,d,e,f)|0}function mc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Af(a,b,c,d,e,f)|0}function nc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=i;d=i=i+63&-64;i=i+32|0;if(df(d,c,b)|0){c=-1;i=e;return c|0}Fc(a,34648,d,0)|0;c=0;i=e;return c|0}function oc(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;l=i;j=i=i+63&-64;i=i+64|0;k=j+32|0;if(!(df(k,h,g)|0)){Fc(j,34648,k,0)|0;e=zf(b,c,d,e,f,j)|0;d=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(d|0));h=e;i=l;return h|0}else{h=-1;i=l;return h|0}return 0}function pc(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;l=i;j=i=i+63&-64;i=i+64|0;k=j+32|0;if(!(df(k,h,g)|0)){Fc(j,34648,k,0)|0;e=Af(b,c,d,e,f,j)|0;d=j+32|0;do{a[j>>0]=0;j=j+1|0}while((j|0)<(d|0));h=e;i=l;return h|0}else{h=-1;i=l;return h|0}return 0}function qc(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;k=i;g=i=i+63&-64;i=i+272|0;h=g;g=g+208|0;f=h+64|0;j=h;l=400;m=j+64|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));j=h+72|0;c[j>>2]=256;c[j+4>>2]=0;j=f;c[j>>2]=0;c[j+4>>2]=0;j=h+80|0;l=e;m=j+32|0;do{a[j>>0]=a[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(m|0));Fd(h,g)|0;j=d;l=g;m=j+32|0;do{a[j>>0]=a[l>>0]|0;j=j+1|0;l=l+1|0}while((j|0)<(m|0));m=ef(b,d)|0;i=k;return m|0}function rc(b,c){b=b|0;c=c|0;var d=0;d=0;do{a[c+d>>0]=ma(0)|0;d=d+1|0}while((d|0)!=32);return ef(b,c)|0}function sc(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0;H=d[e>>0]|0;i=ph(d[e+1>>0]|0|0,0,8)|0;l=C;D=ph(d[e+2>>0]|0|0,0,16)|0;l=l|C;B=ph(d[e+3>>0]|0|0,0,24)|0;l=l|C;m=a[e+6>>0]|0;j=d[e+4>>0]|0;E=ph(d[e+5>>0]|0|0,0,8)|0;k=C;m=ph(m&255|0,0,16)|0;k=ph(E|j|m|0,k|C|0,6)|0;m=C;j=a[e+9>>0]|0;E=d[e+7>>0]|0;h=ph(d[e+8>>0]|0|0,0,8)|0;x=C;j=ph(j&255|0,0,16)|0;x=ph(h|E|j|0,x|C|0,5)|0;j=C;E=a[e+12>>0]|0;h=d[e+10>>0]|0;v=ph(d[e+11>>0]|0|0,0,8)|0;F=C;E=ph(E&255|0,0,16)|0;F=ph(v|h|E|0,F|C|0,3)|0;E=C;h=a[e+15>>0]|0;v=d[e+13>>0]|0;p=ph(d[e+14>>0]|0|0,0,8)|0;t=C;h=ph(h&255|0,0,16)|0;t=ph(p|v|h|0,t|C|0,2)|0;h=C;v=d[e+16>>0]|0;p=ph(d[e+17>>0]|0|0,0,8)|0;z=C;f=ph(d[e+18>>0]|0|0,0,16)|0;z=z|C;A=ph(d[e+19>>0]|0|0,0,24)|0;A=p|v|f|A;z=z|C;f=a[e+22>>0]|0;v=d[e+20>>0]|0;p=ph(d[e+21>>0]|0|0,0,8)|0;q=C;f=ph(f&255|0,0,16)|0;q=ph(p|v|f|0,q|C|0,7)|0;f=C;v=a[e+25>>0]|0;p=d[e+23>>0]|0;g=ph(d[e+24>>0]|0|0,0,8)|0;w=C;v=ph(v&255|0,0,16)|0;w=ph(g|p|v|0,w|C|0,5)|0;v=C;p=a[e+28>>0]|0;g=d[e+26>>0]|0;r=ph(d[e+27>>0]|0|0,0,8)|0;o=C;p=ph(p&255|0,0,16)|0;o=ph(r|g|p|0,o|C|0,4)|0;p=C;g=a[e+31>>0]|0;r=d[e+29>>0]|0;y=ph(d[e+30>>0]|0|0,0,8)|0;s=C;e=ph(g&255|0,0,16)|0;s=ph(y|r|e|0,s|C|0,2)|0;s=s&33554428;e=lh(s|0,0,16777216,0)|0;e=oh(e|0,C|0,25)|0;r=C;y=kh(0,0,e|0,r|0)|0;l=lh(y&19|0,0,i|H|D|B|0,l|0)|0;B=C;r=ph(e|0,r|0,25)|0;e=C;D=lh(k|0,m|0,16777216,0)|0;D=oh(D|0,C|0,25)|0;H=C;j=lh(x|0,j|0,D|0,H|0)|0;x=C;H=ph(D|0,H|0,25)|0;H=kh(k|0,m|0,H|0,C|0)|0;m=C;k=lh(F|0,E|0,16777216,0)|0;k=oh(k|0,C|0,25)|0;D=C;h=lh(t|0,h|0,k|0,D|0)|0;t=C;D=ph(k|0,D|0,25)|0;k=C;i=lh(A|0,z|0,16777216,0)|0;i=oh(i|0,C|0,25)|0;y=C;f=lh(q|0,f|0,i|0,y|0)|0;q=C;y=ph(i|0,y|0,25)|0;i=C;g=lh(w|0,v|0,16777216,0)|0;g=oh(g|0,C|0,25)|0;u=C;p=lh(o|0,p|0,g|0,u|0)|0;o=C;u=ph(g|0,u|0,25)|0;g=C;G=lh(l|0,B|0,33554432,0)|0;G=mh(G|0,C|0,26)|0;n=C;m=lh(H|0,m|0,G|0,n|0)|0;n=ph(G|0,n|0,26)|0;n=kh(l|0,B|0,n|0,C|0)|0;B=lh(j|0,x|0,33554432,0)|0;B=mh(B|0,C|0,26)|0;l=C;E=lh(B|0,l|0,F|0,E|0)|0;k=kh(E|0,C|0,D|0,k|0)|0;l=ph(B|0,l|0,26)|0;l=kh(j|0,x|0,l|0,C|0)|0;x=lh(h|0,t|0,33554432,0)|0;x=mh(x|0,C|0,26)|0;j=C;z=lh(x|0,j|0,A|0,z|0)|0;i=kh(z|0,C|0,y|0,i|0)|0;j=ph(x|0,j|0,26)|0;j=kh(h|0,t|0,j|0,C|0)|0;t=lh(f|0,q|0,33554432,0)|0;t=mh(t|0,C|0,26)|0;h=C;v=lh(t|0,h|0,w|0,v|0)|0;g=kh(v|0,C|0,u|0,g|0)|0;h=ph(t|0,h|0,26)|0;h=kh(f|0,q|0,h|0,C|0)|0;q=lh(p|0,o|0,33554432,0)|0;q=mh(q|0,C|0,26)|0;f=C;s=lh(s|0,0,q|0,f|0)|0;e=kh(s|0,C|0,r|0,e|0)|0;f=ph(q|0,f|0,26)|0;f=kh(p|0,o|0,f|0,C|0)|0;c[b>>2]=n;c[b+4>>2]=m;c[b+8>>2]=l;c[b+12>>2]=k;c[b+16>>2]=j;c[b+20>>2]=i;c[b+24>>2]=h;c[b+28>>2]=g;c[b+32>>2]=f;c[b+36>>2]=e;return}function tc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;m=c[d>>2]|0;l=c[d+4>>2]|0;k=c[d+8>>2]|0;j=c[d+12>>2]|0;i=c[d+16>>2]|0;h=c[d+20>>2]|0;g=c[d+24>>2]|0;f=c[d+28>>2]|0;o=c[d+32>>2]|0;e=c[d+36>>2]|0;m=((((((((((((((e*19|0)+16777216|0)>>>25)+m>>26)+l>>25)+k>>26)+j>>25)+i>>26)+h>>25)+g>>26)+f>>25)+o>>26)+e>>25)*19|0)+m|0;n=m>>26;l=n+l|0;n=m-(n<<26)|0;m=l>>25;k=m+k|0;m=l-(m<<25)|0;l=k>>26;j=l+j|0;l=k-(l<<26)|0;k=j>>25;i=k+i|0;k=j-(k<<25)|0;j=i>>26;h=j+h|0;j=i-(j<<26)|0;i=h>>25;g=i+g|0;i=h-(i<<25)|0;h=g>>26;f=h+f|0;h=g-(h<<26)|0;g=f>>25;d=g+o|0;g=f-(g<<25)|0;f=d>>26;e=f+e|0;f=d-(f<<26)|0;d=e&33554431;a[b>>0]=n;a[b+1>>0]=n>>>8;a[b+2>>0]=n>>>16;a[b+3>>0]=m<<2|n>>>24;a[b+4>>0]=m>>>6;a[b+5>>0]=m>>>14;a[b+6>>0]=l<<3|m>>>22;a[b+7>>0]=l>>>5;a[b+8>>0]=l>>>13;a[b+9>>0]=k<<5|l>>>21;a[b+10>>0]=k>>>3;a[b+11>>0]=k>>>11;a[b+12>>0]=j<<6|k>>>19;a[b+13>>0]=j>>>2;a[b+14>>0]=j>>>10;a[b+15>>0]=j>>>18;a[b+16>>0]=i;a[b+17>>0]=i>>>8;a[b+18>>0]=i>>>16;a[b+19>>0]=h<<1|i>>>24;a[b+20>>0]=h>>>7;a[b+21>>0]=h>>>15;a[b+22>>0]=g<<3|h>>>23;a[b+23>>0]=g>>>5;a[b+24>>0]=g>>>13;a[b+25>>0]=f<<4|g>>>21;a[b+26>>0]=f>>>4;a[b+27>>0]=f>>>12;a[b+28>>0]=f>>>20|d<<6;a[b+29>>0]=e>>>2;a[b+30>>0]=e>>>10;a[b+31>>0]=d>>>18;return}function uc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0;l=c[b>>2]|0;s=c[b+4>>2]|0;j=c[b+8>>2]|0;Rb=c[b+12>>2]|0;e=c[b+16>>2]|0;za=c[b+20>>2]|0;ya=c[b+24>>2]|0;zb=c[b+28>>2]|0;h=c[b+32>>2]|0;ga=c[b+36>>2]|0;H=c[d>>2]|0;J=c[d+4>>2]|0;F=c[d+8>>2]|0;D=c[d+12>>2]|0;A=c[d+16>>2]|0;y=c[d+20>>2]|0;w=c[d+24>>2]|0;u=c[d+28>>2]|0;k=c[d+32>>2]|0;t=c[d+36>>2]|0;Oc=J*19|0;bc=F*19|0;rb=D*19|0;Ha=A*19|0;jc=y*19|0;Db=w*19|0;Ta=u*19|0;Sc=k*19|0;Qc=t*19|0;p=s<<1;f=Rb<<1;M=za<<1;i=zb<<1;d=ga<<1;o=((l|0)<0)<<31>>31;I=((H|0)<0)<<31>>31;Mc=wh(H|0,I|0,l|0,o|0)|0;Lc=C;K=((J|0)<0)<<31>>31;wc=wh(J|0,K|0,l|0,o|0)|0;vc=C;G=((F|0)<0)<<31>>31;ub=wh(F|0,G|0,l|0,o|0)|0;tb=C;E=((D|0)<0)<<31>>31;Ka=wh(D|0,E|0,l|0,o|0)|0;Ja=C;B=((A|0)<0)<<31>>31;mc=wh(A|0,B|0,l|0,o|0)|0;lc=C;z=((y|0)<0)<<31>>31;Gb=wh(y|0,z|0,l|0,o|0)|0;Fb=C;x=((w|0)<0)<<31>>31;Wa=wh(w|0,x|0,l|0,o|0)|0;Va=C;v=((u|0)<0)<<31>>31;ja=wh(u|0,v|0,l|0,o|0)|0;ia=C;Pc=((k|0)<0)<<31>>31;P=wh(k|0,Pc|0,l|0,o|0)|0;O=C;o=wh(t|0,((t|0)<0)<<31>>31|0,l|0,o|0)|0;l=C;t=((s|0)<0)<<31>>31;dc=wh(H|0,I|0,s|0,t|0)|0;ec=C;n=((p|0)<0)<<31>>31;yb=wh(J|0,K|0,p|0,n|0)|0;xb=C;Ma=wh(F|0,G|0,s|0,t|0)|0;La=C;oc=wh(D|0,E|0,p|0,n|0)|0;nc=C;Ib=wh(A|0,B|0,s|0,t|0)|0;Hb=C;Ya=wh(y|0,z|0,p|0,n|0)|0;Xa=C;la=wh(w|0,x|0,s|0,t|0)|0;ka=C;R=wh(u|0,v|0,p|0,n|0)|0;Q=C;t=wh(k|0,Pc|0,s|0,t|0)|0;s=C;Pc=((Qc|0)<0)<<31>>31;n=wh(Qc|0,Pc|0,p|0,n|0)|0;p=C;k=((j|0)<0)<<31>>31;wb=wh(H|0,I|0,j|0,k|0)|0;vb=C;Qa=wh(J|0,K|0,j|0,k|0)|0;Pa=C;qc=wh(F|0,G|0,j|0,k|0)|0;pc=C;Kb=wh(D|0,E|0,j|0,k|0)|0;Jb=C;_a=wh(A|0,B|0,j|0,k|0)|0;Za=C;na=wh(y|0,z|0,j|0,k|0)|0;ma=C;T=wh(w|0,x|0,j|0,k|0)|0;S=C;v=wh(u|0,v|0,j|0,k|0)|0;u=C;Rc=((Sc|0)<0)<<31>>31;yc=wh(Sc|0,Rc|0,j|0,k|0)|0;xc=C;k=wh(Qc|0,Pc|0,j|0,k|0)|0;j=C;Sb=((Rb|0)<0)<<31>>31;Oa=wh(H|0,I|0,Rb|0,Sb|0)|0;Na=C;fa=((f|0)<0)<<31>>31;uc=wh(J|0,K|0,f|0,fa|0)|0;tc=C;Mb=wh(F|0,G|0,Rb|0,Sb|0)|0;Lb=C;ab=wh(D|0,E|0,f|0,fa|0)|0;$a=C;pa=wh(A|0,B|0,Rb|0,Sb|0)|0;oa=C;V=wh(y|0,z|0,f|0,fa|0)|0;U=C;x=wh(w|0,x|0,Rb|0,Sb|0)|0;w=C;Ua=((Ta|0)<0)<<31>>31;Ac=wh(Ta|0,Ua|0,f|0,fa|0)|0;zc=C;Sb=wh(Sc|0,Rc|0,Rb|0,Sb|0)|0;Rb=C;fa=wh(Qc|0,Pc|0,f|0,fa|0)|0;f=C;N=((e|0)<0)<<31>>31;sc=wh(H|0,I|0,e|0,N|0)|0;rc=C;Qb=wh(J|0,K|0,e|0,N|0)|0;Pb=C;cb=wh(F|0,G|0,e|0,N|0)|0;bb=C;ra=wh(D|0,E|0,e|0,N|0)|0;qa=C;X=wh(A|0,B|0,e|0,N|0)|0;W=C;z=wh(y|0,z|0,e|0,N|0)|0;y=C;Eb=((Db|0)<0)<<31>>31;Cc=wh(Db|0,Eb|0,e|0,N|0)|0;Bc=C;Ub=wh(Ta|0,Ua|0,e|0,N|0)|0;Tb=C;ib=wh(Sc|0,Rc|0,e|0,N|0)|0;hb=C;N=wh(Qc|0,Pc|0,e|0,N|0)|0;e=C;Aa=((za|0)<0)<<31>>31;Ob=wh(H|0,I|0,za|0,Aa|0)|0;Nb=C;b=((M|0)<0)<<31>>31;gb=wh(J|0,K|0,M|0,b|0)|0;fb=C;ta=wh(F|0,G|0,za|0,Aa|0)|0;sa=C;Z=wh(D|0,E|0,M|0,b|0)|0;Y=C;B=wh(A|0,B|0,za|0,Aa|0)|0;A=C;kc=((jc|0)<0)<<31>>31;Ec=wh(jc|0,kc|0,M|0,b|0)|0;Dc=C;Wb=wh(Db|0,Eb|0,za|0,Aa|0)|0;Vb=C;kb=wh(Ta|0,Ua|0,M|0,b|0)|0;jb=C;Aa=wh(Sc|0,Rc|0,za|0,Aa|0)|0;za=C;b=wh(Qc|0,Pc|0,M|0,b|0)|0;M=C;g=((ya|0)<0)<<31>>31;eb=wh(H|0,I|0,ya|0,g|0)|0;db=C;xa=wh(J|0,K|0,ya|0,g|0)|0;wa=C;$=wh(F|0,G|0,ya|0,g|0)|0;_=C;E=wh(D|0,E|0,ya|0,g|0)|0;D=C;Ia=((Ha|0)<0)<<31>>31;Gc=wh(Ha|0,Ia|0,ya|0,g|0)|0;Fc=C;Yb=wh(jc|0,kc|0,ya|0,g|0)|0;Xb=C;mb=wh(Db|0,Eb|0,ya|0,g|0)|0;lb=C;Ca=wh(Ta|0,Ua|0,ya|0,g|0)|0;Ba=C;m=wh(Sc|0,Rc|0,ya|0,g|0)|0;r=C;g=wh(Qc|0,Pc|0,ya|0,g|0)|0;ya=C;Ab=((zb|0)<0)<<31>>31;va=wh(H|0,I|0,zb|0,Ab|0)|0;ua=C;ea=((i|0)<0)<<31>>31;da=wh(J|0,K|0,i|0,ea|0)|0;ca=C;G=wh(F|0,G|0,zb|0,Ab|0)|0;F=C;sb=((rb|0)<0)<<31>>31;Ic=wh(rb|0,sb|0,i|0,ea|0)|0;Hc=C;_b=wh(Ha|0,Ia|0,zb|0,Ab|0)|0;Zb=C;ob=wh(jc|0,kc|0,i|0,ea|0)|0;nb=C;Ea=wh(Db|0,Eb|0,zb|0,Ab|0)|0;Da=C;gc=wh(Ta|0,Ua|0,i|0,ea|0)|0;fc=C;Ab=wh(Sc|0,Rc|0,zb|0,Ab|0)|0;zb=C;ea=wh(Qc|0,Pc|0,i|0,ea|0)|0;i=C;L=((h|0)<0)<<31>>31;ba=wh(H|0,I|0,h|0,L|0)|0;aa=C;K=wh(J|0,K|0,h|0,L|0)|0;J=C;cc=((bc|0)<0)<<31>>31;Kc=wh(bc|0,cc|0,h|0,L|0)|0;Jc=C;ac=wh(rb|0,sb|0,h|0,L|0)|0;$b=C;qb=wh(Ha|0,Ia|0,h|0,L|0)|0;pb=C;Ga=wh(jc|0,kc|0,h|0,L|0)|0;Fa=C;ic=wh(Db|0,Eb|0,h|0,L|0)|0;hc=C;Cb=wh(Ta|0,Ua|0,h|0,L|0)|0;Bb=C;Sa=wh(Sc|0,Rc|0,h|0,L|0)|0;Ra=C;L=wh(Qc|0,Pc|0,h|0,L|0)|0;h=C;ha=((ga|0)<0)<<31>>31;I=wh(H|0,I|0,ga|0,ha|0)|0;H=C;q=((d|0)<0)<<31>>31;Oc=wh(Oc|0,((Oc|0)<0)<<31>>31|0,d|0,q|0)|0;Nc=C;cc=wh(bc|0,cc|0,ga|0,ha|0)|0;bc=C;sb=wh(rb|0,sb|0,d|0,q|0)|0;rb=C;Ia=wh(Ha|0,Ia|0,ga|0,ha|0)|0;Ha=C;kc=wh(jc|0,kc|0,d|0,q|0)|0;jc=C;Eb=wh(Db|0,Eb|0,ga|0,ha|0)|0;Db=C;Ua=wh(Ta|0,Ua|0,d|0,q|0)|0;Ta=C;ha=wh(Sc|0,Rc|0,ga|0,ha|0)|0;ga=C;q=wh(Qc|0,Pc|0,d|0,q|0)|0;d=C;Lc=lh(Oc|0,Nc|0,Mc|0,Lc|0)|0;Jc=lh(Lc|0,C|0,Kc|0,Jc|0)|0;Hc=lh(Jc|0,C|0,Ic|0,Hc|0)|0;Fc=lh(Hc|0,C|0,Gc|0,Fc|0)|0;Dc=lh(Fc|0,C|0,Ec|0,Dc|0)|0;Bc=lh(Dc|0,C|0,Cc|0,Bc|0)|0;zc=lh(Bc|0,C|0,Ac|0,zc|0)|0;xc=lh(zc|0,C|0,yc|0,xc|0)|0;p=lh(xc|0,C|0,n|0,p|0)|0;n=C;ec=lh(wc|0,vc|0,dc|0,ec|0)|0;dc=C;rc=lh(uc|0,tc|0,sc|0,rc|0)|0;pc=lh(rc|0,C|0,qc|0,pc|0)|0;nc=lh(pc|0,C|0,oc|0,nc|0)|0;lc=lh(nc|0,C|0,mc|0,lc|0)|0;jc=lh(lc|0,C|0,kc|0,jc|0)|0;hc=lh(jc|0,C|0,ic|0,hc|0)|0;fc=lh(hc|0,C|0,gc|0,fc|0)|0;r=lh(fc|0,C|0,m|0,r|0)|0;M=lh(r|0,C|0,b|0,M|0)|0;b=C;r=lh(p|0,n|0,33554432,0)|0;r=mh(r|0,C|0,26)|0;m=C;bc=lh(ec|0,dc|0,cc|0,bc|0)|0;$b=lh(bc|0,C|0,ac|0,$b|0)|0;Zb=lh($b|0,C|0,_b|0,Zb|0)|0;Xb=lh(Zb|0,C|0,Yb|0,Xb|0)|0;Vb=lh(Xb|0,C|0,Wb|0,Vb|0)|0;Tb=lh(Vb|0,C|0,Ub|0,Tb|0)|0;Rb=lh(Tb|0,C|0,Sb|0,Rb|0)|0;j=lh(Rb|0,C|0,k|0,j|0)|0;j=lh(j|0,C|0,r|0,m|0)|0;k=C;m=ph(r|0,m|0,26)|0;m=kh(p|0,n|0,m|0,C|0)|0;n=C;p=lh(M|0,b|0,33554432,0)|0;p=mh(p|0,C|0,26)|0;r=C;Nb=lh(Qb|0,Pb|0,Ob|0,Nb|0)|0;Lb=lh(Nb|0,C|0,Mb|0,Lb|0)|0;Jb=lh(Lb|0,C|0,Kb|0,Jb|0)|0;Hb=lh(Jb|0,C|0,Ib|0,Hb|0)|0;Fb=lh(Hb|0,C|0,Gb|0,Fb|0)|0;Db=lh(Fb|0,C|0,Eb|0,Db|0)|0;Bb=lh(Db|0,C|0,Cb|0,Bb|0)|0;zb=lh(Bb|0,C|0,Ab|0,zb|0)|0;ya=lh(zb|0,C|0,g|0,ya|0)|0;ya=lh(ya|0,C|0,p|0,r|0)|0;g=C;r=ph(p|0,r|0,26)|0;r=kh(M|0,b|0,r|0,C|0)|0;b=C;M=lh(j|0,k|0,16777216,0)|0;M=mh(M|0,C|0,25)|0;p=C;vb=lh(yb|0,xb|0,wb|0,vb|0)|0;tb=lh(vb|0,C|0,ub|0,tb|0)|0;rb=lh(tb|0,C|0,sb|0,rb|0)|0;pb=lh(rb|0,C|0,qb|0,pb|0)|0;nb=lh(pb|0,C|0,ob|0,nb|0)|0;lb=lh(nb|0,C|0,mb|0,lb|0)|0;jb=lh(lb|0,C|0,kb|0,jb|0)|0;hb=lh(jb|0,C|0,ib|0,hb|0)|0;f=lh(hb|0,C|0,fa|0,f|0)|0;f=lh(f|0,C|0,M|0,p|0)|0;fa=C;p=ph(M|0,p|0,25)|0;p=kh(j|0,k|0,p|0,C|0)|0;k=C;j=lh(ya|0,g|0,16777216,0)|0;j=mh(j|0,C|0,25)|0;M=C;db=lh(gb|0,fb|0,eb|0,db|0)|0;bb=lh(db|0,C|0,cb|0,bb|0)|0;$a=lh(bb|0,C|0,ab|0,$a|0)|0;Za=lh($a|0,C|0,_a|0,Za|0)|0;Xa=lh(Za|0,C|0,Ya|0,Xa|0)|0;Va=lh(Xa|0,C|0,Wa|0,Va|0)|0;Ta=lh(Va|0,C|0,Ua|0,Ta|0)|0;Ra=lh(Ta|0,C|0,Sa|0,Ra|0)|0;i=lh(Ra|0,C|0,ea|0,i|0)|0;i=lh(i|0,C|0,j|0,M|0)|0;ea=C;M=ph(j|0,M|0,25)|0;M=kh(ya|0,g|0,M|0,C|0)|0;g=C;ya=lh(f|0,fa|0,33554432,0)|0;ya=mh(ya|0,C|0,26)|0;j=C;Na=lh(Qa|0,Pa|0,Oa|0,Na|0)|0;La=lh(Na|0,C|0,Ma|0,La|0)|0;Ja=lh(La|0,C|0,Ka|0,Ja|0)|0;Ha=lh(Ja|0,C|0,Ia|0,Ha|0)|0;Fa=lh(Ha|0,C|0,Ga|0,Fa|0)|0;Da=lh(Fa|0,C|0,Ea|0,Da|0)|0;Ba=lh(Da|0,C|0,Ca|0,Ba|0)|0;za=lh(Ba|0,C|0,Aa|0,za|0)|0;e=lh(za|0,C|0,N|0,e|0)|0;e=lh(e|0,C|0,ya|0,j|0)|0;N=C;j=ph(ya|0,j|0,26)|0;j=kh(f|0,fa|0,j|0,C|0)|0;fa=lh(i|0,ea|0,33554432,0)|0;fa=mh(fa|0,C|0,26)|0;f=C;ua=lh(xa|0,wa|0,va|0,ua|0)|0;sa=lh(ua|0,C|0,ta|0,sa|0)|0;qa=lh(sa|0,C|0,ra|0,qa|0)|0;oa=lh(qa|0,C|0,pa|0,oa|0)|0;ma=lh(oa|0,C|0,na|0,ma|0)|0;ka=lh(ma|0,C|0,la|0,ka|0)|0;ia=lh(ka|0,C|0,ja|0,ia|0)|0;ga=lh(ia|0,C|0,ha|0,ga|0)|0;h=lh(ga|0,C|0,L|0,h|0)|0;h=lh(h|0,C|0,fa|0,f|0)|0;L=C;f=ph(fa|0,f|0,26)|0;f=kh(i|0,ea|0,f|0,C|0)|0;ea=lh(e|0,N|0,16777216,0)|0;ea=mh(ea|0,C|0,25)|0;i=C;b=lh(ea|0,i|0,r|0,b|0)|0;r=C;i=ph(ea|0,i|0,25)|0;i=kh(e|0,N|0,i|0,C|0)|0;N=lh(h|0,L|0,16777216,0)|0;N=mh(N|0,C|0,25)|0;e=C;aa=lh(da|0,ca|0,ba|0,aa|0)|0;_=lh(aa|0,C|0,$|0,_|0)|0;Y=lh(_|0,C|0,Z|0,Y|0)|0;W=lh(Y|0,C|0,X|0,W|0)|0;U=lh(W|0,C|0,V|0,U|0)|0;S=lh(U|0,C|0,T|0,S|0)|0;Q=lh(S|0,C|0,R|0,Q|0)|0;O=lh(Q|0,C|0,P|0,O|0)|0;d=lh(O|0,C|0,q|0,d|0)|0;d=lh(d|0,C|0,N|0,e|0)|0;q=C;e=ph(N|0,e|0,25)|0;e=kh(h|0,L|0,e|0,C|0)|0;L=lh(b|0,r|0,33554432,0)|0;L=mh(L|0,C|0,26)|0;h=C;g=lh(M|0,g|0,L|0,h|0)|0;h=ph(L|0,h|0,26)|0;h=kh(b|0,r|0,h|0,C|0)|0;r=lh(d|0,q|0,33554432,0)|0;r=mh(r|0,C|0,26)|0;b=C;H=lh(K|0,J|0,I|0,H|0)|0;F=lh(H|0,C|0,G|0,F|0)|0;D=lh(F|0,C|0,E|0,D|0)|0;A=lh(D|0,C|0,B|0,A|0)|0;y=lh(A|0,C|0,z|0,y|0)|0;w=lh(y|0,C|0,x|0,w|0)|0;u=lh(w|0,C|0,v|0,u|0)|0;s=lh(u|0,C|0,t|0,s|0)|0;l=lh(s|0,C|0,o|0,l|0)|0;l=lh(l|0,C|0,r|0,b|0)|0;o=C;b=ph(r|0,b|0,26)|0;b=kh(d|0,q|0,b|0,C|0)|0;q=lh(l|0,o|0,16777216,0)|0;q=mh(q|0,C|0,25)|0;d=C;r=wh(q|0,d|0,19,0)|0;n=lh(r|0,C|0,m|0,n|0)|0;m=C;d=ph(q|0,d|0,25)|0;d=kh(l|0,o|0,d|0,C|0)|0;o=lh(n|0,m|0,33554432,0)|0;o=mh(o|0,C|0,26)|0;l=C;k=lh(p|0,k|0,o|0,l|0)|0;l=ph(o|0,l|0,26)|0;l=kh(n|0,m|0,l|0,C|0)|0;c[a>>2]=l;c[a+4>>2]=k;c[a+8>>2]=j;c[a+12>>2]=i;c[a+16>>2]=h;c[a+20>>2]=g;c[a+24>>2]=f;c[a+28>>2]=e;c[a+32>>2]=b;c[a+36>>2]=d;return}function vc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;bb=c[b>>2]|0;ua=c[b+4>>2]|0;j=c[b+8>>2]|0;la=c[b+12>>2]|0;e=c[b+16>>2]|0;db=c[b+20>>2]|0;Y=c[b+24>>2]|0;La=c[b+28>>2]|0;h=c[b+32>>2]|0;b=c[b+36>>2]|0;l=bb<<1;p=ua<<1;Xa=j<<1;f=la<<1;na=e<<1;B=db<<1;m=Y<<1;i=La<<1;Ka=db*38|0;ra=Y*19|0;va=La*38|0;da=h*19|0;gb=b*38|0;cb=((bb|0)<0)<<31>>31;cb=wh(bb|0,cb|0,bb|0,cb|0)|0;bb=C;o=((l|0)<0)<<31>>31;ta=((ua|0)<0)<<31>>31;Ia=wh(l|0,o|0,ua|0,ta|0)|0;Ha=C;k=((j|0)<0)<<31>>31;Wa=wh(j|0,k|0,l|0,o|0)|0;Va=C;ma=((la|0)<0)<<31>>31;Ua=wh(la|0,ma|0,l|0,o|0)|0;Ta=C;D=((e|0)<0)<<31>>31;Oa=wh(e|0,D|0,l|0,o|0)|0;Na=C;eb=((db|0)<0)<<31>>31;ya=wh(db|0,eb|0,l|0,o|0)|0;xa=C;g=((Y|0)<0)<<31>>31;ga=wh(Y|0,g|0,l|0,o|0)|0;fa=C;Ma=((La|0)<0)<<31>>31;R=wh(La|0,Ma|0,l|0,o|0)|0;Q=C;A=((h|0)<0)<<31>>31;F=wh(h|0,A|0,l|0,o|0)|0;E=C;q=((b|0)<0)<<31>>31;o=wh(b|0,q|0,l|0,o|0)|0;l=C;n=((p|0)<0)<<31>>31;ta=wh(p|0,n|0,ua|0,ta|0)|0;ua=C;ba=wh(p|0,n|0,j|0,k|0)|0;ca=C;P=((f|0)<0)<<31>>31;Sa=wh(f|0,P|0,p|0,n|0)|0;Ra=C;Ca=wh(e|0,D|0,p|0,n|0)|0;Ba=C;d=((B|0)<0)<<31>>31;ia=wh(B|0,d|0,p|0,n|0)|0;ha=C;T=wh(Y|0,g|0,p|0,n|0)|0;S=C;O=((i|0)<0)<<31>>31;H=wh(i|0,O|0,p|0,n|0)|0;G=C;t=wh(h|0,A|0,p|0,n|0)|0;s=C;fb=((gb|0)<0)<<31>>31;n=wh(gb|0,fb|0,p|0,n|0)|0;p=C;Qa=wh(j|0,k|0,j|0,k|0)|0;Pa=C;Ya=((Xa|0)<0)<<31>>31;Aa=wh(Xa|0,Ya|0,la|0,ma|0)|0;za=C;ka=wh(e|0,D|0,Xa|0,Ya|0)|0;ja=C;X=wh(db|0,eb|0,Xa|0,Ya|0)|0;W=C;N=wh(Y|0,g|0,Xa|0,Ya|0)|0;M=C;v=wh(La|0,Ma|0,Xa|0,Ya|0)|0;u=C;ea=((da|0)<0)<<31>>31;Ya=wh(da|0,ea|0,Xa|0,Ya|0)|0;Xa=C;k=wh(gb|0,fb|0,j|0,k|0)|0;j=C;ma=wh(f|0,P|0,la|0,ma|0)|0;la=C;V=wh(f|0,P|0,e|0,D|0)|0;U=C;J=wh(B|0,d|0,f|0,P|0)|0;I=C;z=wh(Y|0,g|0,f|0,P|0)|0;y=C;wa=((va|0)<0)<<31>>31;_a=wh(va|0,wa|0,f|0,P|0)|0;Za=C;Ea=wh(da|0,ea|0,f|0,P|0)|0;Da=C;P=wh(gb|0,fb|0,f|0,P|0)|0;f=C;L=wh(e|0,D|0,e|0,D|0)|0;K=C;oa=((na|0)<0)<<31>>31;x=wh(na|0,oa|0,db|0,eb|0)|0;w=C;sa=((ra|0)<0)<<31>>31;ab=wh(ra|0,sa|0,na|0,oa|0)|0;$a=C;Ga=wh(va|0,wa|0,e|0,D|0)|0;Fa=C;oa=wh(da|0,ea|0,na|0,oa|0)|0;na=C;D=wh(gb|0,fb|0,e|0,D|0)|0;e=C;eb=wh(Ka|0,((Ka|0)<0)<<31>>31|0,db|0,eb|0)|0;db=C;Ka=wh(ra|0,sa|0,B|0,d|0)|0;Ja=C;qa=wh(va|0,wa|0,B|0,d|0)|0;pa=C;_=wh(da|0,ea|0,B|0,d|0)|0;Z=C;d=wh(gb|0,fb|0,B|0,d|0)|0;B=C;sa=wh(ra|0,sa|0,Y|0,g|0)|0;ra=C;aa=wh(va|0,wa|0,Y|0,g|0)|0;$=C;m=wh(da|0,ea|0,m|0,((m|0)<0)<<31>>31|0)|0;r=C;g=wh(gb|0,fb|0,Y|0,g|0)|0;Y=C;Ma=wh(va|0,wa|0,La|0,Ma|0)|0;La=C;wa=wh(da|0,ea|0,i|0,O|0)|0;va=C;O=wh(gb|0,fb|0,i|0,O|0)|0;i=C;ea=wh(da|0,ea|0,h|0,A|0)|0;da=C;A=wh(gb|0,fb|0,h|0,A|0)|0;h=C;q=wh(gb|0,fb|0,b|0,q|0)|0;b=C;bb=lh(eb|0,db|0,cb|0,bb|0)|0;$a=lh(bb|0,C|0,ab|0,$a|0)|0;Za=lh($a|0,C|0,_a|0,Za|0)|0;Xa=lh(Za|0,C|0,Ya|0,Xa|0)|0;p=lh(Xa|0,C|0,n|0,p|0)|0;n=C;ua=lh(Wa|0,Va|0,ta|0,ua|0)|0;ta=C;ca=lh(Ua|0,Ta|0,ba|0,ca|0)|0;ba=C;Pa=lh(Sa|0,Ra|0,Qa|0,Pa|0)|0;Na=lh(Pa|0,C|0,Oa|0,Na|0)|0;La=lh(Na|0,C|0,Ma|0,La|0)|0;r=lh(La|0,C|0,m|0,r|0)|0;B=lh(r|0,C|0,d|0,B|0)|0;d=C;r=lh(p|0,n|0,33554432,0)|0;r=mh(r|0,C|0,26)|0;m=C;Ha=lh(Ka|0,Ja|0,Ia|0,Ha|0)|0;Fa=lh(Ha|0,C|0,Ga|0,Fa|0)|0;Da=lh(Fa|0,C|0,Ea|0,Da|0)|0;j=lh(Da|0,C|0,k|0,j|0)|0;j=lh(j|0,C|0,r|0,m|0)|0;k=C;m=ph(r|0,m|0,26)|0;m=kh(p|0,n|0,m|0,C|0)|0;n=C;p=lh(B|0,d|0,33554432,0)|0;p=mh(p|0,C|0,26)|0;r=C;za=lh(Ca|0,Ba|0,Aa|0,za|0)|0;xa=lh(za|0,C|0,ya|0,xa|0)|0;va=lh(xa|0,C|0,wa|0,va|0)|0;Y=lh(va|0,C|0,g|0,Y|0)|0;Y=lh(Y|0,C|0,p|0,r|0)|0;g=C;r=ph(p|0,r|0,26)|0;r=kh(B|0,d|0,r|0,C|0)|0;d=C;B=lh(j|0,k|0,16777216,0)|0;B=mh(B|0,C|0,25)|0;p=C;ra=lh(ua|0,ta|0,sa|0,ra|0)|0;pa=lh(ra|0,C|0,qa|0,pa|0)|0;na=lh(pa|0,C|0,oa|0,na|0)|0;f=lh(na|0,C|0,P|0,f|0)|0;f=lh(f|0,C|0,B|0,p|0)|0;P=C;p=ph(B|0,p|0,25)|0;p=kh(j|0,k|0,p|0,C|0)|0;k=C;j=lh(Y|0,g|0,16777216,0)|0;j=mh(j|0,C|0,25)|0;B=C;ja=lh(ma|0,la|0,ka|0,ja|0)|0;ha=lh(ja|0,C|0,ia|0,ha|0)|0;fa=lh(ha|0,C|0,ga|0,fa|0)|0;da=lh(fa|0,C|0,ea|0,da|0)|0;i=lh(da|0,C|0,O|0,i|0)|0;i=lh(i|0,C|0,j|0,B|0)|0;O=C;B=ph(j|0,B|0,25)|0;B=kh(Y|0,g|0,B|0,C|0)|0;g=C;Y=lh(f|0,P|0,33554432,0)|0;Y=mh(Y|0,C|0,26)|0;j=C;$=lh(ca|0,ba|0,aa|0,$|0)|0;Z=lh($|0,C|0,_|0,Z|0)|0;e=lh(Z|0,C|0,D|0,e|0)|0;e=lh(e|0,C|0,Y|0,j|0)|0;D=C;j=ph(Y|0,j|0,26)|0;j=kh(f|0,P|0,j|0,C|0)|0;P=lh(i|0,O|0,33554432,0)|0;P=mh(P|0,C|0,26)|0;f=C;U=lh(X|0,W|0,V|0,U|0)|0;S=lh(U|0,C|0,T|0,S|0)|0;Q=lh(S|0,C|0,R|0,Q|0)|0;h=lh(Q|0,C|0,A|0,h|0)|0;h=lh(h|0,C|0,P|0,f|0)|0;A=C;f=ph(P|0,f|0,26)|0;f=kh(i|0,O|0,f|0,C|0)|0;O=lh(e|0,D|0,16777216,0)|0;O=mh(O|0,C|0,25)|0;i=C;d=lh(O|0,i|0,r|0,d|0)|0;r=C;i=ph(O|0,i|0,25)|0;i=kh(e|0,D|0,i|0,C|0)|0;D=lh(h|0,A|0,16777216,0)|0;D=mh(D|0,C|0,25)|0;e=C;K=lh(N|0,M|0,L|0,K|0)|0;I=lh(K|0,C|0,J|0,I|0)|0;G=lh(I|0,C|0,H|0,G|0)|0;E=lh(G|0,C|0,F|0,E|0)|0;b=lh(E|0,C|0,q|0,b|0)|0;b=lh(b|0,C|0,D|0,e|0)|0;q=C;e=ph(D|0,e|0,25)|0;e=kh(h|0,A|0,e|0,C|0)|0;A=lh(d|0,r|0,33554432,0)|0;A=mh(A|0,C|0,26)|0;h=C;g=lh(B|0,g|0,A|0,h|0)|0;h=ph(A|0,h|0,26)|0;h=kh(d|0,r|0,h|0,C|0)|0;r=lh(b|0,q|0,33554432,0)|0;r=mh(r|0,C|0,26)|0;d=C;w=lh(z|0,y|0,x|0,w|0)|0;u=lh(w|0,C|0,v|0,u|0)|0;s=lh(u|0,C|0,t|0,s|0)|0;l=lh(s|0,C|0,o|0,l|0)|0;l=lh(l|0,C|0,r|0,d|0)|0;o=C;d=ph(r|0,d|0,26)|0;d=kh(b|0,q|0,d|0,C|0)|0;q=lh(l|0,o|0,16777216,0)|0;q=mh(q|0,C|0,25)|0;b=C;r=wh(q|0,b|0,19,0)|0;n=lh(r|0,C|0,m|0,n|0)|0;m=C;b=ph(q|0,b|0,25)|0;b=kh(l|0,o|0,b|0,C|0)|0;o=lh(n|0,m|0,33554432,0)|0;o=mh(o|0,C|0,26)|0;l=C;k=lh(p|0,k|0,o|0,l|0)|0;l=ph(o|0,l|0,26)|0;l=kh(n|0,m|0,l|0,C|0)|0;c[a>>2]=l;c[a+4>>2]=k;c[a+8>>2]=j;c[a+12>>2]=i;c[a+16>>2]=h;c[a+20>>2]=g;c[a+24>>2]=f;c[a+28>>2]=e;c[a+32>>2]=d;c[a+36>>2]=b;return}function wc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=i;c=i=i+63&-64;i=i+160|0;d=c+120|0;e=c+80|0;f=c+40|0;vc(d,b);vc(e,d);vc(e,e);uc(e,b,e);uc(d,d,e);vc(f,d);uc(e,e,f);vc(f,e);vc(f,f);vc(f,f);vc(f,f);vc(f,f);uc(e,f,e);vc(f,e);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);uc(f,f,e);vc(c,f);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);vc(c,c);uc(f,c,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);vc(f,f);uc(e,f,e);vc(f,e);b=1;do{vc(f,f);b=b+1|0}while((b|0)!=50);uc(f,f,e);vc(c,f);b=1;do{vc(c,c);b=b+1|0}while((b|0)!=100);uc(f,c,f);vc(f,f);b=1;do{vc(f,f);b=b+1|0}while((b|0)!=50);uc(e,f,e);vc(e,e);vc(e,e);vc(e,e);vc(e,e);vc(e,e);uc(a,e,d);i=g;return}function xc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;V=b+40|0;j=b+44|0;m=b+48|0;p=b+52|0;s=b+56|0;v=b+60|0;y=b+64|0;B=b+68|0;E=b+72|0;C=b+76|0;S=b+4|0;P=b+8|0;e=b+12|0;l=b+16|0;n=b+20|0;u=b+24|0;w=b+28|0;D=b+32|0;O=b+36|0;ga=(c[S>>2]|0)+(c[j>>2]|0)|0;fa=(c[P>>2]|0)+(c[m>>2]|0)|0;ea=(c[e>>2]|0)+(c[p>>2]|0)|0;da=(c[l>>2]|0)+(c[s>>2]|0)|0;ca=(c[n>>2]|0)+(c[v>>2]|0)|0;ba=(c[u>>2]|0)+(c[y>>2]|0)|0;aa=(c[w>>2]|0)+(c[B>>2]|0)|0;$=(c[D>>2]|0)+(c[E>>2]|0)|0;Y=(c[O>>2]|0)+(c[C>>2]|0)|0;c[a>>2]=(c[b>>2]|0)+(c[V>>2]|0);ha=a+4|0;c[ha>>2]=ga;ga=a+8|0;c[ga>>2]=fa;fa=a+12|0;c[fa>>2]=ea;ea=a+16|0;c[ea>>2]=da;da=a+20|0;c[da>>2]=ca;ca=a+24|0;c[ca>>2]=ba;ba=a+28|0;c[ba>>2]=aa;aa=a+32|0;c[aa>>2]=$;$=a+36|0;c[$>>2]=Y;Y=a+40|0;S=(c[j>>2]|0)-(c[S>>2]|0)|0;P=(c[m>>2]|0)-(c[P>>2]|0)|0;e=(c[p>>2]|0)-(c[e>>2]|0)|0;l=(c[s>>2]|0)-(c[l>>2]|0)|0;n=(c[v>>2]|0)-(c[n>>2]|0)|0;u=(c[y>>2]|0)-(c[u>>2]|0)|0;w=(c[B>>2]|0)-(c[w>>2]|0)|0;D=(c[E>>2]|0)-(c[D>>2]|0)|0;O=(c[C>>2]|0)-(c[O>>2]|0)|0;c[Y>>2]=(c[V>>2]|0)-(c[b>>2]|0);V=a+44|0;c[V>>2]=S;S=a+48|0;c[S>>2]=P;P=a+52|0;c[P>>2]=e;e=a+56|0;c[e>>2]=l;l=a+60|0;c[l>>2]=n;n=a+64|0;c[n>>2]=u;u=a+68|0;c[u>>2]=w;w=a+72|0;c[w>>2]=D;D=a+76|0;c[D>>2]=O;O=a+80|0;uc(O,a,d);uc(Y,Y,d+40|0);C=a+120|0;uc(C,d+120|0,b+120|0);uc(a,b+80|0,d+80|0);E=c[a>>2]<<1;B=c[ha>>2]<<1;y=c[ga>>2]<<1;v=c[fa>>2]<<1;s=c[ea>>2]<<1;p=c[da>>2]<<1;m=c[ca>>2]<<1;j=c[ba>>2]<<1;g=c[aa>>2]<<1;b=c[$>>2]<<1;Z=c[O>>2]|0;N=a+84|0;W=c[N>>2]|0;M=a+88|0;T=c[M>>2]|0;L=a+92|0;Q=c[L>>2]|0;K=a+96|0;f=c[K>>2]|0;J=a+100|0;h=c[J>>2]|0;I=a+104|0;o=c[I>>2]|0;H=a+108|0;q=c[H>>2]|0;G=a+112|0;x=c[G>>2]|0;F=a+116|0;z=c[F>>2]|0;_=c[Y>>2]|0;X=c[V>>2]|0;U=c[S>>2]|0;R=c[P>>2]|0;d=c[e>>2]|0;i=c[l>>2]|0;k=c[n>>2]|0;r=c[u>>2]|0;t=c[w>>2]|0;A=c[D>>2]|0;c[a>>2]=Z-_;c[ha>>2]=W-X;c[ga>>2]=T-U;c[fa>>2]=Q-R;c[ea>>2]=f-d;c[da>>2]=h-i;c[ca>>2]=o-k;c[ba>>2]=q-r;c[aa>>2]=x-t;c[$>>2]=z-A;c[Y>>2]=_+Z;c[V>>2]=X+W;c[S>>2]=U+T;c[P>>2]=R+Q;c[e>>2]=d+f;c[l>>2]=i+h;c[n>>2]=k+o;c[u>>2]=r+q;c[w>>2]=t+x;c[D>>2]=A+z;D=c[C>>2]|0;z=a+124|0;A=c[z>>2]|0;w=a+128|0;x=c[w>>2]|0;t=a+132|0;u=c[t>>2]|0;q=a+136|0;r=c[q>>2]|0;n=a+140|0;o=c[n>>2]|0;k=a+144|0;l=c[k>>2]|0;h=a+148|0;i=c[h>>2]|0;e=a+152|0;f=c[e>>2]|0;a=a+156|0;d=c[a>>2]|0;c[O>>2]=D+E;c[N>>2]=A+B;c[M>>2]=x+y;c[L>>2]=u+v;c[K>>2]=r+s;c[J>>2]=o+p;c[I>>2]=l+m;c[H>>2]=i+j;c[G>>2]=f+g;c[F>>2]=d+b;c[C>>2]=E-D;c[z>>2]=B-A;c[w>>2]=y-x;c[t>>2]=v-u;c[q>>2]=s-r;c[n>>2]=p-o;c[k>>2]=m-l;c[h>>2]=j-i;c[e>>2]=g-f;c[a>>2]=b-d;return}function yc(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;V=i;R=i=i+63&-64;i=i+320|0;U=R+280|0;l=R+240|0;k=R+200|0;S=R+160|0;m=R+120|0;n=R+80|0;o=R+40|0;T=b+40|0;sc(T,e);h=b+80|0;c[h>>2]=1;j=b+84|0;f=j;g=f+36|0;do{c[f>>2]=0;f=f+4|0}while((f|0)<(g|0));vc(S,T);uc(m,S,464);O=S+4|0;P=S+8|0;Q=S+12|0;I=S+16|0;J=S+20|0;K=S+24|0;L=S+28|0;M=S+32|0;N=S+36|0;$=c[h>>2]|0;_=c[j>>2]|0;Y=c[b+88>>2]|0;W=c[b+92>>2]|0;q=c[b+96>>2]|0;u=c[b+100>>2]|0;w=c[b+104>>2]|0;y=c[b+108>>2]|0;A=c[b+112>>2]|0;C=c[b+116>>2]|0;g=(c[S>>2]|0)-$|0;h=(c[O>>2]|0)-_|0;j=(c[P>>2]|0)-Y|0;s=(c[Q>>2]|0)-W|0;t=(c[I>>2]|0)-q|0;D=(c[J>>2]|0)-u|0;E=(c[K>>2]|0)-w|0;F=(c[L>>2]|0)-y|0;G=(c[M>>2]|0)-A|0;H=(c[N>>2]|0)-C|0;c[S>>2]=g;c[O>>2]=h;c[P>>2]=j;c[Q>>2]=s;c[I>>2]=t;c[J>>2]=D;c[K>>2]=E;c[L>>2]=F;c[M>>2]=G;c[N>>2]=H;Z=m+4|0;X=m+8|0;p=m+12|0;r=m+16|0;v=m+20|0;x=m+24|0;z=m+28|0;B=m+32|0;f=m+36|0;_=_+(c[Z>>2]|0)|0;Y=Y+(c[X>>2]|0)|0;W=W+(c[p>>2]|0)|0;q=q+(c[r>>2]|0)|0;u=u+(c[v>>2]|0)|0;w=w+(c[x>>2]|0)|0;y=y+(c[z>>2]|0)|0;A=A+(c[B>>2]|0)|0;C=C+(c[f>>2]|0)|0;c[m>>2]=$+(c[m>>2]|0);c[Z>>2]=_;c[X>>2]=Y;c[p>>2]=W;c[r>>2]=q;c[v>>2]=u;c[x>>2]=w;c[z>>2]=y;c[B>>2]=A;c[f>>2]=C;vc(n,m);uc(n,n,m);vc(b,n);uc(b,b,m);uc(b,b,S);vc(U,b);vc(l,U);vc(l,l);uc(l,b,l);uc(U,U,l);vc(U,U);uc(U,l,U);vc(l,U);vc(l,l);vc(l,l);vc(l,l);vc(l,l);uc(U,l,U);vc(l,U);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);uc(l,l,U);vc(k,l);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);vc(k,k);uc(l,k,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);vc(l,l);uc(U,l,U);vc(l,U);f=1;do{vc(l,l);f=f+1|0}while((f|0)!=50);uc(l,l,U);vc(k,l);f=1;do{vc(k,k);f=f+1|0}while((f|0)!=100);uc(l,k,l);vc(l,l);f=1;do{vc(l,l);f=f+1|0}while((f|0)!=50);uc(U,l,U);vc(U,U);vc(U,U);uc(b,U,b);uc(b,b,n);uc(b,b,S);vc(o,b);uc(o,o,m);u=c[o>>2]|0;v=c[o+4>>2]|0;w=c[o+8>>2]|0;x=c[o+12>>2]|0;y=c[o+16>>2]|0;z=c[o+20>>2]|0;A=c[o+24>>2]|0;B=c[o+28>>2]|0;C=c[o+32>>2]|0;r=c[o+36>>2]|0;c[R>>2]=u-g;q=R+4|0;c[q>>2]=v-h;p=R+8|0;c[p>>2]=w-j;o=R+12|0;c[o>>2]=x-s;n=R+16|0;c[n>>2]=y-t;m=R+20|0;c[m>>2]=z-D;l=R+24|0;c[l>>2]=A-E;k=R+28|0;c[k>>2]=B-F;j=R+32|0;c[j>>2]=C-G;h=R+36|0;c[h>>2]=r-H;tc(U,R);f=0;g=0;do{f=(a[34664+g>>0]^a[U+g>>0])&255|f;g=g+1|0}while((g|0)!=32);do if(!(f+511&256)){O=(c[O>>2]|0)+v|0;W=(c[P>>2]|0)+w|0;X=(c[Q>>2]|0)+x|0;Y=(c[I>>2]|0)+y|0;Z=(c[J>>2]|0)+z|0;_=(c[K>>2]|0)+A|0;$=(c[L>>2]|0)+B|0;g=(c[M>>2]|0)+C|0;f=(c[N>>2]|0)+r|0;c[R>>2]=(c[S>>2]|0)+u;c[q>>2]=O;c[p>>2]=W;c[o>>2]=X;c[n>>2]=Y;c[m>>2]=Z;c[l>>2]=_;c[k>>2]=$;c[j>>2]=g;c[h>>2]=f;tc(U,R);f=0;g=0;do{f=(a[34664+g>>0]^a[U+g>>0])&255|f;g=g+1|0}while((g|0)!=32);if(!(f+511&256)){$=-1;i=V;return $|0}else{uc(b,b,504);break}}while(0);tc(U,b);if(((d[U>>0]|0)&1|0)==((d[e+31>>0]|0)>>>7|0)){K=b+4|0;M=b+8|0;O=b+12|0;Q=b+16|0;S=b+20|0;U=b+24|0;X=b+28|0;Z=b+32|0;$=b+36|0;J=0-(c[K>>2]|0)|0;L=0-(c[M>>2]|0)|0;N=0-(c[O>>2]|0)|0;P=0-(c[Q>>2]|0)|0;R=0-(c[S>>2]|0)|0;e=0-(c[U>>2]|0)|0;W=0-(c[X>>2]|0)|0;Y=0-(c[Z>>2]|0)|0;_=0-(c[$>>2]|0)|0;c[b>>2]=0-(c[b>>2]|0);c[K>>2]=J;c[M>>2]=L;c[O>>2]=N;c[Q>>2]=P;c[S>>2]=R;c[U>>2]=e;c[X>>2]=W;c[Z>>2]=Y;c[$>>2]=_}uc(b+120|0,b,T);$=0;i=V;return $|0}function zc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;V=b+40|0;j=b+44|0;m=b+48|0;p=b+52|0;s=b+56|0;v=b+60|0;y=b+64|0;B=b+68|0;E=b+72|0;C=b+76|0;S=b+4|0;P=b+8|0;e=b+12|0;l=b+16|0;n=b+20|0;u=b+24|0;w=b+28|0;D=b+32|0;O=b+36|0;ga=(c[S>>2]|0)+(c[j>>2]|0)|0;fa=(c[P>>2]|0)+(c[m>>2]|0)|0;ea=(c[e>>2]|0)+(c[p>>2]|0)|0;da=(c[l>>2]|0)+(c[s>>2]|0)|0;ca=(c[n>>2]|0)+(c[v>>2]|0)|0;ba=(c[u>>2]|0)+(c[y>>2]|0)|0;aa=(c[w>>2]|0)+(c[B>>2]|0)|0;$=(c[D>>2]|0)+(c[E>>2]|0)|0;Y=(c[O>>2]|0)+(c[C>>2]|0)|0;c[a>>2]=(c[b>>2]|0)+(c[V>>2]|0);ha=a+4|0;c[ha>>2]=ga;ga=a+8|0;c[ga>>2]=fa;fa=a+12|0;c[fa>>2]=ea;ea=a+16|0;c[ea>>2]=da;da=a+20|0;c[da>>2]=ca;ca=a+24|0;c[ca>>2]=ba;ba=a+28|0;c[ba>>2]=aa;aa=a+32|0;c[aa>>2]=$;$=a+36|0;c[$>>2]=Y;Y=a+40|0;S=(c[j>>2]|0)-(c[S>>2]|0)|0;P=(c[m>>2]|0)-(c[P>>2]|0)|0;e=(c[p>>2]|0)-(c[e>>2]|0)|0;l=(c[s>>2]|0)-(c[l>>2]|0)|0;n=(c[v>>2]|0)-(c[n>>2]|0)|0;u=(c[y>>2]|0)-(c[u>>2]|0)|0;w=(c[B>>2]|0)-(c[w>>2]|0)|0;D=(c[E>>2]|0)-(c[D>>2]|0)|0;O=(c[C>>2]|0)-(c[O>>2]|0)|0;c[Y>>2]=(c[V>>2]|0)-(c[b>>2]|0);V=a+44|0;c[V>>2]=S;S=a+48|0;c[S>>2]=P;P=a+52|0;c[P>>2]=e;e=a+56|0;c[e>>2]=l;l=a+60|0;c[l>>2]=n;n=a+64|0;c[n>>2]=u;u=a+68|0;c[u>>2]=w;w=a+72|0;c[w>>2]=D;D=a+76|0;c[D>>2]=O;O=a+80|0;uc(O,a,d);uc(Y,Y,d+40|0);C=a+120|0;uc(C,d+80|0,b+120|0);E=c[b+80>>2]<<1;B=c[b+84>>2]<<1;y=c[b+88>>2]<<1;v=c[b+92>>2]<<1;s=c[b+96>>2]<<1;p=c[b+100>>2]<<1;m=c[b+104>>2]<<1;j=c[b+108>>2]<<1;g=c[b+112>>2]<<1;b=c[b+116>>2]<<1;Z=c[O>>2]|0;N=a+84|0;W=c[N>>2]|0;M=a+88|0;T=c[M>>2]|0;L=a+92|0;Q=c[L>>2]|0;K=a+96|0;f=c[K>>2]|0;J=a+100|0;h=c[J>>2]|0;I=a+104|0;o=c[I>>2]|0;H=a+108|0;q=c[H>>2]|0;G=a+112|0;x=c[G>>2]|0;F=a+116|0;z=c[F>>2]|0;_=c[Y>>2]|0;X=c[V>>2]|0;U=c[S>>2]|0;R=c[P>>2]|0;d=c[e>>2]|0;i=c[l>>2]|0;k=c[n>>2]|0;r=c[u>>2]|0;t=c[w>>2]|0;A=c[D>>2]|0;c[a>>2]=Z-_;c[ha>>2]=W-X;c[ga>>2]=T-U;c[fa>>2]=Q-R;c[ea>>2]=f-d;c[da>>2]=h-i;c[ca>>2]=o-k;c[ba>>2]=q-r;c[aa>>2]=x-t;c[$>>2]=z-A;c[Y>>2]=_+Z;c[V>>2]=X+W;c[S>>2]=U+T;c[P>>2]=R+Q;c[e>>2]=d+f;c[l>>2]=i+h;c[n>>2]=k+o;c[u>>2]=r+q;c[w>>2]=t+x;c[D>>2]=A+z;D=c[C>>2]|0;z=a+124|0;A=c[z>>2]|0;w=a+128|0;x=c[w>>2]|0;t=a+132|0;u=c[t>>2]|0;q=a+136|0;r=c[q>>2]|0;n=a+140|0;o=c[n>>2]|0;k=a+144|0;l=c[k>>2]|0;h=a+148|0;i=c[h>>2]|0;e=a+152|0;f=c[e>>2]|0;a=a+156|0;d=c[a>>2]|0;c[O>>2]=D+E;c[N>>2]=A+B;c[M>>2]=x+y;c[L>>2]=u+v;c[K>>2]=r+s;c[J>>2]=o+p;c[I>>2]=l+m;c[H>>2]=i+j;c[G>>2]=f+g;c[F>>2]=d+b;c[C>>2]=E-D;c[z>>2]=B-A;c[w>>2]=y-x;c[t>>2]=v-u;c[q>>2]=s-r;c[n>>2]=p-o;c[k>>2]=m-l;c[h>>2]=j-i;c[e>>2]=g-f;c[a>>2]=b-d;return}function Ac(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0;d=i;S=i=i+63&-64;i=i+48|0;vc(a,b);aa=a+80|0;ta=b+40|0;vc(aa,ta);v=a+120|0;ib=c[b+80>>2]|0;Sa=c[b+84>>2]|0;p=c[b+88>>2]|0;x=c[b+92>>2]|0;f=c[b+96>>2]|0;kb=c[b+100>>2]|0;_=c[b+104>>2]|0;wa=c[b+108>>2]|0;l=c[b+112>>2]|0;ua=c[b+116>>2]|0;t=ib<<1;ra=Sa<<1;cb=p<<1;g=x<<1;Ma=f<<1;e=kb<<1;va=_<<1;n=wa<<1;bb=kb*38|0;Qa=_*19|0;Q=wa*38|0;H=l*19|0;nb=ua*38|0;jb=((ib|0)<0)<<31>>31;jb=wh(ib|0,jb|0,ib|0,jb|0)|0;ib=C;qa=((t|0)<0)<<31>>31;Ta=((Sa|0)<0)<<31>>31;$a=wh(t|0,qa|0,Sa|0,Ta|0)|0;_a=C;r=((p|0)<0)<<31>>31;Va=wh(p|0,r|0,t|0,qa|0)|0;Ua=C;R=((x|0)<0)<<31>>31;La=wh(x|0,R|0,t|0,qa|0)|0;Ka=C;ka=((f|0)<0)<<31>>31;za=wh(f|0,ka|0,t|0,qa|0)|0;ya=C;lb=((kb|0)<0)<<31>>31;K=wh(kb|0,lb|0,t|0,qa|0)|0;M=C;j=((_|0)<0)<<31>>31;k=wh(_|0,j|0,t|0,qa|0)|0;F=C;xa=((wa|0)<0)<<31>>31;u=wh(wa|0,xa|0,t|0,qa|0)|0;P=C;ma=((l|0)<0)<<31>>31;W=wh(l|0,ma|0,t|0,qa|0)|0;fa=C;oa=((ua|0)<0)<<31>>31;qa=wh(ua|0,oa|0,t|0,qa|0)|0;t=C;pa=((ra|0)<0)<<31>>31;Ta=wh(ra|0,pa|0,Sa|0,Ta|0)|0;Sa=C;Ja=wh(ra|0,pa|0,p|0,r|0)|0;Ia=C;ja=((g|0)<0)<<31>>31;Da=wh(g|0,ja|0,ra|0,pa|0)|0;Ca=C;B=wh(f|0,ka|0,ra|0,pa|0)|0;E=C;la=((e|0)<0)<<31>>31;h=wh(e|0,la|0,ra|0,pa|0)|0;D=C;s=wh(_|0,j|0,ra|0,pa|0)|0;N=C;$=((n|0)<0)<<31>>31;V=wh(n|0,$|0,ra|0,pa|0)|0;ea=C;sa=wh(l|0,ma|0,ra|0,pa|0)|0;na=C;mb=((nb|0)<0)<<31>>31;pa=wh(nb|0,mb|0,ra|0,pa|0)|0;ra=C;Ba=wh(p|0,r|0,p|0,r|0)|0;Aa=C;db=((cb|0)<0)<<31>>31;G=wh(cb|0,db|0,x|0,R|0)|0;I=C;y=wh(f|0,ka|0,cb|0,db|0)|0;A=C;o=wh(kb|0,lb|0,cb|0,db|0)|0;J=C;w=wh(_|0,j|0,cb|0,db|0)|0;ba=C;Z=wh(wa|0,xa|0,cb|0,db|0)|0;ia=C;m=((H|0)<0)<<31>>31;db=wh(H|0,m|0,cb|0,db|0)|0;cb=C;r=wh(nb|0,mb|0,p|0,r|0)|0;p=C;R=wh(g|0,ja|0,x|0,R|0)|0;x=C;q=wh(g|0,ja|0,f|0,ka|0)|0;L=C;U=wh(e|0,la|0,g|0,ja|0)|0;da=C;X=wh(_|0,j|0,g|0,ja|0)|0;ga=C;O=((Q|0)<0)<<31>>31;fb=wh(Q|0,O|0,g|0,ja|0)|0;eb=C;Xa=wh(H|0,m|0,g|0,ja|0)|0;Wa=C;ja=wh(nb|0,mb|0,g|0,ja|0)|0;g=C;T=wh(f|0,ka|0,f|0,ka|0)|0;ca=C;Na=((Ma|0)<0)<<31>>31;Y=wh(Ma|0,Na|0,kb|0,lb|0)|0;ha=C;Ra=((Qa|0)<0)<<31>>31;hb=wh(Qa|0,Ra|0,Ma|0,Na|0)|0;gb=C;Za=wh(Q|0,O|0,f|0,ka|0)|0;Ya=C;Na=wh(H|0,m|0,Ma|0,Na|0)|0;Ma=C;ka=wh(nb|0,mb|0,f|0,ka|0)|0;f=C;lb=wh(bb|0,((bb|0)<0)<<31>>31|0,kb|0,lb|0)|0;kb=C;bb=wh(Qa|0,Ra|0,e|0,la|0)|0;ab=C;Pa=wh(Q|0,O|0,e|0,la|0)|0;Oa=C;Fa=wh(H|0,m|0,e|0,la|0)|0;Ea=C;la=wh(nb|0,mb|0,e|0,la|0)|0;e=C;Ra=wh(Qa|0,Ra|0,_|0,j|0)|0;Qa=C;Ha=wh(Q|0,O|0,_|0,j|0)|0;Ga=C;va=wh(H|0,m|0,va|0,((va|0)<0)<<31>>31|0)|0;z=C;j=wh(nb|0,mb|0,_|0,j|0)|0;_=C;xa=wh(Q|0,O|0,wa|0,xa|0)|0;wa=C;O=wh(H|0,m|0,n|0,$|0)|0;Q=C;$=wh(nb|0,mb|0,n|0,$|0)|0;n=C;m=wh(H|0,m|0,l|0,ma|0)|0;H=C;ma=wh(nb|0,mb|0,l|0,ma|0)|0;l=C;oa=wh(nb|0,mb|0,ua|0,oa|0)|0;ua=C;ib=lh(lb|0,kb|0,jb|0,ib|0)|0;gb=lh(ib|0,C|0,hb|0,gb|0)|0;eb=lh(gb|0,C|0,fb|0,eb|0)|0;cb=lh(eb|0,C|0,db|0,cb|0)|0;ra=lh(cb|0,C|0,pa|0,ra|0)|0;pa=C;_a=lh(bb|0,ab|0,$a|0,_a|0)|0;Ya=lh(_a|0,C|0,Za|0,Ya|0)|0;Wa=lh(Ya|0,C|0,Xa|0,Wa|0)|0;p=lh(Wa|0,C|0,r|0,p|0)|0;r=C;Sa=lh(Va|0,Ua|0,Ta|0,Sa|0)|0;Qa=lh(Sa|0,C|0,Ra|0,Qa|0)|0;Oa=lh(Qa|0,C|0,Pa|0,Oa|0)|0;Ma=lh(Oa|0,C|0,Na|0,Ma|0)|0;g=lh(Ma|0,C|0,ja|0,g|0)|0;ja=C;Ia=lh(La|0,Ka|0,Ja|0,Ia|0)|0;Ga=lh(Ia|0,C|0,Ha|0,Ga|0)|0;Ea=lh(Ga|0,C|0,Fa|0,Ea|0)|0;f=lh(Ea|0,C|0,ka|0,f|0)|0;ka=C;Aa=lh(Da|0,Ca|0,Ba|0,Aa|0)|0;ya=lh(Aa|0,C|0,za|0,ya|0)|0;wa=lh(ya|0,C|0,xa|0,wa|0)|0;z=lh(wa|0,C|0,va|0,z|0)|0;e=lh(z|0,C|0,la|0,e|0)|0;la=C;I=lh(B|0,E|0,G|0,I|0)|0;M=lh(I|0,C|0,K|0,M|0)|0;Q=lh(M|0,C|0,O|0,Q|0)|0;_=lh(Q|0,C|0,j|0,_|0)|0;j=C;A=lh(R|0,x|0,y|0,A|0)|0;D=lh(A|0,C|0,h|0,D|0)|0;F=lh(D|0,C|0,k|0,F|0)|0;H=lh(F|0,C|0,m|0,H|0)|0;n=lh(H|0,C|0,$|0,n|0)|0;$=C;L=lh(o|0,J|0,q|0,L|0)|0;N=lh(L|0,C|0,s|0,N|0)|0;P=lh(N|0,C|0,u|0,P|0)|0;l=lh(P|0,C|0,ma|0,l|0)|0;ma=C;ca=lh(w|0,ba|0,T|0,ca|0)|0;da=lh(ca|0,C|0,U|0,da|0)|0;ea=lh(da|0,C|0,V|0,ea|0)|0;fa=lh(ea|0,C|0,W|0,fa|0)|0;ua=lh(fa|0,C|0,oa|0,ua|0)|0;oa=C;ha=lh(X|0,ga|0,Y|0,ha|0)|0;ia=lh(ha|0,C|0,Z|0,ia|0)|0;na=lh(ia|0,C|0,sa|0,na|0)|0;t=lh(na|0,C|0,qa|0,t|0)|0;qa=C;pa=ph(ra|0,pa|0,1)|0;ra=C;r=ph(p|0,r|0,1)|0;p=C;ja=ph(g|0,ja|0,1)|0;g=C;ka=ph(f|0,ka|0,1)|0;f=C;la=ph(e|0,la|0,1)|0;e=C;j=ph(_|0,j|0,1)|0;_=C;$=ph(n|0,$|0,1)|0;n=C;ma=ph(l|0,ma|0,1)|0;l=C;oa=ph(ua|0,oa|0,1)|0;ua=C;qa=ph(t|0,qa|0,1)|0;t=C;na=lh(pa|0,ra|0,33554432,0)|0;na=mh(na|0,C|0,26)|0;sa=C;p=lh(na|0,sa|0,r|0,p|0)|0;r=C;sa=ph(na|0,sa|0,26)|0;sa=kh(pa|0,ra|0,sa|0,C|0)|0;ra=C;pa=lh(la|0,e|0,33554432,0)|0;pa=mh(pa|0,C|0,26)|0;na=C;_=lh(pa|0,na|0,j|0,_|0)|0;j=C;na=ph(pa|0,na|0,26)|0;na=kh(la|0,e|0,na|0,C|0)|0;e=C;la=lh(p|0,r|0,16777216,0)|0;la=mh(la|0,C|0,25)|0;pa=C;g=lh(la|0,pa|0,ja|0,g|0)|0;ja=C;pa=ph(la|0,pa|0,25)|0;pa=kh(p|0,r|0,pa|0,C|0)|0;r=C;p=lh(_|0,j|0,16777216,0)|0;p=mh(p|0,C|0,25)|0;la=C;n=lh(p|0,la|0,$|0,n|0)|0;$=C;la=ph(p|0,la|0,25)|0;la=kh(_|0,j|0,la|0,C|0)|0;j=C;_=lh(g|0,ja|0,33554432,0)|0;_=mh(_|0,C|0,26)|0;p=C;f=lh(_|0,p|0,ka|0,f|0)|0;ka=C;p=ph(_|0,p|0,26)|0;p=kh(g|0,ja|0,p|0,C|0)|0;ja=lh(n|0,$|0,33554432,0)|0;ja=mh(ja|0,C|0,26)|0;g=C;l=lh(ja|0,g|0,ma|0,l|0)|0;ma=C;g=ph(ja|0,g|0,26)|0;g=kh(n|0,$|0,g|0,C|0)|0;$=lh(f|0,ka|0,16777216,0)|0;$=mh($|0,C|0,25)|0;n=C;e=lh($|0,n|0,na|0,e|0)|0;na=C;n=ph($|0,n|0,25)|0;n=kh(f|0,ka|0,n|0,C|0)|0;ka=lh(l|0,ma|0,16777216,0)|0;ka=mh(ka|0,C|0,25)|0;f=C;ua=lh(ka|0,f|0,oa|0,ua|0)|0;oa=C;f=ph(ka|0,f|0,25)|0;f=kh(l|0,ma|0,f|0,C|0)|0;ma=lh(e|0,na|0,33554432,0)|0;ma=mh(ma|0,C|0,26)|0;l=C;j=lh(la|0,j|0,ma|0,l|0)|0;l=ph(ma|0,l|0,26)|0;l=kh(e|0,na|0,l|0,C|0)|0;na=lh(ua|0,oa|0,33554432,0)|0;na=mh(na|0,C|0,26)|0;e=C;t=lh(na|0,e|0,qa|0,t|0)|0;qa=C;e=ph(na|0,e|0,26)|0;e=kh(ua|0,oa|0,e|0,C|0)|0;oa=lh(t|0,qa|0,16777216,0)|0;oa=mh(oa|0,C|0,25)|0;ua=C;na=wh(oa|0,ua|0,19,0)|0;ra=lh(na|0,C|0,sa|0,ra|0)|0;sa=C;ua=ph(oa|0,ua|0,25)|0;ua=kh(t|0,qa|0,ua|0,C|0)|0;qa=lh(ra|0,sa|0,33554432,0)|0;qa=mh(qa|0,C|0,26)|0;t=C;r=lh(pa|0,r|0,qa|0,t|0)|0;t=ph(qa|0,t|0,26)|0;t=kh(ra|0,sa|0,t|0,C|0)|0;c[v>>2]=t;t=a+124|0;c[t>>2]=r;r=a+128|0;c[r>>2]=p;p=a+132|0;c[p>>2]=n;n=a+136|0;c[n>>2]=l;l=a+140|0;c[l>>2]=j;j=a+144|0;c[j>>2]=g;g=a+148|0;c[g>>2]=f;f=a+152|0;c[f>>2]=e;e=a+156|0;c[e>>2]=ua;ua=a+40|0;sa=(c[b+44>>2]|0)+(c[b+4>>2]|0)|0;ra=(c[b+48>>2]|0)+(c[b+8>>2]|0)|0;qa=(c[b+52>>2]|0)+(c[b+12>>2]|0)|0;pa=(c[b+56>>2]|0)+(c[b+16>>2]|0)|0;oa=(c[b+60>>2]|0)+(c[b+20>>2]|0)|0;na=(c[b+64>>2]|0)+(c[b+24>>2]|0)|0;ma=(c[b+68>>2]|0)+(c[b+28>>2]|0)|0;la=(c[b+72>>2]|0)+(c[b+32>>2]|0)|0;ka=(c[b+76>>2]|0)+(c[b+36>>2]|0)|0;c[ua>>2]=(c[ta>>2]|0)+(c[b>>2]|0);ta=a+44|0;c[ta>>2]=sa;sa=a+48|0;c[sa>>2]=ra;ra=a+52|0;c[ra>>2]=qa;qa=a+56|0;c[qa>>2]=pa;pa=a+60|0;c[pa>>2]=oa;oa=a+64|0;c[oa>>2]=na;na=a+68|0;c[na>>2]=ma;ma=a+72|0;c[ma>>2]=la;la=a+76|0;c[la>>2]=ka;vc(S,ua);ka=c[aa>>2]|0;$=a+84|0;ja=c[$>>2]|0;_=a+88|0;ia=c[_>>2]|0;Z=a+92|0;ha=c[Z>>2]|0;Y=a+96|0;ga=c[Y>>2]|0;X=a+100|0;fa=c[X>>2]|0;W=a+104|0;ea=c[W>>2]|0;V=a+108|0;da=c[V>>2]|0;U=a+112|0;ca=c[U>>2]|0;T=a+116|0;ba=c[T>>2]|0;w=c[a>>2]|0;P=a+4|0;u=c[P>>2]|0;N=a+8|0;s=c[N>>2]|0;L=a+12|0;q=c[L>>2]|0;J=a+16|0;o=c[J>>2]|0;H=a+20|0;m=c[H>>2]|0;F=a+24|0;k=c[F>>2]|0;D=a+28|0;h=c[D>>2]|0;A=a+32|0;b=c[A>>2]|0;y=a+36|0;x=c[y>>2]|0;R=w+ka|0;Q=u+ja|0;O=s+ia|0;M=q+ha|0;K=o+ga|0;I=m+fa|0;G=k+ea|0;E=h+da|0;B=b+ca|0;z=x+ba|0;c[ua>>2]=R;c[ta>>2]=Q;c[sa>>2]=O;c[ra>>2]=M;c[qa>>2]=K;c[pa>>2]=I;c[oa>>2]=G;c[na>>2]=E;c[ma>>2]=B;c[la>>2]=z;w=ka-w|0;u=ja-u|0;s=ia-s|0;q=ha-q|0;o=ga-o|0;m=fa-m|0;k=ea-k|0;h=da-h|0;b=ca-b|0;x=ba-x|0;c[aa>>2]=w;c[$>>2]=u;c[_>>2]=s;c[Z>>2]=q;c[Y>>2]=o;c[X>>2]=m;c[W>>2]=k;c[V>>2]=h;c[U>>2]=b;c[T>>2]=x;Q=(c[S+4>>2]|0)-Q|0;O=(c[S+8>>2]|0)-O|0;M=(c[S+12>>2]|0)-M|0;K=(c[S+16>>2]|0)-K|0;I=(c[S+20>>2]|0)-I|0;G=(c[S+24>>2]|0)-G|0;E=(c[S+28>>2]|0)-E|0;B=(c[S+32>>2]|0)-B|0;z=(c[S+36>>2]|0)-z|0;c[a>>2]=(c[S>>2]|0)-R;c[P>>2]=Q;c[N>>2]=O;c[L>>2]=M;c[J>>2]=K;c[H>>2]=I;c[F>>2]=G;c[D>>2]=E;c[A>>2]=B;c[y>>2]=z;u=(c[t>>2]|0)-u|0;s=(c[r>>2]|0)-s|0;q=(c[p>>2]|0)-q|0;o=(c[n>>2]|0)-o|0;m=(c[l>>2]|0)-m|0;k=(c[j>>2]|0)-k|0;h=(c[g>>2]|0)-h|0;b=(c[f>>2]|0)-b|0;a=(c[e>>2]|0)-x|0;c[v>>2]=(c[v>>2]|0)-w;c[t>>2]=u;c[r>>2]=s;c[p>>2]=q;c[n>>2]=o;c[l>>2]=m;c[j>>2]=k;c[g>>2]=h;c[f>>2]=b;c[e>>2]=a;i=d;return}function Bc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;m=b+40|0;v=b+44|0;u=b+48|0;t=b+52|0;s=b+56|0;r=b+60|0;q=b+64|0;p=b+68|0;o=b+72|0;n=b+76|0;d=b+4|0;e=b+8|0;f=b+12|0;g=b+16|0;h=b+20|0;i=b+24|0;j=b+28|0;k=b+32|0;l=b+36|0;E=(c[d>>2]|0)+(c[v>>2]|0)|0;D=(c[e>>2]|0)+(c[u>>2]|0)|0;C=(c[f>>2]|0)+(c[t>>2]|0)|0;B=(c[g>>2]|0)+(c[s>>2]|0)|0;A=(c[h>>2]|0)+(c[r>>2]|0)|0;z=(c[i>>2]|0)+(c[q>>2]|0)|0;y=(c[j>>2]|0)+(c[p>>2]|0)|0;x=(c[k>>2]|0)+(c[o>>2]|0)|0;w=(c[l>>2]|0)+(c[n>>2]|0)|0;c[a>>2]=(c[b>>2]|0)+(c[m>>2]|0);c[a+4>>2]=E;c[a+8>>2]=D;c[a+12>>2]=C;c[a+16>>2]=B;c[a+20>>2]=A;c[a+24>>2]=z;c[a+28>>2]=y;c[a+32>>2]=x;c[a+36>>2]=w;d=(c[v>>2]|0)-(c[d>>2]|0)|0;e=(c[u>>2]|0)-(c[e>>2]|0)|0;f=(c[t>>2]|0)-(c[f>>2]|0)|0;g=(c[s>>2]|0)-(c[g>>2]|0)|0;h=(c[r>>2]|0)-(c[h>>2]|0)|0;i=(c[q>>2]|0)-(c[i>>2]|0)|0;j=(c[p>>2]|0)-(c[j>>2]|0)|0;k=(c[o>>2]|0)-(c[k>>2]|0)|0;l=(c[n>>2]|0)-(c[l>>2]|0)|0;c[a+40>>2]=(c[m>>2]|0)-(c[b>>2]|0);c[a+44>>2]=d;c[a+48>>2]=e;c[a+52>>2]=f;c[a+56>>2]=g;c[a+60>>2]=h;c[a+64>>2]=i;c[a+68>>2]=j;c[a+72>>2]=k;c[a+76>>2]=l;l=c[b+84>>2]|0;k=c[b+88>>2]|0;j=c[b+92>>2]|0;i=c[b+96>>2]|0;h=c[b+100>>2]|0;g=c[b+104>>2]|0;f=c[b+108>>2]|0;e=c[b+112>>2]|0;d=c[b+116>>2]|0;c[a+80>>2]=c[b+80>>2];c[a+84>>2]=l;c[a+88>>2]=k;c[a+92>>2]=j;c[a+96>>2]=i;c[a+100>>2]=h;c[a+104>>2]=g;c[a+108>>2]=f;c[a+112>>2]=e;c[a+116>>2]=d;uc(a+120|0,b+120|0,544);return}function Cc(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;t=i;s=i=i+63&-64;i=i+592|0;o=s+400|0;q=s+520|0;r=s+240|0;p=s+120|0;f=0;do{m=a[e+f>>0]|0;n=f<<1;a[q+n>>0]=m&15;a[q+(n|1)>>0]=(m&255)>>>4;f=f+1|0}while((f|0)!=32);e=0;f=0;do{n=q+f|0;m=(d[n>>0]|0)+e|0;e=(m<<24)+134217728>>28;a[n>>0]=m-(e<<4);f=f+1|0}while((f|0)!=63);f=q+63|0;a[f>>0]=(d[f>>0]|0)+e;e=b;f=e+40|0;do{c[e>>2]=0;e=e+4|0}while((e|0)<(f|0));m=b+40|0;c[m>>2]=1;k=b+44|0;e=k;f=e+36|0;do{c[e>>2]=0;e=e+4|0}while((e|0)<(f|0));n=b+80|0;c[n>>2]=1;l=b+84|0;e=l;f=e+76|0;do{c[e>>2]=0;e=e+4|0}while((e|0)<(f|0));f=r+120|0;g=r+40|0;h=r+80|0;j=b+120|0;e=1;do{Dc(s,(e|0)/2|0,a[q+e>>0]|0);zc(r,b,s);uc(b,r,f);uc(m,g,h);uc(n,h,f);uc(j,r,g);e=e+2|0}while((e|0)<64);B=c[b+4>>2]|0;z=c[b+8>>2]|0;y=c[b+12>>2]|0;x=c[b+16>>2]|0;w=c[b+20>>2]|0;v=c[b+24>>2]|0;u=c[b+28>>2]|0;e=c[b+32>>2]|0;A=c[b+36>>2]|0;c[o>>2]=c[b>>2];c[o+4>>2]=B;c[o+8>>2]=z;c[o+12>>2]=y;c[o+16>>2]=x;c[o+20>>2]=w;c[o+24>>2]=v;c[o+28>>2]=u;c[o+32>>2]=e;c[o+36>>2]=A;A=c[k>>2]|0;e=c[b+48>>2]|0;k=c[b+52>>2]|0;u=c[b+56>>2]|0;v=c[b+60>>2]|0;w=c[b+64>>2]|0;x=c[b+68>>2]|0;y=c[b+72>>2]|0;z=c[b+76>>2]|0;c[o+40>>2]=c[m>>2];c[o+44>>2]=A;c[o+48>>2]=e;c[o+52>>2]=k;c[o+56>>2]=u;c[o+60>>2]=v;c[o+64>>2]=w;c[o+68>>2]=x;c[o+72>>2]=y;c[o+76>>2]=z;z=c[l>>2]|0;y=c[b+88>>2]|0;x=c[b+92>>2]|0;w=c[b+96>>2]|0;v=c[b+100>>2]|0;u=c[b+104>>2]|0;k=c[b+108>>2]|0;l=c[b+112>>2]|0;e=c[b+116>>2]|0;c[o+80>>2]=c[n>>2];c[o+84>>2]=z;c[o+88>>2]=y;c[o+92>>2]=x;c[o+96>>2]=w;c[o+100>>2]=v;c[o+104>>2]=u;c[o+108>>2]=k;c[o+112>>2]=l;c[o+116>>2]=e;Ac(r,o);uc(p,r,f);o=p+40|0;uc(o,g,h);e=p+80|0;uc(e,h,f);Ac(r,p);uc(p,r,f);uc(o,g,h);uc(e,h,f);Ac(r,p);uc(p,r,f);uc(o,g,h);uc(e,h,f);Ac(r,p);uc(b,r,f);uc(m,g,h);uc(n,h,f);uc(j,r,g);e=0;do{Dc(s,(e|0)/2|0,a[q+e>>0]|0);zc(r,b,s);uc(b,r,f);uc(m,g,h);uc(n,h,f);uc(j,r,g);e=e+2|0}while((e|0)<64);i=t;return}function Dc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;g=d<<24>>24;g=oh(g|0,((g|0)<0)<<31>>31|0,63)|0;h=d<<24>>24;g=0-g|0;h=h-((h&g)<<1)|0;d=a+4|0;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=0;c[d+12>>2]=0;c[d+16>>2]=0;c[d+20>>2]=0;c[d+24>>2]=0;e=a+40|0;f=a+44|0;i=f;j=i+76|0;do{c[i>>2]=0;i=i+4|0}while((i|0)<(j|0));ia=h&255;ea=a+8|0;ca=a+12|0;aa=a+16|0;_=a+20|0;s=a+24|0;O=a+28|0;U=a+32|0;Y=a+36|0;F=(ia^1)+-1>>31;r=c[1544+(b*960|0)+4>>2]&F;E=c[1544+(b*960|0)+8>>2]&F;v=c[1544+(b*960|0)+12>>2]&F;G=c[1544+(b*960|0)+16>>2]&F;I=c[1544+(b*960|0)+20>>2]&F;K=c[1544+(b*960|0)+24>>2]&F;N=c[1544+(b*960|0)+28>>2]&F;Q=c[1544+(b*960|0)+32>>2]&F;T=c[1544+(b*960|0)+36>>2]&F;c[a>>2]=(c[1544+(b*960|0)>>2]^1)&F^1;c[d>>2]=r;c[ea>>2]=E;c[ca>>2]=v;c[aa>>2]=G;c[_>>2]=I;c[s>>2]=K;c[O>>2]=N;c[U>>2]=Q;c[Y>>2]=T;T=a+48|0;Q=a+52|0;N=a+56|0;K=a+60|0;I=a+64|0;G=a+68|0;v=a+72|0;E=a+76|0;r=c[1544+(b*960|0)+44>>2]&F;o=c[1544+(b*960|0)+48>>2]&F;u=c[1544+(b*960|0)+52>>2]&F;C=c[1544+(b*960|0)+56>>2]&F;x=c[1544+(b*960|0)+60>>2]&F;da=c[1544+(b*960|0)+64>>2]&F;A=c[1544+(b*960|0)+68>>2]&F;ga=c[1544+(b*960|0)+72>>2]&F;D=c[1544+(b*960|0)+76>>2]&F;c[e>>2]=(c[1544+(b*960|0)+40>>2]^1)&F^1;c[f>>2]=r;c[T>>2]=o;c[Q>>2]=u;c[N>>2]=C;c[K>>2]=x;c[I>>2]=da;c[G>>2]=A;c[v>>2]=ga;c[E>>2]=D;D=a+80|0;ga=c[D>>2]|0;A=a+84|0;da=c[A>>2]|0;x=a+88|0;C=c[x>>2]|0;u=a+92|0;o=c[u>>2]|0;r=a+96|0;t=c[r>>2]|0;p=a+100|0;fa=c[p>>2]|0;n=a+104|0;B=c[n>>2]|0;l=a+108|0;w=c[l>>2]|0;i=a+112|0;W=c[i>>2]|0;j=a+116|0;ba=c[j>>2]|0;R=(c[1544+(b*960|0)+84>>2]^da)&F;L=(c[1544+(b*960|0)+88>>2]^C)&F;m=(c[1544+(b*960|0)+92>>2]^o)&F;k=(c[1544+(b*960|0)+96>>2]^t)&F;ha=(c[1544+(b*960|0)+100>>2]^fa)&F;Z=(c[1544+(b*960|0)+104>>2]^B)&F;$=(c[1544+(b*960|0)+108>>2]^w)&F;q=(c[1544+(b*960|0)+112>>2]^W)&F;z=(c[1544+(b*960|0)+116>>2]^ba)&F;c[D>>2]=(c[1544+(b*960|0)+80>>2]^ga)&F^ga;c[A>>2]=R^da;c[x>>2]=L^C;c[u>>2]=m^o;c[r>>2]=k^t;c[p>>2]=ha^fa;c[n>>2]=Z^B;c[l>>2]=$^w;c[i>>2]=q^W;c[j>>2]=z^ba;ba=c[a>>2]|0;z=c[d>>2]|0;W=c[ea>>2]|0;q=c[ca>>2]|0;w=c[aa>>2]|0;$=c[_>>2]|0;B=c[s>>2]|0;Z=c[O>>2]|0;fa=c[U>>2]|0;ha=c[Y>>2]|0;t=(ia^2)+-1>>31;k=(c[1544+(b*960|0)+124>>2]^z)&t;o=(c[1544+(b*960|0)+128>>2]^W)&t;m=(c[1544+(b*960|0)+132>>2]^q)&t;C=(c[1544+(b*960|0)+136>>2]^w)&t;L=(c[1544+(b*960|0)+140>>2]^$)&t;da=(c[1544+(b*960|0)+144>>2]^B)&t;R=(c[1544+(b*960|0)+148>>2]^Z)&t;ga=(c[1544+(b*960|0)+152>>2]^fa)&t;F=(c[1544+(b*960|0)+156>>2]^ha)&t;c[a>>2]=(c[1544+(b*960|0)+120>>2]^ba)&t^ba;c[d>>2]=k^z;c[ea>>2]=o^W;c[ca>>2]=m^q;c[aa>>2]=C^w;c[_>>2]=L^$;c[s>>2]=da^B;c[O>>2]=R^Z;c[U>>2]=ga^fa;c[Y>>2]=F^ha;ha=c[e>>2]|0;F=c[f>>2]|0;fa=c[T>>2]|0;ga=c[Q>>2]|0;Z=c[N>>2]|0;R=c[K>>2]|0;B=c[I>>2]|0;da=c[G>>2]|0;$=c[v>>2]|0;L=c[E>>2]|0;w=(c[1544+(b*960|0)+164>>2]^F)&t;C=(c[1544+(b*960|0)+168>>2]^fa)&t;q=(c[1544+(b*960|0)+172>>2]^ga)&t;m=(c[1544+(b*960|0)+176>>2]^Z)&t;W=(c[1544+(b*960|0)+180>>2]^R)&t;o=(c[1544+(b*960|0)+184>>2]^B)&t;z=(c[1544+(b*960|0)+188>>2]^da)&t;k=(c[1544+(b*960|0)+192>>2]^$)&t;ba=(c[1544+(b*960|0)+196>>2]^L)&t;c[e>>2]=(c[1544+(b*960|0)+160>>2]^ha)&t^ha;c[f>>2]=w^F;c[T>>2]=C^fa;c[Q>>2]=q^ga;c[N>>2]=m^Z;c[K>>2]=W^R;c[I>>2]=o^B;c[G>>2]=z^da;c[v>>2]=k^$;c[E>>2]=ba^L;L=c[D>>2]|0;ba=c[A>>2]|0;$=c[x>>2]|0;k=c[u>>2]|0;da=c[r>>2]|0;z=c[p>>2]|0;B=c[n>>2]|0;o=c[l>>2]|0;R=c[i>>2]|0;W=c[j>>2]|0;Z=(c[1544+(b*960|0)+204>>2]^ba)&t;m=(c[1544+(b*960|0)+208>>2]^$)&t;ga=(c[1544+(b*960|0)+212>>2]^k)&t;q=(c[1544+(b*960|0)+216>>2]^da)&t;fa=(c[1544+(b*960|0)+220>>2]^z)&t;C=(c[1544+(b*960|0)+224>>2]^B)&t;F=(c[1544+(b*960|0)+228>>2]^o)&t;w=(c[1544+(b*960|0)+232>>2]^R)&t;ha=(c[1544+(b*960|0)+236>>2]^W)&t;c[D>>2]=(c[1544+(b*960|0)+200>>2]^L)&t^L;c[A>>2]=Z^ba;c[x>>2]=m^$;c[u>>2]=ga^k;c[r>>2]=q^da;c[p>>2]=fa^z;c[n>>2]=C^B;c[l>>2]=F^o;c[i>>2]=w^R;c[j>>2]=ha^W;W=c[a>>2]|0;ha=c[d>>2]|0;R=c[ea>>2]|0;w=c[ca>>2]|0;o=c[aa>>2]|0;F=c[_>>2]|0;B=c[s>>2]|0;C=c[O>>2]|0;z=c[U>>2]|0;fa=c[Y>>2]|0;da=(ia^3)+-1>>31;q=(c[1544+(b*960|0)+244>>2]^ha)&da;k=(c[1544+(b*960|0)+248>>2]^R)&da;ga=(c[1544+(b*960|0)+252>>2]^w)&da;$=(c[1544+(b*960|0)+256>>2]^o)&da;m=(c[1544+(b*960|0)+260>>2]^F)&da;ba=(c[1544+(b*960|0)+264>>2]^B)&da;Z=(c[1544+(b*960|0)+268>>2]^C)&da;L=(c[1544+(b*960|0)+272>>2]^z)&da;t=(c[1544+(b*960|0)+276>>2]^fa)&da;c[a>>2]=(c[1544+(b*960|0)+240>>2]^W)&da^W;c[d>>2]=q^ha;c[ea>>2]=k^R;c[ca>>2]=ga^w;c[aa>>2]=$^o;c[_>>2]=m^F;c[s>>2]=ba^B;c[O>>2]=Z^C;c[U>>2]=L^z;c[Y>>2]=t^fa;fa=c[e>>2]|0;t=c[f>>2]|0;z=c[T>>2]|0;L=c[Q>>2]|0;C=c[N>>2]|0;Z=c[K>>2]|0;B=c[I>>2]|0;ba=c[G>>2]|0;F=c[v>>2]|0;m=c[E>>2]|0;o=(c[1544+(b*960|0)+284>>2]^t)&da;$=(c[1544+(b*960|0)+288>>2]^z)&da;w=(c[1544+(b*960|0)+292>>2]^L)&da;ga=(c[1544+(b*960|0)+296>>2]^C)&da;R=(c[1544+(b*960|0)+300>>2]^Z)&da;k=(c[1544+(b*960|0)+304>>2]^B)&da;ha=(c[1544+(b*960|0)+308>>2]^ba)&da;q=(c[1544+(b*960|0)+312>>2]^F)&da;W=(c[1544+(b*960|0)+316>>2]^m)&da;c[e>>2]=(c[1544+(b*960|0)+280>>2]^fa)&da^fa;c[f>>2]=o^t;c[T>>2]=$^z;c[Q>>2]=w^L;c[N>>2]=ga^C;c[K>>2]=R^Z;c[I>>2]=k^B;c[G>>2]=ha^ba;c[v>>2]=q^F;c[E>>2]=W^m;m=c[D>>2]|0;W=c[A>>2]|0;F=c[x>>2]|0;q=c[u>>2]|0;ba=c[r>>2]|0;ha=c[p>>2]|0;B=c[n>>2]|0;k=c[l>>2]|0;Z=c[i>>2]|0;R=c[j>>2]|0;C=(c[1544+(b*960|0)+324>>2]^W)&da;ga=(c[1544+(b*960|0)+328>>2]^F)&da;L=(c[1544+(b*960|0)+332>>2]^q)&da;w=(c[1544+(b*960|0)+336>>2]^ba)&da;z=(c[1544+(b*960|0)+340>>2]^ha)&da;$=(c[1544+(b*960|0)+344>>2]^B)&da;t=(c[1544+(b*960|0)+348>>2]^k)&da;o=(c[1544+(b*960|0)+352>>2]^Z)&da;fa=(c[1544+(b*960|0)+356>>2]^R)&da;c[D>>2]=(c[1544+(b*960|0)+320>>2]^m)&da^m;c[A>>2]=C^W;c[x>>2]=ga^F;c[u>>2]=L^q;c[r>>2]=w^ba;c[p>>2]=z^ha;c[n>>2]=$^B;c[l>>2]=t^k;c[i>>2]=o^Z;c[j>>2]=fa^R;R=c[a>>2]|0;fa=c[d>>2]|0;Z=c[ea>>2]|0;o=c[ca>>2]|0;k=c[aa>>2]|0;t=c[_>>2]|0;B=c[s>>2]|0;$=c[O>>2]|0;ha=c[U>>2]|0;z=c[Y>>2]|0;ba=(ia^4)+-1>>31;w=(c[1544+(b*960|0)+364>>2]^fa)&ba;q=(c[1544+(b*960|0)+368>>2]^Z)&ba;L=(c[1544+(b*960|0)+372>>2]^o)&ba;F=(c[1544+(b*960|0)+376>>2]^k)&ba;ga=(c[1544+(b*960|0)+380>>2]^t)&ba;W=(c[1544+(b*960|0)+384>>2]^B)&ba;C=(c[1544+(b*960|0)+388>>2]^$)&ba;m=(c[1544+(b*960|0)+392>>2]^ha)&ba;da=(c[1544+(b*960|0)+396>>2]^z)&ba;c[a>>2]=(c[1544+(b*960|0)+360>>2]^R)&ba^R;c[d>>2]=w^fa;c[ea>>2]=q^Z;c[ca>>2]=L^o;c[aa>>2]=F^k;c[_>>2]=ga^t;c[s>>2]=W^B;c[O>>2]=C^$;c[U>>2]=m^ha;c[Y>>2]=da^z;z=c[e>>2]|0;da=c[f>>2]|0;ha=c[T>>2]|0;m=c[Q>>2]|0;$=c[N>>2]|0;C=c[K>>2]|0;B=c[I>>2]|0;W=c[G>>2]|0;t=c[v>>2]|0;ga=c[E>>2]|0;k=(c[1544+(b*960|0)+404>>2]^da)&ba;F=(c[1544+(b*960|0)+408>>2]^ha)&ba;o=(c[1544+(b*960|0)+412>>2]^m)&ba;L=(c[1544+(b*960|0)+416>>2]^$)&ba;Z=(c[1544+(b*960|0)+420>>2]^C)&ba;q=(c[1544+(b*960|0)+424>>2]^B)&ba;fa=(c[1544+(b*960|0)+428>>2]^W)&ba;w=(c[1544+(b*960|0)+432>>2]^t)&ba;R=(c[1544+(b*960|0)+436>>2]^ga)&ba;c[e>>2]=(c[1544+(b*960|0)+400>>2]^z)&ba^z;c[f>>2]=k^da;c[T>>2]=F^ha;c[Q>>2]=o^m;c[N>>2]=L^$;c[K>>2]=Z^C;c[I>>2]=q^B;c[G>>2]=fa^W;c[v>>2]=w^t;c[E>>2]=R^ga;ga=c[D>>2]|0;R=c[A>>2]|0;t=c[x>>2]|0;w=c[u>>2]|0;W=c[r>>2]|0;fa=c[p>>2]|0;B=c[n>>2]|0;q=c[l>>2]|0;C=c[i>>2]|0;Z=c[j>>2]|0;$=(c[1544+(b*960|0)+444>>2]^R)&ba;L=(c[1544+(b*960|0)+448>>2]^t)&ba;m=(c[1544+(b*960|0)+452>>2]^w)&ba;o=(c[1544+(b*960|0)+456>>2]^W)&ba;ha=(c[1544+(b*960|0)+460>>2]^fa)&ba;F=(c[1544+(b*960|0)+464>>2]^B)&ba;da=(c[1544+(b*960|0)+468>>2]^q)&ba;k=(c[1544+(b*960|0)+472>>2]^C)&ba;z=(c[1544+(b*960|0)+476>>2]^Z)&ba;c[D>>2]=(c[1544+(b*960|0)+440>>2]^ga)&ba^ga;c[A>>2]=$^R;c[x>>2]=L^t;c[u>>2]=m^w;c[r>>2]=o^W;c[p>>2]=ha^fa;c[n>>2]=F^B;c[l>>2]=da^q;c[i>>2]=k^C;c[j>>2]=z^Z;Z=c[a>>2]|0;z=c[d>>2]|0;C=c[ea>>2]|0;k=c[ca>>2]|0;q=c[aa>>2]|0;da=c[_>>2]|0;B=c[s>>2]|0;F=c[O>>2]|0;fa=c[U>>2]|0;ha=c[Y>>2]|0;W=(ia^5)+-1>>31;o=(c[1544+(b*960|0)+484>>2]^z)&W;w=(c[1544+(b*960|0)+488>>2]^C)&W;m=(c[1544+(b*960|0)+492>>2]^k)&W;t=(c[1544+(b*960|0)+496>>2]^q)&W;L=(c[1544+(b*960|0)+500>>2]^da)&W;R=(c[1544+(b*960|0)+504>>2]^B)&W;$=(c[1544+(b*960|0)+508>>2]^F)&W;ga=(c[1544+(b*960|0)+512>>2]^fa)&W;ba=(c[1544+(b*960|0)+516>>2]^ha)&W;c[a>>2]=(c[1544+(b*960|0)+480>>2]^Z)&W^Z;c[d>>2]=o^z;c[ea>>2]=w^C;c[ca>>2]=m^k;c[aa>>2]=t^q;c[_>>2]=L^da;c[s>>2]=R^B;c[O>>2]=$^F;c[U>>2]=ga^fa;c[Y>>2]=ba^ha;ha=c[e>>2]|0;ba=c[f>>2]|0;fa=c[T>>2]|0;ga=c[Q>>2]|0;F=c[N>>2]|0;$=c[K>>2]|0;B=c[I>>2]|0;R=c[G>>2]|0;da=c[v>>2]|0;L=c[E>>2]|0;q=(c[1544+(b*960|0)+524>>2]^ba)&W;t=(c[1544+(b*960|0)+528>>2]^fa)&W;k=(c[1544+(b*960|0)+532>>2]^ga)&W;m=(c[1544+(b*960|0)+536>>2]^F)&W;C=(c[1544+(b*960|0)+540>>2]^$)&W;w=(c[1544+(b*960|0)+544>>2]^B)&W;z=(c[1544+(b*960|0)+548>>2]^R)&W;o=(c[1544+(b*960|0)+552>>2]^da)&W;Z=(c[1544+(b*960|0)+556>>2]^L)&W;c[e>>2]=(c[1544+(b*960|0)+520>>2]^ha)&W^ha;c[f>>2]=q^ba;c[T>>2]=t^fa;c[Q>>2]=k^ga;c[N>>2]=m^F;c[K>>2]=C^$;c[I>>2]=w^B;c[G>>2]=z^R;c[v>>2]=o^da;c[E>>2]=Z^L;L=c[D>>2]|0;Z=c[A>>2]|0;da=c[x>>2]|0;o=c[u>>2]|0;R=c[r>>2]|0;z=c[p>>2]|0;B=c[n>>2]|0;w=c[l>>2]|0;$=c[i>>2]|0;C=c[j>>2]|0;F=(c[1544+(b*960|0)+564>>2]^Z)&W;m=(c[1544+(b*960|0)+568>>2]^da)&W;ga=(c[1544+(b*960|0)+572>>2]^o)&W;k=(c[1544+(b*960|0)+576>>2]^R)&W;fa=(c[1544+(b*960|0)+580>>2]^z)&W;t=(c[1544+(b*960|0)+584>>2]^B)&W;ba=(c[1544+(b*960|0)+588>>2]^w)&W;q=(c[1544+(b*960|0)+592>>2]^$)&W;ha=(c[1544+(b*960|0)+596>>2]^C)&W;c[D>>2]=(c[1544+(b*960|0)+560>>2]^L)&W^L;c[A>>2]=F^Z;c[x>>2]=m^da;c[u>>2]=ga^o;c[r>>2]=k^R;c[p>>2]=fa^z;c[n>>2]=t^B;c[l>>2]=ba^w;c[i>>2]=q^$;c[j>>2]=ha^C;C=c[a>>2]|0;ha=c[d>>2]|0;$=c[ea>>2]|0;q=c[ca>>2]|0;w=c[aa>>2]|0;ba=c[_>>2]|0;B=c[s>>2]|0;t=c[O>>2]|0;z=c[U>>2]|0;fa=c[Y>>2]|0;R=(ia^6)+-1>>31;k=(c[1544+(b*960|0)+604>>2]^ha)&R;o=(c[1544+(b*960|0)+608>>2]^$)&R;ga=(c[1544+(b*960|0)+612>>2]^q)&R;da=(c[1544+(b*960|0)+616>>2]^w)&R;m=(c[1544+(b*960|0)+620>>2]^ba)&R;Z=(c[1544+(b*960|0)+624>>2]^B)&R;F=(c[1544+(b*960|0)+628>>2]^t)&R;L=(c[1544+(b*960|0)+632>>2]^z)&R;W=(c[1544+(b*960|0)+636>>2]^fa)&R;c[a>>2]=(c[1544+(b*960|0)+600>>2]^C)&R^C;c[d>>2]=k^ha;c[ea>>2]=o^$;c[ca>>2]=ga^q;c[aa>>2]=da^w;c[_>>2]=m^ba;c[s>>2]=Z^B;c[O>>2]=F^t;c[U>>2]=L^z;c[Y>>2]=W^fa;fa=c[e>>2]|0;W=c[f>>2]|0;z=c[T>>2]|0;L=c[Q>>2]|0;t=c[N>>2]|0;F=c[K>>2]|0;B=c[I>>2]|0;Z=c[G>>2]|0;ba=c[v>>2]|0;m=c[E>>2]|0;w=(c[1544+(b*960|0)+644>>2]^W)&R;da=(c[1544+(b*960|0)+648>>2]^z)&R;q=(c[1544+(b*960|0)+652>>2]^L)&R;ga=(c[1544+(b*960|0)+656>>2]^t)&R;$=(c[1544+(b*960|0)+660>>2]^F)&R;o=(c[1544+(b*960|0)+664>>2]^B)&R;ha=(c[1544+(b*960|0)+668>>2]^Z)&R;k=(c[1544+(b*960|0)+672>>2]^ba)&R;C=(c[1544+(b*960|0)+676>>2]^m)&R;c[e>>2]=(c[1544+(b*960|0)+640>>2]^fa)&R^fa;c[f>>2]=w^W;c[T>>2]=da^z;c[Q>>2]=q^L;c[N>>2]=ga^t;c[K>>2]=$^F;c[I>>2]=o^B;c[G>>2]=ha^Z;c[v>>2]=k^ba;c[E>>2]=C^m;m=c[D>>2]|0;C=c[A>>2]|0;ba=c[x>>2]|0;k=c[u>>2]|0;Z=c[r>>2]|0;ha=c[p>>2]|0;B=c[n>>2]|0;o=c[l>>2]|0;F=c[i>>2]|0;$=c[j>>2]|0;t=(c[1544+(b*960|0)+684>>2]^C)&R;ga=(c[1544+(b*960|0)+688>>2]^ba)&R;L=(c[1544+(b*960|0)+692>>2]^k)&R;q=(c[1544+(b*960|0)+696>>2]^Z)&R;z=(c[1544+(b*960|0)+700>>2]^ha)&R;da=(c[1544+(b*960|0)+704>>2]^B)&R;W=(c[1544+(b*960|0)+708>>2]^o)&R;w=(c[1544+(b*960|0)+712>>2]^F)&R;fa=(c[1544+(b*960|0)+716>>2]^$)&R;c[D>>2]=(c[1544+(b*960|0)+680>>2]^m)&R^m;c[A>>2]=t^C;c[x>>2]=ga^ba;c[u>>2]=L^k;c[r>>2]=q^Z;c[p>>2]=z^ha;c[n>>2]=da^B;c[l>>2]=W^o;c[i>>2]=w^F;c[j>>2]=fa^$;$=c[a>>2]|0;fa=c[d>>2]|0;F=c[ea>>2]|0;w=c[ca>>2]|0;o=c[aa>>2]|0;W=c[_>>2]|0;B=c[s>>2]|0;da=c[O>>2]|0;ha=c[U>>2]|0;z=c[Y>>2]|0;Z=(ia^7)+-1>>31;q=(c[1544+(b*960|0)+724>>2]^fa)&Z;k=(c[1544+(b*960|0)+728>>2]^F)&Z;L=(c[1544+(b*960|0)+732>>2]^w)&Z;ba=(c[1544+(b*960|0)+736>>2]^o)&Z;ga=(c[1544+(b*960|0)+740>>2]^W)&Z;C=(c[1544+(b*960|0)+744>>2]^B)&Z;t=(c[1544+(b*960|0)+748>>2]^da)&Z;m=(c[1544+(b*960|0)+752>>2]^ha)&Z;R=(c[1544+(b*960|0)+756>>2]^z)&Z;c[a>>2]=(c[1544+(b*960|0)+720>>2]^$)&Z^$;c[d>>2]=q^fa;c[ea>>2]=k^F;c[ca>>2]=L^w;c[aa>>2]=ba^o;c[_>>2]=ga^W;c[s>>2]=C^B;c[O>>2]=t^da;c[U>>2]=m^ha;c[Y>>2]=R^z;z=c[e>>2]|0;R=c[f>>2]|0;ha=c[T>>2]|0;m=c[Q>>2]|0;da=c[N>>2]|0;t=c[K>>2]|0;B=c[I>>2]|0;C=c[G>>2]|0;W=c[v>>2]|0;ga=c[E>>2]|0;o=(c[1544+(b*960|0)+764>>2]^R)&Z;ba=(c[1544+(b*960|0)+768>>2]^ha)&Z;w=(c[1544+(b*960|0)+772>>2]^m)&Z;L=(c[1544+(b*960|0)+776>>2]^da)&Z;F=(c[1544+(b*960|0)+780>>2]^t)&Z;k=(c[1544+(b*960|0)+784>>2]^B)&Z;fa=(c[1544+(b*960|0)+788>>2]^C)&Z;q=(c[1544+(b*960|0)+792>>2]^W)&Z;$=(c[1544+(b*960|0)+796>>2]^ga)&Z;c[e>>2]=(c[1544+(b*960|0)+760>>2]^z)&Z^z;c[f>>2]=o^R;c[T>>2]=ba^ha;c[Q>>2]=w^m;c[N>>2]=L^da;c[K>>2]=F^t;c[I>>2]=k^B;c[G>>2]=fa^C;c[v>>2]=q^W;c[E>>2]=$^ga;ga=c[D>>2]|0;$=c[A>>2]|0;W=c[x>>2]|0;q=c[u>>2]|0;C=c[r>>2]|0;fa=c[p>>2]|0;B=c[n>>2]|0;k=c[l>>2]|0;t=c[i>>2]|0;F=c[j>>2]|0;da=(c[1544+(b*960|0)+804>>2]^$)&Z;L=(c[1544+(b*960|0)+808>>2]^W)&Z;m=(c[1544+(b*960|0)+812>>2]^q)&Z;w=(c[1544+(b*960|0)+816>>2]^C)&Z;ha=(c[1544+(b*960|0)+820>>2]^fa)&Z;ba=(c[1544+(b*960|0)+824>>2]^B)&Z;R=(c[1544+(b*960|0)+828>>2]^k)&Z;o=(c[1544+(b*960|0)+832>>2]^t)&Z;z=(c[1544+(b*960|0)+836>>2]^F)&Z;c[D>>2]=(c[1544+(b*960|0)+800>>2]^ga)&Z^ga;c[A>>2]=da^$;c[x>>2]=L^W;c[u>>2]=m^q;c[r>>2]=w^C;c[p>>2]=ha^fa;c[n>>2]=ba^B;c[l>>2]=R^k;c[i>>2]=o^t;c[j>>2]=z^F;F=c[a>>2]|0;z=c[d>>2]|0;t=c[ea>>2]|0;o=c[ca>>2]|0;k=c[aa>>2]|0;R=c[_>>2]|0;B=c[s>>2]|0;ba=c[O>>2]|0;fa=c[U>>2]|0;ha=c[Y>>2]|0;ia=(ia^8)+-1>>31;C=(c[1544+(b*960|0)+844>>2]^z)&ia;w=(c[1544+(b*960|0)+848>>2]^t)&ia;q=(c[1544+(b*960|0)+852>>2]^o)&ia;m=(c[1544+(b*960|0)+856>>2]^k)&ia;W=(c[1544+(b*960|0)+860>>2]^R)&ia;L=(c[1544+(b*960|0)+864>>2]^B)&ia;$=(c[1544+(b*960|0)+868>>2]^ba)&ia;da=(c[1544+(b*960|0)+872>>2]^fa)&ia;ga=(c[1544+(b*960|0)+876>>2]^ha)&ia;c[a>>2]=(c[1544+(b*960|0)+840>>2]^F)&ia^F;c[d>>2]=C^z;c[ea>>2]=w^t;c[ca>>2]=q^o;c[aa>>2]=m^k;c[_>>2]=W^R;c[s>>2]=L^B;c[O>>2]=$^ba;c[U>>2]=da^fa;c[Y>>2]=ga^ha;ha=c[e>>2]|0;ga=c[f>>2]|0;fa=c[T>>2]|0;da=c[Q>>2]|0;ba=c[N>>2]|0;$=c[K>>2]|0;B=c[I>>2]|0;L=c[G>>2]|0;R=c[v>>2]|0;W=c[E>>2]|0;k=(c[1544+(b*960|0)+884>>2]^ga)&ia;m=(c[1544+(b*960|0)+888>>2]^fa)&ia;o=(c[1544+(b*960|0)+892>>2]^da)&ia;q=(c[1544+(b*960|0)+896>>2]^ba)&ia;t=(c[1544+(b*960|0)+900>>2]^$)&ia;w=(c[1544+(b*960|0)+904>>2]^B)&ia;z=(c[1544+(b*960|0)+908>>2]^L)&ia;C=(c[1544+(b*960|0)+912>>2]^R)&ia;F=(c[1544+(b*960|0)+916>>2]^W)&ia;ha=(c[1544+(b*960|0)+880>>2]^ha)&ia^ha;c[e>>2]=ha;ga=k^ga;c[f>>2]=ga;fa=m^fa;c[T>>2]=fa;da=o^da;c[Q>>2]=da;ba=q^ba;c[N>>2]=ba;$=t^$;c[K>>2]=$;B=w^B;c[I>>2]=B;L=z^L;c[G>>2]=L;R=C^R;c[v>>2]=R;W=F^W;c[E>>2]=W;F=c[D>>2]|0;C=c[A>>2]|0;z=c[x>>2]|0;w=c[u>>2]|0;t=c[r>>2]|0;q=c[p>>2]|0;o=c[n>>2]|0;m=c[l>>2]|0;k=c[i>>2]|0;Z=c[j>>2]|0;y=(c[1544+(b*960|0)+924>>2]^C)&ia;h=(c[1544+(b*960|0)+928>>2]^z)&ia;H=(c[1544+(b*960|0)+932>>2]^w)&ia;J=(c[1544+(b*960|0)+936>>2]^t)&ia;M=(c[1544+(b*960|0)+940>>2]^q)&ia;P=(c[1544+(b*960|0)+944>>2]^o)&ia;S=(c[1544+(b*960|0)+948>>2]^m)&ia;V=(c[1544+(b*960|0)+952>>2]^k)&ia;X=(c[1544+(b*960|0)+956>>2]^Z)&ia;F=(c[1544+(b*960|0)+920>>2]^F)&ia^F;c[D>>2]=F;C=y^C;c[A>>2]=C;z=h^z;c[x>>2]=z;w=H^w;c[u>>2]=w;t=J^t;c[r>>2]=t;q=M^q;c[p>>2]=q;o=P^o;c[n>>2]=o;m=S^m;c[l>>2]=m;k=V^k;c[i>>2]=k;b=X^Z;c[j>>2]=b;Z=c[a>>2]|0;X=c[d>>2]|0;V=c[ea>>2]|0;S=c[ca>>2]|0;P=c[aa>>2]|0;M=c[_>>2]|0;J=c[s>>2]|0;H=c[O>>2]|0;h=c[U>>2]|0;y=c[Y>>2]|0;c[a>>2]=(Z^ha)&g^Z;c[d>>2]=(X^ga)&g^X;c[ea>>2]=(V^fa)&g^V;c[ca>>2]=(S^da)&g^S;c[aa>>2]=(P^ba)&g^P;c[_>>2]=(M^$)&g^M;c[s>>2]=(J^B)&g^J;c[O>>2]=(H^L)&g^H;c[U>>2]=(h^R)&g^h;c[Y>>2]=(y^W)&g^y;Y=c[e>>2]|0;W=c[f>>2]|0;U=c[T>>2]|0;R=c[Q>>2]|0;O=c[N>>2]|0;L=c[K>>2]|0;a=c[I>>2]|0;d=c[G>>2]|0;s=c[v>>2]|0;B=c[E>>2]|0;c[e>>2]=(Y^Z)&g^Y;c[f>>2]=(W^X)&g^W;c[T>>2]=(U^V)&g^U;c[Q>>2]=(R^S)&g^R;c[N>>2]=(O^P)&g^O;c[K>>2]=(L^M)&g^L;c[I>>2]=(a^J)&g^a;c[G>>2]=(d^H)&g^d;c[v>>2]=(s^h)&g^s;c[E>>2]=(B^y)&g^B;E=c[D>>2]|0;B=c[A>>2]|0;y=c[x>>2]|0;v=c[u>>2]|0;s=c[r>>2]|0;d=c[p>>2]|0;e=c[n>>2]|0;f=c[l>>2]|0;h=c[i>>2]|0;a=c[j>>2]|0;c[D>>2]=(E^0-F)&g^E;c[A>>2]=(B^0-C)&g^B;c[x>>2]=(y^0-z)&g^y;c[u>>2]=(v^0-w)&g^v;c[r>>2]=(s^0-t)&g^s;c[p>>2]=(d^0-q)&g^d;c[n>>2]=(e^0-o)&g^e;c[l>>2]=(f^0-m)&g^f;c[i>>2]=(h^0-k)&g^h;c[j>>2]=(a^0-b)&g^a;return}function Ec(b){b=b|0;var c=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;ea=b+1|0;ba=b+2|0;D=a[ba>>0]|0;f=d[b>>0]|0;n=ph(d[ea>>0]|0|0,0,8)|0;va=C;D=D&255;V=ph(D|0,0,16)|0;aa=b+3|0;y=ph(d[aa>>0]|0|0,0,8)|0;ga=C;$=b+4|0;U=ph(d[$>>0]|0|0,0,16)|0;ga=ga|C;Y=b+5|0;N=d[Y>>0]|0;X=ph(N|0,0,24)|0;ga=oh(y|D|U|X|0,ga|C|0,5)|0;X=b+6|0;U=b+7|0;D=a[U>>0]|0;y=ph(d[X>>0]|0|0,0,8)|0;Ba=C;D=D&255;T=ph(D|0,0,16)|0;Ba=oh(y|N|T|0,Ba|C|0,2)|0;T=b+8|0;N=ph(d[T>>0]|0|0,0,8)|0;y=C;S=b+9|0;Ca=ph(d[S>>0]|0|0,0,16)|0;y=y|C;P=b+10|0;Sa=d[P>>0]|0;O=ph(Sa|0,0,24)|0;y=oh(N|D|Ca|O|0,y|C|0,7)|0;O=b+11|0;Ca=ph(d[O>>0]|0|0,0,8)|0;D=C;N=b+12|0;G=ph(d[N>>0]|0|0,0,16)|0;D=D|C;K=b+13|0;u=d[K>>0]|0;J=ph(u|0,0,24)|0;D=oh(Ca|Sa|G|J|0,D|C|0,4)|0;J=b+14|0;G=b+15|0;Sa=a[G>>0]|0;Ca=ph(d[J>>0]|0|0,0,8)|0;Da=C;Sa=Sa&255;F=ph(Sa|0,0,16)|0;Da=oh(Ca|u|F|0,Da|C|0,1)|0;F=b+16|0;u=ph(d[F>>0]|0|0,0,8)|0;Ca=C;E=b+17|0;w=ph(d[E>>0]|0|0,0,16)|0;Ca=Ca|C;A=b+18|0;v=d[A>>0]|0;z=ph(v|0,0,24)|0;Ca=oh(u|Sa|w|z|0,Ca|C|0,6)|0;z=b+19|0;w=b+20|0;Sa=a[w>>0]|0;u=ph(d[z>>0]|0|0,0,8)|0;Ta=C;Sa=ph(Sa&255|0,0,16)|0;Ta=oh(u|v|Sa|0,Ta|C|0,3)|0;Sa=C;v=b+21|0;u=b+22|0;r=b+23|0;na=a[r>>0]|0;ab=d[v>>0]|0;bb=ph(d[u>>0]|0|0,0,8)|0;_a=C;na=na&255;$a=ph(na|0,0,16)|0;q=b+24|0;Ka=ph(d[q>>0]|0|0,0,8)|0;Pa=C;p=b+25|0;i=ph(d[p>>0]|0|0,0,16)|0;Pa=Pa|C;m=b+26|0;xa=d[m>>0]|0;l=ph(xa|0,0,24)|0;Pa=oh(Ka|na|i|l|0,Pa|C|0,5)|0;l=b+27|0;i=b+28|0;na=a[i>>0]|0;Ka=ph(d[l>>0]|0|0,0,8)|0;Za=C;na=na&255;h=ph(na|0,0,16)|0;Za=oh(Ka|xa|h|0,Za|C|0,2)|0;h=b+29|0;xa=ph(d[h>>0]|0|0,0,8)|0;Ka=C;g=b+30|0;fb=ph(d[g>>0]|0|0,0,16)|0;Ka=Ka|C;c=b+31|0;qa=d[c>>0]|0;oa=ph(qa|0,0,24)|0;Ka=oh(xa|na|fb|oa|0,Ka|C|0,7)|0;oa=ph(d[b+32>>0]|0|0,0,8)|0;fb=C;na=ph(d[b+33>>0]|0|0,0,16)|0;fb=fb|C;xa=d[b+34>>0]|0;la=ph(xa|0,0,24)|0;fb=oh(oa|qa|na|la|0,fb|C|0,4)|0;la=a[b+36>>0]|0;na=ph(d[b+35>>0]|0|0,0,8)|0;qa=C;la=la&255;oa=ph(la|0,0,16)|0;qa=oh(na|xa|oa|0,qa|C|0,1)|0;oa=ph(d[b+37>>0]|0|0,0,8)|0;xa=C;na=ph(d[b+38>>0]|0|0,0,16)|0;xa=xa|C;Ma=d[b+39>>0]|0;fa=ph(Ma|0,0,24)|0;xa=oh(oa|la|na|fa|0,xa|C|0,6)|0;fa=a[b+41>>0]|0;na=ph(d[b+40>>0]|0|0,0,8)|0;la=C;fa=ph(fa&255|0,0,16)|0;la=oh(na|Ma|fa|0,la|C|0,3)|0;fa=C;Ma=a[b+44>>0]|0;na=d[b+42>>0]|0;oa=ph(d[b+43>>0]|0|0,0,8)|0;j=C;Ma=Ma&255;za=ph(Ma|0,0,16)|0;ja=ph(d[b+45>>0]|0|0,0,8)|0;L=C;W=ph(d[b+46>>0]|0|0,0,16)|0;L=L|C;gb=d[b+47>>0]|0;o=ph(gb|0,0,24)|0;L=oh(ja|Ma|W|o|0,L|C|0,5)|0;o=a[b+49>>0]|0;W=ph(d[b+48>>0]|0|0,0,8)|0;Ma=C;o=o&255;ja=ph(o|0,0,16)|0;Ma=oh(W|gb|ja|0,Ma|C|0,2)|0;Ma=Ma&2097151;ja=ph(d[b+50>>0]|0|0,0,8)|0;gb=C;W=ph(d[b+51>>0]|0|0,0,16)|0;gb=gb|C;Aa=d[b+52>>0]|0;M=ph(Aa|0,0,24)|0;gb=oh(ja|o|W|M|0,gb|C|0,7)|0;gb=gb&2097151;M=ph(d[b+53>>0]|0|0,0,8)|0;W=C;o=ph(d[b+54>>0]|0|0,0,16)|0;W=W|C;ja=d[b+55>>0]|0;R=ph(ja|0,0,24)|0;W=oh(M|Aa|o|R|0,W|C|0,4)|0;W=W&2097151;R=a[b+57>>0]|0;o=ph(d[b+56>>0]|0|0,0,8)|0;Aa=C;R=R&255;M=ph(R|0,0,16)|0;Aa=oh(o|ja|M|0,Aa|C|0,1)|0;Aa=Aa&2097151;M=ph(d[b+58>>0]|0|0,0,8)|0;ja=C;o=ph(d[b+59>>0]|0|0,0,16)|0;ja=ja|C;ha=d[b+60>>0]|0;Q=ph(ha|0,0,24)|0;ja=oh(M|R|o|Q|0,ja|C|0,6)|0;ja=ja&2097151;Q=ph(d[b+61>>0]|0|0,0,8)|0;o=C;R=ph(d[b+62>>0]|0|0,0,16)|0;o=o|C;M=ph(d[b+63>>0]|0|0,0,24)|0;o=oh(Q|ha|R|M|0,o|C|0,3)|0;M=C;R=wh(o|0,M|0,666643,0)|0;ha=C;Q=wh(o|0,M|0,470296,0)|0;I=C;ca=wh(o|0,M|0,654183,0)|0;ta=C;Ea=wh(o|0,M|0,-997805,-1)|0;t=C;k=wh(o|0,M|0,136657,0)|0;B=C;M=wh(o|0,M|0,-683901,-1)|0;j=lh(M|0,C|0,oa|na|za&2031616|0,j|0)|0;za=C;na=wh(ja|0,0,666643,0)|0;oa=C;M=wh(ja|0,0,470296,0)|0;o=C;Va=wh(ja|0,0,654183,0)|0;s=C;ma=wh(ja|0,0,-997805,-1)|0;_=C;ya=wh(ja|0,0,136657,0)|0;sa=C;ja=wh(ja|0,0,-683901,-1)|0;H=C;e=wh(Aa|0,0,666643,0)|0;ra=C;wa=wh(Aa|0,0,470296,0)|0;La=C;Fa=wh(Aa|0,0,654183,0)|0;da=C;cb=wh(Aa|0,0,-997805,-1)|0;Ua=C;ka=wh(Aa|0,0,136657,0)|0;x=C;Aa=wh(Aa|0,0,-683901,-1)|0;xa=lh(Aa|0,C|0,xa&2097151|0,0)|0;sa=lh(xa|0,C|0,ya|0,sa|0)|0;t=lh(sa|0,C|0,Ea|0,t|0)|0;Ea=C;sa=wh(W|0,0,666643,0)|0;ya=C;xa=wh(W|0,0,470296,0)|0;Aa=C;Wa=wh(W|0,0,654183,0)|0;Z=C;Ha=wh(W|0,0,-997805,-1)|0;Ga=C;eb=wh(W|0,0,136657,0)|0;db=C;W=wh(W|0,0,-683901,-1)|0;pa=C;ia=wh(gb|0,0,666643,0)|0;ua=C;Qa=wh(gb|0,0,470296,0)|0;Ra=C;Oa=wh(gb|0,0,654183,0)|0;Na=C;Ya=wh(gb|0,0,-997805,-1)|0;Xa=C;Ja=wh(gb|0,0,136657,0)|0;Ia=C;gb=wh(gb|0,0,-683901,-1)|0;fb=lh(gb|0,C|0,fb&2097151|0,0)|0;db=lh(fb|0,C|0,eb|0,db|0)|0;Ua=lh(db|0,C|0,cb|0,Ua|0)|0;s=lh(Ua|0,C|0,Va|0,s|0)|0;I=lh(s|0,C|0,Q|0,I|0)|0;Q=C;s=wh(Ma|0,0,666643,0)|0;Ca=lh(s|0,C|0,Ca&2097151|0,0)|0;s=C;Va=wh(Ma|0,0,470296,0)|0;Ua=C;cb=wh(Ma|0,0,654183,0)|0;_a=lh(cb|0,C|0,bb|ab|$a&2031616|0,_a|0)|0;Ra=lh(_a|0,C|0,Qa|0,Ra|0)|0;ya=lh(Ra|0,C|0,sa|0,ya|0)|0;sa=C;Ra=wh(Ma|0,0,-997805,-1)|0;Qa=C;_a=wh(Ma|0,0,136657,0)|0;Za=lh(_a|0,C|0,Za&2097151|0,0)|0;Xa=lh(Za|0,C|0,Ya|0,Xa|0)|0;Z=lh(Xa|0,C|0,Wa|0,Z|0)|0;La=lh(Z|0,C|0,wa|0,La|0)|0;oa=lh(La|0,C|0,na|0,oa|0)|0;na=C;Ma=wh(Ma|0,0,-683901,-1)|0;La=C;wa=lh(Ca|0,s|0,1048576,0)|0;wa=oh(wa|0,C|0,21)|0;Z=C;Sa=lh(Va|0,Ua|0,Ta|0,Sa|0)|0;Sa=lh(Sa|0,C|0,wa|0,Z|0)|0;ua=lh(Sa|0,C|0,ia|0,ua|0)|0;ia=C;Z=ph(wa|0,Z|0,21)|0;Z=kh(Ca|0,s|0,Z|0,C|0)|0;s=C;Ca=lh(ya|0,sa|0,1048576,0)|0;Ca=oh(Ca|0,C|0,21)|0;wa=C;Pa=lh(Ra|0,Qa|0,Pa&2097151|0,0)|0;Na=lh(Pa|0,C|0,Oa|0,Na|0)|0;Aa=lh(Na|0,C|0,xa|0,Aa|0)|0;ra=lh(Aa|0,C|0,e|0,ra|0)|0;ra=lh(ra|0,C|0,Ca|0,wa|0)|0;e=C;wa=ph(Ca|0,wa|0,21)|0;Ca=C;Aa=lh(oa|0,na|0,1048576,0)|0;Aa=mh(Aa|0,C|0,21)|0;xa=C;Ka=lh(Ma|0,La|0,Ka&2097151|0,0)|0;Ia=lh(Ka|0,C|0,Ja|0,Ia|0)|0;Ga=lh(Ia|0,C|0,Ha|0,Ga|0)|0;da=lh(Ga|0,C|0,Fa|0,da|0)|0;o=lh(da|0,C|0,M|0,o|0)|0;ha=lh(o|0,C|0,R|0,ha|0)|0;ha=lh(ha|0,C|0,Aa|0,xa|0)|0;R=C;xa=ph(Aa|0,xa|0,21)|0;Aa=C;o=lh(I|0,Q|0,1048576,0)|0;o=mh(o|0,C|0,21)|0;M=C;qa=lh(W|0,pa|0,qa&2097151|0,0)|0;x=lh(qa|0,C|0,ka|0,x|0)|0;_=lh(x|0,C|0,ma|0,_|0)|0;ta=lh(_|0,C|0,ca|0,ta|0)|0;ta=lh(ta|0,C|0,o|0,M|0)|0;ca=C;M=ph(o|0,M|0,21)|0;M=kh(I|0,Q|0,M|0,C|0)|0;Q=C;I=lh(t|0,Ea|0,1048576,0)|0;I=mh(I|0,C|0,21)|0;o=C;fa=lh(ja|0,H|0,la|0,fa|0)|0;B=lh(fa|0,C|0,k|0,B|0)|0;B=lh(B|0,C|0,I|0,o|0)|0;k=C;o=ph(I|0,o|0,21)|0;o=kh(t|0,Ea|0,o|0,C|0)|0;Ea=C;t=lh(j|0,za|0,1048576,0)|0;t=mh(t|0,C|0,21)|0;I=C;L=lh(t|0,I|0,L&2097151|0,0)|0;fa=C;I=ph(t|0,I|0,21)|0;I=kh(j|0,za|0,I|0,C|0)|0;za=C;j=lh(ua|0,ia|0,1048576,0)|0;j=oh(j|0,C|0,21)|0;t=C;la=ph(j|0,t|0,21)|0;la=kh(ua|0,ia|0,la|0,C|0)|0;ia=C;ua=lh(ra|0,e|0,1048576,0)|0;ua=mh(ua|0,C|0,21)|0;H=C;ja=ph(ua|0,H|0,21)|0;ja=kh(ra|0,e|0,ja|0,C|0)|0;e=C;ra=lh(ha|0,R|0,1048576,0)|0;ra=mh(ra|0,C|0,21)|0;_=C;Q=lh(M|0,Q|0,ra|0,_|0)|0;M=C;_=ph(ra|0,_|0,21)|0;_=kh(ha|0,R|0,_|0,C|0)|0;R=C;ha=lh(ta|0,ca|0,1048576,0)|0;ha=mh(ha|0,C|0,21)|0;ra=C;Ea=lh(ha|0,ra|0,o|0,Ea|0)|0;o=C;ra=ph(ha|0,ra|0,21)|0;ra=kh(ta|0,ca|0,ra|0,C|0)|0;ca=C;ta=lh(B|0,k|0,1048576,0)|0;ta=mh(ta|0,C|0,21)|0;ha=C;za=lh(ta|0,ha|0,I|0,za|0)|0;I=C;ha=ph(ta|0,ha|0,21)|0;ha=kh(B|0,k|0,ha|0,C|0)|0;k=C;B=wh(L|0,fa|0,666643,0)|0;Da=lh(B|0,C|0,Da&2097151|0,0)|0;B=C;ta=wh(L|0,fa|0,470296,0)|0;ta=lh(Z|0,s|0,ta|0,C|0)|0;s=C;Z=wh(L|0,fa|0,654183,0)|0;Z=lh(la|0,ia|0,Z|0,C|0)|0;ia=C;la=wh(L|0,fa|0,-997805,-1)|0;ma=C;x=wh(L|0,fa|0,136657,0)|0;x=lh(ja|0,e|0,x|0,C|0)|0;e=C;fa=wh(L|0,fa|0,-683901,-1)|0;L=C;H=lh(oa|0,na|0,ua|0,H|0)|0;Aa=kh(H|0,C|0,xa|0,Aa|0)|0;L=lh(Aa|0,C|0,fa|0,L|0)|0;fa=C;Aa=wh(za|0,I|0,666643,0)|0;D=lh(Aa|0,C|0,D&2097151|0,0)|0;Aa=C;xa=wh(za|0,I|0,470296,0)|0;xa=lh(Da|0,B|0,xa|0,C|0)|0;B=C;Da=wh(za|0,I|0,654183,0)|0;Da=lh(ta|0,s|0,Da|0,C|0)|0;s=C;ta=wh(za|0,I|0,-997805,-1)|0;ta=lh(Z|0,ia|0,ta|0,C|0)|0;ia=C;Z=wh(za|0,I|0,136657,0)|0;H=C;I=wh(za|0,I|0,-683901,-1)|0;I=lh(x|0,e|0,I|0,C|0)|0;e=C;x=wh(ha|0,k|0,666643,0)|0;y=lh(x|0,C|0,y&2097151|0,0)|0;x=C;za=wh(ha|0,k|0,470296,0)|0;za=lh(D|0,Aa|0,za|0,C|0)|0;Aa=C;D=wh(ha|0,k|0,654183,0)|0;D=lh(xa|0,B|0,D|0,C|0)|0;B=C;xa=wh(ha|0,k|0,-997805,-1)|0;xa=lh(Da|0,s|0,xa|0,C|0)|0;s=C;Da=wh(ha|0,k|0,136657,0)|0;Da=lh(ta|0,ia|0,Da|0,C|0)|0;ia=C;k=wh(ha|0,k|0,-683901,-1)|0;ha=C;t=lh(ya|0,sa|0,j|0,t|0)|0;Ca=kh(t|0,C|0,wa|0,Ca|0)|0;ma=lh(Ca|0,C|0,la|0,ma|0)|0;H=lh(ma|0,C|0,Z|0,H|0)|0;ha=lh(H|0,C|0,k|0,ha|0)|0;k=C;H=wh(Ea|0,o|0,666643,0)|0;Z=C;ma=wh(Ea|0,o|0,470296,0)|0;la=C;Ca=wh(Ea|0,o|0,654183,0)|0;wa=C;t=wh(Ea|0,o|0,-997805,-1)|0;j=C;sa=wh(Ea|0,o|0,136657,0)|0;sa=lh(xa|0,s|0,sa|0,C|0)|0;s=C;o=wh(Ea|0,o|0,-683901,-1)|0;o=lh(Da|0,ia|0,o|0,C|0)|0;ia=C;Da=wh(ra|0,ca|0,666643,0)|0;Ea=C;xa=wh(ra|0,ca|0,470296,0)|0;ya=C;ta=wh(ra|0,ca|0,654183,0)|0;ua=C;na=wh(ra|0,ca|0,-997805,-1)|0;oa=C;ja=wh(ra|0,ca|0,136657,0)|0;ka=C;ca=wh(ra|0,ca|0,-683901,-1)|0;ca=lh(sa|0,s|0,ca|0,C|0)|0;s=C;sa=wh(Q|0,M|0,666643,0)|0;va=lh(sa|0,C|0,n|f|V&2031616|0,va|0)|0;V=C;f=wh(Q|0,M|0,470296,0)|0;n=C;sa=wh(Q|0,M|0,654183,0)|0;Ba=lh(sa|0,C|0,Ba&2097151|0,0)|0;Z=lh(Ba|0,C|0,H|0,Z|0)|0;ya=lh(Z|0,C|0,xa|0,ya|0)|0;xa=C;Z=wh(Q|0,M|0,-997805,-1)|0;H=C;Ba=wh(Q|0,M|0,136657,0)|0;Ba=lh(za|0,Aa|0,Ba|0,C|0)|0;wa=lh(Ba|0,C|0,Ca|0,wa|0)|0;oa=lh(wa|0,C|0,na|0,oa|0)|0;na=C;M=wh(Q|0,M|0,-683901,-1)|0;Q=C;wa=lh(va|0,V|0,1048576,0)|0;wa=mh(wa|0,C|0,21)|0;Ca=C;ga=lh(f|0,n|0,ga&2097151|0,0)|0;Ea=lh(ga|0,C|0,Da|0,Ea|0)|0;Ea=lh(Ea|0,C|0,wa|0,Ca|0)|0;Da=C;Ca=ph(wa|0,Ca|0,21)|0;Ca=kh(va|0,V|0,Ca|0,C|0)|0;V=C;va=lh(ya|0,xa|0,1048576,0)|0;va=mh(va|0,C|0,21)|0;wa=C;H=lh(y|0,x|0,Z|0,H|0)|0;la=lh(H|0,C|0,ma|0,la|0)|0;ua=lh(la|0,C|0,ta|0,ua|0)|0;ua=lh(ua|0,C|0,va|0,wa|0)|0;ta=C;wa=ph(va|0,wa|0,21)|0;va=C;la=lh(oa|0,na|0,1048576,0)|0;la=mh(la|0,C|0,21)|0;ma=C;Q=lh(D|0,B|0,M|0,Q|0)|0;j=lh(Q|0,C|0,t|0,j|0)|0;ka=lh(j|0,C|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,la|0,ma|0)|0;ja=C;ma=ph(la|0,ma|0,21)|0;la=C;j=lh(ca|0,s|0,1048576,0)|0;j=mh(j|0,C|0,21)|0;t=C;ia=lh(o|0,ia|0,j|0,t|0)|0;o=C;t=ph(j|0,t|0,21)|0;t=kh(ca|0,s|0,t|0,C|0)|0;s=C;ca=lh(ha|0,k|0,1048576,0)|0;ca=mh(ca|0,C|0,21)|0;j=C;e=lh(I|0,e|0,ca|0,j|0)|0;I=C;j=ph(ca|0,j|0,21)|0;j=kh(ha|0,k|0,j|0,C|0)|0;k=C;ha=lh(L|0,fa|0,1048576,0)|0;ha=mh(ha|0,C|0,21)|0;ca=C;R=lh(_|0,R|0,ha|0,ca|0)|0;_=C;ca=ph(ha|0,ca|0,21)|0;ca=kh(L|0,fa|0,ca|0,C|0)|0;fa=C;L=lh(Ea|0,Da|0,1048576,0)|0;L=mh(L|0,C|0,21)|0;ha=C;Q=ph(L|0,ha|0,21)|0;M=C;B=lh(ua|0,ta|0,1048576,0)|0;B=mh(B|0,C|0,21)|0;D=C;H=ph(B|0,D|0,21)|0;Z=C;x=lh(ka|0,ja|0,1048576,0)|0;x=mh(x|0,C|0,21)|0;y=C;s=lh(t|0,s|0,x|0,y|0)|0;t=C;y=ph(x|0,y|0,21)|0;x=C;ga=lh(ia|0,o|0,1048576,0)|0;ga=mh(ga|0,C|0,21)|0;n=C;k=lh(j|0,k|0,ga|0,n|0)|0;j=C;n=ph(ga|0,n|0,21)|0;n=kh(ia|0,o|0,n|0,C|0)|0;o=C;ia=lh(e|0,I|0,1048576,0)|0;ia=mh(ia|0,C|0,21)|0;ga=C;fa=lh(ca|0,fa|0,ia|0,ga|0)|0;ca=C;ga=ph(ia|0,ga|0,21)|0;ga=kh(e|0,I|0,ga|0,C|0)|0;I=C;e=lh(R|0,_|0,1048576,0)|0;e=mh(e|0,C|0,21)|0;ia=C;f=ph(e|0,ia|0,21)|0;f=kh(R|0,_|0,f|0,C|0)|0;_=C;R=wh(e|0,ia|0,666643,0)|0;R=lh(Ca|0,V|0,R|0,C|0)|0;V=C;Ca=wh(e|0,ia|0,470296,0)|0;Ba=C;Aa=wh(e|0,ia|0,654183,0)|0;za=C;sa=wh(e|0,ia|0,-997805,-1)|0;ra=C;qa=wh(e|0,ia|0,136657,0)|0;pa=C;ia=wh(e|0,ia|0,-683901,-1)|0;e=C;W=mh(R|0,V|0,21)|0;da=C;Ba=lh(Ea|0,Da|0,Ca|0,Ba|0)|0;Ba=lh(Ba|0,C|0,W|0,da|0)|0;M=kh(Ba|0,C|0,Q|0,M|0)|0;Q=C;da=ph(W|0,da|0,21)|0;da=kh(R|0,V|0,da|0,C|0)|0;V=C;R=mh(M|0,Q|0,21)|0;W=C;xa=lh(Aa|0,za|0,ya|0,xa|0)|0;va=kh(xa|0,C|0,wa|0,va|0)|0;ha=lh(va|0,C|0,L|0,ha|0)|0;ha=lh(ha|0,C|0,R|0,W|0)|0;L=C;W=ph(R|0,W|0,21)|0;W=kh(M|0,Q|0,W|0,C|0)|0;Q=C;M=mh(ha|0,L|0,21)|0;R=C;ra=lh(ua|0,ta|0,sa|0,ra|0)|0;Z=kh(ra|0,C|0,H|0,Z|0)|0;Z=lh(Z|0,C|0,M|0,R|0)|0;H=C;R=ph(M|0,R|0,21)|0;R=kh(ha|0,L|0,R|0,C|0)|0;L=C;ha=mh(Z|0,H|0,21)|0;M=C;na=lh(qa|0,pa|0,oa|0,na|0)|0;la=kh(na|0,C|0,ma|0,la|0)|0;D=lh(la|0,C|0,B|0,D|0)|0;D=lh(D|0,C|0,ha|0,M|0)|0;B=C;M=ph(ha|0,M|0,21)|0;M=kh(Z|0,H|0,M|0,C|0)|0;H=C;Z=mh(D|0,B|0,21)|0;ha=C;e=lh(ka|0,ja|0,ia|0,e|0)|0;x=kh(e|0,C|0,y|0,x|0)|0;x=lh(x|0,C|0,Z|0,ha|0)|0;y=C;ha=ph(Z|0,ha|0,21)|0;ha=kh(D|0,B|0,ha|0,C|0)|0;B=C;D=mh(x|0,y|0,21)|0;Z=C;t=lh(s|0,t|0,D|0,Z|0)|0;s=C;Z=ph(D|0,Z|0,21)|0;Z=kh(x|0,y|0,Z|0,C|0)|0;y=C;x=mh(t|0,s|0,21)|0;D=C;o=lh(x|0,D|0,n|0,o|0)|0;n=C;D=ph(x|0,D|0,21)|0;D=kh(t|0,s|0,D|0,C|0)|0;s=C;t=mh(o|0,n|0,21)|0;x=C;j=lh(k|0,j|0,t|0,x|0)|0;k=C;x=ph(t|0,x|0,21)|0;x=kh(o|0,n|0,x|0,C|0)|0;n=C;o=mh(j|0,k|0,21)|0;t=C;I=lh(o|0,t|0,ga|0,I|0)|0;ga=C;t=ph(o|0,t|0,21)|0;t=kh(j|0,k|0,t|0,C|0)|0;k=C;j=mh(I|0,ga|0,21)|0;o=C;ca=lh(fa|0,ca|0,j|0,o|0)|0;fa=C;o=ph(j|0,o|0,21)|0;o=kh(I|0,ga|0,o|0,C|0)|0;ga=C;I=mh(ca|0,fa|0,21)|0;j=C;_=lh(I|0,j|0,f|0,_|0)|0;f=C;j=ph(I|0,j|0,21)|0;j=kh(ca|0,fa|0,j|0,C|0)|0;fa=C;ca=mh(_|0,f|0,21)|0;I=C;e=ph(ca|0,I|0,21)|0;e=kh(_|0,f|0,e|0,C|0)|0;f=C;_=wh(ca|0,I|0,666643,0)|0;V=lh(_|0,C|0,da|0,V|0)|0;da=C;_=wh(ca|0,I|0,470296,0)|0;_=lh(W|0,Q|0,_|0,C|0)|0;Q=C;W=wh(ca|0,I|0,654183,0)|0;W=lh(R|0,L|0,W|0,C|0)|0;L=C;R=wh(ca|0,I|0,-997805,-1)|0;R=lh(M|0,H|0,R|0,C|0)|0;H=C;M=wh(ca|0,I|0,136657,0)|0;M=lh(ha|0,B|0,M|0,C|0)|0;B=C;I=wh(ca|0,I|0,-683901,-1)|0;I=lh(Z|0,y|0,I|0,C|0)|0;y=C;Z=mh(V|0,da|0,21)|0;ca=C;Q=lh(_|0,Q|0,Z|0,ca|0)|0;_=C;ca=ph(Z|0,ca|0,21)|0;ca=kh(V|0,da|0,ca|0,C|0)|0;da=C;V=mh(Q|0,_|0,21)|0;Z=C;L=lh(W|0,L|0,V|0,Z|0)|0;W=C;Z=ph(V|0,Z|0,21)|0;Z=kh(Q|0,_|0,Z|0,C|0)|0;_=C;Q=mh(L|0,W|0,21)|0;V=C;H=lh(R|0,H|0,Q|0,V|0)|0;R=C;V=ph(Q|0,V|0,21)|0;V=kh(L|0,W|0,V|0,C|0)|0;W=C;L=mh(H|0,R|0,21)|0;Q=C;B=lh(M|0,B|0,L|0,Q|0)|0;M=C;Q=ph(L|0,Q|0,21)|0;Q=kh(H|0,R|0,Q|0,C|0)|0;R=C;H=mh(B|0,M|0,21)|0;L=C;y=lh(I|0,y|0,H|0,L|0)|0;I=C;L=ph(H|0,L|0,21)|0;L=kh(B|0,M|0,L|0,C|0)|0;M=C;B=mh(y|0,I|0,21)|0;H=C;s=lh(B|0,H|0,D|0,s|0)|0;D=C;H=ph(B|0,H|0,21)|0;H=kh(y|0,I|0,H|0,C|0)|0;I=C;y=mh(s|0,D|0,21)|0;B=C;n=lh(y|0,B|0,x|0,n|0)|0;x=C;B=ph(y|0,B|0,21)|0;B=kh(s|0,D|0,B|0,C|0)|0;D=C;s=mh(n|0,x|0,21)|0;y=C;k=lh(s|0,y|0,t|0,k|0)|0;t=C;y=ph(s|0,y|0,21)|0;y=kh(n|0,x|0,y|0,C|0)|0;x=C;n=mh(k|0,t|0,21)|0;s=C;ga=lh(n|0,s|0,o|0,ga|0)|0;o=C;s=ph(n|0,s|0,21)|0;s=kh(k|0,t|0,s|0,C|0)|0;t=C;k=mh(ga|0,o|0,21)|0;n=C;fa=lh(k|0,n|0,j|0,fa|0)|0;j=C;n=ph(k|0,n|0,21)|0;n=kh(ga|0,o|0,n|0,C|0)|0;o=C;ga=mh(fa|0,j|0,21)|0;k=C;f=lh(ga|0,k|0,e|0,f|0)|0;e=C;k=ph(ga|0,k|0,21)|0;k=kh(fa|0,j|0,k|0,C|0)|0;j=C;a[b>>0]=ca;b=oh(ca|0,da|0,8)|0;a[ea>>0]=b;b=oh(ca|0,da|0,16)|0;da=C;ca=ph(Z|0,_|0,5)|0;a[ba>>0]=ca|b;b=oh(Z|0,_|0,3)|0;a[aa>>0]=b;b=oh(Z|0,_|0,11)|0;a[$>>0]=b;b=oh(Z|0,_|0,19)|0;_=C;Z=ph(V|0,W|0,2)|0;a[Y>>0]=Z|b;b=oh(V|0,W|0,6)|0;a[X>>0]=b;b=oh(V|0,W|0,14)|0;W=C;V=ph(Q|0,R|0,7)|0;a[U>>0]=V|b;b=oh(Q|0,R|0,1)|0;a[T>>0]=b;b=oh(Q|0,R|0,9)|0;a[S>>0]=b;b=oh(Q|0,R|0,17)|0;R=C;Q=ph(L|0,M|0,4)|0;a[P>>0]=Q|b;b=oh(L|0,M|0,4)|0;a[O>>0]=b;b=oh(L|0,M|0,12)|0;a[N>>0]=b;b=oh(L|0,M|0,20)|0;M=C;L=ph(H|0,I|0,1)|0;a[K>>0]=L|b;b=oh(H|0,I|0,7)|0;a[J>>0]=b;b=oh(H|0,I|0,15)|0;I=C;H=ph(B|0,D|0,6)|0;a[G>>0]=H|b;b=oh(B|0,D|0,2)|0;a[F>>0]=b;b=oh(B|0,D|0,10)|0;a[E>>0]=b;b=oh(B|0,D|0,18)|0;D=C;B=ph(y|0,x|0,3)|0;a[A>>0]=B|b;b=oh(y|0,x|0,5)|0;a[z>>0]=b;b=oh(y|0,x|0,13)|0;a[w>>0]=b;a[v>>0]=s;b=oh(s|0,t|0,8)|0;a[u>>0]=b;b=oh(s|0,t|0,16)|0;t=C;s=ph(n|0,o|0,5)|0;a[r>>0]=s|b;b=oh(n|0,o|0,3)|0;a[q>>0]=b;b=oh(n|0,o|0,11)|0;a[p>>0]=b;b=oh(n|0,o|0,19)|0;o=C;n=ph(k|0,j|0,2)|0;a[m>>0]=n|b;b=oh(k|0,j|0,6)|0;a[l>>0]=b;j=oh(k|0,j|0,14)|0;k=C;b=ph(f|0,e|0,7)|0;a[i>>0]=j|b;b=oh(f|0,e|0,1)|0;a[h>>0]=b;b=oh(f|0,e|0,9)|0;a[g>>0]=b;b=oh(f|0,e|0,17)|0;a[c>>0]=b;return}function Fc(b,c,e,f){b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if(!f){f=1634760805;g=2036477234;h=1797285236;i=857760878}else{i=f+4|0;g=f+8|0;h=f+12|0;f=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;g=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;h=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;i=d[i>>0]|d[i+1>>0]<<8|d[i+2>>0]<<16|d[i+3>>0]<<24}l=e+4|0;m=e+8|0;n=e+12|0;o=e+16|0;p=e+20|0;q=e+24|0;r=e+28|0;v=c+4|0;u=c+8|0;j=c+12|0;t=20;s=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;o=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;p=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;q=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;r=d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24;l=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;m=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;n=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;k=i;e=d[c>>0]|d[c+1>>0]<<8|d[c+2>>0]<<16|d[c+3>>0]<<24;i=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;c=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;j=d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24;while(1){D=p+f|0;D=(D>>>25|D<<7)^n;A=D+f|0;A=(A>>>23|A<<9)^c;x=A+D|0;x=(x>>>19|x<<13)^p;G=x+A|0;G=(G>>>14|G<<18)^f;z=k+s|0;z=j^(z>>>25|z<<7);w=z+k|0;w=q^(w>>>23|w<<9);J=w+z|0;J=(J>>>19|J<<13)^s;C=J+w|0;C=(C>>>14|C<<18)^k;u=g+e|0;u=r^(u>>>25|u<<7);I=u+g|0;I=(I>>>23|I<<9)^l;F=I+u|0;F=(F>>>19|F<<13)^e;y=F+I|0;y=(y>>>14|y<<18)^g;H=h+o|0;H=(H>>>25|H<<7)^m;E=H+h|0;E=(E>>>23|E<<9)^i;B=E+H|0;B=(B>>>19|B<<13)^o;v=B+E|0;v=(v>>>14|v<<18)^h;K=G+H|0;s=(K>>>25|K<<7)^J;J=s+G|0;l=(J>>>23|J<<9)^I;I=l+s|0;m=(I>>>19|I<<13)^H;H=m+l|0;f=(H>>>14|H<<18)^G;G=C+D|0;e=(G>>>25|G<<7)^F;F=e+C|0;i=(F>>>23|F<<9)^E;E=i+e|0;n=(E>>>19|E<<13)^D;D=n+i|0;k=(D>>>14|D<<18)^C;C=y+z|0;o=(C>>>25|C<<7)^B;B=o+y|0;c=(B>>>23|B<<9)^A;A=c+o|0;j=(A>>>19|A<<13)^z;z=j+c|0;g=(z>>>14|z<<18)^y;y=v+u|0;p=(y>>>25|y<<7)^x;x=p+v|0;q=(x>>>23|x<<9)^w;w=q+p|0;r=(w>>>19|w<<13)^u;u=r+q|0;h=(u>>>14|u<<18)^v;if((t|0)<=2)break;else t=t+-2|0}a[b>>0]=f;a[b+1>>0]=f>>8;a[b+2>>0]=f>>16;a[b+3>>0]=f>>24;K=b+4|0;a[K>>0]=k;a[K+1>>0]=k>>8;a[K+2>>0]=k>>16;a[K+3>>0]=k>>24;K=b+8|0;a[K>>0]=g;a[K+1>>0]=g>>8;a[K+2>>0]=g>>16;a[K+3>>0]=g>>24;K=b+12|0;a[K>>0]=h;a[K+1>>0]=h>>8;a[K+2>>0]=h>>16;a[K+3>>0]=h>>24;K=b+16|0;a[K>>0]=e;a[K+1>>0]=e>>8;a[K+2>>0]=e>>16;a[K+3>>0]=e>>24;K=b+20|0;a[K>>0]=i;a[K+1>>0]=i>>8;a[K+2>>0]=i>>16;a[K+3>>0]=i>>24;K=b+24|0;a[K>>0]=c;a[K+1>>0]=c>>8;a[K+2>>0]=c>>16;a[K+3>>0]=c>>24;K=b+28|0;a[K>>0]=j;a[K+1>>0]=j>>8;a[K+2>>0]=j>>16;a[K+3>>0]=j>>24;return 0}function Gc(){return 32}function Hc(){return 16}function Ic(){return 32}function Jc(){return 16}function Kc(b,c,e,f){b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;if(!f){G=1634760805;H=857760878;I=2036477234;J=1797285236}else{H=f+4|0;I=f+8|0;J=f+12|0;G=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;H=d[H>>0]|d[H+1>>0]<<8|d[H+2>>0]<<16|d[H+3>>0]<<24;I=d[I>>0]|d[I+1>>0]<<8|d[I+2>>0]<<16|d[I+3>>0]<<24;J=d[J>>0]|d[J+1>>0]<<8|d[J+2>>0]<<16|d[J+3>>0]<<24}F=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;z=e+4|0;z=d[z>>0]|d[z+1>>0]<<8|d[z+2>>0]<<16|d[z+3>>0]<<24;A=e+8|0;A=d[A>>0]|d[A+1>>0]<<8|d[A+2>>0]<<16|d[A+3>>0]<<24;B=e+12|0;B=d[B>>0]|d[B+1>>0]<<8|d[B+2>>0]<<16|d[B+3>>0]<<24;C=d[c>>0]|d[c+1>>0]<<8|d[c+2>>0]<<16|d[c+3>>0]<<24;D=c+4|0;D=d[D>>0]|d[D+1>>0]<<8|d[D+2>>0]<<16|d[D+3>>0]<<24;E=c+8|0;E=d[E>>0]|d[E+1>>0]<<8|d[E+2>>0]<<16|d[E+3>>0]<<24;v=c+12|0;v=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;w=e+16|0;w=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;x=e+20|0;x=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;y=e+24|0;y=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;f=e+28|0;f=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;c=20;e=G;g=F;h=I;i=w;j=x;k=y;l=f;m=J;n=z;o=A;p=B;q=H;r=C;s=D;t=E;u=v;while(1){T=e+j|0;T=(T>>>25|T<<7)^p;Q=T+e|0;Q=(Q>>>23|Q<<9)^t;N=Q+T|0;N=(N>>>19|N<<13)^j;W=N+Q|0;W=(W>>>14|W<<18)^e;P=g+q|0;P=(P>>>25|P<<7)^u;M=P+q|0;M=(M>>>23|M<<9)^k;Z=M+P|0;Z=(Z>>>19|Z<<13)^g;S=Z+M|0;S=(S>>>14|S<<18)^q;L=r+h|0;L=(L>>>25|L<<7)^l;Y=L+h|0;Y=(Y>>>23|Y<<9)^n;V=Y+L|0;V=(V>>>19|V<<13)^r;O=V+Y|0;O=(O>>>14|O<<18)^h;X=i+m|0;X=o^(X>>>25|X<<7);U=X+m|0;U=(U>>>23|U<<9)^s;R=U+X|0;R=(R>>>19|R<<13)^i;K=R+U|0;K=(K>>>14|K<<18)^m;_=W+X|0;g=(_>>>25|_<<7)^Z;Z=g+W|0;n=(Z>>>23|Z<<9)^Y;Y=n+g|0;o=(Y>>>19|Y<<13)^X;X=o+n|0;e=(X>>>14|X<<18)^W;W=S+T|0;r=(W>>>25|W<<7)^V;V=r+S|0;s=(V>>>23|V<<9)^U;U=s+r|0;p=(U>>>19|U<<13)^T;T=p+s|0;q=(T>>>14|T<<18)^S;S=O+P|0;i=(S>>>25|S<<7)^R;R=i+O|0;t=(R>>>23|R<<9)^Q;Q=t+i|0;u=(Q>>>19|Q<<13)^P;P=u+t|0;h=(P>>>14|P<<18)^O;O=K+L|0;j=(O>>>25|O<<7)^N;N=j+K|0;k=(N>>>23|N<<9)^M;M=k+j|0;l=(M>>>19|M<<13)^L;L=l+k|0;m=(L>>>14|L<<18)^K;if((c|0)<=2)break;else c=c+-2|0}_=e+G|0;L=g+F|0;M=n+z|0;N=o+A|0;O=p+B|0;P=q+H|0;Q=r+C|0;R=s+D|0;S=t+E|0;T=u+v|0;U=h+I|0;V=i+w|0;W=j+x|0;X=k+y|0;Y=l+f|0;Z=m+J|0;a[b>>0]=_;a[b+1>>0]=_>>8;a[b+2>>0]=_>>16;a[b+3>>0]=_>>24;_=b+4|0;a[_>>0]=L;a[_+1>>0]=L>>8;a[_+2>>0]=L>>16;a[_+3>>0]=L>>24;_=b+8|0;a[_>>0]=M;a[_+1>>0]=M>>8;a[_+2>>0]=M>>16;a[_+3>>0]=M>>24;_=b+12|0;a[_>>0]=N;a[_+1>>0]=N>>8;a[_+2>>0]=N>>16;a[_+3>>0]=N>>24;_=b+16|0;a[_>>0]=O;a[_+1>>0]=O>>8;a[_+2>>0]=O>>16;a[_+3>>0]=O>>24;_=b+20|0;a[_>>0]=P;a[_+1>>0]=P>>8;a[_+2>>0]=P>>16;a[_+3>>0]=P>>24;_=b+24|0;a[_>>0]=Q;a[_+1>>0]=Q>>8;a[_+2>>0]=Q>>16;a[_+3>>0]=Q>>24;_=b+28|0;a[_>>0]=R;a[_+1>>0]=R>>8;a[_+2>>0]=R>>16;a[_+3>>0]=R>>24;_=b+32|0;a[_>>0]=S;a[_+1>>0]=S>>8;a[_+2>>0]=S>>16;a[_+3>>0]=S>>24;_=b+36|0;a[_>>0]=T;a[_+1>>0]=T>>8;a[_+2>>0]=T>>16;a[_+3>>0]=T>>24;_=b+40|0;a[_>>0]=U;a[_+1>>0]=U>>8;a[_+2>>0]=U>>16;a[_+3>>0]=U>>24;_=b+44|0;a[_>>0]=V;a[_+1>>0]=V>>8;a[_+2>>0]=V>>16;a[_+3>>0]=V>>24;_=b+48|0;a[_>>0]=W;a[_+1>>0]=W>>8;a[_+2>>0]=W>>16;a[_+3>>0]=W>>24;_=b+52|0;a[_>>0]=X;a[_+1>>0]=X>>8;a[_+2>>0]=X>>16;a[_+3>>0]=X>>24;_=b+56|0;a[_>>0]=Y;a[_+1>>0]=Y>>8;a[_+2>>0]=Y>>16;a[_+3>>0]=Y>>24;_=b+60|0;a[_>>0]=Z;a[_+1>>0]=Z>>8;a[_+2>>0]=Z>>16;a[_+3>>0]=Z>>24;return 0}function Lc(){return 64}function Mc(){return 16}function Nc(){return 32}function Oc(){return 16}function Pc(){return 16}function Qc(){return 64}function Rc(){return 32}function Sc(){return 16}function Tc(){return 64}function Uc(){return 32}function Vc(){return 32439}function Wc(){return 384}function Xc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return kd(a,b,c,d,e,f,g)|0}function Yc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return md(a,b,c,d)|0}function Zc(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0&(f|0)==0)return 0;k=b+352|0;l=b+96|0;m=b+64|0;n=b+72|0;o=b+224|0;g=c[k>>2]|0;j=e;while(1){i=256-g|0;e=b+96+g|0;if(!(f>>>0>0|(f|0)==0&j>>>0>i>>>0))break;qh(e|0,d|0,i|0)|0;c[k>>2]=(c[k>>2]|0)+i;h=m;e=c[h>>2]|0;h=c[h+4>>2]|0;q=lh(e|0,h|0,128,0)|0;g=m;c[g>>2]=q;c[g+4>>2]=C;g=n;g=lh((h>>>0>4294967295|(h|0)==-1&e>>>0>4294967167)&1|0,0,c[g>>2]|0,c[g+4>>2]|0)|0;e=n;c[e>>2]=g;c[e+4>>2]=C;id(b,l);e=l;g=o;h=e+128|0;do{a[e>>0]=a[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));g=(c[k>>2]|0)+-128|0;c[k>>2]=g;e=kh(j|0,f|0,i|0,0)|0;if((j|0)==(i|0)&(f|0)==0){p=6;break}else{d=d+i|0;f=C;j=e}}if((p|0)==6)return 0;qh(e|0,d|0,j|0)|0;q=lh(c[k>>2]|0,0,j|0,f|0)|0;c[k>>2]=q;return 0}function _c(a,b,c){a=a|0;b=b|0;c=c|0;if(c>>>0<256){jd(a,b,c&255);return 0}else za(32557,32577,106,32795);return 0}function $c(){return 16}function ad(){return 64}function bd(){return 32}function cd(){return 16}function dd(){return 64}function ed(){return 32}function fd(){return 16}function gd(){return 16}function hd(){return 384}
function Ed(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;h=i;g=i=i+63&-64;i=i+640|0;e=0;do{k=b+(e<<3)|0;p=d[k+7>>0]|0;q=ph(d[k+6>>0]|0|0,0,8)|0;j=C;o=ph(d[k+5>>0]|0|0,0,16)|0;j=j|C;n=ph(d[k+4>>0]|0|0,0,24)|0;j=j|C|(d[k+3>>0]|0);m=ph(d[k+2>>0]|0|0,0,40)|0;j=j|C;l=ph(d[k+1>>0]|0|0,0,48)|0;j=j|C;k=ph(d[k>>0]|0|0,0,56)|0;f=g+(e<<3)|0;c[f>>2]=q|p|o|n|m|l|k;c[f+4>>2]=j|C;e=e+1|0}while((e|0)!=16);e=g;b=c[e>>2]|0;e=c[e+4>>2]|0;f=16;do{s=g+(f+-2<<3)|0;w=c[s>>2]|0;s=c[s+4>>2]|0;r=oh(w|0,s|0,19)|0;k=C;j=ph(w|0,s|0,45)|0;k=k|C;u=oh(w|0,s|0,61)|0;v=C;t=ph(w|0,s|0,3)|0;v=v|C;s=oh(w|0,s|0,6)|0;k=v^C^k;v=g+(f+-7<<3)|0;w=c[v>>2]|0;v=c[v+4>>2]|0;o=g+(f+-15<<3)|0;y=b;b=c[o>>2]|0;x=e;e=c[o+4>>2]|0;o=oh(b|0,e|0,1)|0;p=C;q=ph(b|0,e|0,63)|0;p=p|C;l=oh(b|0,e|0,8)|0;z=C;m=ph(b|0,e|0,56)|0;z=z|C;n=oh(b|0,e|0,7)|0;p=z^C^p;v=lh(y|0,x|0,w|0,v|0)|0;k=lh(v|0,C|0,(u|t)^s^(r|j)|0,k|0)|0;p=lh(k|0,C|0,(l|m)^n^(o|q)|0,p|0)|0;q=g+(f<<3)|0;c[q>>2]=p;c[q+4>>2]=C;f=f+1|0}while((f|0)!=80);o=a;p=c[o>>2]|0;o=c[o+4>>2]|0;e=a+8|0;r=e;s=c[r>>2]|0;r=c[r+4>>2]|0;k=a+16|0;u=k;v=c[u>>2]|0;u=c[u+4>>2]|0;n=a+24|0;x=n;y=c[x>>2]|0;x=c[x+4>>2]|0;q=a+32|0;F=q;L=c[F>>2]|0;F=c[F+4>>2]|0;t=a+40|0;H=t;M=c[H>>2]|0;H=c[H+4>>2]|0;w=a+48|0;B=w;A=c[B>>2]|0;B=c[B+4>>2]|0;z=a+56|0;b=z;f=c[b>>2]|0;b=c[b+4>>2]|0;G=oh(L|0,F|0,14)|0;J=C;I=ph(L|0,F|0,50)|0;J=J|C;E=oh(L|0,F|0,18)|0;j=C;K=ph(L|0,F|0,46)|0;j=J^(j|C);J=oh(L|0,F|0,41)|0;m=C;l=ph(L|0,F|0,23)|0;m=j^(m|C);j=g;D=c[j>>2]|0;j=c[j+4>>2]|0;b=lh(f|0,b|0,-685199838,1116352408)|0;j=lh(b|0,C|0,D|0,j|0)|0;m=lh(j|0,C|0,(G|I)^(E|K)^(J|l)|0,m|0)|0;m=lh(m|0,C|0,(A^M)&L^A|0,(B^H)&F^B|0)|0;l=C;J=oh(p|0,o|0,28)|0;K=C;E=ph(p|0,o|0,36)|0;K=K|C;I=oh(p|0,o|0,34)|0;G=C;j=ph(p|0,o|0,30)|0;G=K^(G|C);K=oh(p|0,o|0,39)|0;D=C;b=ph(p|0,o|0,25)|0;D=lh((v|s)&p|v&s|0,(u|r)&o|u&r|0,(J|E)^(I|j)^(K|b)|0,G^(D|C)|0)|0;G=C;x=lh(y|0,x|0,m|0,l|0)|0;y=C;l=lh(D|0,G|0,m|0,l|0)|0;m=C;G=oh(x|0,y|0,14)|0;D=C;b=ph(x|0,y|0,50)|0;D=D|C;K=oh(x|0,y|0,18)|0;j=C;I=ph(x|0,y|0,46)|0;j=D^(j|C);D=oh(x|0,y|0,41)|0;E=C;J=ph(x|0,y|0,23)|0;E=j^(E|C);j=g+8|0;f=c[j>>2]|0;j=c[j+4>>2]|0;B=lh(A|0,B|0,602891725,1899447441)|0;E=lh(B|0,C|0,(G|b)^(K|I)^(D|J)|0,E|0)|0;j=lh(E|0,C|0,f|0,j|0)|0;j=lh(j|0,C|0,(M^L)&x^M|0,(H^F)&y^H|0)|0;f=C;E=oh(l|0,m|0,28)|0;J=C;D=ph(l|0,m|0,36)|0;J=J|C;I=oh(l|0,m|0,34)|0;K=C;b=ph(l|0,m|0,30)|0;K=J^(K|C);J=oh(l|0,m|0,39)|0;G=C;B=ph(l|0,m|0,25)|0;G=lh((s|p)&l|s&p|0,(r|o)&m|r&o|0,(E|D)^(I|b)^(J|B)|0,K^(G|C)|0)|0;K=C;u=lh(v|0,u|0,j|0,f|0)|0;v=C;f=lh(G|0,K|0,j|0,f|0)|0;j=C;K=oh(u|0,v|0,14)|0;G=C;B=ph(u|0,v|0,50)|0;G=G|C;J=oh(u|0,v|0,18)|0;b=C;I=ph(u|0,v|0,46)|0;b=G^(b|C);G=oh(u|0,v|0,41)|0;D=C;E=ph(u|0,v|0,23)|0;D=b^(D|C);b=g+16|0;A=c[b>>2]|0;b=c[b+4>>2]|0;H=lh(M|0,H|0,-330482897,-1245643825)|0;D=lh(H|0,C|0,(K|B)^(J|I)^(G|E)|0,D|0)|0;b=lh(D|0,C|0,A|0,b|0)|0;b=lh(b|0,C|0,(L^x)&u^L|0,(F^y)&v^F|0)|0;A=C;D=oh(f|0,j|0,28)|0;E=C;G=ph(f|0,j|0,36)|0;E=E|C;I=oh(f|0,j|0,34)|0;J=C;B=ph(f|0,j|0,30)|0;J=E^(J|C);E=oh(f|0,j|0,39)|0;K=C;H=ph(f|0,j|0,25)|0;K=lh((p|l)&f|p&l|0,(o|m)&j|o&m|0,(D|G)^(I|B)^(E|H)|0,J^(K|C)|0)|0;J=C;r=lh(s|0,r|0,b|0,A|0)|0;s=C;A=lh(K|0,J|0,b|0,A|0)|0;b=C;J=oh(r|0,s|0,14)|0;K=C;H=ph(r|0,s|0,50)|0;K=K|C;E=oh(r|0,s|0,18)|0;B=C;I=ph(r|0,s|0,46)|0;B=K^(B|C);K=oh(r|0,s|0,41)|0;G=C;D=ph(r|0,s|0,23)|0;G=B^(G|C);B=g+24|0;M=c[B>>2]|0;B=c[B+4>>2]|0;F=lh(L|0,F|0,-2121671748,-373957723)|0;G=lh(F|0,C|0,(J|H)^(E|I)^(K|D)|0,G|0)|0;B=lh(G|0,C|0,M|0,B|0)|0;B=lh(B|0,C|0,(x^u)&r^x|0,(y^v)&s^y|0)|0;M=C;G=oh(A|0,b|0,28)|0;D=C;K=ph(A|0,b|0,36)|0;D=D|C;I=oh(A|0,b|0,34)|0;E=C;H=ph(A|0,b|0,30)|0;E=D^(E|C);D=oh(A|0,b|0,39)|0;J=C;F=ph(A|0,b|0,25)|0;J=lh((l|f)&A|l&f|0,(m|j)&b|m&j|0,(G|K)^(I|H)^(D|F)|0,E^(J|C)|0)|0;E=C;o=lh(p|0,o|0,B|0,M|0)|0;p=C;M=lh(J|0,E|0,B|0,M|0)|0;B=C;E=oh(o|0,p|0,14)|0;J=C;F=ph(o|0,p|0,50)|0;J=J|C;D=oh(o|0,p|0,18)|0;H=C;I=ph(o|0,p|0,46)|0;H=J^(H|C);J=oh(o|0,p|0,41)|0;K=C;G=ph(o|0,p|0,23)|0;K=H^(K|C);H=g+32|0;L=c[H>>2]|0;H=c[H+4>>2]|0;y=lh(x|0,y|0,-213338824,961987163)|0;K=lh(y|0,C|0,(E|F)^(D|I)^(J|G)|0,K|0)|0;H=lh(K|0,C|0,L|0,H|0)|0;H=lh(H|0,C|0,(u^r)&o^u|0,(v^s)&p^v|0)|0;L=C;K=oh(M|0,B|0,28)|0;G=C;J=ph(M|0,B|0,36)|0;G=G|C;I=oh(M|0,B|0,34)|0;D=C;F=ph(M|0,B|0,30)|0;D=G^(D|C);G=oh(M|0,B|0,39)|0;E=C;y=ph(M|0,B|0,25)|0;E=lh((f|A)&M|f&A|0,(j|b)&B|j&b|0,(K|J)^(I|F)^(G|y)|0,D^(E|C)|0)|0;D=C;m=lh(l|0,m|0,H|0,L|0)|0;l=C;L=lh(E|0,D|0,H|0,L|0)|0;H=C;D=oh(m|0,l|0,14)|0;E=C;y=ph(m|0,l|0,50)|0;E=E|C;G=oh(m|0,l|0,18)|0;F=C;I=ph(m|0,l|0,46)|0;F=E^(F|C);E=oh(m|0,l|0,41)|0;J=C;K=ph(m|0,l|0,23)|0;J=F^(J|C);F=g+40|0;x=c[F>>2]|0;F=c[F+4>>2]|0;v=lh(u|0,v|0,-1241133031,1508970993)|0;J=lh(v|0,C|0,(D|y)^(G|I)^(E|K)|0,J|0)|0;F=lh(J|0,C|0,x|0,F|0)|0;F=lh(F|0,C|0,(r^o)&m^r|0,(s^p)&l^s|0)|0;x=C;J=oh(L|0,H|0,28)|0;K=C;E=ph(L|0,H|0,36)|0;K=K|C;I=oh(L|0,H|0,34)|0;G=C;y=ph(L|0,H|0,30)|0;G=K^(G|C);K=oh(L|0,H|0,39)|0;D=C;v=ph(L|0,H|0,25)|0;D=lh((A|M)&L|A&M|0,(b|B)&H|b&B|0,(J|E)^(I|y)^(K|v)|0,G^(D|C)|0)|0;G=C;j=lh(f|0,j|0,F|0,x|0)|0;f=C;x=lh(D|0,G|0,F|0,x|0)|0;F=C;G=oh(j|0,f|0,14)|0;D=C;v=ph(j|0,f|0,50)|0;D=D|C;K=oh(j|0,f|0,18)|0;y=C;I=ph(j|0,f|0,46)|0;y=D^(y|C);D=oh(j|0,f|0,41)|0;E=C;J=ph(j|0,f|0,23)|0;E=y^(E|C);y=g+48|0;u=c[y>>2]|0;y=c[y+4>>2]|0;s=lh(r|0,s|0,-1357295717,-1841331548)|0;E=lh(s|0,C|0,(G|v)^(K|I)^(D|J)|0,E|0)|0;y=lh(E|0,C|0,u|0,y|0)|0;y=lh(y|0,C|0,(o^m)&j^o|0,(p^l)&f^p|0)|0;u=C;E=oh(x|0,F|0,28)|0;J=C;D=ph(x|0,F|0,36)|0;J=J|C;I=oh(x|0,F|0,34)|0;K=C;v=ph(x|0,F|0,30)|0;K=J^(K|C);J=oh(x|0,F|0,39)|0;G=C;s=ph(x|0,F|0,25)|0;G=lh((M|L)&x|M&L|0,(B|H)&F|B&H|0,(E|D)^(I|v)^(J|s)|0,K^(G|C)|0)|0;K=C;b=lh(A|0,b|0,y|0,u|0)|0;A=C;u=lh(G|0,K|0,y|0,u|0)|0;y=C;K=oh(b|0,A|0,14)|0;G=C;s=ph(b|0,A|0,50)|0;G=G|C;J=oh(b|0,A|0,18)|0;v=C;I=ph(b|0,A|0,46)|0;v=G^(v|C);G=oh(b|0,A|0,41)|0;D=C;E=ph(b|0,A|0,23)|0;D=v^(D|C);v=g+56|0;r=c[v>>2]|0;v=c[v+4>>2]|0;p=lh(o|0,p|0,-630357736,-1424204075)|0;D=lh(p|0,C|0,(K|s)^(J|I)^(G|E)|0,D|0)|0;v=lh(D|0,C|0,r|0,v|0)|0;v=lh(v|0,C|0,(m^j)&b^m|0,(l^f)&A^l|0)|0;r=C;D=oh(u|0,y|0,28)|0;E=C;G=ph(u|0,y|0,36)|0;E=E|C;I=oh(u|0,y|0,34)|0;J=C;s=ph(u|0,y|0,30)|0;J=E^(J|C);E=oh(u|0,y|0,39)|0;K=C;p=ph(u|0,y|0,25)|0;K=lh((L|x)&u|L&x|0,(H|F)&y|H&F|0,(D|G)^(I|s)^(E|p)|0,J^(K|C)|0)|0;J=C;B=lh(M|0,B|0,v|0,r|0)|0;M=C;r=lh(K|0,J|0,v|0,r|0)|0;v=C;J=oh(B|0,M|0,14)|0;K=C;p=ph(B|0,M|0,50)|0;K=K|C;E=oh(B|0,M|0,18)|0;s=C;I=ph(B|0,M|0,46)|0;s=K^(s|C);K=oh(B|0,M|0,41)|0;G=C;D=ph(B|0,M|0,23)|0;G=s^(G|C);s=g+64|0;o=c[s>>2]|0;s=c[s+4>>2]|0;l=lh(m|0,l|0,-1560083902,-670586216)|0;G=lh(l|0,C|0,(J|p)^(E|I)^(K|D)|0,G|0)|0;s=lh(G|0,C|0,o|0,s|0)|0;s=lh(s|0,C|0,(j^b)&B^j|0,(f^A)&M^f|0)|0;o=C;G=oh(r|0,v|0,28)|0;D=C;K=ph(r|0,v|0,36)|0;D=D|C;I=oh(r|0,v|0,34)|0;E=C;p=ph(r|0,v|0,30)|0;E=D^(E|C);D=oh(r|0,v|0,39)|0;J=C;l=ph(r|0,v|0,25)|0;J=lh((x|u)&r|x&u|0,(F|y)&v|F&y|0,(G|K)^(I|p)^(D|l)|0,E^(J|C)|0)|0;E=C;H=lh(L|0,H|0,s|0,o|0)|0;L=C;o=lh(J|0,E|0,s|0,o|0)|0;s=C;E=oh(H|0,L|0,14)|0;J=C;l=ph(H|0,L|0,50)|0;J=J|C;D=oh(H|0,L|0,18)|0;p=C;I=ph(H|0,L|0,46)|0;p=J^(p|C);J=oh(H|0,L|0,41)|0;K=C;G=ph(H|0,L|0,23)|0;K=p^(K|C);p=g+72|0;m=c[p>>2]|0;p=c[p+4>>2]|0;f=lh(j|0,f|0,1164996542,310598401)|0;K=lh(f|0,C|0,(E|l)^(D|I)^(J|G)|0,K|0)|0;p=lh(K|0,C|0,m|0,p|0)|0;p=lh(p|0,C|0,(b^B)&H^b|0,(A^M)&L^A|0)|0;m=C;K=oh(o|0,s|0,28)|0;G=C;J=ph(o|0,s|0,36)|0;G=G|C;I=oh(o|0,s|0,34)|0;D=C;l=ph(o|0,s|0,30)|0;D=G^(D|C);G=oh(o|0,s|0,39)|0;E=C;f=ph(o|0,s|0,25)|0;E=lh((u|r)&o|u&r|0,(y|v)&s|y&v|0,(K|J)^(I|l)^(G|f)|0,D^(E|C)|0)|0;D=C;F=lh(x|0,F|0,p|0,m|0)|0;x=C;m=lh(E|0,D|0,p|0,m|0)|0;p=C;D=oh(F|0,x|0,14)|0;E=C;f=ph(F|0,x|0,50)|0;E=E|C;G=oh(F|0,x|0,18)|0;l=C;I=ph(F|0,x|0,46)|0;l=E^(l|C);E=oh(F|0,x|0,41)|0;J=C;K=ph(F|0,x|0,23)|0;J=l^(J|C);l=g+80|0;j=c[l>>2]|0;l=c[l+4>>2]|0;A=lh(b|0,A|0,1323610764,607225278)|0;J=lh(A|0,C|0,(D|f)^(G|I)^(E|K)|0,J|0)|0;l=lh(J|0,C|0,j|0,l|0)|0;l=lh(l|0,C|0,(B^H)&F^B|0,(M^L)&x^M|0)|0;j=C;J=oh(m|0,p|0,28)|0;K=C;E=ph(m|0,p|0,36)|0;K=K|C;I=oh(m|0,p|0,34)|0;G=C;f=ph(m|0,p|0,30)|0;G=K^(G|C);K=oh(m|0,p|0,39)|0;D=C;A=ph(m|0,p|0,25)|0;D=lh((r|o)&m|r&o|0,(v|s)&p|v&s|0,(J|E)^(I|f)^(K|A)|0,G^(D|C)|0)|0;G=C;y=lh(u|0,y|0,l|0,j|0)|0;u=C;j=lh(D|0,G|0,l|0,j|0)|0;l=C;G=oh(y|0,u|0,14)|0;D=C;A=ph(y|0,u|0,50)|0;D=D|C;K=oh(y|0,u|0,18)|0;f=C;I=ph(y|0,u|0,46)|0;f=D^(f|C);D=oh(y|0,u|0,41)|0;E=C;J=ph(y|0,u|0,23)|0;E=f^(E|C);f=g+88|0;b=c[f>>2]|0;f=c[f+4>>2]|0;M=lh(B|0,M|0,-704662302,1426881987)|0;E=lh(M|0,C|0,(G|A)^(K|I)^(D|J)|0,E|0)|0;f=lh(E|0,C|0,b|0,f|0)|0;f=lh(f|0,C|0,(H^F)&y^H|0,(L^x)&u^L|0)|0;b=C;E=oh(j|0,l|0,28)|0;J=C;D=ph(j|0,l|0,36)|0;J=J|C;I=oh(j|0,l|0,34)|0;K=C;A=ph(j|0,l|0,30)|0;K=J^(K|C);J=oh(j|0,l|0,39)|0;G=C;M=ph(j|0,l|0,25)|0;G=lh((o|m)&j|o&m|0,(s|p)&l|s&p|0,(E|D)^(I|A)^(J|M)|0,K^(G|C)|0)|0;K=C;v=lh(r|0,v|0,f|0,b|0)|0;r=C;b=lh(G|0,K|0,f|0,b|0)|0;f=C;K=oh(v|0,r|0,14)|0;G=C;M=ph(v|0,r|0,50)|0;G=G|C;J=oh(v|0,r|0,18)|0;A=C;I=ph(v|0,r|0,46)|0;A=G^(A|C);G=oh(v|0,r|0,41)|0;D=C;E=ph(v|0,r|0,23)|0;D=A^(D|C);A=g+96|0;B=c[A>>2]|0;A=c[A+4>>2]|0;L=lh(H|0,L|0,-226784913,1925078388)|0;D=lh(L|0,C|0,(K|M)^(J|I)^(G|E)|0,D|0)|0;A=lh(D|0,C|0,B|0,A|0)|0;A=lh(A|0,C|0,(F^y)&v^F|0,(x^u)&r^x|0)|0;B=C;D=oh(b|0,f|0,28)|0;E=C;G=ph(b|0,f|0,36)|0;E=E|C;I=oh(b|0,f|0,34)|0;J=C;M=ph(b|0,f|0,30)|0;J=E^(J|C);E=oh(b|0,f|0,39)|0;K=C;L=ph(b|0,f|0,25)|0;K=lh((m|j)&b|m&j|0,(p|l)&f|p&l|0,(D|G)^(I|M)^(E|L)|0,J^(K|C)|0)|0;J=C;s=lh(o|0,s|0,A|0,B|0)|0;o=C;B=lh(K|0,J|0,A|0,B|0)|0;A=C;J=oh(s|0,o|0,14)|0;K=C;L=ph(s|0,o|0,50)|0;K=K|C;E=oh(s|0,o|0,18)|0;M=C;I=ph(s|0,o|0,46)|0;M=K^(M|C);K=oh(s|0,o|0,41)|0;G=C;D=ph(s|0,o|0,23)|0;G=M^(G|C);M=g+104|0;H=c[M>>2]|0;M=c[M+4>>2]|0;x=lh(F|0,x|0,991336113,-2132889090)|0;G=lh(x|0,C|0,(J|L)^(E|I)^(K|D)|0,G|0)|0;M=lh(G|0,C|0,H|0,M|0)|0;M=lh(M|0,C|0,(y^v)&s^y|0,(u^r)&o^u|0)|0;H=C;G=oh(B|0,A|0,28)|0;D=C;K=ph(B|0,A|0,36)|0;D=D|C;I=oh(B|0,A|0,34)|0;E=C;L=ph(B|0,A|0,30)|0;E=D^(E|C);D=oh(B|0,A|0,39)|0;J=C;x=ph(B|0,A|0,25)|0;J=lh((j|b)&B|j&b|0,(l|f)&A|l&f|0,(G|K)^(I|L)^(D|x)|0,E^(J|C)|0)|0;E=C;p=lh(m|0,p|0,M|0,H|0)|0;m=C;H=lh(J|0,E|0,M|0,H|0)|0;M=C;E=oh(p|0,m|0,14)|0;J=C;x=ph(p|0,m|0,50)|0;J=J|C;D=oh(p|0,m|0,18)|0;L=C;I=ph(p|0,m|0,46)|0;L=J^(L|C);J=oh(p|0,m|0,41)|0;K=C;G=ph(p|0,m|0,23)|0;K=L^(K|C);L=g+112|0;F=c[L>>2]|0;L=c[L+4>>2]|0;u=lh(y|0,u|0,633803317,-1680079193)|0;K=lh(u|0,C|0,(E|x)^(D|I)^(J|G)|0,K|0)|0;L=lh(K|0,C|0,F|0,L|0)|0;L=lh(L|0,C|0,(v^s)&p^v|0,(r^o)&m^r|0)|0;F=C;K=oh(H|0,M|0,28)|0;G=C;J=ph(H|0,M|0,36)|0;G=G|C;I=oh(H|0,M|0,34)|0;D=C;x=ph(H|0,M|0,30)|0;D=G^(D|C);G=oh(H|0,M|0,39)|0;E=C;u=ph(H|0,M|0,25)|0;E=lh((b|B)&H|b&B|0,(f|A)&M|f&A|0,(K|J)^(I|x)^(G|u)|0,D^(E|C)|0)|0;D=C;l=lh(j|0,l|0,L|0,F|0)|0;j=C;F=lh(E|0,D|0,L|0,F|0)|0;L=C;D=oh(l|0,j|0,14)|0;E=C;u=ph(l|0,j|0,50)|0;E=E|C;G=oh(l|0,j|0,18)|0;x=C;I=ph(l|0,j|0,46)|0;x=E^(x|C);E=oh(l|0,j|0,41)|0;J=C;K=ph(l|0,j|0,23)|0;J=x^(J|C);x=g+120|0;y=c[x>>2]|0;x=c[x+4>>2]|0;r=lh(v|0,r|0,-815192428,-1046744716)|0;J=lh(r|0,C|0,(D|u)^(G|I)^(E|K)|0,J|0)|0;x=lh(J|0,C|0,y|0,x|0)|0;x=lh(x|0,C|0,(s^p)&l^s|0,(o^m)&j^o|0)|0;y=C;J=oh(F|0,L|0,28)|0;K=C;E=ph(F|0,L|0,36)|0;K=K|C;I=oh(F|0,L|0,34)|0;G=C;u=ph(F|0,L|0,30)|0;G=K^(G|C);K=oh(F|0,L|0,39)|0;D=C;r=ph(F|0,L|0,25)|0;D=lh((B|H)&F|B&H|0,(A|M)&L|A&M|0,(J|E)^(I|u)^(K|r)|0,G^(D|C)|0)|0;G=C;f=lh(b|0,f|0,x|0,y|0)|0;b=C;y=lh(D|0,G|0,x|0,y|0)|0;x=C;G=oh(f|0,b|0,14)|0;D=C;r=ph(f|0,b|0,50)|0;D=D|C;K=oh(f|0,b|0,18)|0;u=C;I=ph(f|0,b|0,46)|0;u=D^(u|C);D=oh(f|0,b|0,41)|0;E=C;J=ph(f|0,b|0,23)|0;E=u^(E|C);u=g+128|0;v=c[u>>2]|0;u=c[u+4>>2]|0;o=lh(s|0,o|0,-1628353838,-459576895)|0;E=lh(o|0,C|0,(G|r)^(K|I)^(D|J)|0,E|0)|0;u=lh(E|0,C|0,v|0,u|0)|0;u=lh(u|0,C|0,(p^l)&f^p|0,(m^j)&b^m|0)|0;v=C;E=oh(y|0,x|0,28)|0;J=C;D=ph(y|0,x|0,36)|0;J=J|C;I=oh(y|0,x|0,34)|0;K=C;r=ph(y|0,x|0,30)|0;K=J^(K|C);J=oh(y|0,x|0,39)|0;G=C;o=ph(y|0,x|0,25)|0;G=lh((H|F)&y|H&F|0,(M|L)&x|M&L|0,(E|D)^(I|r)^(J|o)|0,K^(G|C)|0)|0;K=C;A=lh(B|0,A|0,u|0,v|0)|0;B=C;v=lh(G|0,K|0,u|0,v|0)|0;u=C;K=oh(A|0,B|0,14)|0;G=C;o=ph(A|0,B|0,50)|0;G=G|C;J=oh(A|0,B|0,18)|0;r=C;I=ph(A|0,B|0,46)|0;r=G^(r|C);G=oh(A|0,B|0,41)|0;D=C;E=ph(A|0,B|0,23)|0;D=r^(D|C);r=g+136|0;s=c[r>>2]|0;r=c[r+4>>2]|0;m=lh(p|0,m|0,944711139,-272742522)|0;D=lh(m|0,C|0,(K|o)^(J|I)^(G|E)|0,D|0)|0;r=lh(D|0,C|0,s|0,r|0)|0;r=lh(r|0,C|0,(l^f)&A^l|0,(j^b)&B^j|0)|0;s=C;D=oh(v|0,u|0,28)|0;E=C;G=ph(v|0,u|0,36)|0;E=E|C;I=oh(v|0,u|0,34)|0;J=C;o=ph(v|0,u|0,30)|0;J=E^(J|C);E=oh(v|0,u|0,39)|0;K=C;m=ph(v|0,u|0,25)|0;K=lh((F|y)&v|F&y|0,(L|x)&u|L&x|0,(D|G)^(I|o)^(E|m)|0,J^(K|C)|0)|0;J=C;M=lh(H|0,M|0,r|0,s|0)|0;H=C;s=lh(K|0,J|0,r|0,s|0)|0;r=C;J=oh(M|0,H|0,14)|0;K=C;m=ph(M|0,H|0,50)|0;K=K|C;E=oh(M|0,H|0,18)|0;o=C;I=ph(M|0,H|0,46)|0;o=K^(o|C);K=oh(M|0,H|0,41)|0;G=C;D=ph(M|0,H|0,23)|0;G=o^(G|C);o=g+144|0;p=c[o>>2]|0;o=c[o+4>>2]|0;j=lh(l|0,j|0,-1953704523,264347078)|0;G=lh(j|0,C|0,(J|m)^(E|I)^(K|D)|0,G|0)|0;o=lh(G|0,C|0,p|0,o|0)|0;o=lh(o|0,C|0,(f^A)&M^f|0,(b^B)&H^b|0)|0;p=C;G=oh(s|0,r|0,28)|0;D=C;K=ph(s|0,r|0,36)|0;D=D|C;I=oh(s|0,r|0,34)|0;E=C;m=ph(s|0,r|0,30)|0;E=D^(E|C);D=oh(s|0,r|0,39)|0;J=C;j=ph(s|0,r|0,25)|0;J=lh((y|v)&s|y&v|0,(x|u)&r|x&u|0,(G|K)^(I|m)^(D|j)|0,E^(J|C)|0)|0;E=C;L=lh(F|0,L|0,o|0,p|0)|0;F=C;p=lh(J|0,E|0,o|0,p|0)|0;o=C;E=oh(L|0,F|0,14)|0;J=C;j=ph(L|0,F|0,50)|0;J=J|C;D=oh(L|0,F|0,18)|0;m=C;I=ph(L|0,F|0,46)|0;m=J^(m|C);J=oh(L|0,F|0,41)|0;K=C;G=ph(L|0,F|0,23)|0;K=m^(K|C);m=g+152|0;l=c[m>>2]|0;m=c[m+4>>2]|0;b=lh(f|0,b|0,2007800933,604807628)|0;K=lh(b|0,C|0,(E|j)^(D|I)^(J|G)|0,K|0)|0;m=lh(K|0,C|0,l|0,m|0)|0;m=lh(m|0,C|0,(A^M)&L^A|0,(B^H)&F^B|0)|0;l=C;K=oh(p|0,o|0,28)|0;G=C;J=ph(p|0,o|0,36)|0;G=G|C;I=oh(p|0,o|0,34)|0;D=C;j=ph(p|0,o|0,30)|0;D=G^(D|C);G=oh(p|0,o|0,39)|0;E=C;b=ph(p|0,o|0,25)|0;E=lh((v|s)&p|v&s|0,(u|r)&o|u&r|0,(K|J)^(I|j)^(G|b)|0,D^(E|C)|0)|0;D=C;x=lh(y|0,x|0,m|0,l|0)|0;y=C;l=lh(E|0,D|0,m|0,l|0)|0;m=C;D=oh(x|0,y|0,14)|0;E=C;b=ph(x|0,y|0,50)|0;E=E|C;G=oh(x|0,y|0,18)|0;j=C;I=ph(x|0,y|0,46)|0;j=E^(j|C);E=oh(x|0,y|0,41)|0;J=C;K=ph(x|0,y|0,23)|0;J=j^(J|C);j=g+160|0;f=c[j>>2]|0;j=c[j+4>>2]|0;B=lh(A|0,B|0,1495990901,770255983)|0;J=lh(B|0,C|0,(D|b)^(G|I)^(E|K)|0,J|0)|0;j=lh(J|0,C|0,f|0,j|0)|0;j=lh(j|0,C|0,(M^L)&x^M|0,(H^F)&y^H|0)|0;f=C;J=oh(l|0,m|0,28)|0;K=C;E=ph(l|0,m|0,36)|0;K=K|C;I=oh(l|0,m|0,34)|0;G=C;b=ph(l|0,m|0,30)|0;G=K^(G|C);K=oh(l|0,m|0,39)|0;D=C;B=ph(l|0,m|0,25)|0;D=lh((s|p)&l|s&p|0,(r|o)&m|r&o|0,(J|E)^(I|b)^(K|B)|0,G^(D|C)|0)|0;G=C;u=lh(v|0,u|0,j|0,f|0)|0;v=C;f=lh(D|0,G|0,j|0,f|0)|0;j=C;G=oh(u|0,v|0,14)|0;D=C;B=ph(u|0,v|0,50)|0;D=D|C;K=oh(u|0,v|0,18)|0;b=C;I=ph(u|0,v|0,46)|0;b=D^(b|C);D=oh(u|0,v|0,41)|0;E=C;J=ph(u|0,v|0,23)|0;E=b^(E|C);b=g+168|0;A=c[b>>2]|0;b=c[b+4>>2]|0;H=lh(M|0,H|0,1856431235,1249150122)|0;E=lh(H|0,C|0,(G|B)^(K|I)^(D|J)|0,E|0)|0;b=lh(E|0,C|0,A|0,b|0)|0;b=lh(b|0,C|0,(L^x)&u^L|0,(F^y)&v^F|0)|0;A=C;E=oh(f|0,j|0,28)|0;J=C;D=ph(f|0,j|0,36)|0;J=J|C;I=oh(f|0,j|0,34)|0;K=C;B=ph(f|0,j|0,30)|0;K=J^(K|C);J=oh(f|0,j|0,39)|0;G=C;H=ph(f|0,j|0,25)|0;G=lh((p|l)&f|p&l|0,(o|m)&j|o&m|0,(E|D)^(I|B)^(J|H)|0,K^(G|C)|0)|0;K=C;r=lh(s|0,r|0,b|0,A|0)|0;s=C;A=lh(G|0,K|0,b|0,A|0)|0;b=C;K=oh(r|0,s|0,14)|0;G=C;H=ph(r|0,s|0,50)|0;G=G|C;J=oh(r|0,s|0,18)|0;B=C;I=ph(r|0,s|0,46)|0;B=G^(B|C);G=oh(r|0,s|0,41)|0;D=C;E=ph(r|0,s|0,23)|0;D=B^(D|C);B=g+176|0;M=c[B>>2]|0;B=c[B+4>>2]|0;F=lh(L|0,F|0,-1119749164,1555081692)|0;D=lh(F|0,C|0,(K|H)^(J|I)^(G|E)|0,D|0)|0;B=lh(D|0,C|0,M|0,B|0)|0;B=lh(B|0,C|0,(x^u)&r^x|0,(y^v)&s^y|0)|0;M=C;D=oh(A|0,b|0,28)|0;E=C;G=ph(A|0,b|0,36)|0;E=E|C;I=oh(A|0,b|0,34)|0;J=C;H=ph(A|0,b|0,30)|0;J=E^(J|C);E=oh(A|0,b|0,39)|0;K=C;F=ph(A|0,b|0,25)|0;K=lh((l|f)&A|l&f|0,(m|j)&b|m&j|0,(D|G)^(I|H)^(E|F)|0,J^(K|C)|0)|0;J=C;o=lh(p|0,o|0,B|0,M|0)|0;p=C;M=lh(K|0,J|0,B|0,M|0)|0;B=C;J=oh(o|0,p|0,14)|0;K=C;F=ph(o|0,p|0,50)|0;K=K|C;E=oh(o|0,p|0,18)|0;H=C;I=ph(o|0,p|0,46)|0;H=K^(H|C);K=oh(o|0,p|0,41)|0;G=C;D=ph(o|0,p|0,23)|0;G=H^(G|C);H=g+184|0;L=c[H>>2]|0;H=c[H+4>>2]|0;y=lh(x|0,y|0,-2096016459,1996064986)|0;G=lh(y|0,C|0,(J|F)^(E|I)^(K|D)|0,G|0)|0;H=lh(G|0,C|0,L|0,H|0)|0;H=lh(H|0,C|0,(u^r)&o^u|0,(v^s)&p^v|0)|0;L=C;G=oh(M|0,B|0,28)|0;D=C;K=ph(M|0,B|0,36)|0;D=D|C;I=oh(M|0,B|0,34)|0;E=C;F=ph(M|0,B|0,30)|0;E=D^(E|C);D=oh(M|0,B|0,39)|0;J=C;y=ph(M|0,B|0,25)|0;J=lh((f|A)&M|f&A|0,(j|b)&B|j&b|0,(G|K)^(I|F)^(D|y)|0,E^(J|C)|0)|0;E=C;m=lh(l|0,m|0,H|0,L|0)|0;l=C;L=lh(J|0,E|0,H|0,L|0)|0;H=C;E=oh(m|0,l|0,14)|0;J=C;y=ph(m|0,l|0,50)|0;J=J|C;D=oh(m|0,l|0,18)|0;F=C;I=ph(m|0,l|0,46)|0;F=J^(F|C);J=oh(m|0,l|0,41)|0;K=C;G=ph(m|0,l|0,23)|0;K=F^(K|C);F=g+192|0;x=c[F>>2]|0;F=c[F+4>>2]|0;v=lh(u|0,v|0,-295247957,-1740746414)|0;K=lh(v|0,C|0,(E|y)^(D|I)^(J|G)|0,K|0)|0;F=lh(K|0,C|0,x|0,F|0)|0;F=lh(F|0,C|0,(r^o)&m^r|0,(s^p)&l^s|0)|0;x=C;K=oh(L|0,H|0,28)|0;G=C;J=ph(L|0,H|0,36)|0;G=G|C;I=oh(L|0,H|0,34)|0;D=C;y=ph(L|0,H|0,30)|0;D=G^(D|C);G=oh(L|0,H|0,39)|0;E=C;v=ph(L|0,H|0,25)|0;E=lh((A|M)&L|A&M|0,(b|B)&H|b&B|0,(K|J)^(I|y)^(G|v)|0,D^(E|C)|0)|0;D=C;j=lh(f|0,j|0,F|0,x|0)|0;f=C;x=lh(E|0,D|0,F|0,x|0)|0;F=C;D=oh(j|0,f|0,14)|0;E=C;v=ph(j|0,f|0,50)|0;E=E|C;G=oh(j|0,f|0,18)|0;y=C;I=ph(j|0,f|0,46)|0;y=E^(y|C);E=oh(j|0,f|0,41)|0;J=C;K=ph(j|0,f|0,23)|0;J=y^(J|C);y=g+200|0;u=c[y>>2]|0;y=c[y+4>>2]|0;s=lh(r|0,s|0,766784016,-1473132947)|0;J=lh(s|0,C|0,(D|v)^(G|I)^(E|K)|0,J|0)|0;y=lh(J|0,C|0,u|0,y|0)|0;y=lh(y|0,C|0,(o^m)&j^o|0,(p^l)&f^p|0)|0;u=C;J=oh(x|0,F|0,28)|0;K=C;E=ph(x|0,F|0,36)|0;K=K|C;I=oh(x|0,F|0,34)|0;G=C;v=ph(x|0,F|0,30)|0;G=K^(G|C);K=oh(x|0,F|0,39)|0;D=C;s=ph(x|0,F|0,25)|0;D=lh((M|L)&x|M&L|0,(B|H)&F|B&H|0,(J|E)^(I|v)^(K|s)|0,G^(D|C)|0)|0;G=C;b=lh(A|0,b|0,y|0,u|0)|0;A=C;u=lh(D|0,G|0,y|0,u|0)|0;y=C;G=oh(b|0,A|0,14)|0;D=C;s=ph(b|0,A|0,50)|0;D=D|C;K=oh(b|0,A|0,18)|0;v=C;I=ph(b|0,A|0,46)|0;v=D^(v|C);D=oh(b|0,A|0,41)|0;E=C;J=ph(b|0,A|0,23)|0;E=v^(E|C);v=g+208|0;r=c[v>>2]|0;v=c[v+4>>2]|0;p=lh(o|0,p|0,-1728372417,-1341970488)|0;E=lh(p|0,C|0,(G|s)^(K|I)^(D|J)|0,E|0)|0;v=lh(E|0,C|0,r|0,v|0)|0;v=lh(v|0,C|0,(m^j)&b^m|0,(l^f)&A^l|0)|0;r=C;E=oh(u|0,y|0,28)|0;J=C;D=ph(u|0,y|0,36)|0;J=J|C;I=oh(u|0,y|0,34)|0;K=C;s=ph(u|0,y|0,30)|0;K=J^(K|C);J=oh(u|0,y|0,39)|0;G=C;p=ph(u|0,y|0,25)|0;G=lh((L|x)&u|L&x|0,(H|F)&y|H&F|0,(E|D)^(I|s)^(J|p)|0,K^(G|C)|0)|0;K=C;B=lh(M|0,B|0,v|0,r|0)|0;M=C;r=lh(G|0,K|0,v|0,r|0)|0;v=C;K=oh(B|0,M|0,14)|0;G=C;p=ph(B|0,M|0,50)|0;G=G|C;J=oh(B|0,M|0,18)|0;s=C;I=ph(B|0,M|0,46)|0;s=G^(s|C);G=oh(B|0,M|0,41)|0;D=C;E=ph(B|0,M|0,23)|0;D=s^(D|C);s=g+216|0;o=c[s>>2]|0;s=c[s+4>>2]|0;l=lh(m|0,l|0,-1091629340,-1084653625)|0;D=lh(l|0,C|0,(K|p)^(J|I)^(G|E)|0,D|0)|0;s=lh(D|0,C|0,o|0,s|0)|0;s=lh(s|0,C|0,(j^b)&B^j|0,(f^A)&M^f|0)|0;o=C;D=oh(r|0,v|0,28)|0;E=C;G=ph(r|0,v|0,36)|0;E=E|C;I=oh(r|0,v|0,34)|0;J=C;p=ph(r|0,v|0,30)|0;J=E^(J|C);E=oh(r|0,v|0,39)|0;K=C;l=ph(r|0,v|0,25)|0;K=lh((x|u)&r|x&u|0,(F|y)&v|F&y|0,(D|G)^(I|p)^(E|l)|0,J^(K|C)|0)|0;J=C;H=lh(L|0,H|0,s|0,o|0)|0;L=C;o=lh(K|0,J|0,s|0,o|0)|0;s=C;J=oh(H|0,L|0,14)|0;K=C;l=ph(H|0,L|0,50)|0;K=K|C;E=oh(H|0,L|0,18)|0;p=C;I=ph(H|0,L|0,46)|0;p=K^(p|C);K=oh(H|0,L|0,41)|0;G=C;D=ph(H|0,L|0,23)|0;G=p^(G|C);p=g+224|0;m=c[p>>2]|0;p=c[p+4>>2]|0;f=lh(j|0,f|0,1034457026,-958395405)|0;G=lh(f|0,C|0,(J|l)^(E|I)^(K|D)|0,G|0)|0;p=lh(G|0,C|0,m|0,p|0)|0;p=lh(p|0,C|0,(b^B)&H^b|0,(A^M)&L^A|0)|0;m=C;G=oh(o|0,s|0,28)|0;D=C;K=ph(o|0,s|0,36)|0;D=D|C;I=oh(o|0,s|0,34)|0;E=C;l=ph(o|0,s|0,30)|0;E=D^(E|C);D=oh(o|0,s|0,39)|0;J=C;f=ph(o|0,s|0,25)|0;J=lh((u|r)&o|u&r|0,(y|v)&s|y&v|0,(G|K)^(I|l)^(D|f)|0,E^(J|C)|0)|0;E=C;F=lh(x|0,F|0,p|0,m|0)|0;x=C;m=lh(J|0,E|0,p|0,m|0)|0;p=C;E=oh(F|0,x|0,14)|0;J=C;f=ph(F|0,x|0,50)|0;J=J|C;D=oh(F|0,x|0,18)|0;l=C;I=ph(F|0,x|0,46)|0;l=J^(l|C);J=oh(F|0,x|0,41)|0;K=C;G=ph(F|0,x|0,23)|0;K=l^(K|C);l=g+232|0;j=c[l>>2]|0;l=c[l+4>>2]|0;A=lh(b|0,A|0,-1828018395,-710438585)|0;K=lh(A|0,C|0,(E|f)^(D|I)^(J|G)|0,K|0)|0;l=lh(K|0,C|0,j|0,l|0)|0;l=lh(l|0,C|0,(B^H)&F^B|0,(M^L)&x^M|0)|0;j=C;K=oh(m|0,p|0,28)|0;G=C;J=ph(m|0,p|0,36)|0;G=G|C;I=oh(m|0,p|0,34)|0;D=C;f=ph(m|0,p|0,30)|0;D=G^(D|C);G=oh(m|0,p|0,39)|0;E=C;A=ph(m|0,p|0,25)|0;E=lh((r|o)&m|r&o|0,(v|s)&p|v&s|0,(K|J)^(I|f)^(G|A)|0,D^(E|C)|0)|0;D=C;y=lh(u|0,y|0,l|0,j|0)|0;u=C;j=lh(E|0,D|0,l|0,j|0)|0;l=C;D=oh(y|0,u|0,14)|0;E=C;A=ph(y|0,u|0,50)|0;E=E|C;G=oh(y|0,u|0,18)|0;f=C;I=ph(y|0,u|0,46)|0;f=E^(f|C);E=oh(y|0,u|0,41)|0;J=C;K=ph(y|0,u|0,23)|0;J=f^(J|C);f=g+240|0;b=c[f>>2]|0;f=c[f+4>>2]|0;M=lh(B|0,M|0,-536640913,113926993)|0;J=lh(M|0,C|0,(D|A)^(G|I)^(E|K)|0,J|0)|0;f=lh(J|0,C|0,b|0,f|0)|0;f=lh(f|0,C|0,(H^F)&y^H|0,(L^x)&u^L|0)|0;b=C;J=oh(j|0,l|0,28)|0;K=C;E=ph(j|0,l|0,36)|0;K=K|C;I=oh(j|0,l|0,34)|0;G=C;A=ph(j|0,l|0,30)|0;G=K^(G|C);K=oh(j|0,l|0,39)|0;D=C;M=ph(j|0,l|0,25)|0;D=lh((o|m)&j|o&m|0,(s|p)&l|s&p|0,(J|E)^(I|A)^(K|M)|0,G^(D|C)|0)|0;G=C;v=lh(r|0,v|0,f|0,b|0)|0;r=C;b=lh(D|0,G|0,f|0,b|0)|0;f=C;G=oh(v|0,r|0,14)|0;D=C;M=ph(v|0,r|0,50)|0;D=D|C;K=oh(v|0,r|0,18)|0;A=C;I=ph(v|0,r|0,46)|0;A=D^(A|C);D=oh(v|0,r|0,41)|0;E=C;J=ph(v|0,r|0,23)|0;E=A^(E|C);A=g+248|0;B=c[A>>2]|0;A=c[A+4>>2]|0;L=lh(H|0,L|0,168717936,338241895)|0;E=lh(L|0,C|0,(G|M)^(K|I)^(D|J)|0,E|0)|0;A=lh(E|0,C|0,B|0,A|0)|0;A=lh(A|0,C|0,(F^y)&v^F|0,(x^u)&r^x|0)|0;B=C;E=oh(b|0,f|0,28)|0;J=C;D=ph(b|0,f|0,36)|0;J=J|C;I=oh(b|0,f|0,34)|0;K=C;M=ph(b|0,f|0,30)|0;K=J^(K|C);J=oh(b|0,f|0,39)|0;G=C;L=ph(b|0,f|0,25)|0;G=lh((m|j)&b|m&j|0,(p|l)&f|p&l|0,(E|D)^(I|M)^(J|L)|0,K^(G|C)|0)|0;K=C;s=lh(o|0,s|0,A|0,B|0)|0;o=C;B=lh(G|0,K|0,A|0,B|0)|0;A=C;K=oh(s|0,o|0,14)|0;G=C;L=ph(s|0,o|0,50)|0;G=G|C;J=oh(s|0,o|0,18)|0;M=C;I=ph(s|0,o|0,46)|0;M=G^(M|C);G=oh(s|0,o|0,41)|0;D=C;E=ph(s|0,o|0,23)|0;D=M^(D|C);M=g+256|0;H=c[M>>2]|0;M=c[M+4>>2]|0;x=lh(F|0,x|0,1188179964,666307205)|0;D=lh(x|0,C|0,(K|L)^(J|I)^(G|E)|0,D|0)|0;M=lh(D|0,C|0,H|0,M|0)|0;M=lh(M|0,C|0,(y^v)&s^y|0,(u^r)&o^u|0)|0;H=C;D=oh(B|0,A|0,28)|0;E=C;G=ph(B|0,A|0,36)|0;E=E|C;I=oh(B|0,A|0,34)|0;J=C;L=ph(B|0,A|0,30)|0;J=E^(J|C);E=oh(B|0,A|0,39)|0;K=C;x=ph(B|0,A|0,25)|0;K=lh((j|b)&B|j&b|0,(l|f)&A|l&f|0,(D|G)^(I|L)^(E|x)|0,J^(K|C)|0)|0;J=C;p=lh(m|0,p|0,M|0,H|0)|0;m=C;H=lh(K|0,J|0,M|0,H|0)|0;M=C;J=oh(p|0,m|0,14)|0;K=C;x=ph(p|0,m|0,50)|0;K=K|C;E=oh(p|0,m|0,18)|0;L=C;I=ph(p|0,m|0,46)|0;L=K^(L|C);K=oh(p|0,m|0,41)|0;G=C;D=ph(p|0,m|0,23)|0;G=L^(G|C);L=g+264|0;F=c[L>>2]|0;L=c[L+4>>2]|0;u=lh(y|0,u|0,1546045734,773529912)|0;G=lh(u|0,C|0,(J|x)^(E|I)^(K|D)|0,G|0)|0;L=lh(G|0,C|0,F|0,L|0)|0;L=lh(L|0,C|0,(v^s)&p^v|0,(r^o)&m^r|0)|0;F=C;G=oh(H|0,M|0,28)|0;D=C;K=ph(H|0,M|0,36)|0;D=D|C;I=oh(H|0,M|0,34)|0;E=C;x=ph(H|0,M|0,30)|0;E=D^(E|C);D=oh(H|0,M|0,39)|0;J=C;u=ph(H|0,M|0,25)|0;J=lh((b|B)&H|b&B|0,(f|A)&M|f&A|0,(G|K)^(I|x)^(D|u)|0,E^(J|C)|0)|0;E=C;l=lh(j|0,l|0,L|0,F|0)|0;j=C;F=lh(J|0,E|0,L|0,F|0)|0;L=C;E=oh(l|0,j|0,14)|0;J=C;u=ph(l|0,j|0,50)|0;J=J|C;D=oh(l|0,j|0,18)|0;x=C;I=ph(l|0,j|0,46)|0;x=J^(x|C);J=oh(l|0,j|0,41)|0;K=C;G=ph(l|0,j|0,23)|0;K=x^(K|C);x=g+272|0;y=c[x>>2]|0;x=c[x+4>>2]|0;r=lh(v|0,r|0,1522805485,1294757372)|0;K=lh(r|0,C|0,(E|u)^(D|I)^(J|G)|0,K|0)|0;x=lh(K|0,C|0,y|0,x|0)|0;x=lh(x|0,C|0,(s^p)&l^s|0,(o^m)&j^o|0)|0;y=C;K=oh(F|0,L|0,28)|0;G=C;J=ph(F|0,L|0,36)|0;G=G|C;I=oh(F|0,L|0,34)|0;D=C;u=ph(F|0,L|0,30)|0;D=G^(D|C);G=oh(F|0,L|0,39)|0;E=C;r=ph(F|0,L|0,25)|0;E=lh((B|H)&F|B&H|0,(A|M)&L|A&M|0,(K|J)^(I|u)^(G|r)|0,D^(E|C)|0)|0;D=C;f=lh(b|0,f|0,x|0,y|0)|0;b=C;y=lh(E|0,D|0,x|0,y|0)|0;x=C;D=oh(f|0,b|0,14)|0;E=C;r=ph(f|0,b|0,50)|0;E=E|C;G=oh(f|0,b|0,18)|0;u=C;I=ph(f|0,b|0,46)|0;u=E^(u|C);E=oh(f|0,b|0,41)|0;J=C;K=ph(f|0,b|0,23)|0;J=u^(J|C);u=g+280|0;v=c[u>>2]|0;u=c[u+4>>2]|0;o=lh(s|0,o|0,-1651133473,1396182291)|0;J=lh(o|0,C|0,(D|r)^(G|I)^(E|K)|0,J|0)|0;u=lh(J|0,C|0,v|0,u|0)|0;u=lh(u|0,C|0,(p^l)&f^p|0,(m^j)&b^m|0)|0;v=C;J=oh(y|0,x|0,28)|0;K=C;E=ph(y|0,x|0,36)|0;K=K|C;I=oh(y|0,x|0,34)|0;G=C;r=ph(y|0,x|0,30)|0;G=K^(G|C);K=oh(y|0,x|0,39)|0;D=C;o=ph(y|0,x|0,25)|0;D=lh((H|F)&y|H&F|0,(M|L)&x|M&L|0,(J|E)^(I|r)^(K|o)|0,G^(D|C)|0)|0;G=C;A=lh(B|0,A|0,u|0,v|0)|0;B=C;v=lh(D|0,G|0,u|0,v|0)|0;u=C;G=oh(A|0,B|0,14)|0;D=C;o=ph(A|0,B|0,50)|0;D=D|C;K=oh(A|0,B|0,18)|0;r=C;I=ph(A|0,B|0,46)|0;r=D^(r|C);D=oh(A|0,B|0,41)|0;E=C;J=ph(A|0,B|0,23)|0;E=r^(E|C);r=g+288|0;s=c[r>>2]|0;r=c[r+4>>2]|0;m=lh(p|0,m|0,-1951439906,1695183700)|0;E=lh(m|0,C|0,(G|o)^(K|I)^(D|J)|0,E|0)|0;r=lh(E|0,C|0,s|0,r|0)|0;r=lh(r|0,C|0,(l^f)&A^l|0,(j^b)&B^j|0)|0;s=C;E=oh(v|0,u|0,28)|0;J=C;D=ph(v|0,u|0,36)|0;J=J|C;I=oh(v|0,u|0,34)|0;K=C;o=ph(v|0,u|0,30)|0;K=J^(K|C);J=oh(v|0,u|0,39)|0;G=C;m=ph(v|0,u|0,25)|0;G=lh((F|y)&v|F&y|0,(L|x)&u|L&x|0,(E|D)^(I|o)^(J|m)|0,K^(G|C)|0)|0;K=C;M=lh(H|0,M|0,r|0,s|0)|0;H=C;s=lh(G|0,K|0,r|0,s|0)|0;r=C;K=oh(M|0,H|0,14)|0;G=C;m=ph(M|0,H|0,50)|0;G=G|C;J=oh(M|0,H|0,18)|0;o=C;I=ph(M|0,H|0,46)|0;o=G^(o|C);G=oh(M|0,H|0,41)|0;D=C;E=ph(M|0,H|0,23)|0;D=o^(D|C);o=g+296|0;p=c[o>>2]|0;o=c[o+4>>2]|0;j=lh(l|0,j|0,1014477480,1986661051)|0;D=lh(j|0,C|0,(K|m)^(J|I)^(G|E)|0,D|0)|0;o=lh(D|0,C|0,p|0,o|0)|0;o=lh(o|0,C|0,(f^A)&M^f|0,(b^B)&H^b|0)|0;p=C;D=oh(s|0,r|0,28)|0;E=C;G=ph(s|0,r|0,36)|0;E=E|C;I=oh(s|0,r|0,34)|0;J=C;m=ph(s|0,r|0,30)|0;J=E^(J|C);E=oh(s|0,r|0,39)|0;K=C;j=ph(s|0,r|0,25)|0;K=lh((y|v)&s|y&v|0,(x|u)&r|x&u|0,(D|G)^(I|m)^(E|j)|0,J^(K|C)|0)|0;J=C;L=lh(F|0,L|0,o|0,p|0)|0;F=C;p=lh(K|0,J|0,o|0,p|0)|0;o=C;J=oh(L|0,F|0,14)|0;K=C;j=ph(L|0,F|0,50)|0;K=K|C;E=oh(L|0,F|0,18)|0;m=C;I=ph(L|0,F|0,46)|0;m=K^(m|C);K=oh(L|0,F|0,41)|0;G=C;D=ph(L|0,F|0,23)|0;G=m^(G|C);m=g+304|0;l=c[m>>2]|0;m=c[m+4>>2]|0;b=lh(f|0,b|0,1206759142,-2117940946)|0;G=lh(b|0,C|0,(J|j)^(E|I)^(K|D)|0,G|0)|0;m=lh(G|0,C|0,l|0,m|0)|0;m=lh(m|0,C|0,(A^M)&L^A|0,(B^H)&F^B|0)|0;l=C;G=oh(p|0,o|0,28)|0;D=C;K=ph(p|0,o|0,36)|0;D=D|C;I=oh(p|0,o|0,34)|0;E=C;j=ph(p|0,o|0,30)|0;E=D^(E|C);D=oh(p|0,o|0,39)|0;J=C;b=ph(p|0,o|0,25)|0;J=lh((v|s)&p|v&s|0,(u|r)&o|u&r|0,(G|K)^(I|j)^(D|b)|0,E^(J|C)|0)|0;E=C;x=lh(y|0,x|0,m|0,l|0)|0;y=C;l=lh(J|0,E|0,m|0,l|0)|0;m=C;E=oh(x|0,y|0,14)|0;J=C;b=ph(x|0,y|0,50)|0;J=J|C;D=oh(x|0,y|0,18)|0;j=C;I=ph(x|0,y|0,46)|0;j=J^(j|C);J=oh(x|0,y|0,41)|0;K=C;G=ph(x|0,y|0,23)|0;K=j^(K|C);j=g+312|0;f=c[j>>2]|0;j=c[j+4>>2]|0;B=lh(A|0,B|0,344077627,-1838011259)|0;K=lh(B|0,C|0,(E|b)^(D|I)^(J|G)|0,K|0)|0;j=lh(K|0,C|0,f|0,j|0)|0;j=lh(j|0,C|0,(M^L)&x^M|0,(H^F)&y^H|0)|0;f=C;K=oh(l|0,m|0,28)|0;G=C;J=ph(l|0,m|0,36)|0;G=G|C;I=oh(l|0,m|0,34)|0;D=C;b=ph(l|0,m|0,30)|0;D=G^(D|C);G=oh(l|0,m|0,39)|0;E=C;B=ph(l|0,m|0,25)|0;E=lh((s|p)&l|s&p|0,(r|o)&m|r&o|0,(K|J)^(I|b)^(G|B)|0,D^(E|C)|0)|0;D=C;u=lh(v|0,u|0,j|0,f|0)|0;v=C;f=lh(E|0,D|0,j|0,f|0)|0;j=C;D=oh(u|0,v|0,14)|0;E=C;B=ph(u|0,v|0,50)|0;E=E|C;G=oh(u|0,v|0,18)|0;b=C;I=ph(u|0,v|0,46)|0;b=E^(b|C);E=oh(u|0,v|0,41)|0;J=C;K=ph(u|0,v|0,23)|0;J=b^(J|C);b=g+320|0;A=c[b>>2]|0;b=c[b+4>>2]|0;H=lh(M|0,H|0,1290863460,-1564481375)|0;J=lh(H|0,C|0,(D|B)^(G|I)^(E|K)|0,J|0)|0;b=lh(J|0,C|0,A|0,b|0)|0;b=lh(b|0,C|0,(L^x)&u^L|0,(F^y)&v^F|0)|0;A=C;J=oh(f|0,j|0,28)|0;K=C;E=ph(f|0,j|0,36)|0;K=K|C;I=oh(f|0,j|0,34)|0;G=C;B=ph(f|0,j|0,30)|0;G=K^(G|C);K=oh(f|0,j|0,39)|0;D=C;H=ph(f|0,j|0,25)|0;D=lh((p|l)&f|p&l|0,(o|m)&j|o&m|0,(J|E)^(I|B)^(K|H)|0,G^(D|C)|0)|0;G=C;r=lh(s|0,r|0,b|0,A|0)|0;s=C;A=lh(D|0,G|0,b|0,A|0)|0;b=C;G=oh(r|0,s|0,14)|0;D=C;H=ph(r|0,s|0,50)|0;D=D|C;K=oh(r|0,s|0,18)|0;B=C;I=ph(r|0,s|0,46)|0;B=D^(B|C);D=oh(r|0,s|0,41)|0;E=C;J=ph(r|0,s|0,23)|0;E=B^(E|C);B=g+328|0;M=c[B>>2]|0;B=c[B+4>>2]|0;F=lh(L|0,F|0,-1136513023,-1474664885)|0;E=lh(F|0,C|0,(G|H)^(K|I)^(D|J)|0,E|0)|0;B=lh(E|0,C|0,M|0,B|0)|0;B=lh(B|0,C|0,(x^u)&r^x|0,(y^v)&s^y|0)|0;M=C;E=oh(A|0,b|0,28)|0;J=C;D=ph(A|0,b|0,36)|0;J=J|C;I=oh(A|0,b|0,34)|0;K=C;H=ph(A|0,b|0,30)|0;K=J^(K|C);J=oh(A|0,b|0,39)|0;G=C;F=ph(A|0,b|0,25)|0;G=lh((l|f)&A|l&f|0,(m|j)&b|m&j|0,(E|D)^(I|H)^(J|F)|0,K^(G|C)|0)|0;K=C;o=lh(p|0,o|0,B|0,M|0)|0;p=C;M=lh(G|0,K|0,B|0,M|0)|0;B=C;K=oh(o|0,p|0,14)|0;G=C;F=ph(o|0,p|0,50)|0;G=G|C;J=oh(o|0,p|0,18)|0;H=C;I=ph(o|0,p|0,46)|0;H=G^(H|C);G=oh(o|0,p|0,41)|0;D=C;E=ph(o|0,p|0,23)|0;D=H^(D|C);H=g+336|0;L=c[H>>2]|0;H=c[H+4>>2]|0;y=lh(x|0,y|0,-789014639,-1035236496)|0;D=lh(y|0,C|0,(K|F)^(J|I)^(G|E)|0,D|0)|0;H=lh(D|0,C|0,L|0,H|0)|0;H=lh(H|0,C|0,(u^r)&o^u|0,(v^s)&p^v|0)|0;L=C;D=oh(M|0,B|0,28)|0;E=C;G=ph(M|0,B|0,36)|0;E=E|C;I=oh(M|0,B|0,34)|0;J=C;F=ph(M|0,B|0,30)|0;J=E^(J|C);E=oh(M|0,B|0,39)|0;K=C;y=ph(M|0,B|0,25)|0;K=lh((f|A)&M|f&A|0,(j|b)&B|j&b|0,(D|G)^(I|F)^(E|y)|0,J^(K|C)|0)|0;J=C;m=lh(l|0,m|0,H|0,L|0)|0;l=C;L=lh(K|0,J|0,H|0,L|0)|0;H=C;J=oh(m|0,l|0,14)|0;K=C;y=ph(m|0,l|0,50)|0;K=K|C;E=oh(m|0,l|0,18)|0;F=C;I=ph(m|0,l|0,46)|0;F=K^(F|C);K=oh(m|0,l|0,41)|0;G=C;D=ph(m|0,l|0,23)|0;G=F^(G|C);F=g+344|0;x=c[F>>2]|0;F=c[F+4>>2]|0;v=lh(u|0,v|0,106217008,-949202525)|0;G=lh(v|0,C|0,(J|y)^(E|I)^(K|D)|0,G|0)|0;F=lh(G|0,C|0,x|0,F|0)|0;F=lh(F|0,C|0,(r^o)&m^r|0,(s^p)&l^s|0)|0;x=C;G=oh(L|0,H|0,28)|0;D=C;K=ph(L|0,H|0,36)|0;D=D|C;I=oh(L|0,H|0,34)|0;E=C;y=ph(L|0,H|0,30)|0;E=D^(E|C);D=oh(L|0,H|0,39)|0;J=C;v=ph(L|0,H|0,25)|0;J=lh((A|M)&L|A&M|0,(b|B)&H|b&B|0,(G|K)^(I|y)^(D|v)|0,E^(J|C)|0)|0;E=C;j=lh(f|0,j|0,F|0,x|0)|0;f=C;x=lh(J|0,E|0,F|0,x|0)|0;F=C;E=oh(j|0,f|0,14)|0;J=C;v=ph(j|0,f|0,50)|0;J=J|C;D=oh(j|0,f|0,18)|0;y=C;I=ph(j|0,f|0,46)|0;y=J^(y|C);J=oh(j|0,f|0,41)|0;K=C;G=ph(j|0,f|0,23)|0;K=y^(K|C);y=g+352|0;u=c[y>>2]|0;y=c[y+4>>2]|0;s=lh(r|0,s|0,-688958952,-778901479)|0;K=lh(s|0,C|0,(E|v)^(D|I)^(J|G)|0,K|0)|0;y=lh(K|0,C|0,u|0,y|0)|0;y=lh(y|0,C|0,(o^m)&j^o|0,(p^l)&f^p|0)|0;u=C;K=oh(x|0,F|0,28)|0;G=C;J=ph(x|0,F|0,36)|0;G=G|C;I=oh(x|0,F|0,34)|0;D=C;v=ph(x|0,F|0,30)|0;D=G^(D|C);G=oh(x|0,F|0,39)|0;E=C;s=ph(x|0,F|0,25)|0;E=lh((M|L)&x|M&L|0,(B|H)&F|B&H|0,(K|J)^(I|v)^(G|s)|0,D^(E|C)|0)|0;D=C;b=lh(A|0,b|0,y|0,u|0)|0;A=C;u=lh(E|0,D|0,y|0,u|0)|0;y=C;D=oh(b|0,A|0,14)|0;E=C;s=ph(b|0,A|0,50)|0;E=E|C;G=oh(b|0,A|0,18)|0;v=C;I=ph(b|0,A|0,46)|0;v=E^(v|C);E=oh(b|0,A|0,41)|0;J=C;K=ph(b|0,A|0,23)|0;J=v^(J|C);v=g+360|0;r=c[v>>2]|0;v=c[v+4>>2]|0;p=lh(o|0,p|0,1432725776,-694614492)|0;J=lh(p|0,C|0,(D|s)^(G|I)^(E|K)|0,J|0)|0;v=lh(J|0,C|0,r|0,v|0)|0;v=lh(v|0,C|0,(m^j)&b^m|0,(l^f)&A^l|0)|0;r=C;J=oh(u|0,y|0,28)|0;K=C;E=ph(u|0,y|0,36)|0;K=K|C;I=oh(u|0,y|0,34)|0;G=C;s=ph(u|0,y|0,30)|0;G=K^(G|C);K=oh(u|0,y|0,39)|0;D=C;p=ph(u|0,y|0,25)|0;D=lh((L|x)&u|L&x|0,(H|F)&y|H&F|0,(J|E)^(I|s)^(K|p)|0,G^(D|C)|0)|0;G=C;B=lh(M|0,B|0,v|0,r|0)|0;M=C;r=lh(D|0,G|0,v|0,r|0)|0;v=C;G=oh(B|0,M|0,14)|0;D=C;p=ph(B|0,M|0,50)|0;D=D|C;K=oh(B|0,M|0,18)|0;s=C;I=ph(B|0,M|0,46)|0;s=D^(s|C);D=oh(B|0,M|0,41)|0;E=C;J=ph(B|0,M|0,23)|0;E=s^(E|C);s=g+368|0;o=c[s>>2]|0;s=c[s+4>>2]|0;l=lh(m|0,l|0,1467031594,-200395387)|0;E=lh(l|0,C|0,(G|p)^(K|I)^(D|J)|0,E|0)|0;s=lh(E|0,C|0,o|0,s|0)|0;s=lh(s|0,C|0,(j^b)&B^j|0,(f^A)&M^f|0)|0;o=C;E=oh(r|0,v|0,28)|0;J=C;D=ph(r|0,v|0,36)|0;J=J|C;I=oh(r|0,v|0,34)|0;K=C;p=ph(r|0,v|0,30)|0;K=J^(K|C);J=oh(r|0,v|0,39)|0;G=C;l=ph(r|0,v|0,25)|0;G=lh((x|u)&r|x&u|0,(F|y)&v|F&y|0,(E|D)^(I|p)^(J|l)|0,K^(G|C)|0)|0;K=C;H=lh(L|0,H|0,s|0,o|0)|0;L=C;o=lh(G|0,K|0,s|0,o|0)|0;s=C;K=oh(H|0,L|0,14)|0;G=C;l=ph(H|0,L|0,50)|0;G=G|C;J=oh(H|0,L|0,18)|0;p=C;I=ph(H|0,L|0,46)|0;p=G^(p|C);G=oh(H|0,L|0,41)|0;D=C;E=ph(H|0,L|0,23)|0;D=p^(D|C);p=g+376|0;m=c[p>>2]|0;p=c[p+4>>2]|0;f=lh(j|0,f|0,851169720,275423344)|0;D=lh(f|0,C|0,(K|l)^(J|I)^(G|E)|0,D|0)|0;p=lh(D|0,C|0,m|0,p|0)|0;p=lh(p|0,C|0,(b^B)&H^b|0,(A^M)&L^A|0)|0;m=C;D=oh(o|0,s|0,28)|0;E=C;G=ph(o|0,s|0,36)|0;E=E|C;I=oh(o|0,s|0,34)|0;J=C;l=ph(o|0,s|0,30)|0;J=E^(J|C);E=oh(o|0,s|0,39)|0;K=C;f=ph(o|0,s|0,25)|0;K=lh((u|r)&o|u&r|0,(y|v)&s|y&v|0,(D|G)^(I|l)^(E|f)|0,J^(K|C)|0)|0;J=C;F=lh(x|0,F|0,p|0,m|0)|0;x=C;m=lh(K|0,J|0,p|0,m|0)|0;p=C;J=oh(F|0,x|0,14)|0;K=C;f=ph(F|0,x|0,50)|0;K=K|C;E=oh(F|0,x|0,18)|0;l=C;I=ph(F|0,x|0,46)|0;l=K^(l|C);K=oh(F|0,x|0,41)|0;G=C;D=ph(F|0,x|0,23)|0;G=l^(G|C);l=g+384|0;j=c[l>>2]|0;l=c[l+4>>2]|0;A=lh(b|0,A|0,-1194143544,430227734)|0;G=lh(A|0,C|0,(J|f)^(E|I)^(K|D)|0,G|0)|0;l=lh(G|0,C|0,j|0,l|0)|0;l=lh(l|0,C|0,(B^H)&F^B|0,(M^L)&x^M|0)|0;j=C;G=oh(m|0,p|0,28)|0;D=C;K=ph(m|0,p|0,36)|0;D=D|C;I=oh(m|0,p|0,34)|0;E=C;f=ph(m|0,p|0,30)|0;E=D^(E|C);D=oh(m|0,p|0,39)|0;J=C;A=ph(m|0,p|0,25)|0;J=lh((r|o)&m|r&o|0,(v|s)&p|v&s|0,(G|K)^(I|f)^(D|A)|0,E^(J|C)|0)|0;E=C;y=lh(u|0,y|0,l|0,j|0)|0;u=C;j=lh(J|0,E|0,l|0,j|0)|0;l=C;E=oh(y|0,u|0,14)|0;J=C;A=ph(y|0,u|0,50)|0;J=J|C;D=oh(y|0,u|0,18)|0;f=C;I=ph(y|0,u|0,46)|0;f=J^(f|C);J=oh(y|0,u|0,41)|0;K=C;G=ph(y|0,u|0,23)|0;K=f^(K|C);f=g+392|0;b=c[f>>2]|0;f=c[f+4>>2]|0;M=lh(B|0,M|0,1363258195,506948616)|0;K=lh(M|0,C|0,(E|A)^(D|I)^(J|G)|0,K|0)|0;f=lh(K|0,C|0,b|0,f|0)|0;f=lh(f|0,C|0,(H^F)&y^H|0,(L^x)&u^L|0)|0;b=C;K=oh(j|0,l|0,28)|0;G=C;J=ph(j|0,l|0,36)|0;G=G|C;I=oh(j|0,l|0,34)|0;D=C;A=ph(j|0,l|0,30)|0;D=G^(D|C);G=oh(j|0,l|0,39)|0;E=C;M=ph(j|0,l|0,25)|0;E=lh((o|m)&j|o&m|0,(s|p)&l|s&p|0,(K|J)^(I|A)^(G|M)|0,D^(E|C)|0)|0;D=C;v=lh(r|0,v|0,f|0,b|0)|0;r=C;b=lh(E|0,D|0,f|0,b|0)|0;f=C;D=oh(v|0,r|0,14)|0;E=C;M=ph(v|0,r|0,50)|0;E=E|C;G=oh(v|0,r|0,18)|0;A=C;I=ph(v|0,r|0,46)|0;A=E^(A|C);E=oh(v|0,r|0,41)|0;J=C;K=ph(v|0,r|0,23)|0;J=A^(J|C);A=g+400|0;B=c[A>>2]|0;A=c[A+4>>2]|0;L=lh(H|0,L|0,-544281703,659060556)|0;J=lh(L|0,C|0,(D|M)^(G|I)^(E|K)|0,J|0)|0;A=lh(J|0,C|0,B|0,A|0)|0;A=lh(A|0,C|0,(F^y)&v^F|0,(x^u)&r^x|0)|0;B=C;J=oh(b|0,f|0,28)|0;K=C;E=ph(b|0,f|0,36)|0;K=K|C;I=oh(b|0,f|0,34)|0;G=C;M=ph(b|0,f|0,30)|0;G=K^(G|C);K=oh(b|0,f|0,39)|0;D=C;L=ph(b|0,f|0,25)|0;D=lh((m|j)&b|m&j|0,(p|l)&f|p&l|0,(J|E)^(I|M)^(K|L)|0,G^(D|C)|0)|0;G=C;s=lh(o|0,s|0,A|0,B|0)|0;o=C;B=lh(D|0,G|0,A|0,B|0)|0;A=C;G=oh(s|0,o|0,14)|0;D=C;L=ph(s|0,o|0,50)|0;D=D|C;K=oh(s|0,o|0,18)|0;M=C;I=ph(s|0,o|0,46)|0;M=D^(M|C);D=oh(s|0,o|0,41)|0;E=C;J=ph(s|0,o|0,23)|0;E=M^(E|C);M=g+408|0;H=c[M>>2]|0;M=c[M+4>>2]|0;x=lh(F|0,x|0,-509917016,883997877)|0;E=lh(x|0,C|0,(G|L)^(K|I)^(D|J)|0,E|0)|0;M=lh(E|0,C|0,H|0,M|0)|0;M=lh(M|0,C|0,(y^v)&s^y|0,(u^r)&o^u|0)|0;H=C;E=oh(B|0,A|0,28)|0;J=C;D=ph(B|0,A|0,36)|0;J=J|C;I=oh(B|0,A|0,34)|0;K=C;L=ph(B|0,A|0,30)|0;K=J^(K|C);J=oh(B|0,A|0,39)|0;G=C;x=ph(B|0,A|0,25)|0;G=lh((j|b)&B|j&b|0,(l|f)&A|l&f|0,(E|D)^(I|L)^(J|x)|0,K^(G|C)|0)|0;K=C;p=lh(m|0,p|0,M|0,H|0)|0;m=C;H=lh(G|0,K|0,M|0,H|0)|0;M=C;K=oh(p|0,m|0,14)|0;G=C;x=ph(p|0,m|0,50)|0;G=G|C;J=oh(p|0,m|0,18)|0;L=C;I=ph(p|0,m|0,46)|0;L=G^(L|C);G=oh(p|0,m|0,41)|0;D=C;E=ph(p|0,m|0,23)|0;D=L^(D|C);L=g+416|0;F=c[L>>2]|0;L=c[L+4>>2]|0;u=lh(y|0,u|0,-976659869,958139571)|0;D=lh(u|0,C|0,(K|x)^(J|I)^(G|E)|0,D|0)|0;L=lh(D|0,C|0,F|0,L|0)|0;L=lh(L|0,C|0,(v^s)&p^v|0,(r^o)&m^r|0)|0;F=C;D=oh(H|0,M|0,28)|0;E=C;G=ph(H|0,M|0,36)|0;E=E|C;I=oh(H|0,M|0,34)|0;J=C;x=ph(H|0,M|0,30)|0;J=E^(J|C);E=oh(H|0,M|0,39)|0;K=C;u=ph(H|0,M|0,25)|0;K=lh((b|B)&H|b&B|0,(f|A)&M|f&A|0,(D|G)^(I|x)^(E|u)|0,J^(K|C)|0)|0;J=C;l=lh(j|0,l|0,L|0,F|0)|0;j=C;F=lh(K|0,J|0,L|0,F|0)|0;L=C;J=oh(l|0,j|0,14)|0;K=C;u=ph(l|0,j|0,50)|0;K=K|C;E=oh(l|0,j|0,18)|0;x=C;I=ph(l|0,j|0,46)|0;x=K^(x|C);K=oh(l|0,j|0,41)|0;G=C;D=ph(l|0,j|0,23)|0;G=x^(G|C);x=g+424|0;y=c[x>>2]|0;x=c[x+4>>2]|0;r=lh(v|0,r|0,-482243893,1322822218)|0;G=lh(r|0,C|0,(J|u)^(E|I)^(K|D)|0,G|0)|0;x=lh(G|0,C|0,y|0,x|0)|0;x=lh(x|0,C|0,(s^p)&l^s|0,(o^m)&j^o|0)|0;y=C;G=oh(F|0,L|0,28)|0;D=C;K=ph(F|0,L|0,36)|0;D=D|C;I=oh(F|0,L|0,34)|0;E=C;u=ph(F|0,L|0,30)|0;E=D^(E|C);D=oh(F|0,L|0,39)|0;J=C;r=ph(F|0,L|0,25)|0;J=lh((B|H)&F|B&H|0,(A|M)&L|A&M|0,(G|K)^(I|u)^(D|r)|0,E^(J|C)|0)|0;E=C;f=lh(b|0,f|0,x|0,y|0)|0;b=C;y=lh(J|0,E|0,x|0,y|0)|0;x=C;E=oh(f|0,b|0,14)|0;J=C;r=ph(f|0,b|0,50)|0;J=J|C;D=oh(f|0,b|0,18)|0;u=C;I=ph(f|0,b|0,46)|0;u=J^(u|C);J=oh(f|0,b|0,41)|0;K=C;G=ph(f|0,b|0,23)|0;K=u^(K|C);u=g+432|0;v=c[u>>2]|0;u=c[u+4>>2]|0;o=lh(s|0,o|0,2003034995,1537002063)|0;K=lh(o|0,C|0,(E|r)^(D|I)^(J|G)|0,K|0)|0;u=lh(K|0,C|0,v|0,u|0)|0;u=lh(u|0,C|0,(p^l)&f^p|0,(m^j)&b^m|0)|0;v=C;K=oh(y|0,x|0,28)|0;G=C;J=ph(y|0,x|0,36)|0;G=G|C;I=oh(y|0,x|0,34)|0;D=C;r=ph(y|0,x|0,30)|0;D=G^(D|C);G=oh(y|0,x|0,39)|0;E=C;o=ph(y|0,x|0,25)|0;E=lh((H|F)&y|H&F|0,(M|L)&x|M&L|0,(K|J)^(I|r)^(G|o)|0,D^(E|C)|0)|0;D=C;A=lh(B|0,A|0,u|0,v|0)|0;B=C;v=lh(E|0,D|0,u|0,v|0)|0;u=C;D=oh(A|0,B|0,14)|0;E=C;o=ph(A|0,B|0,50)|0;E=E|C;G=oh(A|0,B|0,18)|0;r=C;I=ph(A|0,B|0,46)|0;r=E^(r|C);E=oh(A|0,B|0,41)|0;J=C;K=ph(A|0,B|0,23)|0;J=r^(J|C);r=g+440|0;s=c[r>>2]|0;r=c[r+4>>2]|0;m=lh(p|0,m|0,-692930397,1747873779)|0;J=lh(m|0,C|0,(D|o)^(G|I)^(E|K)|0,J|0)|0;r=lh(J|0,C|0,s|0,r|0)|0;r=lh(r|0,C|0,(l^f)&A^l|0,(j^b)&B^j|0)|0;s=C;J=oh(v|0,u|0,28)|0;K=C;E=ph(v|0,u|0,36)|0;K=K|C;I=oh(v|0,u|0,34)|0;G=C;o=ph(v|0,u|0,30)|0;G=K^(G|C);K=oh(v|0,u|0,39)|0;D=C;m=ph(v|0,u|0,25)|0;D=lh((F|y)&v|F&y|0,(L|x)&u|L&x|0,(J|E)^(I|o)^(K|m)|0,G^(D|C)|0)|0;G=C;M=lh(H|0,M|0,r|0,s|0)|0;H=C;s=lh(D|0,G|0,r|0,s|0)|0;r=C;G=oh(M|0,H|0,14)|0;D=C;m=ph(M|0,H|0,50)|0;D=D|C;K=oh(M|0,H|0,18)|0;o=C;I=ph(M|0,H|0,46)|0;o=D^(o|C);D=oh(M|0,H|0,41)|0;E=C;J=ph(M|0,H|0,23)|0;E=o^(E|C);o=g+448|0;p=c[o>>2]|0;o=c[o+4>>2]|0;j=lh(l|0,j|0,1575990012,1955562222)|0;E=lh(j|0,C|0,(G|m)^(K|I)^(D|J)|0,E|0)|0;o=lh(E|0,C|0,p|0,o|0)|0;o=lh(o|0,C|0,(f^A)&M^f|0,(b^B)&H^b|0)|0;p=C;E=oh(s|0,r|0,28)|0;J=C;D=ph(s|0,r|0,36)|0;J=J|C;I=oh(s|0,r|0,34)|0;K=C;m=ph(s|0,r|0,30)|0;K=J^(K|C);J=oh(s|0,r|0,39)|0;G=C;j=ph(s|0,r|0,25)|0;G=lh((y|v)&s|y&v|0,(x|u)&r|x&u|0,(E|D)^(I|m)^(J|j)|0,K^(G|C)|0)|0;K=C;L=lh(F|0,L|0,o|0,p|0)|0;F=C;p=lh(G|0,K|0,o|0,p|0)|0;o=C;K=oh(L|0,F|0,14)|0;G=C;j=ph(L|0,F|0,50)|0;G=G|C;J=oh(L|0,F|0,18)|0;m=C;I=ph(L|0,F|0,46)|0;m=G^(m|C);G=oh(L|0,F|0,41)|0;D=C;E=ph(L|0,F|0,23)|0;D=m^(D|C);m=g+456|0;l=c[m>>2]|0;m=c[m+4>>2]|0;b=lh(f|0,b|0,1125592928,2024104815)|0;D=lh(b|0,C|0,(K|j)^(J|I)^(G|E)|0,D|0)|0;m=lh(D|0,C|0,l|0,m|0)|0;m=lh(m|0,C|0,(A^M)&L^A|0,(B^H)&F^B|0)|0;l=C;D=oh(p|0,o|0,28)|0;E=C;G=ph(p|0,o|0,36)|0;E=E|C;I=oh(p|0,o|0,34)|0;J=C;j=ph(p|0,o|0,30)|0;J=E^(J|C);E=oh(p|0,o|0,39)|0;K=C;b=ph(p|0,o|0,25)|0;K=lh((v|s)&p|v&s|0,(u|r)&o|u&r|0,(D|G)^(I|j)^(E|b)|0,J^(K|C)|0)|0;J=C;x=lh(y|0,x|0,m|0,l|0)|0;y=C;l=lh(K|0,J|0,m|0,l|0)|0;m=C;J=oh(x|0,y|0,14)|0;K=C;b=ph(x|0,y|0,50)|0;K=K|C;E=oh(x|0,y|0,18)|0;j=C;I=ph(x|0,y|0,46)|0;j=K^(j|C);K=oh(x|0,y|0,41)|0;G=C;D=ph(x|0,y|0,23)|0;G=j^(G|C);j=g+464|0;f=c[j>>2]|0;j=c[j+4>>2]|0;B=lh(A|0,B|0,-1578062990,-2067236844)|0;G=lh(B|0,C|0,(J|b)^(E|I)^(K|D)|0,G|0)|0;j=lh(G|0,C|0,f|0,j|0)|0;j=lh(j|0,C|0,(M^L)&x^M|0,(H^F)&y^H|0)|0;f=C;G=oh(l|0,m|0,28)|0;D=C;K=ph(l|0,m|0,36)|0;D=D|C;I=oh(l|0,m|0,34)|0;E=C;b=ph(l|0,m|0,30)|0;E=D^(E|C);D=oh(l|0,m|0,39)|0;J=C;B=ph(l|0,m|0,25)|0;J=lh((s|p)&l|s&p|0,(r|o)&m|r&o|0,(G|K)^(I|b)^(D|B)|0,E^(J|C)|0)|0;E=C;u=lh(v|0,u|0,j|0,f|0)|0;v=C;f=lh(J|0,E|0,j|0,f|0)|0;j=C;E=oh(u|0,v|0,14)|0;J=C;B=ph(u|0,v|0,50)|0;J=J|C;D=oh(u|0,v|0,18)|0;b=C;I=ph(u|0,v|0,46)|0;b=J^(b|C);J=oh(u|0,v|0,41)|0;K=C;G=ph(u|0,v|0,23)|0;K=b^(K|C);b=g+472|0;A=c[b>>2]|0;b=c[b+4>>2]|0;H=lh(M|0,H|0,442776044,-1933114872)|0;K=lh(H|0,C|0,(E|B)^(D|I)^(J|G)|0,K|0)|0;b=lh(K|0,C|0,A|0,b|0)|0;b=lh(b|0,C|0,(L^x)&u^L|0,(F^y)&v^F|0)|0;A=C;K=oh(f|0,j|0,28)|0;G=C;J=ph(f|0,j|0,36)|0;G=G|C;I=oh(f|0,j|0,34)|0;D=C;B=ph(f|0,j|0,30)|0;D=G^(D|C);G=oh(f|0,j|0,39)|0;E=C;H=ph(f|0,j|0,25)|0;E=lh((p|l)&f|p&l|0,(o|m)&j|o&m|0,(K|J)^(I|B)^(G|H)|0,D^(E|C)|0)|0;D=C;r=lh(s|0,r|0,b|0,A|0)|0;s=C;A=lh(E|0,D|0,b|0,A|0)|0;b=C;D=oh(r|0,s|0,14)|0;E=C;H=ph(r|0,s|0,50)|0;E=E|C;G=oh(r|0,s|0,18)|0;B=C;I=ph(r|0,s|0,46)|0;B=E^(B|C);E=oh(r|0,s|0,41)|0;J=C;K=ph(r|0,s|0,23)|0;J=B^(J|C);B=g+480|0;M=c[B>>2]|0;B=c[B+4>>2]|0;F=lh(L|0,F|0,593698344,-1866530822)|0;J=lh(F|0,C|0,(D|H)^(G|I)^(E|K)|0,J|0)|0;B=lh(J|0,C|0,M|0,B|0)|0;B=lh(B|0,C|0,(x^u)&r^x|0,(y^v)&s^y|0)|0;M=C;J=oh(A|0,b|0,28)|0;K=C;E=ph(A|0,b|0,36)|0;K=K|C;I=oh(A|0,b|0,34)|0;G=C;H=ph(A|0,b|0,30)|0;G=K^(G|C);K=oh(A|0,b|0,39)|0;D=C;F=ph(A|0,b|0,25)|0;D=lh((l|f)&A|l&f|0,(m|j)&b|m&j|0,(J|E)^(I|H)^(K|F)|0,G^(D|C)|0)|0;G=C;o=lh(p|0,o|0,B|0,M|0)|0;p=C;M=lh(D|0,G|0,B|0,M|0)|0;B=C;G=oh(o|0,p|0,14)|0;D=C;F=ph(o|0,p|0,50)|0;D=D|C;K=oh(o|0,p|0,18)|0;H=C;I=ph(o|0,p|0,46)|0;H=D^(H|C);D=oh(o|0,p|0,41)|0;E=C;J=ph(o|0,p|0,23)|0;E=H^(E|C);H=g+488|0;L=c[H>>2]|0;H=c[H+4>>2]|0;y=lh(x|0,y|0,-561857047,-1538233109)|0;E=lh(y|0,C|0,(G|F)^(K|I)^(D|J)|0,E|0)|0;H=lh(E|0,C|0,L|0,H|0)|0;H=lh(H|0,C|0,(u^r)&o^u|0,(v^s)&p^v|0)|0;L=C;E=oh(M|0,B|0,28)|0;J=C;D=ph(M|0,B|0,36)|0;J=J|C;I=oh(M|0,B|0,34)|0;K=C;F=ph(M|0,B|0,30)|0;K=J^(K|C);J=oh(M|0,B|0,39)|0;G=C;y=ph(M|0,B|0,25)|0;G=lh((f|A)&M|f&A|0,(j|b)&B|j&b|0,(E|D)^(I|F)^(J|y)|0,K^(G|C)|0)|0;K=C;m=lh(l|0,m|0,H|0,L|0)|0;l=C;L=lh(G|0,K|0,H|0,L|0)|0;H=C;K=oh(m|0,l|0,14)|0;G=C;y=ph(m|0,l|0,50)|0;G=G|C;J=oh(m|0,l|0,18)|0;F=C;I=ph(m|0,l|0,46)|0;F=G^(F|C);G=oh(m|0,l|0,41)|0;D=C;E=ph(m|0,l|0,23)|0;D=F^(D|C);F=g+496|0;x=c[F>>2]|0;F=c[F+4>>2]|0;v=lh(u|0,v|0,-1295615723,-1090935817)|0;D=lh(v|0,C|0,(K|y)^(J|I)^(G|E)|0,D|0)|0;F=lh(D|0,C|0,x|0,F|0)|0;F=lh(F|0,C|0,(r^o)&m^r|0,(s^p)&l^s|0)|0;x=C;D=oh(L|0,H|0,28)|0;E=C;G=ph(L|0,H|0,36)|0;E=E|C;I=oh(L|0,H|0,34)|0;J=C;y=ph(L|0,H|0,30)|0;J=E^(J|C);E=oh(L|0,H|0,39)|0;K=C;v=ph(L|0,H|0,25)|0;K=lh((A|M)&L|A&M|0,(b|B)&H|b&B|0,(D|G)^(I|y)^(E|v)|0,J^(K|C)|0)|0;J=C;j=lh(f|0,j|0,F|0,x|0)|0;f=C;x=lh(K|0,J|0,F|0,x|0)|0;F=C;J=oh(j|0,f|0,14)|0;K=C;v=ph(j|0,f|0,50)|0;K=K|C;E=oh(j|0,f|0,18)|0;y=C;I=ph(j|0,f|0,46)|0;y=K^(y|C);K=oh(j|0,f|0,41)|0;G=C;D=ph(j|0,f|0,23)|0;G=y^(G|C);y=g+504|0;u=c[y>>2]|0;y=c[y+4>>2]|0;s=lh(r|0,s|0,-479046869,-965641998)|0;G=lh(s|0,C|0,(J|v)^(E|I)^(K|D)|0,G|0)|0;y=lh(G|0,C|0,u|0,y|0)|0;y=lh(y|0,C|0,(o^m)&j^o|0,(p^l)&f^p|0)|0;u=C;G=oh(x|0,F|0,28)|0;D=C;K=ph(x|0,F|0,36)|0;D=D|C;I=oh(x|0,F|0,34)|0;E=C;v=ph(x|0,F|0,30)|0;E=D^(E|C);D=oh(x|0,F|0,39)|0;J=C;s=ph(x|0,F|0,25)|0;J=lh((M|L)&x|M&L|0,(B|H)&F|B&H|0,(G|K)^(I|v)^(D|s)|0,E^(J|C)|0)|0;E=C;b=lh(A|0,b|0,y|0,u|0)|0;A=C;u=lh(J|0,E|0,y|0,u|0)|0;y=C;E=oh(b|0,A|0,14)|0;J=C;s=ph(b|0,A|0,50)|0;J=J|C;D=oh(b|0,A|0,18)|0;v=C;I=ph(b|0,A|0,46)|0;v=J^(v|C);J=oh(b|0,A|0,41)|0;K=C;G=ph(b|0,A|0,23)|0;K=v^(K|C);v=g+512|0;r=c[v>>2]|0;v=c[v+4>>2]|0;p=lh(o|0,p|0,-366583396,-903397682)|0;K=lh(p|0,C|0,(E|s)^(D|I)^(J|G)|0,K|0)|0;v=lh(K|0,C|0,r|0,v|0)|0;v=lh(v|0,C|0,(m^j)&b^m|0,(l^f)&A^l|0)|0;r=C;K=oh(u|0,y|0,28)|0;G=C;J=ph(u|0,y|0,36)|0;G=G|C;I=oh(u|0,y|0,34)|0;D=C;s=ph(u|0,y|0,30)|0;D=G^(D|C);G=oh(u|0,y|0,39)|0;E=C;p=ph(u|0,y|0,25)|0;E=lh((L|x)&u|L&x|0,(H|F)&y|H&F|0,(K|J)^(I|s)^(G|p)|0,D^(E|C)|0)|0;D=C;B=lh(M|0,B|0,v|0,r|0)|0;M=C;r=lh(E|0,D|0,v|0,r|0)|0;v=C;D=oh(B|0,M|0,14)|0;E=C;p=ph(B|0,M|0,50)|0;E=E|C;G=oh(B|0,M|0,18)|0;s=C;I=ph(B|0,M|0,46)|0;s=E^(s|C);E=oh(B|0,M|0,41)|0;J=C;K=ph(B|0,M|0,23)|0;J=s^(J|C);s=g+520|0;o=c[s>>2]|0;s=c[s+4>>2]|0;l=lh(m|0,l|0,566280711,-779700025)|0;J=lh(l|0,C|0,(D|p)^(G|I)^(E|K)|0,J|0)|0;s=lh(J|0,C|0,o|0,s|0)|0;s=lh(s|0,C|0,(j^b)&B^j|0,(f^A)&M^f|0)|0;o=C;J=oh(r|0,v|0,28)|0;K=C;E=ph(r|0,v|0,36)|0;K=K|C;I=oh(r|0,v|0,34)|0;G=C;p=ph(r|0,v|0,30)|0;G=K^(G|C);K=oh(r|0,v|0,39)|0;D=C;l=ph(r|0,v|0,25)|0;D=lh((x|u)&r|x&u|0,(F|y)&v|F&y|0,(J|E)^(I|p)^(K|l)|0,G^(D|C)|0)|0;G=C;H=lh(L|0,H|0,s|0,o|0)|0;L=C;o=lh(D|0,G|0,s|0,o|0)|0;s=C;G=oh(H|0,L|0,14)|0;D=C;l=ph(H|0,L|0,50)|0;D=D|C;K=oh(H|0,L|0,18)|0;p=C;I=ph(H|0,L|0,46)|0;p=D^(p|C);D=oh(H|0,L|0,41)|0;E=C;J=ph(H|0,L|0,23)|0;E=p^(E|C);p=g+528|0;m=c[p>>2]|0;p=c[p+4>>2]|0;f=lh(j|0,f|0,-840897762,-354779690)|0;E=lh(f|0,C|0,(G|l)^(K|I)^(D|J)|0,E|0)|0;p=lh(E|0,C|0,m|0,p|0)|0;p=lh(p|0,C|0,(b^B)&H^b|0,(A^M)&L^A|0)|0;m=C;E=oh(o|0,s|0,28)|0;J=C;D=ph(o|0,s|0,36)|0;J=J|C;I=oh(o|0,s|0,34)|0;K=C;l=ph(o|0,s|0,30)|0;K=J^(K|C);J=oh(o|0,s|0,39)|0;G=C;f=ph(o|0,s|0,25)|0;G=lh((u|r)&o|u&r|0,(y|v)&s|y&v|0,(E|D)^(I|l)^(J|f)|0,K^(G|C)|0)|0;K=C;F=lh(x|0,F|0,p|0,m|0)|0;x=C;m=lh(G|0,K|0,p|0,m|0)|0;p=C;K=oh(F|0,x|0,14)|0;G=C;f=ph(F|0,x|0,50)|0;G=G|C;J=oh(F|0,x|0,18)|0;l=C;I=ph(F|0,x|0,46)|0;l=G^(l|C);G=oh(F|0,x|0,41)|0;D=C;E=ph(F|0,x|0,23)|0;D=l^(D|C);l=g+536|0;j=c[l>>2]|0;l=c[l+4>>2]|0;A=lh(b|0,A|0,-294727304,-176337025)|0;D=lh(A|0,C|0,(K|f)^(J|I)^(G|E)|0,D|0)|0;l=lh(D|0,C|0,j|0,l|0)|0;l=lh(l|0,C|0,(B^H)&F^B|0,(M^L)&x^M|0)|0;j=C;D=oh(m|0,p|0,28)|0;E=C;G=ph(m|0,p|0,36)|0;E=E|C;I=oh(m|0,p|0,34)|0;J=C;f=ph(m|0,p|0,30)|0;J=E^(J|C);E=oh(m|0,p|0,39)|0;K=C;A=ph(m|0,p|0,25)|0;K=lh((r|o)&m|r&o|0,(v|s)&p|v&s|0,(D|G)^(I|f)^(E|A)|0,J^(K|C)|0)|0;J=C;y=lh(u|0,y|0,l|0,j|0)|0;u=C;j=lh(K|0,J|0,l|0,j|0)|0;l=C;J=oh(y|0,u|0,14)|0;K=C;A=ph(y|0,u|0,50)|0;K=K|C;E=oh(y|0,u|0,18)|0;f=C;I=ph(y|0,u|0,46)|0;f=K^(f|C);K=oh(y|0,u|0,41)|0;G=C;D=ph(y|0,u|0,23)|0;G=f^(G|C);f=g+544|0;b=c[f>>2]|0;f=c[f+4>>2]|0;M=lh(B|0,M|0,1914138554,116418474)|0;G=lh(M|0,C|0,(J|A)^(E|I)^(K|D)|0,G|0)|0;f=lh(G|0,C|0,b|0,f|0)|0;f=lh(f|0,C|0,(H^F)&y^H|0,(L^x)&u^L|0)|0;b=C;G=oh(j|0,l|0,28)|0;D=C;K=ph(j|0,l|0,36)|0;D=D|C;I=oh(j|0,l|0,34)|0;E=C;A=ph(j|0,l|0,30)|0;E=D^(E|C);D=oh(j|0,l|0,39)|0;J=C;M=ph(j|0,l|0,25)|0;J=lh((o|m)&j|o&m|0,(s|p)&l|s&p|0,(G|K)^(I|A)^(D|M)|0,E^(J|C)|0)|0;E=C;v=lh(r|0,v|0,f|0,b|0)|0;r=C;b=lh(J|0,E|0,f|0,b|0)|0;f=C;E=oh(v|0,r|0,14)|0;J=C;M=ph(v|0,r|0,50)|0;J=J|C;D=oh(v|0,r|0,18)|0;A=C;I=ph(v|0,r|0,46)|0;A=J^(A|C);J=oh(v|0,r|0,41)|0;K=C;G=ph(v|0,r|0,23)|0;K=A^(K|C);A=g+552|0;B=c[A>>2]|0;A=c[A+4>>2]|0;L=lh(H|0,L|0,-1563912026,174292421)|0;K=lh(L|0,C|0,(E|M)^(D|I)^(J|G)|0,K|0)|0;A=lh(K|0,C|0,B|0,A|0)|0;A=lh(A|0,C|0,(F^y)&v^F|0,(x^u)&r^x|0)|0;B=C;K=oh(b|0,f|0,28)|0;G=C;J=ph(b|0,f|0,36)|0;G=G|C;I=oh(b|0,f|0,34)|0;D=C;M=ph(b|0,f|0,30)|0;D=G^(D|C);G=oh(b|0,f|0,39)|0;E=C;L=ph(b|0,f|0,25)|0;E=lh((m|j)&b|m&j|0,(p|l)&f|p&l|0,(K|J)^(I|M)^(G|L)|0,D^(E|C)|0)|0;D=C;s=lh(o|0,s|0,A|0,B|0)|0;o=C;B=lh(E|0,D|0,A|0,B|0)|0;A=C;D=oh(s|0,o|0,14)|0;E=C;L=ph(s|0,o|0,50)|0;E=E|C;G=oh(s|0,o|0,18)|0;M=C;I=ph(s|0,o|0,46)|0;M=E^(M|C);E=oh(s|0,o|0,41)|0;J=C;K=ph(s|0,o|0,23)|0;J=M^(J|C);M=g+560|0;H=c[M>>2]|0;M=c[M+4>>2]|0;x=lh(F|0,x|0,-1090974290,289380356)|0;J=lh(x|0,C|0,(D|L)^(G|I)^(E|K)|0,J|0)|0;M=lh(J|0,C|0,H|0,M|0)|0;M=lh(M|0,C|0,(y^v)&s^y|0,(u^r)&o^u|0)|0;H=C;J=oh(B|0,A|0,28)|0;K=C;E=ph(B|0,A|0,36)|0;K=K|C;I=oh(B|0,A|0,34)|0;G=C;L=ph(B|0,A|0,30)|0;G=K^(G|C);K=oh(B|0,A|0,39)|0;D=C;x=ph(B|0,A|0,25)|0;D=lh((j|b)&B|j&b|0,(l|f)&A|l&f|0,(J|E)^(I|L)^(K|x)|0,G^(D|C)|0)|0;G=C;p=lh(m|0,p|0,M|0,H|0)|0;m=C;H=lh(D|0,G|0,M|0,H|0)|0;M=C;G=oh(p|0,m|0,14)|0;D=C;x=ph(p|0,m|0,50)|0;D=D|C;K=oh(p|0,m|0,18)|0;L=C;I=ph(p|0,m|0,46)|0;L=D^(L|C);D=oh(p|0,m|0,41)|0;E=C;J=ph(p|0,m|0,23)|0;E=L^(E|C);L=g+568|0;F=c[L>>2]|0;L=c[L+4>>2]|0;u=lh(y|0,u|0,320620315,460393269)|0;E=lh(u|0,C|0,(G|x)^(K|I)^(D|J)|0,E|0)|0;L=lh(E|0,C|0,F|0,L|0)|0;L=lh(L|0,C|0,(v^s)&p^v|0,(r^o)&m^r|0)|0;F=C;E=oh(H|0,M|0,28)|0;J=C;D=ph(H|0,M|0,36)|0;J=J|C;I=oh(H|0,M|0,34)|0;K=C;x=ph(H|0,M|0,30)|0;K=J^(K|C);J=oh(H|0,M|0,39)|0;G=C;u=ph(H|0,M|0,25)|0;G=lh((b|B)&H|b&B|0,(f|A)&M|f&A|0,(E|D)^(I|x)^(J|u)|0,K^(G|C)|0)|0;K=C;l=lh(j|0,l|0,L|0,F|0)|0;j=C;F=lh(G|0,K|0,L|0,F|0)|0;L=C;K=oh(l|0,j|0,14)|0;G=C;u=ph(l|0,j|0,50)|0;G=G|C;J=oh(l|0,j|0,18)|0;x=C;I=ph(l|0,j|0,46)|0;x=G^(x|C);G=oh(l|0,j|0,41)|0;D=C;E=ph(l|0,j|0,23)|0;D=x^(D|C);x=g+576|0;y=c[x>>2]|0;x=c[x+4>>2]|0;r=lh(v|0,r|0,587496836,685471733)|0;D=lh(r|0,C|0,(K|u)^(J|I)^(G|E)|0,D|0)|0;x=lh(D|0,C|0,y|0,x|0)|0;x=lh(x|0,C|0,(s^p)&l^s|0,(o^m)&j^o|0)|0;y=C;D=oh(F|0,L|0,28)|0;E=C;G=ph(F|0,L|0,36)|0;E=E|C;I=oh(F|0,L|0,34)|0;J=C;u=ph(F|0,L|0,30)|0;J=E^(J|C);E=oh(F|0,L|0,39)|0;K=C;r=ph(F|0,L|0,25)|0;K=lh((B|H)&F|B&H|0,(A|M)&L|A&M|0,(D|G)^(I|u)^(E|r)|0,J^(K|C)|0)|0;J=C;f=lh(b|0,f|0,x|0,y|0)|0;b=C;y=lh(K|0,J|0,x|0,y|0)|0;x=C;J=oh(f|0,b|0,14)|0;K=C;r=ph(f|0,b|0,50)|0;K=K|C;E=oh(f|0,b|0,18)|0;u=C;I=ph(f|0,b|0,46)|0;u=K^(u|C);K=oh(f|0,b|0,41)|0;G=C;D=ph(f|0,b|0,23)|0;G=u^(G|C);u=g+584|0;v=c[u>>2]|0;u=c[u+4>>2]|0;o=lh(s|0,o|0,1086792851,852142971)|0;G=lh(o|0,C|0,(J|r)^(E|I)^(K|D)|0,G|0)|0;u=lh(G|0,C|0,v|0,u|0)|0;u=lh(u|0,C|0,(p^l)&f^p|0,(m^j)&b^m|0)|0;v=C;G=oh(y|0,x|0,28)|0;D=C;K=ph(y|0,x|0,36)|0;D=D|C;I=oh(y|0,x|0,34)|0;E=C;r=ph(y|0,x|0,30)|0;E=D^(E|C);D=oh(y|0,x|0,39)|0;J=C;o=ph(y|0,x|0,25)|0;J=lh((H|F)&y|H&F|0,(M|L)&x|M&L|0,(G|K)^(I|r)^(D|o)|0,E^(J|C)|0)|0;E=C;A=lh(B|0,A|0,u|0,v|0)|0;B=C;v=lh(J|0,E|0,u|0,v|0)|0;u=C;E=oh(A|0,B|0,14)|0;J=C;o=ph(A|0,B|0,50)|0;J=J|C;D=oh(A|0,B|0,18)|0;r=C;I=ph(A|0,B|0,46)|0;r=J^(r|C);J=oh(A|0,B|0,41)|0;K=C;G=ph(A|0,B|0,23)|0;K=r^(K|C);r=g+592|0;s=c[r>>2]|0;r=c[r+4>>2]|0;m=lh(p|0,m|0,365543100,1017036298)|0;K=lh(m|0,C|0,(E|o)^(D|I)^(J|G)|0,K|0)|0;r=lh(K|0,C|0,s|0,r|0)|0;r=lh(r|0,C|0,(l^f)&A^l|0,(j^b)&B^j|0)|0;s=C;K=oh(v|0,u|0,28)|0;G=C;J=ph(v|0,u|0,36)|0;G=G|C;I=oh(v|0,u|0,34)|0;D=C;o=ph(v|0,u|0,30)|0;D=G^(D|C);G=oh(v|0,u|0,39)|0;E=C;m=ph(v|0,u|0,25)|0;E=lh((F|y)&v|F&y|0,(L|x)&u|L&x|0,(K|J)^(I|o)^(G|m)|0,D^(E|C)|0)|0;D=C;M=lh(H|0,M|0,r|0,s|0)|0;H=C;s=lh(E|0,D|0,r|0,s|0)|0;r=C;D=oh(M|0,H|0,14)|0;E=C;m=ph(M|0,H|0,50)|0;E=E|C;G=oh(M|0,H|0,18)|0;o=C;I=ph(M|0,H|0,46)|0;o=E^(o|C);E=oh(M|0,H|0,41)|0;J=C;K=ph(M|0,H|0,23)|0;J=o^(J|C);o=g+600|0;p=c[o>>2]|0;o=c[o+4>>2]|0;j=lh(l|0,j|0,-1676669620,1126000580)|0;J=lh(j|0,C|0,(D|m)^(G|I)^(E|K)|0,J|0)|0;o=lh(J|0,C|0,p|0,o|0)|0;o=lh(o|0,C|0,(f^A)&M^f|0,(b^B)&H^b|0)|0;p=C;J=oh(s|0,r|0,28)|0;K=C;E=ph(s|0,r|0,36)|0;K=K|C;I=oh(s|0,r|0,34)|0;G=C;m=ph(s|0,r|0,30)|0;G=K^(G|C);K=oh(s|0,r|0,39)|0;D=C;j=ph(s|0,r|0,25)|0;D=lh((y|v)&s|y&v|0,(x|u)&r|x&u|0,(J|E)^(I|m)^(K|j)|0,G^(D|C)|0)|0;G=C;L=lh(F|0,L|0,o|0,p|0)|0;F=C;p=lh(D|0,G|0,o|0,p|0)|0;o=C;G=oh(L|0,F|0,14)|0;D=C;j=ph(L|0,F|0,50)|0;D=D|C;K=oh(L|0,F|0,18)|0;m=C;I=ph(L|0,F|0,46)|0;m=D^(m|C);D=oh(L|0,F|0,41)|0;E=C;J=ph(L|0,F|0,23)|0;E=m^(E|C);m=g+608|0;l=c[m>>2]|0;m=c[m+4>>2]|0;b=lh(f|0,b|0,-885112138,1288033470)|0;E=lh(b|0,C|0,(G|j)^(K|I)^(D|J)|0,E|0)|0;m=lh(E|0,C|0,l|0,m|0)|0;m=lh(m|0,C|0,(A^M)&L^A|0,(B^H)&F^B|0)|0;l=C;E=oh(p|0,o|0,28)|0;J=C;D=ph(p|0,o|0,36)|0;J=J|C;I=oh(p|0,o|0,34)|0;K=C;j=ph(p|0,o|0,30)|0;K=J^(K|C);J=oh(p|0,o|0,39)|0;G=C;b=ph(p|0,o|0,25)|0;G=lh((v|s)&p|v&s|0,(u|r)&o|u&r|0,(E|D)^(I|j)^(J|b)|0,K^(G|C)|0)|0;K=C;x=lh(y|0,x|0,m|0,l|0)|0;y=C;l=lh(G|0,K|0,m|0,l|0)|0;m=C;K=oh(x|0,y|0,14)|0;G=C;b=ph(x|0,y|0,50)|0;G=G|C;J=oh(x|0,y|0,18)|0;j=C;I=ph(x|0,y|0,46)|0;j=G^(j|C);G=oh(x|0,y|0,41)|0;D=C;E=ph(x|0,y|0,23)|0;D=j^(D|C);j=g+616|0;f=c[j>>2]|0;j=c[j+4>>2]|0;B=lh(A|0,B|0,-60457430,1501505948)|0;D=lh(B|0,C|0,(K|b)^(J|I)^(G|E)|0,D|0)|0;j=lh(D|0,C|0,f|0,j|0)|0;j=lh(j|0,C|0,(M^L)&x^M|0,(H^F)&y^H|0)|0;f=C;D=oh(l|0,m|0,28)|0;E=C;G=ph(l|0,m|0,36)|0;E=E|C;I=oh(l|0,m|0,34)|0;J=C;b=ph(l|0,m|0,30)|0;J=E^(J|C);E=oh(l|0,m|0,39)|0;K=C;B=ph(l|0,m|0,25)|0;K=lh((s|p)&l|s&p|0,(r|o)&m|r&o|0,(D|G)^(I|b)^(E|B)|0,J^(K|C)|0)|0;J=C;u=lh(v|0,u|0,j|0,f|0)|0;v=C;f=lh(K|0,J|0,j|0,f|0)|0;j=C;J=oh(u|0,v|0,14)|0;K=C;B=ph(u|0,v|0,50)|0;K=K|C;E=oh(u|0,v|0,18)|0;b=C;I=ph(u|0,v|0,46)|0;b=K^(b|C);K=oh(u|0,v|0,41)|0;G=C;D=ph(u|0,v|0,23)|0;G=b^(G|C);b=g+624|0;A=c[b>>2]|0;b=c[b+4>>2]|0;H=lh(M|0,H|0,987167468,1607167915)|0;G=lh(H|0,C|0,(J|B)^(E|I)^(K|D)|0,G|0)|0;b=lh(G|0,C|0,A|0,b|0)|0;b=lh(b|0,C|0,(L^x)&u^L|0,(F^y)&v^F|0)|0;A=C;G=oh(f|0,j|0,28)|0;D=C;K=ph(f|0,j|0,36)|0;D=D|C;I=oh(f|0,j|0,34)|0;E=C;B=ph(f|0,j|0,30)|0;E=D^(E|C);D=oh(f|0,j|0,39)|0;J=C;H=ph(f|0,j|0,25)|0;J=lh((p|l)&f|p&l|0,(o|m)&j|o&m|0,(G|K)^(I|B)^(D|H)|0,E^(J|C)|0)|0;E=C;r=lh(s|0,r|0,b|0,A|0)|0;s=C;A=lh(J|0,E|0,b|0,A|0)|0;b=C;E=oh(r|0,s|0,14)|0;J=C;H=ph(r|0,s|0,50)|0;J=J|C;D=oh(r|0,s|0,18)|0;B=C;I=ph(r|0,s|0,46)|0;B=J^(B|C);J=oh(r|0,s|0,41)|0;K=C;G=ph(r|0,s|0,23)|0;K=B^(K|C);g=g+632|0;B=c[g>>2]|0;g=c[g+4>>2]|0;F=lh(L|0,F|0,1246189591,1816402316)|0;K=lh(F|0,C|0,(E|H)^(D|I)^(J|G)|0,K|0)|0;g=lh(K|0,C|0,B|0,g|0)|0;g=lh(g|0,C|0,(x^u)&r^x|0,(y^v)&s^y|0)|0;B=C;K=oh(A|0,b|0,28)|0;G=C;J=ph(A|0,b|0,36)|0;G=G|C;I=oh(A|0,b|0,34)|0;D=C;H=ph(A|0,b|0,30)|0;D=G^(D|C);G=oh(A|0,b|0,39)|0;E=C;F=ph(A|0,b|0,25)|0;E=lh((l|f)&A|l&f|0,(m|j)&b|m&j|0,(K|J)^(I|H)^(G|F)|0,D^(E|C)|0)|0;D=C;o=lh(p|0,o|0,g|0,B|0)|0;p=C;B=lh(E|0,D|0,g|0,B|0)|0;g=a;B=lh(c[g>>2]|0,c[g+4>>2]|0,B|0,C|0)|0;g=a;c[g>>2]=B;c[g+4>>2]=C;g=e;g=lh(c[g>>2]|0,c[g+4>>2]|0,A|0,b|0)|0;a=e;c[a>>2]=g;c[a+4>>2]=C;a=k;j=lh(c[a>>2]|0,c[a+4>>2]|0,f|0,j|0)|0;c[k>>2]=j;c[k+4>>2]=C;k=n;m=lh(c[k>>2]|0,c[k+4>>2]|0,l|0,m|0)|0;c[n>>2]=m;c[n+4>>2]=C;n=q;p=lh(c[n>>2]|0,c[n+4>>2]|0,o|0,p|0)|0;c[q>>2]=p;c[q+4>>2]=C;q=t;s=lh(c[q>>2]|0,c[q+4>>2]|0,r|0,s|0)|0;c[t>>2]=s;c[t+4>>2]=C;t=w;v=lh(c[t>>2]|0,c[t+4>>2]|0,u|0,v|0)|0;c[w>>2]=v;c[w+4>>2]=C;w=z;y=lh(c[w>>2]|0,c[w+4>>2]|0,x|0,y|0)|0;c[z>>2]=y;c[z+4>>2]=C;i=h;return}function Fd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;s=i;e=i=i+63&-64;i=i+16|0;r=b+64|0;f=r;g=c[f>>2]|0;f=c[f+4>>2]|0;a[e+7>>0]=g;q=oh(g|0,f|0,8)|0;a[e+6>>0]=q;q=oh(g|0,f|0,16)|0;a[e+5>>0]=q;q=oh(g|0,f|0,24)|0;a[e+4>>0]=q;a[e+3>>0]=f;q=oh(g|0,f|0,40)|0;a[e+2>>0]=q;q=oh(g|0,f|0,48)|0;a[e+1>>0]=q;q=oh(g|0,f|0,56)|0;a[e>>0]=q;q=b+72|0;j=q;h=c[j>>2]|0;j=c[j+4>>2]|0;a[e+15>>0]=h;n=oh(h|0,j|0,8)|0;a[e+14>>0]=n;n=oh(h|0,j|0,16)|0;a[e+13>>0]=n;n=oh(h|0,j|0,24)|0;a[e+12>>0]=n;a[e+11>>0]=j;n=oh(h|0,j|0,40)|0;a[e+10>>0]=n;n=oh(h|0,j|0,48)|0;a[e+9>>0]=n;n=oh(h|0,j|0,56)|0;a[e+8>>0]=n;n=oh(h|0,j|0,3)|0;n=n&127;o=0<0|0==0&n>>>0<112;o=kh((o?112:240)|0,(o?0:0)|0,n|0,0)|0;p=C;m=ph(o|0,p|0,3)|0;t=C;k=oh(o|0,p|0,61)|0;l=C;j=lh(m|0,t|0,h|0,j|0)|0;h=C;u=q;c[u>>2]=j;c[u+4>>2]=h;if(h>>>0<t>>>0|(h|0)==(t|0)&j>>>0<m>>>0){g=lh(g|0,f|0,1,0)|0;f=C;u=r;c[u>>2]=g;c[u+4>>2]=f}g=lh(g|0,f|0,k|0,l|0)|0;f=C;l=r;c[l>>2]=g;c[l+4>>2]=f;l=kh(128,0,n|0,0)|0;m=C;k=b+80+n|0;if(p>>>0<m>>>0|(p|0)==(m|0)&o>>>0<l>>>0)qh(k|0,32899,o|0)|0;else{qh(k|0,32899,l|0)|0;j=b+80|0;Ed(b,j);f=32899+l|0;g=kh(o|0,p|0,l|0,m|0)|0;h=C;if(h>>>0>0|(h|0)==0&g>>>0>127)do{Ed(b,f);f=f+128|0;g=lh(g|0,h|0,-128,-1)|0;h=C}while(h>>>0>0|(h|0)==0&g>>>0>127);qh(j|0,f|0,g|0)|0;h=q;f=r;j=c[h>>2]|0;h=c[h+4>>2]|0;g=c[f>>2]|0;f=c[f+4>>2]|0}k=oh(j|0,h|0,3)|0;k=k&127;t=lh(j|0,h|0,128,0)|0;u=q;c[u>>2]=t;c[u+4>>2]=C;if(h>>>0>4294967295|(h|0)==-1&j>>>0>4294967167){g=lh(g|0,f|0,1,0)|0;f=C;u=r;c[u>>2]=g;c[u+4>>2]=f}h=r;c[h>>2]=g;c[h+4>>2]=f;g=kh(128,0,k|0,0)|0;h=C;f=b+80+k|0;if(h>>>0>0|(h|0)==0&g>>>0>16){g=f;f=g+16|0;do{a[g>>0]=a[e>>0]|0;g=g+1|0;e=e+1|0}while((g|0)<(f|0))}else{qh(f|0,e|0,g|0)|0;j=b+80|0;Ed(b,j);e=e+g|0;f=kh(16,0,g|0,h|0)|0;g=C;if(g>>>0>0|(g|0)==0&f>>>0>127)do{Ed(b,e);e=e+128|0;f=lh(f|0,g|0,-128,-1)|0;g=C}while(g>>>0>0|(g|0)==0&f>>>0>127);qh(j|0,e|0,f|0)|0}e=0;do{u=d+(e<<3)|0;t=b+(e<<3)|0;r=c[t>>2]|0;t=c[t+4>>2]|0;a[u+7>>0]=r;q=oh(r|0,t|0,8)|0;a[u+6>>0]=q;q=oh(r|0,t|0,16)|0;a[u+5>>0]=q;q=oh(r|0,t|0,24)|0;a[u+4>>0]=q;a[u+3>>0]=t;q=oh(r|0,t|0,40)|0;a[u+2>>0]=q;q=oh(r|0,t|0,48)|0;a[u+1>>0]=q;t=oh(r|0,t|0,56)|0;a[u>>0]=t;e=e+1|0}while((e|0)!=8);nh(b|0,0,208)|0;i=s;return 0}function Gd(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;m=i=i+63&-64;i=i+208|0;g=m+64|0;h=m;j=400;k=h+64|0;do{c[h>>2]=c[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(k|0));h=ph(e|0,f|0,3)|0;j=C;k=oh(e|0,f|0,61)|0;l=m+72|0;c[l>>2]=h;c[l+4>>2]=j;l=g;c[l>>2]=k;c[l+4>>2]=C;l=m+80|0;if(f>>>0<0|(f|0)==0&e>>>0<128){qh(l|0,d|0,e|0)|0;Fd(m,b)|0;i=n;return 0}h=l;j=d;k=h+128|0;do{a[h>>0]=a[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(k|0));Ed(m,l);g=d+128|0;d=lh(e|0,f|0,-128,-1)|0;h=C;if(h>>>0>0|(h|0)==0&d>>>0>127)do{Ed(m,g);g=g+128|0;d=lh(d|0,h|0,-128,-1)|0;h=C}while(h>>>0>0|(h|0)==0&d>>>0>127);qh(l|0,g|0,d|0)|0;Fd(m,b)|0;i=n;return 0}function Hd(){return 256}function Id(){return 16}function Jd(){return 32}function Kd(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;j=i;k=i=i+63&-64;i=i+96|0;c[k>>2]=(d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24)&67108863;m=h+3|0;c[k+4>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>2&67108611;m=h+6|0;c[k+8>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>4&67092735;m=h+9|0;c[k+12>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>6&66076671;m=h+12|0;c[k+16>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>8&1048575;m=k+20|0;l=h+16|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[k+40>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+20|0;c[k+44>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+24|0;c[k+48>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;h=h+28|0;c[k+52>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;h=k+56|0;c[h>>2]=0;c[h+4>>2]=0;a[k+80>>0]=0;Xd(k,e,f,g);Zd(k,b);i=j;return 0}function Ld(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Rd(a,b,c,d,e)|0}function Md(b,e){b=b|0;e=e|0;var f=0,g=0;c[b>>2]=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)&67108863;g=e+3|0;c[b+4>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>2&67108611;g=e+6|0;c[b+8>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>4&67092735;g=e+9|0;c[b+12>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>6&66076671;g=e+12|0;c[b+16>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>8&1048575;g=b+20|0;f=e+16|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[b+40>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;f=e+20|0;c[b+44>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;f=e+24|0;c[b+48>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;e=e+28|0;c[b+52>>2]=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;e=b+56|0;c[e>>2]=0;c[e+4>>2]=0;a[b+80>>0]=0;return 0}function Nd(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Xd(a,b,c,d);return 0}function Od(a,b){a=a|0;b=b|0;Zd(a,b);return 0}function Pd(){return 33027}function Qd(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;j=i;k=i=i+63&-64;i=i+96|0;c[k>>2]=(d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24)&67108863;m=h+3|0;c[k+4>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>2&67108611;m=h+6|0;c[k+8>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>4&67092735;m=h+9|0;c[k+12>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>6&66076671;m=h+12|0;c[k+16>>2]=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)>>>8&1048575;m=k+20|0;l=h+16|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[k+40>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+20|0;c[k+44>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+24|0;c[k+48>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;h=h+28|0;c[k+52>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;h=k+56|0;c[h>>2]=0;c[h+4>>2]=0;a[k+80>>0]=0;Xd(k,e,f,g);Zd(k,b);i=j;return 0}function Rd(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;k=i;j=i=i+63&-64;i=i+112|0;l=j;j=j+88|0;c[l>>2]=(d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24)&67108863;n=h+3|0;c[l+4>>2]=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)>>>2&67108611;n=h+6|0;c[l+8>>2]=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)>>>4&67092735;n=h+9|0;c[l+12>>2]=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)>>>6&66076671;n=h+12|0;c[l+16>>2]=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)>>>8&1048575;n=l+20|0;m=h+16|0;c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;c[n+12>>2]=0;c[n+16>>2]=0;c[l+40>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=h+20|0;c[l+44>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=h+24|0;c[l+48>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;h=h+28|0;c[l+52>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;h=l+56|0;c[h>>2]=0;c[h+4>>2]=0;a[l+80>>0]=0;Xd(l,e,f,g);Zd(l,j);i=k;return ((((a[j+15>>0]^a[b+15>>0]|(a[j+14>>0]^a[b+14>>0]|(a[j+13>>0]^a[b+13>>0]|(a[j+12>>0]^a[b+12>>0]|(a[j+11>>0]^a[b+11>>0]|(a[j+10>>0]^a[b+10>>0]|(a[j+9>>0]^a[b+9>>0]|(a[j+8>>0]^a[b+8>>0]|(a[j+7>>0]^a[b+7>>0]|(a[j+6>>0]^a[b+6>>0]|(a[j+5>>0]^a[b+5>>0]|(a[j+4>>0]^a[b+4>>0]|(a[j+3>>0]^a[b+3>>0]|(a[j+2>>0]^a[b+2>>0]|(a[j+1>>0]^a[b+1>>0]|a[j>>0]^a[b>>0])))))))))))))))&255)+511|0)>>>8&1)+-1|0}function Sd(b,e){b=b|0;e=e|0;var f=0,g=0;c[b>>2]=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)&67108863;g=e+3|0;c[b+4>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>2&67108611;g=e+6|0;c[b+8>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>4&67092735;g=e+9|0;c[b+12>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>6&66076671;g=e+12|0;c[b+16>>2]=(d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24)>>>8&1048575;g=b+20|0;f=e+16|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[b+40>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;f=e+20|0;c[b+44>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;f=e+24|0;c[b+48>>2]=d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24;e=e+28|0;c[b+52>>2]=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;e=b+56|0;c[e>>2]=0;c[e+4>>2]=0;a[b+80>>0]=0;return 0}function Td(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Xd(a,b,c,d);return 0}function Ud(a,b){a=a|0;b=b|0;Zd(a,b);return 0}function Vd(){return 16}function Wd(){return 32}function Xd(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;m=b+56|0;g=m;h=c[g>>2]|0;g=c[g+4>>2]|0;do if(!((h|0)==0&(g|0)==0)){k=kh(16,0,h|0,g|0)|0;l=C;j=l>>>0>f>>>0|(l|0)==(f|0)&k>>>0>e>>>0;k=j?e:k;l=j?f:l;if(!((k|0)==0&(l|0)==0)){j=0;i=0;do{n=a[d+j>>0]|0;g=lh(h|0,g|0,j|0,i|0)|0;a[b+64+g>>0]=n;j=lh(j|0,i|0,1,0)|0;i=C;g=m;h=c[g>>2]|0;g=c[g+4>>2]|0}while(i>>>0<l>>>0|(i|0)==(l|0)&j>>>0<k>>>0)}n=lh(h|0,g|0,k|0,l|0)|0;j=C;i=m;c[i>>2]=n;c[i+4>>2]=j;if(j>>>0<0|(j|0)==0&n>>>0<16)return;else{e=kh(e|0,f|0,k|0,l|0)|0;f=C;Yd(b,b+64|0,16,0);n=m;c[n>>2]=0;c[n+4>>2]=0;d=d+k|0;break}}while(0);if(f>>>0>0|(f|0)==0&e>>>0>15){n=e&-16;Yd(b,d,n,f);e=kh(e|0,f|0,n|0,f|0)|0;d=d+n|0;f=C}if((e|0)==0&(f|0)==0)return;else{g=0;h=0}do{l=a[d+g>>0]|0;n=m;n=lh(c[n>>2]|0,c[n+4>>2]|0,g|0,h|0)|0;a[b+64+n>>0]=l;g=lh(g|0,h|0,1,0)|0;h=C}while(h>>>0<f>>>0|(h|0)==(f|0)&g>>>0<e>>>0);b=m;b=lh(c[b>>2]|0,c[b+4>>2]|0,e|0,f|0)|0;n=m;c[n>>2]=b;c[n+4>>2]=C;return}function Yd(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;s=a[b+80>>0]|0?0:16777216;t=c[b+4>>2]|0;u=c[b+8>>2]|0;m=c[b+12>>2]|0;n=c[b+16>>2]|0;v=b+20|0;l=c[v>>2]|0;w=b+24|0;k=c[w>>2]|0;x=b+28|0;j=c[x>>2]|0;y=b+32|0;i=c[y>>2]|0;z=b+36|0;h=c[z>>2]|0;if(!(g>>>0>0|(g|0)==0&f>>>0>15)){q=l;r=k;s=j;t=i;u=h;c[v>>2]=q;c[w>>2]=r;c[x>>2]=s;c[y>>2]=t;c[z>>2]=u;return}o=n*5|0;p=m*5|0;q=u*5|0;r=t*5|0;b=c[b>>2]|0;while(1){B=((d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)&67108863)+l|0;J=e+3|0;J=((d[J>>0]|d[J+1>>0]<<8|d[J+2>>0]<<16|d[J+3>>0]<<24)>>>2&67108863)+k|0;H=e+6|0;H=((d[H>>0]|d[H+1>>0]<<8|d[H+2>>0]<<16|d[H+3>>0]<<24)>>>4&67108863)+j|0;G=e+9|0;G=((d[G>>0]|d[G+1>>0]<<8|d[G+2>>0]<<16|d[G+3>>0]<<24)>>>6)+i|0;l=e+12|0;l=((d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24)>>>8|s)+h|0;k=wh(B|0,0,b|0,0)|0;j=C;A=wh(J|0,0,o|0,0)|0;j=lh(A|0,C|0,k|0,j|0)|0;k=C;A=wh(H|0,0,p|0,0)|0;A=lh(j|0,k|0,A|0,C|0)|0;k=C;j=wh(G|0,0,q|0,0)|0;j=lh(A|0,k|0,j|0,C|0)|0;k=C;A=wh(l|0,0,r|0,0)|0;A=lh(j|0,k|0,A|0,C|0)|0;k=C;j=wh(B|0,0,t|0,0)|0;i=C;F=wh(J|0,0,b|0,0)|0;i=lh(F|0,C|0,j|0,i|0)|0;j=C;F=wh(H|0,0,o|0,0)|0;F=lh(i|0,j|0,F|0,C|0)|0;j=C;i=wh(G|0,0,p|0,0)|0;i=lh(F|0,j|0,i|0,C|0)|0;j=C;F=wh(l|0,0,q|0,0)|0;F=lh(i|0,j|0,F|0,C|0)|0;j=C;i=wh(B|0,0,u|0,0)|0;h=C;E=wh(J|0,0,t|0,0)|0;h=lh(E|0,C|0,i|0,h|0)|0;i=C;E=wh(H|0,0,b|0,0)|0;E=lh(h|0,i|0,E|0,C|0)|0;i=C;h=wh(G|0,0,o|0,0)|0;h=lh(E|0,i|0,h|0,C|0)|0;i=C;E=wh(l|0,0,p|0,0)|0;E=lh(h|0,i|0,E|0,C|0)|0;i=C;h=wh(B|0,0,m|0,0)|0;I=C;D=wh(J|0,0,u|0,0)|0;I=lh(D|0,C|0,h|0,I|0)|0;h=C;D=wh(H|0,0,t|0,0)|0;D=lh(I|0,h|0,D|0,C|0)|0;h=C;I=wh(G|0,0,b|0,0)|0;I=lh(D|0,h|0,I|0,C|0)|0;h=C;D=wh(l|0,0,o|0,0)|0;D=lh(I|0,h|0,D|0,C|0)|0;h=C;B=wh(B|0,0,n|0,0)|0;I=C;J=wh(J|0,0,m|0,0)|0;I=lh(J|0,C|0,B|0,I|0)|0;B=C;H=wh(H|0,0,u|0,0)|0;H=lh(I|0,B|0,H|0,C|0)|0;B=C;G=wh(G|0,0,t|0,0)|0;G=lh(H|0,B|0,G|0,C|0)|0;B=C;l=wh(l|0,0,b|0,0)|0;l=lh(G|0,B|0,l|0,C|0)|0;B=C;k=oh(A|0,k|0,26)|0;k=lh(F|0,j|0,k|0,0)|0;j=oh(k|0,C|0,26)|0;j=lh(E|0,i|0,j|0,0)|0;i=oh(j|0,C|0,26)|0;j=j&67108863;i=lh(D|0,h|0,i|0,0)|0;h=oh(i|0,C|0,26)|0;i=i&67108863;h=lh(l|0,B|0,h|0,0)|0;B=oh(h|0,C|0,26)|0;h=h&67108863;B=B*5|0;l=B+A&67108863;k=((B+(A&67108863)|0)>>>26)+(k&67108863)|0;f=lh(f|0,g|0,-16,-1)|0;g=C;if(!(g>>>0>0|(g|0)==0&f>>>0>15))break;else e=e+16|0}c[v>>2]=l;c[w>>2]=k;c[x>>2]=j;c[y>>2]=i;c[z>>2]=h;return}function Zd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=b+56|0;f=c[g>>2]|0;g=c[g+4>>2]|0;if(!((f|0)==0&(g|0)==0)){a[b+64+f>>0]=1;e=lh(f|0,g|0,1,0)|0;h=C;if(h>>>0<0|(h|0)==0&e>>>0<16){h=kh(14,0,f|0,g|0)|0;nh(b+64+e|0,0,h+1|0)|0}a[b+80>>0]=1;Yd(b,b+64|0,16,0)}g=c[b+24>>2]|0;p=(c[b+28>>2]|0)+(g>>>26)|0;h=p&67108863;n=(p>>>26)+(c[b+32>>2]|0)|0;m=n&67108863;i=(n>>>26)+(c[b+36>>2]|0)|0;f=((i>>>26)*5|0)+(c[b+20>>2]|0)|0;e=f&67108863;g=(f>>>26)+(g&67108863)|0;r=((e+5|0)>>>26)+g|0;q=r>>>26;o=(q+h|0)>>>26;k=(i|-67108864)+((o+m|0)>>>26)|0;l=(k>>>31)+-1|0;j=k>>31;g=r&67108863&l|j&g;h=q+p&67108863&l|j&h;m=o+n&67108863&l|j&m;e=lh(f+5&67108863&l|j&e|g<<26|0,0,c[b+40>>2]|0,0)|0;f=C;g=lh(g>>>6|h<<20|0,0,c[b+44>>2]|0,0)|0;f=lh(g|0,C|0,f|0,0)|0;g=C;h=lh(h>>>12|m<<14|0,0,c[b+48>>2]|0,0)|0;g=lh(h|0,C|0,g|0,0)|0;h=C;i=lh(m>>>18|(l&k|j&i)<<8|0,0,c[b+52>>2]|0,0)|0;h=lh(i|0,C|0,h|0,0)|0;a[d>>0]=e;a[d+1>>0]=e>>8;a[d+2>>0]=e>>16;a[d+3>>0]=e>>24;e=d+4|0;a[e>>0]=f;a[e+1>>0]=f>>8;a[e+2>>0]=f>>16;a[e+3>>0]=f>>24;e=d+8|0;a[e>>0]=g;a[e+1>>0]=g>>8;a[e+2>>0]=g>>16;a[e+3>>0]=g>>24;e=d+12|0;a[e>>0]=h;a[e+1>>0]=h>>8;a[e+2>>0]=h>>16;a[e+3>>0]=h>>24;e=b+88|0;do{a[b>>0]=0;b=b+1|0}while((b|0)<(e|0));return}function _d(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;n=i;k=i=i+63&-64;i=i+2048|0;j=k;k=k+1024|0;if(!((a|0)!=0&(b|0)!=0)){i=n;return}g=c[(c[b>>2]|0)+4>>2]|0;h=c[b+16>>2]|0;qh(j|0,g+(h<<10)+-1024|0,1024)|0;d=c[b+20>>2]|0;if(d>>>0>1){e=h+-1|0;m=1;do{f=e+(_(h,m)|0)|0;l=0;do{q=g+(f<<10)+(l<<3)|0;o=j+(l<<3)|0;r=o;p=c[r+4>>2]^c[q+4>>2];c[o>>2]=c[r>>2]^c[q>>2];c[o+4>>2]=p;l=l+1|0}while((l|0)!=128);m=m+1|0}while((m|0)!=(d|0))}qh(k|0,j|0,1024)|0;ge(c[a>>2]|0,c[a+4>>2]|0,k,1024);nh(j|0,0,1024)|0;e=c[b>>2]|0;if(e|0?(c[a+56>>2]&1|0)!=0:0){nh(c[e+4>>2]|0,0,c[b+8>>2]<<10|0)|0;e=c[b>>2]|0}d=c[e>>2]|0;if(d|0)gh(d);gh(e);i=n;return}function $d(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;m=i=i+63&-64;i=i+32|0;n=m+16|0;if(!b){n=0;i=o;return n|0}g=b+20|0;d=c[g>>2]|0;if(!d){n=0;i=o;return n|0}h=b+4|0;if(!(c[h>>2]|0)){n=0;i=o;return n|0}j=m+4|0;k=m+8|0;l=m+12|0;f=0;a:while(1){if(d){e=0;do{c[m>>2]=f;c[j>>2]=e;a[k>>0]=0;c[l>>2]=0;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];d=de(b,n)|0;e=e+1|0;if(d|0){e=9;break a}d=c[g>>2]|0}while(e>>>0<d>>>0);if(d){e=0;do{c[m>>2]=f;c[j>>2]=e;a[k>>0]=1;c[l>>2]=0;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];d=de(b,n)|0;e=e+1|0;if(d|0){e=9;break a}d=c[g>>2]|0}while(e>>>0<d>>>0);if(d){e=0;do{c[m>>2]=f;c[j>>2]=e;a[k>>0]=2;c[l>>2]=0;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];d=de(b,n)|0;e=e+1|0;if(d|0){e=9;break a}d=c[g>>2]|0}while(e>>>0<d>>>0);if(d){e=0;do{c[m>>2]=f;c[j>>2]=e;a[k>>0]=3;c[l>>2]=0;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];d=de(b,n)|0;e=e+1|0;if(d|0){e=9;break a}d=c[g>>2]|0}while(e>>>0<d>>>0)}else d=0}else d=0}else d=0}else d=0;f=f+1|0;if(f>>>0>=(c[h>>2]|0)>>>0){d=0;e=9;break}}if((e|0)==9){i=o;return d|0}return 0}function ae(a){a=a|0;var b=0,d=0;if(!a){a=-25;return a|0}if(!(c[a>>2]|0)){a=-1;return a|0}if((c[a+4>>2]|0)>>>0<16){a=-2;return a|0}if((c[a+8>>2]|0)==0?c[a+12>>2]|0:0){a=-18;return a|0}b=c[a+20>>2]|0;if(!(c[a+16>>2]|0)){if(b|0){a=-19;return a|0}}else if(b>>>0<8){a=-6;return a|0}if((c[a+24>>2]|0)==0?c[a+28>>2]|0:0){a=-20;return a|0}if((c[a+32>>2]|0)==0?c[a+36>>2]|0:0){a=-21;return a|0}b=c[a+44>>2]|0;if(b>>>0<8){a=-14;return a|0}if(b>>>0>2097152){a=-15;return a|0}d=c[a+48>>2]|0;if(b>>>0<d<<3>>>0){a=-14;return a|0}if((c[a+40>>2]|0)>>>0<3){a=-12;return a|0}if(!d){a=-16;return a|0}if(d>>>0>16777215){a=-17;return a|0}b=c[a+52>>2]|0;if(!b){a=-28;return a|0}a=b>>>0>16777215?-29:0;return a|0}function be(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;z=i=i+63&-64;i=i+1104|0;A=z;m=z+1024|0;z=z+1032|0;if((b|0)==0|(e|0)==0){b=-25;i=B;return b|0}y=c[b+8>>2]|0;h=y<<10;do if((y|0?((h>>>0)/(y>>>0)|0|0)==1024:0)?(y=fh(12)|0,c[b>>2]=y,y|0):0){g=ih(A,h)|0;if(!(c[8522]|0))f=34132;else f=c[(oa()|0)+64>>2]|0;c[f>>2]=g;if(g|0){c[A>>2]=0;break}f=c[A>>2]|0;if(f|0){c[c[b>>2]>>2]=f;c[(c[b>>2]|0)+4>>2]=f;c[(c[b>>2]|0)+8>>2]=h;p=c[b+28>>2]|0;nh(A+64|0,0,293)|0;g=A;r=400;s=g+48|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));u=A;c[u>>2]=-222443192;c[u+4>>2]=1779033703;u=A+8|0;c[u>>2]=-2067093701;c[u+4>>2]=-1150833019;u=A+16|0;c[u>>2]=-23791573;c[u+4>>2]=1013904242;u=A+24|0;c[u>>2]=1595750129;c[u+4>>2]=-1521486534;u=A+32|0;c[u>>2]=-1377402159;c[u+4>>2]=1359893119;u=A+40|0;c[u>>2]=725511199;c[u+4>>2]=-1694144372;u=A+48|0;c[u>>2]=-79577749;c[u+4>>2]=528734635;u=A+56|0;c[u>>2]=327033209;c[u+4>>2]=1541459225;c[m>>2]=c[e+48>>2];u=A+352|0;v=A+96|0;w=A+64|0;x=A+72|0;y=A+224|0;c[A+96>>2]=c[m>>2];g=(c[u>>2]|0)+4|0;c[u>>2]=g;c[m>>2]=c[e+4>>2];h=m;n=0;o=4;while(1){j=256-g|0;f=A+96+g|0;if(!(n>>>0>0|(n|0)==0&o>>>0>j>>>0)){t=13;break}qh(f|0,h|0,j|0)|0;c[u>>2]=(c[u>>2]|0)+j;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(o|0,n|0,j|0,0)|0;if((o|0)==(j|0)&(n|0)==0)break;else{h=h+j|0;n=C;o=f}}if((t|0)==13){qh(f|0,h|0,o|0)|0;g=lh(c[u>>2]|0,0,o|0,n|0)|0;c[u>>2]=g}c[m>>2]=c[e+44>>2];o=m;j=0;n=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&n>>>0>h>>>0)){t=17;break}qh(f|0,o|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(n|0,j|0,h|0,0)|0;if((n|0)==(h|0)&(j|0)==0)break;else{o=o+h|0;j=C;n=f}}if((t|0)==17){qh(f|0,o|0,n|0)|0;g=lh(c[u>>2]|0,0,n|0,j|0)|0;c[u>>2]=g}c[m>>2]=c[e+40>>2];o=m;j=0;n=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&n>>>0>h>>>0)){t=21;break}qh(f|0,o|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(n|0,j|0,h|0,0)|0;if((n|0)==(h|0)&(j|0)==0)break;else{o=o+h|0;j=C;n=f}}if((t|0)==21){qh(f|0,o|0,n|0)|0;g=lh(c[u>>2]|0,0,n|0,j|0)|0;c[u>>2]=g}c[m>>2]=19;o=m;j=0;n=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&n>>>0>h>>>0)){t=25;break}qh(f|0,o|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(n|0,j|0,h|0,0)|0;if((n|0)==(h|0)&(j|0)==0)break;else{o=o+h|0;j=C;n=f}}if((t|0)==25){qh(f|0,o|0,n|0)|0;g=lh(c[u>>2]|0,0,n|0,j|0)|0;c[u>>2]=g}c[m>>2]=p;o=m;j=0;n=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&n>>>0>h>>>0)){t=29;break}qh(f|0,o|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(n|0,j|0,h|0,0)|0;if((n|0)==(h|0)&(j|0)==0)break;else{o=o+h|0;j=C;n=f}}if((t|0)==29){qh(f|0,o|0,n|0)|0;g=lh(c[u>>2]|0,0,n|0,j|0)|0;c[u>>2]=g}q=e+12|0;c[m>>2]=c[q>>2];o=m;j=0;n=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&n>>>0>h>>>0)){t=33;break}qh(f|0,o|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;p=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=p;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(n|0,j|0,h|0,0)|0;if((n|0)==(h|0)&(j|0)==0)break;else{o=o+h|0;j=C;n=f}}if((t|0)==33){qh(f|0,o|0,n|0)|0;g=lh(c[u>>2]|0,0,n|0,j|0)|0;c[u>>2]=g}p=e+8|0;f=c[p>>2]|0;if(f){h=c[q>>2]|0;a:do if(h){o=0;while(1){n=256-g|0;g=A+96+g|0;if(!(o>>>0>0|(o|0)==0&h>>>0>n>>>0))break;qh(g|0,f|0,n|0)|0;c[u>>2]=(c[u>>2]|0)+n;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;j=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=j;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;j=kh(h|0,o|0,n|0,0)|0;if((h|0)==(n|0)&(o|0)==0)break a;else{f=f+n|0;o=C;h=j}}qh(g|0,f|0,h|0)|0;g=lh(c[u>>2]|0,0,h|0,o|0)|0;c[u>>2]=g}while(0);if(c[e+56>>2]&1){nh(c[p>>2]|0,0,c[q>>2]|0)|0;c[q>>2]=0;g=c[u>>2]|0}}p=e+20|0;c[m>>2]=c[p>>2];o=m;j=0;n=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&n>>>0>h>>>0)){t=45;break}qh(f|0,o|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(n|0,j|0,h|0,0)|0;if((n|0)==(h|0)&(j|0)==0)break;else{o=o+h|0;j=C;n=f}}if((t|0)==45){qh(f|0,o|0,n|0)|0;g=lh(c[u>>2]|0,0,n|0,j|0)|0;c[u>>2]=g}f=c[e+16>>2]|0;b:do if((f|0)!=0?(l=c[p>>2]|0,(l|0)!=0):0){n=0;while(1){j=256-g|0;g=A+96+g|0;if(!(n>>>0>0|(n|0)==0&l>>>0>j>>>0))break;qh(g|0,f|0,j|0)|0;c[u>>2]=(c[u>>2]|0)+j;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;h=kh(l|0,n|0,j|0,0)|0;if((l|0)==(j|0)&(n|0)==0)break b;else{f=f+j|0;n=C;l=h}}qh(g|0,f|0,l|0)|0;g=lh(c[u>>2]|0,0,l|0,n|0)|0;c[u>>2]=g}while(0);p=e+28|0;c[m>>2]=c[p>>2];n=m;j=0;l=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&l>>>0>h>>>0)){t=55;break}qh(f|0,n|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(l|0,j|0,h|0,0)|0;if((l|0)==(h|0)&(j|0)==0)break;else{n=n+h|0;j=C;l=f}}if((t|0)==55){qh(f|0,n|0,l|0)|0;g=lh(c[u>>2]|0,0,l|0,j|0)|0;c[u>>2]=g}o=e+24|0;f=c[o>>2]|0;if(f){h=c[p>>2]|0;c:do if(h){n=0;while(1){l=256-g|0;g=A+96+g|0;if(!(n>>>0>0|(n|0)==0&h>>>0>l>>>0))break;qh(g|0,f|0,l|0)|0;c[u>>2]=(c[u>>2]|0)+l;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;j=kh(h|0,n|0,l|0,0)|0;if((h|0)==(l|0)&(n|0)==0)break c;else{f=f+l|0;n=C;h=j}}qh(g|0,f|0,h|0)|0;g=lh(c[u>>2]|0,0,h|0,n|0)|0;c[u>>2]=g}while(0);if(c[e+56>>2]&2){nh(c[o>>2]|0,0,c[p>>2]|0)|0;c[p>>2]=0;g=c[u>>2]|0}}n=e+36|0;c[m>>2]=c[n>>2];j=0;l=4;while(1){h=256-g|0;f=A+96+g|0;if(!(j>>>0>0|(j|0)==0&l>>>0>h>>>0)){t=67;break}qh(f|0,m|0,h|0)|0;c[u>>2]=(c[u>>2]|0)+h;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;q=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=q;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));g=(c[u>>2]|0)+-128|0;c[u>>2]=g;f=kh(l|0,j|0,h|0,0)|0;if((l|0)==(h|0)&(j|0)==0)break;else{m=m+h|0;j=C;l=f}}if((t|0)==67){qh(f|0,m|0,l|0)|0;g=lh(c[u>>2]|0,0,l|0,j|0)|0;c[u>>2]=g}f=c[e+32>>2]|0;d:do if(f|0?(k=c[n>>2]|0,k|0):0){h=g;l=0;while(1){j=256-h|0;g=A+96+h|0;if(!(l>>>0>0|(l|0)==0&k>>>0>j>>>0))break;qh(g|0,f|0,j|0)|0;c[u>>2]=(c[u>>2]|0)+j;s=w;g=c[s>>2]|0;s=c[s+4>>2]|0;t=lh(g|0,s|0,128,0)|0;r=w;c[r>>2]=t;c[r+4>>2]=C;r=x;r=lh((s>>>0>4294967295|(s|0)==-1&g>>>0>4294967167)&1|0,0,c[r>>2]|0,c[r+4>>2]|0)|0;g=x;c[g>>2]=r;c[g+4>>2]=C;id(A,v);g=v;r=y;s=g+128|0;do{c[g>>2]=c[r>>2];g=g+4|0;r=r+4|0}while((g|0)<(s|0));h=(c[u>>2]|0)+-128|0;c[u>>2]=h;g=kh(k|0,l|0,j|0,0)|0;if((k|0)==(j|0)&(l|0)==0)break d;else{f=f+j|0;l=C;k=g}}qh(g|0,f|0,k|0)|0;y=lh(c[u>>2]|0,0,k|0,l|0)|0;c[u>>2]=y}while(0);jd(A,z,64);j=z+64|0;k=j;y=k;a[y>>0]=0;a[y+1>>0]=0;a[y+2>>0]=0;a[y+3>>0]=0;k=k+4|0;a[k>>0]=0;a[k+1>>0]=0;a[k+2>>0]=0;a[k+3>>0]=0;k=b+20|0;if(c[k>>2]|0){l=z+68|0;m=b+16|0;n=0;do{a[j>>0]=0;a[j+1>>0]=0;a[j+2>>0]=0;a[j+3>>0]=0;a[l>>0]=n;a[l+1>>0]=n>>8;a[l+2>>0]=n>>16;a[l+3>>0]=n>>24;ge(A,1024,z,72);f=_(c[m>>2]|0,n)|0;g=c[(c[b>>2]|0)+4>>2]|0;h=0;do{x=A+(h<<3)|0;w=x;x=x+4|0;x=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;y=g+(f<<10)+(h<<3)|0;c[y>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;c[y+4>>2]=x;h=h+1|0}while((h|0)!=128);a[j>>0]=1;a[j+1>>0]=0;a[j+2>>0]=0;a[j+3>>0]=0;ge(A,1024,z,72);f=(_(c[m>>2]|0,n)|0)+1|0;g=c[(c[b>>2]|0)+4>>2]|0;h=0;do{x=A+(h<<3)|0;w=x;x=x+4|0;x=d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24;y=g+(f<<10)+(h<<3)|0;c[y>>2]=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;c[y+4>>2]=x;h=h+1|0}while((h|0)!=128);n=n+1|0}while(n>>>0<(c[k>>2]|0)>>>0)}g=z;s=g+72|0;do{a[g>>0]=0;g=g+1|0}while((g|0)<(s|0));b=0;i=B;return b|0}}while(0);b=-22;i=B;return b|0}function ce(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;g=0;f=0;i=0;a:while(1){h=f;while(1){k=a[e>>0]|0;f=k+-65|0;f=(0-(k^47)|0)>>>8&63^63|(0-(k^43)|0)>>>8&62^62|((k+65439|0)>>>8^255)&k+185&((122-k|0)>>>8&255^255)|(f>>>8^255)&f&((90-k|0)>>>8&255^255)|((k+65488|0)>>>8^255)&k+4&((57-k|0)>>>8&255^255);f=((0-f|0)>>>8&255^255)&(0-(k^65)|0)>>>8|f;if((f|0)==255)break a;e=e+1|0;g=f+(g<<6)|0;f=h+6|0;if(f>>>0>7)break;else h=f}f=h+-2|0;if(i>>>0>=(c[d>>2]|0)>>>0){e=0;j=10;break}a[b>>0]=g>>>f;b=b+1|0;i=i+1|0}if((j|0)==10)return e|0;if(h>>>0>4){k=0;return k|0}if((1<<h)+-1&g|0){k=0;return k|0}c[d>>2]=i;k=e;return k|0}function de(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0;B=i;m=i=i+63&-64;i=i+4096|0;z=m+3072|0;A=m+2048|0;l=m+1024|0;if(!b){d=0;i=B;return d|0}w=b+12|0;y=fh(c[w>>2]<<3)|0;if(!y){d=-22;i=B;return d|0}nh(z|0,0,1024)|0;nh(A|0,0,1024)|0;n=c[d>>2]|0;x=A;c[x>>2]=n;c[x+4>>2]=0;x=c[d+4>>2]|0;o=A+8|0;c[o>>2]=x;c[o+4>>2]=0;o=a[d+8>>0]|0;e=A+16|0;c[e>>2]=o&255;c[e+4>>2]=0;e=A+24|0;c[e>>2]=c[b+8>>2];c[e+4>>2]=0;e=A+32|0;c[e>>2]=c[b+4>>2];c[e+4>>2]=0;e=A+40|0;c[e>>2]=c[b+28>>2];c[e+4>>2]=0;e=c[w>>2]|0;if(!e)e=0;else{k=A+48|0;f=0;g=0;j=0;do{h=j&127;if(!h){f=lh(f|0,g|0,1,0)|0;g=C;e=k;c[e>>2]=f;c[e+4>>2]=g;nh(m|0,0,1024)|0;nh(l|0,0,1024)|0;ee(z,A,m);ee(z,m,l);e=c[w>>2]|0}t=l+(h<<3)|0;u=c[t+4>>2]|0;v=y+(j<<3)|0;c[v>>2]=c[t>>2];c[v+4>>2]=u;j=j+1|0}while(j>>>0<e>>>0)}r=(n|0)==0;s=o<<24>>24==0;t=r&s;f=t?2:0;u=b+16|0;g=c[u>>2]|0;v=o&255;h=(_(g,x)|0)+f+(_(v,e)|0)|0;if(f>>>0<e>>>0){q=b+20|0;n=o<<24>>24==3;o=v+1|0;l=g;p=h;e=(((h>>>0)%(g>>>0)|0|0)==0?g+-1|0:-1)+h|0;while(1){m=((p>>>0)%(l>>>0)|0|0)==1?p+-1|0:e;j=y+(f<<3)|0;h=c[j>>2]|0;j=yh(c[j+4>>2]|0,0,c[q>>2]|0,0)|0;j=t?x:j;k=t?0:C;g=(j|0)==(x|0)&(k|0)==0;do if(r){if(s){e=f+-1|0;break}e=_(c[w>>2]|0,v)|0;if(g){e=f+-1+e|0;break}else{e=(((f|0)==0)<<31>>31)+e|0;break}}else{e=l-(c[w>>2]|0)|0;if(g){e=f+-1+e|0;break}else{e=(((f|0)==0)<<31>>31)+e|0;break}}while(0);wh(h|0,0,h|0,0)|0;wh(e|0,0,C|0,0)|0;e=kh(e+-1|0,0,C|0,0)|0;if(r|n){g=0;h=0}else{g=_(c[w>>2]|0,o)|0;h=0}e=lh(e|0,C|0,g|0,h|0)|0;e=yh(e|0,C|0,l|0,0)|0;h=c[(c[b>>2]|0)+4>>2]|0;g=wh(l|0,0,j|0,k|0)|0;e=h+(g<<10)+(e<<10)|0;g=h+(p<<10)|0;if(r){qh(z|0,e|0,1024)|0;e=0;do{j=h+(m<<10)+(e<<3)|0;l=z+(e<<3)|0;D=l;k=c[D+4>>2]^c[j+4>>2];c[l>>2]=c[D>>2]^c[j>>2];c[l+4>>2]=k;e=e+1|0}while((e|0)!=128);qh(A|0,z|0,1024)|0;e=0;do{M=e<<4;aa=z+(M<<3)|0;J=aa;L=c[J>>2]|0;J=c[J+4>>2]|0;D=z+((M|4)<<3)|0;V=D;j=c[V>>2]|0;V=c[V+4>>2]|0;T=lh(j|0,V|0,L|0,J|0)|0;P=C;J=ph(L|0,J|0,1)|0;J=wh(J&-2|0,C&1|0,j|0,0)|0;J=lh(T|0,P|0,J|0,C|0)|0;P=C;T=z+((M|12)<<3)|0;L=T;Q=J^c[L>>2];L=P^c[L+4>>2];G=z+((M|8)<<3)|0;l=G;Y=c[l>>2]|0;l=c[l+4>>2]|0;F=lh(L|0,Q|0,Y|0,l|0)|0;H=C;l=ph(Y|0,l|0,1)|0;l=wh(L|0,0,l&-2|0,C&1|0)|0;l=lh(F|0,H|0,l|0,C|0)|0;H=C;j=l^j;V=H^V;F=oh(j|0,V|0,24)|0;Y=C;V=ph(j|0,V|0,40)|0;V=V|F;Y=C|Y;j=lh(V|0,Y|0,J|0,P|0)|0;k=C;P=ph(J|0,P|0,1)|0;P=wh(F|0,0,P&-2|0,C&1|0)|0;P=lh(j|0,k|0,P|0,C|0)|0;k=C;j=aa;c[j>>2]=P;c[j+4>>2]=k;L=P^L;Q=k^Q;k=oh(L|0,Q|0,16)|0;P=C;Q=ph(L|0,Q|0,48)|0;Q=Q|k;P=C|P;L=T;c[L>>2]=Q;c[L+4>>2]=P;P=lh(Q|0,P|0,l|0,H|0)|0;Q=C;H=ph(l|0,H|0,1)|0;H=wh(k|0,0,H&-2|0,C&1|0)|0;H=lh(P|0,Q|0,H|0,C|0)|0;Q=C;P=G;c[P>>2]=H;c[P+4>>2]=Q;V=H^V;Y=Q^Y;Q=oh(V|0,Y|0,63)|0;H=C;Y=ph(V|0,Y|0,1)|0;V=D;c[V>>2]=Y|Q;c[V+4>>2]=C|H;V=z+((M|1)<<3)|0;H=V;Q=c[H>>2]|0;H=c[H+4>>2]|0;Y=z+((M|5)<<3)|0;P=Y;k=c[P>>2]|0;P=c[P+4>>2]|0;l=lh(k|0,P|0,Q|0,H|0)|0;L=C;H=ph(Q|0,H|0,1)|0;H=wh(H&-2|0,C&1|0,k|0,0)|0;H=lh(l|0,L|0,H|0,C|0)|0;L=C;l=z+((M|13)<<3)|0;Q=l;j=H^c[Q>>2];Q=L^c[Q+4>>2];F=z+((M|9)<<3)|0;J=F;S=c[J>>2]|0;J=c[J+4>>2]|0;R=lh(Q|0,j|0,S|0,J|0)|0;N=C;J=ph(S|0,J|0,1)|0;J=wh(Q|0,0,J&-2|0,C&1|0)|0;J=lh(R|0,N|0,J|0,C|0)|0;N=C;k=J^k;P=N^P;R=oh(k|0,P|0,24)|0;S=C;P=ph(k|0,P|0,40)|0;P=P|R;S=C|S;k=lh(P|0,S|0,H|0,L|0)|0;Z=C;L=ph(H|0,L|0,1)|0;L=wh(R|0,0,L&-2|0,C&1|0)|0;L=lh(k|0,Z|0,L|0,C|0)|0;Z=C;k=V;c[k>>2]=L;c[k+4>>2]=Z;Q=L^Q;j=Z^j;Z=oh(Q|0,j|0,16)|0;L=C;j=ph(Q|0,j|0,48)|0;j=j|Z;L=C|L;Q=l;c[Q>>2]=j;c[Q+4>>2]=L;L=lh(j|0,L|0,J|0,N|0)|0;j=C;N=ph(J|0,N|0,1)|0;N=wh(Z|0,0,N&-2|0,C&1|0)|0;N=lh(L|0,j|0,N|0,C|0)|0;j=C;L=F;c[L>>2]=N;c[L+4>>2]=j;P=N^P;S=j^S;j=oh(P|0,S|0,63)|0;N=C;S=ph(P|0,S|0,1)|0;P=Y;c[P>>2]=S|j;c[P+4>>2]=C|N;P=z+((M|2)<<3)|0;N=P;j=c[N>>2]|0;N=c[N+4>>2]|0;S=z+((M|6)<<3)|0;L=S;Z=c[L>>2]|0;L=c[L+4>>2]|0;J=lh(Z|0,L|0,j|0,N|0)|0;Q=C;N=ph(j|0,N|0,1)|0;N=wh(N&-2|0,C&1|0,Z|0,0)|0;N=lh(J|0,Q|0,N|0,C|0)|0;Q=C;J=z+((M|14)<<3)|0;j=J;k=N^c[j>>2];j=Q^c[j+4>>2];R=z+((M|10)<<3)|0;H=R;O=c[H>>2]|0;H=c[H+4>>2]|0;$=lh(j|0,k|0,O|0,H|0)|0;W=C;H=ph(O|0,H|0,1)|0;H=wh(j|0,0,H&-2|0,C&1|0)|0;H=lh($|0,W|0,H|0,C|0)|0;W=C;Z=H^Z;L=W^L;$=oh(Z|0,L|0,24)|0;O=C;L=ph(Z|0,L|0,40)|0;L=L|$;O=C|O;Z=lh(L|0,O|0,N|0,Q|0)|0;ca=C;Q=ph(N|0,Q|0,1)|0;Q=wh($|0,0,Q&-2|0,C&1|0)|0;Q=lh(Z|0,ca|0,Q|0,C|0)|0;ca=C;Z=P;c[Z>>2]=Q;c[Z+4>>2]=ca;j=Q^j;k=ca^k;ca=oh(j|0,k|0,16)|0;Q=C;k=ph(j|0,k|0,48)|0;k=k|ca;Q=C|Q;j=J;c[j>>2]=k;c[j+4>>2]=Q;Q=lh(k|0,Q|0,H|0,W|0)|0;k=C;W=ph(H|0,W|0,1)|0;W=wh(ca|0,0,W&-2|0,C&1|0)|0;W=lh(Q|0,k|0,W|0,C|0)|0;k=C;L=W^L;O=k^O;Q=oh(L|0,O|0,63)|0;ca=C;O=ph(L|0,O|0,1)|0;L=S;c[L>>2]=O|Q;c[L+4>>2]=C|ca;L=z+((M|3)<<3)|0;ca=L;Q=c[ca>>2]|0;ca=c[ca+4>>2]|0;O=z+((M|7)<<3)|0;H=O;j=c[H>>2]|0;H=c[H+4>>2]|0;Z=lh(j|0,H|0,Q|0,ca|0)|0;$=C;ca=ph(Q|0,ca|0,1)|0;ca=wh(ca&-2|0,C&1|0,j|0,0)|0;ca=lh(Z|0,$|0,ca|0,C|0)|0;$=C;Z=z+((M|15)<<3)|0;Q=Z;N=ca^c[Q>>2];Q=$^c[Q+4>>2];M=z+((M|11)<<3)|0;U=M;da=c[U>>2]|0;U=c[U+4>>2]|0;ba=lh(Q|0,N|0,da|0,U|0)|0;I=C;U=ph(da|0,U|0,1)|0;U=wh(Q|0,0,U&-2|0,C&1|0)|0;U=lh(ba|0,I|0,U|0,C|0)|0;I=C;j=U^j;H=I^H;ba=oh(j|0,H|0,24)|0;da=C;H=ph(j|0,H|0,40)|0;H=H|ba;da=C|da;j=lh(H|0,da|0,ca|0,$|0)|0;K=C;$=ph(ca|0,$|0,1)|0;$=wh(ba|0,0,$&-2|0,C&1|0)|0;$=lh(j|0,K|0,$|0,C|0)|0;K=C;j=L;c[j>>2]=$;c[j+4>>2]=K;Q=$^Q;N=K^N;K=oh(Q|0,N|0,16)|0;$=C;N=ph(Q|0,N|0,48)|0;N=N|K;$=C|$;Q=lh(N|0,$|0,U|0,I|0)|0;j=C;I=ph(U|0,I|0,1)|0;I=wh(K|0,0,I&-2|0,C&1|0)|0;I=lh(Q|0,j|0,I|0,C|0)|0;j=C;H=I^H;da=j^da;Q=oh(H|0,da|0,63)|0;K=C;da=ph(H|0,da|0,1)|0;Q=da|Q;K=C|K;da=O;c[da>>2]=Q;c[da+4>>2]=K;da=aa;H=c[da>>2]|0;da=c[da+4>>2]|0;U=Y;ba=c[U>>2]|0;U=c[U+4>>2]|0;ca=lh(ba|0,U|0,H|0,da|0)|0;X=C;da=ph(H|0,da|0,1)|0;da=wh(da&-2|0,C&1|0,ba|0,0)|0;da=lh(ca|0,X|0,da|0,C|0)|0;X=C;N=N^da;$=$^X;ca=lh($|0,N|0,W|0,k|0)|0;H=C;k=ph(W|0,k|0,1)|0;k=wh($|0,0,k&-2|0,C&1|0)|0;k=lh(ca|0,H|0,k|0,C|0)|0;H=C;ba=k^ba;U=H^U;ca=oh(ba|0,U|0,24)|0;W=C;U=ph(ba|0,U|0,40)|0;U=U|ca;W=C|W;ba=lh(U|0,W|0,da|0,X|0)|0;E=C;X=ph(da|0,X|0,1)|0;X=wh(ca|0,0,X&-2|0,C&1|0)|0;X=lh(ba|0,E|0,X|0,C|0)|0;E=C;c[aa>>2]=X;c[aa+4>>2]=E;$=X^$;N=E^N;E=oh($|0,N|0,16)|0;X=C;N=ph($|0,N|0,48)|0;N=N|E;X=C|X;c[Z>>2]=N;c[Z+4>>2]=X;X=lh(N|0,X|0,k|0,H|0)|0;N=C;H=ph(k|0,H|0,1)|0;H=wh(E|0,0,H&-2|0,C&1|0)|0;H=lh(X|0,N|0,H|0,C|0)|0;N=C;c[R>>2]=H;c[R+4>>2]=N;U=H^U;W=N^W;N=oh(U|0,W|0,63)|0;H=C;W=ph(U|0,W|0,1)|0;c[Y>>2]=W|N;c[Y+4>>2]=C|H;Y=V;H=c[Y>>2]|0;Y=c[Y+4>>2]|0;N=S;W=c[N>>2]|0;N=c[N+4>>2]|0;U=lh(W|0,N|0,H|0,Y|0)|0;R=C;Y=ph(H|0,Y|0,1)|0;Y=wh(Y&-2|0,C&1|0,W|0,0)|0;Y=lh(U|0,R|0,Y|0,C|0)|0;R=C;U=T;H=Y^c[U>>2];U=R^c[U+4>>2];X=lh(U|0,H|0,I|0,j|0)|0;E=C;j=ph(I|0,j|0,1)|0;j=wh(j&-2|0,C&1|0,U|0,0)|0;j=lh(X|0,E|0,j|0,C|0)|0;E=C;W=j^W;N=E^N;X=oh(W|0,N|0,24)|0;I=C;N=ph(W|0,N|0,40)|0;N=N|X;I=C|I;W=lh(N|0,I|0,Y|0,R|0)|0;k=C;R=ph(Y|0,R|0,1)|0;R=wh(X|0,0,R&-2|0,C&1|0)|0;R=lh(W|0,k|0,R|0,C|0)|0;k=C;c[V>>2]=R;c[V+4>>2]=k;U=R^U;H=k^H;k=oh(U|0,H|0,16)|0;R=C;H=ph(U|0,H|0,48)|0;H=H|k;R=C|R;c[T>>2]=H;c[T+4>>2]=R;R=lh(H|0,R|0,j|0,E|0)|0;H=C;E=ph(j|0,E|0,1)|0;E=wh(k|0,0,E&-2|0,C&1|0)|0;E=lh(R|0,H|0,E|0,C|0)|0;H=C;c[M>>2]=E;c[M+4>>2]=H;N=E^N;I=H^I;H=oh(N|0,I|0,63)|0;E=C;I=ph(N|0,I|0,1)|0;c[S>>2]=I|H;c[S+4>>2]=C|E;S=P;E=c[S>>2]|0;S=c[S+4>>2]|0;H=lh(Q|0,K|0,E|0,S|0)|0;I=C;S=ph(E|0,S|0,1)|0;S=wh(S&-2|0,C&1|0,Q|0,0)|0;S=lh(H|0,I|0,S|0,C|0)|0;I=C;H=l;E=S^c[H>>2];H=I^c[H+4>>2];N=G;M=c[N>>2]|0;N=c[N+4>>2]|0;R=lh(H|0,E|0,M|0,N|0)|0;k=C;N=ph(M|0,N|0,1)|0;N=wh(H|0,0,N&-2|0,C&1|0)|0;N=lh(R|0,k|0,N|0,C|0)|0;k=C;Q=N^Q;K=k^K;R=oh(Q|0,K|0,24)|0;M=C;K=ph(Q|0,K|0,40)|0;K=K|R;M=C|M;Q=lh(K|0,M|0,S|0,I|0)|0;j=C;I=ph(S|0,I|0,1)|0;I=wh(R|0,0,I&-2|0,C&1|0)|0;I=lh(Q|0,j|0,I|0,C|0)|0;j=C;c[P>>2]=I;c[P+4>>2]=j;H=I^H;E=j^E;j=oh(H|0,E|0,16)|0;I=C;E=ph(H|0,E|0,48)|0;E=E|j;I=C|I;c[l>>2]=E;c[l+4>>2]=I;I=lh(E|0,I|0,N|0,k|0)|0;E=C;k=ph(N|0,k|0,1)|0;k=wh(j|0,0,k&-2|0,C&1|0)|0;k=lh(I|0,E|0,k|0,C|0)|0;E=C;c[G>>2]=k;c[G+4>>2]=E;K=k^K;M=E^M;E=oh(K|0,M|0,63)|0;k=C;M=ph(K|0,M|0,1)|0;c[O>>2]=M|E;c[O+4>>2]=C|k;O=L;k=c[O>>2]|0;O=c[O+4>>2]|0;E=D;M=c[E>>2]|0;E=c[E+4>>2]|0;K=lh(M|0,E|0,k|0,O|0)|0;G=C;O=ph(k|0,O|0,1)|0;O=wh(O&-2|0,C&1|0,M|0,0)|0;O=lh(K|0,G|0,O|0,C|0)|0;G=C;K=J;k=O^c[K>>2];K=G^c[K+4>>2];I=F;j=c[I>>2]|0;I=c[I+4>>2]|0;N=lh(K|0,k|0,j|0,I|0)|0;l=C;I=ph(j|0,I|0,1)|0;I=wh(K|0,0,I&-2|0,C&1|0)|0;I=lh(N|0,l|0,I|0,C|0)|0;l=C;M=I^M;E=l^E;N=oh(M|0,E|0,24)|0;j=C;E=ph(M|0,E|0,40)|0;E=E|N;j=C|j;M=lh(E|0,j|0,O|0,G|0)|0;H=C;G=ph(O|0,G|0,1)|0;G=wh(N|0,0,G&-2|0,C&1|0)|0;G=lh(M|0,H|0,G|0,C|0)|0;H=C;c[L>>2]=G;c[L+4>>2]=H;K=G^K;k=H^k;H=oh(K|0,k|0,16)|0;G=C;k=ph(K|0,k|0,48)|0;k=k|H;G=C|G;c[J>>2]=k;c[J+4>>2]=G;G=lh(k|0,G|0,I|0,l|0)|0;k=C;l=ph(I|0,l|0,1)|0;l=wh(H|0,0,l&-2|0,C&1|0)|0;l=lh(G|0,k|0,l|0,C|0)|0;k=C;c[F>>2]=l;c[F+4>>2]=k;E=l^E;j=k^j;k=oh(E|0,j|0,63)|0;l=C;j=ph(E|0,j|0,1)|0;c[D>>2]=j|k;c[D+4>>2]=C|l;e=e+1|0}while((e|0)!=8);e=0;do{S=e<<1;D=z+(S<<3)|0;V=D;T=c[V>>2]|0;V=c[V+4>>2]|0;da=z+(S+32<<3)|0;J=da;aa=c[J>>2]|0;J=c[J+4>>2]|0;L=lh(aa|0,J|0,T|0,V|0)|0;P=C;V=ph(T|0,V|0,1)|0;V=wh(V&-2|0,C&1|0,aa|0,0)|0;V=lh(L|0,P|0,V|0,C|0)|0;P=C;L=z+(S+96<<3)|0;T=L;O=V^c[T>>2];T=P^c[T+4>>2];Y=z+(S+64<<3)|0;ca=Y;G=c[ca>>2]|0;ca=c[ca+4>>2]|0;Z=lh(T|0,O|0,G|0,ca|0)|0;X=C;ca=ph(G|0,ca|0,1)|0;ca=wh(T|0,0,ca&-2|0,C&1|0)|0;ca=lh(Z|0,X|0,ca|0,C|0)|0;X=C;aa=ca^aa;J=X^J;Z=oh(aa|0,J|0,24)|0;G=C;J=ph(aa|0,J|0,40)|0;J=J|Z;G=C|G;aa=lh(J|0,G|0,V|0,P|0)|0;ba=C;P=ph(V|0,P|0,1)|0;P=wh(Z|0,0,P&-2|0,C&1|0)|0;P=lh(aa|0,ba|0,P|0,C|0)|0;ba=C;aa=D;c[aa>>2]=P;c[aa+4>>2]=ba;T=P^T;O=ba^O;ba=oh(T|0,O|0,16)|0;P=C;O=ph(T|0,O|0,48)|0;O=O|ba;P=C|P;T=L;c[T>>2]=O;c[T+4>>2]=P;P=lh(O|0,P|0,ca|0,X|0)|0;O=C;X=ph(ca|0,X|0,1)|0;X=wh(ba|0,0,X&-2|0,C&1|0)|0;X=lh(P|0,O|0,X|0,C|0)|0;O=C;P=Y;c[P>>2]=X;c[P+4>>2]=O;J=X^J;G=O^G;O=oh(J|0,G|0,63)|0;X=C;G=ph(J|0,G|0,1)|0;J=da;c[J>>2]=G|O;c[J+4>>2]=C|X;J=z+((S|1)<<3)|0;X=J;O=c[X>>2]|0;X=c[X+4>>2]|0;G=z+(S+33<<3)|0;P=G;ba=c[P>>2]|0;P=c[P+4>>2]|0;ca=lh(ba|0,P|0,O|0,X|0)|0;T=C;X=ph(O|0,X|0,1)|0;X=wh(X&-2|0,C&1|0,ba|0,0)|0;X=lh(ca|0,T|0,X|0,C|0)|0;T=C;ca=z+(S+97<<3)|0;O=ca;aa=X^c[O>>2];O=T^c[O+4>>2];Z=z+(S+65<<3)|0;V=Z;M=c[V>>2]|0;V=c[V+4>>2]|0;N=lh(O|0,aa|0,M|0,V|0)|0;R=C;V=ph(M|0,V|0,1)|0;V=wh(O|0,0,V&-2|0,C&1|0)|0;V=lh(N|0,R|0,V|0,C|0)|0;R=C;ba=V^ba;P=R^P;N=oh(ba|0,P|0,24)|0;M=C;P=ph(ba|0,P|0,40)|0;P=P|N;M=C|M;ba=lh(P|0,M|0,X|0,T|0)|0;F=C;T=ph(X|0,T|0,1)|0;T=wh(N|0,0,T&-2|0,C&1|0)|0;T=lh(ba|0,F|0,T|0,C|0)|0;F=C;ba=J;c[ba>>2]=T;c[ba+4>>2]=F;O=T^O;aa=F^aa;F=oh(O|0,aa|0,16)|0;T=C;aa=ph(O|0,aa|0,48)|0;aa=aa|F;T=C|T;O=ca;c[O>>2]=aa;c[O+4>>2]=T;T=lh(aa|0,T|0,V|0,R|0)|0;aa=C;R=ph(V|0,R|0,1)|0;R=wh(F|0,0,R&-2|0,C&1|0)|0;R=lh(T|0,aa|0,R|0,C|0)|0;aa=C;T=Z;c[T>>2]=R;c[T+4>>2]=aa;P=R^P;M=aa^M;aa=oh(P|0,M|0,63)|0;R=C;M=ph(P|0,M|0,1)|0;P=G;c[P>>2]=M|aa;c[P+4>>2]=C|R;P=z+(S+16<<3)|0;R=P;aa=c[R>>2]|0;R=c[R+4>>2]|0;M=z+(S+48<<3)|0;T=M;F=c[T>>2]|0;T=c[T+4>>2]|0;V=lh(F|0,T|0,aa|0,R|0)|0;O=C;R=ph(aa|0,R|0,1)|0;R=wh(R&-2|0,C&1|0,F|0,0)|0;R=lh(V|0,O|0,R|0,C|0)|0;O=C;V=z+(S+112<<3)|0;aa=V;ba=R^c[aa>>2];aa=O^c[aa+4>>2];N=z+(S+80<<3)|0;X=N;Q=c[X>>2]|0;X=c[X+4>>2]|0;E=lh(aa|0,ba|0,Q|0,X|0)|0;I=C;X=ph(Q|0,X|0,1)|0;X=wh(aa|0,0,X&-2|0,C&1|0)|0;X=lh(E|0,I|0,X|0,C|0)|0;I=C;F=X^F;T=I^T;E=oh(F|0,T|0,24)|0;Q=C;T=ph(F|0,T|0,40)|0;T=T|E;Q=C|Q;F=lh(T|0,Q|0,R|0,O|0)|0;k=C;O=ph(R|0,O|0,1)|0;O=wh(E|0,0,O&-2|0,C&1|0)|0;O=lh(F|0,k|0,O|0,C|0)|0;k=C;F=P;c[F>>2]=O;c[F+4>>2]=k;aa=O^aa;ba=k^ba;k=oh(aa|0,ba|0,16)|0;O=C;ba=ph(aa|0,ba|0,48)|0;ba=ba|k;O=C|O;aa=V;c[aa>>2]=ba;c[aa+4>>2]=O;O=lh(ba|0,O|0,X|0,I|0)|0;ba=C;I=ph(X|0,I|0,1)|0;I=wh(k|0,0,I&-2|0,C&1|0)|0;I=lh(O|0,ba|0,I|0,C|0)|0;ba=C;T=I^T;Q=ba^Q;O=oh(T|0,Q|0,63)|0;k=C;Q=ph(T|0,Q|0,1)|0;T=M;c[T>>2]=Q|O;c[T+4>>2]=C|k;T=z+(S+17<<3)|0;k=T;O=c[k>>2]|0;k=c[k+4>>2]|0;Q=z+(S+49<<3)|0;X=Q;aa=c[X>>2]|0;X=c[X+4>>2]|0;F=lh(aa|0,X|0,O|0,k|0)|0;E=C;k=ph(O|0,k|0,1)|0;k=wh(k&-2|0,C&1|0,aa|0,0)|0;k=lh(F|0,E|0,k|0,C|0)|0;E=C;F=z+(S+113<<3)|0;O=F;R=k^c[O>>2];O=E^c[O+4>>2];S=z+(S+81<<3)|0;K=S;j=c[K>>2]|0;K=c[K+4>>2]|0;l=lh(O|0,R|0,j|0,K|0)|0;W=C;K=ph(j|0,K|0,1)|0;K=wh(O|0,0,K&-2|0,C&1|0)|0;K=lh(l|0,W|0,K|0,C|0)|0;W=C;aa=K^aa;X=W^X;l=oh(aa|0,X|0,24)|0;j=C;X=ph(aa|0,X|0,40)|0;X=X|l;j=C|j;aa=lh(X|0,j|0,k|0,E|0)|0;U=C;E=ph(k|0,E|0,1)|0;E=wh(l|0,0,E&-2|0,C&1|0)|0;E=lh(aa|0,U|0,E|0,C|0)|0;U=C;aa=T;c[aa>>2]=E;c[aa+4>>2]=U;O=E^O;R=U^R;U=oh(O|0,R|0,16)|0;E=C;R=ph(O|0,R|0,48)|0;R=R|U;E=C|E;O=lh(R|0,E|0,K|0,W|0)|0;aa=C;W=ph(K|0,W|0,1)|0;W=wh(U|0,0,W&-2|0,C&1|0)|0;W=lh(O|0,aa|0,W|0,C|0)|0;aa=C;X=W^X;j=aa^j;O=oh(X|0,j|0,63)|0;U=C;j=ph(X|0,j|0,1)|0;O=j|O;U=C|U;j=Q;c[j>>2]=O;c[j+4>>2]=U;j=D;X=c[j>>2]|0;j=c[j+4>>2]|0;K=G;l=c[K>>2]|0;K=c[K+4>>2]|0;k=lh(l|0,K|0,X|0,j|0)|0;H=C;j=ph(X|0,j|0,1)|0;j=wh(j&-2|0,C&1|0,l|0,0)|0;j=lh(k|0,H|0,j|0,C|0)|0;H=C;R=R^j;E=E^H;k=lh(E|0,R|0,I|0,ba|0)|0;X=C;ba=ph(I|0,ba|0,1)|0;ba=wh(E|0,0,ba&-2|0,C&1|0)|0;ba=lh(k|0,X|0,ba|0,C|0)|0;X=C;l=ba^l;K=X^K;k=oh(l|0,K|0,24)|0;I=C;K=ph(l|0,K|0,40)|0;K=K|k;I=C|I;l=lh(K|0,I|0,j|0,H|0)|0;$=C;H=ph(j|0,H|0,1)|0;H=wh(k|0,0,H&-2|0,C&1|0)|0;H=lh(l|0,$|0,H|0,C|0)|0;$=C;c[D>>2]=H;c[D+4>>2]=$;E=H^E;R=$^R;$=oh(E|0,R|0,16)|0;H=C;R=ph(E|0,R|0,48)|0;R=R|$;H=C|H;c[F>>2]=R;c[F+4>>2]=H;H=lh(R|0,H|0,ba|0,X|0)|0;R=C;X=ph(ba|0,X|0,1)|0;X=wh($|0,0,X&-2|0,C&1|0)|0;X=lh(H|0,R|0,X|0,C|0)|0;R=C;c[N>>2]=X;c[N+4>>2]=R;K=X^K;I=R^I;R=oh(K|0,I|0,63)|0;X=C;I=ph(K|0,I|0,1)|0;c[G>>2]=I|R;c[G+4>>2]=C|X;G=J;X=c[G>>2]|0;G=c[G+4>>2]|0;R=M;I=c[R>>2]|0;R=c[R+4>>2]|0;K=lh(I|0,R|0,X|0,G|0)|0;N=C;G=ph(X|0,G|0,1)|0;G=wh(G&-2|0,C&1|0,I|0,0)|0;G=lh(K|0,N|0,G|0,C|0)|0;N=C;K=L;X=G^c[K>>2];K=N^c[K+4>>2];H=lh(K|0,X|0,W|0,aa|0)|0;$=C;aa=ph(W|0,aa|0,1)|0;aa=wh(aa&-2|0,C&1|0,K|0,0)|0;aa=lh(H|0,$|0,aa|0,C|0)|0;$=C;I=aa^I;R=$^R;H=oh(I|0,R|0,24)|0;W=C;R=ph(I|0,R|0,40)|0;R=R|H;W=C|W;I=lh(R|0,W|0,G|0,N|0)|0;ba=C;N=ph(G|0,N|0,1)|0;N=wh(H|0,0,N&-2|0,C&1|0)|0;N=lh(I|0,ba|0,N|0,C|0)|0;ba=C;c[J>>2]=N;c[J+4>>2]=ba;K=N^K;X=ba^X;ba=oh(K|0,X|0,16)|0;N=C;X=ph(K|0,X|0,48)|0;X=X|ba;N=C|N;c[L>>2]=X;c[L+4>>2]=N;N=lh(X|0,N|0,aa|0,$|0)|0;X=C;$=ph(aa|0,$|0,1)|0;$=wh(ba|0,0,$&-2|0,C&1|0)|0;$=lh(N|0,X|0,$|0,C|0)|0;X=C;c[S>>2]=$;c[S+4>>2]=X;R=$^R;W=X^W;X=oh(R|0,W|0,63)|0;$=C;W=ph(R|0,W|0,1)|0;c[M>>2]=W|X;c[M+4>>2]=C|$;M=P;$=c[M>>2]|0;M=c[M+4>>2]|0;X=lh(O|0,U|0,$|0,M|0)|0;W=C;M=ph($|0,M|0,1)|0;M=wh(M&-2|0,C&1|0,O|0,0)|0;M=lh(X|0,W|0,M|0,C|0)|0;W=C;X=ca;$=M^c[X>>2];X=W^c[X+4>>2];R=Y;S=c[R>>2]|0;R=c[R+4>>2]|0;N=lh(X|0,$|0,S|0,R|0)|0;ba=C;R=ph(S|0,R|0,1)|0;R=wh(X|0,0,R&-2|0,C&1|0)|0;R=lh(N|0,ba|0,R|0,C|0)|0;ba=C;O=R^O;U=ba^U;N=oh(O|0,U|0,24)|0;S=C;U=ph(O|0,U|0,40)|0;U=U|N;S=C|S;O=lh(U|0,S|0,M|0,W|0)|0;aa=C;W=ph(M|0,W|0,1)|0;W=wh(N|0,0,W&-2|0,C&1|0)|0;W=lh(O|0,aa|0,W|0,C|0)|0;aa=C;c[P>>2]=W;c[P+4>>2]=aa;X=W^X;$=aa^$;aa=oh(X|0,$|0,16)|0;W=C;$=ph(X|0,$|0,48)|0;$=$|aa;W=C|W;c[ca>>2]=$;c[ca+4>>2]=W;W=lh($|0,W|0,R|0,ba|0)|0;$=C;ba=ph(R|0,ba|0,1)|0;ba=wh(aa|0,0,ba&-2|0,C&1|0)|0;ba=lh(W|0,$|0,ba|0,C|0)|0;$=C;c[Y>>2]=ba;c[Y+4>>2]=$;U=ba^U;S=$^S;$=oh(U|0,S|0,63)|0;ba=C;S=ph(U|0,S|0,1)|0;c[Q>>2]=S|$;c[Q+4>>2]=C|ba;Q=T;ba=c[Q>>2]|0;Q=c[Q+4>>2]|0;$=da;S=c[$>>2]|0;$=c[$+4>>2]|0;U=lh(S|0,$|0,ba|0,Q|0)|0;Y=C;Q=ph(ba|0,Q|0,1)|0;Q=wh(Q&-2|0,C&1|0,S|0,0)|0;Q=lh(U|0,Y|0,Q|0,C|0)|0;Y=C;U=V;ba=Q^c[U>>2];U=Y^c[U+4>>2];W=Z;aa=c[W>>2]|0;W=c[W+4>>2]|0;R=lh(U|0,ba|0,aa|0,W|0)|0;ca=C;W=ph(aa|0,W|0,1)|0;W=wh(U|0,0,W&-2|0,C&1|0)|0;W=lh(R|0,ca|0,W|0,C|0)|0;ca=C;S=W^S;$=ca^$;R=oh(S|0,$|0,24)|0;aa=C;$=ph(S|0,$|0,40)|0;$=$|R;aa=C|aa;S=lh($|0,aa|0,Q|0,Y|0)|0;X=C;Y=ph(Q|0,Y|0,1)|0;Y=wh(R|0,0,Y&-2|0,C&1|0)|0;Y=lh(S|0,X|0,Y|0,C|0)|0;X=C;c[T>>2]=Y;c[T+4>>2]=X;U=Y^U;ba=X^ba;X=oh(U|0,ba|0,16)|0;Y=C;ba=ph(U|0,ba|0,48)|0;ba=ba|X;Y=C|Y;c[V>>2]=ba;c[V+4>>2]=Y;Y=lh(ba|0,Y|0,W|0,ca|0)|0;ba=C;ca=ph(W|0,ca|0,1)|0;ca=wh(X|0,0,ca&-2|0,C&1|0)|0;ca=lh(Y|0,ba|0,ca|0,C|0)|0;ba=C;c[Z>>2]=ca;c[Z+4>>2]=ba;$=ca^$;aa=ba^aa;ba=oh($|0,aa|0,63)|0;ca=C;aa=ph($|0,aa|0,1)|0;c[da>>2]=aa|ba;c[da+4>>2]=C|ca;e=e+1|0}while((e|0)!=8);qh(g|0,A|0,1024)|0;e=0;do{ba=z+(e<<3)|0;da=h+(p<<10)+(e<<3)|0;aa=da;ca=c[aa+4>>2]^c[ba+4>>2];c[da>>2]=c[aa>>2]^c[ba>>2];c[da+4>>2]=ca;e=e+1|0}while((e|0)!=128)}else ee(h+(m<<10)|0,e,g);e=f+1|0;if(e>>>0>=(c[w>>2]|0)>>>0)break;l=c[u>>2]|0;p=p+1|0;f=e;e=m+1|0}c[d+12>>2]=f}gh(y);da=0;i=B;return da|0}
function id(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;A=b;w=A;w=d[w>>0]|d[w+1>>0]<<8|d[w+2>>0]<<16|d[w+3>>0]<<24;A=A+4|0;A=d[A>>0]|d[A+1>>0]<<8|d[A+2>>0]<<16|d[A+3>>0]<<24;i=b+8|0;e=i;e=d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24;i=i+4|0;i=d[i>>0]|d[i+1>>0]<<8|d[i+2>>0]<<16|d[i+3>>0]<<24;P=b+16|0;R=P;R=d[R>>0]|d[R+1>>0]<<8|d[R+2>>0]<<16|d[R+3>>0]<<24;P=P+4|0;P=d[P>>0]|d[P+1>>0]<<8|d[P+2>>0]<<16|d[P+3>>0]<<24;F=b+24|0;H=F;H=d[H>>0]|d[H+1>>0]<<8|d[H+2>>0]<<16|d[H+3>>0]<<24;F=F+4|0;F=d[F>>0]|d[F+1>>0]<<8|d[F+2>>0]<<16|d[F+3>>0]<<24;j=b+32|0;g=j;g=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;j=j+4|0;j=d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24;o=b+40|0;k=o;k=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;o=o+4|0;o=d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24;z=b+48|0;U=z;U=d[U>>0]|d[U+1>>0]<<8|d[U+2>>0]<<16|d[U+3>>0]<<24;z=z+4|0;z=d[z>>0]|d[z+1>>0]<<8|d[z+2>>0]<<16|d[z+3>>0]<<24;K=b+56|0;M=K;M=d[M>>0]|d[M+1>>0]<<8|d[M+2>>0]<<16|d[M+3>>0]<<24;K=K+4|0;K=d[K>>0]|d[K+1>>0]<<8|d[K+2>>0]<<16|d[K+3>>0]<<24;n=b+64|0;$=n;$=d[$>>0]|d[$+1>>0]<<8|d[$+2>>0]<<16|d[$+3>>0]<<24;n=n+4|0;n=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;B=b+72|0;y=B;y=d[y>>0]|d[y+1>>0]<<8|d[y+2>>0]<<16|d[y+3>>0]<<24;B=B+4|0;B=d[B>>0]|d[B+1>>0]<<8|d[B+2>>0]<<16|d[B+3>>0]<<24;t=b+80|0;ca=t;ca=d[ca>>0]|d[ca+1>>0]<<8|d[ca+2>>0]<<16|d[ca+3>>0]<<24;t=t+4|0;t=d[t>>0]|d[t+1>>0]<<8|d[t+2>>0]<<16|d[t+3>>0]<<24;u=b+88|0;q=u;q=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;u=u+4|0;u=d[u>>0]|d[u+1>>0]<<8|d[u+2>>0]<<16|d[u+3>>0]<<24;V=b+96|0;O=V;O=d[O>>0]|d[O+1>>0]<<8|d[O+2>>0]<<16|d[O+3>>0]<<24;V=V+4|0;V=d[V>>0]|d[V+1>>0]<<8|d[V+2>>0]<<16|d[V+3>>0]<<24;v=b+104|0;s=v;s=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;v=v+4|0;v=d[v>>0]|d[v+1>>0]<<8|d[v+2>>0]<<16|d[v+3>>0]<<24;p=b+112|0;m=p;m=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;p=p+4|0;p=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;h=b+120|0;Y=h;Y=d[Y>>0]|d[Y+1>>0]<<8|d[Y+2>>0]<<16|d[Y+3>>0]<<24;h=h+4|0;h=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;sa=a;J=a+8|0;oa=J;na=c[oa>>2]|0;oa=c[oa+4>>2]|0;E=a+16|0;ka=E;ja=c[ka>>2]|0;ka=c[ka+4>>2]|0;x=a+24|0;ga=x;fa=c[ga>>2]|0;ga=c[ga+4>>2]|0;r=a+32|0;ma=r;la=c[ma>>2]|0;ma=c[ma+4>>2]|0;l=a+40|0;ia=l;ha=c[ia>>2]|0;ia=c[ia+4>>2]|0;f=a+48|0;ua=f;ta=c[ua>>2]|0;ua=c[ua+4>>2]|0;b=a+56|0;qa=b;pa=c[qa>>2]|0;qa=c[qa+4>>2]|0;ba=a+64|0;aa=c[ba>>2]^-1377402159;ba=c[ba+4>>2]^1359893119;_=a+72|0;Z=c[_>>2]^725511199;_=c[_+4>>2]^-1694144372;X=a+80|0;W=c[X>>2]^-79577749;X=c[X+4>>2]^528734635;ea=a+88|0;da=c[ea>>2]^327033209;ea=c[ea+4>>2]^1541459225;sa=lh(la|0,ma|0,c[sa>>2]|0,c[sa+4>>2]|0)|0;sa=lh(sa|0,C|0,w|0,A|0)|0;ra=C;aa=aa^sa;ba=ba^ra;S=lh(ba|0,aa|0,-205731576,1779033703)|0;T=C;la=la^S;ma=ma^T;N=oh(la|0,ma|0,24)|0;Q=C;ma=ph(la|0,ma|0,40)|0;N=ma|N;Q=C|Q;ra=lh(N|0,Q|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,e|0,i|0)|0;sa=C;ba=ba^ra;aa=aa^sa;ma=oh(ba|0,aa|0,16)|0;la=C;aa=ph(ba|0,aa|0,48)|0;ma=aa|ma;la=C|la;T=lh(ma|0,la|0,S|0,T|0)|0;S=C;N=N^T;Q=Q^S;aa=oh(N|0,Q|0,63)|0;ba=C;Q=ph(N|0,Q|0,1)|0;aa=Q|aa;ba=C|ba;oa=lh(ha|0,ia|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,R|0,P|0)|0;na=C;Z=Z^oa;_=_^na;Q=lh(_|0,Z|0,-2067093701,-1150833019)|0;N=C;ha=ha^Q;ia=ia^N;I=oh(ha|0,ia|0,24)|0;L=C;ia=ph(ha|0,ia|0,40)|0;I=ia|I;L=C|L;na=lh(I|0,L|0,oa|0,na|0)|0;na=lh(na|0,C|0,H|0,F|0)|0;oa=C;_=_^na;Z=Z^oa;ia=oh(_|0,Z|0,16)|0;ha=C;Z=ph(_|0,Z|0,48)|0;ia=Z|ia;ha=C|ha;N=lh(ia|0,ha|0,Q|0,N|0)|0;Q=C;I=I^N;L=L^Q;Z=oh(I|0,L|0,63)|0;_=C;L=ph(I|0,L|0,1)|0;Z=L|Z;_=C|_;ka=lh(ta|0,ua|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,g|0,j|0)|0;ja=C;W=W^ka;X=X^ja;L=lh(X|0,W|0,-23791573,1013904242)|0;I=C;ta=ta^L;ua=ua^I;D=oh(ta|0,ua|0,24)|0;G=C;ua=ph(ta|0,ua|0,40)|0;D=ua|D;G=C|G;ja=lh(D|0,G|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,k|0,o|0)|0;ka=C;X=X^ja;W=W^ka;ua=oh(X|0,W|0,16)|0;ta=C;W=ph(X|0,W|0,48)|0;ua=W|ua;ta=C|ta;I=lh(ua|0,ta|0,L|0,I|0)|0;L=C;D=D^I;G=G^L;W=oh(D|0,G|0,63)|0;X=C;G=ph(D|0,G|0,1)|0;W=G|W;X=C|X;ga=lh(pa|0,qa|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,U|0,z|0)|0;fa=C;da=da^ga;ea=ea^fa;G=lh(ea|0,da|0,1595750129,-1521486534)|0;D=C;pa=pa^G;qa=qa^D;wa=oh(pa|0,qa|0,24)|0;va=C;qa=ph(pa|0,qa|0,40)|0;wa=qa|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,M|0,K|0)|0;ga=C;ea=ea^fa;da=da^ga;qa=oh(ea|0,da|0,16)|0;pa=C;da=ph(ea|0,da|0,48)|0;qa=da|qa;pa=C|pa;D=lh(qa|0,pa|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;da=oh(wa|0,va|0,63)|0;ea=C;va=ph(wa|0,va|0,1)|0;da=va|da;ea=C|ea;sa=lh(Z|0,_|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,$|0,n|0)|0;ra=C;qa=qa^sa;pa=pa^ra;L=lh(pa|0,qa|0,I|0,L|0)|0;I=C;Z=Z^L;_=_^I;va=oh(Z|0,_|0,24)|0;wa=C;_=ph(Z|0,_|0,40)|0;va=_|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,y|0,B|0)|0;sa=C;pa=pa^ra;qa=qa^sa;_=oh(pa|0,qa|0,16)|0;Z=C;qa=ph(pa|0,qa|0,48)|0;_=qa|_;Z=C|Z;I=lh(_|0,Z|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;qa=oh(va|0,wa|0,63)|0;pa=C;wa=ph(va|0,wa|0,1)|0;qa=wa|qa;pa=C|pa;oa=lh(W|0,X|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,ca|0,t|0)|0;na=C;ma=ma^oa;la=la^na;G=lh(la|0,ma|0,D|0,G|0)|0;D=C;W=W^G;X=X^D;wa=oh(W|0,X|0,24)|0;va=C;X=ph(W|0,X|0,40)|0;wa=X|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,q|0,u|0)|0;oa=C;la=la^na;ma=ma^oa;X=oh(la|0,ma|0,16)|0;W=C;ma=ph(la|0,ma|0,48)|0;X=ma|X;W=C|W;D=lh(X|0,W|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ma=oh(wa|0,va|0,63)|0;la=C;va=ph(wa|0,va|0,1)|0;ma=va|ma;la=C|la;ka=lh(da|0,ea|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,O|0,V|0)|0;ja=C;ia=ia^ka;ha=ha^ja;S=lh(ha|0,ia|0,T|0,S|0)|0;T=C;da=da^S;ea=ea^T;va=oh(da|0,ea|0,24)|0;wa=C;ea=ph(da|0,ea|0,40)|0;va=ea|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,s|0,v|0)|0;ka=C;ha=ha^ja;ia=ia^ka;ea=oh(ha|0,ia|0,16)|0;da=C;ia=ph(ha|0,ia|0,48)|0;ea=ia|ea;da=C|da;T=lh(ea|0,da|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;ia=oh(va|0,wa|0,63)|0;ha=C;wa=ph(va|0,wa|0,1)|0;ia=wa|ia;ha=C|ha;ga=lh(aa|0,ba|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,m|0,p|0)|0;fa=C;ua=ua^ga;ta=ta^fa;Q=lh(ta|0,ua|0,N|0,Q|0)|0;N=C;aa=aa^Q;ba=ba^N;wa=oh(aa|0,ba|0,24)|0;va=C;ba=ph(aa|0,ba|0,40)|0;wa=ba|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,Y|0,h|0)|0;ga=C;ta=ta^fa;ua=ua^ga;ba=oh(ta|0,ua|0,16)|0;aa=C;ua=ph(ta|0,ua|0,48)|0;ba=ua|ba;aa=C|aa;N=lh(ba|0,aa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ua=oh(wa|0,va|0,63)|0;ta=C;va=ph(wa|0,va|0,1)|0;ua=va|ua;ta=C|ta;sa=lh(ua|0,ta|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,m|0,p|0)|0;ra=C;X=X^sa;W=W^ra;S=lh(W|0,X|0,T|0,S|0)|0;T=C;ua=ua^S;ta=ta^T;va=oh(ua|0,ta|0,24)|0;wa=C;ta=ph(ua|0,ta|0,40)|0;va=ta|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,ca|0,t|0)|0;sa=C;W=W^ra;X=X^sa;ta=oh(W|0,X|0,16)|0;ua=C;X=ph(W|0,X|0,48)|0;ta=X|ta;ua=C|ua;T=lh(ta|0,ua|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;X=oh(va|0,wa|0,63)|0;W=C;wa=ph(va|0,wa|0,1)|0;X=wa|X;W=C|W;oa=lh(qa|0,pa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,g|0,j|0)|0;na=C;ea=ea^oa;da=da^na;Q=lh(da|0,ea|0,N|0,Q|0)|0;N=C;qa=qa^Q;pa=pa^N;wa=oh(qa|0,pa|0,24)|0;va=C;pa=ph(qa|0,pa|0,40)|0;wa=pa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,$|0,n|0)|0;oa=C;da=da^na;ea=ea^oa;pa=oh(da|0,ea|0,16)|0;qa=C;ea=ph(da|0,ea|0,48)|0;pa=ea|pa;qa=C|qa;N=lh(pa|0,qa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ea=oh(wa|0,va|0,63)|0;da=C;va=ph(wa|0,va|0,1)|0;ea=va|ea;da=C|da;ka=lh(ma|0,la|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,y|0,B|0)|0;ja=C;ba=ba^ka;aa=aa^ja;L=lh(aa|0,ba|0,I|0,L|0)|0;I=C;ma=ma^L;la=la^I;va=oh(ma|0,la|0,24)|0;wa=C;la=ph(ma|0,la|0,40)|0;va=la|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,Y|0,h|0)|0;ka=C;aa=aa^ja;ba=ba^ka;la=oh(aa|0,ba|0,16)|0;ma=C;ba=ph(aa|0,ba|0,48)|0;la=ba|la;ma=C|ma;I=lh(la|0,ma|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ba=oh(va|0,wa|0,63)|0;aa=C;wa=ph(va|0,wa|0,1)|0;ba=wa|ba;aa=C|aa;ga=lh(ia|0,ha|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,s|0,v|0)|0;fa=C;_=_^ga;Z=Z^fa;G=lh(Z|0,_|0,D|0,G|0)|0;D=C;ia=ia^G;ha=ha^D;wa=oh(ia|0,ha|0,24)|0;va=C;ha=ph(ia|0,ha|0,40)|0;wa=ha|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,U|0,z|0)|0;ga=C;Z=Z^fa;_=_^ga;ha=oh(Z|0,_|0,16)|0;ia=C;_=ph(Z|0,_|0,48)|0;ha=_|ha;ia=C|ia;D=lh(ha|0,ia|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;_=oh(wa|0,va|0,63)|0;Z=C;va=ph(wa|0,va|0,1)|0;_=va|_;Z=C|Z;sa=lh(ea|0,da|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,e|0,i|0)|0;ra=C;ha=ha^sa;ia=ia^ra;L=lh(ia|0,ha|0,I|0,L|0)|0;I=C;ea=ea^L;da=da^I;va=oh(ea|0,da|0,24)|0;wa=C;da=ph(ea|0,da|0,40)|0;va=da|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,O|0,V|0)|0;sa=C;ia=ia^ra;ha=ha^sa;da=oh(ia|0,ha|0,16)|0;ea=C;ha=ph(ia|0,ha|0,48)|0;da=ha|da;ea=C|ea;I=lh(da|0,ea|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ha=oh(va|0,wa|0,63)|0;ia=C;wa=ph(va|0,wa|0,1)|0;ha=wa|ha;ia=C|ia;oa=lh(ba|0,aa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,w|0,A|0)|0;na=C;ta=ta^oa;ua=ua^na;G=lh(ua|0,ta|0,D|0,G|0)|0;D=C;ba=ba^G;aa=aa^D;wa=oh(ba|0,aa|0,24)|0;va=C;aa=ph(ba|0,aa|0,40)|0;wa=aa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,R|0,P|0)|0;oa=C;ua=ua^na;ta=ta^oa;aa=oh(ua|0,ta|0,16)|0;ba=C;ta=ph(ua|0,ta|0,48)|0;aa=ta|aa;ba=C|ba;D=lh(aa|0,ba|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ta=oh(wa|0,va|0,63)|0;ua=C;va=ph(wa|0,va|0,1)|0;ta=va|ta;ua=C|ua;ka=lh(_|0,Z|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,q|0,u|0)|0;ja=C;pa=pa^ka;qa=qa^ja;S=lh(qa|0,pa|0,T|0,S|0)|0;T=C;_=_^S;Z=Z^T;va=oh(_|0,Z|0,24)|0;wa=C;Z=ph(_|0,Z|0,40)|0;va=Z|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,M|0,K|0)|0;ka=C;qa=qa^ja;pa=pa^ka;Z=oh(qa|0,pa|0,16)|0;_=C;pa=ph(qa|0,pa|0,48)|0;Z=pa|Z;_=C|_;T=lh(Z|0,_|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;pa=oh(va|0,wa|0,63)|0;qa=C;wa=ph(va|0,wa|0,1)|0;pa=wa|pa;qa=C|qa;ga=lh(X|0,W|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,k|0,o|0)|0;fa=C;la=la^ga;ma=ma^fa;Q=lh(ma|0,la|0,N|0,Q|0)|0;N=C;X=X^Q;W=W^N;wa=oh(X|0,W|0,24)|0;va=C;W=ph(X|0,W|0,40)|0;wa=W|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,H|0,F|0)|0;ga=C;ma=ma^fa;la=la^ga;W=oh(ma|0,la|0,16)|0;X=C;la=ph(ma|0,la|0,48)|0;W=la|W;X=C|X;N=lh(W|0,X|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;la=oh(wa|0,va|0,63)|0;ma=C;va=ph(wa|0,va|0,1)|0;la=va|la;ma=C|ma;sa=lh(la|0,ma|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,q|0,u|0)|0;ra=C;aa=aa^sa;ba=ba^ra;S=lh(ba|0,aa|0,T|0,S|0)|0;T=C;la=la^S;ma=ma^T;va=oh(la|0,ma|0,24)|0;wa=C;ma=ph(la|0,ma|0,40)|0;va=ma|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,$|0,n|0)|0;sa=C;ba=ba^ra;aa=aa^sa;ma=oh(ba|0,aa|0,16)|0;la=C;aa=ph(ba|0,aa|0,48)|0;ma=aa|ma;la=C|la;T=lh(ma|0,la|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;aa=oh(va|0,wa|0,63)|0;ba=C;wa=ph(va|0,wa|0,1)|0;aa=wa|aa;ba=C|ba;oa=lh(ha|0,ia|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,O|0,V|0)|0;na=C;Z=Z^oa;_=_^na;Q=lh(_|0,Z|0,N|0,Q|0)|0;N=C;ha=ha^Q;ia=ia^N;wa=oh(ha|0,ia|0,24)|0;va=C;ia=ph(ha|0,ia|0,40)|0;wa=ia|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,w|0,A|0)|0;oa=C;_=_^na;Z=Z^oa;ia=oh(_|0,Z|0,16)|0;ha=C;Z=ph(_|0,Z|0,48)|0;ia=Z|ia;ha=C|ha;N=lh(ia|0,ha|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;Z=oh(wa|0,va|0,63)|0;_=C;va=ph(wa|0,va|0,1)|0;Z=va|Z;_=C|_;ka=lh(ta|0,ua|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,k|0,o|0)|0;ja=C;W=W^ka;X=X^ja;L=lh(X|0,W|0,I|0,L|0)|0;I=C;ta=ta^L;ua=ua^I;va=oh(ta|0,ua|0,24)|0;wa=C;ua=ph(ta|0,ua|0,40)|0;va=ua|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,R|0,P|0)|0;ka=C;X=X^ja;W=W^ka;ua=oh(X|0,W|0,16)|0;ta=C;W=ph(X|0,W|0,48)|0;ua=W|ua;ta=C|ta;I=lh(ua|0,ta|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;W=oh(va|0,wa|0,63)|0;X=C;wa=ph(va|0,wa|0,1)|0;W=wa|W;X=C|X;ga=lh(pa|0,qa|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,Y|0,h|0)|0;fa=C;da=da^ga;ea=ea^fa;G=lh(ea|0,da|0,D|0,G|0)|0;D=C;pa=pa^G;qa=qa^D;wa=oh(pa|0,qa|0,24)|0;va=C;qa=ph(pa|0,qa|0,40)|0;wa=qa|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,s|0,v|0)|0;ga=C;ea=ea^fa;da=da^ga;qa=oh(ea|0,da|0,16)|0;pa=C;da=ph(ea|0,da|0,48)|0;qa=da|qa;pa=C|pa;D=lh(qa|0,pa|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;da=oh(wa|0,va|0,63)|0;ea=C;va=ph(wa|0,va|0,1)|0;da=va|da;ea=C|ea;sa=lh(Z|0,_|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,ca|0,t|0)|0;ra=C;qa=qa^sa;pa=pa^ra;L=lh(pa|0,qa|0,I|0,L|0)|0;I=C;Z=Z^L;_=_^I;va=oh(Z|0,_|0,24)|0;wa=C;_=ph(Z|0,_|0,40)|0;va=_|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,m|0,p|0)|0;sa=C;pa=pa^ra;qa=qa^sa;_=oh(pa|0,qa|0,16)|0;Z=C;qa=ph(pa|0,qa|0,48)|0;_=qa|_;Z=C|Z;I=lh(_|0,Z|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;qa=oh(va|0,wa|0,63)|0;pa=C;wa=ph(va|0,wa|0,1)|0;qa=wa|qa;pa=C|pa;oa=lh(W|0,X|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,H|0,F|0)|0;na=C;ma=ma^oa;la=la^na;G=lh(la|0,ma|0,D|0,G|0)|0;D=C;W=W^G;X=X^D;wa=oh(W|0,X|0,24)|0;va=C;X=ph(W|0,X|0,40)|0;wa=X|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,U|0,z|0)|0;oa=C;la=la^na;ma=ma^oa;X=oh(la|0,ma|0,16)|0;W=C;ma=ph(la|0,ma|0,48)|0;X=ma|X;W=C|W;D=lh(X|0,W|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ma=oh(wa|0,va|0,63)|0;la=C;va=ph(wa|0,va|0,1)|0;ma=va|ma;la=C|la;ka=lh(da|0,ea|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,M|0,K|0)|0;ja=C;ia=ia^ka;ha=ha^ja;S=lh(ha|0,ia|0,T|0,S|0)|0;T=C;da=da^S;ea=ea^T;va=oh(da|0,ea|0,24)|0;wa=C;ea=ph(da|0,ea|0,40)|0;va=ea|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,e|0,i|0)|0;ka=C;ha=ha^ja;ia=ia^ka;ea=oh(ha|0,ia|0,16)|0;da=C;ia=ph(ha|0,ia|0,48)|0;ea=ia|ea;da=C|da;T=lh(ea|0,da|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;ia=oh(va|0,wa|0,63)|0;ha=C;wa=ph(va|0,wa|0,1)|0;ia=wa|ia;ha=C|ha;ga=lh(aa|0,ba|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,y|0,B|0)|0;fa=C;ua=ua^ga;ta=ta^fa;Q=lh(ta|0,ua|0,N|0,Q|0)|0;N=C;aa=aa^Q;ba=ba^N;wa=oh(aa|0,ba|0,24)|0;va=C;ba=ph(aa|0,ba|0,40)|0;wa=ba|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,g|0,j|0)|0;ga=C;ta=ta^fa;ua=ua^ga;ba=oh(ta|0,ua|0,16)|0;aa=C;ua=ph(ta|0,ua|0,48)|0;ba=ua|ba;aa=C|aa;N=lh(ba|0,aa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ua=oh(wa|0,va|0,63)|0;ta=C;va=ph(wa|0,va|0,1)|0;ua=va|ua;ta=C|ta;sa=lh(ua|0,ta|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,M|0,K|0)|0;ra=C;X=X^sa;W=W^ra;S=lh(W|0,X|0,T|0,S|0)|0;T=C;ua=ua^S;ta=ta^T;va=oh(ua|0,ta|0,24)|0;wa=C;ta=ph(ua|0,ta|0,40)|0;va=ta|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,y|0,B|0)|0;sa=C;W=W^ra;X=X^sa;ta=oh(W|0,X|0,16)|0;ua=C;X=ph(W|0,X|0,48)|0;ta=X|ta;ua=C|ua;T=lh(ta|0,ua|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;X=oh(va|0,wa|0,63)|0;W=C;wa=ph(va|0,wa|0,1)|0;X=wa|X;W=C|W;oa=lh(qa|0,pa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,H|0,F|0)|0;na=C;ea=ea^oa;da=da^na;Q=lh(da|0,ea|0,N|0,Q|0)|0;N=C;qa=qa^Q;pa=pa^N;wa=oh(qa|0,pa|0,24)|0;va=C;pa=ph(qa|0,pa|0,40)|0;wa=pa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,e|0,i|0)|0;oa=C;da=da^na;ea=ea^oa;pa=oh(da|0,ea|0,16)|0;qa=C;ea=ph(da|0,ea|0,48)|0;pa=ea|pa;qa=C|qa;N=lh(pa|0,qa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ea=oh(wa|0,va|0,63)|0;da=C;va=ph(wa|0,va|0,1)|0;ea=va|ea;da=C|da;ka=lh(ma|0,la|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,s|0,v|0)|0;ja=C;ba=ba^ka;aa=aa^ja;L=lh(aa|0,ba|0,I|0,L|0)|0;I=C;ma=ma^L;la=la^I;va=oh(ma|0,la|0,24)|0;wa=C;la=ph(ma|0,la|0,40)|0;va=la|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,O|0,V|0)|0;ka=C;aa=aa^ja;ba=ba^ka;la=oh(aa|0,ba|0,16)|0;ma=C;ba=ph(aa|0,ba|0,48)|0;la=ba|la;ma=C|ma;I=lh(la|0,ma|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ba=oh(va|0,wa|0,63)|0;aa=C;wa=ph(va|0,wa|0,1)|0;ba=wa|ba;aa=C|aa;ga=lh(ia|0,ha|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,q|0,u|0)|0;fa=C;_=_^ga;Z=Z^fa;G=lh(Z|0,_|0,D|0,G|0)|0;D=C;ia=ia^G;ha=ha^D;wa=oh(ia|0,ha|0,24)|0;va=C;ha=ph(ia|0,ha|0,40)|0;wa=ha|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,m|0,p|0)|0;ga=C;Z=Z^fa;_=_^ga;ha=oh(Z|0,_|0,16)|0;ia=C;_=ph(Z|0,_|0,48)|0;ha=_|ha;ia=C|ia;D=lh(ha|0,ia|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;_=oh(wa|0,va|0,63)|0;Z=C;va=ph(wa|0,va|0,1)|0;_=va|_;Z=C|Z;sa=lh(ea|0,da|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,R|0,P|0)|0;ra=C;ha=ha^sa;ia=ia^ra;L=lh(ia|0,ha|0,I|0,L|0)|0;I=C;ea=ea^L;da=da^I;va=oh(ea|0,da|0,24)|0;wa=C;da=ph(ea|0,da|0,40)|0;va=da|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,U|0,z|0)|0;sa=C;ia=ia^ra;ha=ha^sa;da=oh(ia|0,ha|0,16)|0;ea=C;ha=ph(ia|0,ha|0,48)|0;da=ha|da;ea=C|ea;I=lh(da|0,ea|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ha=oh(va|0,wa|0,63)|0;ia=C;wa=ph(va|0,wa|0,1)|0;ha=wa|ha;ia=C|ia;oa=lh(ba|0,aa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,k|0,o|0)|0;na=C;ta=ta^oa;ua=ua^na;G=lh(ua|0,ta|0,D|0,G|0)|0;D=C;ba=ba^G;aa=aa^D;wa=oh(ba|0,aa|0,24)|0;va=C;aa=ph(ba|0,aa|0,40)|0;wa=aa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,ca|0,t|0)|0;oa=C;ua=ua^na;ta=ta^oa;aa=oh(ua|0,ta|0,16)|0;ba=C;ta=ph(ua|0,ta|0,48)|0;aa=ta|aa;ba=C|ba;D=lh(aa|0,ba|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ta=oh(wa|0,va|0,63)|0;ua=C;va=ph(wa|0,va|0,1)|0;ta=va|ta;ua=C|ua;ka=lh(_|0,Z|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,g|0,j|0)|0;ja=C;pa=pa^ka;qa=qa^ja;S=lh(qa|0,pa|0,T|0,S|0)|0;T=C;_=_^S;Z=Z^T;va=oh(_|0,Z|0,24)|0;wa=C;Z=ph(_|0,Z|0,40)|0;va=Z|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,w|0,A|0)|0;ka=C;qa=qa^ja;pa=pa^ka;Z=oh(qa|0,pa|0,16)|0;_=C;pa=ph(qa|0,pa|0,48)|0;Z=pa|Z;_=C|_;T=lh(Z|0,_|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;pa=oh(va|0,wa|0,63)|0;qa=C;wa=ph(va|0,wa|0,1)|0;pa=wa|pa;qa=C|qa;ga=lh(X|0,W|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,Y|0,h|0)|0;fa=C;la=la^ga;ma=ma^fa;Q=lh(ma|0,la|0,N|0,Q|0)|0;N=C;X=X^Q;W=W^N;wa=oh(X|0,W|0,24)|0;va=C;W=ph(X|0,W|0,40)|0;wa=W|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,$|0,n|0)|0;ga=C;ma=ma^fa;la=la^ga;W=oh(ma|0,la|0,16)|0;X=C;la=ph(ma|0,la|0,48)|0;W=la|W;X=C|X;N=lh(W|0,X|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;la=oh(wa|0,va|0,63)|0;ma=C;va=ph(wa|0,va|0,1)|0;la=va|la;ma=C|ma;sa=lh(la|0,ma|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,y|0,B|0)|0;ra=C;aa=aa^sa;ba=ba^ra;S=lh(ba|0,aa|0,T|0,S|0)|0;T=C;la=la^S;ma=ma^T;va=oh(la|0,ma|0,24)|0;wa=C;ma=ph(la|0,ma|0,40)|0;va=ma|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,w|0,A|0)|0;sa=C;ba=ba^ra;aa=aa^sa;ma=oh(ba|0,aa|0,16)|0;la=C;aa=ph(ba|0,aa|0,48)|0;ma=aa|ma;la=C|la;T=lh(ma|0,la|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;aa=oh(va|0,wa|0,63)|0;ba=C;wa=ph(va|0,wa|0,1)|0;aa=wa|aa;ba=C|ba;oa=lh(ha|0,ia|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,k|0,o|0)|0;na=C;Z=Z^oa;_=_^na;Q=lh(_|0,Z|0,N|0,Q|0)|0;N=C;ha=ha^Q;ia=ia^N;wa=oh(ha|0,ia|0,24)|0;va=C;ia=ph(ha|0,ia|0,40)|0;wa=ia|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,M|0,K|0)|0;oa=C;_=_^na;Z=Z^oa;ia=oh(_|0,Z|0,16)|0;ha=C;Z=ph(_|0,Z|0,48)|0;ia=Z|ia;ha=C|ha;N=lh(ia|0,ha|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;Z=oh(wa|0,va|0,63)|0;_=C;va=ph(wa|0,va|0,1)|0;Z=va|Z;_=C|_;ka=lh(ta|0,ua|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,R|0,P|0)|0;ja=C;W=W^ka;X=X^ja;L=lh(X|0,W|0,I|0,L|0)|0;I=C;ta=ta^L;ua=ua^I;va=oh(ta|0,ua|0,24)|0;wa=C;ua=ph(ta|0,ua|0,40)|0;va=ua|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,g|0,j|0)|0;ka=C;X=X^ja;W=W^ka;ua=oh(X|0,W|0,16)|0;ta=C;W=ph(X|0,W|0,48)|0;ua=W|ua;ta=C|ta;I=lh(ua|0,ta|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;W=oh(va|0,wa|0,63)|0;X=C;wa=ph(va|0,wa|0,1)|0;W=wa|W;X=C|X;ga=lh(pa|0,qa|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,ca|0,t|0)|0;fa=C;da=da^ga;ea=ea^fa;G=lh(ea|0,da|0,D|0,G|0)|0;D=C;pa=pa^G;qa=qa^D;wa=oh(pa|0,qa|0,24)|0;va=C;qa=ph(pa|0,qa|0,40)|0;wa=qa|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,Y|0,h|0)|0;ga=C;ea=ea^fa;da=da^ga;qa=oh(ea|0,da|0,16)|0;pa=C;da=ph(ea|0,da|0,48)|0;qa=da|qa;pa=C|pa;D=lh(qa|0,pa|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;da=oh(wa|0,va|0,63)|0;ea=C;va=ph(wa|0,va|0,1)|0;da=va|da;ea=C|ea;sa=lh(Z|0,_|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,m|0,p|0)|0;ra=C;qa=qa^sa;pa=pa^ra;L=lh(pa|0,qa|0,I|0,L|0)|0;I=C;Z=Z^L;_=_^I;va=oh(Z|0,_|0,24)|0;wa=C;_=ph(Z|0,_|0,40)|0;va=_|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,e|0,i|0)|0;sa=C;pa=pa^ra;qa=qa^sa;_=oh(pa|0,qa|0,16)|0;Z=C;qa=ph(pa|0,qa|0,48)|0;_=qa|_;Z=C|Z;I=lh(_|0,Z|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;qa=oh(va|0,wa|0,63)|0;pa=C;wa=ph(va|0,wa|0,1)|0;qa=wa|qa;pa=C|pa;oa=lh(W|0,X|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,q|0,u|0)|0;na=C;ma=ma^oa;la=la^na;G=lh(la|0,ma|0,D|0,G|0)|0;D=C;W=W^G;X=X^D;wa=oh(W|0,X|0,24)|0;va=C;X=ph(W|0,X|0,40)|0;wa=X|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,O|0,V|0)|0;oa=C;la=la^na;ma=ma^oa;X=oh(la|0,ma|0,16)|0;W=C;ma=ph(la|0,ma|0,48)|0;X=ma|X;W=C|W;D=lh(X|0,W|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ma=oh(wa|0,va|0,63)|0;la=C;va=ph(wa|0,va|0,1)|0;ma=va|ma;la=C|la;ka=lh(da|0,ea|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,U|0,z|0)|0;ja=C;ia=ia^ka;ha=ha^ja;S=lh(ha|0,ia|0,T|0,S|0)|0;T=C;da=da^S;ea=ea^T;va=oh(da|0,ea|0,24)|0;wa=C;ea=ph(da|0,ea|0,40)|0;va=ea|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,$|0,n|0)|0;ka=C;ha=ha^ja;ia=ia^ka;ea=oh(ha|0,ia|0,16)|0;da=C;ia=ph(ha|0,ia|0,48)|0;ea=ia|ea;da=C|da;T=lh(ea|0,da|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;ia=oh(va|0,wa|0,63)|0;ha=C;wa=ph(va|0,wa|0,1)|0;ia=wa|ia;ha=C|ha;ga=lh(aa|0,ba|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,H|0,F|0)|0;fa=C;ua=ua^ga;ta=ta^fa;Q=lh(ta|0,ua|0,N|0,Q|0)|0;N=C;aa=aa^Q;ba=ba^N;wa=oh(aa|0,ba|0,24)|0;va=C;ba=ph(aa|0,ba|0,40)|0;wa=ba|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,s|0,v|0)|0;ga=C;ta=ta^fa;ua=ua^ga;ba=oh(ta|0,ua|0,16)|0;aa=C;ua=ph(ta|0,ua|0,48)|0;ba=ua|ba;aa=C|aa;N=lh(ba|0,aa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ua=oh(wa|0,va|0,63)|0;ta=C;va=ph(wa|0,va|0,1)|0;ua=va|ua;ta=C|ta;sa=lh(ua|0,ta|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,R|0,P|0)|0;ra=C;X=X^sa;W=W^ra;S=lh(W|0,X|0,T|0,S|0)|0;T=C;ua=ua^S;ta=ta^T;va=oh(ua|0,ta|0,24)|0;wa=C;ta=ph(ua|0,ta|0,40)|0;va=ta|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,O|0,V|0)|0;sa=C;W=W^ra;X=X^sa;ta=oh(W|0,X|0,16)|0;ua=C;X=ph(W|0,X|0,48)|0;ta=X|ta;ua=C|ua;T=lh(ta|0,ua|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;X=oh(va|0,wa|0,63)|0;W=C;wa=ph(va|0,wa|0,1)|0;X=wa|X;W=C|W;oa=lh(qa|0,pa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,U|0,z|0)|0;na=C;ea=ea^oa;da=da^na;Q=lh(da|0,ea|0,N|0,Q|0)|0;N=C;qa=qa^Q;pa=pa^N;wa=oh(qa|0,pa|0,24)|0;va=C;pa=ph(qa|0,pa|0,40)|0;wa=pa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,ca|0,t|0)|0;oa=C;da=da^na;ea=ea^oa;pa=oh(da|0,ea|0,16)|0;qa=C;ea=ph(da|0,ea|0,48)|0;pa=ea|pa;qa=C|qa;N=lh(pa|0,qa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ea=oh(wa|0,va|0,63)|0;da=C;va=ph(wa|0,va|0,1)|0;ea=va|ea;da=C|da;ka=lh(ma|0,la|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,w|0,A|0)|0;ja=C;ba=ba^ka;aa=aa^ja;L=lh(aa|0,ba|0,I|0,L|0)|0;I=C;ma=ma^L;la=la^I;va=oh(ma|0,la|0,24)|0;wa=C;la=ph(ma|0,la|0,40)|0;va=la|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,q|0,u|0)|0;ka=C;aa=aa^ja;ba=ba^ka;la=oh(aa|0,ba|0,16)|0;ma=C;ba=ph(aa|0,ba|0,48)|0;la=ba|la;ma=C|ma;I=lh(la|0,ma|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ba=oh(va|0,wa|0,63)|0;aa=C;wa=ph(va|0,wa|0,1)|0;ba=wa|ba;aa=C|aa;ga=lh(ia|0,ha|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,$|0,n|0)|0;fa=C;_=_^ga;Z=Z^fa;G=lh(Z|0,_|0,D|0,G|0)|0;D=C;ia=ia^G;ha=ha^D;wa=oh(ia|0,ha|0,24)|0;va=C;ha=ph(ia|0,ha|0,40)|0;wa=ha|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,H|0,F|0)|0;ga=C;Z=Z^fa;_=_^ga;ha=oh(Z|0,_|0,16)|0;ia=C;_=ph(Z|0,_|0,48)|0;ha=_|ha;ia=C|ia;D=lh(ha|0,ia|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;_=oh(wa|0,va|0,63)|0;Z=C;va=ph(wa|0,va|0,1)|0;_=va|_;Z=C|Z;sa=lh(ea|0,da|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,g|0,j|0)|0;ra=C;ha=ha^sa;ia=ia^ra;L=lh(ia|0,ha|0,I|0,L|0)|0;I=C;ea=ea^L;da=da^I;va=oh(ea|0,da|0,24)|0;wa=C;da=ph(ea|0,da|0,40)|0;va=da|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,s|0,v|0)|0;sa=C;ia=ia^ra;ha=ha^sa;da=oh(ia|0,ha|0,16)|0;ea=C;ha=ph(ia|0,ha|0,48)|0;da=ha|da;ea=C|ea;I=lh(da|0,ea|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ha=oh(va|0,wa|0,63)|0;ia=C;wa=ph(va|0,wa|0,1)|0;ha=wa|ha;ia=C|ia;oa=lh(ba|0,aa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,M|0,K|0)|0;na=C;ta=ta^oa;ua=ua^na;G=lh(ua|0,ta|0,D|0,G|0)|0;D=C;ba=ba^G;aa=aa^D;wa=oh(ba|0,aa|0,24)|0;va=C;aa=ph(ba|0,aa|0,40)|0;wa=aa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,k|0,o|0)|0;oa=C;ua=ua^na;ta=ta^oa;aa=oh(ua|0,ta|0,16)|0;ba=C;ta=ph(ua|0,ta|0,48)|0;aa=ta|aa;ba=C|ba;D=lh(aa|0,ba|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ta=oh(wa|0,va|0,63)|0;ua=C;va=ph(wa|0,va|0,1)|0;ta=va|ta;ua=C|ua;ka=lh(_|0,Z|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,Y|0,h|0)|0;ja=C;pa=pa^ka;qa=qa^ja;S=lh(qa|0,pa|0,T|0,S|0)|0;T=C;_=_^S;Z=Z^T;va=oh(_|0,Z|0,24)|0;wa=C;Z=ph(_|0,Z|0,40)|0;va=Z|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,m|0,p|0)|0;ka=C;qa=qa^ja;pa=pa^ka;Z=oh(qa|0,pa|0,16)|0;_=C;pa=ph(qa|0,pa|0,48)|0;Z=pa|Z;_=C|_;T=lh(Z|0,_|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;pa=oh(va|0,wa|0,63)|0;qa=C;wa=ph(va|0,wa|0,1)|0;pa=wa|pa;qa=C|qa;ga=lh(X|0,W|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,e|0,i|0)|0;fa=C;la=la^ga;ma=ma^fa;Q=lh(ma|0,la|0,N|0,Q|0)|0;N=C;X=X^Q;W=W^N;wa=oh(X|0,W|0,24)|0;va=C;W=ph(X|0,W|0,40)|0;wa=W|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,y|0,B|0)|0;ga=C;ma=ma^fa;la=la^ga;W=oh(ma|0,la|0,16)|0;X=C;la=ph(ma|0,la|0,48)|0;W=la|W;X=C|X;N=lh(W|0,X|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;la=oh(wa|0,va|0,63)|0;ma=C;va=ph(wa|0,va|0,1)|0;la=va|la;ma=C|ma;sa=lh(la|0,ma|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,O|0,V|0)|0;ra=C;aa=aa^sa;ba=ba^ra;S=lh(ba|0,aa|0,T|0,S|0)|0;T=C;la=la^S;ma=ma^T;va=oh(la|0,ma|0,24)|0;wa=C;ma=ph(la|0,ma|0,40)|0;va=ma|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,k|0,o|0)|0;sa=C;ba=ba^ra;aa=aa^sa;ma=oh(ba|0,aa|0,16)|0;la=C;aa=ph(ba|0,aa|0,48)|0;ma=aa|ma;la=C|la;T=lh(ma|0,la|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;aa=oh(va|0,wa|0,63)|0;ba=C;wa=ph(va|0,wa|0,1)|0;aa=wa|aa;ba=C|ba;oa=lh(ha|0,ia|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,e|0,i|0)|0;na=C;Z=Z^oa;_=_^na;Q=lh(_|0,Z|0,N|0,Q|0)|0;N=C;ha=ha^Q;ia=ia^N;wa=oh(ha|0,ia|0,24)|0;va=C;ia=ph(ha|0,ia|0,40)|0;wa=ia|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,Y|0,h|0)|0;oa=C;_=_^na;Z=Z^oa;ia=oh(_|0,Z|0,16)|0;ha=C;Z=ph(_|0,Z|0,48)|0;ia=Z|ia;ha=C|ha;N=lh(ia|0,ha|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;Z=oh(wa|0,va|0,63)|0;_=C;va=ph(wa|0,va|0,1)|0;Z=va|Z;_=C|_;ka=lh(ta|0,ua|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,m|0,p|0)|0;ja=C;W=W^ka;X=X^ja;L=lh(X|0,W|0,I|0,L|0)|0;I=C;ta=ta^L;ua=ua^I;va=oh(ta|0,ua|0,24)|0;wa=C;ua=ph(ta|0,ua|0,40)|0;va=ua|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,s|0,v|0)|0;ka=C;X=X^ja;W=W^ka;ua=oh(X|0,W|0,16)|0;ta=C;W=ph(X|0,W|0,48)|0;ua=W|ua;ta=C|ta;I=lh(ua|0,ta|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;W=oh(va|0,wa|0,63)|0;X=C;wa=ph(va|0,wa|0,1)|0;W=wa|W;X=C|X;ga=lh(pa|0,qa|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,g|0,j|0)|0;fa=C;da=da^ga;ea=ea^fa;G=lh(ea|0,da|0,D|0,G|0)|0;D=C;pa=pa^G;qa=qa^D;wa=oh(pa|0,qa|0,24)|0;va=C;qa=ph(pa|0,qa|0,40)|0;wa=qa|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,ca|0,t|0)|0;ga=C;ea=ea^fa;da=da^ga;qa=oh(ea|0,da|0,16)|0;pa=C;da=ph(ea|0,da|0,48)|0;qa=da|qa;pa=C|pa;D=lh(qa|0,pa|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;da=oh(wa|0,va|0,63)|0;ea=C;va=ph(wa|0,va|0,1)|0;da=va|da;ea=C|ea;sa=lh(Z|0,_|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,w|0,A|0)|0;ra=C;qa=qa^sa;pa=pa^ra;L=lh(pa|0,qa|0,I|0,L|0)|0;I=C;Z=Z^L;_=_^I;va=oh(Z|0,_|0,24)|0;wa=C;_=ph(Z|0,_|0,40)|0;va=_|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,M|0,K|0)|0;sa=C;pa=pa^ra;qa=qa^sa;_=oh(pa|0,qa|0,16)|0;Z=C;qa=ph(pa|0,qa|0,48)|0;_=qa|_;Z=C|Z;I=lh(_|0,Z|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;qa=oh(va|0,wa|0,63)|0;pa=C;wa=ph(va|0,wa|0,1)|0;qa=wa|qa;pa=C|pa;oa=lh(W|0,X|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,U|0,z|0)|0;na=C;ma=ma^oa;la=la^na;G=lh(la|0,ma|0,D|0,G|0)|0;D=C;W=W^G;X=X^D;wa=oh(W|0,X|0,24)|0;va=C;X=ph(W|0,X|0,40)|0;wa=X|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,H|0,F|0)|0;oa=C;la=la^na;ma=ma^oa;X=oh(la|0,ma|0,16)|0;W=C;ma=ph(la|0,ma|0,48)|0;X=ma|X;W=C|W;D=lh(X|0,W|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ma=oh(wa|0,va|0,63)|0;la=C;va=ph(wa|0,va|0,1)|0;ma=va|ma;la=C|la;ka=lh(da|0,ea|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,y|0,B|0)|0;ja=C;ia=ia^ka;ha=ha^ja;S=lh(ha|0,ia|0,T|0,S|0)|0;T=C;da=da^S;ea=ea^T;va=oh(da|0,ea|0,24)|0;wa=C;ea=ph(da|0,ea|0,40)|0;va=ea|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,R|0,P|0)|0;ka=C;ha=ha^ja;ia=ia^ka;ea=oh(ha|0,ia|0,16)|0;da=C;ia=ph(ha|0,ia|0,48)|0;ea=ia|ea;da=C|da;T=lh(ea|0,da|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;ia=oh(va|0,wa|0,63)|0;ha=C;wa=ph(va|0,wa|0,1)|0;ia=wa|ia;ha=C|ha;ga=lh(aa|0,ba|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,$|0,n|0)|0;fa=C;ua=ua^ga;ta=ta^fa;Q=lh(ta|0,ua|0,N|0,Q|0)|0;N=C;aa=aa^Q;ba=ba^N;wa=oh(aa|0,ba|0,24)|0;va=C;ba=ph(aa|0,ba|0,40)|0;wa=ba|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,q|0,u|0)|0;ga=C;ta=ta^fa;ua=ua^ga;ba=oh(ta|0,ua|0,16)|0;aa=C;ua=ph(ta|0,ua|0,48)|0;ba=ua|ba;aa=C|aa;N=lh(ba|0,aa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ua=oh(wa|0,va|0,63)|0;ta=C;va=ph(wa|0,va|0,1)|0;ua=va|ua;ta=C|ta;sa=lh(ua|0,ta|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,s|0,v|0)|0;ra=C;X=X^sa;W=W^ra;S=lh(W|0,X|0,T|0,S|0)|0;T=C;ua=ua^S;ta=ta^T;va=oh(ua|0,ta|0,24)|0;wa=C;ta=ph(ua|0,ta|0,40)|0;va=ta|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,q|0,u|0)|0;sa=C;W=W^ra;X=X^sa;ta=oh(W|0,X|0,16)|0;ua=C;X=ph(W|0,X|0,48)|0;ta=X|ta;ua=C|ua;T=lh(ta|0,ua|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;X=oh(va|0,wa|0,63)|0;W=C;wa=ph(va|0,wa|0,1)|0;X=wa|X;W=C|W;oa=lh(qa|0,pa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,M|0,K|0)|0;na=C;ea=ea^oa;da=da^na;Q=lh(da|0,ea|0,N|0,Q|0)|0;N=C;qa=qa^Q;pa=pa^N;wa=oh(qa|0,pa|0,24)|0;va=C;pa=ph(qa|0,pa|0,40)|0;wa=pa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,m|0,p|0)|0;oa=C;da=da^na;ea=ea^oa;pa=oh(da|0,ea|0,16)|0;qa=C;ea=ph(da|0,ea|0,48)|0;pa=ea|pa;qa=C|qa;N=lh(pa|0,qa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ea=oh(wa|0,va|0,63)|0;da=C;va=ph(wa|0,va|0,1)|0;ea=va|ea;da=C|da;ka=lh(ma|0,la|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,O|0,V|0)|0;ja=C;ba=ba^ka;aa=aa^ja;L=lh(aa|0,ba|0,I|0,L|0)|0;I=C;ma=ma^L;la=la^I;va=oh(ma|0,la|0,24)|0;wa=C;la=ph(ma|0,la|0,40)|0;va=la|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,e|0,i|0)|0;ka=C;aa=aa^ja;ba=ba^ka;la=oh(aa|0,ba|0,16)|0;ma=C;ba=ph(aa|0,ba|0,48)|0;la=ba|la;ma=C|ma;I=lh(la|0,ma|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ba=oh(va|0,wa|0,63)|0;aa=C;wa=ph(va|0,wa|0,1)|0;ba=wa|ba;aa=C|aa;ga=lh(ia|0,ha|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,H|0,F|0)|0;fa=C;_=_^ga;Z=Z^fa;G=lh(Z|0,_|0,D|0,G|0)|0;D=C;ia=ia^G;ha=ha^D;wa=oh(ia|0,ha|0,24)|0;va=C;ha=ph(ia|0,ha|0,40)|0;wa=ha|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,y|0,B|0)|0;ga=C;Z=Z^fa;_=_^ga;ha=oh(Z|0,_|0,16)|0;ia=C;_=ph(Z|0,_|0,48)|0;ha=_|ha;ia=C|ia;D=lh(ha|0,ia|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;_=oh(wa|0,va|0,63)|0;Z=C;va=ph(wa|0,va|0,1)|0;_=va|_;Z=C|Z;sa=lh(ea|0,da|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,k|0,o|0)|0;ra=C;ha=ha^sa;ia=ia^ra;L=lh(ia|0,ha|0,I|0,L|0)|0;I=C;ea=ea^L;da=da^I;va=oh(ea|0,da|0,24)|0;wa=C;da=ph(ea|0,da|0,40)|0;va=da|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,w|0,A|0)|0;sa=C;ia=ia^ra;ha=ha^sa;da=oh(ia|0,ha|0,16)|0;ea=C;ha=ph(ia|0,ha|0,48)|0;da=ha|da;ea=C|ea;I=lh(da|0,ea|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ha=oh(va|0,wa|0,63)|0;ia=C;wa=ph(va|0,wa|0,1)|0;ha=wa|ha;ia=C|ia;oa=lh(ba|0,aa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,Y|0,h|0)|0;na=C;ta=ta^oa;ua=ua^na;G=lh(ua|0,ta|0,D|0,G|0)|0;D=C;ba=ba^G;aa=aa^D;wa=oh(ba|0,aa|0,24)|0;va=C;aa=ph(ba|0,aa|0,40)|0;wa=aa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,g|0,j|0)|0;oa=C;ua=ua^na;ta=ta^oa;aa=oh(ua|0,ta|0,16)|0;ba=C;ta=ph(ua|0,ta|0,48)|0;aa=ta|aa;ba=C|ba;D=lh(aa|0,ba|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ta=oh(wa|0,va|0,63)|0;ua=C;va=ph(wa|0,va|0,1)|0;ta=va|ta;ua=C|ua;ka=lh(_|0,Z|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,$|0,n|0)|0;ja=C;pa=pa^ka;qa=qa^ja;S=lh(qa|0,pa|0,T|0,S|0)|0;T=C;_=_^S;Z=Z^T;va=oh(_|0,Z|0,24)|0;wa=C;Z=ph(_|0,Z|0,40)|0;va=Z|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,U|0,z|0)|0;ka=C;qa=qa^ja;pa=pa^ka;Z=oh(qa|0,pa|0,16)|0;_=C;pa=ph(qa|0,pa|0,48)|0;Z=pa|Z;_=C|_;T=lh(Z|0,_|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;pa=oh(va|0,wa|0,63)|0;qa=C;wa=ph(va|0,wa|0,1)|0;pa=wa|pa;qa=C|qa;ga=lh(X|0,W|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,R|0,P|0)|0;fa=C;la=la^ga;ma=ma^fa;Q=lh(ma|0,la|0,N|0,Q|0)|0;N=C;X=X^Q;W=W^N;wa=oh(X|0,W|0,24)|0;va=C;W=ph(X|0,W|0,40)|0;wa=W|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,ca|0,t|0)|0;ga=C;ma=ma^fa;la=la^ga;W=oh(ma|0,la|0,16)|0;X=C;la=ph(ma|0,la|0,48)|0;W=la|W;X=C|X;N=lh(W|0,X|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;la=oh(wa|0,va|0,63)|0;ma=C;va=ph(wa|0,va|0,1)|0;la=va|la;ma=C|ma;sa=lh(la|0,ma|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,U|0,z|0)|0;ra=C;aa=aa^sa;ba=ba^ra;S=lh(ba|0,aa|0,T|0,S|0)|0;T=C;la=la^S;ma=ma^T;va=oh(la|0,ma|0,24)|0;wa=C;ma=ph(la|0,ma|0,40)|0;va=ma|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,Y|0,h|0)|0;sa=C;ba=ba^ra;aa=aa^sa;ma=oh(ba|0,aa|0,16)|0;la=C;aa=ph(ba|0,aa|0,48)|0;ma=aa|ma;la=C|la;T=lh(ma|0,la|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;aa=oh(va|0,wa|0,63)|0;ba=C;wa=ph(va|0,wa|0,1)|0;aa=wa|aa;ba=C|ba;oa=lh(ha|0,ia|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,m|0,p|0)|0;na=C;Z=Z^oa;_=_^na;Q=lh(_|0,Z|0,N|0,Q|0)|0;N=C;ha=ha^Q;ia=ia^N;wa=oh(ha|0,ia|0,24)|0;va=C;ia=ph(ha|0,ia|0,40)|0;wa=ia|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,y|0,B|0)|0;oa=C;_=_^na;Z=Z^oa;ia=oh(_|0,Z|0,16)|0;ha=C;Z=ph(_|0,Z|0,48)|0;ia=Z|ia;ha=C|ha;N=lh(ia|0,ha|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;Z=oh(wa|0,va|0,63)|0;_=C;va=ph(wa|0,va|0,1)|0;Z=va|Z;_=C|_;ka=lh(ta|0,ua|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,q|0,u|0)|0;ja=C;W=W^ka;X=X^ja;L=lh(X|0,W|0,I|0,L|0)|0;I=C;ta=ta^L;ua=ua^I;va=oh(ta|0,ua|0,24)|0;wa=C;ua=ph(ta|0,ua|0,40)|0;va=ua|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,H|0,F|0)|0;ka=C;X=X^ja;W=W^ka;ua=oh(X|0,W|0,16)|0;ta=C;W=ph(X|0,W|0,48)|0;ua=W|ua;ta=C|ta;I=lh(ua|0,ta|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;W=oh(va|0,wa|0,63)|0;X=C;wa=ph(va|0,wa|0,1)|0;W=wa|W;X=C|X;ga=lh(pa|0,qa|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,w|0,A|0)|0;fa=C;da=da^ga;ea=ea^fa;G=lh(ea|0,da|0,D|0,G|0)|0;D=C;pa=pa^G;qa=qa^D;wa=oh(pa|0,qa|0,24)|0;va=C;qa=ph(pa|0,qa|0,40)|0;wa=qa|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,$|0,n|0)|0;ga=C;ea=ea^fa;da=da^ga;qa=oh(ea|0,da|0,16)|0;pa=C;da=ph(ea|0,da|0,48)|0;qa=da|qa;pa=C|pa;D=lh(qa|0,pa|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;da=oh(wa|0,va|0,63)|0;ea=C;va=ph(wa|0,va|0,1)|0;da=va|da;ea=C|ea;sa=lh(Z|0,_|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,O|0,V|0)|0;ra=C;qa=qa^sa;pa=pa^ra;L=lh(pa|0,qa|0,I|0,L|0)|0;I=C;Z=Z^L;_=_^I;va=oh(Z|0,_|0,24)|0;wa=C;_=ph(Z|0,_|0,40)|0;va=_|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,R|0,P|0)|0;sa=C;pa=pa^ra;qa=qa^sa;_=oh(pa|0,qa|0,16)|0;Z=C;qa=ph(pa|0,qa|0,48)|0;_=qa|_;Z=C|Z;I=lh(_|0,Z|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;qa=oh(va|0,wa|0,63)|0;pa=C;wa=ph(va|0,wa|0,1)|0;qa=wa|qa;pa=C|pa;oa=lh(W|0,X|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,s|0,v|0)|0;na=C;ma=ma^oa;la=la^na;G=lh(la|0,ma|0,D|0,G|0)|0;D=C;W=W^G;X=X^D;wa=oh(W|0,X|0,24)|0;va=C;X=ph(W|0,X|0,40)|0;wa=X|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,M|0,K|0)|0;oa=C;la=la^na;ma=ma^oa;X=oh(la|0,ma|0,16)|0;W=C;ma=ph(la|0,ma|0,48)|0;X=ma|X;W=C|W;D=lh(X|0,W|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ma=oh(wa|0,va|0,63)|0;la=C;va=ph(wa|0,va|0,1)|0;ma=va|ma;la=C|la;ka=lh(da|0,ea|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,e|0,i|0)|0;ja=C;ia=ia^ka;ha=ha^ja;S=lh(ha|0,ia|0,T|0,S|0)|0;T=C;da=da^S;ea=ea^T;va=oh(da|0,ea|0,24)|0;wa=C;ea=ph(da|0,ea|0,40)|0;va=ea|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,g|0,j|0)|0;ka=C;ha=ha^ja;ia=ia^ka;ea=oh(ha|0,ia|0,16)|0;da=C;ia=ph(ha|0,ia|0,48)|0;ea=ia|ea;da=C|da;T=lh(ea|0,da|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;ia=oh(va|0,wa|0,63)|0;ha=C;wa=ph(va|0,wa|0,1)|0;ia=wa|ia;ha=C|ha;ga=lh(aa|0,ba|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,ca|0,t|0)|0;fa=C;ua=ua^ga;ta=ta^fa;Q=lh(ta|0,ua|0,N|0,Q|0)|0;N=C;aa=aa^Q;ba=ba^N;wa=oh(aa|0,ba|0,24)|0;va=C;ba=ph(aa|0,ba|0,40)|0;wa=ba|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,k|0,o|0)|0;ga=C;ta=ta^fa;ua=ua^ga;ba=oh(ta|0,ua|0,16)|0;aa=C;ua=ph(ta|0,ua|0,48)|0;ba=ua|ba;aa=C|aa;N=lh(ba|0,aa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ua=oh(wa|0,va|0,63)|0;ta=C;va=ph(wa|0,va|0,1)|0;ua=va|ua;ta=C|ta;sa=lh(ua|0,ta|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,ca|0,t|0)|0;ra=C;X=X^sa;W=W^ra;S=lh(W|0,X|0,T|0,S|0)|0;T=C;ua=ua^S;ta=ta^T;va=oh(ua|0,ta|0,24)|0;wa=C;ta=ph(ua|0,ta|0,40)|0;va=ta|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,R|0,P|0)|0;sa=C;W=W^ra;X=X^sa;ta=oh(W|0,X|0,16)|0;ua=C;X=ph(W|0,X|0,48)|0;ta=X|ta;ua=C|ua;T=lh(ta|0,ua|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;X=oh(va|0,wa|0,63)|0;W=C;wa=ph(va|0,wa|0,1)|0;X=wa|X;W=C|W;oa=lh(qa|0,pa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,$|0,n|0)|0;na=C;ea=ea^oa;da=da^na;Q=lh(da|0,ea|0,N|0,Q|0)|0;N=C;qa=qa^Q;pa=pa^N;wa=oh(qa|0,pa|0,24)|0;va=C;pa=ph(qa|0,pa|0,40)|0;wa=pa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,g|0,j|0)|0;oa=C;da=da^na;ea=ea^oa;pa=oh(da|0,ea|0,16)|0;qa=C;ea=ph(da|0,ea|0,48)|0;pa=ea|pa;qa=C|qa;N=lh(pa|0,qa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ea=oh(wa|0,va|0,63)|0;da=C;va=ph(wa|0,va|0,1)|0;ea=va|ea;da=C|da;ka=lh(ma|0,la|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,M|0,K|0)|0;ja=C;ba=ba^ka;aa=aa^ja;L=lh(aa|0,ba|0,I|0,L|0)|0;I=C;ma=ma^L;la=la^I;va=oh(ma|0,la|0,24)|0;wa=C;la=ph(ma|0,la|0,40)|0;va=la|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,U|0,z|0)|0;ka=C;aa=aa^ja;ba=ba^ka;la=oh(aa|0,ba|0,16)|0;ma=C;ba=ph(aa|0,ba|0,48)|0;la=ba|la;ma=C|ma;I=lh(la|0,ma|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ba=oh(va|0,wa|0,63)|0;aa=C;wa=ph(va|0,wa|0,1)|0;ba=wa|ba;aa=C|aa;ga=lh(ia|0,ha|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,e|0,i|0)|0;fa=C;_=_^ga;Z=Z^fa;G=lh(Z|0,_|0,D|0,G|0)|0;D=C;ia=ia^G;ha=ha^D;wa=oh(ia|0,ha|0,24)|0;va=C;ha=ph(ia|0,ha|0,40)|0;wa=ha|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,k|0,o|0)|0;ga=C;Z=Z^fa;_=_^ga;ha=oh(Z|0,_|0,16)|0;ia=C;_=ph(Z|0,_|0,48)|0;ha=_|ha;ia=C|ia;D=lh(ha|0,ia|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;_=oh(wa|0,va|0,63)|0;Z=C;va=ph(wa|0,va|0,1)|0;_=va|_;Z=C|Z;sa=lh(ea|0,da|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,Y|0,h|0)|0;ra=C;ha=ha^sa;ia=ia^ra;L=lh(ia|0,ha|0,I|0,L|0)|0;I=C;ea=ea^L;da=da^I;va=oh(ea|0,da|0,24)|0;wa=C;da=ph(ea|0,da|0,40)|0;va=da|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,q|0,u|0)|0;sa=C;ia=ia^ra;ha=ha^sa;da=oh(ia|0,ha|0,16)|0;ea=C;ha=ph(ia|0,ha|0,48)|0;da=ha|da;ea=C|ea;I=lh(da|0,ea|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;ha=oh(va|0,wa|0,63)|0;ia=C;wa=ph(va|0,wa|0,1)|0;ha=wa|ha;ia=C|ia;oa=lh(ba|0,aa|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,y|0,B|0)|0;na=C;ta=ta^oa;ua=ua^na;G=lh(ua|0,ta|0,D|0,G|0)|0;D=C;ba=ba^G;aa=aa^D;wa=oh(ba|0,aa|0,24)|0;va=C;aa=ph(ba|0,aa|0,40)|0;wa=aa|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,m|0,p|0)|0;oa=C;ua=ua^na;ta=ta^oa;aa=oh(ua|0,ta|0,16)|0;ba=C;ta=ph(ua|0,ta|0,48)|0;aa=ta|aa;ba=C|ba;D=lh(aa|0,ba|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ta=oh(wa|0,va|0,63)|0;ua=C;va=ph(wa|0,va|0,1)|0;ta=va|ta;ua=C|ua;ka=lh(_|0,Z|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,H|0,F|0)|0;ja=C;pa=pa^ka;qa=qa^ja;S=lh(qa|0,pa|0,T|0,S|0)|0;T=C;_=_^S;Z=Z^T;va=oh(_|0,Z|0,24)|0;wa=C;Z=ph(_|0,Z|0,40)|0;va=Z|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,O|0,V|0)|0;ka=C;qa=qa^ja;pa=pa^ka;Z=oh(qa|0,pa|0,16)|0;_=C;pa=ph(qa|0,pa|0,48)|0;Z=pa|Z;_=C|_;T=lh(Z|0,_|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;pa=oh(va|0,wa|0,63)|0;qa=C;wa=ph(va|0,wa|0,1)|0;pa=wa|pa;qa=C|qa;ga=lh(X|0,W|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,s|0,v|0)|0;fa=C;la=la^ga;ma=ma^fa;Q=lh(ma|0,la|0,N|0,Q|0)|0;N=C;X=X^Q;W=W^N;wa=oh(X|0,W|0,24)|0;va=C;W=ph(X|0,W|0,40)|0;wa=W|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,w|0,A|0)|0;ga=C;ma=ma^fa;la=la^ga;W=oh(ma|0,la|0,16)|0;X=C;la=ph(ma|0,la|0,48)|0;W=la|W;X=C|X;N=lh(W|0,X|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;la=oh(wa|0,va|0,63)|0;ma=C;va=ph(wa|0,va|0,1)|0;la=va|la;ma=C|ma;sa=lh(la|0,ma|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,w|0,A|0)|0;ra=C;aa=aa^sa;ba=ba^ra;S=lh(ba|0,aa|0,T|0,S|0)|0;T=C;la=la^S;ma=ma^T;va=oh(la|0,ma|0,24)|0;wa=C;ma=ph(la|0,ma|0,40)|0;va=ma|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,e|0,i|0)|0;sa=C;ba=ba^ra;aa=aa^sa;ma=oh(ba|0,aa|0,16)|0;la=C;aa=ph(ba|0,aa|0,48)|0;ma=aa|ma;la=C|la;T=lh(ma|0,la|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;aa=oh(va|0,wa|0,63)|0;ba=C;wa=ph(va|0,wa|0,1)|0;aa=wa|aa;ba=C|ba;oa=lh(ha|0,ia|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,R|0,P|0)|0;na=C;Z=Z^oa;_=_^na;Q=lh(_|0,Z|0,N|0,Q|0)|0;N=C;ha=ha^Q;ia=ia^N;wa=oh(ha|0,ia|0,24)|0;va=C;ia=ph(ha|0,ia|0,40)|0;wa=ia|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,H|0,F|0)|0;oa=C;_=_^na;Z=Z^oa;ia=oh(_|0,Z|0,16)|0;ha=C;Z=ph(_|0,Z|0,48)|0;ia=Z|ia;ha=C|ha;N=lh(ia|0,ha|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;Z=oh(wa|0,va|0,63)|0;_=C;va=ph(wa|0,va|0,1)|0;Z=va|Z;_=C|_;ka=lh(ta|0,ua|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,g|0,j|0)|0;ja=C;W=W^ka;X=X^ja;L=lh(X|0,W|0,I|0,L|0)|0;I=C;ta=ta^L;ua=ua^I;va=oh(ta|0,ua|0,24)|0;wa=C;ua=ph(ta|0,ua|0,40)|0;va=ua|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,k|0,o|0)|0;ka=C;X=X^ja;W=W^ka;ua=oh(X|0,W|0,16)|0;ta=C;W=ph(X|0,W|0,48)|0;ua=W|ua;ta=C|ta;I=lh(ua|0,ta|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;W=oh(va|0,wa|0,63)|0;X=C;wa=ph(va|0,wa|0,1)|0;W=wa|W;X=C|X;ga=lh(pa|0,qa|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,U|0,z|0)|0;fa=C;da=da^ga;ea=ea^fa;G=lh(ea|0,da|0,D|0,G|0)|0;D=C;pa=pa^G;qa=qa^D;wa=oh(pa|0,qa|0,24)|0;va=C;qa=ph(pa|0,qa|0,40)|0;wa=qa|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,M|0,K|0)|0;ga=C;ea=ea^fa;da=da^ga;qa=oh(ea|0,da|0,16)|0;pa=C;da=ph(ea|0,da|0,48)|0;qa=da|qa;pa=C|pa;D=lh(qa|0,pa|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;da=oh(wa|0,va|0,63)|0;ea=C;va=ph(wa|0,va|0,1)|0;da=va|da;ea=C|ea;sa=lh(Z|0,_|0,ra|0,sa|0)|0;sa=lh(sa|0,C|0,$|0,n|0)|0;ra=C;qa=qa^sa;pa=pa^ra;L=lh(pa|0,qa|0,I|0,L|0)|0;I=C;Z=Z^L;_=_^I;va=oh(Z|0,_|0,24)|0;wa=C;_=ph(Z|0,_|0,40)|0;va=_|va;wa=C|wa;ra=lh(va|0,wa|0,sa|0,ra|0)|0;ra=lh(ra|0,C|0,y|0,B|0)|0;sa=C;pa=pa^ra;qa=qa^sa;_=oh(pa|0,qa|0,16)|0;Z=C;qa=ph(pa|0,qa|0,48)|0;_=qa|_;Z=C|Z;I=lh(_|0,Z|0,L|0,I|0)|0;L=C;va=va^I;wa=wa^L;qa=oh(va|0,wa|0,63)|0;pa=C;wa=ph(va|0,wa|0,1)|0;qa=wa|qa;pa=C|pa;oa=lh(W|0,X|0,na|0,oa|0)|0;oa=lh(oa|0,C|0,ca|0,t|0)|0;na=C;ma=ma^oa;la=la^na;G=lh(la|0,ma|0,D|0,G|0)|0;D=C;W=W^G;X=X^D;wa=oh(W|0,X|0,24)|0;va=C;X=ph(W|0,X|0,40)|0;wa=X|wa;va=C|va;na=lh(wa|0,va|0,oa|0,na|0)|0;na=lh(na|0,C|0,q|0,u|0)|0;oa=C;la=la^na;ma=ma^oa;X=oh(la|0,ma|0,16)|0;W=C;ma=ph(la|0,ma|0,48)|0;X=ma|X;W=C|W;D=lh(X|0,W|0,G|0,D|0)|0;G=C;wa=wa^D;va=va^G;ma=oh(wa|0,va|0,63)|0;la=C;va=ph(wa|0,va|0,1)|0;ma=va|ma;la=C|la;ka=lh(da|0,ea|0,ja|0,ka|0)|0;ka=lh(ka|0,C|0,O|0,V|0)|0;ja=C;ia=ia^ka;ha=ha^ja;S=lh(ha|0,ia|0,T|0,S|0)|0;T=C;da=da^S;ea=ea^T;va=oh(da|0,ea|0,24)|0;wa=C;ea=ph(da|0,ea|0,40)|0;va=ea|va;wa=C|wa;ja=lh(va|0,wa|0,ka|0,ja|0)|0;ja=lh(ja|0,C|0,s|0,v|0)|0;ka=C;ha=ha^ja;ia=ia^ka;ea=oh(ha|0,ia|0,16)|0;da=C;ia=ph(ha|0,ia|0,48)|0;ea=ia|ea;da=C|da;T=lh(ea|0,da|0,S|0,T|0)|0;S=C;va=va^T;wa=wa^S;ia=oh(va|0,wa|0,63)|0;ha=C;wa=ph(va|0,wa|0,1)|0;ia=wa|ia;ha=C|ha;ga=lh(aa|0,ba|0,fa|0,ga|0)|0;ga=lh(ga|0,C|0,m|0,p|0)|0;fa=C;ua=ua^ga;ta=ta^fa;Q=lh(ta|0,ua|0,N|0,Q|0)|0;N=C;aa=aa^Q;ba=ba^N;wa=oh(aa|0,ba|0,24)|0;va=C;ba=ph(aa|0,ba|0,40)|0;wa=ba|wa;va=C|va;fa=lh(wa|0,va|0,ga|0,fa|0)|0;fa=lh(fa|0,C|0,Y|0,h|0)|0;ga=C;ta=ta^fa;ua=ua^ga;ba=oh(ta|0,ua|0,16)|0;aa=C;ua=ph(ta|0,ua|0,48)|0;ba=ua|ba;aa=C|aa;N=lh(ba|0,aa|0,Q|0,N|0)|0;Q=C;wa=wa^N;va=va^Q;ua=oh(wa|0,va|0,63)|0;ta=C;va=ph(wa|0,va|0,1)|0;ua=va|ua;ta=C|ta;sa=lh(ua|0,ta|0,ra|0,sa|0)|0;p=lh(sa|0,C|0,m|0,p|0)|0;m=C;X=X^p;W=W^m;S=lh(W|0,X|0,T|0,S|0)|0;T=C;ua=ua^S;ta=ta^T;sa=oh(ua|0,ta|0,24)|0;ra=C;ta=ph(ua|0,ta|0,40)|0;sa=ta|sa;ra=C|ra;m=lh(sa|0,ra|0,p|0,m|0)|0;t=lh(m|0,C|0,ca|0,t|0)|0;ca=C;W=W^t;X=X^ca;m=oh(W|0,X|0,16)|0;p=C;X=ph(W|0,X|0,48)|0;m=X|m;p=C|p;T=lh(m|0,p|0,S|0,T|0)|0;S=C;sa=sa^T;ra=ra^S;X=oh(sa|0,ra|0,63)|0;W=C;ra=ph(sa|0,ra|0,1)|0;X=ra|X;W=C|W;oa=lh(qa|0,pa|0,na|0,oa|0)|0;j=lh(oa|0,C|0,g|0,j|0)|0;g=C;ea=ea^j;da=da^g;Q=lh(da|0,ea|0,N|0,Q|0)|0;N=C;qa=qa^Q;pa=pa^N;oa=oh(qa|0,pa|0,24)|0;na=C;pa=ph(qa|0,pa|0,40)|0;oa=pa|oa;na=C|na;g=lh(oa|0,na|0,j|0,g|0)|0;n=lh(g|0,C|0,$|0,n|0)|0;$=C;da=da^n;ea=ea^$;g=oh(da|0,ea|0,16)|0;j=C;ea=ph(da|0,ea|0,48)|0;g=ea|g;j=C|j;N=lh(g|0,j|0,Q|0,N|0)|0;Q=C;oa=oa^N;na=na^Q;ea=oh(oa|0,na|0,63)|0;da=C;na=ph(oa|0,na|0,1)|0;ea=na|ea;da=C|da;ka=lh(ma|0,la|0,ja|0,ka|0)|0;B=lh(ka|0,C|0,y|0,B|0)|0;y=C;ba=ba^B;aa=aa^y;L=lh(aa|0,ba|0,I|0,L|0)|0;I=C;ma=ma^L;la=la^I;ka=oh(ma|0,la|0,24)|0;ja=C;la=ph(ma|0,la|0,40)|0;ka=la|ka;ja=C|ja;y=lh(ka|0,ja|0,B|0,y|0)|0;h=lh(y|0,C|0,Y|0,h|0)|0;Y=C;aa=aa^h;ba=ba^Y;y=oh(aa|0,ba|0,16)|0;B=C;ba=ph(aa|0,ba|0,48)|0;y=ba|y;B=C|B;I=lh(y|0,B|0,L|0,I|0)|0;L=C;ka=ka^I;ja=ja^L;ba=oh(ka|0,ja|0,63)|0;aa=C;ja=ph(ka|0,ja|0,1)|0;ba=ja|ba;aa=C|aa;ga=lh(ia|0,ha|0,fa|0,ga|0)|0;v=lh(ga|0,C|0,s|0,v|0)|0;s=C;_=_^v;Z=Z^s;G=lh(Z|0,_|0,D|0,G|0)|0;D=C;ia=ia^G;ha=ha^D;ga=oh(ia|0,ha|0,24)|0;fa=C;ha=ph(ia|0,ha|0,40)|0;ga=ha|ga;fa=C|fa;s=lh(ga|0,fa|0,v|0,s|0)|0;z=lh(s|0,C|0,U|0,z|0)|0;U=C;Z=Z^z;_=_^U;s=oh(Z|0,_|0,16)|0;v=C;_=ph(Z|0,_|0,48)|0;s=_|s;v=C|v;D=lh(s|0,v|0,G|0,D|0)|0;G=C;ga=ga^D;fa=fa^G;_=oh(ga|0,fa|0,63)|0;Z=C;fa=ph(ga|0,fa|0,1)|0;_=fa|_;Z=C|Z;ca=lh(ea|0,da|0,t|0,ca|0)|0;i=lh(ca|0,C|0,e|0,i|0)|0;e=C;s=s^i;v=v^e;L=lh(v|0,s|0,I|0,L|0)|0;I=C;ea=ea^L;da=da^I;ca=oh(ea|0,da|0,24)|0;t=C;da=ph(ea|0,da|0,40)|0;ca=da|ca;t=C|t;e=lh(ca|0,t|0,i|0,e|0)|0;V=lh(e|0,C|0,O|0,V|0)|0;O=C;v=v^V;s=s^O;e=oh(v|0,s|0,16)|0;i=C;s=ph(v|0,s|0,48)|0;e=s|e;i=C|i;I=lh(e|0,i|0,L|0,I|0)|0;L=C;ca=ca^I;t=t^L;s=oh(ca|0,t|0,63)|0;v=C;t=ph(ca|0,t|0,1)|0;v=C|v;$=lh(ba|0,aa|0,n|0,$|0)|0;A=lh($|0,C|0,w|0,A|0)|0;w=C;m=m^A;p=p^w;G=lh(p|0,m|0,D|0,G|0)|0;D=C;ba=ba^G;aa=aa^D;$=oh(ba|0,aa|0,24)|0;n=C;aa=ph(ba|0,aa|0,40)|0;$=aa|$;n=C|n;w=lh($|0,n|0,A|0,w|0)|0;P=lh(w|0,C|0,R|0,P|0)|0;R=C;p=p^P;m=m^R;w=oh(p|0,m|0,16)|0;A=C;m=ph(p|0,m|0,48)|0;w=m|w;A=C|A;D=lh(w|0,A|0,G|0,D|0)|0;G=C;$=$^D;n=n^G;m=oh($|0,n|0,63)|0;p=C;n=ph($|0,n|0,1)|0;p=C|p;Y=lh(_|0,Z|0,h|0,Y|0)|0;u=lh(Y|0,C|0,q|0,u|0)|0;q=C;g=g^u;j=j^q;S=lh(j|0,g|0,T|0,S|0)|0;T=C;_=_^S;Z=Z^T;Y=oh(_|0,Z|0,24)|0;h=C;Z=ph(_|0,Z|0,40)|0;Y=Z|Y;h=C|h;q=lh(Y|0,h|0,u|0,q|0)|0;K=lh(q|0,C|0,M|0,K|0)|0;M=C;j=j^K;g=g^M;q=oh(j|0,g|0,16)|0;u=C;g=ph(j|0,g|0,48)|0;q=g|q;u=C|u;T=lh(q|0,u|0,S|0,T|0)|0;S=C;Y=Y^T;h=h^S;g=oh(Y|0,h|0,63)|0;j=C;h=ph(Y|0,h|0,1)|0;j=C|j;U=lh(X|0,W|0,z|0,U|0)|0;o=lh(U|0,C|0,k|0,o|0)|0;k=C;y=y^o;B=B^k;Q=lh(B|0,y|0,N|0,Q|0)|0;N=C;X=X^Q;W=W^N;U=oh(X|0,W|0,24)|0;z=C;W=ph(X|0,W|0,40)|0;U=W|U;z=C|z;k=lh(U|0,z|0,o|0,k|0)|0;F=lh(k|0,C|0,H|0,F|0)|0;H=C;B=B^F;y=y^H;k=oh(B|0,y|0,16)|0;o=C;y=ph(B|0,y|0,48)|0;k=y|k;o=C|o;N=lh(k|0,o|0,Q|0,N|0)|0;Q=C;U=U^N;z=z^Q;y=oh(U|0,z|0,63)|0;B=C;z=ph(U|0,z|0,1)|0;U=a;S=O^c[U+4>>2]^S;O=a;c[O>>2]=V^c[U>>2]^T;c[O+4>>2]=S;O=J;a=R^c[O+4>>2]^Q;c[J>>2]=P^c[O>>2]^N;c[J+4>>2]=a;J=E;a=M^c[J+4>>2]^L;c[E>>2]=K^c[J>>2]^I;c[E+4>>2]=a;E=x;a=H^c[E+4>>2]^G;c[x>>2]=F^c[E>>2]^D;c[x+4>>2]=a;x=r;a=(C|B)^c[x+4>>2]^A;c[r>>2]=(z|y)^c[x>>2]^w;c[r+4>>2]=a;r=l;a=v^c[r+4>>2]^u;c[l>>2]=(t|s)^c[r>>2]^q;c[l+4>>2]=a;l=f;a=p^c[l+4>>2]^o;c[f>>2]=(n|m)^c[l>>2]^k;c[f+4>>2]=a;f=b;a=j^c[f+4>>2]^i;c[b>>2]=(h|g)^c[f>>2]^e;c[b+4>>2]=a;return}function jd(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if(!(e<<24>>24))ra();k=e&255;if((e&255)>64)ra();h=b+352|0;e=c[h>>2]|0;i=b+64|0;do if(e>>>0>128){m=i;f=c[m>>2]|0;m=c[m+4>>2]|0;g=lh(f|0,m|0,128,0)|0;e=i;c[e>>2]=g;c[e+4>>2]=C;e=b+72|0;g=e;g=lh((m>>>0>4294967295|(m|0)==-1&f>>>0>4294967167)&1|0,0,c[g>>2]|0,c[g+4>>2]|0)|0;f=e;c[f>>2]=g;c[f+4>>2]=C;f=b+96|0;id(b,f);g=(c[h>>2]|0)+-128|0;c[h>>2]=g;if(g>>>0<129){qh(f|0,b+224|0,g|0)|0;j=e;l=c[h>>2]|0;break}else za(32447,32479,335,32523)}else{j=b+72|0;l=e}while(0);m=i;m=lh(c[m>>2]|0,c[m+4>>2]|0,l|0,0)|0;h=C;c[i>>2]=m;c[i+4>>2]=h;i=j;i=lh((h>>>0<0|(h|0)==0&m>>>0<l>>>0)&1|0,0,c[i>>2]|0,c[i+4>>2]|0)|0;m=j;c[m>>2]=i;c[m+4>>2]=C;if(!(a[b+356>>0]|0)){m=b+80|0;j=m;c[j>>2]=-1;m=m+4|0;c[m>>2]=-1;m=b+96|0;j=b+96+l|0;l=256-l|0;nh(j|0,0,l|0)|0;id(b,m);qh(d|0,b|0,k|0)|0;return}m=b+88|0;c[m>>2]=-1;c[m+4>>2]=-1;m=b+80|0;j=m;c[j>>2]=-1;m=m+4|0;c[m>>2]=-1;m=b+96|0;j=b+96+l|0;l=256-l|0;nh(j|0,0,l|0)|0;id(b,m);qh(d|0,b|0,k|0)|0;return}function kd(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;v=i=i+63&-64;i=i+496|0;m=v+360|0;if((d+-1|0)>>>0>63|j>>>0>64){b=-1;i=w;return b|0}if(d>>>0>=256)za(32557,32577,18,32629);if(j>>>0>=256)za(32656,32577,19,32629);u=d&255;l=j&255;if((e|0)==0&((f|0)!=0|(g|0)!=0))ra();if(!b)ra();if((u+-1&255)>63)ra();k=l<<24>>24==0;if(!((h|0)!=0|k))ra();if((l&255)>64)ra();do if(!k)if((h|0)==0|(l+-1&255)>63)ra();else{k=j&255;nh(v+64|0,0,293)|0;l=v;n=400;t=l+40|0;do{c[l>>2]=c[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(t|0));n=ph(k|0,0,8)|0;l=v;c[l>>2]=(n|d&255)^-222443256;c[l+4>>2]=C^1779033703;l=v+8|0;c[l>>2]=-2067093701;c[l+4>>2]=-1150833019;l=v+16|0;c[l>>2]=-23791573;c[l+4>>2]=1013904242;l=v+24|0;c[l>>2]=1595750129;c[l+4>>2]=-1521486534;l=v+32|0;c[l>>2]=-1377402159;c[l+4>>2]=1359893119;l=v+40|0;c[l>>2]=725511199;c[l+4>>2]=-1694144372;l=v+48|0;c[l>>2]=-79577749;c[l+4>>2]=528734635;l=v+56|0;c[l>>2]=327033209;c[l+4>>2]=1541459225;nh(m+k|0,0,128-k|0)|0;qh(m|0,h|0,k|0)|0;k=v+352|0;l=v+96|0;n=m;t=l+128|0;do{a[l>>0]=a[n>>0]|0;l=l+1|0;n=n+1|0}while((l|0)<(t|0));c[k>>2]=128;n=128;break}else{nh(v+64|0,0,293)|0;l=v;n=400;t=l+40|0;do{c[l>>2]=c[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(t|0));n=v;c[n>>2]=d&255^-222443256;c[n+4>>2]=1779033703;n=v+8|0;c[n>>2]=-2067093701;c[n+4>>2]=-1150833019;n=v+16|0;c[n>>2]=-23791573;c[n+4>>2]=1013904242;n=v+24|0;c[n>>2]=1595750129;c[n+4>>2]=-1521486534;n=v+32|0;c[n>>2]=-1377402159;c[n+4>>2]=1359893119;n=v+40|0;c[n>>2]=725511199;c[n+4>>2]=-1694144372;n=v+48|0;c[n>>2]=-79577749;c[n+4>>2]=528734635;n=v+56|0;c[n>>2]=327033209;c[n+4>>2]=1541459225;n=0}while(0);a:do if(!((f|0)==0&(g|0)==0)){o=v+352|0;p=v+96|0;q=v+64|0;r=v+72|0;s=v+224|0;m=e;l=n;d=g;h=f;while(1){j=256-l|0;k=v+96+l|0;if(!(d>>>0>0|(d|0)==0&h>>>0>j>>>0))break;qh(k|0,m|0,j|0)|0;c[o>>2]=(c[o>>2]|0)+j;t=q;l=c[t>>2]|0;t=c[t+4>>2]|0;f=lh(l|0,t|0,128,0)|0;n=q;c[n>>2]=f;c[n+4>>2]=C;n=r;n=lh((t>>>0>4294967295|(t|0)==-1&l>>>0>4294967167)&1|0,0,c[n>>2]|0,c[n+4>>2]|0)|0;l=r;c[l>>2]=n;c[l+4>>2]=C;id(v,p);l=p;n=s;t=l+128|0;do{c[l>>2]=c[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(t|0));l=(c[o>>2]|0)+-128|0;c[o>>2]=l;k=kh(h|0,d|0,j|0,0)|0;if((h|0)==(j|0)&(d|0)==0)break a;else{m=m+j|0;d=C;h=k}}qh(k|0,m|0,h|0)|0;f=lh(c[o>>2]|0,0,h|0,d|0)|0;c[o>>2]=f}while(0);jd(v,b,u);b=0;i=w;return b|0}function ld(b,e,f,g,h,j,k,l,m){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;A=i;z=i=i+63&-64;i=i+496|0;u=z+360|0;if((e+-1|0)>>>0>63|k>>>0>64){b=-1;i=A;return b|0}if(e>>>0>=256)za(32557,32577,36,32676);if(k>>>0>=256)za(32656,32577,37,32676);y=e&255;p=k&255;if((f|0)==0&((g|0)!=0|(h|0)!=0))ra();if(!b)ra();if((y+-1&255)>63)ra();n=(j|0)!=0;o=p<<24>>24==0;if(!(n|o))ra();if((p&255)>64)ra();if(o){if(!l){l=-1377402159;q=1359893119;r=725511199;s=-1694144372}else{q=l;x=q;q=q+4|0;s=l+8|0;r=s;s=s+4|0;l=(d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24)^-1377402159;q=(d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24)^1359893119;r=(d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24)^725511199;s=(d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24)^-1694144372}if(!m){n=-79577749;o=528734635;p=327033209;k=1541459225}else{o=m;n=o;o=o+4|0;k=m+8|0;p=k;k=k+4|0;n=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)^-79577749;o=(d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24)^528734635;p=(d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24)^327033209;k=(d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24)^1541459225}nh(z+64|0,0,293)|0;v=z;w=400;x=v+40|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));x=z;c[x>>2]=e&255^-222443256;c[x+4>>2]=1779033703;x=z+8|0;c[x>>2]=-2067093701;c[x+4>>2]=-1150833019;x=z+16|0;c[x>>2]=-23791573;c[x+4>>2]=1013904242;x=z+24|0;c[x>>2]=1595750129;c[x+4>>2]=-1521486534;x=z+32|0;c[x>>2]=l;c[x+4>>2]=q;x=z+40|0;c[x>>2]=r;c[x+4>>2]=s;x=z+48|0;c[x>>2]=n;c[x+4>>2]=o;n=z+56|0;c[n>>2]=p;c[n+4>>2]=k;n=0}else{if(!n)ra();t=k&255;if(!l){l=-1377402159;q=1359893119;r=725511199;s=-1694144372}else{q=l;x=q;q=q+4|0;s=l+8|0;r=s;s=s+4|0;l=(d[x>>0]|d[x+1>>0]<<8|d[x+2>>0]<<16|d[x+3>>0]<<24)^-1377402159;q=(d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24)^1359893119;r=(d[r>>0]|d[r+1>>0]<<8|d[r+2>>0]<<16|d[r+3>>0]<<24)^725511199;s=(d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24)^-1694144372}if(!m){n=528734635;o=327033209;p=1541459225;k=-79577749}else{n=m;k=n;n=n+4|0;p=m+8|0;o=p;p=p+4|0;n=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)^528734635;o=(d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24)^327033209;p=(d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24)^1541459225;k=(d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24)^-79577749}nh(z+64|0,0,293)|0;v=z;w=400;x=v+40|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));w=ph(t|0,0,8)|0;v=z;c[v>>2]=(w|e&255)^-222443256;c[v+4>>2]=C^1779033703;v=z+8|0;c[v>>2]=-2067093701;c[v+4>>2]=-1150833019;v=z+16|0;c[v>>2]=-23791573;c[v+4>>2]=1013904242;v=z+24|0;c[v>>2]=1595750129;c[v+4>>2]=-1521486534;v=z+32|0;c[v>>2]=l;c[v+4>>2]=q;v=z+40|0;c[v>>2]=r;c[v+4>>2]=s;v=z+48|0;c[v>>2]=k;c[v+4>>2]=n;n=z+56|0;c[n>>2]=o;c[n+4>>2]=p;nh(u+t|0,0,128-t|0)|0;qh(u|0,j|0,t|0)|0;n=z+352|0;v=z+96|0;w=u;x=v+128|0;do{a[v>>0]=a[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));c[n>>2]=128;n=128}a:do if(!((g|0)==0&(h|0)==0)){r=z+352|0;s=z+96|0;t=z+64|0;m=z+72|0;j=z+224|0;q=f;l=h;k=g;while(1){p=256-n|0;n=z+96+n|0;if(!(l>>>0>0|(l|0)==0&k>>>0>p>>>0))break;qh(n|0,q|0,p|0)|0;c[r>>2]=(c[r>>2]|0)+p;x=t;v=c[x>>2]|0;x=c[x+4>>2]|0;g=lh(v|0,x|0,128,0)|0;w=t;c[w>>2]=g;c[w+4>>2]=C;w=m;w=lh((x>>>0>4294967295|(x|0)==-1&v>>>0>4294967167)&1|0,0,c[w>>2]|0,c[w+4>>2]|0)|0;v=m;c[v>>2]=w;c[v+4>>2]=C;id(z,s);v=s;w=j;x=v+128|0;do{c[v>>2]=c[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));n=(c[r>>2]|0)+-128|0;c[r>>2]=n;o=kh(k|0,l|0,p|0,0)|0;if((k|0)==(p|0)&(l|0)==0)break a;else{q=q+p|0;l=C;k=o}}qh(n|0,q|0,k|0)|0;g=lh(c[r>>2]|0,0,k|0,l|0)|0;c[r>>2]=g}while(0);jd(z,b,y);b=0;i=A;return b|0}function md(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;m=i;l=i=i+63&-64;i=i+128|0;if(e>>>0>64|(f+-1|0)>>>0>63){b=-1;i=m;return b|0}if(f>>>0>=256)za(32557,32577,53,32717);if(e>>>0>=256)za(32656,32577,54,32717);g=f&255;if((d|0)==0|(e|0)==0){if((g+-1&255)>63)ra();nh(b+64|0,0,293)|0;e=b;h=400;j=e+48|0;do{c[e>>2]=c[h>>2];e=e+4|0;h=h+4|0}while((e|0)<(j|0));l=b;c[l>>2]=f&255^-222443256;c[l+4>>2]=1779033703;l=b+8|0;c[l>>2]=-2067093701;c[l+4>>2]=-1150833019;l=b+16|0;c[l>>2]=-23791573;c[l+4>>2]=1013904242;l=b+24|0;c[l>>2]=1595750129;c[l+4>>2]=-1521486534;l=b+32|0;c[l>>2]=-1377402159;c[l+4>>2]=1359893119;l=b+40|0;c[l>>2]=725511199;c[l+4>>2]=-1694144372;l=b+48|0;c[l>>2]=-79577749;c[l+4>>2]=528734635;b=b+56|0;c[b>>2]=327033209;c[b+4>>2]=1541459225;b=0;i=m;return b|0}k=e&255;if((g+-1&255)>63)ra();if((k+-1&255)>63)ra();g=e&255;nh(b+64|0,0,293)|0;e=b;h=400;j=e+48|0;do{c[e>>2]=c[h>>2];e=e+4|0;h=h+4|0}while((e|0)<(j|0));h=ph(g|0,0,8)|0;e=b;c[e>>2]=(h|f&255)^-222443256;c[e+4>>2]=C^1779033703;e=b+8|0;c[e>>2]=-2067093701;c[e+4>>2]=-1150833019;e=b+16|0;c[e>>2]=-23791573;c[e+4>>2]=1013904242;e=b+24|0;c[e>>2]=1595750129;c[e+4>>2]=-1521486534;e=b+32|0;c[e>>2]=-1377402159;c[e+4>>2]=1359893119;e=b+40|0;c[e>>2]=725511199;c[e+4>>2]=-1694144372;e=b+48|0;c[e>>2]=-79577749;c[e+4>>2]=528734635;e=b+56|0;c[e>>2]=327033209;c[e+4>>2]=1541459225;nh(l+g|0,0,(k<<24>>24<0?0:128-g|0)|0)|0;qh(l|0,d|0,g|0)|0;g=b+352|0;e=b+96|0;h=l;j=e+128|0;do{a[e>>0]=a[h>>0]|0;e=e+1|0;h=h+1|0}while((e|0)<(j|0));c[g>>2]=128;b=0;i=m;return b|0}function nd(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=i;r=i=i+63&-64;i=i+128|0;if(f>>>0>64|(g+-1|0)>>>0>63){b=-1;i=v;return b|0}if(g>>>0>=256)za(32557,32577,77,32749);if(f>>>0>=256)za(32656,32577,78,32749);k=g&255;if((e|0)==0|(f|0)==0){if((k+-1&255)>63)ra();if(!h){l=-1377402159;m=1359893119;n=725511199;o=-1694144372}else{m=h;l=m;m=m+4|0;o=h+8|0;n=o;o=o+4|0;l=(d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24)^-1377402159;m=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)^1359893119;n=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)^725511199;o=(d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24)^-1694144372}if(!j){k=-79577749;f=528734635;h=327033209;j=1541459225}else{f=j;k=f;f=f+4|0;j=j+8|0;h=j;j=j+4|0;k=(d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24)^-79577749;f=(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24)^528734635;h=(d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24)^327033209;j=(d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24)^1541459225}nh(b+64|0,0,293)|0;s=b;t=400;u=s+48|0;do{c[s>>2]=c[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));u=b;c[u>>2]=g&255^-222443256;c[u+4>>2]=1779033703;g=b+8|0;c[g>>2]=-2067093701;c[g+4>>2]=-1150833019;g=b+16|0;c[g>>2]=-23791573;c[g+4>>2]=1013904242;g=b+24|0;c[g>>2]=1595750129;c[g+4>>2]=-1521486534;g=b+32|0;c[g>>2]=l;c[g+4>>2]=m;g=b+40|0;c[g>>2]=n;c[g+4>>2]=o;g=b+48|0;c[g>>2]=k;c[g+4>>2]=f;b=b+56|0;c[b>>2]=h;c[b+4>>2]=j;b=0;i=v;return b|0}q=f&255;if((k+-1&255)>63)ra();if(!(q<<24>>24))ra();p=f&255;if((q&255)>64)ra();if(!h){l=-1377402159;m=1359893119;n=725511199;o=-1694144372}else{m=h;l=m;m=m+4|0;o=h+8|0;n=o;o=o+4|0;l=(d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24)^-1377402159;m=(d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24)^1359893119;n=(d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24)^725511199;o=(d[o>>0]|d[o+1>>0]<<8|d[o+2>>0]<<16|d[o+3>>0]<<24)^-1694144372}if(!j){k=-79577749;f=528734635;h=327033209;j=1541459225}else{f=j;k=f;f=f+4|0;j=j+8|0;h=j;j=j+4|0;k=(d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24)^-79577749;f=(d[f>>0]|d[f+1>>0]<<8|d[f+2>>0]<<16|d[f+3>>0]<<24)^528734635;h=(d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24)^327033209;j=(d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24)^1541459225}nh(b+64|0,0,293)|0;s=b;t=400;u=s+48|0;do{c[s>>2]=c[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));t=ph(p|0,0,8)|0;s=b;c[s>>2]=(t|g&255)^-222443256;c[s+4>>2]=C^1779033703;s=b+8|0;c[s>>2]=-2067093701;c[s+4>>2]=-1150833019;s=b+16|0;c[s>>2]=-23791573;c[s+4>>2]=1013904242;s=b+24|0;c[s>>2]=1595750129;c[s+4>>2]=-1521486534;s=b+32|0;c[s>>2]=l;c[s+4>>2]=m;s=b+40|0;c[s>>2]=n;c[s+4>>2]=o;s=b+48|0;c[s>>2]=k;c[s+4>>2]=f;k=b+56|0;c[k>>2]=h;c[k+4>>2]=j;nh(r+p|0,0,(q<<24>>24<0?0:128-p|0)|0)|0;qh(r|0,e|0,p|0)|0;k=b+352|0;s=b+96|0;t=r;u=s+128|0;do{a[s>>0]=a[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(u|0));c[k>>2]=128;b=0;i=v;return b|0}function od(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0&(f|0)==0)return 0;k=b+352|0;l=b+96|0;m=b+64|0;n=b+72|0;o=b+224|0;g=c[k>>2]|0;j=e;while(1){i=256-g|0;e=b+96+g|0;if(!(f>>>0>0|(f|0)==0&j>>>0>i>>>0))break;qh(e|0,d|0,i|0)|0;c[k>>2]=(c[k>>2]|0)+i;h=m;e=c[h>>2]|0;h=c[h+4>>2]|0;q=lh(e|0,h|0,128,0)|0;g=m;c[g>>2]=q;c[g+4>>2]=C;g=n;g=lh((h>>>0>4294967295|(h|0)==-1&e>>>0>4294967167)&1|0,0,c[g>>2]|0,c[g+4>>2]|0)|0;e=n;c[e>>2]=g;c[e+4>>2]=C;id(b,l);e=l;g=o;h=e+128|0;do{a[e>>0]=a[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));g=(c[k>>2]|0)+-128|0;c[k>>2]=g;e=kh(j|0,f|0,i|0,0)|0;if((j|0)==(i|0)&(f|0)==0){p=6;break}else{d=d+i|0;f=C;j=e}}if((p|0)==6)return 0;qh(e|0,d|0,j|0)|0;q=lh(c[k>>2]|0,0,j|0,f|0)|0;c[k>>2]=q;return 0}function pd(a,b,c){a=a|0;b=b|0;c=c|0;if(c>>>0<256){jd(a,b,c&255);return 0}else za(32557,32577,106,32795);return 0}function qd(){return 64}function rd(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;m=i=i+63&-64;i=i+208|0;g=m+64|0;h=m;j=400;k=h+64|0;do{c[h>>2]=c[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(k|0));h=ph(e|0,f|0,3)|0;j=C;k=oh(e|0,f|0,61)|0;l=m+72|0;c[l>>2]=h;c[l+4>>2]=j;l=g;c[l>>2]=k;c[l+4>>2]=C;l=m+80|0;if(f>>>0<0|(f|0)==0&e>>>0<128){qh(l|0,d|0,e|0)|0;Fd(m,b)|0;i=n;return 0}h=l;j=d;k=h+128|0;do{a[h>>0]=a[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(k|0));Ed(m,l);g=d+128|0;d=lh(e|0,f|0,-128,-1)|0;h=C;if(h>>>0>0|(h|0)==0&d>>>0>127)do{Ed(m,g);g=g+128|0;d=lh(d|0,h|0,-128,-1)|0;h=C}while(h>>>0>0|(h|0)==0&d>>>0>127);qh(l|0,g|0,d|0)|0;Fd(m,b)|0;i=n;return 0}function sd(){return 32828}function td(){return 32}function ud(){return 104}function vd(a){a=a|0;var b=0;b=a+32|0;c[b>>2]=0;c[b+4>>2]=0;c[a>>2]=c[8066];c[a+4>>2]=c[8067];c[a+8>>2]=c[8068];c[a+12>>2]=c[8069];c[a+16>>2]=c[8070];c[a+20>>2]=c[8071];c[a+24>>2]=c[8072];c[a+28>>2]=c[8073];return 0}function wd(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)==0&(e|0)==0)return 0;g=a+32|0;i=g;j=c[i>>2]|0;i=c[i+4>>2]|0;f=oh(j|0,i|0,3)|0;f=f&63;h=ph(d|0,e|0,3)|0;h=lh(j|0,i|0,h|0,C|0)|0;c[g>>2]=h;c[g+4>>2]=C;g=64-f|0;f=a+40+f|0;if(0>e>>>0|0==(e|0)&g>>>0>d>>>0){qh(f|0,b|0,d|0)|0;return 0}qh(f|0,b|0,g|0)|0;h=a+40|0;xd(a,h);f=b+g|0;b=kh(d|0,e|0,g|0,0)|0;d=C;if(d>>>0>0|(d|0)==0&b>>>0>63)do{xd(a,f);f=f+64|0;b=lh(b|0,d|0,-64,-1)|0;d=C}while(d>>>0>0|(d|0)==0&b>>>0>63);qh(h|0,f|0,b|0)|0;return 0}function xd(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=i;f=i=i+63&-64;i=i+256|0;e=0;do{h=b+(e<<2)|0;c[f+(e<<2)>>2]=(d[h+2>>0]|0)<<8|(d[h+3>>0]|0)|(d[h+1>>0]|0)<<16|(d[h>>0]|0)<<24;e=e+1|0}while((e|0)!=16);b=c[f>>2]|0;e=16;do{h=c[f+(e+-2<<2)>>2]|0;j=b;b=c[f+(e+-15<<2)>>2]|0;c[f+(e<<2)>>2]=j+(c[f+(e+-7<<2)>>2]|0)+((h>>>19|h<<13)^h>>>10^(h>>>17|h<<15))+((b>>>18|b<<14)^b>>>3^(b>>>7|b<<25));e=e+1|0}while((e|0)!=64);u=c[a>>2]|0;s=a+4|0;t=c[s>>2]|0;q=a+8|0;r=c[q>>2]|0;o=a+12|0;m=a+16|0;n=c[m>>2]|0;k=a+20|0;l=c[k>>2]|0;e=a+24|0;b=c[e>>2]|0;j=a+28|0;h=(c[j>>2]|0)+1116352408+(c[f>>2]|0)+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+((b^l)&n^b)|0;p=(c[o>>2]|0)+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+1899447441+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+4>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+-1245643825+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+8>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+-373957723+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+12>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+961987163+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+16>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+1508970993+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+20>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+-1841331548+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+24>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+-1424204075+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+28>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+-670586216+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+32>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+310598401+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+36>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+607225278+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+40>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+1426881987+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+44>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+1925078388+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+48>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+-2132889090+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+52>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+-1680079193+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+56>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+-1046744716+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+60>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+-459576895+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+64>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+-272742522+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+68>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+264347078+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+72>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+604807628+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+76>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+770255983+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+80>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+1249150122+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+84>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+1555081692+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+88>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+1996064986+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+92>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+-1740746414+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+96>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+-1473132947+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+100>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+-1341970488+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+104>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+-1084653625+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+108>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+-958395405+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+112>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+-710438585+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+116>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+113926993+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+120>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+338241895+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+124>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+666307205+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+128>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+773529912+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+132>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+1294757372+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+136>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+1396182291+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+140>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+1695183700+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+144>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+1986661051+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+148>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+-2117940946+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+152>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+-1838011259+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+156>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+-1564481375+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+160>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+-1474664885+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+164>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+-1035236496+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+168>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+-949202525+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+172>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+-778901479+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+176>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+-694614492+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+180>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+-200395387+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+184>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+275423344+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+188>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+430227734+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+192>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+506948616+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+196>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+659060556+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+200>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+883997877+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+204>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+958139571+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+208>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+1322822218+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+212>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+1537002063+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+216>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;u=u+1747873779+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+220>>2]|0)+((h^b)&l^h)|0;n=n+u|0;u=((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+u|0;h=h+1955562222+((n>>>6|n<<26)^(n>>>11|n<<21)^(n>>>25|n<<7))+(c[f+224>>2]|0)+((b^l)&n^b)|0;p=p+h|0;h=((r|t)&u|r&t)+((u>>>2|u<<30)^(u>>>13|u<<19)^(u>>>22|u<<10))+h|0;b=b+2024104815+((p>>>6|p<<26)^(p>>>11|p<<21)^(p>>>25|p<<7))+(c[f+228>>2]|0)+((l^n)&p^l)|0;r=r+b|0;b=((t|u)&h|t&u)+((h>>>2|h<<30)^(h>>>13|h<<19)^(h>>>22|h<<10))+b|0;l=l+-2067236844+((r>>>6|r<<26)^(r>>>11|r<<21)^(r>>>25|r<<7))+(c[f+232>>2]|0)+((n^p)&r^n)|0;t=t+l|0;l=((u|h)&b|u&h)+((b>>>2|b<<30)^(b>>>13|b<<19)^(b>>>22|b<<10))+l|0;n=n+-1933114872+((t>>>6|t<<26)^(t>>>11|t<<21)^(t>>>25|t<<7))+(c[f+236>>2]|0)+((p^r)&t^p)|0;u=u+n|0;n=((h|b)&l|h&b)+((l>>>2|l<<30)^(l>>>13|l<<19)^(l>>>22|l<<10))+n|0;p=p+-1866530822+((u>>>6|u<<26)^(u>>>11|u<<21)^(u>>>25|u<<7))+(c[f+240>>2]|0)+((r^t)&u^r)|0;h=h+p|0;p=((b|l)&n|b&l)+((n>>>2|n<<30)^(n>>>13|n<<19)^(n>>>22|n<<10))+p|0;r=r+-1538233109+((h>>>6|h<<26)^(h>>>11|h<<21)^(h>>>25|h<<7))+(c[f+244>>2]|0)+((t^u)&h^t)|0;b=b+r|0;r=((l|n)&p|l&n)+((p>>>2|p<<30)^(p>>>13|p<<19)^(p>>>22|p<<10))+r|0;t=t+-1090935817+((b>>>6|b<<26)^(b>>>11|b<<21)^(b>>>25|b<<7))+(c[f+248>>2]|0)+((u^h)&b^u)|0;l=l+t|0;t=((n|p)&r|n&p)+((r>>>2|r<<30)^(r>>>13|r<<19)^(r>>>22|r<<10))+t|0;f=u+-965641998+((l>>>6|l<<26)^(l>>>11|l<<21)^(l>>>25|l<<7))+(c[f+252>>2]|0)+((h^b)&l^h)|0;c[a>>2]=(c[a>>2]|0)+(((p|r)&t|p&r)+((t>>>2|t<<30)^(t>>>13|t<<19)^(t>>>22|t<<10))+f);c[s>>2]=(c[s>>2]|0)+t;c[q>>2]=(c[q>>2]|0)+r;c[o>>2]=(c[o>>2]|0)+p;c[m>>2]=(c[m>>2]|0)+(n+f);c[k>>2]=(c[k>>2]|0)+l;c[e>>2]=(c[e>>2]|0)+b;c[j>>2]=(c[j>>2]|0)+h;i=g;return}function yd(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;m=i=i+63&-64;i=i+16|0;l=b+32|0;e=l;f=c[e>>2]|0;e=c[e+4>>2]|0;a[m+7>>0]=f;g=oh(f|0,e|0,8)|0;a[m+6>>0]=g;g=oh(f|0,e|0,16)|0;a[m+5>>0]=g;g=oh(f|0,e|0,24)|0;a[m+4>>0]=g;a[m+3>>0]=e;g=oh(f|0,e|0,40)|0;a[m+2>>0]=g;g=oh(f|0,e|0,48)|0;a[m+1>>0]=g;g=oh(f|0,e|0,56)|0;a[m>>0]=g;g=oh(f|0,e|0,3)|0;g=g&63;k=g>>>0<56?56:120;j=k-g|0;do if((k|0)!=(g|0)){h=ph(j|0,0,3)|0;f=lh(h|0,C|0,f|0,e|0)|0;e=C;h=l;c[h>>2]=f;c[h+4>>2]=e;h=64-g|0;g=b+40+g|0;if(j>>>0<h>>>0){qh(g|0,32835,j|0)|0;break}qh(g|0,32835,h|0)|0;k=b+40|0;xd(b,k);e=32835+h|0;g=kh(j|0,0,h|0,0)|0;f=C;if(f>>>0>0|(f|0)==0&g>>>0>63){do{xd(b,e);e=e+64|0;g=lh(g|0,f|0,-64,-1)|0;f=C}while(f>>>0>0|(f|0)==0&g>>>0>63);f=g}else f=g;qh(k|0,e|0,f|0)|0;e=l;f=c[e>>2]|0;e=c[e+4>>2]|0}while(0);k=oh(f|0,e|0,3)|0;k=k&63;e=lh(f|0,e|0,64,0)|0;f=l;c[f>>2]=e;c[f+4>>2]=C;f=64-k|0;e=b+40+k|0;if(f>>>0>8){k=c[m>>2]|0;m=c[m+4>>2]|0;l=e;a[l>>0]=k;a[l+1>>0]=k>>8;a[l+2>>0]=k>>16;a[l+3>>0]=k>>24;e=e+4|0;a[e>>0]=m;a[e+1>>0]=m>>8;a[e+2>>0]=m>>16;a[e+3>>0]=m>>24;e=b}else{qh(e|0,m|0,f|0)|0;h=b+40|0;xd(b,h);e=m+f|0;g=kh(8,0,f|0,0)|0;f=C;if(f>>>0>0|(f|0)==0&g>>>0>63){do{xd(b,e);e=e+64|0;g=lh(g|0,f|0,-64,-1)|0;f=C}while(f>>>0>0|(f|0)==0&g>>>0>63);f=g}else f=g;qh(h|0,e|0,f|0)|0;e=b}e=c[e>>2]|0;a[d+3>>0]=e;a[d+2>>0]=e>>>8;a[d+1>>0]=e>>>16;a[d>>0]=e>>>24;e=c[b+4>>2]|0;a[d+7>>0]=e;a[d+6>>0]=e>>>8;a[d+5>>0]=e>>>16;a[d+4>>0]=e>>>24;e=c[b+8>>2]|0;a[d+11>>0]=e;a[d+10>>0]=e>>>8;a[d+9>>0]=e>>>16;a[d+8>>0]=e>>>24;e=c[b+12>>2]|0;a[d+15>>0]=e;a[d+14>>0]=e>>>8;a[d+13>>0]=e>>>16;a[d+12>>0]=e>>>24;e=c[b+16>>2]|0;a[d+19>>0]=e;a[d+18>>0]=e>>>8;a[d+17>>0]=e>>>16;a[d+16>>0]=e>>>24;e=c[b+20>>2]|0;a[d+23>>0]=e;a[d+22>>0]=e>>>8;a[d+21>>0]=e>>>16;a[d+20>>0]=e>>>24;e=c[b+24>>2]|0;a[d+27>>0]=e;a[d+26>>0]=e>>>8;a[d+25>>0]=e>>>16;a[d+24>>0]=e>>>24;e=c[b+28>>2]|0;a[d+31>>0]=e;a[d+30>>0]=e>>>8;a[d+29>>0]=e>>>16;a[d+28>>0]=e>>>24;e=b+104|0;do{a[b>>0]=0;b=b+1|0}while((b|0)<(e|0));i=n;return 0}function zd(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;m=i;l=i=i+63&-64;i=i+112|0;g=l+32|0;k=g;c[k>>2]=0;c[k+4>>2]=0;c[l>>2]=c[8066];c[l+4>>2]=c[8067];c[l+8>>2]=c[8068];c[l+12>>2]=c[8069];c[l+16>>2]=c[8070];c[l+20>>2]=c[8071];c[l+24>>2]=c[8072];c[l+28>>2]=c[8073];if((e|0)==0&(f|0)==0){yd(l,b)|0;i=m;return 0}j=ph(e|0,f|0,3)|0;k=g;c[k>>2]=j;c[k+4>>2]=C;k=l+40|0;if(f>>>0<0|(f|0)==0&e>>>0<64){qh(k|0,d|0,e|0)|0;yd(l,b)|0;i=m;return 0}g=k;h=d;j=g+64|0;do{a[g>>0]=a[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(j|0));xd(l,k);g=d+64|0;j=lh(e|0,f|0,-64,-1)|0;h=C;if(h>>>0>0|(h|0)==0&j>>>0>63){do{xd(l,g);g=g+64|0;j=lh(j|0,h|0,-64,-1)|0;h=C}while(h>>>0>0|(h|0)==0&j>>>0>63);h=j}else h=j;qh(k|0,g|0,h|0)|0;yd(l,b)|0;i=m;return 0}function Ad(){return 64}function Bd(){return 208}function Cd(a){a=a|0;var b=0,d=0;b=a+64|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;b=400;d=a+64|0;do{c[a>>2]=c[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(d|0));return 0}function Dd(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;j=a+72|0;m=j;o=c[m>>2]|0;m=c[m+4>>2]|0;k=oh(o|0,m|0,3)|0;k=k&127;l=ph(d|0,e|0,3)|0;n=C;h=oh(d|0,e|0,61)|0;i=C;m=lh(o|0,m|0,l|0,n|0)|0;o=C;c[j>>2]=m;c[j+4>>2]=o;j=a+64|0;g=j;f=c[g>>2]|0;g=c[g+4>>2]|0;if(o>>>0<n>>>0|(o|0)==(n|0)&m>>>0<l>>>0){f=lh(f|0,g|0,1,0)|0;g=C;o=j;c[o>>2]=f;c[o+4>>2]=g}h=lh(f|0,g|0,h|0,i|0)|0;g=j;c[g>>2]=h;c[g+4>>2]=C;g=kh(128,0,k|0,0)|0;h=C;f=a+80+k|0;if(h>>>0>e>>>0|(h|0)==(e|0)&g>>>0>d>>>0){qh(f|0,b|0,d|0)|0;return 0}qh(f|0,b|0,g|0)|0;i=a+80|0;Ed(a,i);f=b+g|0;g=kh(d|0,e|0,g|0,h|0)|0;h=C;if(h>>>0>0|(h|0)==0&g>>>0>127)do{Ed(a,f);f=f+128|0;g=lh(g|0,h|0,-128,-1)|0;h=C}while(h>>>0>0|(h|0)==0&g>>>0>127);qh(i|0,f|0,g|0)|0;return 0}
function kg(a,b,e,f,g,h,j,k){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0;m=i;l=i=i+63&-64;i=i+64|0;if((e|0)==0&(f|0)==0){i=m;return 0}c[l>>2]=1634760805;c[l+4>>2]=857760878;c[l+8>>2]=2036477234;c[l+12>>2]=1797285236;c[l+16>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;n=k+4|0;c[l+20>>2]=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;n=k+8|0;c[l+24>>2]=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;n=k+12|0;c[l+28>>2]=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;n=k+16|0;c[l+32>>2]=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;n=k+20|0;c[l+36>>2]=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;n=k+24|0;c[l+40>>2]=d[n>>0]|d[n+1>>0]<<8|d[n+2>>0]<<16|d[n+3>>0]<<24;k=k+28|0;c[l+44>>2]=d[k>>0]|d[k+1>>0]<<8|d[k+2>>0]<<16|d[k+3>>0]<<24;c[l+48>>2]=h;c[l+52>>2]=j;c[l+56>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;g=g+4|0;c[l+60>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;og(l,b,a,e,f);e=l+64|0;do{c[l>>2]=0;l=l+4|0}while((l|0)<(e|0));i=m;return 0}function lg(a,b,e,f,g,h,j){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0;l=i;k=i=i+63&-64;i=i+64|0;if((e|0)==0&(f|0)==0){i=l;return 0}c[k>>2]=1634760805;c[k+4>>2]=857760878;c[k+8>>2]=2036477234;c[k+12>>2]=1797285236;c[k+16>>2]=d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24;m=j+4|0;c[k+20>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=j+8|0;c[k+24>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=j+12|0;c[k+28>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=j+16|0;c[k+32>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=j+20|0;c[k+36>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;m=j+24|0;c[k+40>>2]=d[m>>0]|d[m+1>>0]<<8|d[m+2>>0]<<16|d[m+3>>0]<<24;j=j+28|0;c[k+44>>2]=d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24;c[k+48>>2]=h;c[k+52>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;j=g+4|0;c[k+56>>2]=d[j>>0]|d[j+1>>0]<<8|d[j+2>>0]<<16|d[j+3>>0]<<24;g=g+8|0;c[k+60>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;og(k,b,a,e,f);e=k+64|0;do{c[k>>2]=0;k=k+4|0}while((k|0)<(e|0));i=l;return 0}function mg(a,b,e,f,g,h){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;k=i;j=i=i+63&-64;i=i+64|0;if((e|0)==0&(f|0)==0){i=k;return 0}c[j>>2]=1634760805;c[j+4>>2]=857760878;c[j+8>>2]=2036477234;c[j+12>>2]=1797285236;c[j+16>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;l=h+4|0;c[j+20>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+8|0;c[j+24>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+12|0;c[j+28>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+16|0;c[j+32>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+20|0;c[j+36>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+24|0;c[j+40>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;h=h+28|0;c[j+44>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;c[j+48>>2]=0;c[j+52>>2]=0;c[j+56>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;g=g+4|0;c[j+60>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;og(j,b,a,e,f);e=j+64|0;do{c[j>>2]=0;j=j+4|0}while((j|0)<(e|0));i=k;return 0}function ng(a,b,e,f,g,h){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;k=i;j=i=i+63&-64;i=i+64|0;if((e|0)==0&(f|0)==0){i=k;return 0}c[j>>2]=1634760805;c[j+4>>2]=857760878;c[j+8>>2]=2036477234;c[j+12>>2]=1797285236;c[j+16>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;l=h+4|0;c[j+20>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+8|0;c[j+24>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+12|0;c[j+28>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+16|0;c[j+32>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+20|0;c[j+36>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;l=h+24|0;c[j+40>>2]=d[l>>0]|d[l+1>>0]<<8|d[l+2>>0]<<16|d[l+3>>0]<<24;h=h+28|0;c[j+44>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;c[j+48>>2]=0;c[j+52>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;h=g+4|0;c[j+56>>2]=d[h>>0]|d[h+1>>0]<<8|d[h+2>>0]<<16|d[h+3>>0]<<24;g=g+8|0;c[j+60>>2]=d[g>>0]|d[g+1>>0]<<8|d[g+2>>0]<<16|d[g+3>>0]<<24;og(j,b,a,e,f);e=j+64|0;do{c[j>>2]=0;j=j+4|0}while((j|0)<(e|0));i=k;return 0}function og(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;V=i;S=i=i+63&-64;i=i+64|0;if((g|0)==0&(h|0)==0){i=V;return}if(h>>>0>63|(h|0)==63&g>>>0>4294967232)ra();F=c[b>>2]|0;G=c[b+4>>2]|0;H=c[b+8>>2]|0;I=c[b+12>>2]|0;J=c[b+16>>2]|0;K=c[b+20>>2]|0;L=c[b+24>>2]|0;M=c[b+28>>2]|0;N=c[b+32>>2]|0;O=c[b+36>>2]|0;P=c[b+40>>2]|0;Q=c[b+44>>2]|0;T=b+48|0;U=b+52|0;R=c[b+56>>2]|0;E=c[b+60>>2]|0;b=0;k=c[T>>2]|0;B=c[U>>2]|0;while(1){D=h>>>0<0|(h|0)==0&g>>>0<64;if(D){b=S;j=b+64|0;do{a[b>>0]=0;b=b+1|0}while((b|0)<(j|0));b=0;do{a[S+b>>0]=a[e+b>>0]|0;b=b+1|0}while(0<h>>>0|0==(h|0)&b>>>0<g>>>0);e=S;A=S;z=f}else{A=f;z=b}b=20;f=F;j=G;l=P;m=Q;n=k;o=B;p=R;q=E;r=H;s=I;t=J;u=K;v=L;w=M;x=N;y=O;do{ja=f+t|0;ea=ja^n;ea=ea<<16|ea>>>16;$=ea+x|0;W=$^t;W=W<<12|W>>>20;ja=W+ja|0;ea=ja^ea;ea=ea<<8|ea>>>24;$=ea+$|0;W=$^W;W=W<<7|W>>>25;fa=j+u|0;aa=fa^o;aa=aa<<16|aa>>>16;X=aa+y|0;ga=X^u;ga=ga<<12|ga>>>20;fa=ga+fa|0;aa=fa^aa;aa=aa<<8|aa>>>24;X=aa+X|0;ga=X^ga;ga=ga<<7|ga>>>25;ba=r+v|0;Y=ba^p;Y=Y<<16|Y>>>16;ha=Y+l|0;ca=ha^v;ca=ca<<12|ca>>>20;ba=ca+ba|0;Y=ba^Y;Y=Y<<8|Y>>>24;ha=Y+ha|0;ca=ha^ca;ca=ca<<7|ca>>>25;Z=s+w|0;ia=Z^q;ia=ia<<16|ia>>>16;da=ia+m|0;_=da^w;_=_<<12|_>>>20;Z=_+Z|0;ia=Z^ia;ia=ia<<8|ia>>>24;da=ia+da|0;_=da^_;_=_<<7|_>>>25;ja=ga+ja|0;ia=ja^ia;ia=ia<<16|ia>>>16;ha=ia+ha|0;ga=ha^ga;ga=ga<<12|ga>>>20;f=ga+ja|0;ia=f^ia;q=ia<<8|ia>>>24;l=q+ha|0;ga=l^ga;u=ga<<7|ga>>>25;fa=ca+fa|0;ea=fa^ea;ea=ea<<16|ea>>>16;da=ea+da|0;ca=da^ca;ca=ca<<12|ca>>>20;j=ca+fa|0;ea=j^ea;n=ea<<8|ea>>>24;m=n+da|0;ca=m^ca;v=ca<<7|ca>>>25;ba=_+ba|0;aa=ba^aa;aa=aa<<16|aa>>>16;$=aa+$|0;_=$^_;_=_<<12|_>>>20;r=_+ba|0;aa=r^aa;o=aa<<8|aa>>>24;x=o+$|0;_=x^_;w=_<<7|_>>>25;Z=W+Z|0;Y=Z^Y;Y=Y<<16|Y>>>16;X=Y+X|0;W=X^W;W=W<<12|W>>>20;s=W+Z|0;Y=s^Y;p=Y<<8|Y>>>24;y=p+X|0;W=y^W;t=W<<7|W>>>25;b=b+-2|0}while((b|0)!=0);b=(d[e>>0]|d[e+1>>0]<<8|d[e+2>>0]<<16|d[e+3>>0]<<24)^f+F;W=e+4|0;W=(d[W>>0]|d[W+1>>0]<<8|d[W+2>>0]<<16|d[W+3>>0]<<24)^j+G;X=e+8|0;X=(d[X>>0]|d[X+1>>0]<<8|d[X+2>>0]<<16|d[X+3>>0]<<24)^r+H;Y=e+12|0;Y=(d[Y>>0]|d[Y+1>>0]<<8|d[Y+2>>0]<<16|d[Y+3>>0]<<24)^s+I;Z=e+16|0;Z=(d[Z>>0]|d[Z+1>>0]<<8|d[Z+2>>0]<<16|d[Z+3>>0]<<24)^t+J;_=e+20|0;_=(d[_>>0]|d[_+1>>0]<<8|d[_+2>>0]<<16|d[_+3>>0]<<24)^u+K;$=e+24|0;$=(d[$>>0]|d[$+1>>0]<<8|d[$+2>>0]<<16|d[$+3>>0]<<24)^v+L;aa=e+28|0;aa=(d[aa>>0]|d[aa+1>>0]<<8|d[aa+2>>0]<<16|d[aa+3>>0]<<24)^w+M;ba=e+32|0;ba=(d[ba>>0]|d[ba+1>>0]<<8|d[ba+2>>0]<<16|d[ba+3>>0]<<24)^x+N;ca=e+36|0;ca=(d[ca>>0]|d[ca+1>>0]<<8|d[ca+2>>0]<<16|d[ca+3>>0]<<24)^y+O;da=e+40|0;da=(d[da>>0]|d[da+1>>0]<<8|d[da+2>>0]<<16|d[da+3>>0]<<24)^l+P;ea=e+44|0;ea=(d[ea>>0]|d[ea+1>>0]<<8|d[ea+2>>0]<<16|d[ea+3>>0]<<24)^m+Q;fa=e+48|0;fa=(d[fa>>0]|d[fa+1>>0]<<8|d[fa+2>>0]<<16|d[fa+3>>0]<<24)^n+k;ga=e+52|0;ga=(d[ga>>0]|d[ga+1>>0]<<8|d[ga+2>>0]<<16|d[ga+3>>0]<<24)^o+B;ha=e+56|0;ha=(d[ha>>0]|d[ha+1>>0]<<8|d[ha+2>>0]<<16|d[ha+3>>0]<<24)^p+R;ia=e+60|0;ia=(d[ia>>0]|d[ia+1>>0]<<8|d[ia+2>>0]<<16|d[ia+3>>0]<<24)^q+E;k=k+1|0;j=((k|0)==0&1)+B|0;a[A>>0]=b;a[A+1>>0]=b>>8;a[A+2>>0]=b>>16;a[A+3>>0]=b>>24;ja=A+4|0;a[ja>>0]=W;a[ja+1>>0]=W>>8;a[ja+2>>0]=W>>16;a[ja+3>>0]=W>>24;ja=A+8|0;a[ja>>0]=X;a[ja+1>>0]=X>>8;a[ja+2>>0]=X>>16;a[ja+3>>0]=X>>24;ja=A+12|0;a[ja>>0]=Y;a[ja+1>>0]=Y>>8;a[ja+2>>0]=Y>>16;a[ja+3>>0]=Y>>24;ja=A+16|0;a[ja>>0]=Z;a[ja+1>>0]=Z>>8;a[ja+2>>0]=Z>>16;a[ja+3>>0]=Z>>24;ja=A+20|0;a[ja>>0]=_;a[ja+1>>0]=_>>8;a[ja+2>>0]=_>>16;a[ja+3>>0]=_>>24;ja=A+24|0;a[ja>>0]=$;a[ja+1>>0]=$>>8;a[ja+2>>0]=$>>16;a[ja+3>>0]=$>>24;ja=A+28|0;a[ja>>0]=aa;a[ja+1>>0]=aa>>8;a[ja+2>>0]=aa>>16;a[ja+3>>0]=aa>>24;ja=A+32|0;a[ja>>0]=ba;a[ja+1>>0]=ba>>8;a[ja+2>>0]=ba>>16;a[ja+3>>0]=ba>>24;ja=A+36|0;a[ja>>0]=ca;a[ja+1>>0]=ca>>8;a[ja+2>>0]=ca>>16;a[ja+3>>0]=ca>>24;ja=A+40|0;a[ja>>0]=da;a[ja+1>>0]=da>>8;a[ja+2>>0]=da>>16;a[ja+3>>0]=da>>24;ja=A+44|0;a[ja>>0]=ea;a[ja+1>>0]=ea>>8;a[ja+2>>0]=ea>>16;a[ja+3>>0]=ea>>24;ja=A+48|0;a[ja>>0]=fa;a[ja+1>>0]=fa>>8;a[ja+2>>0]=fa>>16;a[ja+3>>0]=fa>>24;ja=A+52|0;a[ja>>0]=ga;a[ja+1>>0]=ga>>8;a[ja+2>>0]=ga>>16;a[ja+3>>0]=ga>>24;ja=A+56|0;a[ja>>0]=ha;a[ja+1>>0]=ha>>8;a[ja+2>>0]=ha>>16;a[ja+3>>0]=ha>>24;ja=A+60|0;a[ja>>0]=ia;a[ja+1>>0]=ia>>8;a[ja+2>>0]=ia>>16;a[ja+3>>0]=ia>>24;if(h>>>0<0|(h|0)==0&g>>>0<65)break;b=lh(g|0,h|0,-64,-1)|0;e=e+64|0;f=A+64|0;h=C;g=b;b=z;B=j}if((D?g|0:0)?(a[z>>0]=b,(g|0)!=1):0){b=1;do{a[z+b>>0]=a[A+b>>0]|0;b=b+1|0}while((b|0)!=(g|0))}c[T>>2]=k;c[U>>2]=j;i=V;return}function pg(){return 32}function qg(){return 24}function rg(){return 33245}function sg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=i;g=i=i+63&-64;i=i+32|0;Fc(g,d,e,0)|0;Vg(a,b,c,d+16|0,g)|0;i=f;return 0}function tg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=i=i+63&-64;i=i+32|0;Fc(h,e,f,0)|0;Wg(a,b,c,d,e+16|0,0,0,h)|0;i=g;return 0}function ug(){return 32}function vg(){return 8}function wg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Wg(a,b,c,d,e,0,0,f)|0;return 0}function xg(){return 32}function yg(){return 24}function zg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=i;g=i=i+63&-64;i=i+32|0;Fc(g,d,e,0)|0;Vg(a,b,c,d+16|0,g)|0;i=f;return 0}function Ag(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=i=i+63&-64;i=i+32|0;Fc(k,e,h,0)|0;Wg(a,b,c,d,e+16|0,f,g,k)|0;i=j;return 0}function Bg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=i=i+63&-64;i=i+32|0;Fc(h,e,f,0)|0;Wg(a,b,c,d,e+16|0,0,0,h)|0;i=g;return 0}function Cg(){return 16}function Dg(b,c){b=b|0;c=c|0;return ((((a[c+15>>0]^a[b+15>>0]|(a[c+14>>0]^a[b+14>>0]|(a[c+13>>0]^a[b+13>>0]|(a[c+12>>0]^a[b+12>>0]|(a[c+11>>0]^a[b+11>>0]|(a[c+10>>0]^a[b+10>>0]|(a[c+9>>0]^a[b+9>>0]|(a[c+8>>0]^a[b+8>>0]|(a[c+7>>0]^a[b+7>>0]|(a[c+6>>0]^a[b+6>>0]|(a[c+5>>0]^a[b+5>>0]|(a[c+4>>0]^a[b+4>>0]|(a[c+3>>0]^a[b+3>>0]|(a[c+2>>0]^a[b+2>>0]|(a[c+1>>0]^a[b+1>>0]|a[c>>0]^a[b>>0])))))))))))))))&255)+511|0)>>>8&1)+-1|0}function Eg(){return 32}function Fg(b,c){b=b|0;c=c|0;var d=0,e=0;d=0;e=0;do{d=(a[c+e>>0]^a[b+e>>0])&255|d;e=e+1|0}while((e|0)!=32);return ((d+511|0)>>>8&1)+-1|0}function Gg(){return 64}function Hg(b,c){b=b|0;c=c|0;var d=0,e=0;d=0;e=0;do{d=(a[c+e>>0]^a[b+e>>0])&255|d;e=e+1|0}while((e|0)!=64);return ((d+511|0)>>>8&1)+-1|0}function Ig(){return 33254}function Jg(){return ma(0)|0}function Kg(){na(1);return}function Lg(a){a=a|0;var b=0,c=0;if(a>>>0<2){a=0;return a|0}b=((0-a|0)>>>0)%(a>>>0)|0;do c=ma(0)|0;while(c>>>0<b>>>0);a=(c>>>0)%(a>>>0)|0;return a|0}function Mg(b,c){b=b|0;c=c|0;var d=0;if(!c)return;else d=0;do{a[b+d>>0]=ma(0)|0;d=d+1|0}while((d|0)!=(c|0));return}function Ng(){return 0}function Og(b,c,d){b=b|0;c=c|0;d=d|0;if(!(d>>>0<1|(d|0)==1&c>>>0<0))za(34e3,34020,162,34046);if(!c)return;else d=0;do{a[b+d>>0]=ma(0)|0;d=d+1|0}while((d|0)!=(c|0));return}function Pg(){var a=0,b=0;if(c[8520]|0){b=1;return b|0}na(1);a=ka(30)|0;if((a|0)>0)c[8521]=a;else a=c[8521]|0;if(a>>>0<16)ra();else b=0;do{ma(0)|0;b=b+1|0}while((b|0)!=16);c[8520]=1;b=0;return b|0}function Qg(b,c,e,f){b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;g=f<<1;if(!(f>>>0<2147483647&g>>>0<c>>>0))ra();if(!f){f=0;f=b+f|0;a[f>>0]=0;return b|0}else c=0;do{j=d[e+c>>0]|0;i=j&15;j=j>>>4;h=c<<1;a[b+h>>0]=j+87+((j+65526|0)>>>8&217);a[b+(h|1)>>0]=((i<<8)+22272+(i+65526&55552)|0)>>>8;c=c+1|0}while((c|0)!=(f|0));j=b+g|0;a[j>>0]=0;return b|0}function Rg(b,e,f,g,h,i,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a:do if(!g){n=0;l=0;o=0;k=0}else{b:do if(!h){n=0;r=0;l=0;k=0;while(1){p=d[f+l>>0]|0;m=p^48;o=(m+65526|0)>>>8;p=(p&223)+201|0;q=p&255;q=(q+65526^q+65520)>>>8;if(!((q|o)&255)){o=0;break a}m=q&p|o&m;if(n>>>0>=e>>>0){m=k;break b}if(!(k<<24>>24))m=m<<4&255;else{a[b+n>>0]=m|r&255;n=n+1|0;m=r}k=(k&255^255)&255;l=l+1|0;if(l>>>0<g>>>0)r=m;else{o=0;break a}}}else{n=0;t=0;l=0;k=0;while(1){s=k<<24>>24==0;c:do if(!s){q=d[f+l>>0]|0;m=q^48;o=(m+65526|0)>>>8;q=(q&223)+201|0;p=q&255;p=(p+65526^p+65520)>>>8;if(!((p|o)&255)){o=0;break a}}else while(1){o=d[f+l>>0]|0;m=o^48;q=(m+65526|0)>>>8;r=(o&223)+201|0;p=r&255;p=(p+65526^p+65520)>>>8;if((p|q)&255|0){o=q;q=r;break c}if(!(ch(h,o)|0)){o=0;k=0;break a}l=l+1|0;if(l>>>0>=g>>>0){o=0;k=0;break a}}while(0);m=p&q|o&m;if(n>>>0>=e>>>0){m=k;break b}if(s)m=m<<4&255;else{a[b+n>>0]=m|t&255;n=n+1|0;m=t}k=(k&255^255)&255;l=l+1|0;if(l>>>0<g>>>0)t=m;else{o=0;break a}}}while(0);if(!(c[8522]|0))k=34132;else k=c[(oa()|0)+64>>2]|0;c[k>>2]=34;o=-1;k=m}while(0);if(j|0)c[j>>2]=f+(((k<<24>>24!=0)<<31>>31)+l);if(!i)return o|0;c[i>>2]=n;return o|0}function Sg(){return 34058}function Tg(){return 9}function Ug(){return 2}function Vg(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=i;x=i=i+63&-64;i=i+112|0;s=x;w=x+48|0;x=x+16|0;if((e|0)==0&(f|0)==0){i=y;return 0}k=x;j=k+32|0;do{a[k>>0]=a[h>>0]|0;k=k+1|0;h=h+1|0}while((k|0)<(j|0));q=g;p=q;q=q+4|0;q=d[q>>0]|d[q+1>>0]<<8|d[q+2>>0]<<16|d[q+3>>0]<<24;r=s;c[r>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;c[r+4>>2]=q;r=s+8|0;q=r;c[q>>2]=0;c[q+4>>2]=0;if(f>>>0>0|(f|0)==0&e>>>0>63){k=s+9|0;l=s+10|0;m=s+11|0;n=s+12|0;o=s+13|0;p=s+14|0;q=s+15|0;g=b;j=e;h=f;do{Kc(g,s,x,0)|0;e=c[r>>2]|0;f=(e&255)+1|0;a[r>>0]=f;f=(e>>>8&255)+(f>>>8)|0;a[k>>0]=f;f=(e>>>16&255)+(f>>>8)|0;a[l>>0]=f;f=(e>>>24)+(f>>>8)|0;a[m>>0]=f;e=c[n>>2]|0;f=(e&255)+(f>>>8)|0;a[n>>0]=f;f=(e>>>8&255)+(f>>>8)|0;a[o>>0]=f;f=(e>>>16&255)+(f>>>8)|0;a[p>>0]=f;a[q>>0]=(e>>>24)+(f>>>8);j=lh(j|0,h|0,-64,-1)|0;h=C;g=g+64|0}while(h>>>0>0|(h|0)==0&j>>>0>63);if(!((j|0)==0&(h|0)==0)){u=g;v=j;t=6}}else{u=b;v=e;t=6}if((t|0)==6?(Kc(w,s,x,0)|0,v|0):0){h=0;do{a[u+h>>0]=a[w+h>>0]|0;h=h+1|0}while((h|0)!=(v|0))}k=w;j=k+64|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(j|0));k=x;j=k+32|0;do{a[k>>0]=0;k=k+1|0}while((k|0)<(j|0));i=y;return 0}function Wg(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0;D=i;B=i=i+63&-64;i=i+112|0;v=B;A=B+48|0;B=B+16|0;if((f|0)==0&(g|0)==0){i=D;return 0}n=B;m=n+32|0;do{a[n>>0]=a[l>>0]|0;n=n+1|0;l=l+1|0}while((n|0)<(m|0));s=h;p=s;s=s+4|0;s=d[s>>0]|d[s+1>>0]<<8|d[s+2>>0]<<16|d[s+3>>0]<<24;o=v;c[o>>2]=d[p>>0]|d[p+1>>0]<<8|d[p+2>>0]<<16|d[p+3>>0]<<24;c[o+4>>2]=s;o=v+8|0;a[o>>0]=j;s=oh(j|0,k|0,8)|0;p=v+9|0;a[p>>0]=s;s=oh(j|0,k|0,16)|0;q=v+10|0;a[q>>0]=s;s=oh(j|0,k|0,24)|0;r=v+11|0;a[r>>0]=s;s=v+12|0;a[s>>0]=k;n=oh(j|0,k|0,40)|0;t=v+13|0;a[t>>0]=n;n=oh(j|0,k|0,48)|0;u=v+14|0;a[u>>0]=n;k=oh(j|0,k|0,56)|0;j=v+15|0;a[j>>0]=k;if(g>>>0>0|(g|0)==0&f>>>0>63){n=e;h=f;l=g;do{Kc(A,v,B,0)|0;m=0;do{a[b+m>>0]=a[A+m>>0]^a[n+m>>0];m=m+1|0}while((m|0)!=64);f=c[o>>2]|0;g=(f&255)+1|0;a[o>>0]=g;g=(f>>>8&255)+(g>>>8)|0;a[p>>0]=g;g=(f>>>16&255)+(g>>>8)|0;a[q>>0]=g;g=(f>>>24)+(g>>>8)|0;a[r>>0]=g;f=c[s>>2]|0;g=(f&255)+(g>>>8)|0;a[s>>0]=g;g=(f>>>8&255)+(g>>>8)|0;a[t>>0]=g;g=(f>>>16&255)+(g>>>8)|0;a[u>>0]=g;a[j>>0]=(f>>>24)+(g>>>8);h=lh(h|0,l|0,-64,-1)|0;l=C;b=b+64|0;n=n+64|0}while(l>>>0>0|(l|0)==0&h>>>0>63);if(!((h|0)==0&(l|0)==0)){x=b;y=h;z=n;w=8}}else{x=b;y=f;z=e;w=8}if((w|0)==8?(Kc(A,v,B,0)|0,y|0):0){l=0;do{a[x+l>>0]=a[A+l>>0]^a[z+l>>0];l=l+1|0}while((l|0)!=(y|0))}n=A;m=n+64|0;do{a[n>>0]=0;n=n+1|0}while((n|0)<(m|0));n=B;m=n+32|0;do{a[n>>0]=0;n=n+1|0}while((n|0)<(m|0));i=D;return 0}function Xg(a){a=a|0;var b=0,d=0;d=i;b=i=i+63&-64;i=i+16|0;c[b>>2]=c[a+60>>2];a=pa(6,b|0)|0;if(a>>>0>4294963200){if(!(c[8522]|0))b=34132;else b=c[(oa()|0)+64>>2]|0;c[b>>2]=0-a;a=-1}i=d;return a|0}function Yg(){var a=0;if(!(c[8522]|0))a=34132;else a=c[(oa()|0)+64>>2]|0;return a|0}function Zg(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;g=i;e=i=i+63&-64;i=i+32|0;h=e;e=e+20|0;c[h>>2]=c[a+60>>2];c[h+4>>2]=0;c[h+8>>2]=b;c[h+12>>2]=e;c[h+16>>2]=d;b=ya(140,h|0)|0;if(b>>>0<=4294963200)if((b|0)<0)f=7;else a=c[e>>2]|0;else{if(!(c[8522]|0))a=34132;else a=c[(oa()|0)+64>>2]|0;c[a>>2]=0-b;f=7}if((f|0)==7){c[e>>2]=-1;a=-1}i=g;return a|0}function _g(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;g=i;h=i=i+63&-64;i=i+80|0;f=h;c[b+36>>2]=20;if((c[b>>2]&64|0)==0?(c[f>>2]=c[b+60>>2],c[f+4>>2]=21505,c[f+8>>2]=h+12,wa(54,f|0)|0):0)a[b+75>>0]=-1;h=$g(b,d,e)|0;i=g;return h|0}function $g(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;k=i=i+63&-64;i=i+48|0;n=k+16|0;m=k;k=k+32|0;o=a+28|0;g=c[o>>2]|0;c[k>>2]=g;p=a+20|0;g=(c[p>>2]|0)-g|0;c[k+4>>2]=g;c[k+8>>2]=b;c[k+12>>2]=d;j=a+60|0;l=a+44|0;f=2;g=g+d|0;while(1){if(!(c[8522]|0)){c[n>>2]=c[j>>2];c[n+4>>2]=k;c[n+8>>2]=f;b=Aa(146,n|0)|0;if(b>>>0>4294963200){if(!(c[8522]|0))e=34132;else e=c[(oa()|0)+64>>2]|0;c[e>>2]=0-b;b=-1}}else{ua(18,a|0);c[m>>2]=c[j>>2];c[m+4>>2]=k;c[m+8>>2]=f;b=Aa(146,m|0)|0;if(b>>>0>4294963200){if(!(c[8522]|0))e=34132;else e=c[(oa()|0)+64>>2]|0;c[e>>2]=0-b;b=-1}ja(0)}if((g|0)==(b|0)){b=13;break}if((b|0)<0){b=15;break}g=g-b|0;e=c[k+4>>2]|0;if(b>>>0<=e>>>0)if((f|0)==2){c[o>>2]=(c[o>>2]|0)+b;h=e;e=k;f=2}else{h=e;e=k}else{h=c[l>>2]|0;c[o>>2]=h;c[p>>2]=h;h=c[k+12>>2]|0;b=b-e|0;e=k+8|0;f=f+-1|0}c[e>>2]=(c[e>>2]|0)+b;c[e+4>>2]=h-b;k=e}if((b|0)==13){n=c[l>>2]|0;c[a+16>>2]=n+(c[a+48>>2]|0);a=n;c[o>>2]=a;c[p>>2]=a}else if((b|0)==15){c[a+16>>2]=0;c[o>>2]=0;c[p>>2]=0;c[a>>2]=c[a>>2]|32;if((f|0)==2)d=0;else d=d-(c[k+4>>2]|0)|0}i=q;return d|0}function ah(a){a=a|0;return}function bh(b){b=b|0;var d=0,e=0,f=0;f=b;a:do if(!(f&3))e=4;else{d=b;b=f;while(1){if(!(a[d>>0]|0))break a;d=d+1|0;b=d;if(!(b&3)){b=d;e=4;break}}}while(0);if((e|0)==4){while(1){d=c[b>>2]|0;if(!((d&-2139062144^-2139062144)&d+-16843009))b=b+4|0;else break}if((d&255)<<24>>24)do b=b+1|0;while((a[b>>0]|0)!=0)}return b-f|0}function ch(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;g=d&255;a:do if(!g){e=b+(bh(b)|0)|0;b=e;f=d&255;e=a[e>>0]|0}else{if(b&3){f=d&255;do{e=a[b>>0]|0;if(e<<24>>24==0?1:e<<24>>24==f<<24>>24)break a;b=b+1|0}while((b&3|0)!=0)}f=_(g,16843009)|0;e=c[b>>2]|0;b:do if(!((e&-2139062144^-2139062144)&e+-16843009))do{g=e^f;if((g&-2139062144^-2139062144)&g+-16843009|0)break b;b=b+4|0;e=c[b>>2]|0}while(!((e&-2139062144^-2139062144)&e+-16843009|0));while(0);f=d&255;while(1){e=a[b>>0]|0;if(e<<24>>24==0?1:e<<24>>24==f<<24>>24)break;else b=b+1|0}}while(0);return (e<<24>>24==f<<24>>24?b:0)|0}function dh(a){a=a|0;var b=0;if(!a){if(!(c[8102]|0))a=0;else a=dh(c[8102]|0)|0;la(34116);b=c[8528]|0;if(b)do{if((c[b+20>>2]|0)>>>0>(c[b+28>>2]|0)>>>0)a=eh(b)|0|a;b=c[b+56>>2]|0}while((b|0)!=0);xa(34116)}else a=eh(a)|0;return a|0}function eh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=a+20|0;g=a+28|0;if((c[b>>2]|0)>>>0>(c[g>>2]|0)>>>0?(Da[c[a+36>>2]&31](a,0,0)|0,(c[b>>2]|0)==0):0)b=-1;else{h=a+4|0;d=c[h>>2]|0;e=a+8|0;f=c[e>>2]|0;if(d>>>0<f>>>0)Da[c[a+40>>2]&31](a,d-f|0,1)|0;c[a+16>>2]=0;c[g>>2]=0;c[b>>2]=0;c[e>>2]=0;c[h>>2]=0;b=0}return b|0}function fh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;do if(a>>>0<245){o=a>>>0<11?16:a+11&-8;a=o>>>3;j=c[8534]|0;b=j>>>a;if(b&3|0){b=(b&1^1)+a|0;d=34176+(b<<1<<2)|0;e=d+8|0;f=c[e>>2]|0;g=f+8|0;h=c[g>>2]|0;do if((d|0)!=(h|0)){if(h>>>0<(c[8538]|0)>>>0)ra();a=h+12|0;if((c[a>>2]|0)==(f|0)){c[a>>2]=d;c[e>>2]=h;break}else ra()}else c[8534]=j&~(1<<b);while(0);G=b<<3;c[f+4>>2]=G|3;G=f+G+4|0;c[G>>2]=c[G>>2]|1;G=g;return G|0}h=c[8536]|0;if(o>>>0>h>>>0){if(b|0){d=2<<a;d=b<<a&(d|0-d);d=(d&0-d)+-1|0;i=d>>>12&16;d=d>>>i;f=d>>>5&8;d=d>>>f;g=d>>>2&4;d=d>>>g;e=d>>>1&2;d=d>>>e;b=d>>>1&1;b=(f|i|g|e|b)+(d>>>b)|0;d=34176+(b<<1<<2)|0;e=d+8|0;g=c[e>>2]|0;i=g+8|0;f=c[i>>2]|0;do if((d|0)!=(f|0)){if(f>>>0<(c[8538]|0)>>>0)ra();a=f+12|0;if((c[a>>2]|0)==(g|0)){c[a>>2]=d;c[e>>2]=f;k=c[8536]|0;break}else ra()}else{c[8534]=j&~(1<<b);k=h}while(0);h=(b<<3)-o|0;c[g+4>>2]=o|3;e=g+o|0;c[e+4>>2]=h|1;c[e+h>>2]=h;if(k|0){f=c[8539]|0;b=k>>>3;d=34176+(b<<1<<2)|0;a=c[8534]|0;b=1<<b;if(a&b){a=d+8|0;b=c[a>>2]|0;if(b>>>0<(c[8538]|0)>>>0)ra();else{l=a;m=b}}else{c[8534]=a|b;l=d+8|0;m=d}c[l>>2]=f;c[m+12>>2]=f;c[f+8>>2]=m;c[f+12>>2]=d}c[8536]=h;c[8539]=e;G=i;return G|0}a=c[8535]|0;if(a){i=(a&0-a)+-1|0;F=i>>>12&16;i=i>>>F;E=i>>>5&8;i=i>>>E;G=i>>>2&4;i=i>>>G;b=i>>>1&2;i=i>>>b;j=i>>>1&1;j=c[34440+((E|F|G|b|j)+(i>>>j)<<2)>>2]|0;i=(c[j+4>>2]&-8)-o|0;b=j;while(1){a=c[b+16>>2]|0;if(!a){a=c[b+20>>2]|0;if(!a)break}b=(c[a+4>>2]&-8)-o|0;G=b>>>0<i>>>0;i=G?b:i;b=a;j=G?a:j}f=c[8538]|0;if(j>>>0<f>>>0)ra();h=j+o|0;if(j>>>0>=h>>>0)ra();g=c[j+24>>2]|0;d=c[j+12>>2]|0;do if((d|0)==(j|0)){b=j+20|0;a=c[b>>2]|0;if(!a){b=j+16|0;a=c[b>>2]|0;if(!a){n=0;break}}while(1){d=a+20|0;e=c[d>>2]|0;if(e|0){a=e;b=d;continue}d=a+16|0;e=c[d>>2]|0;if(!e)break;else{a=e;b=d}}if(b>>>0<f>>>0)ra();else{c[b>>2]=0;n=a;break}}else{e=c[j+8>>2]|0;if(e>>>0<f>>>0)ra();a=e+12|0;if((c[a>>2]|0)!=(j|0))ra();b=d+8|0;if((c[b>>2]|0)==(j|0)){c[a>>2]=d;c[b>>2]=e;n=d;break}else ra()}while(0);do if(g|0){a=c[j+28>>2]|0;b=34440+(a<<2)|0;if((j|0)==(c[b>>2]|0)){c[b>>2]=n;if(!n){c[8535]=c[8535]&~(1<<a);break}}else{if(g>>>0<(c[8538]|0)>>>0)ra();a=g+16|0;if((c[a>>2]|0)==(j|0))c[a>>2]=n;else c[g+20>>2]=n;if(!n)break}b=c[8538]|0;if(n>>>0<b>>>0)ra();c[n+24>>2]=g;a=c[j+16>>2]|0;do if(a|0)if(a>>>0<b>>>0)ra();else{c[n+16>>2]=a;c[a+24>>2]=n;break}while(0);a=c[j+20>>2]|0;if(a|0)if(a>>>0<(c[8538]|0)>>>0)ra();else{c[n+20>>2]=a;c[a+24>>2]=n;break}}while(0);if(i>>>0<16){G=i+o|0;c[j+4>>2]=G|3;G=j+G+4|0;c[G>>2]=c[G>>2]|1}else{c[j+4>>2]=o|3;c[h+4>>2]=i|1;c[h+i>>2]=i;a=c[8536]|0;if(a|0){e=c[8539]|0;b=a>>>3;d=34176+(b<<1<<2)|0;a=c[8534]|0;b=1<<b;if(a&b){a=d+8|0;b=c[a>>2]|0;if(b>>>0<(c[8538]|0)>>>0)ra();else{p=a;q=b}}else{c[8534]=a|b;p=d+8|0;q=d}c[p>>2]=e;c[q+12>>2]=e;c[e+8>>2]=q;c[e+12>>2]=d}c[8536]=i;c[8539]=h}G=j+8|0;return G|0}}}else if(a>>>0<=4294967231){a=a+11|0;o=a&-8;k=c[8535]|0;if(k){d=0-o|0;a=a>>>8;if(a)if(o>>>0>16777215)j=31;else{q=(a+1048320|0)>>>16&8;z=a<<q;p=(z+520192|0)>>>16&4;z=z<<p;j=(z+245760|0)>>>16&2;j=14-(p|q|j)+(z<<j>>>15)|0;j=o>>>(j+7|0)&1|j<<1}else j=0;b=c[34440+(j<<2)>>2]|0;a:do if(!b){a=0;b=0;z=86}else{f=d;a=0;h=o<<((j|0)==31?0:25-(j>>>1)|0);i=b;b=0;while(1){e=c[i+4>>2]&-8;d=e-o|0;if(d>>>0<f>>>0)if((e|0)==(o|0)){a=i;b=i;z=90;break a}else b=i;else d=f;e=c[i+20>>2]|0;i=c[i+16+(h>>>31<<2)>>2]|0;a=(e|0)==0|(e|0)==(i|0)?a:e;e=(i|0)==0;if(e){z=86;break}else{f=d;h=h<<(e&1^1)}}}while(0);if((z|0)==86){if((a|0)==0&(b|0)==0){a=2<<j;a=k&(a|0-a);if(!a)break;q=(a&0-a)+-1|0;m=q>>>12&16;q=q>>>m;l=q>>>5&8;q=q>>>l;n=q>>>2&4;q=q>>>n;p=q>>>1&2;q=q>>>p;a=q>>>1&1;a=c[34440+((l|m|n|p|a)+(q>>>a)<<2)>>2]|0}if(!a){i=d;j=b}else z=90}if((z|0)==90)while(1){z=0;q=(c[a+4>>2]&-8)-o|0;e=q>>>0<d>>>0;d=e?q:d;b=e?a:b;e=c[a+16>>2]|0;if(e|0){a=e;z=90;continue}a=c[a+20>>2]|0;if(!a){i=d;j=b;break}else z=90}if((j|0)!=0?i>>>0<((c[8536]|0)-o|0)>>>0:0){f=c[8538]|0;if(j>>>0<f>>>0)ra();h=j+o|0;if(j>>>0>=h>>>0)ra();g=c[j+24>>2]|0;d=c[j+12>>2]|0;do if((d|0)==(j|0)){b=j+20|0;a=c[b>>2]|0;if(!a){b=j+16|0;a=c[b>>2]|0;if(!a){s=0;break}}while(1){d=a+20|0;e=c[d>>2]|0;if(e|0){a=e;b=d;continue}d=a+16|0;e=c[d>>2]|0;if(!e)break;else{a=e;b=d}}if(b>>>0<f>>>0)ra();else{c[b>>2]=0;s=a;break}}else{e=c[j+8>>2]|0;if(e>>>0<f>>>0)ra();a=e+12|0;if((c[a>>2]|0)!=(j|0))ra();b=d+8|0;if((c[b>>2]|0)==(j|0)){c[a>>2]=d;c[b>>2]=e;s=d;break}else ra()}while(0);do if(g|0){a=c[j+28>>2]|0;b=34440+(a<<2)|0;if((j|0)==(c[b>>2]|0)){c[b>>2]=s;if(!s){c[8535]=c[8535]&~(1<<a);break}}else{if(g>>>0<(c[8538]|0)>>>0)ra();a=g+16|0;if((c[a>>2]|0)==(j|0))c[a>>2]=s;else c[g+20>>2]=s;if(!s)break}b=c[8538]|0;if(s>>>0<b>>>0)ra();c[s+24>>2]=g;a=c[j+16>>2]|0;do if(a|0)if(a>>>0<b>>>0)ra();else{c[s+16>>2]=a;c[a+24>>2]=s;break}while(0);a=c[j+20>>2]|0;if(a|0)if(a>>>0<(c[8538]|0)>>>0)ra();else{c[s+20>>2]=a;c[a+24>>2]=s;break}}while(0);do if(i>>>0>=16){c[j+4>>2]=o|3;c[h+4>>2]=i|1;c[h+i>>2]=i;a=i>>>3;if(i>>>0<256){d=34176+(a<<1<<2)|0;b=c[8534]|0;a=1<<a;if(b&a){a=d+8|0;b=c[a>>2]|0;if(b>>>0<(c[8538]|0)>>>0)ra();else{t=a;v=b}}else{c[8534]=b|a;t=d+8|0;v=d}c[t>>2]=h;c[v+12>>2]=h;c[h+8>>2]=v;c[h+12>>2]=d;break}a=i>>>8;if(a)if(i>>>0>16777215)d=31;else{F=(a+1048320|0)>>>16&8;G=a<<F;E=(G+520192|0)>>>16&4;G=G<<E;d=(G+245760|0)>>>16&2;d=14-(E|F|d)+(G<<d>>>15)|0;d=i>>>(d+7|0)&1|d<<1}else d=0;e=34440+(d<<2)|0;c[h+28>>2]=d;a=h+16|0;c[a+4>>2]=0;c[a>>2]=0;a=c[8535]|0;b=1<<d;if(!(a&b)){c[8535]=a|b;c[e>>2]=h;c[h+24>>2]=e;c[h+12>>2]=h;c[h+8>>2]=h;break}d=i<<((d|0)==31?0:25-(d>>>1)|0);e=c[e>>2]|0;while(1){if((c[e+4>>2]&-8|0)==(i|0)){z=148;break}b=e+16+(d>>>31<<2)|0;a=c[b>>2]|0;if(!a){z=145;break}else{d=d<<1;e=a}}if((z|0)==145)if(b>>>0<(c[8538]|0)>>>0)ra();else{c[b>>2]=h;c[h+24>>2]=e;c[h+12>>2]=h;c[h+8>>2]=h;break}else if((z|0)==148){a=e+8|0;b=c[a>>2]|0;G=c[8538]|0;if(b>>>0>=G>>>0&e>>>0>=G>>>0){c[b+12>>2]=h;c[a>>2]=h;c[h+8>>2]=b;c[h+12>>2]=e;c[h+24>>2]=0;break}else ra()}}else{G=i+o|0;c[j+4>>2]=G|3;G=j+G+4|0;c[G>>2]=c[G>>2]|1}while(0);G=j+8|0;return G|0}}}else o=-1;while(0);d=c[8536]|0;if(d>>>0>=o>>>0){a=d-o|0;b=c[8539]|0;if(a>>>0>15){G=b+o|0;c[8539]=G;c[8536]=a;c[G+4>>2]=a|1;c[G+a>>2]=a;c[b+4>>2]=o|3}else{c[8536]=0;c[8539]=0;c[b+4>>2]=d|3;G=b+d+4|0;c[G>>2]=c[G>>2]|1}G=b+8|0;return G|0}a=c[8537]|0;if(a>>>0>o>>>0){E=a-o|0;c[8537]=E;G=c[8540]|0;F=G+o|0;c[8540]=F;c[F+4>>2]=E|1;c[G+4>>2]=o|3;G=G+8|0;return G|0}do if(!(c[8652]|0)){a=ka(30)|0;if(!(a+-1&a)){c[8654]=a;c[8653]=a;c[8655]=-1;c[8656]=-1;c[8657]=0;c[8645]=0;c[8652]=(ta(0)|0)&-16^1431655768;break}else ra()}while(0);h=o+48|0;e=c[8654]|0;i=o+47|0;d=e+i|0;e=0-e|0;j=d&e;if(j>>>0<=o>>>0){G=0;return G|0}a=c[8644]|0;if(a|0?(t=c[8642]|0,v=t+j|0,v>>>0<=t>>>0|v>>>0>a>>>0):0){G=0;return G|0}b:do if(!(c[8645]&4)){b=c[8540]|0;c:do if(b){f=34584;while(1){a=c[f>>2]|0;if(a>>>0<=b>>>0?(r=f+4|0,(a+(c[r>>2]|0)|0)>>>0>b>>>0):0)break;a=c[f+8>>2]|0;if(!a){z=173;break c}else f=a}a=d-(c[8537]|0)&e;if(a>>>0<2147483647){b=sa(a|0)|0;if((b|0)==((c[f>>2]|0)+(c[r>>2]|0)|0)){if((b|0)!=(-1|0)){h=b;g=a;z=193;break b}}else z=183}}else z=173;while(0);do if((z|0)==173?(u=sa(0)|0,(u|0)!=(-1|0)):0){a=u;b=c[8653]|0;d=b+-1|0;if(!(d&a))a=j;else a=j-a+(d+a&0-b)|0;b=c[8642]|0;d=b+a|0;if(a>>>0>o>>>0&a>>>0<2147483647){v=c[8644]|0;if(v|0?d>>>0<=b>>>0|d>>>0>v>>>0:0)break;b=sa(a|0)|0;if((b|0)==(u|0)){h=u;g=a;z=193;break b}else z=183}}while(0);d:do if((z|0)==183){d=0-a|0;do if(h>>>0>a>>>0&(a>>>0<2147483647&(b|0)!=(-1|0))?(w=c[8654]|0,w=i-a+w&0-w,w>>>0<2147483647):0)if((sa(w|0)|0)==(-1|0)){sa(d|0)|0;break d}else{a=w+a|0;break}while(0);if((b|0)!=(-1|0)){h=b;g=a;z=193;break b}}while(0);c[8645]=c[8645]|4;z=190}else z=190;while(0);if((((z|0)==190?j>>>0<2147483647:0)?(x=sa(j|0)|0,y=sa(0)|0,x>>>0<y>>>0&((x|0)!=(-1|0)&(y|0)!=(-1|0))):0)?(g=y-x|0,g>>>0>(o+40|0)>>>0):0){h=x;z=193}if((z|0)==193){a=(c[8642]|0)+g|0;c[8642]=a;if(a>>>0>(c[8643]|0)>>>0)c[8643]=a;k=c[8540]|0;do if(k){f=34584;while(1){a=c[f>>2]|0;b=f+4|0;d=c[b>>2]|0;if((h|0)==(a+d|0)){z=203;break}e=c[f+8>>2]|0;if(!e)break;else f=e}if(((z|0)==203?(c[f+12>>2]&8|0)==0:0)?k>>>0<h>>>0&k>>>0>=a>>>0:0){c[b>>2]=d+g;G=k+8|0;G=(G&7|0)==0?0:0-G&7;F=k+G|0;G=g-G+(c[8537]|0)|0;c[8540]=F;c[8537]=G;c[F+4>>2]=G|1;c[F+G+4>>2]=40;c[8541]=c[8656];break}a=c[8538]|0;if(h>>>0<a>>>0){c[8538]=h;i=h}else i=a;b=h+g|0;a=34584;while(1){if((c[a>>2]|0)==(b|0)){z=211;break}a=c[a+8>>2]|0;if(!a){b=34584;break}}if((z|0)==211)if(!(c[a+12>>2]&8)){c[a>>2]=h;m=a+4|0;c[m>>2]=(c[m>>2]|0)+g;m=h+8|0;m=h+((m&7|0)==0?0:0-m&7)|0;a=b+8|0;a=b+((a&7|0)==0?0:0-a&7)|0;l=m+o|0;j=a-m-o|0;c[m+4>>2]=o|3;do if((a|0)!=(k|0)){if((a|0)==(c[8539]|0)){G=(c[8536]|0)+j|0;c[8536]=G;c[8539]=l;c[l+4>>2]=G|1;c[l+G>>2]=G;break}b=c[a+4>>2]|0;if((b&3|0)==1){h=b&-8;f=b>>>3;e:do if(b>>>0>=256){g=c[a+24>>2]|0;e=c[a+12>>2]|0;do if((e|0)==(a|0)){e=a+16|0;d=e+4|0;b=c[d>>2]|0;if(!b){b=c[e>>2]|0;if(!b){E=0;break}else d=e}while(1){e=b+20|0;f=c[e>>2]|0;if(f|0){b=f;d=e;continue}e=b+16|0;f=c[e>>2]|0;if(!f)break;else{b=f;d=e}}if(d>>>0<i>>>0)ra();else{c[d>>2]=0;E=b;break}}else{f=c[a+8>>2]|0;if(f>>>0<i>>>0)ra();b=f+12|0;if((c[b>>2]|0)!=(a|0))ra();d=e+8|0;if((c[d>>2]|0)==(a|0)){c[b>>2]=e;c[d>>2]=f;E=e;break}else ra()}while(0);if(!g)break;b=c[a+28>>2]|0;d=34440+(b<<2)|0;do if((a|0)!=(c[d>>2]|0)){if(g>>>0<(c[8538]|0)>>>0)ra();b=g+16|0;if((c[b>>2]|0)==(a|0))c[b>>2]=E;else c[g+20>>2]=E;if(!E)break e}else{c[d>>2]=E;if(E|0)break;c[8535]=c[8535]&~(1<<b);break e}while(0);e=c[8538]|0;if(E>>>0<e>>>0)ra();c[E+24>>2]=g;b=a+16|0;d=c[b>>2]|0;do if(d|0)if(d>>>0<e>>>0)ra();else{c[E+16>>2]=d;c[d+24>>2]=E;break}while(0);b=c[b+4>>2]|0;if(!b)break;if(b>>>0<(c[8538]|0)>>>0)ra();else{c[E+20>>2]=b;c[b+24>>2]=E;break}}else{d=c[a+8>>2]|0;e=c[a+12>>2]|0;b=34176+(f<<1<<2)|0;do if((d|0)!=(b|0)){if(d>>>0<i>>>0)ra();if((c[d+12>>2]|0)==(a|0))break;ra()}while(0);if((e|0)==(d|0)){c[8534]=c[8534]&~(1<<f);break}do if((e|0)==(b|0))B=e+8|0;else{if(e>>>0<i>>>0)ra();b=e+8|0;if((c[b>>2]|0)==(a|0)){B=b;break}ra()}while(0);c[d+12>>2]=e;c[B>>2]=d}while(0);a=a+h|0;f=h+j|0}else f=j;a=a+4|0;c[a>>2]=c[a>>2]&-2;c[l+4>>2]=f|1;c[l+f>>2]=f;a=f>>>3;if(f>>>0<256){d=34176+(a<<1<<2)|0;b=c[8534]|0;a=1<<a;do if(!(b&a)){c[8534]=b|a;F=d+8|0;G=d}else{a=d+8|0;b=c[a>>2]|0;if(b>>>0>=(c[8538]|0)>>>0){F=a;G=b;break}ra()}while(0);c[F>>2]=l;c[G+12>>2]=l;c[l+8>>2]=G;c[l+12>>2]=d;break}a=f>>>8;do if(!a)d=0;else{if(f>>>0>16777215){d=31;break}F=(a+1048320|0)>>>16&8;G=a<<F;E=(G+520192|0)>>>16&4;G=G<<E;d=(G+245760|0)>>>16&2;d=14-(E|F|d)+(G<<d>>>15)|0;d=f>>>(d+7|0)&1|d<<1}while(0);e=34440+(d<<2)|0;c[l+28>>2]=d;a=l+16|0;c[a+4>>2]=0;c[a>>2]=0;a=c[8535]|0;b=1<<d;if(!(a&b)){c[8535]=a|b;c[e>>2]=l;c[l+24>>2]=e;c[l+12>>2]=l;c[l+8>>2]=l;break}d=f<<((d|0)==31?0:25-(d>>>1)|0);e=c[e>>2]|0;while(1){if((c[e+4>>2]&-8|0)==(f|0)){z=281;break}b=e+16+(d>>>31<<2)|0;a=c[b>>2]|0;if(!a){z=278;break}else{d=d<<1;e=a}}if((z|0)==278)if(b>>>0<(c[8538]|0)>>>0)ra();else{c[b>>2]=l;c[l+24>>2]=e;c[l+12>>2]=l;c[l+8>>2]=l;break}else if((z|0)==281){a=e+8|0;b=c[a>>2]|0;G=c[8538]|0;if(b>>>0>=G>>>0&e>>>0>=G>>>0){c[b+12>>2]=l;c[a>>2]=l;c[l+8>>2]=b;c[l+12>>2]=e;c[l+24>>2]=0;break}else ra()}}else{G=(c[8537]|0)+j|0;c[8537]=G;c[8540]=l;c[l+4>>2]=G|1}while(0);G=m+8|0;return G|0}else b=34584;while(1){a=c[b>>2]|0;if(a>>>0<=k>>>0?(A=a+(c[b+4>>2]|0)|0,A>>>0>k>>>0):0)break;b=c[b+8>>2]|0}f=A+-47|0;b=f+8|0;b=f+((b&7|0)==0?0:0-b&7)|0;f=k+16|0;b=b>>>0<f>>>0?k:b;a=b+8|0;d=h+8|0;d=(d&7|0)==0?0:0-d&7;G=h+d|0;d=g+-40-d|0;c[8540]=G;c[8537]=d;c[G+4>>2]=d|1;c[G+d+4>>2]=40;c[8541]=c[8656];d=b+4|0;c[d>>2]=27;c[a>>2]=c[8646];c[a+4>>2]=c[8647];c[a+8>>2]=c[8648];c[a+12>>2]=c[8649];c[8646]=h;c[8647]=g;c[8649]=0;c[8648]=a;a=b+24|0;do{a=a+4|0;c[a>>2]=7}while((a+4|0)>>>0<A>>>0);if((b|0)!=(k|0)){g=b-k|0;c[d>>2]=c[d>>2]&-2;c[k+4>>2]=g|1;c[b>>2]=g;a=g>>>3;if(g>>>0<256){d=34176+(a<<1<<2)|0;b=c[8534]|0;a=1<<a;if(b&a){a=d+8|0;b=c[a>>2]|0;if(b>>>0<(c[8538]|0)>>>0)ra();else{C=a;D=b}}else{c[8534]=b|a;C=d+8|0;D=d}c[C>>2]=k;c[D+12>>2]=k;c[k+8>>2]=D;c[k+12>>2]=d;break}a=g>>>8;if(a)if(g>>>0>16777215)d=31;else{F=(a+1048320|0)>>>16&8;G=a<<F;E=(G+520192|0)>>>16&4;G=G<<E;d=(G+245760|0)>>>16&2;d=14-(E|F|d)+(G<<d>>>15)|0;d=g>>>(d+7|0)&1|d<<1}else d=0;e=34440+(d<<2)|0;c[k+28>>2]=d;c[k+20>>2]=0;c[f>>2]=0;a=c[8535]|0;b=1<<d;if(!(a&b)){c[8535]=a|b;c[e>>2]=k;c[k+24>>2]=e;c[k+12>>2]=k;c[k+8>>2]=k;break}d=g<<((d|0)==31?0:25-(d>>>1)|0);e=c[e>>2]|0;while(1){if((c[e+4>>2]&-8|0)==(g|0)){z=307;break}b=e+16+(d>>>31<<2)|0;a=c[b>>2]|0;if(!a){z=304;break}else{d=d<<1;e=a}}if((z|0)==304)if(b>>>0<(c[8538]|0)>>>0)ra();else{c[b>>2]=k;c[k+24>>2]=e;c[k+12>>2]=k;c[k+8>>2]=k;break}else if((z|0)==307){a=e+8|0;b=c[a>>2]|0;G=c[8538]|0;if(b>>>0>=G>>>0&e>>>0>=G>>>0){c[b+12>>2]=k;c[a>>2]=k;c[k+8>>2]=b;c[k+12>>2]=e;c[k+24>>2]=0;break}else ra()}}}else{G=c[8538]|0;if((G|0)==0|h>>>0<G>>>0)c[8538]=h;c[8646]=h;c[8647]=g;c[8649]=0;c[8543]=c[8652];c[8542]=-1;a=0;do{G=34176+(a<<1<<2)|0;c[G+12>>2]=G;c[G+8>>2]=G;a=a+1|0}while((a|0)!=32);G=h+8|0;G=(G&7|0)==0?0:0-G&7;F=h+G|0;G=g+-40-G|0;c[8540]=F;c[8537]=G;c[F+4>>2]=G|1;c[F+G+4>>2]=40;c[8541]=c[8656]}while(0);a=c[8537]|0;if(a>>>0>o>>>0){E=a-o|0;c[8537]=E;G=c[8540]|0;F=G+o|0;c[8540]=F;c[F+4>>2]=E|1;c[G+4>>2]=o|3;G=G+8|0;return G|0}}if(!(c[8522]|0))a=34132;else a=c[(oa()|0)+64>>2]|0;c[a>>2]=12;G=0;return G|0}function gh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!a)return;d=a+-8|0;h=c[8538]|0;if(d>>>0<h>>>0)ra();a=c[a+-4>>2]|0;b=a&3;if((b|0)==1)ra();e=a&-8;m=d+e|0;do if(!(a&1)){a=c[d>>2]|0;if(!b)return;k=d+(0-a)|0;j=a+e|0;if(k>>>0<h>>>0)ra();if((k|0)==(c[8539]|0)){a=m+4|0;b=c[a>>2]|0;if((b&3|0)!=3){q=k;f=j;break}c[8536]=j;c[a>>2]=b&-2;c[k+4>>2]=j|1;c[k+j>>2]=j;return}e=a>>>3;if(a>>>0<256){b=c[k+8>>2]|0;d=c[k+12>>2]|0;a=34176+(e<<1<<2)|0;if((b|0)!=(a|0)){if(b>>>0<h>>>0)ra();if((c[b+12>>2]|0)!=(k|0))ra()}if((d|0)==(b|0)){c[8534]=c[8534]&~(1<<e);q=k;f=j;break}if((d|0)!=(a|0)){if(d>>>0<h>>>0)ra();a=d+8|0;if((c[a>>2]|0)==(k|0))g=a;else ra()}else g=d+8|0;c[b+12>>2]=d;c[g>>2]=b;q=k;f=j;break}g=c[k+24>>2]|0;d=c[k+12>>2]|0;do if((d|0)==(k|0)){d=k+16|0;b=d+4|0;a=c[b>>2]|0;if(!a){a=c[d>>2]|0;if(!a){i=0;break}else b=d}while(1){d=a+20|0;e=c[d>>2]|0;if(e|0){a=e;b=d;continue}d=a+16|0;e=c[d>>2]|0;if(!e)break;else{a=e;b=d}}if(b>>>0<h>>>0)ra();else{c[b>>2]=0;i=a;break}}else{e=c[k+8>>2]|0;if(e>>>0<h>>>0)ra();a=e+12|0;if((c[a>>2]|0)!=(k|0))ra();b=d+8|0;if((c[b>>2]|0)==(k|0)){c[a>>2]=d;c[b>>2]=e;i=d;break}else ra()}while(0);if(g){a=c[k+28>>2]|0;b=34440+(a<<2)|0;if((k|0)==(c[b>>2]|0)){c[b>>2]=i;if(!i){c[8535]=c[8535]&~(1<<a);q=k;f=j;break}}else{if(g>>>0<(c[8538]|0)>>>0)ra();a=g+16|0;if((c[a>>2]|0)==(k|0))c[a>>2]=i;else c[g+20>>2]=i;if(!i){q=k;f=j;break}}d=c[8538]|0;if(i>>>0<d>>>0)ra();c[i+24>>2]=g;a=k+16|0;b=c[a>>2]|0;do if(b|0)if(b>>>0<d>>>0)ra();else{c[i+16>>2]=b;c[b+24>>2]=i;break}while(0);a=c[a+4>>2]|0;if(a)if(a>>>0<(c[8538]|0)>>>0)ra();else{c[i+20>>2]=a;c[a+24>>2]=i;q=k;f=j;break}else{q=k;f=j}}else{q=k;f=j}}else{q=d;f=e}while(0);if(q>>>0>=m>>>0)ra();a=m+4|0;b=c[a>>2]|0;if(!(b&1))ra();if(!(b&2)){if((m|0)==(c[8540]|0)){p=(c[8537]|0)+f|0;c[8537]=p;c[8540]=q;c[q+4>>2]=p|1;if((q|0)!=(c[8539]|0))return;c[8539]=0;c[8536]=0;return}if((m|0)==(c[8539]|0)){p=(c[8536]|0)+f|0;c[8536]=p;c[8539]=q;c[q+4>>2]=p|1;c[q+p>>2]=p;return}f=(b&-8)+f|0;e=b>>>3;do if(b>>>0>=256){g=c[m+24>>2]|0;a=c[m+12>>2]|0;do if((a|0)==(m|0)){d=m+16|0;b=d+4|0;a=c[b>>2]|0;if(!a){a=c[d>>2]|0;if(!a){n=0;break}else b=d}while(1){d=a+20|0;e=c[d>>2]|0;if(e|0){a=e;b=d;continue}d=a+16|0;e=c[d>>2]|0;if(!e)break;else{a=e;b=d}}if(b>>>0<(c[8538]|0)>>>0)ra();else{c[b>>2]=0;n=a;break}}else{b=c[m+8>>2]|0;if(b>>>0<(c[8538]|0)>>>0)ra();d=b+12|0;if((c[d>>2]|0)!=(m|0))ra();e=a+8|0;if((c[e>>2]|0)==(m|0)){c[d>>2]=a;c[e>>2]=b;n=a;break}else ra()}while(0);if(g|0){a=c[m+28>>2]|0;b=34440+(a<<2)|0;if((m|0)==(c[b>>2]|0)){c[b>>2]=n;if(!n){c[8535]=c[8535]&~(1<<a);break}}else{if(g>>>0<(c[8538]|0)>>>0)ra();a=g+16|0;if((c[a>>2]|0)==(m|0))c[a>>2]=n;else c[g+20>>2]=n;if(!n)break}d=c[8538]|0;if(n>>>0<d>>>0)ra();c[n+24>>2]=g;a=m+16|0;b=c[a>>2]|0;do if(b|0)if(b>>>0<d>>>0)ra();else{c[n+16>>2]=b;c[b+24>>2]=n;break}while(0);a=c[a+4>>2]|0;if(a|0)if(a>>>0<(c[8538]|0)>>>0)ra();else{c[n+20>>2]=a;c[a+24>>2]=n;break}}}else{b=c[m+8>>2]|0;d=c[m+12>>2]|0;a=34176+(e<<1<<2)|0;if((b|0)!=(a|0)){if(b>>>0<(c[8538]|0)>>>0)ra();if((c[b+12>>2]|0)!=(m|0))ra()}if((d|0)==(b|0)){c[8534]=c[8534]&~(1<<e);break}if((d|0)!=(a|0)){if(d>>>0<(c[8538]|0)>>>0)ra();a=d+8|0;if((c[a>>2]|0)==(m|0))l=a;else ra()}else l=d+8|0;c[b+12>>2]=d;c[l>>2]=b}while(0);c[q+4>>2]=f|1;c[q+f>>2]=f;if((q|0)==(c[8539]|0)){c[8536]=f;return}}else{c[a>>2]=b&-2;c[q+4>>2]=f|1;c[q+f>>2]=f}a=f>>>3;if(f>>>0<256){d=34176+(a<<1<<2)|0;b=c[8534]|0;a=1<<a;if(b&a){a=d+8|0;b=c[a>>2]|0;if(b>>>0<(c[8538]|0)>>>0)ra();else{o=a;p=b}}else{c[8534]=b|a;o=d+8|0;p=d}c[o>>2]=q;c[p+12>>2]=q;c[q+8>>2]=p;c[q+12>>2]=d;return}a=f>>>8;if(a)if(f>>>0>16777215)d=31;else{o=(a+1048320|0)>>>16&8;p=a<<o;n=(p+520192|0)>>>16&4;p=p<<n;d=(p+245760|0)>>>16&2;d=14-(n|o|d)+(p<<d>>>15)|0;d=f>>>(d+7|0)&1|d<<1}else d=0;e=34440+(d<<2)|0;c[q+28>>2]=d;c[q+20>>2]=0;c[q+16>>2]=0;a=c[8535]|0;b=1<<d;do if(a&b){d=f<<((d|0)==31?0:25-(d>>>1)|0);e=c[e>>2]|0;while(1){if((c[e+4>>2]&-8|0)==(f|0)){a=130;break}b=e+16+(d>>>31<<2)|0;a=c[b>>2]|0;if(!a){a=127;break}else{d=d<<1;e=a}}if((a|0)==127)if(b>>>0<(c[8538]|0)>>>0)ra();else{c[b>>2]=q;c[q+24>>2]=e;c[q+12>>2]=q;c[q+8>>2]=q;break}else if((a|0)==130){a=e+8|0;b=c[a>>2]|0;p=c[8538]|0;if(b>>>0>=p>>>0&e>>>0>=p>>>0){c[b+12>>2]=q;c[a>>2]=q;c[q+8>>2]=b;c[q+12>>2]=e;c[q+24>>2]=0;break}else ra()}}else{c[8535]=a|b;c[e>>2]=q;c[q+24>>2]=e;c[q+12>>2]=q;c[q+8>>2]=q}while(0);q=(c[8542]|0)+-1|0;c[8542]=q;if(!q)a=34592;else return;while(1){a=c[a>>2]|0;if(!a)break;else a=a+8|0}c[8542]=-1;return}function hh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;o=a+b|0;d=c[a+4>>2]|0;do if(!(d&1)){g=c[a>>2]|0;if(!(d&3))return;l=a+(0-g)|0;k=g+b|0;i=c[8538]|0;if(l>>>0<i>>>0)ra();if((l|0)==(c[8539]|0)){a=o+4|0;d=c[a>>2]|0;if((d&3|0)!=3){r=l;f=k;break}c[8536]=k;c[a>>2]=d&-2;c[l+4>>2]=k|1;c[l+k>>2]=k;return}e=g>>>3;if(g>>>0<256){a=c[l+8>>2]|0;b=c[l+12>>2]|0;d=34176+(e<<1<<2)|0;if((a|0)!=(d|0)){if(a>>>0<i>>>0)ra();if((c[a+12>>2]|0)!=(l|0))ra()}if((b|0)==(a|0)){c[8534]=c[8534]&~(1<<e);r=l;f=k;break}if((b|0)!=(d|0)){if(b>>>0<i>>>0)ra();d=b+8|0;if((c[d>>2]|0)==(l|0))h=d;else ra()}else h=b+8|0;c[a+12>>2]=b;c[h>>2]=a;r=l;f=k;break}g=c[l+24>>2]|0;b=c[l+12>>2]|0;do if((b|0)==(l|0)){b=l+16|0;a=b+4|0;d=c[a>>2]|0;if(!d){d=c[b>>2]|0;if(!d){j=0;break}else a=b}while(1){b=d+20|0;e=c[b>>2]|0;if(e|0){d=e;a=b;continue}b=d+16|0;e=c[b>>2]|0;if(!e)break;else{d=e;a=b}}if(a>>>0<i>>>0)ra();else{c[a>>2]=0;j=d;break}}else{e=c[l+8>>2]|0;if(e>>>0<i>>>0)ra();d=e+12|0;if((c[d>>2]|0)!=(l|0))ra();a=b+8|0;if((c[a>>2]|0)==(l|0)){c[d>>2]=b;c[a>>2]=e;j=b;break}else ra()}while(0);if(g){d=c[l+28>>2]|0;a=34440+(d<<2)|0;if((l|0)==(c[a>>2]|0)){c[a>>2]=j;if(!j){c[8535]=c[8535]&~(1<<d);r=l;f=k;break}}else{if(g>>>0<(c[8538]|0)>>>0)ra();d=g+16|0;if((c[d>>2]|0)==(l|0))c[d>>2]=j;else c[g+20>>2]=j;if(!j){r=l;f=k;break}}b=c[8538]|0;if(j>>>0<b>>>0)ra();c[j+24>>2]=g;d=l+16|0;a=c[d>>2]|0;do if(a|0)if(a>>>0<b>>>0)ra();else{c[j+16>>2]=a;c[a+24>>2]=j;break}while(0);d=c[d+4>>2]|0;if(d)if(d>>>0<(c[8538]|0)>>>0)ra();else{c[j+20>>2]=d;c[d+24>>2]=j;r=l;f=k;break}else{r=l;f=k}}else{r=l;f=k}}else{r=a;f=b}while(0);h=c[8538]|0;if(o>>>0<h>>>0)ra();d=o+4|0;a=c[d>>2]|0;if(!(a&2)){if((o|0)==(c[8540]|0)){q=(c[8537]|0)+f|0;c[8537]=q;c[8540]=r;c[r+4>>2]=q|1;if((r|0)!=(c[8539]|0))return;c[8539]=0;c[8536]=0;return}if((o|0)==(c[8539]|0)){q=(c[8536]|0)+f|0;c[8536]=q;c[8539]=r;c[r+4>>2]=q|1;c[r+q>>2]=q;return}f=(a&-8)+f|0;e=a>>>3;do if(a>>>0>=256){g=c[o+24>>2]|0;b=c[o+12>>2]|0;do if((b|0)==(o|0)){b=o+16|0;a=b+4|0;d=c[a>>2]|0;if(!d){d=c[b>>2]|0;if(!d){n=0;break}else a=b}while(1){b=d+20|0;e=c[b>>2]|0;if(e|0){d=e;a=b;continue}b=d+16|0;e=c[b>>2]|0;if(!e)break;else{d=e;a=b}}if(a>>>0<h>>>0)ra();else{c[a>>2]=0;n=d;break}}else{e=c[o+8>>2]|0;if(e>>>0<h>>>0)ra();d=e+12|0;if((c[d>>2]|0)!=(o|0))ra();a=b+8|0;if((c[a>>2]|0)==(o|0)){c[d>>2]=b;c[a>>2]=e;n=b;break}else ra()}while(0);if(g|0){d=c[o+28>>2]|0;a=34440+(d<<2)|0;if((o|0)==(c[a>>2]|0)){c[a>>2]=n;if(!n){c[8535]=c[8535]&~(1<<d);break}}else{if(g>>>0<(c[8538]|0)>>>0)ra();d=g+16|0;if((c[d>>2]|0)==(o|0))c[d>>2]=n;else c[g+20>>2]=n;if(!n)break}b=c[8538]|0;if(n>>>0<b>>>0)ra();c[n+24>>2]=g;d=o+16|0;a=c[d>>2]|0;do if(a|0)if(a>>>0<b>>>0)ra();else{c[n+16>>2]=a;c[a+24>>2]=n;break}while(0);d=c[d+4>>2]|0;if(d|0)if(d>>>0<(c[8538]|0)>>>0)ra();else{c[n+20>>2]=d;c[d+24>>2]=n;break}}}else{a=c[o+8>>2]|0;b=c[o+12>>2]|0;d=34176+(e<<1<<2)|0;if((a|0)!=(d|0)){if(a>>>0<h>>>0)ra();if((c[a+12>>2]|0)!=(o|0))ra()}if((b|0)==(a|0)){c[8534]=c[8534]&~(1<<e);break}if((b|0)!=(d|0)){if(b>>>0<h>>>0)ra();d=b+8|0;if((c[d>>2]|0)==(o|0))m=d;else ra()}else m=b+8|0;c[a+12>>2]=b;c[m>>2]=a}while(0);c[r+4>>2]=f|1;c[r+f>>2]=f;if((r|0)==(c[8539]|0)){c[8536]=f;return}}else{c[d>>2]=a&-2;c[r+4>>2]=f|1;c[r+f>>2]=f}d=f>>>3;if(f>>>0<256){b=34176+(d<<1<<2)|0;a=c[8534]|0;d=1<<d;if(a&d){d=b+8|0;a=c[d>>2]|0;if(a>>>0<(c[8538]|0)>>>0)ra();else{p=d;q=a}}else{c[8534]=a|d;p=b+8|0;q=b}c[p>>2]=r;c[q+12>>2]=r;c[r+8>>2]=q;c[r+12>>2]=b;return}d=f>>>8;if(d)if(f>>>0>16777215)b=31;else{p=(d+1048320|0)>>>16&8;q=d<<p;o=(q+520192|0)>>>16&4;q=q<<o;b=(q+245760|0)>>>16&2;b=14-(o|p|b)+(q<<b>>>15)|0;b=f>>>(b+7|0)&1|b<<1}else b=0;e=34440+(b<<2)|0;c[r+28>>2]=b;c[r+20>>2]=0;c[r+16>>2]=0;d=c[8535]|0;a=1<<b;if(!(d&a)){c[8535]=d|a;c[e>>2]=r;c[r+24>>2]=e;c[r+12>>2]=r;c[r+8>>2]=r;return}b=f<<((b|0)==31?0:25-(b>>>1)|0);e=c[e>>2]|0;while(1){if((c[e+4>>2]&-8|0)==(f|0)){d=127;break}a=e+16+(b>>>31<<2)|0;d=c[a>>2]|0;if(!d){d=124;break}else{b=b<<1;e=d}}if((d|0)==124){if(a>>>0<(c[8538]|0)>>>0)ra();c[a>>2]=r;c[r+24>>2]=e;c[r+12>>2]=r;c[r+8>>2]=r;return}else if((d|0)==127){d=e+8|0;a=c[d>>2]|0;q=c[8538]|0;if(!(a>>>0>=q>>>0&e>>>0>=q>>>0))ra();c[a+12>>2]=r;c[d>>2]=r;c[r+8>>2]=a;c[r+12>>2]=e;c[r+24>>2]=0;return}}function ih(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if(b>>>0>4294967168){a=12;return a|0}if(b>>>0>=4294967168){if(!(c[8522]|0))b=34132;else b=c[(oa()|0)+64>>2]|0;c[b>>2]=12;a=12;return a|0}h=b>>>0<11?16:b+11&-8;b=fh(h+76|0)|0;if(!b){a=12;return a|0}e=b+-8|0;do if(b&63){f=b+63&-64;j=f+-8|0;g=e;f=(j-g|0)>>>0>15?j:f+56|0;g=f-g|0;b=b+-4|0;j=c[b>>2]|0;d=(j&-8)-g|0;if(!(j&3)){c[f>>2]=(c[e>>2]|0)+g;c[f+4>>2]=d;e=f;break}else{j=f+4|0;c[j>>2]=d|c[j>>2]&1|2;d=f+d+4|0;c[d>>2]=c[d>>2]|1;c[b>>2]=g|c[b>>2]&1|2;c[j>>2]=c[j>>2]|1;hh(e,g);e=f;break}}while(0);b=e+4|0;d=c[b>>2]|0;if(d&3|0?(i=d&-8,i>>>0>(h+16|0)>>>0):0){j=i-h|0;i=e+h|0;c[b>>2]=h|d&1|2;c[i+4>>2]=j|3;h=i+j+4|0;c[h>>2]=c[h>>2]|1;hh(i,j)}c[a>>2]=e+8;j=0;return j|0}function jh(){}function kh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=b-d-(c>>>0>a>>>0|0)>>>0;return (C=d,a-c>>>0|0)|0}function lh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=a+c>>>0;return (C=b+d+(c>>>0<a>>>0|0)>>>0,c|0)|0}function mh(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){C=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}C=(b|0)<0?-1:0;return b>>c-32|0}function nh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;h=b&3;i=d|d<<8|d<<16|d<<24;g=f&~3;if(h){h=b+4-h|0;while((b|0)<(h|0)){a[b>>0]=d;b=b+1|0}}while((b|0)<(g|0)){c[b>>2]=i;b=b+4|0}}while((b|0)<(f|0)){a[b>>0]=d;b=b+1|0}return b-e|0}function oh(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){C=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}C=0;return b>>>c-32|0}function ph(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){C=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}C=a<<c-32;return 0}function qh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return va(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if(!e)return f|0;a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function rh(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b>>0]=a[c>>0]|0}b=e}else qh(b,c,d)|0;return b|0}function sh(b){b=b|0;var c=0;c=a[m+(b&255)>>0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)>>0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)>>0]|0;if((c|0)<8)return c+16|0;return (a[m+(b>>>24)>>0]|0)+24|0}function th(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a&65535;e=b&65535;c=_(e,f)|0;d=a>>>16;a=(c>>>16)+(_(e,d)|0)|0;e=b>>>16;b=_(e,f)|0;return (C=(a>>>16)+(_(e,d)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|c&65535|0)|0}function uh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;j=b>>31|((b|0)<0?-1:0)<<1;i=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;f=d>>31|((d|0)<0?-1:0)<<1;e=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;h=kh(j^a|0,i^b|0,j|0,i|0)|0;g=C;a=f^j;b=e^i;return kh((zh(h,g,kh(f^c|0,e^d|0,f|0,e|0)|0,C,0)|0)^a|0,C^b|0,a|0,b|0)|0}function vh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;j=f|0;h=b>>31|((b|0)<0?-1:0)<<1;g=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;l=e>>31|((e|0)<0?-1:0)<<1;k=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;a=kh(h^a|0,g^b|0,h|0,g|0)|0;b=C;zh(a,b,kh(l^d|0,k^e|0,l|0,k|0)|0,C,j)|0;e=kh(c[j>>2]^h|0,c[j+4>>2]^g|0,h|0,g|0)|0;d=C;i=f;return (C=d,e)|0}function wh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;f=c;c=th(e,f)|0;a=C;return (C=(_(b,f)|0)+(_(d,e)|0)+a|a&0,c|0|0)|0}function xh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return zh(a,b,c,d,0)|0}function yh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;g=i;i=i+16|0;f=g|0;zh(a,b,d,e,f)|0;i=g;return (C=c[f+4>>2]|0,c[f>>2]|0)|0}function zh(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;l=a;j=b;k=j;h=d;n=e;i=n;if(!k){g=(f|0)!=0;if(!i){if(g){c[f>>2]=(l>>>0)%(h>>>0);c[f+4>>2]=0}n=0;f=(l>>>0)/(h>>>0)>>>0;return (C=n,f)|0}else{if(!g){n=0;f=0;return (C=n,f)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;f=0;return (C=n,f)|0}}g=(i|0)==0;do if(h){if(!g){g=(aa(i|0)|0)-(aa(k|0)|0)|0;if(g>>>0<=31){m=g+1|0;i=31-g|0;b=g-31>>31;h=m;a=l>>>(m>>>0)&b|k<<i;b=k>>>(m>>>0)&b;g=0;i=l<<i;break}if(!f){n=0;f=0;return (C=n,f)|0}c[f>>2]=a|0;c[f+4>>2]=j|b&0;n=0;f=0;return (C=n,f)|0}g=h-1|0;if(g&h|0){i=(aa(h|0)|0)+33-(aa(k|0)|0)|0;p=64-i|0;m=32-i|0;j=m>>31;o=i-32|0;b=o>>31;h=i;a=m-1>>31&k>>>(o>>>0)|(k<<m|l>>>(i>>>0))&b;b=b&k>>>(i>>>0);g=l<<p&j;i=(k<<p|l>>>(o>>>0))&j|l<<m&i-33>>31;break}if(f|0){c[f>>2]=g&l;c[f+4>>2]=0}if((h|0)==1){o=j|b&0;p=a|0|0;return (C=o,p)|0}else{p=sh(h|0)|0;o=k>>>(p>>>0)|0;p=k<<32-p|l>>>(p>>>0)|0;return (C=o,p)|0}}else{if(g){if(f|0){c[f>>2]=(k>>>0)%(h>>>0);c[f+4>>2]=0}o=0;p=(k>>>0)/(h>>>0)>>>0;return (C=o,p)|0}if(!l){if(f|0){c[f>>2]=0;c[f+4>>2]=(k>>>0)%(i>>>0)}o=0;p=(k>>>0)/(i>>>0)>>>0;return (C=o,p)|0}g=i-1|0;if(!(g&i)){if(f|0){c[f>>2]=a|0;c[f+4>>2]=g&k|b&0}o=0;p=k>>>((sh(i|0)|0)>>>0);return (C=o,p)|0}g=(aa(i|0)|0)-(aa(k|0)|0)|0;if(g>>>0<=30){b=g+1|0;i=31-g|0;h=b;a=k<<i|l>>>(b>>>0);b=k>>>(b>>>0);g=0;i=l<<i;break}if(!f){o=0;p=0;return (C=o,p)|0}c[f>>2]=a|0;c[f+4>>2]=j|b&0;o=0;p=0;return (C=o,p)|0}while(0);if(!h){k=i;j=0;i=0}else{m=d|0|0;l=n|e&0;k=lh(m|0,l|0,-1,-1)|0;d=C;j=i;i=0;do{e=j;j=g>>>31|j<<1;g=i|g<<1;e=a<<1|e>>>31|0;n=a>>>31|b<<1|0;kh(k|0,d|0,e|0,n|0)|0;p=C;o=p>>31|((p|0)<0?-1:0)<<1;i=o&1;a=kh(e|0,n|0,o&m|0,(((p|0)<0?-1:0)>>31|((p|0)<0?-1:0)<<1)&l|0)|0;b=C;h=h-1|0}while((h|0)!=0);k=j;j=0}h=0;if(f|0){c[f>>2]=a;c[f+4>>2]=b}o=(g|0)>>>31|(k|h)<<1|(h<<1|g>>>31)&0|j;p=(g<<1|0>>>31)&-2|i;return (C=o,p)|0}function Ah(a,b){a=a|0;b=b|0;return Ca[a&31](b|0)|0}function Bh(a){a=a|0;return ea(0,a|0)|0}function Ch(a){a=a|0;return ea(1,a|0)|0}function Dh(a){a=a|0;return ea(2,a|0)|0}function Eh(a){a=a|0;return ea(3,a|0)|0}function Fh(a){a=a|0;return ea(4,a|0)|0}function Gh(a){a=a|0;return ea(5,a|0)|0}function Hh(a){a=a|0;return ea(6,a|0)|0}function Ih(a){a=a|0;return ea(7,a|0)|0}function Jh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Da[a&31](b|0,c|0,d|0)|0}function Kh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(0,a|0,b|0,c|0)|0}function Lh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(1,a|0,b|0,c|0)|0}function Mh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(2,a|0,b|0,c|0)|0}function Nh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(3,a|0,b|0,c|0)|0}function Oh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(4,a|0,b|0,c|0)|0}function Ph(a,b,c){a=a|0;b=b|0;c=c|0;return ga(5,a|0,b|0,c|0)|0}function Qh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(6,a|0,b|0,c|0)|0}function Rh(a,b,c){a=a|0;b=b|0;c=c|0;return ga(7,a|0,b|0,c|0)|0}function Sh(a,b){a=a|0;b=b|0;Ea[a&31](b|0)}function Th(a){a=a|0;ia(0,a|0)}function Uh(a){a=a|0;ia(1,a|0)}function Vh(a){a=a|0;ia(2,a|0)}function Wh(a){a=a|0;ia(3,a|0)}function Xh(a){a=a|0;ia(4,a|0)}function Yh(a){a=a|0;ia(5,a|0)}function Zh(a){a=a|0;ia(6,a|0)}function _h(a){a=a|0;ia(7,a|0)}function $h(a){a=a|0;ba(0);return 0}function ai(a,b,c){a=a|0;b=b|0;c=c|0;ba(1);return 0}function bi(a){a=a|0;ba(2)}

// EMSCRIPTEN_END_FUNCS
var Ca=[$h,$h,Bh,$h,Ch,$h,Dh,$h,Eh,$h,Fh,$h,Gh,$h,Hh,$h,Ih,$h,Xg,$h,$h,$h,$h,$h,$h,$h,$h,$h,$h,$h,$h,$h];var Da=[ai,ai,Kh,ai,Lh,ai,Mh,ai,Nh,ai,Oh,ai,Ph,ai,Qh,ai,Rh,ai,_g,Zg,$g,ai,ai,ai,ai,ai,ai,ai,ai,ai,ai,ai];var Ea=[bi,bi,Th,bi,Uh,bi,Vh,bi,Wh,bi,Xh,bi,Yh,bi,Zh,bi,_h,bi,ah,bi,bi,bi,bi,bi,bi,bi,bi,bi,bi,bi,bi,bi];return{_crypto_onetimeauth_poly1305_init:Sd,_crypto_hash_sha512_init:Cd,_crypto_hash_primitive:sd,_crypto_onetimeauth_bytes:Id,_crypto_box_open:Tb,_crypto_stream_chacha20_ietf_noncebytes:hg,_crypto_stream_salsa20_xor:wg,_randombytes_buf:Mg,_crypto_auth_hmacsha512_verify:vb,_crypto_generichash_blake2b_keybytes_min:cd,_crypto_sign_open:Qf,_crypto_pwhash_scryptsalsa208sha256_memlimit_sensitive:Te,_crypto_sign_ed25519_keypair:_f,_crypto_scalarmult_curve25519_base:ef,_crypto_stream_salsa20:Vg,_crypto_sign_ed25519_open:cg,_sodium_init:Pg,_crypto_pwhash_scryptsalsa208sha256:Ue,_crypto_scalarmult_primitive:_e,_crypto_box_noncebytes:Ib,_crypto_aead_chacha20poly1305_ietf_keybytes:Wa,_crypto_aead_chacha20poly1305_ietf_encrypt_detached:Qa,_crypto_scalarmult_base:$e,_crypto_aead_chacha20poly1305_abytes:bb,_crypto_auth_bytes:cb,_crypto_pwhash_opslimit_sensitive:De,_crypto_pwhash_strbytes:xe,_crypto_auth_hmacsha512256_update:Ab,_memcpy:qh,_crypto_onetimeauth_poly1305:Qd,_crypto_sign_secretkeybytes:Lf,_crypto_generichash_primitive:Vc,_crypto_auth_hmacsha512256:Cb,_crypto_box_seed_keypair:Nb,_crypto_auth_hmacsha512_init:rb,_crypto_generichash_blake2b_keybytes_max:dd,_crypto_box_curve25519xsalsa20poly1305_macbytes:kc,_bitshift64Lshr:oh,_crypto_pwhash_scryptsalsa208sha256_memlimit_interactive:Re,_crypto_sign_ed25519_sk_to_pk:Yf,_crypto_verify_16_bytes:Cg,_crypto_stream_xsalsa20:zg,_crypto_scalarmult_curve25519:df,_crypto_box_open_easy_afternm:_b,_crypto_auth_hmacsha512:ub,_crypto_stream_chacha20_ietf_xor_ic:lg,_crypto_hash:rd,_crypto_box_curve25519xsalsa20poly1305_seedbytes:dc,_crypto_box_zerobytes:Jb,_crypto_stream_salsa20_keybytes:ug,_crypto_auth_hmacsha512256_keybytes:xb,_crypto_aead_chacha20poly1305_keybytes:_a,_crypto_hash_sha512_bytes:Ad,_crypto_verify_32:Fg,_crypto_generichash_blake2b_final:pd,_crypto_generichash_blake2b_init_salt_personal:nd,_crypto_box_seal:ac,_crypto_core_hsalsa20_outputbytes:Gc,_free:gh,_crypto_sign_ed25519_publickeybytes:Vf,_crypto_core_hsalsa20_keybytes:Ic,_crypto_sign_primitive:Mf,_crypto_scalarmult_curve25519_bytes:ff,_crypto_auth_keybytes:db,_crypto_box:Sb,_crypto_stream_xsalsa20_noncebytes:yg,_crypto_onetimeauth_poly1305_keybytes:Wd,_crypto_box_beforenm:Pb,_crypto_box_curve25519xsalsa20poly1305_open_afternm:mc,_crypto_pwhash_scryptsalsa208sha256_saltbytes:Ne,_crypto_aead_chacha20poly1305_npubbytes:$a,_crypto_stream_primitive:rg,_crypto_pwhash_argon2i_str_verify:te,_crypto_pwhash_memlimit_sensitive:Ee,_crypto_shorthash:Ef,_crypto_onetimeauth_poly1305_bytes:Vd,_crypto_secretbox_detached:qf,_crypto_box_curve25519xsalsa20poly1305_seed_keypair:qc,_crypto_box_primitive:Mb,_crypto_pwhash_str:Ge,_crypto_box_detached_afternm:Ub,_crypto_stream_salsa20_xor_ic:Wg,_crypto_secretbox_xsalsa20poly1305_boxzerobytes:xf,_crypto_core_salsa20_constbytes:Oc,_crypto_auth_hmacsha512_keybytes:pb,_crypto_auth:eb,_crypto_auth_hmacsha512256_final:Bb,_randombytes_random:Jg,_crypto_stream_chacha20_keybytes:fg,_crypto_pwhash_str_verify:He,_crypto_sign_keypair:Of,_crypto_auth_hmacsha256_statebytes:ib,_crypto_generichash_keybytes_min:Sc,_crypto_generichash_statebytes:Wc,_randombytes:Og,_crypto_aead_chacha20poly1305_encrypt_detached:Oa,_randombytes_implementation_name:Ig,_crypto_core_salsa20_keybytes:Nc,_sodium_library_version_major:Tg,_crypto_hash_sha256_statebytes:ud,_crypto_pwhash_strprefix:ye,_crypto_box_afternm:Qb,_crypto_secretbox_primitive:nf,_i64Add:lh,_malloc:fh,_crypto_scalarmult_curve25519_scalarbytes:gf,_crypto_box_curve25519xsalsa20poly1305_keypair:rc,_crypto_hash_sha256_init:vd,_crypto_sign_ed25519_detached:dg,_crypto_pwhash_scryptsalsa208sha256_str_verify:We,_crypto_generichash_init:Yc,_crypto_generichash_keybytes_max:Tc,_crypto_sign_ed25519_pk_to_curve25519:$f,_crypto_stream_chacha20_ietf_xor:ng,_crypto_verify_64:Hg,_crypto_sign_publickeybytes:Kf,_crypto_shorthash_siphash24:Hf,_crypto_box_beforenmbytes:Hb,_crypto_stream_chacha20_ietf:jg,_crypto_generichash:Xc,_crypto_sign_ed25519:eg,_crypto_box_curve25519xsalsa20poly1305_open:pc,_crypto_pwhash_opslimit_interactive:ze,_sodium_hex2bin:Rg,_crypto_onetimeauth_poly1305_final:Ud,_crypto_auth_hmacsha256_init:jb,_crypto_aead_chacha20poly1305_ietf_encrypt:Ra,_crypto_aead_chacha20poly1305_ietf_nsecbytes:Ya,_crypto_box_curve25519xsalsa20poly1305_noncebytes:hc,_crypto_secretbox:of,_crypto_box_boxzerobytes:Kb,_crypto_pwhash_argon2i_saltbytes:ie,_crypto_hash_sha512_update:Dd,_crypto_onetimeauth_poly1305_verify:Rd,_crypto_box_curve25519xsalsa20poly1305_beforenmbytes:gc,_crypto_generichash_blake2b_init:md,_crypto_aead_chacha20poly1305_ietf_decrypt:Va,_crypto_auth_hmacsha512256_init:zb,_crypto_pwhash_primitive:Ie,_crypto_onetimeauth_keybytes:Jd,_crypto_pwhash_argon2i:re,_crypto_auth_hmacsha512_final:tb,_crypto_sign_ed25519_seedbytes:Uf,_crypto_auth_hmacsha512256_verify:Db,_crypto_auth_hmacsha256_final:lb,_crypto_box_secretkeybytes:Gb,_crypto_verify_16:Dg,_crypto_stream_chacha20_noncebytes:gg,_crypto_onetimeauth_update:Nd,_crypto_aead_chacha20poly1305_encrypt:Pa,_crypto_core_salsa20:Kc,_crypto_pwhash_scryptsalsa208sha256_ll:Le,_crypto_box_detached:Vb,_crypto_stream_xsalsa20_xor:Bg,_crypto_sign_seedbytes:Jf,_memset:nh,_crypto_pwhash_scryptsalsa208sha256_str:Ve,_crypto_generichash_blake2b_saltbytes:fd,_bitshift64Ashr:mh,_bitshift64Shl:ph,_sodium_version_string:Sg,_crypto_box_open_detached:Zb,_crypto_scalarmult_bytes:bf,_crypto_secretbox_xsalsa20poly1305:zf,_crypto_pwhash:Fe,_crypto_auth_verify:fb,_crypto_sign_ed25519_seed_keypair:Zf,_crypto_secretbox_xsalsa20poly1305_zerobytes:wf,_crypto_onetimeauth_poly1305_update:Td,_crypto_sign_detached:Rf,_crypto_verify_32_bytes:Eg,_crypto_box_curve25519xsalsa20poly1305_zerobytes:ic,_crypto_generichash_blake2b_keybytes:ed,_crypto_sign_ed25519_secretkeybytes:Wf,_crypto_stream_xor:tg,_crypto_stream_xsalsa20_xor_ic:Ag,_crypto_verify_64_bytes:Gg,_randombytes_stir:Kg,_crypto_secretbox_easy:rf,_crypto_pwhash_argon2i_strprefix:ke,_crypto_auth_hmacsha256_update:kb,_crypto_pwhash_scryptsalsa208sha256_strbytes:Oe,_crypto_stream_chacha20:ig,_crypto_stream_xsalsa20_keybytes:xg,_crypto_sign:Pf,_crypto_pwhash_argon2i_str:se,_crypto_box_open_detached_afternm:Yb,_crypto_pwhash_argon2i_memlimit_sensitive:qe,_crypto_box_sealbytes:cc,_crypto_onetimeauth:Kd,_crypto_auth_hmacsha512_statebytes:qb,_crypto_secretbox_boxzerobytes:lf,_i64Subtract:kh,_crypto_pwhash_alg_default:ve,_crypto_pwhash_scryptsalsa208sha256_strprefix:Pe,_crypto_onetimeauth_primitive:Pd,_crypto_box_seedbytes:Eb,_crypto_hash_sha256_update:wd,_crypto_core_hsalsa20_constbytes:Jc,_crypto_box_curve25519xsalsa20poly1305:oc,_crypto_generichash_blake2b_statebytes:hd,_crypto_box_curve25519xsalsa20poly1305_boxzerobytes:jc,_crypto_generichash_blake2b_bytes_min:$c,_crypto_pwhash_opslimit_moderate:Be,_crypto_secretbox_open:pf,_crypto_hash_sha256_bytes:td,_crypto_core_salsa20_inputbytes:Mc,_crypto_box_macbytes:Lb,_crypto_shorthash_bytes:Bf,_crypto_box_publickeybytes:Fb,_crypto_aead_chacha20poly1305_decrypt_detached:Sa,_crypto_auth_hmacsha256_verify:nb,_crypto_pwhash_argon2i_strbytes:je,_sodium_library_version_minor:Ug,_crypto_scalarmult_scalarbytes:cf,_crypto_onetimeauth_statebytes:Hd,_crypto_auth_hmacsha256_bytes:gb,_crypto_sign_seed_keypair:Nf,_crypto_pwhash_argon2i_opslimit_interactive:le,_crypto_stream_salsa20_noncebytes:vg,_crypto_shorthash_keybytes:Cf,_crypto_box_curve25519xsalsa20poly1305_afternm:lc,_crypto_stream_noncebytes:qg,_crypto_aead_chacha20poly1305_decrypt:Ta,_sodium_bin2hex:Qg,_crypto_secretbox_open_easy:tf,_crypto_aead_chacha20poly1305_ietf_decrypt_detached:Ua,_crypto_pwhash_memlimit_interactive:Ae,_crypto_hash_sha512_final:Fd,_crypto_generichash_final:_c,_crypto_secretbox_xsalsa20poly1305_keybytes:uf,_crypto_auth_hmacsha512_update:sb,_crypto_pwhash_saltbytes:we,_crypto_auth_hmacsha256:mb,_crypto_secretbox_noncebytes:jf,_crypto_box_keypair:Ob,_crypto_secretbox_xsalsa20poly1305_macbytes:yf,_crypto_box_open_afternm:Rb,_crypto_auth_hmacsha512_bytes:ob,_crypto_generichash_keybytes:Uc,_crypto_hash_bytes:qd,_crypto_generichash_bytes_min:Pc,_crypto_pwhash_argon2i_alg_argon2i13:he,_crypto_secretbox_macbytes:mf,_crypto_secretbox_keybytes:hf,_crypto_auth_hmacsha256_keybytes:hb,_crypto_pwhash_argon2i_opslimit_sensitive:pe,_crypto_aead_chacha20poly1305_ietf_abytes:Za,_randombytes_close:Ng,_crypto_pwhash_argon2i_memlimit_moderate:oe,_crypto_generichash_blake2b_bytes_max:ad,_crypto_generichash_blake2b:kd,_crypto_generichash_bytes:Rc,_crypto_generichash_bytes_max:Qc,_crypto_secretbox_open_detached:sf,_crypto_sign_ed25519_sk_to_seed:Xf,_crypto_sign_ed25519_sk_to_curve25519:ag,_crypto_core_salsa20_outputbytes:Lc,_crypto_box_easy_afternm:Wb,_crypto_generichash_blake2b_personalbytes:gd,_crypto_stream_chacha20_xor_ic:kg,_crypto_sign_verify_detached:Sf,_crypto_pwhash_argon2i_opslimit_moderate:ne,_crypto_onetimeauth_verify:Ld,_crypto_box_open_easy:$b,_crypto_stream:sg,_crypto_pwhash_scryptsalsa208sha256_opslimit_sensitive:Se,_crypto_box_curve25519xsalsa20poly1305_secretkeybytes:fc,_crypto_aead_chacha20poly1305_nsecbytes:ab,_crypto_hash_sha512_statebytes:Bd,_crypto_sign_bytes:If,_crypto_secretbox_zerobytes:kf,_crypto_generichash_update:Zc,_crypto_scalarmult:af,_crypto_shorthash_primitive:Df,_crypto_hash_sha512:Gd,_crypto_stream_chacha20_xor:mg,_crypto_box_seal_open:bc,_fflush:dh,_crypto_box_easy:Xb,___errno_location:Yg,_crypto_sign_ed25519_verify_detached:bg,_memmove:rh,_crypto_sign_ed25519_bytes:Tf,_crypto_generichash_blake2b_update:od,_crypto_hash_sha256:zd,_crypto_box_curve25519xsalsa20poly1305_beforenm:nc,_crypto_pwhash_alg_argon2i13:ue,_crypto_core_hsalsa20_inputbytes:Hc,_crypto_onetimeauth_final:Od,_crypto_generichash_blake2b_bytes:bd,_crypto_auth_hmacsha512256_bytes:wb,_crypto_generichash_blake2b_salt_personal:ld,_randombytes_uniform:Lg,_crypto_shorthash_siphash24_bytes:Ff,_crypto_auth_hmacsha512256_statebytes:yb,_crypto_shorthash_siphash24_keybytes:Gf,_crypto_secretbox_xsalsa20poly1305_noncebytes:vf,_crypto_pwhash_scryptsalsa208sha256_opslimit_interactive:Qe,_crypto_core_hsalsa20:Fc,_crypto_pwhash_argon2i_memlimit_interactive:me,_crypto_hash_sha256_final:yd,_crypto_secretbox_xsalsa20poly1305_open:Af,_crypto_stream_keybytes:pg,_crypto_box_curve25519xsalsa20poly1305_publickeybytes:ec,_crypto_onetimeauth_init:Md,_crypto_aead_chacha20poly1305_ietf_npubbytes:Xa,_crypto_pwhash_memlimit_moderate:Ce,runPostSets:jh,stackAlloc:Fa,stackSave:Ga,stackRestore:Ha,establishStackSpace:Ia,setThrew:Ja,setTempRet0:Ma,getTempRet0:Na,dynCall_ii:Ah,dynCall_iiii:Jh,dynCall_vi:Sh}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var _crypto_onetimeauth_poly1305_init=Module["_crypto_onetimeauth_poly1305_init"]=asm["_crypto_onetimeauth_poly1305_init"];var _crypto_hash_sha512_init=Module["_crypto_hash_sha512_init"]=asm["_crypto_hash_sha512_init"];var _crypto_stream_xsalsa20_noncebytes=Module["_crypto_stream_xsalsa20_noncebytes"]=asm["_crypto_stream_xsalsa20_noncebytes"];var _crypto_auth_hmacsha256_verify=Module["_crypto_auth_hmacsha256_verify"]=asm["_crypto_auth_hmacsha256_verify"];var _crypto_onetimeauth_bytes=Module["_crypto_onetimeauth_bytes"]=asm["_crypto_onetimeauth_bytes"];var _crypto_shorthash_primitive=Module["_crypto_shorthash_primitive"]=asm["_crypto_shorthash_primitive"];var _crypto_box_open=Module["_crypto_box_open"]=asm["_crypto_box_open"];var _crypto_stream_chacha20_ietf_noncebytes=Module["_crypto_stream_chacha20_ietf_noncebytes"]=asm["_crypto_stream_chacha20_ietf_noncebytes"];var _crypto_stream_salsa20_xor=Module["_crypto_stream_salsa20_xor"]=asm["_crypto_stream_salsa20_xor"];var _crypto_auth_hmacsha512_verify=Module["_crypto_auth_hmacsha512_verify"]=asm["_crypto_auth_hmacsha512_verify"];var _crypto_generichash_blake2b_keybytes_min=Module["_crypto_generichash_blake2b_keybytes_min"]=asm["_crypto_generichash_blake2b_keybytes_min"];var _crypto_generichash_blake2b_bytes=Module["_crypto_generichash_blake2b_bytes"]=asm["_crypto_generichash_blake2b_bytes"];var _crypto_pwhash_saltbytes=Module["_crypto_pwhash_saltbytes"]=asm["_crypto_pwhash_saltbytes"];var _crypto_pwhash_scryptsalsa208sha256_memlimit_sensitive=Module["_crypto_pwhash_scryptsalsa208sha256_memlimit_sensitive"]=asm["_crypto_pwhash_scryptsalsa208sha256_memlimit_sensitive"];var _crypto_box_seal_open=Module["_crypto_box_seal_open"]=asm["_crypto_box_seal_open"];var _crypto_scalarmult_curve25519_base=Module["_crypto_scalarmult_curve25519_base"]=asm["_crypto_scalarmult_curve25519_base"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var _sodium_bin2hex=Module["_sodium_bin2hex"]=asm["_sodium_bin2hex"];var _crypto_pwhash_scryptsalsa208sha256=Module["_crypto_pwhash_scryptsalsa208sha256"]=asm["_crypto_pwhash_scryptsalsa208sha256"];var _crypto_scalarmult_primitive=Module["_crypto_scalarmult_primitive"]=asm["_crypto_scalarmult_primitive"];var _crypto_secretbox_xsalsa20poly1305_open=Module["_crypto_secretbox_xsalsa20poly1305_open"]=asm["_crypto_secretbox_xsalsa20poly1305_open"];var _crypto_box_noncebytes=Module["_crypto_box_noncebytes"]=asm["_crypto_box_noncebytes"];var _crypto_aead_chacha20poly1305_ietf_keybytes=Module["_crypto_aead_chacha20poly1305_ietf_keybytes"]=asm["_crypto_aead_chacha20poly1305_ietf_keybytes"];var _crypto_aead_chacha20poly1305_ietf_encrypt_detached=Module["_crypto_aead_chacha20poly1305_ietf_encrypt_detached"]=asm["_crypto_aead_chacha20poly1305_ietf_encrypt_detached"];var _crypto_scalarmult_base=Module["_crypto_scalarmult_base"]=asm["_crypto_scalarmult_base"];var _crypto_aead_chacha20poly1305_abytes=Module["_crypto_aead_chacha20poly1305_abytes"]=asm["_crypto_aead_chacha20poly1305_abytes"];var _crypto_auth_bytes=Module["_crypto_auth_bytes"]=asm["_crypto_auth_bytes"];var _crypto_onetimeauth=Module["_crypto_onetimeauth"]=asm["_crypto_onetimeauth"];var _crypto_stream_chacha20_keybytes=Module["_crypto_stream_chacha20_keybytes"]=asm["_crypto_stream_chacha20_keybytes"];var _crypto_sign_open=Module["_crypto_sign_open"]=asm["_crypto_sign_open"];var _crypto_auth_hmacsha512256_update=Module["_crypto_auth_hmacsha512256_update"]=asm["_crypto_auth_hmacsha512256_update"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var _crypto_onetimeauth_poly1305=Module["_crypto_onetimeauth_poly1305"]=asm["_crypto_onetimeauth_poly1305"];var _crypto_sign_ed25519_keypair=Module["_crypto_sign_ed25519_keypair"]=asm["_crypto_sign_ed25519_keypair"];var _crypto_pwhash=Module["_crypto_pwhash"]=asm["_crypto_pwhash"];var _crypto_auth_hmacsha512256=Module["_crypto_auth_hmacsha512256"]=asm["_crypto_auth_hmacsha512256"];var _crypto_shorthash_siphash24_keybytes=Module["_crypto_shorthash_siphash24_keybytes"]=asm["_crypto_shorthash_siphash24_keybytes"];var _crypto_box_seed_keypair=Module["_crypto_box_seed_keypair"]=asm["_crypto_box_seed_keypair"];var _crypto_auth_hmacsha512_init=Module["_crypto_auth_hmacsha512_init"]=asm["_crypto_auth_hmacsha512_init"];var _crypto_generichash_blake2b_keybytes_max=Module["_crypto_generichash_blake2b_keybytes_max"]=asm["_crypto_generichash_blake2b_keybytes_max"];var _crypto_box_beforenmbytes=Module["_crypto_box_beforenmbytes"]=asm["_crypto_box_beforenmbytes"];var _crypto_pwhash_scryptsalsa208sha256_memlimit_interactive=Module["_crypto_pwhash_scryptsalsa208sha256_memlimit_interactive"]=asm["_crypto_pwhash_scryptsalsa208sha256_memlimit_interactive"];var _crypto_sign_ed25519_sk_to_pk=Module["_crypto_sign_ed25519_sk_to_pk"]=asm["_crypto_sign_ed25519_sk_to_pk"];var _crypto_auth_hmacsha512_update=Module["_crypto_auth_hmacsha512_update"]=asm["_crypto_auth_hmacsha512_update"];var _crypto_stream_xsalsa20=Module["_crypto_stream_xsalsa20"]=asm["_crypto_stream_xsalsa20"];var _crypto_scalarmult_curve25519=Module["_crypto_scalarmult_curve25519"]=asm["_crypto_scalarmult_curve25519"];var _crypto_box_open_easy_afternm=Module["_crypto_box_open_easy_afternm"]=asm["_crypto_box_open_easy_afternm"];var _crypto_auth_hmacsha512=Module["_crypto_auth_hmacsha512"]=asm["_crypto_auth_hmacsha512"];var _crypto_stream_chacha20_ietf_xor_ic=Module["_crypto_stream_chacha20_ietf_xor_ic"]=asm["_crypto_stream_chacha20_ietf_xor_ic"];var _crypto_hash_sha256_update=Module["_crypto_hash_sha256_update"]=asm["_crypto_hash_sha256_update"];var _crypto_box_curve25519xsalsa20poly1305_seedbytes=Module["_crypto_box_curve25519xsalsa20poly1305_seedbytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_seedbytes"];var _crypto_box_zerobytes=Module["_crypto_box_zerobytes"]=asm["_crypto_box_zerobytes"];var _crypto_stream_salsa20_keybytes=Module["_crypto_stream_salsa20_keybytes"]=asm["_crypto_stream_salsa20_keybytes"];var _crypto_auth_hmacsha512256_keybytes=Module["_crypto_auth_hmacsha512256_keybytes"]=asm["_crypto_auth_hmacsha512256_keybytes"];var _randombytes_uniform=Module["_randombytes_uniform"]=asm["_randombytes_uniform"];var _crypto_aead_chacha20poly1305_keybytes=Module["_crypto_aead_chacha20poly1305_keybytes"]=asm["_crypto_aead_chacha20poly1305_keybytes"];var _crypto_hash_sha512_bytes=Module["_crypto_hash_sha512_bytes"]=asm["_crypto_hash_sha512_bytes"];var _crypto_onetimeauth_statebytes=Module["_crypto_onetimeauth_statebytes"]=asm["_crypto_onetimeauth_statebytes"];var _crypto_generichash_blake2b_final=Module["_crypto_generichash_blake2b_final"]=asm["_crypto_generichash_blake2b_final"];var _crypto_generichash_blake2b_init_salt_personal=Module["_crypto_generichash_blake2b_init_salt_personal"]=asm["_crypto_generichash_blake2b_init_salt_personal"];var _crypto_box_seal=Module["_crypto_box_seal"]=asm["_crypto_box_seal"];var _crypto_sign_ed25519_publickeybytes=Module["_crypto_sign_ed25519_publickeybytes"]=asm["_crypto_sign_ed25519_publickeybytes"];var _free=Module["_free"]=asm["_free"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var _crypto_core_hsalsa20_keybytes=Module["_crypto_core_hsalsa20_keybytes"]=asm["_crypto_core_hsalsa20_keybytes"];var _crypto_sign_primitive=Module["_crypto_sign_primitive"]=asm["_crypto_sign_primitive"];var _crypto_scalarmult_curve25519_bytes=Module["_crypto_scalarmult_curve25519_bytes"]=asm["_crypto_scalarmult_curve25519_bytes"];var _crypto_auth_keybytes=Module["_crypto_auth_keybytes"]=asm["_crypto_auth_keybytes"];var _crypto_box=Module["_crypto_box"]=asm["_crypto_box"];var _crypto_onetimeauth_poly1305_keybytes=Module["_crypto_onetimeauth_poly1305_keybytes"]=asm["_crypto_onetimeauth_poly1305_keybytes"];var _crypto_box_curve25519xsalsa20poly1305_open_afternm=Module["_crypto_box_curve25519xsalsa20poly1305_open_afternm"]=asm["_crypto_box_curve25519xsalsa20poly1305_open_afternm"];var _crypto_pwhash_scryptsalsa208sha256_saltbytes=Module["_crypto_pwhash_scryptsalsa208sha256_saltbytes"]=asm["_crypto_pwhash_scryptsalsa208sha256_saltbytes"];var _crypto_aead_chacha20poly1305_npubbytes=Module["_crypto_aead_chacha20poly1305_npubbytes"]=asm["_crypto_aead_chacha20poly1305_npubbytes"];var _crypto_stream_primitive=Module["_crypto_stream_primitive"]=asm["_crypto_stream_primitive"];var _crypto_pwhash_argon2i_str_verify=Module["_crypto_pwhash_argon2i_str_verify"]=asm["_crypto_pwhash_argon2i_str_verify"];var _crypto_onetimeauth_poly1305_final=Module["_crypto_onetimeauth_poly1305_final"]=asm["_crypto_onetimeauth_poly1305_final"];var _crypto_shorthash=Module["_crypto_shorthash"]=asm["_crypto_shorthash"];var _crypto_onetimeauth_poly1305_bytes=Module["_crypto_onetimeauth_poly1305_bytes"]=asm["_crypto_onetimeauth_poly1305_bytes"];var _crypto_secretbox_detached=Module["_crypto_secretbox_detached"]=asm["_crypto_secretbox_detached"];var _crypto_box_curve25519xsalsa20poly1305_seed_keypair=Module["_crypto_box_curve25519xsalsa20poly1305_seed_keypair"]=asm["_crypto_box_curve25519xsalsa20poly1305_seed_keypair"];var _crypto_box_primitive=Module["_crypto_box_primitive"]=asm["_crypto_box_primitive"];var _crypto_pwhash_str=Module["_crypto_pwhash_str"]=asm["_crypto_pwhash_str"];var _crypto_box_detached_afternm=Module["_crypto_box_detached_afternm"]=asm["_crypto_box_detached_afternm"];var _crypto_stream_salsa20_xor_ic=Module["_crypto_stream_salsa20_xor_ic"]=asm["_crypto_stream_salsa20_xor_ic"];var _crypto_secretbox_xsalsa20poly1305_boxzerobytes=Module["_crypto_secretbox_xsalsa20poly1305_boxzerobytes"]=asm["_crypto_secretbox_xsalsa20poly1305_boxzerobytes"];var _crypto_auth_hmacsha256_init=Module["_crypto_auth_hmacsha256_init"]=asm["_crypto_auth_hmacsha256_init"];var _crypto_auth_hmacsha512_keybytes=Module["_crypto_auth_hmacsha512_keybytes"]=asm["_crypto_auth_hmacsha512_keybytes"];var _crypto_auth=Module["_crypto_auth"]=asm["_crypto_auth"];var _crypto_auth_hmacsha512256_final=Module["_crypto_auth_hmacsha512256_final"]=asm["_crypto_auth_hmacsha512256_final"];var _randombytes_random=Module["_randombytes_random"]=asm["_randombytes_random"];var _crypto_onetimeauth_verify=Module["_crypto_onetimeauth_verify"]=asm["_crypto_onetimeauth_verify"];var _crypto_pwhash_str_verify=Module["_crypto_pwhash_str_verify"]=asm["_crypto_pwhash_str_verify"];var _crypto_sign_keypair=Module["_crypto_sign_keypair"]=asm["_crypto_sign_keypair"];var _crypto_sign_ed25519_open=Module["_crypto_sign_ed25519_open"]=asm["_crypto_sign_ed25519_open"];var _crypto_generichash_keybytes_min=Module["_crypto_generichash_keybytes_min"]=asm["_crypto_generichash_keybytes_min"];var _crypto_generichash_statebytes=Module["_crypto_generichash_statebytes"]=asm["_crypto_generichash_statebytes"];var _crypto_aead_chacha20poly1305_encrypt_detached=Module["_crypto_aead_chacha20poly1305_encrypt_detached"]=asm["_crypto_aead_chacha20poly1305_encrypt_detached"];var _crypto_core_salsa20_keybytes=Module["_crypto_core_salsa20_keybytes"]=asm["_crypto_core_salsa20_keybytes"];var _crypto_aead_chacha20poly1305_ietf_nsecbytes=Module["_crypto_aead_chacha20poly1305_ietf_nsecbytes"]=asm["_crypto_aead_chacha20poly1305_ietf_nsecbytes"];var _crypto_pwhash_strprefix=Module["_crypto_pwhash_strprefix"]=asm["_crypto_pwhash_strprefix"];var _crypto_box_afternm=Module["_crypto_box_afternm"]=asm["_crypto_box_afternm"];var _crypto_auth_hmacsha512256_bytes=Module["_crypto_auth_hmacsha512256_bytes"]=asm["_crypto_auth_hmacsha512256_bytes"];var _crypto_box_curve25519xsalsa20poly1305_keypair=Module["_crypto_box_curve25519xsalsa20poly1305_keypair"]=asm["_crypto_box_curve25519xsalsa20poly1305_keypair"];var _crypto_hash_sha256_init=Module["_crypto_hash_sha256_init"]=asm["_crypto_hash_sha256_init"];var _crypto_pwhash_scryptsalsa208sha256_opslimit_sensitive=Module["_crypto_pwhash_scryptsalsa208sha256_opslimit_sensitive"]=asm["_crypto_pwhash_scryptsalsa208sha256_opslimit_sensitive"];var _crypto_pwhash_scryptsalsa208sha256_str_verify=Module["_crypto_pwhash_scryptsalsa208sha256_str_verify"]=asm["_crypto_pwhash_scryptsalsa208sha256_str_verify"];var _crypto_hash_primitive=Module["_crypto_hash_primitive"]=asm["_crypto_hash_primitive"];var _crypto_scalarmult_curve25519_scalarbytes=Module["_crypto_scalarmult_curve25519_scalarbytes"]=asm["_crypto_scalarmult_curve25519_scalarbytes"];var _crypto_sign_ed25519_pk_to_curve25519=Module["_crypto_sign_ed25519_pk_to_curve25519"]=asm["_crypto_sign_ed25519_pk_to_curve25519"];var _crypto_verify_64=Module["_crypto_verify_64"]=asm["_crypto_verify_64"];var _crypto_aead_chacha20poly1305_nsecbytes=Module["_crypto_aead_chacha20poly1305_nsecbytes"]=asm["_crypto_aead_chacha20poly1305_nsecbytes"];var _crypto_shorthash_siphash24=Module["_crypto_shorthash_siphash24"]=asm["_crypto_shorthash_siphash24"];var _crypto_box_curve25519xsalsa20poly1305_macbytes=Module["_crypto_box_curve25519xsalsa20poly1305_macbytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_macbytes"];var _crypto_stream_chacha20_ietf=Module["_crypto_stream_chacha20_ietf"]=asm["_crypto_stream_chacha20_ietf"];var _crypto_generichash=Module["_crypto_generichash"]=asm["_crypto_generichash"];var _crypto_sign_ed25519=Module["_crypto_sign_ed25519"]=asm["_crypto_sign_ed25519"];var _crypto_core_hsalsa20_outputbytes=Module["_crypto_core_hsalsa20_outputbytes"]=asm["_crypto_core_hsalsa20_outputbytes"];var _crypto_pwhash_opslimit_interactive=Module["_crypto_pwhash_opslimit_interactive"]=asm["_crypto_pwhash_opslimit_interactive"];var _crypto_box_curve25519xsalsa20poly1305_noncebytes=Module["_crypto_box_curve25519xsalsa20poly1305_noncebytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_noncebytes"];var _crypto_pwhash_memlimit_sensitive=Module["_crypto_pwhash_memlimit_sensitive"]=asm["_crypto_pwhash_memlimit_sensitive"];var _crypto_core_salsa20_constbytes=Module["_crypto_core_salsa20_constbytes"]=asm["_crypto_core_salsa20_constbytes"];var _crypto_box_boxzerobytes=Module["_crypto_box_boxzerobytes"]=asm["_crypto_box_boxzerobytes"];var _sodium_library_version_major=Module["_sodium_library_version_major"]=asm["_sodium_library_version_major"];var _crypto_verify_16_bytes=Module["_crypto_verify_16_bytes"]=asm["_crypto_verify_16_bytes"];var _crypto_aead_chacha20poly1305_ietf_encrypt=Module["_crypto_aead_chacha20poly1305_ietf_encrypt"]=asm["_crypto_aead_chacha20poly1305_ietf_encrypt"];var _crypto_pwhash_argon2i_saltbytes=Module["_crypto_pwhash_argon2i_saltbytes"]=asm["_crypto_pwhash_argon2i_saltbytes"];var _crypto_hash_sha512_update=Module["_crypto_hash_sha512_update"]=asm["_crypto_hash_sha512_update"];var _crypto_onetimeauth_poly1305_verify=Module["_crypto_onetimeauth_poly1305_verify"]=asm["_crypto_onetimeauth_poly1305_verify"];var _crypto_box_beforenm=Module["_crypto_box_beforenm"]=asm["_crypto_box_beforenm"];var _crypto_generichash_blake2b_init=Module["_crypto_generichash_blake2b_init"]=asm["_crypto_generichash_blake2b_init"];var _crypto_aead_chacha20poly1305_ietf_decrypt=Module["_crypto_aead_chacha20poly1305_ietf_decrypt"]=asm["_crypto_aead_chacha20poly1305_ietf_decrypt"];var _crypto_stream_chacha20_ietf_xor=Module["_crypto_stream_chacha20_ietf_xor"]=asm["_crypto_stream_chacha20_ietf_xor"];var _crypto_pwhash_primitive=Module["_crypto_pwhash_primitive"]=asm["_crypto_pwhash_primitive"];var _crypto_scalarmult=Module["_crypto_scalarmult"]=asm["_crypto_scalarmult"];var _crypto_onetimeauth_keybytes=Module["_crypto_onetimeauth_keybytes"]=asm["_crypto_onetimeauth_keybytes"];var _crypto_pwhash_argon2i=Module["_crypto_pwhash_argon2i"]=asm["_crypto_pwhash_argon2i"];var _crypto_auth_hmacsha512256_verify=Module["_crypto_auth_hmacsha512256_verify"]=asm["_crypto_auth_hmacsha512256_verify"];var _crypto_auth_hmacsha256_final=Module["_crypto_auth_hmacsha256_final"]=asm["_crypto_auth_hmacsha256_final"];var _crypto_box_secretkeybytes=Module["_crypto_box_secretkeybytes"]=asm["_crypto_box_secretkeybytes"];var _crypto_verify_16=Module["_crypto_verify_16"]=asm["_crypto_verify_16"];var _crypto_aead_chacha20poly1305_ietf_npubbytes=Module["_crypto_aead_chacha20poly1305_ietf_npubbytes"]=asm["_crypto_aead_chacha20poly1305_ietf_npubbytes"];var _crypto_onetimeauth_update=Module["_crypto_onetimeauth_update"]=asm["_crypto_onetimeauth_update"];var _crypto_aead_chacha20poly1305_encrypt=Module["_crypto_aead_chacha20poly1305_encrypt"]=asm["_crypto_aead_chacha20poly1305_encrypt"];var _crypto_secretbox_zerobytes=Module["_crypto_secretbox_zerobytes"]=asm["_crypto_secretbox_zerobytes"];var _crypto_core_salsa20=Module["_crypto_core_salsa20"]=asm["_crypto_core_salsa20"];var _crypto_box_curve25519xsalsa20poly1305_beforenmbytes=Module["_crypto_box_curve25519xsalsa20poly1305_beforenmbytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_beforenmbytes"];var _crypto_pwhash_scryptsalsa208sha256_ll=Module["_crypto_pwhash_scryptsalsa208sha256_ll"]=asm["_crypto_pwhash_scryptsalsa208sha256_ll"];var _crypto_box_detached=Module["_crypto_box_detached"]=asm["_crypto_box_detached"];var _randombytes_buf=Module["_randombytes_buf"]=asm["_randombytes_buf"];var _crypto_box_open_detached_afternm=Module["_crypto_box_open_detached_afternm"]=asm["_crypto_box_open_detached_afternm"];var _crypto_sign_seedbytes=Module["_crypto_sign_seedbytes"]=asm["_crypto_sign_seedbytes"];var _crypto_pwhash_scryptsalsa208sha256_strbytes=Module["_crypto_pwhash_scryptsalsa208sha256_strbytes"]=asm["_crypto_pwhash_scryptsalsa208sha256_strbytes"];var _crypto_generichash_blake2b_saltbytes=Module["_crypto_generichash_blake2b_saltbytes"]=asm["_crypto_generichash_blake2b_saltbytes"];var _bitshift64Ashr=Module["_bitshift64Ashr"]=asm["_bitshift64Ashr"];var _fflush=Module["_fflush"]=asm["_fflush"];var _crypto_box_open_detached=Module["_crypto_box_open_detached"]=asm["_crypto_box_open_detached"];var _crypto_scalarmult_bytes=Module["_crypto_scalarmult_bytes"]=asm["_crypto_scalarmult_bytes"];var _crypto_secretbox_xsalsa20poly1305=Module["_crypto_secretbox_xsalsa20poly1305"]=asm["_crypto_secretbox_xsalsa20poly1305"];var _crypto_auth_verify=Module["_crypto_auth_verify"]=asm["_crypto_auth_verify"];var _crypto_sign_ed25519_seed_keypair=Module["_crypto_sign_ed25519_seed_keypair"]=asm["_crypto_sign_ed25519_seed_keypair"];var _crypto_secretbox_xsalsa20poly1305_zerobytes=Module["_crypto_secretbox_xsalsa20poly1305_zerobytes"]=asm["_crypto_secretbox_xsalsa20poly1305_zerobytes"];var _crypto_onetimeauth_poly1305_update=Module["_crypto_onetimeauth_poly1305_update"]=asm["_crypto_onetimeauth_poly1305_update"];var _crypto_auth_hmacsha512256_init=Module["_crypto_auth_hmacsha512256_init"]=asm["_crypto_auth_hmacsha512256_init"];var _crypto_auth_hmacsha256=Module["_crypto_auth_hmacsha256"]=asm["_crypto_auth_hmacsha256"];var _crypto_pwhash_strbytes=Module["_crypto_pwhash_strbytes"]=asm["_crypto_pwhash_strbytes"];var _crypto_stream_xor=Module["_crypto_stream_xor"]=asm["_crypto_stream_xor"];var _crypto_stream_xsalsa20_xor_ic=Module["_crypto_stream_xsalsa20_xor_ic"]=asm["_crypto_stream_xsalsa20_xor_ic"];var _crypto_verify_64_bytes=Module["_crypto_verify_64_bytes"]=asm["_crypto_verify_64_bytes"];var _randombytes_stir=Module["_randombytes_stir"]=asm["_randombytes_stir"];var _crypto_secretbox_easy=Module["_crypto_secretbox_easy"]=asm["_crypto_secretbox_easy"];var _crypto_box_open_easy=Module["_crypto_box_open_easy"]=asm["_crypto_box_open_easy"];var _crypto_pwhash_argon2i_strprefix=Module["_crypto_pwhash_argon2i_strprefix"]=asm["_crypto_pwhash_argon2i_strprefix"];var _crypto_auth_hmacsha256_update=Module["_crypto_auth_hmacsha256_update"]=asm["_crypto_auth_hmacsha256_update"];var _crypto_pwhash_scryptsalsa208sha256_str=Module["_crypto_pwhash_scryptsalsa208sha256_str"]=asm["_crypto_pwhash_scryptsalsa208sha256_str"];var _memset=Module["_memset"]=asm["_memset"];var _crypto_stream_salsa20=Module["_crypto_stream_salsa20"]=asm["_crypto_stream_salsa20"];var _crypto_pwhash_argon2i_str=Module["_crypto_pwhash_argon2i_str"]=asm["_crypto_pwhash_argon2i_str"];var _crypto_hash=Module["_crypto_hash"]=asm["_crypto_hash"];var _crypto_pwhash_argon2i_memlimit_sensitive=Module["_crypto_pwhash_argon2i_memlimit_sensitive"]=asm["_crypto_pwhash_argon2i_memlimit_sensitive"];var _crypto_pwhash_argon2i_opslimit_sensitive=Module["_crypto_pwhash_argon2i_opslimit_sensitive"]=asm["_crypto_pwhash_argon2i_opslimit_sensitive"];var _crypto_box_sealbytes=Module["_crypto_box_sealbytes"]=asm["_crypto_box_sealbytes"];var _crypto_auth_hmacsha512_final=Module["_crypto_auth_hmacsha512_final"]=asm["_crypto_auth_hmacsha512_final"];var _crypto_auth_hmacsha512_statebytes=Module["_crypto_auth_hmacsha512_statebytes"]=asm["_crypto_auth_hmacsha512_statebytes"];var _crypto_secretbox_boxzerobytes=Module["_crypto_secretbox_boxzerobytes"]=asm["_crypto_secretbox_boxzerobytes"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var _crypto_pwhash_alg_default=Module["_crypto_pwhash_alg_default"]=asm["_crypto_pwhash_alg_default"];var _crypto_pwhash_scryptsalsa208sha256_strprefix=Module["_crypto_pwhash_scryptsalsa208sha256_strprefix"]=asm["_crypto_pwhash_scryptsalsa208sha256_strprefix"];var _crypto_onetimeauth_primitive=Module["_crypto_onetimeauth_primitive"]=asm["_crypto_onetimeauth_primitive"];var _crypto_box_seedbytes=Module["_crypto_box_seedbytes"]=asm["_crypto_box_seedbytes"];var _crypto_stream_chacha20=Module["_crypto_stream_chacha20"]=asm["_crypto_stream_chacha20"];var _crypto_core_hsalsa20_constbytes=Module["_crypto_core_hsalsa20_constbytes"]=asm["_crypto_core_hsalsa20_constbytes"];var _crypto_generichash_bytes=Module["_crypto_generichash_bytes"]=asm["_crypto_generichash_bytes"];var _crypto_secretbox=Module["_crypto_secretbox"]=asm["_crypto_secretbox"];var _crypto_generichash_blake2b_statebytes=Module["_crypto_generichash_blake2b_statebytes"]=asm["_crypto_generichash_blake2b_statebytes"];var _crypto_box_open_afternm=Module["_crypto_box_open_afternm"]=asm["_crypto_box_open_afternm"];var _crypto_generichash_blake2b_bytes_min=Module["_crypto_generichash_blake2b_bytes_min"]=asm["_crypto_generichash_blake2b_bytes_min"];var _crypto_pwhash_opslimit_moderate=Module["_crypto_pwhash_opslimit_moderate"]=asm["_crypto_pwhash_opslimit_moderate"];var _crypto_secretbox_open=Module["_crypto_secretbox_open"]=asm["_crypto_secretbox_open"];var _crypto_auth_hmacsha512_bytes=Module["_crypto_auth_hmacsha512_bytes"]=asm["_crypto_auth_hmacsha512_bytes"];var _crypto_core_salsa20_inputbytes=Module["_crypto_core_salsa20_inputbytes"]=asm["_crypto_core_salsa20_inputbytes"];var _crypto_box_macbytes=Module["_crypto_box_macbytes"]=asm["_crypto_box_macbytes"];var _crypto_secretbox_macbytes=Module["_crypto_secretbox_macbytes"]=asm["_crypto_secretbox_macbytes"];var _crypto_shorthash_bytes=Module["_crypto_shorthash_bytes"]=asm["_crypto_shorthash_bytes"];var _crypto_box_publickeybytes=Module["_crypto_box_publickeybytes"]=asm["_crypto_box_publickeybytes"];var _crypto_generichash_primitive=Module["_crypto_generichash_primitive"]=asm["_crypto_generichash_primitive"];var _crypto_sign_secretkeybytes=Module["_crypto_sign_secretkeybytes"]=asm["_crypto_sign_secretkeybytes"];var _crypto_pwhash_argon2i_strbytes=Module["_crypto_pwhash_argon2i_strbytes"]=asm["_crypto_pwhash_argon2i_strbytes"];var _crypto_hash_sha512_statebytes=Module["_crypto_hash_sha512_statebytes"]=asm["_crypto_hash_sha512_statebytes"];var _crypto_scalarmult_scalarbytes=Module["_crypto_scalarmult_scalarbytes"]=asm["_crypto_scalarmult_scalarbytes"];var _crypto_verify_32=Module["_crypto_verify_32"]=asm["_crypto_verify_32"];var _crypto_auth_hmacsha256_bytes=Module["_crypto_auth_hmacsha256_bytes"]=asm["_crypto_auth_hmacsha256_bytes"];var _crypto_auth_hmacsha256_statebytes=Module["_crypto_auth_hmacsha256_statebytes"]=asm["_crypto_auth_hmacsha256_statebytes"];var _crypto_pwhash_argon2i_opslimit_interactive=Module["_crypto_pwhash_argon2i_opslimit_interactive"]=asm["_crypto_pwhash_argon2i_opslimit_interactive"];var _crypto_aead_chacha20poly1305_decrypt=Module["_crypto_aead_chacha20poly1305_decrypt"]=asm["_crypto_aead_chacha20poly1305_decrypt"];var _crypto_stream_salsa20_noncebytes=Module["_crypto_stream_salsa20_noncebytes"]=asm["_crypto_stream_salsa20_noncebytes"];var _crypto_shorthash_keybytes=Module["_crypto_shorthash_keybytes"]=asm["_crypto_shorthash_keybytes"];var _malloc=Module["_malloc"]=asm["_malloc"];var _crypto_stream_noncebytes=Module["_crypto_stream_noncebytes"]=asm["_crypto_stream_noncebytes"];var _crypto_generichash_keybytes_max=Module["_crypto_generichash_keybytes_max"]=asm["_crypto_generichash_keybytes_max"];var _sodium_version_string=Module["_sodium_version_string"]=asm["_sodium_version_string"];var _memmove=Module["_memmove"]=asm["_memmove"];var _crypto_aead_chacha20poly1305_ietf_decrypt_detached=Module["_crypto_aead_chacha20poly1305_ietf_decrypt_detached"]=asm["_crypto_aead_chacha20poly1305_ietf_decrypt_detached"];var _crypto_hash_sha512_final=Module["_crypto_hash_sha512_final"]=asm["_crypto_hash_sha512_final"];var _crypto_pwhash_memlimit_interactive=Module["_crypto_pwhash_memlimit_interactive"]=asm["_crypto_pwhash_memlimit_interactive"];var _crypto_secretbox_xsalsa20poly1305_keybytes=Module["_crypto_secretbox_xsalsa20poly1305_keybytes"]=asm["_crypto_secretbox_xsalsa20poly1305_keybytes"];var _crypto_aead_chacha20poly1305_decrypt_detached=Module["_crypto_aead_chacha20poly1305_decrypt_detached"]=asm["_crypto_aead_chacha20poly1305_decrypt_detached"];var _crypto_sign=Module["_crypto_sign"]=asm["_crypto_sign"];var _crypto_box_curve25519xsalsa20poly1305_zerobytes=Module["_crypto_box_curve25519xsalsa20poly1305_zerobytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_zerobytes"];var _crypto_secretbox_noncebytes=Module["_crypto_secretbox_noncebytes"]=asm["_crypto_secretbox_noncebytes"];var _crypto_box_keypair=Module["_crypto_box_keypair"]=asm["_crypto_box_keypair"];var _crypto_secretbox_xsalsa20poly1305_macbytes=Module["_crypto_secretbox_xsalsa20poly1305_macbytes"]=asm["_crypto_secretbox_xsalsa20poly1305_macbytes"];var _crypto_box_curve25519xsalsa20poly1305_boxzerobytes=Module["_crypto_box_curve25519xsalsa20poly1305_boxzerobytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_boxzerobytes"];var _crypto_hash_sha256_bytes=Module["_crypto_hash_sha256_bytes"]=asm["_crypto_hash_sha256_bytes"];var _crypto_generichash_keybytes=Module["_crypto_generichash_keybytes"]=asm["_crypto_generichash_keybytes"];var _crypto_hash_bytes=Module["_crypto_hash_bytes"]=asm["_crypto_hash_bytes"];var _sodium_hex2bin=Module["_sodium_hex2bin"]=asm["_sodium_hex2bin"];var _sodium_init=Module["_sodium_init"]=asm["_sodium_init"];var _crypto_box_curve25519xsalsa20poly1305_afternm=Module["_crypto_box_curve25519xsalsa20poly1305_afternm"]=asm["_crypto_box_curve25519xsalsa20poly1305_afternm"];var _crypto_auth_hmacsha256_keybytes=Module["_crypto_auth_hmacsha256_keybytes"]=asm["_crypto_auth_hmacsha256_keybytes"];var _crypto_secretbox_keybytes=Module["_crypto_secretbox_keybytes"]=asm["_crypto_secretbox_keybytes"];var _crypto_box_easy=Module["_crypto_box_easy"]=asm["_crypto_box_easy"];var _randombytes=Module["_randombytes"]=asm["_randombytes"];var _crypto_sign_publickeybytes=Module["_crypto_sign_publickeybytes"]=asm["_crypto_sign_publickeybytes"];var _randombytes_close=Module["_randombytes_close"]=asm["_randombytes_close"];var _crypto_pwhash_argon2i_memlimit_moderate=Module["_crypto_pwhash_argon2i_memlimit_moderate"]=asm["_crypto_pwhash_argon2i_memlimit_moderate"];var _crypto_generichash_blake2b_bytes_max=Module["_crypto_generichash_blake2b_bytes_max"]=asm["_crypto_generichash_blake2b_bytes_max"];var _crypto_generichash_blake2b=Module["_crypto_generichash_blake2b"]=asm["_crypto_generichash_blake2b"];var _crypto_stream_chacha20_noncebytes=Module["_crypto_stream_chacha20_noncebytes"]=asm["_crypto_stream_chacha20_noncebytes"];var _crypto_hash_sha256_statebytes=Module["_crypto_hash_sha256_statebytes"]=asm["_crypto_hash_sha256_statebytes"];var _crypto_secretbox_open_detached=Module["_crypto_secretbox_open_detached"]=asm["_crypto_secretbox_open_detached"];var _crypto_sign_ed25519_sk_to_seed=Module["_crypto_sign_ed25519_sk_to_seed"]=asm["_crypto_sign_ed25519_sk_to_seed"];var _crypto_core_salsa20_outputbytes=Module["_crypto_core_salsa20_outputbytes"]=asm["_crypto_core_salsa20_outputbytes"];var _crypto_sign_ed25519_secretkeybytes=Module["_crypto_sign_ed25519_secretkeybytes"]=asm["_crypto_sign_ed25519_secretkeybytes"];var _crypto_pwhash_opslimit_sensitive=Module["_crypto_pwhash_opslimit_sensitive"]=asm["_crypto_pwhash_opslimit_sensitive"];var _crypto_generichash_blake2b_personalbytes=Module["_crypto_generichash_blake2b_personalbytes"]=asm["_crypto_generichash_blake2b_personalbytes"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var _crypto_box_curve25519xsalsa20poly1305_open=Module["_crypto_box_curve25519xsalsa20poly1305_open"]=asm["_crypto_box_curve25519xsalsa20poly1305_open"];var _crypto_sign_verify_detached=Module["_crypto_sign_verify_detached"]=asm["_crypto_sign_verify_detached"];var _crypto_pwhash_argon2i_opslimit_moderate=Module["_crypto_pwhash_argon2i_opslimit_moderate"]=asm["_crypto_pwhash_argon2i_opslimit_moderate"];var _crypto_pwhash_alg_argon2i13=Module["_crypto_pwhash_alg_argon2i13"]=asm["_crypto_pwhash_alg_argon2i13"];var _randombytes_implementation_name=Module["_randombytes_implementation_name"]=asm["_randombytes_implementation_name"];var _crypto_box_curve25519xsalsa20poly1305=Module["_crypto_box_curve25519xsalsa20poly1305"]=asm["_crypto_box_curve25519xsalsa20poly1305"];var _crypto_stream=Module["_crypto_stream"]=asm["_crypto_stream"];var _crypto_sign_ed25519_detached=Module["_crypto_sign_ed25519_detached"]=asm["_crypto_sign_ed25519_detached"];var _crypto_generichash_init=Module["_crypto_generichash_init"]=asm["_crypto_generichash_init"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var _crypto_sign_ed25519_sk_to_curve25519=Module["_crypto_sign_ed25519_sk_to_curve25519"]=asm["_crypto_sign_ed25519_sk_to_curve25519"];var _crypto_sign_bytes=Module["_crypto_sign_bytes"]=asm["_crypto_sign_bytes"];var _crypto_secretbox_primitive=Module["_crypto_secretbox_primitive"]=asm["_crypto_secretbox_primitive"];var _crypto_generichash_update=Module["_crypto_generichash_update"]=asm["_crypto_generichash_update"];var _crypto_generichash_blake2b_update=Module["_crypto_generichash_blake2b_update"]=asm["_crypto_generichash_blake2b_update"];var _crypto_verify_32_bytes=Module["_crypto_verify_32_bytes"]=asm["_crypto_verify_32_bytes"];var _crypto_aead_chacha20poly1305_ietf_abytes=Module["_crypto_aead_chacha20poly1305_ietf_abytes"]=asm["_crypto_aead_chacha20poly1305_ietf_abytes"];var _crypto_generichash_blake2b_keybytes=Module["_crypto_generichash_blake2b_keybytes"]=asm["_crypto_generichash_blake2b_keybytes"];var _crypto_generichash_bytes_min=Module["_crypto_generichash_bytes_min"]=asm["_crypto_generichash_bytes_min"];var _crypto_box_curve25519xsalsa20poly1305_secretkeybytes=Module["_crypto_box_curve25519xsalsa20poly1305_secretkeybytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_secretkeybytes"];var _crypto_stream_xsalsa20_xor=Module["_crypto_stream_xsalsa20_xor"]=asm["_crypto_stream_xsalsa20_xor"];var _crypto_sign_detached=Module["_crypto_sign_detached"]=asm["_crypto_sign_detached"];var _crypto_hash_sha512=Module["_crypto_hash_sha512"]=asm["_crypto_hash_sha512"];var _crypto_generichash_bytes_max=Module["_crypto_generichash_bytes_max"]=asm["_crypto_generichash_bytes_max"];var _crypto_box_easy_afternm=Module["_crypto_box_easy_afternm"]=asm["_crypto_box_easy_afternm"];var _crypto_stream_chacha20_xor_ic=Module["_crypto_stream_chacha20_xor_ic"]=asm["_crypto_stream_chacha20_xor_ic"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var _crypto_sign_ed25519_verify_detached=Module["_crypto_sign_ed25519_verify_detached"]=asm["_crypto_sign_ed25519_verify_detached"];var _crypto_sign_ed25519_bytes=Module["_crypto_sign_ed25519_bytes"]=asm["_crypto_sign_ed25519_bytes"];var _crypto_stream_xsalsa20_keybytes=Module["_crypto_stream_xsalsa20_keybytes"]=asm["_crypto_stream_xsalsa20_keybytes"];var _crypto_hash_sha256=Module["_crypto_hash_sha256"]=asm["_crypto_hash_sha256"];var _crypto_sign_ed25519_seedbytes=Module["_crypto_sign_ed25519_seedbytes"]=asm["_crypto_sign_ed25519_seedbytes"];var _sodium_library_version_minor=Module["_sodium_library_version_minor"]=asm["_sodium_library_version_minor"];var _crypto_core_hsalsa20_inputbytes=Module["_crypto_core_hsalsa20_inputbytes"]=asm["_crypto_core_hsalsa20_inputbytes"];var _crypto_onetimeauth_final=Module["_crypto_onetimeauth_final"]=asm["_crypto_onetimeauth_final"];var _crypto_secretbox_open_easy=Module["_crypto_secretbox_open_easy"]=asm["_crypto_secretbox_open_easy"];var _crypto_generichash_final=Module["_crypto_generichash_final"]=asm["_crypto_generichash_final"];var _crypto_generichash_blake2b_salt_personal=Module["_crypto_generichash_blake2b_salt_personal"]=asm["_crypto_generichash_blake2b_salt_personal"];var _crypto_pwhash_argon2i_alg_argon2i13=Module["_crypto_pwhash_argon2i_alg_argon2i13"]=asm["_crypto_pwhash_argon2i_alg_argon2i13"];var _crypto_shorthash_siphash24_bytes=Module["_crypto_shorthash_siphash24_bytes"]=asm["_crypto_shorthash_siphash24_bytes"];var _crypto_auth_hmacsha512256_statebytes=Module["_crypto_auth_hmacsha512256_statebytes"]=asm["_crypto_auth_hmacsha512256_statebytes"];var _crypto_sign_seed_keypair=Module["_crypto_sign_seed_keypair"]=asm["_crypto_sign_seed_keypair"];var _crypto_secretbox_xsalsa20poly1305_noncebytes=Module["_crypto_secretbox_xsalsa20poly1305_noncebytes"]=asm["_crypto_secretbox_xsalsa20poly1305_noncebytes"];var _crypto_pwhash_scryptsalsa208sha256_opslimit_interactive=Module["_crypto_pwhash_scryptsalsa208sha256_opslimit_interactive"]=asm["_crypto_pwhash_scryptsalsa208sha256_opslimit_interactive"];var _crypto_box_curve25519xsalsa20poly1305_beforenm=Module["_crypto_box_curve25519xsalsa20poly1305_beforenm"]=asm["_crypto_box_curve25519xsalsa20poly1305_beforenm"];var _crypto_pwhash_argon2i_memlimit_interactive=Module["_crypto_pwhash_argon2i_memlimit_interactive"]=asm["_crypto_pwhash_argon2i_memlimit_interactive"];var _crypto_hash_sha256_final=Module["_crypto_hash_sha256_final"]=asm["_crypto_hash_sha256_final"];var _crypto_stream_chacha20_xor=Module["_crypto_stream_chacha20_xor"]=asm["_crypto_stream_chacha20_xor"];var _crypto_stream_keybytes=Module["_crypto_stream_keybytes"]=asm["_crypto_stream_keybytes"];var _crypto_box_curve25519xsalsa20poly1305_publickeybytes=Module["_crypto_box_curve25519xsalsa20poly1305_publickeybytes"]=asm["_crypto_box_curve25519xsalsa20poly1305_publickeybytes"];var _crypto_onetimeauth_init=Module["_crypto_onetimeauth_init"]=asm["_crypto_onetimeauth_init"];var _crypto_core_hsalsa20=Module["_crypto_core_hsalsa20"]=asm["_crypto_core_hsalsa20"];var _crypto_pwhash_memlimit_moderate=Module["_crypto_pwhash_memlimit_moderate"]=asm["_crypto_pwhash_memlimit_moderate"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];Runtime.stackAlloc=asm["stackAlloc"];Runtime.stackSave=asm["stackSave"];Runtime.stackRestore=asm["stackRestore"];Runtime.establishStackSpace=asm["establishStackSpace"];Runtime.setTempRet0=asm["setTempRet0"];Runtime.getTempRet0=asm["getTempRet0"];function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}else if(ENVIRONMENT_IS_SHELL&&typeof quit==="function"){quit(status)}throw new ExitStatus(status)}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}run()




var nacl = (function () {
    'use strict';
    var exports = {};

    //---------------------------------------------------------------------------
    // Horrifying UTF-8 and hex codecs

    function encode_utf8(s) {
	return encode_latin1(unescape(encodeURIComponent(s)));
    }

    function encode_latin1(s) {
	var result = new Uint8Array(s.length);
	for (var i = 0; i < s.length; i++) {
	    var c = s.charCodeAt(i);
	    if ((c & 0xff) !== c) throw {message: "Cannot encode string in Latin1", str: s};
	    result[i] = (c & 0xff);
	}
	return result;
    }

    function decode_utf8(bs) {
	return decodeURIComponent(escape(decode_latin1(bs)));
    }

    function decode_latin1(bs) {
	var encoded = [];
	for (var i = 0; i < bs.length; i++) {
	    encoded.push(String.fromCharCode(bs[i]));
	}
	return encoded.join('');
    }

    function to_hex(bs) {
	var encoded = [];
	for (var i = 0; i < bs.length; i++) {
	    encoded.push("0123456789abcdef"[(bs[i] >> 4) & 15]);
	    encoded.push("0123456789abcdef"[bs[i] & 15]);
	}
	return encoded.join('');
    }

    function from_hex(s) {
        var result = new Uint8Array(s.length / 2);
        for (var i = 0; i < s.length / 2; i++) {
            result[i] = parseInt(s.substr(2*i,2),16);
        }
        return result;
    }

    //---------------------------------------------------------------------------
    // Allocation

    function MALLOC(nbytes) {
	var result = nacl_raw._malloc(nbytes);
	if (result === 0) {
	    throw {message: "malloc() failed", nbytes: nbytes};
	}
	return result;
    }

    function FREE(pointer) {
	nacl_raw._free(pointer);
    }

    //---------------------------------------------------------------------------

    function injectBytes(bs, leftPadding) {
	var p = leftPadding || 0;
	var address = MALLOC(bs.length + p);
	nacl_raw.HEAPU8.set(bs, address + p);
	for (var i = address; i < address + p; i++) {
	    nacl_raw.HEAPU8[i] = 0;
	}
	return address;
    }

    function check_injectBytes(function_name, what, thing, expected_length, leftPadding) {
	check_length(function_name, what, thing, expected_length);
	return injectBytes(thing, leftPadding);
    }

    function extractBytes(address, length) {
	var result = new Uint8Array(length);
	result.set(nacl_raw.HEAPU8.subarray(address, address + length));
	return result;
    }

    //---------------------------------------------------------------------------

    function check(function_name, result) {
	if (result !== 0) {
	    throw {message: "nacl_raw." + function_name + " signalled an error"};
	}
    }

    function check_length(function_name, what, thing, expected_length) {
	if (thing.length !== expected_length) {
	    throw {message: "nacl." + function_name + " expected " +
	           expected_length + "-byte " + what + " but got length " + thing.length};
	}
    }

    function Target(length) {
	this.length = length;
	this.address = MALLOC(length);
    }

    Target.prototype.extractBytes = function (offset) {
	var result = extractBytes(this.address + (offset || 0), this.length - (offset || 0));
	FREE(this.address);
	this.address = null;
	return result;
    };

    function free_all(addresses) {
	for (var i = 0; i < addresses.length; i++) {
	    FREE(addresses[i]);
	}
    }

    //---------------------------------------------------------------------------
    // Randomness

    function random_bytes(count) {
      var bs = new Target(count);
      nacl_raw._randombytes_buf(bs.address, count);
      return bs.extractBytes();
    }

    nacl_raw._randombytes_stir();

    //---------------------------------------------------------------------------
    // Boxing

    function crypto_box_keypair() {
      var pk = new Target(nacl_raw._crypto_box_publickeybytes());
      var sk = new Target(nacl_raw._crypto_box_secretkeybytes());
      check("_crypto_box_keypair", nacl_raw._crypto_box_keypair(pk.address, sk.address));
      return {boxPk: pk.extractBytes(), boxSk: sk.extractBytes()};
    }

    function crypto_box_random_nonce() {
      return random_bytes(nacl_raw._crypto_box_noncebytes());
    }

    function crypto_box(msg, nonce, pk, sk) {
      var m = injectBytes(msg, nacl_raw._crypto_box_zerobytes());
      var na = check_injectBytes("crypto_box", "nonce", nonce, nacl_raw._crypto_box_noncebytes());
      var pka = check_injectBytes("crypto_box", "pk", pk, nacl_raw._crypto_box_publickeybytes());
      var ska = check_injectBytes("crypto_box", "sk", sk, nacl_raw._crypto_box_secretkeybytes());
      var c = new Target(msg.length + nacl_raw._crypto_box_zerobytes());
      check("_crypto_box", nacl_raw._crypto_box(c.address, m, c.length, 0, na, pka, ska));
      free_all([m, na, pka, ska]);
      return c.extractBytes(nacl_raw._crypto_box_boxzerobytes());
    }

    function crypto_box_open(ciphertext, nonce, pk, sk) {
      var c = injectBytes(ciphertext, nacl_raw._crypto_box_boxzerobytes());
      var na = check_injectBytes("crypto_box_open",
                                 "nonce", nonce, nacl_raw._crypto_box_noncebytes());
      var pka = check_injectBytes("crypto_box_open",
                                  "pk", pk, nacl_raw._crypto_box_publickeybytes());
      var ska = check_injectBytes("crypto_box_open",
                                  "sk", sk, nacl_raw._crypto_box_secretkeybytes());
      var m = new Target(ciphertext.length + nacl_raw._crypto_box_boxzerobytes());
      check("_crypto_box_open", nacl_raw._crypto_box_open(m.address, c, m.length, 0, na, pka, ska));
      free_all([c, na, pka, ska]);
      return m.extractBytes(nacl_raw._crypto_box_zerobytes());
    }

    function crypto_box_precompute(pk, sk) {
      var pka = check_injectBytes("crypto_box_precompute",
				  "pk", pk, nacl_raw._crypto_box_publickeybytes());
      var ska = check_injectBytes("crypto_box_precompute",
				  "sk", sk, nacl_raw._crypto_box_secretkeybytes());
      var k = new Target(nacl_raw._crypto_box_beforenmbytes());
      check("_crypto_box_beforenm",
	    nacl_raw._crypto_box_beforenm(k.address, pka, ska));
      free_all([pka, ska]);
      return {boxK: k.extractBytes()};
    }

    function crypto_box_precomputed(msg, nonce, state) {
      var m = injectBytes(msg, nacl_raw._crypto_box_zerobytes());
      var na = check_injectBytes("crypto_box_precomputed",
				 "nonce", nonce, nacl_raw._crypto_box_noncebytes());
      var ka = check_injectBytes("crypto_box_precomputed",
				 "boxK", state.boxK, nacl_raw._crypto_box_beforenmbytes());
      var c = new Target(msg.length + nacl_raw._crypto_box_zerobytes());
      check("_crypto_box_afternm",
	    nacl_raw._crypto_box_afternm(c.address, m, c.length, 0, na, ka));
      free_all([m, na, ka]);
      return c.extractBytes(nacl_raw._crypto_box_boxzerobytes());
    }

    function crypto_box_open_precomputed(ciphertext, nonce, state) {
      var c = injectBytes(ciphertext, nacl_raw._crypto_box_boxzerobytes());
      var na = check_injectBytes("crypto_box_open_precomputed",
				 "nonce", nonce, nacl_raw._crypto_box_noncebytes());
      var ka = check_injectBytes("crypto_box_open_precomputed",
				 "boxK", state.boxK, nacl_raw._crypto_box_beforenmbytes());
      var m = new Target(ciphertext.length + nacl_raw._crypto_box_boxzerobytes());
      check("_crypto_box_open_afternm",
	    nacl_raw._crypto_box_open_afternm(m.address, c, m.length, 0, na, ka));
      free_all([c, na, ka]);
      return m.extractBytes(nacl_raw._crypto_box_zerobytes());
    }

    //---------------------------------------------------------------------------
    // Hashing

    function crypto_hash(bs) {
      var address = injectBytes(bs);
      var hash = new Target(nacl_raw._crypto_hash_bytes());
      check("_crypto_hash", nacl_raw._crypto_hash(hash.address, address, bs.length, 0));
      FREE(address);
      return hash.extractBytes();
    }

    function crypto_hash_sha256(bs) {
      var address = injectBytes(bs);
      var hash = new Target(nacl_raw._crypto_hash_sha256_bytes());
      check("_crypto_hash_sha256",
	    nacl_raw._crypto_hash_sha256(hash.address, address, bs.length, 0));
      FREE(address);
      return hash.extractBytes();
    }

    function crypto_hash_string(s) {
      return crypto_hash(encode_utf8(s));
    }

    //---------------------------------------------------------------------------
    // Symmetric-key encryption

    function crypto_stream_random_nonce() {
      return random_bytes(nacl_raw._crypto_stream_noncebytes());
    }

    function crypto_stream(len, nonce, key) {
      var na = check_injectBytes("crypto_stream",
				 "nonce", nonce, nacl_raw._crypto_stream_noncebytes());
      var ka = check_injectBytes("crypto_stream",
				 "key", key, nacl_raw._crypto_stream_keybytes());
      var out = new Target(len);
      check("_crypto_stream", nacl_raw._crypto_stream(out.address, len, 0, na, ka));
      free_all([na, ka]);
      return out.extractBytes();
    }

    function crypto_stream_xor(msg, nonce, key) {
      var na = check_injectBytes("crypto_stream_xor",
				 "nonce", nonce, nacl_raw._crypto_stream_noncebytes());
      var ka = check_injectBytes("crypto_stream_xor",
				 "key", key, nacl_raw._crypto_stream_keybytes());
      var ma = injectBytes(msg);
      var out = new Target(msg.length);
      check("_crypto_stream_xor",
	    nacl_raw._crypto_stream_xor(out.address, ma, msg.length, 0, na, ka));
      free_all([na, ka, ma]);
      return out.extractBytes();
    }

    //---------------------------------------------------------------------------
    // One-time authentication

    function crypto_onetimeauth(msg, key) {
      var ka = check_injectBytes("crypto_onetimeauth",
				 "key", key, nacl_raw._crypto_onetimeauth_keybytes());
      var ma = injectBytes(msg);
      var authenticator = new Target(nacl_raw._crypto_onetimeauth_bytes());
      check("_crypto_onetimeauth",
	    nacl_raw._crypto_onetimeauth(authenticator.address, ma, msg.length, 0, ka));
      free_all([ka, ma]);
      return authenticator.extractBytes();
    }

    function crypto_onetimeauth_verify(authenticator, msg, key) {
      if (authenticator.length != nacl_raw._crypto_onetimeauth_bytes()) return false;
      var ka = check_injectBytes("crypto_onetimeauth_verify",
				 "key", key, nacl_raw._crypto_onetimeauth_keybytes());
      var ma = injectBytes(msg);
      var aa = injectBytes(authenticator);
      var result = nacl_raw._crypto_onetimeauth_verify(aa, ma, msg.length, 0, ka);
      free_all([ka, ma, aa]);
      return (result == 0);
    }

    //---------------------------------------------------------------------------
    // Authentication

    function crypto_auth(msg, key) {
      var ka = check_injectBytes("crypto_auth", "key", key, nacl_raw._crypto_auth_keybytes());
      var ma = injectBytes(msg);
      var authenticator = new Target(nacl_raw._crypto_auth_bytes());
      check("_crypto_auth", nacl_raw._crypto_auth(authenticator.address, ma, msg.length, 0, ka));
      free_all([ka, ma]);
      return authenticator.extractBytes();
    }

    function crypto_auth_verify(authenticator, msg, key) {
      if (authenticator.length != nacl_raw._crypto_auth_bytes()) return false;
      var ka = check_injectBytes("crypto_auth_verify",
				 "key", key, nacl_raw._crypto_auth_keybytes());
      var ma = injectBytes(msg);
      var aa = injectBytes(authenticator);
      var result = nacl_raw._crypto_auth_verify(aa, ma, msg.length, 0, ka);
      free_all([ka, ma, aa]);
      return (result == 0);
    }

    //---------------------------------------------------------------------------
    // Authenticated symmetric-key encryption

    function crypto_secretbox_random_nonce() {
      return random_bytes(nacl_raw._crypto_secretbox_noncebytes());
    }

    function crypto_secretbox(msg, nonce, key) {
      var m = injectBytes(msg, nacl_raw._crypto_secretbox_zerobytes());
      var na = check_injectBytes("crypto_secretbox",
				 "nonce", nonce, nacl_raw._crypto_secretbox_noncebytes());
      var ka = check_injectBytes("crypto_secretbox",
				 "key", key, nacl_raw._crypto_secretbox_keybytes());
      var c = new Target(msg.length + nacl_raw._crypto_secretbox_zerobytes());
      check("_crypto_secretbox", nacl_raw._crypto_secretbox(c.address, m, c.length, 0, na, ka));
      free_all([m, na, ka]);
      return c.extractBytes(nacl_raw._crypto_secretbox_boxzerobytes());
    }

    function crypto_secretbox_open(ciphertext, nonce, key) {
      var c = injectBytes(ciphertext, nacl_raw._crypto_secretbox_boxzerobytes());
      var na = check_injectBytes("crypto_secretbox_open",
				 "nonce", nonce, nacl_raw._crypto_secretbox_noncebytes());
      var ka = check_injectBytes("crypto_secretbox_open",
				 "key", key, nacl_raw._crypto_secretbox_keybytes());
      var m = new Target(ciphertext.length + nacl_raw._crypto_secretbox_boxzerobytes());
      check("_crypto_secretbox_open",
	    nacl_raw._crypto_secretbox_open(m.address, c, m.length, 0, na, ka));
      free_all([c, na, ka]);
      return m.extractBytes(nacl_raw._crypto_secretbox_zerobytes());
    }

    //---------------------------------------------------------------------------
    // Signing

    function crypto_sign_keypair() {
      var pk = new Target(nacl_raw._crypto_sign_publickeybytes());
      var sk = new Target(nacl_raw._crypto_sign_secretkeybytes());
      check("_crypto_sign_keypair", nacl_raw._crypto_sign_keypair(pk.address, sk.address));
      return {signPk: pk.extractBytes(), signSk: sk.extractBytes()};
    }

    function crypto_sign(msg, sk) {
      var ma = injectBytes(msg);
      var ska = check_injectBytes("crypto_sign", "sk", sk, nacl_raw._crypto_sign_secretkeybytes());
      var sm = new Target(msg.length + nacl_raw._crypto_sign_bytes());
      var smlen = new Target(8);
      check("_crypto_sign",
	    nacl_raw._crypto_sign(sm.address, smlen.address, ma, msg.length, 0, ska));
      free_all([ma, ska]);
      sm.length = nacl_raw.HEAPU32[smlen.address >> 2];
      FREE(smlen.address);
      return sm.extractBytes();
    }

    function crypto_sign_detached(msg, sk) {
      // WARNING: Experimental. Works for ed25519 but not necessarily other implementations.
      var signed_msg = crypto_sign(msg, sk);
      return signed_msg.subarray(0, nacl_raw._crypto_sign_bytes());
    }

    function crypto_sign_open(sm, pk) {
      var sma = injectBytes(sm);
      var pka = check_injectBytes("crypto_sign_open",
				  "pk", pk, nacl_raw._crypto_sign_publickeybytes());
      var m = new Target(sm.length);
      var mlen = new Target(8);
      if (nacl_raw._crypto_sign_open(m.address, mlen.address, sma, sm.length, 0, pka) === 0) {
	free_all([sma, pka]);
	m.length = nacl_raw.HEAPU32[mlen.address >> 2];
	FREE(mlen.address);
	return m.extractBytes();
      } else {
	free_all([sma, pka, m.address, mlen.address]);
	return null;
      }
    }

    function crypto_sign_verify_detached(detached_signature, msg, pk) {
      // WARNING: Experimental. Works for ed25519 but not necessarily other implementations.
      var signed_msg = new Uint8Array(detached_signature.length + msg.length);
      signed_msg.set(detached_signature, 0);
      signed_msg.set(msg, detached_signature.length);
      return crypto_sign_open(signed_msg, pk) !== null;
    }

    //---------------------------------------------------------------------------
    // Keys

    function crypto_sign_seed_keypair(bs) {
      var seeda = check_injectBytes("crypto_sign_seed_keypair",
				    "seed", bs, nacl_raw._crypto_sign_secretkeybytes() / 2);
      var pk = new Target(nacl_raw._crypto_sign_publickeybytes());
      var sk = new Target(nacl_raw._crypto_sign_secretkeybytes());
      check("_crypto_sign_seed_keypair",
	    nacl_raw._crypto_sign_seed_keypair(pk.address, sk.address, seeda));
      FREE(seeda);
      return {signPk: pk.extractBytes(), signSk: sk.extractBytes()};
    }

    function crypto_box_seed_keypair(bs) {
      var hash = new Uint8Array(crypto_hash(bs));
      return crypto_box_keypair_from_raw_sk(hash.subarray(0,
							  nacl_raw._crypto_box_secretkeybytes()));
    }

    function crypto_box_keypair_from_raw_sk(sk) {
      return {boxPk: crypto_scalarmult_base(sk), boxSk: sk};
    }

    //---------------------------------------------------------------------------
    // Scalarmult

    function crypto_scalarmult(n,p) {
      var na = check_injectBytes("crypto_scalarmult", "n", n,
				 nacl_raw._crypto_scalarmult_curve25519_scalarbytes());
      var pa = check_injectBytes("crypto_scalarmult", "p", p,
				 nacl_raw._crypto_scalarmult_curve25519_bytes());
      var q = new Target(nacl_raw._crypto_scalarmult_curve25519_bytes());
      check("_crypto_scalarmult_curve25519",
            nacl_raw._crypto_scalarmult_curve25519(q.address, na, pa));
      FREE(na);
      FREE(pa);
      return q.extractBytes();
    }

    function crypto_scalarmult_base(n) {
      var na = check_injectBytes("crypto_scalarmult_base", "n", n,
				 nacl_raw._crypto_scalarmult_curve25519_scalarbytes());
      var q = new Target(nacl_raw._crypto_scalarmult_curve25519_bytes());
      check("_crypto_scalarmult_curve25519_base",
            nacl_raw._crypto_scalarmult_curve25519_base(q.address, na));
      FREE(na);
      return q.extractBytes();
    }

    //---------------------------------------------------------------------------

    exports.crypto_auth_BYTES = nacl_raw._crypto_auth_bytes();
    exports.crypto_auth_KEYBYTES = nacl_raw._crypto_auth_keybytes();
    exports.crypto_box_BEFORENMBYTES = nacl_raw._crypto_box_beforenmbytes();
    exports.crypto_box_BOXZEROBYTES = nacl_raw._crypto_box_boxzerobytes();
    exports.crypto_box_NONCEBYTES = nacl_raw._crypto_box_noncebytes();
    exports.crypto_box_PUBLICKEYBYTES = nacl_raw._crypto_box_publickeybytes();
    exports.crypto_box_SECRETKEYBYTES = nacl_raw._crypto_box_secretkeybytes();
    exports.crypto_box_ZEROBYTES = nacl_raw._crypto_box_zerobytes();
    exports.crypto_hash_BYTES = nacl_raw._crypto_hash_bytes();
    exports.crypto_hash_sha256_BYTES = nacl_raw._crypto_hash_sha256_bytes();
    // exports.crypto_hashblocks_BLOCKBYTES = nacl_raw._crypto_hashblocks_blockbytes();
    // exports.crypto_hashblocks_STATEBYTES = nacl_raw._crypto_hashblocks_statebytes();
    exports.crypto_onetimeauth_BYTES = nacl_raw._crypto_onetimeauth_bytes();
    exports.crypto_onetimeauth_KEYBYTES = nacl_raw._crypto_onetimeauth_keybytes();
    exports.crypto_secretbox_BOXZEROBYTES = nacl_raw._crypto_secretbox_boxzerobytes();
    exports.crypto_secretbox_KEYBYTES = nacl_raw._crypto_secretbox_keybytes();
    exports.crypto_secretbox_NONCEBYTES = nacl_raw._crypto_secretbox_noncebytes();
    exports.crypto_secretbox_ZEROBYTES = nacl_raw._crypto_secretbox_zerobytes();
    exports.crypto_sign_BYTES = nacl_raw._crypto_sign_bytes();
    exports.crypto_sign_PUBLICKEYBYTES = nacl_raw._crypto_sign_publickeybytes();
    exports.crypto_sign_SECRETKEYBYTES = nacl_raw._crypto_sign_secretkeybytes();
    // exports.crypto_stream_BEFORENMBYTES = nacl_raw._crypto_stream_beforenmbytes();
    exports.crypto_stream_KEYBYTES = nacl_raw._crypto_stream_keybytes();
    exports.crypto_stream_NONCEBYTES = nacl_raw._crypto_stream_noncebytes();
    exports.crypto_scalarmult_SCALARBYTES = nacl_raw._crypto_scalarmult_curve25519_scalarbytes();
    exports.crypto_scalarmult_BYTES = nacl_raw._crypto_scalarmult_curve25519_bytes();

    exports.encode_utf8 = encode_utf8;
    exports.encode_latin1 = encode_latin1;
    exports.decode_utf8 = decode_utf8;
    exports.decode_latin1 = decode_latin1;
    exports.to_hex = to_hex;
    exports.from_hex = from_hex;

    exports.random_bytes = random_bytes;

    exports.crypto_box_keypair = crypto_box_keypair;
    exports.crypto_box_random_nonce = crypto_box_random_nonce;
    exports.crypto_box = crypto_box;
    exports.crypto_box_open = crypto_box_open;
    exports.crypto_box_precompute = crypto_box_precompute;
    exports.crypto_box_precomputed = crypto_box_precomputed;
    exports.crypto_box_open_precomputed = crypto_box_open_precomputed;

    exports.crypto_stream_random_nonce = crypto_stream_random_nonce;
    exports.crypto_stream = crypto_stream;
    exports.crypto_stream_xor = crypto_stream_xor;

    exports.crypto_onetimeauth = crypto_onetimeauth;
    exports.crypto_onetimeauth_verify = crypto_onetimeauth_verify;

    exports.crypto_auth = crypto_auth;
    exports.crypto_auth_verify = crypto_auth_verify;

    exports.crypto_secretbox_random_nonce = crypto_secretbox_random_nonce;
    exports.crypto_secretbox = crypto_secretbox;
    exports.crypto_secretbox_open = crypto_secretbox_open;

    exports.crypto_sign_keypair = crypto_sign_keypair;
    exports.crypto_sign = crypto_sign;
    exports.crypto_sign_detached = crypto_sign_detached;
    exports.crypto_sign_open = crypto_sign_open;
    exports.crypto_sign_verify_detached = crypto_sign_verify_detached;

    exports.crypto_hash = crypto_hash;
    exports.crypto_hash_sha256 = crypto_hash_sha256;
    exports.crypto_hash_string = crypto_hash_string;

    exports.crypto_sign_seed_keypair = crypto_sign_seed_keypair;
    exports.crypto_box_seed_keypair = crypto_box_seed_keypair;
    exports.crypto_box_keypair_from_raw_sk = crypto_box_keypair_from_raw_sk;
    // Backwards-compatibility:
    exports.crypto_sign_keypair_from_seed = crypto_sign_seed_keypair;
    exports.crypto_box_keypair_from_seed = crypto_box_seed_keypair;

    exports.crypto_scalarmult = crypto_scalarmult;
    exports.crypto_scalarmult_base = crypto_scalarmult_base;

    return exports;
})();
      nacl.nacl_raw = nacl_raw;

      if (on_ready_call_needed) {
        on_ready(nacl);
      }

      return "nacl_factory API has changed -- see js-nacl README";
    })((typeof window !== 'undefined') ? window : undefined_reference_value,
       (typeof document !== 'undefined') ? document : undefined_reference_value);
  }
};

// export common.js module to allow one js file for browser and node.js
if (typeof module !== 'undefined' && module.exports) {
    module.exports = nacl_factory;
}
